<?
//------------------------------------------------------------------------------
//	CLASE LOGICA
//------------------------------------------------------------------------------

class Cont_correlativo_documento {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	private $id_cont_correlativo_documento;
	private $desde;
	private $hasta;
	private $tipo_documento;
	private $estado;
	private $observacion;
	private $en_uso;
	private $id_sucursal;
	private $id_empresa;
	private $extra4;
	
	private $nombre_tipo_documento;
	private $nombre_estado;
	
	private $en_uso_nombre;
	
	private $descripcion_sucursal;

	//CONSTRUCTOR
	public function __construct($Cont_correlativo_documento_BD) {
		if ($Cont_correlativo_documento_BD) {
			$this->id_cont_correlativo_documento = $Cont_correlativo_documento_BD->get_id_cont_correlativo_documento();
			$this->desde = $Cont_correlativo_documento_BD->get_desde();
			$this->hasta = $Cont_correlativo_documento_BD->get_hasta();
			$this->tipo_documento = $Cont_correlativo_documento_BD->get_tipo_documento();
			$this->estado = $Cont_correlativo_documento_BD->get_estado();
			$this->observacion = $Cont_correlativo_documento_BD->get_observacion();
			$this->en_uso = $Cont_correlativo_documento_BD->get_en_uso();
			$this->id_sucursal = $Cont_correlativo_documento_BD->get_id_sucursal();
			$this->id_empresa = $Cont_correlativo_documento_BD->get_id_empresa();
			$this->extra4 = $Cont_correlativo_documento_BD->get_extra4();

			switch ($this->tipo_documento){
				case 1: $this->nombre_tipo_documento = "Factura";break;
				case 2: $this->nombre_tipo_documento = "Gua de Despacho";break;
				case 3: $this->nombre_tipo_documento = "Boleta";break;	
			}

			
			switch ($this->estado){
				case 0: $this->nombre_estado = "Disponibles";break;
				case 1: $this->nombre_estado = "Agotados";break;
				
			}
			
			if ($this->en_uso == 1)
				$this->en_uso_nombre = "green.png";
			else 
				$this->en_uso_nombre = "red.png";
			
			$clog_Cont_sucursal = new Controlador_Logico_Cont_sucursal();
				
			$sucursal = $clog_Cont_sucursal->getCont_sucursal($this->id_sucursal);
			if ($sucursal){
				$this->descripcion_sucursal = $sucursal->get_descripcion();
			}
		}
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
	//------------------------------------------------------------------------------
	public function get_en_uso_nombre(){
		return ($this->en_uso_nombre);
	}

	public function get_descripcion_sucursal(){
		return ($this->descripcion_sucursal);
	}
	
	public function get_nombre_estado() {
		return ($this->nombre_estado);
	}
		
	public function get_nombre_tipo_documento() {
		return ($this->nombre_tipo_documento);
	}
	
	public function get_id_cont_correlativo_documento() {
		return ($this->id_cont_correlativo_documento);
	}

	public function get_desde() {
		return ($this->desde);
	}

	public function get_hasta() {
		return ($this->hasta);
	}

	public function get_tipo_documento() {
		return ($this->tipo_documento);
	}

	public function get_estado() {
		return ($this->estado);
	}

	public function get_observacion() {
		return ($this->observacion);
	}

	public function get_en_uso() {
		return ($this->en_uso);
	}

	public function get_id_sucursal() {
		return ($this->id_sucursal);
	}

	public function get_id_empresa() {
		return ($this->id_empresa);
	}

	public function get_extra4() {
		return ($this->extra4);
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
	//------------------------------------------------------------------------------

	public function set_id_cont_correlativo_documento($id_cont_correlativo_documento) {
		$this->id_cont_correlativo_documento = $id_cont_correlativo_documento;
	}

	public function set_desde($desde) {
		$this->desde = $desde;
	}

	public function set_hasta($hasta) {
		$this->hasta = $hasta;
	}

	public function set_tipo_documento($tipo_documento) {
		$this->tipo_documento = $tipo_documento;
	}

	public function set_estado($estado) {
		$this->estado = $estado;
	}

	public function set_observacion($observacion) {
		$this->observacion = $observacion;
	}

	public function set_en_uso($en_uso) {
		$this->en_uso = $en_uso;
	}

	public function set_id_sucursal($id_sucursal) {
		$this->id_sucursal = $id_sucursal;
	}

	public function set_id_empresa($id_empresa) {
		$this->id_empresa = $id_empresa;
	}

	public function set_extra4($extra4) {
		$this->extra4 = $extra4;
	}

}
//------------------------------------------------------------------------------
//	FIN CLASE
//------------------------------------------------------------------------------
?>