<?


//------------------------------------------------------------------------------
//	CLASE LOGICA
//------------------------------------------------------------------------------

class Cont_tipo_centralizacion {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	private $id_tipo_centralizacion;
	private $nombre;
	private $descripcion;
	private $dia_centralizar;
	private $tipo;
	private $extra1;
	private $extra2;
	private $extra3;

	private $nombre_tipo_centralizacion;
	private $tipo_centralizacion_manual_selected;
	private $tipo_centralizacion_automatico_selected;
	
	//CONSTRUCTOR
	public function __construct($Cont_tipo_centralizacion_BD) {
		if ($Cont_tipo_centralizacion_BD) {
			$this->id_tipo_centralizacion = $Cont_tipo_centralizacion_BD->get_id_tipo_centralizacion();
			$this->nombre = $Cont_tipo_centralizacion_BD->get_nombre();
			$this->descripcion = $Cont_tipo_centralizacion_BD->get_descripcion();
			$this->dia_centralizar = $Cont_tipo_centralizacion_BD->get_dia_centralizar();
			$this->tipo = $Cont_tipo_centralizacion_BD->get_tipo();
			$this->extra1 = $Cont_tipo_centralizacion_BD->get_extra1();
			$this->extra2 = $Cont_tipo_centralizacion_BD->get_extra2();
			$this->extra3 = $Cont_tipo_centralizacion_BD->get_extra3();
			
			switch($this->tipo){
				case "1": $this->nombre_tipo_centralizacion = "Manual";  $this->tipo_centralizacion_manual_selected = "selected";break;
				case "2": $this->nombre_tipo_centralizacion = "Automtico"; $this->tipo_centralizacion_automatico_selected = "selected";break;
			}
			
			
		}
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
	//------------------------------------------------------------------------------
	public function get_tipo_centralizacion_manual_selected(){
		return ($this->tipo_centralizacion_manual_selected);
	}

	public function get_tipo_centralizacion_automatico_selected(){
		return ($this->tipo_centralizacion_automatico_selected);
	}

	public function get_nombre_tipo_centralizacion(){
		return ($this->nombre_tipo_centralizacion);
	}

	public function get_id_tipo_centralizacion() {
		return ($this->id_tipo_centralizacion);
	}

	public function get_nombre() {
		return ($this->nombre);
	}

	public function get_descripcion() {
		return ($this->descripcion);
	}

	public function get_dia_centralizar() {
		return ($this->dia_centralizar);
	}

	public function get_tipo() {
		return ($this->tipo);
	}

	public function get_extra1() {
		return ($this->extra1);
	}

	public function get_extra2() {
		return ($this->extra2);
	}

	public function get_extra3() {
		return ($this->extra3);
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
	//------------------------------------------------------------------------------

	public function set_id_tipo_centralizacion($id_tipo_centralizacion) {
		$this->id_tipo_centralizacion = $id_tipo_centralizacion;
	}

	public function set_nombre($nombre) {
		$this->nombre = $nombre;
	}

	public function set_descripcion($descripcion) {
		$this->descripcion = $descripcion;
	}

	public function set_dia_centralizar($dia_centralizar) {
		$this->dia_centralizar = $dia_centralizar;
	}

	public function set_tipo($tipo) {
		$this->tipo = $tipo;
	}

	public function set_extra1($extra1) {
		$this->extra1 = $extra1;
	}

	public function set_extra2($extra2) {
		$this->extra2 = $extra2;
	}

	public function set_extra3($extra3) {
		$this->extra3 = $extra3;
	}

}
//------------------------------------------------------------------------------
//	FIN CLASE
//------------------------------------------------------------------------------
?>