<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Contacto{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_contacto;
	var $id_cliente_proveedor;
	var $nombre;
	var $apellido;
	var $area;
	var $telefono;
	var $fax;
	var $movil;
	var $email;
	var $extra1;
	var $extra2;
	var $extra3;
	
	//CONSTRUCTOR
	function Contacto ($id_cliente_proveedor, $nombre, $apellido, $area, $telefono, $fax, $movil, $email, $extra1, $extra2, $extra3, $id_contacto=0)
	{
		$this->id_contacto = $id_contacto;
		$this->id_cliente_proveedor = $id_cliente_proveedor;
		$this->nombre = $nombre;
		$this->apellido = $apellido;
		$this->area = $area;
		$this->telefono = $telefono;
		$this->fax = $fax;
		$this->movil = $movil;
		$this->email = $email;
		$this->extra1 = $extra1;
		$this->extra2 = $extra2;
		$this->extra3 = $extra3;
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	function get_id_contacto(){
		return ($this->id_contacto);
	}
	
	function get_id_cliente_proveedor(){
		return ($this->id_cliente_proveedor);
	}
	
	function get_nombre(){
		return ($this->nombre);
	}
	
	function get_apellido(){
		return ($this->apellido);
	}
	
	function get_area(){
		return ($this->area);
	}
	
	function get_telefono(){
		return ($this->telefono);
	}
	
	function get_fax(){
		return ($this->fax);
	}
	
	function get_movil(){
		return ($this->movil);
	}
	
	function get_email(){
		return ($this->email);
	}
	
	function get_extra1(){
		return ($this->extra1);
	}
	
	function get_extra2(){
		return ($this->extra2);
	}
	
	function get_extra3(){
		return ($this->extra3);
	}
	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_contacto($id_contacto){
		$this->id_contacto = $id_contacto;
	}
	
	function set_id_cliente_proveedor($id_cliente_proveedor){
		$this->id_cliente_proveedor = $id_cliente_proveedor;
	}
	
	function set_nombre($nombre){
		$this->nombre = $nombre;
	}
	
	function set_apellido($apellido){
		$this->apellido = $apellido;
	}
	
	function set_area($area){
		$this->area = $area;
	}
	
	function set_telefono($telefono){
		$this->telefono = $telefono;
	}
	
	function set_fax($fax){
		$this->fax = $fax;
	}
	
	function set_movil($movil){
		$this->movil = $movil;
	}
	
	function set_email($email){
		$this->email = $email;
	}
	
	function set_extra1($extra1){
		$this->extra1 = $extra1;
	}
	
	function set_extra2($extra2){
		$this->extra2 = $extra2;
	}
	
	function set_extra3($extra3){
		$this->extra3 = $extra3;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Contacto_getListadoContacto($filtro,$extra){
		return Contacto_Fachada::getListadoContacto($filtro,$extra);
	}
	
	function Contacto_getContacto($id_contacto){
		return Contacto_Fachada::getContacto($id_contacto);
	}
	
	function Contacto_guardarContacto($objeto){
		return Contacto_Fachada::guardarContacto($objeto);
	}
	
	function Contacto_actualizarContacto($objeto){
		return Contacto_Fachada::actualizarContacto($objeto);
	}
	
	function Contacto_eliminarContacto($id_contacto){
		return Contacto_Fachada::eliminarContacto($id_contacto);
	}
	
	
	
?>