<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Nivel_plan_cuenta{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_nivel_plan_cuenta;
	var $id_nivel_plan_cuenta_padre;
	var $id_plan_cuenta;
	var $id_usuario;
	var $formato_nivel;
	var $nivel;
	var $nombre;
	var $descripcion;
	var $fecha_creacion;
	var $fecha_modificacion;
	var $es_ultimo_nivel;
	var $codigo;
	var $codigo_unitario;
	var $extra3;
	var $extra4;
	
	var $es_ultimo_nivel_bool;
	var $es_ultimo_nivel_checked;
	
	//CONSTRUCTOR
	function Nivel_plan_cuenta ($id_nivel_plan_cuenta_padre, $id_plan_cuenta, $id_usuario, $formato_nivel, $nivel, $nombre, $descripcion, $fecha_creacion, $fecha_modificacion, $es_ultimo_nivel, $codigo, $codigo_unitario, $extra3, $extra4, $id_nivel_plan_cuenta=0)
	{
		$this->id_nivel_plan_cuenta = $id_nivel_plan_cuenta;
		$this->id_nivel_plan_cuenta_padre = $id_nivel_plan_cuenta_padre;
		$this->id_plan_cuenta = $id_plan_cuenta;
		$this->id_usuario = $id_usuario;
		$this->formato_nivel = $formato_nivel;
		$this->nivel = $nivel;
		$this->nombre = $nombre;
		$this->descripcion = $descripcion;
		$this->fecha_creacion = $fecha_creacion;
		$this->fecha_modificacion = $fecha_modificacion;
		$this->es_ultimo_nivel = $es_ultimo_nivel;
		$this->codigo = $codigo;
		$this->codigo_unitario = $codigo_unitario;
		$this->extra3 = $extra3;
		$this->extra4 = $extra4;
		
		switch ($this->ultimo_nivel) {
			case 0:	$this->es_ultimo_nivel_bool = false;break;
			case 1: 
					$this->es_ultimo_nivel_bool 	= true;
					$this->es_ultimo_nivel_checked 	= "checked";
			break;
		}
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	function get_id_nivel_plan_cuenta(){
		return ($this->id_nivel_plan_cuenta);
	}
	
	function get_id_nivel_plan_cuenta_padre(){
		return ($this->id_nivel_plan_cuenta_padre);
	}
	
	function get_id_plan_cuenta(){
		return ($this->id_plan_cuenta);
	}
	
	function get_id_usuario(){
		return ($this->id_usuario);
	}
	
	function get_formato_nivel(){
		return ($this->formato_nivel);
	}
	
	function get_nivel(){
		return ($this->nivel);
	}
	
	function get_nombre(){
		return ($this->nombre);
	}
	
	function get_descripcion(){
		return ($this->descripcion);
	}
	
	function get_fecha_creacion(){
		return ($this->fecha_creacion);
	}
	
	function get_fecha_modificacion(){
		return ($this->fecha_modificacion);
	}
	
	function get_es_ultimo_nivel(){
		return ($this->es_ultimo_nivel);
	}
	
	function get_codigo(){
		return ($this->codigo);
	}
	
	function get_codigo_unitario(){
		return ($this->codigo_unitario);
	}
	
	function get_extra3(){
		return ($this->extra3);
	}
	
	function get_extra4(){
		return ($this->extra4);
	}
	
	function get_path(){
		$npc   = Nivel_plan_cuenta_getNivel_plan_cuenta($this->id_nivel_plan_cuenta);
		while ($npc->id_nivel_plan_cuenta != "1")
		{
			$ruta = $npc->nombre."/".$ruta;
			$npc = Nivel_plan_cuenta_getNivel_plan_cuenta($npc->id_nivel_plan_cuenta_padre);
		}
		return $ruta;
	}
	
	function get_es_ultimo_nivel_bool(){
		return $this->es_ultimo_nivel_bool;
	}	
	
	function get_es_ultimo_nivel_checked(){
		return $this->es_ultimo_nivel_checked;
	}
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_nivel_plan_cuenta($id_nivel_plan_cuenta){
		$this->id_nivel_plan_cuenta = $id_nivel_plan_cuenta;
	}
	
	function set_id_nivel_plan_cuenta_padre($id_nivel_plan_cuenta_padre){
		$this->id_nivel_plan_cuenta_padre = $id_nivel_plan_cuenta_padre;
	}
	
	function set_id_plan_cuenta($id_plan_cuenta){
		$this->id_plan_cuenta = $id_plan_cuenta;
	}
	
	function set_id_usuario($id_usuario){
		$this->id_usuario = $id_usuario;
	}
	
	function set_formato_nivel($formato_nivel){
		$this->formato_nivel = $formato_nivel;
	}
	
	function set_nivel($nivel){
		$this->nivel = $nivel;
	}
	
	function set_nombre($nombre){
		$this->nombre = $nombre;
	}
	
	function set_descripcion($descripcion){
		$this->descripcion = $descripcion;
	}
	
	function set_fecha_creacion($fecha_creacion){
		$this->fecha_creacion = $fecha_creacion;
	}
	
	function set_fecha_modificacion($fecha_modificacion){
		$this->fecha_modificacion = $fecha_modificacion;
	}
	
	function set_es_ultimo_nivel($es_ultimo_nivel){
		$this->es_ultimo_nivel = $es_ultimo_nivel;
	}
	
	function set_codigo($codigo){
		$this->codigo = $codigo;
	}
	
	function set_codigo_unitario($codigo_unitario){
		$this->codigo_unitario = $codigo_unitario;
	}
	
	function set_extra3($extra3){
		$this->extra3 = $extra3;
	}
	
	function set_extra4($extra4){
		$this->extra4 = $extra4;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Nivel_plan_cuenta_getListadoNivel_plan_cuenta($filtro,$extra){
		return Nivel_plan_cuenta_Fachada::getListadoNivel_plan_cuenta($filtro,$extra);
	}
	
	function Nivel_plan_cuenta_getNivel_plan_cuenta($id_nivel_plan_cuenta){
		return Nivel_plan_cuenta_Fachada::getNivel_plan_cuenta($id_nivel_plan_cuenta);
	}
	
	function Nivel_plan_cuenta_guardarNivel_plan_cuenta($objeto){
		return Nivel_plan_cuenta_Fachada::guardarNivel_plan_cuenta($objeto);
	}
	
	function Nivel_plan_cuenta_actualizarNivel_plan_cuenta($objeto){
		return Nivel_plan_cuenta_Fachada::actualizarNivel_plan_cuenta($objeto);
	}
	
	function Nivel_plan_cuenta_eliminarNivel_plan_cuenta($id_nivel_plan_cuenta){
		return Nivel_plan_cuenta_Fachada::eliminarNivel_plan_cuenta($id_nivel_plan_cuenta);
	}
	
	
	
?>
