<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_tipo_documento_BD_Fachada {

function &getListadoCont_tipo_documento_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}

	
	$query = expandir("GET_LISTADO_CONT_TIPO_DOCUMENTO_BD",
	"where",$where
	);
	

	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_tipo_documento = $RecordSet -> Fields("id_tipo_documento");
		$nombre = $RecordSet -> Fields("nombre");
		$nombre_corto = $RecordSet -> Fields("nombre_corto");
		$descripcion = $RecordSet -> Fields("descripcion");
		
		$temp = new Cont_tipo_documento_BD ($nombre, $nombre_corto, $descripcion, $id_tipo_documento);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getCont_tipo_documento_BD($id_tipo_documento)
	{
		global $conn;
		$query = expandir("GET_CONT_TIPO_DOCUMENTO_BD",
		"id_tipo_documento", $id_tipo_documento
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_tipo_documento = $RecordSet -> Fields("id_tipo_documento");
	$nombre = $RecordSet -> Fields("nombre");
	$nombre_corto = $RecordSet -> Fields("nombre_corto");
	$descripcion = $RecordSet -> Fields("descripcion");
	
	
	$temp = new Cont_tipo_documento_BD ($nombre, $nombre_corto, $descripcion, $id_tipo_documento);
	return $temp;
	}
	
	
	function &guardarCont_tipo_documento_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CONT_TIPO_DOCUMENTO_BD",
		"nombre_corto", $objeto->get_nombre_corto(),
		"descripcion", $objeto->get_descripcion(),
		"nombre", $objeto->get_nombre());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCont_tipo_documento_BD(Cont_tipo_documento_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CONT_TIPO_DOCUMENTO_BD",
		"nombre", $objeto->get_nombre(),
		"nombre_corto", $objeto->get_nombre_corto(),
		"descripcion", $objeto->get_descripcion(),
		"id_tipo_documento", $objeto->get_id_tipo_documento());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCont_tipo_documento_BD($id_tipo_documento){
		global $conn;
		$query = expandir("ELIMINAR_CONT_TIPO_DOCUMENTO_BD",
		"id_tipo_documento", $id_tipo_documento
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCont_tipo_documento_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CONT_TIPO_DOCUMENTO_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
