<?

//------------------------------------------------------------------------------
//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Nivel_plan_cuenta_Fachada {

	function &getListadoNivel_plan_cuenta($filtro,$extra)

	{
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}


		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"];
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"];
		}
		if ($extra["limit"]){
			$where .= " LIMIT ".$extra["limit"];
		}

		$query = expandir("GET_LISTADO_NIVEL_PLAN_CUENTA",
		"where",	$where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);


		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_nivel_plan_cuenta = $RecordSet -> Fields("id_nivel_plan_cuenta");
			$id_nivel_plan_cuenta_padre = $RecordSet -> Fields("id_nivel_plan_cuenta_padre");
			$id_plan_cuenta = $RecordSet -> Fields("id_plan_cuenta");
			$id_usuario = $RecordSet -> Fields("id_usuario");
			$formato_nivel = $RecordSet -> Fields("formato_nivel");
			$nivel = $RecordSet -> Fields("nivel");
			$nombre = $RecordSet -> Fields("nombre");
			$descripcion = $RecordSet -> Fields("descripcion");
			$fecha_creacion = $RecordSet -> Fields("fecha_creacion");
			$fecha_modificacion = $RecordSet -> Fields("fecha_modificacion");
			$es_ultimo_nivel = $RecordSet -> Fields("es_ultimo_nivel");
			$codigo = $RecordSet -> Fields("codigo");
			$codigo_unitario = $RecordSet -> Fields("codigo_unitario");
			$extra3 = $RecordSet -> Fields("extra3");
			$extra4 = $RecordSet -> Fields("extra4");

			$temp = new Nivel_plan_cuenta ($id_nivel_plan_cuenta_padre, $id_plan_cuenta, $id_usuario, $formato_nivel, $nivel, $nombre, $descripcion, $fecha_creacion, $fecha_modificacion, $es_ultimo_nivel, $codigo, $codigo_unitario, $extra3, $extra4, $id_nivel_plan_cuenta);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getNivel_plan_cuenta($id_nivel_plan_cuenta)
	{
		global $conn;
		$query = expandir("GET_NIVEL_PLAN_CUENTA",
		"id_nivel_plan_cuenta", $id_nivel_plan_cuenta
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_nivel_plan_cuenta = $RecordSet -> Fields("id_nivel_plan_cuenta");
		$id_nivel_plan_cuenta_padre = $RecordSet -> Fields("id_nivel_plan_cuenta_padre");
		$id_plan_cuenta = $RecordSet -> Fields("id_plan_cuenta");
		$id_usuario = $RecordSet -> Fields("id_usuario");
		$formato_nivel = $RecordSet -> Fields("formato_nivel");
		$nivel = $RecordSet -> Fields("nivel");
		$nombre = $RecordSet -> Fields("nombre");
		$descripcion = $RecordSet -> Fields("descripcion");
		$fecha_creacion = $RecordSet -> Fields("fecha_creacion");
		$fecha_modificacion = $RecordSet -> Fields("fecha_modificacion");
		$es_ultimo_nivel = $RecordSet -> Fields("es_ultimo_nivel");
		$codigo = $RecordSet -> Fields("codigo");
		$codigo_unitario = $RecordSet -> Fields("codigo_unitario");
		$extra3 = $RecordSet -> Fields("extra3");
		$extra4 = $RecordSet -> Fields("extra4");


		$temp = new Nivel_plan_cuenta ($id_nivel_plan_cuenta_padre, $id_plan_cuenta, $id_usuario, $formato_nivel, $nivel, $nombre, $descripcion, $fecha_creacion, $fecha_modificacion, $es_ultimo_nivel, $codigo, $codigo_unitario, $extra3, $extra4, $id_nivel_plan_cuenta);
		return $temp;
	}


	function &guardarNivel_plan_cuenta($objeto){
		//debug($objeto);
		
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_NIVEL_PLAN_CUENTA",
		"id_plan_cuenta", $objeto->id_plan_cuenta,
		"id_usuario", $objeto->id_usuario,
		"formato_nivel", $objeto->formato_nivel,
		"nivel", $objeto->nivel,
		"nombre", $objeto->nombre,
		"descripcion", $objeto->descripcion,
		"fecha_creacion", $objeto->fecha_creacion,
		"fecha_modificacion", $objeto->fecha_modificacion,
		"es_ultimo_nivel", $objeto->es_ultimo_nivel,
		"codigo", $objeto->codigo,
		"codigo_unitario", $objeto->codigo_unitario,
		"extra3", $objeto->extra3,
		"extra4", $objeto->extra4,
		"id_nivel_plan_cuenta_padre", $objeto->id_nivel_plan_cuenta_padre);

		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();


	}

	function &actualizarNivel_plan_cuenta($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_NIVEL_PLAN_CUENTA",
		"id_nivel_plan_cuenta_padre", $objeto->id_nivel_plan_cuenta_padre,
		"id_plan_cuenta", $objeto->id_plan_cuenta,
		"id_usuario", $objeto->id_usuario,
		"formato_nivel", $objeto->formato_nivel,
		"nivel", $objeto->nivel,
		"nombre", $objeto->nombre,
		"descripcion", $objeto->descripcion,
		"fecha_creacion", $objeto->fecha_creacion,
		"fecha_modificacion", $objeto->fecha_modificacion,
		"es_ultimo_nivel", $objeto->es_ultimo_nivel,
		"codigo", $objeto->codigo,
		"codigo_unitario", $objeto->codigo_unitario,
		"extra3", $objeto->extra3,
		"extra4", $objeto->extra4,
		"id_nivel_plan_cuenta", $objeto->id_nivel_plan_cuenta);

		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &eliminarNivel_plan_cuenta($id_nivel_plan_cuenta){
		global $conn;
		$query = expandir("ELIMINAR_NIVEL_PLAN_CUENTA",
		"id_nivel_plan_cuenta", $id_nivel_plan_cuenta
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}


}//Fin Clase
?>
