<?php

require('../siaweb_system/smarty/libs/Smarty.class.php');

class mySmarty extends Smarty {
   function mySmarty() {
   
   // Class Constructor. These automatically get set with each new instance.
	$this->Smarty();
	$this->template_dir = 'templates';
	$this->compile_dir = 'templates_c/';
	if (!file_exists($this->compile_dir))
		$ok = mkdir($this->compile_dir, 0777); 	
	$this->config_dir = 'configs/';
	$this->cache_dir = 'cache/'; 
		
	$this->caching = false;
	$this->use_sub_dirs = false;
	$this->assign('app_name','');
	$this->register_function("permiso", "permiso");
	$this->register_function("url_secure", "url_secure");
	$this->register_function("format_numero", "format_numero");
	$this->register_function("msgbox", "msgbox");
	$this->register_function("format_fecha", "format_fecha");
	$this->register_function("format_hora", "format_hora");
	$this->register_function("format_fecha_extendida", "format_fecha_extendida");
	$this->register_function("format_fecha_sin_hora", "format_fecha_sin_hora");
	$this->register_function("volver", "volver");
	$this->register_function("linked_combobox_script", "linked_combobox_script");
	$this->register_function("combobox", "combobox");
	$this->register_function("money", "money");
	$this->register_function("up_first", "up_first");
	$this->register_function("calendario", "calendario");
	$this->register_function("truncate", "truncate");
	$this->register_function("format_rut", "format_rut");
	$this->register_function("get_nombre_mes", "get_nombre_mes");
	$this->register_function("combobox_numberlist", "combobox_numberlist");
	$this->register_function("bg_lista", "bg_lista");
	$this->register_function("obtener_fecha_proceso", "obtener_fecha_proceso");
	//debug($this);	
   }
}


include_once("modulos/admin/smartyAdmin.php");
include_once("modulos/plan_cuenta/smartyPlanCuenta.php");
include_once("modulos/centro_costo/smartyCentroCosto.php");
include_once("modulos/panel_control/smartyPanelControl.php");
?>