<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Sucursal{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_sucursal;
	var $rut;
	var $descripcion;
	var $direccion;
	var $ciudad;
	var $telefono;
	var $fax;
	var $email;
	var $responsable;
	var $estado;
	var $observacion;
	var $id_bodega_ventas;
	var $id_bodega_cristales;
	var $clave;
	var $ex4;
	var $ex5;
	var $ex6;
	
	//CONSTRUCTOR
	function Sucursal ($rut, $descripcion, $direccion, $ciudad, $telefono, $fax, $email, $responsable, $estado, $observacion, $id_bodega_ventas, $id_bodega_cristales, $clave, $ex4, $ex5, $ex6, $id_sucursal=0)
	{
		$this->id_sucursal = $id_sucursal;
		$this->rut = $rut;
		$this->descripcion = $descripcion;
		$this->direccion = $direccion;
		$this->ciudad = $ciudad;
		$this->telefono = $telefono;
		$this->fax = $fax;
		$this->email = $email;
		$this->responsable = $responsable;
		$this->estado = $estado;
		$this->observacion = $observacion;
		$this->id_bodega_ventas = $id_bodega_ventas;
		$this->id_bodega_cristales = $id_bodega_cristales;
		$this->clave = $clave;
		$this->ex4 = $ex4;
		$this->ex5 = $ex5;
		$this->ex6 = $ex6;
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	
	function get_nombre_bodega_cristales(){
		$bodega = Bodega_getBodega($this->id_bodega_cristales);
		return ($bodega->descripcion);
	}
	
	function get_nombre_bodega_ventas(){
		$bodega = Bodega_getBodega($this->id_bodega_ventas);
		return ($bodega->descripcion);
	}
	
	
	
	
	
//------------------------------------------------------------------------------

	function get_id_sucursal(){
		return ($this->id_sucursal);
	}
	
	function get_rut(){
		return ($this->rut);
	}
	
	function get_descripcion(){
		return ($this->descripcion);
	}
	
	function get_direccion(){
		return ($this->direccion);
	}
	
	function get_ciudad(){
		return ($this->ciudad);
	}
	
	function get_telefono(){
		return ($this->telefono);
	}
	
	function get_fax(){
		return ($this->fax);
	}
	
	function get_email(){
		return ($this->email);
	}
	
	function get_responsable(){
		return ($this->responsable);
	}
	
	function get_estado(){
		return ($this->estado);
	}
	
	function get_observacion(){
		return ($this->observacion);
	}
	
	function get_id_bodega_ventas(){
		return $this->id_bodega_ventas;
	}
	
	function get_id_bodega_cristales(){
		return $this->id_bodega_cristales;
	}
	
	function get_clave(){
		return $this->clave;
	}
	
	function get_ex4(){
		return $this->ex4;
	}
	
	function get_ex5(){
		return $this->ex5;
	}
	
	function get_ex6(){
		return $this->ex6;
	}
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_sucursal($id_sucursal){
		$this->id_sucursal = $id_sucursal;
	}
	
	function set_rut($rut){
		$this->rut = $rut;
	}
	
	function set_descripcion($descripcion){
		$this->descripcion = $descripcion;
	}
	
	function set_direccion($direccion){
		$this->direccion = $direccion;
	}
	
	function set_ciudad($ciudad){
		$this->ciudad = $ciudad;
	}
	
	function set_telefono($telefono){
		$this->telefono = $telefono;
	}
	
	function set_fax($fax){
		$this->fax = $fax;
	}
	
	function set_email($email){
		$this->email = $email;
	}
	
	function set_responsable($responsable){
		$this->responsable = $responsable;
	}
	
	function set_estado($estado){
		$this->estado = $estado;
	}
	
	function set_observacion($observacion){
		$this->observacion = $observacion;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Sucursal_getListadoSucursal($id_sucursal){
		return Sucursal_Fachada::getListadoSucursal($id_sucursal);
	}
	
	function Sucursal_getSucursal($id_sucursal){
		return Sucursal_Fachada::getSucursal($id_sucursal);
	}
	
	function Sucursal_guardarSucursal($objeto){
		return Sucursal_Fachada::guardarSucursal($objeto);
	}
	
	function Sucursal_actualizarSucursal($objeto){
		return Sucursal_Fachada::actualizarSucursal($objeto);
	}
	
	function Sucursal_eliminarSucursal($id_sucursal){
		return Sucursal_Fachada::eliminarSucursal($id_sucursal);
	}
	
	
	
?>
