<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Usuario{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_usuario;
	var $id_sucursal;
	var $nombre_sucursal;
	var $nombre;
	var $apellido;
	var $email;
	var $login;
	var $password;
	var $privilegio;
	var $nombre_privilegio;
	var $id_empresa;
	var $nombre_empresa;
	
	//CONSTRUCTOR
	/**
	* @return Usuario
	* @param $id_usuario;
	* @param $id_sucursal;
	* @param $nombre;
	* @param $apellido;
	* @param $email;
	* @param $login;
	* @param $password;
	* @param $privilegio;
	* @desc Constructor de la Clase
	*/
	
	function Usuario ($id_sucursal, $nombre, $apellido, $email, $login, $password, $privilegio, $id_empresa, $id_usuario=0)
	{
		$this->id_usuario = $id_usuario;
		$this->id_sucursal = $id_sucursal;
		$this->nombre = $nombre;
		$this->apellido = $apellido;
		$this->email = $email;
		$this->login = $login;
		$this->password = $password;
		$this->privilegio = $privilegio;

		$this->id_empresa = $id_empresa;
		
		$this->nombre_sucursal = "Todas las Sucursales";
		if ($this->id_sucursal){
			$sucursal = Sucursal_getSucursal($this->id_sucursal);

			if ($sucursal) {
				$this->nombre_sucursal = $sucursal->get_descripcion();
				$this->nombre_bodega_ventas = $sucursal->get_nombre_bodega_ventas();
				$this->nombre_bodega_cristales = $sucursal->get_nombre_bodega_cristales();
				$this->id_bodega_ventas = $sucursal->get_id_bodega_ventas();
			}else{
				$this->nombre_sucursal = "Todas las Sucursales";
			}	
		}
	}
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

/**
* @return id_usuario
* @desc Retorna la variable id_usuario
*/
	function get_nombre_empresa(){
		return $this->nombre_empresa;
	}

	function get_id_usuario(){
		return ($this->id_usuario);
	}

	function get_id_empresa(){
		return ($this->id_empresa);
	}

	function get_nombre_privilegio(){
		return ($this->nombre_privilegio);
	}
		
	/**
	* @return id_sucursal
	* @desc Retorna la variable id_sucursal
	*/
	
	function get_id_sucursal(){
		return ($this->id_sucursal);
	}
	
	/**
	* @return nombre
	* @desc Retorna la variable nombre
	*/
	
	function get_nombre(){
		return ($this->nombre);
	}
	
	/**
	* @return apellido
	* @desc Retorna la variable apellido
	*/
	
	function get_apellido(){
		return ($this->apellido);
	}
	
	/**
	* @return email
	* @desc Retorna la variable email
	*/
	
	function get_email(){
		return ($this->email);
	}
	
	/**
	* @return login
	* @desc Retorna la variable login
	*/
	
	function get_login(){
		return ($this->login);
	}
	
	/**
	* @return password
	* @desc Retorna la variable password
	*/
	
	function get_password(){
		return ($this->password);
	}
	
	/**
	* @return privilegio
	* @desc Retorna la variable privilegio
	*/
	
	function get_privilegio(){
		return ($this->privilegio);
	}
	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

/**
* @return void
* @desc Setea la variable id_usuario
*/

	function set_id_usuario($id_usuario){
		$this->id_usuario = $id_usuario;
	}
	
	/**
	* @return void
	* @desc Setea la variable id_sucursal
	*/
	
	function set_id_sucursal($id_sucursal){
		$this->id_sucursal = $id_sucursal;
	}
	
	/**
	* @return void
	* @desc Setea la variable nombre
	*/
	
	function set_nombre($nombre){
		$this->nombre = $nombre;
	}
	
	/**
	* @return void
	* @desc Setea la variable apellido
	*/
	
	function set_apellido($apellido){
		$this->apellido = $apellido;
	}
	
	/**
	* @return void
	* @desc Setea la variable email
	*/
	
	function set_email($email){
		$this->email = $email;
	}
	
	/**
	* @return void
	* @desc Setea la variable login
	*/
	
	function set_login($login){
		$this->login = $login;
	}
	
	/**
	* @return void
	* @desc Setea la variable password
	*/
	
	function set_password($password){
		$this->password = $password;
	}
	
	/**
	* @return void
	* @desc Setea la variable privilegio
	*/
	
	function set_privilegio($privilegio){
		$this->privilegio = $privilegio;
	}
	
	function set_id_empresa($id_empresa){
		$this->id_empresa = $id_empresa;
	}	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Usuario_getListadoUsuario($id=0){
		return Usuario_Fachada::getListadoUsuario($id);
	}
	

	function Usuario_getUsuario($id_usuario){
		return Usuario_Fachada::getUsuario($id_usuario);
	}
	
	function Usuario_guardarUsuario($objeto){
		return Usuario_Fachada::guardarUsuario($objeto);
	}
	
	function Usuario_actualizarUsuario($objeto){
		return Usuario_Fachada::actualizarUsuario($objeto);
	}
	
	function Usuario_eliminarUsuario($id_usuario){
		return Usuario_Fachada::eliminarUsuario($id_usuario);
	}
	
	function Usuario_isUsuario($login, $password){
		return Usuario_Fachada::isUsuario($login, $password);
	} 	
	
?>
