<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Seccion {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadSeccion($filtro){
		$cbd = new controlador_bd_Seccion();
		return $cbd->getCantidadSeccion_BD($filtro);
	}
	
	function getListadoSeccion($filtro,$extra){
		$cbd = new controlador_bd_Seccion();
		$listado_Seccion_arr = $cbd->getListadoSeccion_BD($filtro,$extra);
	foreach ($listado_Seccion_arr as $Seccion_arr){
		$listado_Seccion[] = new Seccion($Seccion_arr);
	}
	return $listado_Seccion;
	}
	
	function getSeccion($id_seccion){
		$cbd = new controlador_bd_Seccion();
		$filtro["id_seccion"] = $id_seccion;
		$listado_Seccion_arr = $cbd->getListadoSeccion_BD($filtro,$extra);
		if ($listado_Seccion_arr) return new Seccion($listado_Seccion_arr[0]);
		return null;
	}
	
	function guardarSeccion($Seccion){
		$cbd = new controlador_bd_Seccion();
		$id_seccion = $Seccion->get_id_seccion();
		$nombre = $Seccion->get_nombre();
		$id_modulo = $Seccion->get_id_modulo();
		$path_menu = $Seccion->get_path_menu();
		$ayuda = $Seccion->get_ayuda();
		$Seccion_bd = new Seccion_BD ($nombre, $id_modulo, $path_menu, $ayuda, $id_seccion);
		return $cbd->guardarSeccion_BD($Seccion_bd);
	}
	
	function actualizarSeccion($Seccion){
		$cbd = new controlador_bd_Seccion();
		$id_seccion = $Seccion->get_id_seccion();
		$nombre = $Seccion->get_nombre();
		$id_modulo = $Seccion->get_id_modulo();
		$path_menu = $Seccion->get_path_menu();
		$ayuda = $Seccion->get_ayuda();
		$Seccion_bd = new Seccion_BD ($nombre, $id_modulo, $path_menu, $ayuda, $id_seccion);
		return $cbd->actualizarSeccion_BD($Seccion_bd);
	}
	
	function eliminarSeccion($id_seccion){
		$cbd = new controlador_bd_Seccion();
		return $cbd->eliminarSeccion_BD($id_seccion);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
