<?	
	$old = getcwd();
	$new = "../../";
	chdir($new);
	
	include_once("validate_session.php");
	
	$op = checkGET("op", 0);
	$url = "../../index_session.php?i=modulos/orden_trabajo/";
	
	switch ($op){
		
		//--------------------------------------------------Guarda una Actividad de OT a la DB
		case "save": 			
			
			//debug($_POST);

			$id_ot 				= checkPOST("id_ot", 0);
			$nombre_act 		= checkPOST("nombre_actividad", "");
			$observacion_act	= checkPOST("observacion_actividad", "");
			$estado = 1;
			
			$fi = checkPOST("FIYear","") . checkPOST("FIMonth","") . checkPOST("FIDay","");
			$hi = checkPOST("HIHour","") . checkPOST("HIMinute","");
			$fecha_inicio = $fi . $hi;
						
			$ft = checkPOST("FTYear","") . checkPOST("FTMonth","") . checkPOST("FTDay","");
			$ht = checkPOST("HTHour","") . checkPOST("HTMinute","");			
			$fecha_termino = $ft . $ht;
						
			$ot_actividad = new Ot_actividad($id_ot, $nombre_act, $observacion_act, $fecha_inicio, $fecha_termino, $estado);
			$id_ot_actividad = Ot_actividad_guardarOt_actividad($ot_actividad);
			
			$url .= "ot_detalle_ot&id_ot=$id_ot";
			header("Location: $url");
			break;
		
			
		//--------------------------------------------------Guarda una Actividad de OT a la DB
		case "save_real": 			
			
			//debug($_POST);

			$id_ot 				= checkPOST("id_ot", 0);
			$nombre_act 		= checkPOST("nombre_actividad", "");
			$observacion_act	= checkPOST("observacion_actividad", "");
			$estado = 1;
			
			$fi = checkPOST("FIYear","") . checkPOST("FIMonth","") . checkPOST("FIDay","");
			$hi = checkPOST("HIHour","") . checkPOST("HIMinute","");
			$fecha_inicio = $fi . $hi;
						
			$ft = checkPOST("FTYear","") . checkPOST("FTMonth","") . checkPOST("FTDay","");
			$ht = checkPOST("HTHour","") . checkPOST("HTMinute","");			
			$fecha_termino = $ft . $ht;
						
			$ot_actividad = new Ot_actividad_real($id_ot, $nombre_act, $observacion_act, $fecha_inicio, $fecha_termino, $estado);
			$id_ot_actividad = Ot_actividad_real_guardarOt_actividad_real($ot_actividad);
			
			$url .= "ot_rendicion_cuentas&id_ot=$id_ot";
			header("Location: $url");
			break;
			
			
			
		//--------------------------------------------------Edita una Actividad de OT
		case "edit": 			
			
			//debug($_POST);

			$id_ot 				= checkPOST("id_ot", 0);
			$id_act				= checkPOST("id_act", 0);
			$nombre_act 		= checkPOST("nombre_actividad", "");
			$observacion_act	= checkPOST("observacion_actividad", "");
			$estado = 1;
			
			$fi = checkPOST("FIYear","") . checkPOST("FIMonth","") . checkPOST("FIDay","");
			$hi = checkPOST("HIHour","") . checkPOST("HIMinute","");
			$fecha_inicio = $fi . $hi;
						
			$ft = checkPOST("FTYear","") . checkPOST("FTMonth","") . checkPOST("FTDay","");
			$ht = checkPOST("HTHour","") . checkPOST("HTMinute","");			
			$fecha_termino = $ft . $ht;
						
			$ot_actividad = new Ot_actividad($id_ot, $nombre_act, $observacion_act, $fecha_inicio, $fecha_termino, $estado, $id_act);
			Ot_actividad_actualizarOt_actividad($ot_actividad);
			//$id_ot_actividad = Ot_actividad_guardarOt_actividad($ot_actividad);
			//debug($ot_actividad);
			
			$url .= "ot_detalle_ot&id_ot=$id_ot";
			header("Location: $url");
			break;
			
		
		//--------------------------------------------------Edita una Actividad Real de OT 
		case "edit_real": 			
			
			//debug($_POST);

			$id_ot 				= checkPOST("id_ot", 0);
			$id_act				= checkPOST("id_act", 0);
			$nombre_act 		= checkPOST("nombre_actividad", "");
			$observacion_act	= checkPOST("observacion_actividad", "");
			$estado = 1;
			
			$fi = checkPOST("FIYear","") . checkPOST("FIMonth","") . checkPOST("FIDay","");
			$hi = checkPOST("HIHour","") . checkPOST("HIMinute","");
			$fecha_inicio = $fi . $hi;
						
			$ft = checkPOST("FTYear","") . checkPOST("FTMonth","") . checkPOST("FTDay","");
			$ht = checkPOST("HTHour","") . checkPOST("HTMinute","");			
			$fecha_termino = $ft . $ht;
						
			$ot_actividad = new Ot_actividad($id_ot, $nombre_act, $observacion_act, $fecha_inicio, $fecha_termino, $estado, $id_act);
			Ot_actividad_real_actualizarOt_actividad_real($ot_actividad);
			//$id_ot_actividad = Ot_actividad_guardarOt_actividad($ot_actividad);
			//debug($ot_actividad);
			
			$url .= "ot_rendicion_cuentas&id_ot=$id_ot";
			header("Location: $url");
			break;
		
			
		//--------------------------------------------------Eliminar una Actividad de OT
		case "del": 			
			
			$id_ot_actividad 	= checkGET("id_act", 0);
			$id_ot 				= checkGET("id_ot", 0);
			
			//debug($id_ot_actividad);
			Ot_actividad_eliminarOt_actividad($id_ot_actividad);
			
			$url .= "ot_detalle_ot&id_ot=$id_ot";
			header("Location: $url");
			break;
		
		//--------------------------------------------------Eliminar una Actividad de OT
		case "del_real": 			
			
			$id_ot_actividad 	= checkGET("id_act", 0);
			$id_ot 				= checkGET("id_ot", 0);
			
			//debug($id_ot_actividad);
			Ot_actividad_real_eliminarOt_actividad_real($id_ot_actividad);
			
			$url .= "ot_rendicion_cuentas&id_ot=$id_ot";
			header("Location: $url");
			break;
			
			
		//--------------------------------------------------Eliminar un Item de la OT
		case "del_item": 			
			
			$id_actividad_item = checkGET("id_actividad_item", 0);
			Ot_actividad_item_eliminarOt_actividad_item($id_actividad_item);
			$id_act = checkGET("id_act", 0);
			//debug($id_actividad_item);
					
			$url .= "ot_items_por_actividad&id_act=$id_act";
			header("Location: $url");
			break;
		
		
		//--------------------------------------------------Eliminar un Item de la OT
		case "del_item_real": 			
			
			$id_actividad_item = checkGET("id_actividad_item", 0);
			$id_act = checkGET("id_act", 0);
			Ot_actividad_item_real_eliminarOt_actividad_item_real($id_actividad_item);
			
					
			$url .= "ot_items_por_actividad_real&id_act=$id_act";
			header("Location: $url");
			break;
			
		
		//-------------------------------------------------- Finaliza la Programacion de una OT
		case "fin_prog":
			//debug($_GET);
			$id_ot = checkGET("id_ot", 0);
			$ot = Orden_trabajo_getOrden_trabajo($id_ot);
			$ot->set_estado(2);
			Orden_trabajo_actualizarOrden_trabajo($ot);
			
			$listado_actividad_ot = Ot_actividad_getListadoOt_actividad($id_ot);
			
			foreach ($listado_actividad_ot as $actividad){
				
				$id_actividad = $actividad->get_id_actividad();
				$listado_actividad_item = Ot_actividad_item_getListadoOt_actividad_item($id_actividad);
				
				$id_actividad_real = Ot_actividad_real_guardarOt_actividad_real($actividad);
								
				foreach ($listado_actividad_item as $item){					
					//$item = new Ot_actividad_item_real();
					$item->set_id_actividad($id_actividad_real);
					Ot_actividad_item_real_guardarOt_actividad_item_real($item);
				}
			}
			
			
			$url .= "ot_resumen_ot";
			header("Location: $url");
			break;
	

		//-------------------------------------------------- Da la OT por finalizada
		case "fin_ot":
			//debug($_GET);
			$id_ot = checkGET("id_ot", 0);
			$ot = Orden_trabajo_getOrden_trabajo($id_ot);
			$ot->set_estado(3);
			$ot->set_fecha_finalizacion(date("Ymd", time())); 
			Orden_trabajo_actualizarOrden_trabajo($ot);
			
			$url .= "ot_resumen_ot";
			header("Location: $url");
			break;
	
		
		
		case "fac_ot":
			//debug($_GET);
			$id_ot = checkGET("id_ot", 0);
			$ot = Orden_trabajo_getOrden_trabajo($id_ot);
			$ot->set_estado(4);
			//$ot->set_fecha_finalizacion(date("Ymd", time())); 
			Orden_trabajo_actualizarOrden_trabajo($ot);
			
			$url .= "ot_resumen_ot";
			header("Location: $url");
			break;
	
			
		case "vb_ventas":
			//debug($_GET);
			$id_ot = checkGET("id_ot", 0);
			$ot = Orden_trabajo_getOrden_trabajo($id_ot);
			$ot->set_estado(5);
			//$ot->set_fecha_finalizacion(date("Ymd", time())); 
			Orden_trabajo_actualizarOrden_trabajo($ot);
			
			$url .= "ot_facturar_ot";
			header("Location: $url");
			break;
		
		
		
		
			
		//------------------------------------------------------------------------------Anula una factura
		case "save_responsable":
			
			//debug($_POST);
			
			$id_analisis_viaje = checkPOST("id_analisis_viaje", 0);
			$ot_responsable = new Ot_responsable();
			$ot_responsable = Ot_responsable_getOt_responsable($id_analisis_viaje);
			
//			debug($ot_responsable);
			
			if (!$ot_responsable){
				$ot_responsable = new Ot_responsable();	
			}
			
//			debug($ot_responsable);
			
			$ot_responsable->id_conductor	= checkPOST("id_conductor", 0);
			$ot_responsable->id_tracto		= checkPOST("id_tracto", 0);
			$ot_responsable->id_equipo		= checkPOST("id_equipo", 0);
			
//			debug($ot_responsable);
			
			if (!$ot_responsable->id_analisis_viaje){
				$ot_responsable->id_analisis_viaje 		= $id_analisis_viaje;
				Ot_responsable_guardarOt_responsable($ot_responsable);				
			}else{
				Ot_responsable_actualizarOt_responsable($ot_responsable);
			}
			
			
			header("Location: asignar_responsable.php?id_analisis_viaje=$id_analisis_viaje");
			
			break;
		
			/*				
		//------------------------------------------------------------------------------Enviar una factura
		case "enviar":
		
			$id_factura = checkGET("id_factura", 0);
			$factura = Factura_getFactura($id_factura);
			$factura->set_estado(2);
			$factura->set_fecha_emision(date("Ymd", time())); 
			Factura_actualizarFactura($factura);
			//debug($factura);
			header("Location: ../../index_session.php?i=modulos/facturacion/fact_buscar_factura");		
			break;
			
		//------------------------------------------------------------------------------Enviar una factura
		case "cancelar":
		
			$id_factura = checkGET("id_factura", 0);
			$factura = Factura_getFactura($id_factura);
			$factura->set_estado(3);
			$factura->set_fecha_cancelacion(date("Ymd", time())); 
			Factura_actualizarFactura($factura);
			//debug($factura);
			header("Location: ../../index_session.php?i=modulos/facturacion/fact_buscar_factura");		
			break;
			*/
	}
		
	
	chdir($old);
?>