<?

//------------------------------------------------------------------------------
	//	CLASE LOGICA
//------------------------------------------------------------------------------

class Cont_cartola_bancaria{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	private $id_cartola_bancaria;
	private $numero_cartola;
	private $numero_cuenta;
	private $periodo_inicio;
	private $periodo_final;
	private $nombre_ejecutivo;
	private $telefono_ejecutivo;
	private $saldo_inicial;
	private $saldo_final;
	private $monto_sobregiro;
	private $sobregiro_utilizado;
	private $vencimiento_sobregiro;
	private $id_empresa;
	private $id_banco;
	private $extra3;
	
	//CONSTRUCTOR
	public function __construct ($Cont_cartola_bancaria_BD)
	{
	if ($Cont_cartola_bancaria_BD){
		$this->id_cartola_bancaria = $Cont_cartola_bancaria_BD->get_id_cartola_bancaria();
		$this->numero_cartola = $Cont_cartola_bancaria_BD->get_numero_cartola();
		$this->numero_cuenta = $Cont_cartola_bancaria_BD->get_numero_cuenta();
		$this->periodo_inicio = $Cont_cartola_bancaria_BD->get_periodo_inicio();
		$this->periodo_final = $Cont_cartola_bancaria_BD->get_periodo_final();
		$this->nombre_ejecutivo = $Cont_cartola_bancaria_BD->get_nombre_ejecutivo();
		$this->telefono_ejecutivo = $Cont_cartola_bancaria_BD->get_telefono_ejecutivo();
		$this->saldo_inicial = $Cont_cartola_bancaria_BD->get_saldo_inicial();
		$this->saldo_final = $Cont_cartola_bancaria_BD->get_saldo_final();
		$this->monto_sobregiro = $Cont_cartola_bancaria_BD->get_monto_sobregiro();
		$this->sobregiro_utilizado = $Cont_cartola_bancaria_BD->get_sobregiro_utilizado();
		$this->vencimiento_sobregiro = $Cont_cartola_bancaria_BD->get_vencimiento_sobregiro();
		$this->id_empresa = $Cont_cartola_bancaria_BD->get_id_empresa();
		$this->id_banco = $Cont_cartola_bancaria_BD->get_id_banco();
		$this->extra3 = $Cont_cartola_bancaria_BD->get_extra3();
	}
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------
	public function get_banco(){
		$cuenta = Cuenta_getCuenta($this->id_banco);
		if ($cuenta){
			return $cuenta->get_nombre();
		}
	}
	
	public function get_id_cartola_bancaria(){
		return ($this->id_cartola_bancaria);
	}
	
	public function get_numero_cartola(){
		return ($this->numero_cartola);
	}
	
	public function get_numero_cuenta(){
		return ($this->numero_cuenta);
	}
	
	public function get_periodo_inicio(){
		return ($this->periodo_inicio);
	}
	
	public function get_periodo_final(){
		return ($this->periodo_final);
	}
	
	public function get_nombre_ejecutivo(){
		return ($this->nombre_ejecutivo);
	}
	
	public function get_telefono_ejecutivo(){
		return ($this->telefono_ejecutivo);
	}
	
	public function get_saldo_inicial(){
		return ($this->saldo_inicial);
	}
	
	public function get_saldo_final(){
		return ($this->saldo_final);
	}
	
	public function get_monto_sobregiro(){
		return ($this->monto_sobregiro);
	}
	
	public function get_sobregiro_utilizado(){
		return ($this->sobregiro_utilizado);
	}
	
	public function get_vencimiento_sobregiro(){
		return ($this->vencimiento_sobregiro);
	}
	
	public function get_id_empresa(){
		return ($this->id_empresa);
	}
	
	public function get_id_banco(){
		return ($this->id_banco);
	}
	
	public function get_extra3(){
		return ($this->extra3);
	}
	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	public function set_id_cartola_bancaria($id_cartola_bancaria){
		$this->id_cartola_bancaria = $id_cartola_bancaria;
	}
	
	public function set_numero_cartola($numero_cartola){
		$this->numero_cartola = $numero_cartola;
	}
	
	public function set_numero_cuenta($numero_cuenta){
		$this->numero_cuenta = $numero_cuenta;
	}
	
	public function set_periodo_inicio($periodo_inicio){
		$this->periodo_inicio = $periodo_inicio;
	}
	
	public function set_periodo_final($periodo_final){
		$this->periodo_final = $periodo_final;
	}
	
	public function set_nombre_ejecutivo($nombre_ejecutivo){
		$this->nombre_ejecutivo = $nombre_ejecutivo;
	}
	
	public function set_telefono_ejecutivo($telefono_ejecutivo){
		$this->telefono_ejecutivo = $telefono_ejecutivo;
	}
	
	public function set_saldo_inicial($saldo_inicial){
		$this->saldo_inicial = $saldo_inicial;
	}
	
	public function set_saldo_final($saldo_final){
		$this->saldo_final = $saldo_final;
	}
	
	public function set_monto_sobregiro($monto_sobregiro){
		$this->monto_sobregiro = $monto_sobregiro;
	}
	
	public function set_sobregiro_utilizado($sobregiro_utilizado){
		$this->sobregiro_utilizado = $sobregiro_utilizado;
	}
	
	public function set_vencimiento_sobregiro($vencimiento_sobregiro){
		$this->vencimiento_sobregiro = $vencimiento_sobregiro;
	}
	
	public function set_id_empresa($id_empresa){
		$this->id_empresa = $id_empresa;
	}
	
	public function set_id_banco($id_banco){
		$this->id_banco = $id_banco;
	}
	
	public function set_extra3($extra3){
		$this->extra3 = $extra3;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

?>
