<?

//------------------------------------------------------------------------------
//	CLASE LOGICA
//------------------------------------------------------------------------------

class Cont_detalle_comprobante_pago{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	private $id_detalle_comprobante_pago;
	private $id_comprobante_pago;
	private $id_documento;
	private $valor;
	private $saldo_documento;
	private $extra2;
	private $extra3;
	private $tipo_documento;
	
	private $numero_documento;
	private $fecha_documento;
	private $total_exento;
	private $total_neto;
	private $total_iva;
	private $total_bruto;
	private $total_saldos;

	//CONSTRUCTOR
	public function __construct ($Cont_detalle_comprobante_pago_BD)
	{
		if ($Cont_detalle_comprobante_pago_BD){
			$this->id_detalle_comprobante_pago = $Cont_detalle_comprobante_pago_BD->get_id_detalle_comprobante_pago();
			$this->id_comprobante_pago = $Cont_detalle_comprobante_pago_BD->get_id_comprobante_pago();
			$this->id_documento = $Cont_detalle_comprobante_pago_BD->get_id_documento();
			$this->valor = $Cont_detalle_comprobante_pago_BD->get_valor();
			$this->saldo_documento = $Cont_detalle_comprobante_pago_BD->get_saldo_documento();
			$this->extra2 = $Cont_detalle_comprobante_pago_BD->get_extra2();
			$this->extra3 = $Cont_detalle_comprobante_pago_BD->get_extra3();
			$this->tipo_documento = $Cont_detalle_comprobante_pago_BD->get_tipo_documento();
			switch ($this->tipo_documento){
				case "GD":

					$documento = guia_despacho_getguia_despacho($this->id_documento);
					if ($documento)
					{
						$this->numero_documento = $documento->get_nro_guia();
						$this->fecha_documento  = $documento->get_fecha_documento();
						$this->monto  		= $documento->monto;
						$this->pago_cliente	= $documento->pago_cliente;
						$this->saldo		= $documento->saldo;
					}
				break;
				case "FC":
					$documento = new Recepcion();
					$documento = Recepcion_getRecepcion($this->id_documento);
					if ($documento)
					{
						$this->numero_documento = $documento->get_numero_documento();
						$this->fecha_documento  = $documento->get_fecha_documento();
						$this->total_neto  	= $documento->get_total();
						$this->total_pagos	= $documento->get_pagos();
						$this->total_saldos	= $documento->get_total()-$documento->get_pagos();
					}
				break;
				case "BH":
					$clog_boleta = new Controlador_Logico_Boleta();
					$documento = $clog_boleta->getBoleta($this->id_documento);
				break;
			}

			
		}
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
	//------------------------------------------------------------------------------
	public function get_total_exento(){
		return ($this->total_exento);
	}

	public function get_total_neto(){
		return ($this->total_neto);
	}
	
	public function get_total_saldos(){
		return ($this->total_saldos);
	}
	
	public function get_total_bruto(){
		return ($this->total_bruto);
	}
	
	public function get_total_iva(){
		return ($this->total_iva);
	}
	
	public function get_fecha_documento(){
		return ($this->fecha_documento);
	}
	
	public function get_numero_documento(){
		return ($this->numero_documento);
	}
		
	public function get_id_detalle_comprobante_pago(){
		return ($this->id_detalle_comprobante_pago);
	}

	public function get_id_comprobante_pago(){
		return ($this->id_comprobante_pago);
	}

	public function get_id_documento(){
		return ($this->id_documento);
	}

	public function get_valor(){
		return ($this->valor);
	}

	public function get_saldo_documento(){
		return ($this->saldo_documento);
	}

	public function get_extra2(){
		return ($this->extra2);
	}

	public function get_extra3(){
		return ($this->extra3);
	}

	public function get_tipo_documento(){
		return ($this->tipo_documento);
	}


	//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
	//------------------------------------------------------------------------------

	public function set_id_detalle_comprobante_pago($id_detalle_comprobante_pago){
		$this->id_detalle_comprobante_pago = $id_detalle_comprobante_pago;
	}

	public function set_id_comprobante_pago($id_comprobante_pago){
		$this->id_comprobante_pago = $id_comprobante_pago;
	}

	public function set_id_documento($id_documento){
		$this->id_documento = $id_documento;
	}

	public function set_valor($valor){
		$this->valor = $valor;
	}

	public function set_saldo_documento($saldo_documento){
		$this->saldo_documento = $saldo_documento;
	}

	public function set_extra2($extra2){
		$this->extra2 = $extra2;
	}

	public function set_extra3($extra3){
		$this->extra3 = $extra3;
	}

	public function set_tipo_documento($tipo_documento){
		$this->tipo_documento = $tipo_documento;
	}



}
//------------------------------------------------------------------------------
//	FIN CLASE
//------------------------------------------------------------------------------

?>
