<?

//------------------------------------------------------------------------------
//	CLASE LOGICA
//------------------------------------------------------------------------------

class Cont_detalle_comprobante_temporal{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	private $id_detalle_comprobante;
	private $id_comprobante;
	private $id_cuenta;
	private $id_tipo_documento;
	private $id_documento;
	private $rut;
	private $descripcion;
	private $debe;
	private $haber;
	private $estado;
	private $tipo_comprobante;
	private $id_cliente_proveedor;
	private $id_centro_costo;
	private $id_detalle_comprobante_pago;
	private $extra3;
	private $extra4;
	private $extra5;

	private $codigo_cuenta;
	private $descripcion_cuenta;
	
	private $nombre_tipo_documento;

	private $numero_comprobante;
	private $tipo_comprobante_contable;
	private $fecha_comprobante;
	private $nombre_tipo_comprobante_contable;
	
	private $nombre_centro_costo;
	
	private $glosa_comprobante;
	//CONSTRUCTOR
	public function __construct ($Cont_detalle_comprobante_temporal_BD)
	{
		if ($Cont_detalle_comprobante_temporal_BD){
			
			$this->id_detalle_comprobante = $Cont_detalle_comprobante_temporal_BD->get_id_detalle_comprobante();
			$this->id_comprobante = $Cont_detalle_comprobante_temporal_BD->get_id_comprobante();
			$this->id_cuenta = $Cont_detalle_comprobante_temporal_BD->get_id_cuenta();
			$this->id_tipo_documento = $Cont_detalle_comprobante_temporal_BD->get_id_tipo_documento();
			$this->id_documento = $Cont_detalle_comprobante_temporal_BD->get_id_documento();
			$this->rut = $Cont_detalle_comprobante_temporal_BD->get_rut();
			$this->descripcion = $Cont_detalle_comprobante_temporal_BD->get_descripcion();
			$this->debe = $Cont_detalle_comprobante_temporal_BD->get_debe();
			$this->haber = $Cont_detalle_comprobante_temporal_BD->get_haber();
			$this->estado = $Cont_detalle_comprobante_temporal_BD->get_estado();
			$this->tipo_comprobante = $Cont_detalle_comprobante_temporal_BD->get_tipo_comprobante();
			$this->id_cliente_proveedor = $Cont_detalle_comprobante_temporal_BD->get_id_cliente_proveedor();
			$this->id_centro_costo = $Cont_detalle_comprobante_temporal_BD->get_id_centro_costo();
			$this->id_detalle_comprobante_pago = $Cont_detalle_comprobante_temporal_BD->get_id_detalle_comprobante_pago();
			$this->extra3 = $Cont_detalle_comprobante_temporal_BD->get_extra3();
			$this->extra4 = $Cont_detalle_comprobante_temporal_BD->get_extra4();
			$this->extra5 = $Cont_detalle_comprobante_temporal_BD->get_extra5();
			
			$cuenta = new Cuenta();
			$cuenta = Cuenta_getCuenta($this->id_cuenta);
			if ($cuenta){
				$this->codigo_cuenta = $cuenta->get_codigo();
				$this->descripcion_cuenta = $cuenta->get_nombre();
			}
			
			$clog_tipo_documento = new Controlador_Logico_Cont_tipo_documento();
			$tipo_doc = $clog_tipo_documento->getCont_tipo_documento($this->id_tipo_documento);
			
			if ($tipo_doc){
				$this->nombre_tipo_documento = $tipo_doc->get_nombre();
			}
			
			$clog_cc = new Controlador_Logico_Cont_comprobante();
			$cc = $clog_cc->getCont_comprobante($this->id_comprobante);
			if ($cc){
				$this->numero_comprobante = $cc->get_numero();
				$this->tipo_comprobante_contable = $cc->get_tipo_comprobante();
				$this->nombre_tipo_comprobante_contable = $cc->get_nombre_tipo_comprobante();
				$this->fecha_comprobante = $cc->get_fecha_creacion();
				$this->glosa_comprobante = $cc->get_descripcion();
			}
			
			$centro_costo = Sub_centro_costo_getSub_centro_costo($this->id_centro_costo);
			if ($centro_costo){
				$this->nombre_centro_costo = $centro_costo->get_nombre_compuesto();
			}
		}
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
	//------------------------------------------------------------------------------
	public function get_glosa_comprobante(){
		return ($this->glosa_comprobante);
	}		
	
	public function get_fecha_comprobante(){
		return ($this->fecha_comprobante);
	}	
	
	public function get_nombre_centro_costo(){
		return ($this->nombre_centro_costo);
	}		
	
	public function get_numero_comprobante(){
		return ($this->numero_comprobante);
	}

	public function get_tipo_comprobante_contable(){
		return ($this->tipo_comprobante_contable);
	}
	
	public function get_nombre_tipo_comprobante_contable(){
		return ($this->nombre_tipo_comprobante_contable);
	}

	public function get_nombre_tipo_documento(){
		return ($this->nombre_tipo_documento);
	}
	
	public function get_codigo_cuenta(){
		return ($this->codigo_cuenta);
	}

	public function get_descripcion_cuenta(){
		return ($this->descripcion_cuenta);
	}
	
	public function get_id_detalle_comprobante(){
		return ($this->id_detalle_comprobante);
	}

	public function get_id_comprobante(){
		return ($this->id_comprobante);
	}

	public function get_id_cuenta(){
		return ($this->id_cuenta);
	}

	public function get_id_tipo_documento(){
		return ($this->id_tipo_documento);
	}

	public function get_id_documento(){
		return ($this->id_documento);
	}

	public function get_rut(){
		return ($this->rut);
	}

	public function get_descripcion(){
		return ($this->descripcion);
	}

	public function get_debe(){
		return ($this->debe);
	}

	public function get_haber(){
		return ($this->haber);
	}

	public function get_estado(){
		return ($this->estado);
	}

	public function get_tipo_comprobante(){
		return ($this->tipo_comprobante);
	}

	public function get_id_cliente_proveedor(){
		return ($this->id_cliente_proveedor);
	}

	public function get_id_centro_costo(){
		return ($this->id_centro_costo);
	}

	public function get_id_detalle_comprobante_pago(){
		return ($this->id_detalle_comprobante_pago);
	}

	public function get_extra3(){
		return ($this->extra3);
	}

	public function get_extra4(){
		return ($this->extra4);
	}

	public function get_extra5(){
		return ($this->extra5);
	}


	//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
	//------------------------------------------------------------------------------

	public function set_id_detalle_comprobante($id_detalle_comprobante){
		$this->id_detalle_comprobante = $id_detalle_comprobante;
	}

	public function set_id_comprobante($id_comprobante){
		$this->id_comprobante = $id_comprobante;
	}

	public function set_id_cuenta($id_cuenta){
		$this->id_cuenta = $id_cuenta;
	}

	public function set_id_tipo_documento($id_tipo_documento){
		$this->id_tipo_documento = $id_tipo_documento;
	}

	public function set_id_documento($id_documento){
		$this->id_documento = $id_documento;
	}

	public function set_rut($rut){
		$this->rut = $rut;
	}

	public function set_descripcion($descripcion){
		$this->descripcion = $descripcion;
	}

	public function set_debe($debe){
		$this->debe = $debe;
	}

	public function set_haber($haber){
		$this->haber = $haber;
	}

	public function set_estado($estado){
		$this->estado = $estado;
	}

	public function set_tipo_comprobante($tipo_comprobante){
		$this->tipo_comprobante = $tipo_comprobante;
	}

	public function set_id_cliente_proveedor($id_cliente_proveedor){
		$this->id_cliente_proveedor = $id_cliente_proveedor;
	}

	public function set_id_centro_costo($id_centro_costo){
		$this->id_centro_costo = $id_centro_costo;
	}

	public function set_id_detalle_comprobante_pago($id_detalle_comprobante_pago){
		$this->id_detalle_comprobante_pago = $id_detalle_comprobante_pago;
	}

	public function set_extra3($extra3){
		$this->extra3 = $extra3;
	}

	public function set_extra4($extra4){
		$this->extra4 = $extra4;
	}

	public function set_extra5($extra5){
		$this->extra5 = $extra5;
	}



}
//------------------------------------------------------------------------------
//	FIN CLASE
//------------------------------------------------------------------------------

?>
