<?

//------------------------------------------------------------------------------
	//	CLASE LOGICA
//------------------------------------------------------------------------------

class Cont_formulario29{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	private $id_form29;
	private $id_empresa;
	private $id_contador;
	private $fecha_proceso;
	private $facturas_recibidas;
	private $facturas_emitidas;
	private $iva_debito_fiscal;
	private $iva_credito_fiscal;
	private $iva_determinado;
	private $ppm_correspondiente;
	private $total_a_pagar;
	private $remanente;
	private $ppm_porcentaje;
	private $retencion;
	private $fecha_creacion;
	private $impuesto_unico;
	private $fecha_proceso_show;
	//CONSTRUCTOR
	public function __construct ($Cont_formulario29_BD)
	{
	if ($Cont_formulario29_BD){
		$this->id_form29 = $Cont_formulario29_BD->get_id_form29();
		$this->id_empresa = $Cont_formulario29_BD->get_id_empresa();
		$this->id_contador = $Cont_formulario29_BD->get_id_contador();
		$this->fecha_proceso = $Cont_formulario29_BD->get_fecha_proceso();
		$this->facturas_recibidas = $Cont_formulario29_BD->get_facturas_recibidas();
		$this->facturas_emitidas = $Cont_formulario29_BD->get_facturas_emitidas();
		$this->iva_debito_fiscal = $Cont_formulario29_BD->get_iva_debito_fiscal();
		$this->iva_credito_fiscal = $Cont_formulario29_BD->get_iva_credito_fiscal();
		$this->iva_determinado = $Cont_formulario29_BD->get_iva_determinado();
		$this->ppm_correspondiente = $Cont_formulario29_BD->get_ppm_correspondiente();
		$this->total_a_pagar = $Cont_formulario29_BD->get_total_a_pagar();
		$this->remanente = $Cont_formulario29_BD->get_remanente();
		$this->ppm_porcentaje = $Cont_formulario29_BD->get_ppm_porcentaje();
		$this->retencion = $Cont_formulario29_BD->get_retencion();
		$this->fecha_creacion = $Cont_formulario29_BD->get_fecha_creacion();
		$this->impuesto_unico = $Cont_formulario29_BD->get_impuesto_unico();
		$this->fecha_proceso_show = convertir_fecha_proceso(substr($this->fecha_proceso,4,2),substr($this->fecha_proceso,0,4));
	}
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------
	public function get_impuesto_unico(){
		return ($this->impuesto_unico);
	}
	
	public function get_fecha_proceso_show(){
		return ($this->fecha_proceso_show);
	}

	public function get_id_form29(){
		return ($this->id_form29);
	}
	
	public function get_id_empresa(){
		return ($this->id_empresa);
	}
	
	public function get_id_contador(){
		return ($this->id_contador);
	}
	
	public function get_fecha_proceso(){
		return ($this->fecha_proceso);
	}
	
	public function get_facturas_recibidas(){
		return ($this->facturas_recibidas);
	}
	
	public function get_facturas_emitidas(){
		return ($this->facturas_emitidas);
	}
	
	public function get_iva_debito_fiscal(){
		return ($this->iva_debito_fiscal);
	}
	
	public function get_iva_credito_fiscal(){
		return ($this->iva_credito_fiscal);
	}
	
	public function get_iva_determinado(){
		return ($this->iva_determinado);
	}
	
	public function get_ppm_correspondiente(){
		return ($this->ppm_correspondiente);
	}
	
	public function get_total_a_pagar(){
		return ($this->total_a_pagar);
	}
	
	public function get_remanente(){
		return ($this->remanente);
	}
	
	public function get_ppm_porcentaje(){
		return ($this->ppm_porcentaje);
	}
	
	public function get_retencion(){
		return ($this->retencion);
	}
	
	public function get_fecha_creacion(){
		return ($this->fecha_creacion);
	}
	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------
	public function set_impuesto_unico($impuesto_unico){
		$this->impuesto_unico = $impuesto_unico;
	}

	public function set_id_form29($id_form29){
		$this->id_form29 = $id_form29;
	}
	
	public function set_id_empresa($id_empresa){
		$this->id_empresa = $id_empresa;
	}
	
	public function set_id_contador($id_contador){
		$this->id_contador = $id_contador;
	}
	
	public function set_fecha_proceso($fecha_proceso){
		$this->fecha_proceso = $fecha_proceso;
	}
	
	public function set_facturas_recibidas($facturas_recibidas){
		$this->facturas_recibidas = $facturas_recibidas;
	}
	
	public function set_facturas_emitidas($facturas_emitidas){
		$this->facturas_emitidas = $facturas_emitidas;
	}
	
	public function set_iva_debito_fiscal($iva_debito_fiscal){
		$this->iva_debito_fiscal = $iva_debito_fiscal;
	}
	
	public function set_iva_credito_fiscal($iva_credito_fiscal){
		$this->iva_credito_fiscal = $iva_credito_fiscal;
	}
	
	public function set_iva_determinado($iva_determinado){
		$this->iva_determinado = $iva_determinado;
	}
	
	public function set_ppm_correspondiente($ppm_correspondiente){
		$this->ppm_correspondiente = $ppm_correspondiente;
	}
	
	public function set_total_a_pagar($total_a_pagar){
		$this->total_a_pagar = $total_a_pagar;
	}
	
	public function set_remanente($remanente){
		$this->remanente = $remanente;
	}
	
	public function set_ppm_porcentaje($ppm_porcentaje){
		$this->ppm_porcentaje = $ppm_porcentaje;
	}
	
	public function set_retencion($retencion){
		$this->retencion = $retencion;
	}
	
	public function set_fecha_creacion($fecha_creacion){
		$this->fecha_creacion = $fecha_creacion;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

?>
