<?

//------------------------------------------------------------------------------
//	CLASE LOGICA
//------------------------------------------------------------------------------

class Cont_presupuesto_por_centro_costo{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	private $id_presupuesto_por_centro_costo;
	private $id_presupuesto;
	private $id_responsable;
	private $id_centro_costo;
	private $valor_presupuestado;
	private $valor_real;
	private $estado;
	private $extra2;
	private $extra3;
	
	private $nombre_responsable;
	private $nombre_centro_costo;

	//CONSTRUCTOR
	public function __construct ($Cont_presupuesto_por_centro_costo_BD)
	{
		if ($Cont_presupuesto_por_centro_costo_BD){
			$this->id_presupuesto_por_centro_costo = $Cont_presupuesto_por_centro_costo_BD->get_id_presupuesto_por_centro_costo();
			$this->id_presupuesto = $Cont_presupuesto_por_centro_costo_BD->get_id_presupuesto();
			$this->id_responsable = $Cont_presupuesto_por_centro_costo_BD->get_id_responsable();
			$this->id_centro_costo = $Cont_presupuesto_por_centro_costo_BD->get_id_centro_costo();
			$this->valor_presupuestado = $Cont_presupuesto_por_centro_costo_BD->get_valor_presupuestado();
			$this->valor_real = $Cont_presupuesto_por_centro_costo_BD->get_valor_real();
			$this->estado = $Cont_presupuesto_por_centro_costo_BD->get_estado();
			$this->extra2 = $Cont_presupuesto_por_centro_costo_BD->get_extra2();
			$this->extra3 = $Cont_presupuesto_por_centro_costo_BD->get_extra3();
			
			$contador = Contador_getContador($this->id_responsable);
			if ($contador)
				$this->nombre_responsable = $contador->get_nombre()." ".$contador->get_apellido();
			$centro_costo = Sub_centro_costo_getSub_centro_costo($this->id_centro_costo);
			
			if ($centro_costo){
				
				$this->nombre_centro_costo = $centro_costo->get_nombre();
			}
		}
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
	//------------------------------------------------------------------------------

	public function get_nombre_centro_costo(){
		return ($this->nombre_centro_costo);
	}
	
	public function get_nombre_responsable(){
		return ($this->nombre_responsable);
	}
	
	public function get_id_presupuesto_por_centro_costo(){
		return ($this->id_presupuesto_por_centro_costo);
	}

	public function get_id_presupuesto(){
		return ($this->id_presupuesto);
	}

	public function get_id_responsable(){
		return ($this->id_responsable);
	}

	public function get_id_centro_costo(){
		return ($this->id_centro_costo);
	}

	public function get_valor_presupuestado(){
		return ($this->valor_presupuestado);
	}

	public function get_valor_real(){
		return ($this->valor_real);
	}

	public function get_estado(){
		return ($this->estado);
	}

	public function get_extra2(){
		return ($this->extra2);
	}

	public function get_extra3(){
		return ($this->extra3);
	}


	//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
	//------------------------------------------------------------------------------

	public function set_id_presupuesto_por_centro_costo($id_presupuesto_por_centro_costo){
		$this->id_presupuesto_por_centro_costo = $id_presupuesto_por_centro_costo;
	}

	public function set_id_presupuesto($id_presupuesto){
		$this->id_presupuesto = $id_presupuesto;
	}

	public function set_id_responsable($id_responsable){
		$this->id_responsable = $id_responsable;
	}

	public function set_id_centro_costo($id_centro_costo){
		$this->id_centro_costo = $id_centro_costo;
	}

	public function set_valor_presupuestado($valor_presupuestado){
		$this->valor_presupuestado = $valor_presupuestado;
	}

	public function set_valor_real($valor_real){
		$this->valor_real = $valor_real;
	}

	public function set_estado($estado){
		$this->estado = $estado;
	}

	public function set_extra2($extra2){
		$this->extra2 = $extra2;
	}

	public function set_extra3($extra3){
		$this->extra3 = $extra3;
	}



}
//------------------------------------------------------------------------------
//	FIN CLASE
//------------------------------------------------------------------------------

?>
