<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Contacto{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_contacto;
	var $id_cliente;
	var $nombre_contacto;
	var $rut_contacto;
	var $area_contacto;
	var $fono_contacto;
	var $movil_contacto;
	var $fax_contacto;
	var $email_contacto;
	var $cargo_contacto;
	
	//CONSTRUCTOR
	function Contacto ($id_cliente, $nombre_contacto, $rut_contacto, $area_contacto, $fono_contacto, $movil_contacto, $fax_contacto, $email_contacto, $cargo_contacto, $id_contacto=0)
	{
		$this->id_contacto = $id_contacto;
		$this->id_cliente = $id_cliente;
		$this->nombre_contacto = $nombre_contacto;
		$this->rut_contacto = $rut_contacto;
		$this->area_contacto = $area_contacto;
		$this->fono_contacto = $fono_contacto;
		$this->movil_contacto = $movil_contacto;
		$this->fax_contacto = $fax_contacto;
		$this->email_contacto = $email_contacto;
		$this->cargo_contacto = $cargo_contacto;
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	function get_id_contacto(){
		return ($this->id_contacto);
	}
	
	function get_id_cliente(){
		return ($this->id_cliente);
	}
	
	function get_nombre_contacto(){
		return ($this->nombre_contacto);
	}
	
	function get_rut_contacto(){
		return ($this->rut_contacto);
	}
	
	function get_area_contacto(){
		return ($this->area_contacto);
	}
	
	function get_fono_contacto(){
		return ($this->fono_contacto);
	}
	
	function get_movil_contacto(){
		return ($this->movil_contacto);
	}
	
	function get_fax_contacto(){
		return ($this->fax_contacto);
	}
	
	function get_email_contacto(){
		return ($this->email_contacto);
	}
	
	function get_cargo_contacto(){
		return ($this->cargo_contacto);
	}
	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_contacto($id_contacto){
		$this->id_contacto = $id_contacto;
	}
	
	function set_id_cliente($id_cliente){
		$this->id_cliente = $id_cliente;
	}
	
	function set_nombre_contacto($nombre_contacto){
		$this->nombre_contacto = $nombre_contacto;
	}
	
	function set_rut_contacto($rut_contacto){
		$this->rut_contacto = $rut_contacto;
	}
	
	function set_area_contacto($area_contacto){
		$this->area_contacto = $area_contacto;
	}
	
	function set_fono_contacto($fono_contacto){
		$this->fono_contacto = $fono_contacto;
	}
	
	function set_movil_contacto($movil_contacto){
		$this->movil_contacto = $movil_contacto;
	}
	
	function set_fax_contacto($fax_contacto){
		$this->fax_contacto = $fax_contacto;
	}
	
	function set_email_contacto($email_contacto){
		$this->email_contacto = $email_contacto;
	}
	
	function set_cargo_contacto($cargo_contacto){
		$this->cargo_contacto = $cargo_contacto;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Contacto_getListadoContacto($id = 0){
		return Contacto_Fachada::getListadoContacto($id);
	}
	
	function Contacto_getContacto($id_contacto){
		return Contacto_Fachada::getContacto($id_contacto);
	}
	
	function Contacto_guardarContacto($objeto){
		return Contacto_Fachada::guardarContacto($objeto);
	}
	
	function Contacto_actualizarContacto($objeto){
		return Contacto_Fachada::actualizarContacto($objeto);
	}
	
	function Contacto_eliminarContacto($id_contacto){
		return Contacto_Fachada::eliminarContacto($id_contacto);
	}
	
	
	
?>
