<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------
$extra_var = null;
	// ================= Atributos Extras Provenientes de otras tablas
	// ================= Atributos Extras Provenientes de otras tablas
	$MAPEOS["DETALLE_GUIA_DESPACHO"] = $extra_var;
	
class Detalle_guia_despacho{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_detalle_guia_despacho;
	var $id_guia_despacho;
	var $id_producto;
	var $cantidad;
	var $precio_unitario;
	var $exento;
	var $descuento_porc;
	var $descuento_monto;
	var $total;
	var $estado;
	var $saldo_despacho;
	var $nombre_producto;
	var $descripcion;
	var $id_vale_venta;
	var $id_detalle_vale_venta;
	var $codigo_barra;
	var $monto_recepcion;
	var $saldo_devolucion;
	var $valor_neto;
	
	//CONSTRUCTOR
	function Detalle_guia_despacho ($id_guia_despacho, $id_producto, $cantidad, $precio_unitario, $exento, $descuento_porc, $descuento_monto, $total, $estado, $saldo_despacho, $descripcion, $id_vale_venta, $id_detalle_vale_venta, $codigo_barra, $id_detalle_guia_despacho=0)
	{
		$this->id_detalle_guia_despacho = $id_detalle_guia_despacho;
		$this->id_guia_despacho = $id_guia_despacho;
		$this->id_producto = $id_producto;
		$this->cantidad = $cantidad;
		$this->precio_unitario = $precio_unitario;
		$this->exento = $exento;
		$this->descuento_porc = $descuento_porc;
		$this->descuento_monto = $descuento_monto;
		$this->total = $total;
		$this->estado = $estado;
		$this->saldo_despacho = $saldo_despacho;
		$this->codigo_barra = $codigo_barra;
		
//		if ($id_producto){
//			$producto = new Producto();
//			$producto = Producto_getProducto($id_producto);
//			if ($producto){
//				$this->nombre_producto = $producto->get_descripcion();
//				$this->codigo_barra = $producto->get_codigo_barra();
//			}
//		}
		
		$this->descripcion = strtoupper($descripcion);
		$this->id_vale_venta = $id_vale_venta;
		$this->id_detalle_vale_venta = $id_detalle_vale_venta;
		
		
		if ($this->descuento_porc <> 0)
			$this->valor_real_unitario = $this->precio_unitario*(100-($this->descuento_porc))/100;

		if ($this->descuento_monto <> 0)
			$this->valor_real_unitario = $this->precio_unitario-$this->descuento_monto;

		$this->monto_recepcion = $this->saldo_despacho*$this->precio_unitario*(100-($this->descuento_porc))/100;
		$this->valor_neto		= $this->valor_real_unitario * $this->cantidad;
		$this->saldo_devolucion = $this->cantidad - $this->saldo_despacho;;

		$filtro_dvv["id_vale_venta"] = $this->id_vale_venta;
		$filtro_dvv["id_producto"] = $this->id_producto;
		$listado_detalle_vale_venta = Detalle_vale_venta_getListadoDetalle_vale_venta($filtro_dvv);
		if ($listado_detalle_vale_venta)
		{
			$detalle_vale_venta = $listado_detalle_vale_venta[0];
			$this->cantidad_original = $detalle_vale_venta->cantidad;
			$this->cantidad_pendiente = $detalle_vale_venta->cantidad-$detalle_vale_venta->cantidad_despachada;
			$this->cantidad_despachada = $detalle_vale_venta->cantidad_despachada;
		}

		$vv = Vale_venta_getVale_venta($this->id_vale_venta);
		if ($vv)
		{
			$this->nombre_vendedor = $vv->nombre_vendedor;
			$this->nombre_corto_vendedor = $vv->nombre_corto_vendedor;
			$id_vendedor = $vv->id_vendedor;
			$this->nombre_estado_pago_vale_venta = $vv->nombre_estado_pago;
			$this->fecha = $vv->fecha_emision;
			$this->nombre_sucursal = $vv->nombre_sucursal;
		}

		$this->nombre_tipo_documento = "Gua Electrnica";

		$guia_despacho = Guia_despacho_getGuia_despacho($this->id_guia_despacho);

		if ($guia_despacho)
			$this->nro_documento = $guia_despacho->nro_guia;

		$this->nombre_tipo_comprobante = "Vale venta";
		// CALCULO DE LA COMISIN VENDEDOR
		// Calcular comisin vendedor si GUIA no es NULA
		$clog_Comisiones_porcentajes = new Controlador_Logico_Comisiones_porcentajes();

		$filtro_comisiones_porcentajes["id_vendedor"] = $id_vendedor;
		$filtro_comisiones_porcentajes["id_familia"] = 8;
		$listado_comisiones_porcentajes = $clog_Comisiones_porcentajes->getListadoComisiones_porcentajes($filtro_comisiones_porcentajes, $extra_comisiones_porcentajes);
		if ($listado_comisiones_porcentajes)
			$porcentaje_comision = $listado_comisiones_porcentajes[0]->porcentaje;
		else
			$porcentaje_comision = 0;

		$this->monto_comision = round($porcentaje_comision/100*$this->total);


	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	function get_valor_real_unitario(){
		return ($this->valor_real_unitario);
	}
	
	function get_id_detalle_guia_despacho(){
		return ($this->id_detalle_guia_despacho);
	}
	
	function get_id_guia_despacho(){
		return ($this->id_guia_despacho);
	}
	
	function get_id_producto(){
		return ($this->id_producto);
	}
	
	function get_cantidad(){
		return ($this->cantidad);
	}
	
	function get_precio_unitario(){
		return ($this->precio_unitario);
	}
	
	function get_exento(){
		return ($this->exento);
	}
	
	function get_descuento_porc(){
		return ($this->descuento_porc);
	}
	
	function get_descuento_monto(){
		return ($this->descuento_monto);
	}
	
	function get_total(){
		return ($this->total);
	}
	
	function get_estado(){
		return ($this->estado);
	}
	
	function get_saldo_despacho(){
		return ($this->saldo_despacho);
	}
	
	function get_descripcion(){
		return ($this->descripcion);
	}
	
	function get_id_vale_venta(){
		return ($this->id_vale_venta);
	}
	
	function get_id_detalle_vale_venta(){
		return ($this->id_detalle_vale_venta);
	}
	
	function get_codigo_barra(){
		return ($this->codigo_barra);
	}

	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_detalle_guia_despacho($id_detalle_guia_despacho){
		$this->id_detalle_guia_despacho = $id_detalle_guia_despacho;
	}
	
	function set_id_guia_despacho($id_guia_despacho){
		$this->id_guia_despacho = $id_guia_despacho;
	}
	
	function set_id_producto($id_producto){
		$this->id_producto = $id_producto;
	}
	
	function set_cantidad($cantidad){
		$this->cantidad = $cantidad;
	}
	
	function set_precio_unitario($precio_unitario){
		$this->precio_unitario = $precio_unitario;
	}
	
	function set_exento($exento){
		$this->exento = $exento;
	}
	
	function set_descuento_porc($descuento_porc){
		$this->descuento_porc = $descuento_porc;
	}
	
	function set_descuento_monto($descuento_monto){
		$this->descuento_monto = $descuento_monto;
	}
	
	function set_total($total){
		$this->total = $total;
	}
	
	function set_estado($estado){
		$this->estado = $estado;
	}
	
	function set_saldo_despacho($saldo_despacho){
		$this->saldo_despacho = $saldo_despacho;
	}
	
	function set_descripcion($descripcion){
		$this->descripcion = $descripcion;
	}
	
	function set_id_vale_venta($id_vale_venta){
		$this->id_vale_venta = $id_vale_venta;
	}
	
	function set_id_detalle_vale_venta($id_detalle_vale_venta){
		$this->id_detalle_vale_venta = $id_detalle_vale_venta;
	}
	
	function set_codigo_barra($codigo_barra){
		$this->codigo_barra = $codigo_barra;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Detalle_guia_despacho_getListadoDetalle_guia_despacho($id=0){
		return Detalle_guia_despacho_Fachada::getListadoDetalle_guia_despacho($id);
	}
	
	function Detalle_guia_despacho_getDetalle_guia_despacho($id_detalle_guia_despacho){
		return Detalle_guia_despacho_Fachada::getDetalle_guia_despacho($id_detalle_guia_despacho);
	}
	
	function Detalle_guia_despacho_guardarDetalle_guia_despacho($objeto){
		return Detalle_guia_despacho_Fachada::guardarDetalle_guia_despacho($objeto);
	}
	
	function Detalle_guia_despacho_actualizarDetalle_guia_despacho($objeto){
		return Detalle_guia_despacho_Fachada::actualizarDetalle_guia_despacho($objeto);
	}
	
	function Detalle_guia_despacho_eliminarDetalle_guia_despacho($id_detalle_guia_despacho){
		return Detalle_guia_despacho_Fachada::eliminarDetalle_guia_despacho($id_detalle_guia_despacho);
	}
	
	function Detalle_guia_despacho_getListadoDetalle_guia_despacho_vale_venta($filtro,$extra){
		return Detalle_guia_despacho_Fachada::getListadoDetalle_guia_despacho_vale_venta($filtro,$extra);
	}
	
?>
