<?

//------------------------------------------------------------------------------
//	CLASE
//------------------------------------------------------------------------------

class Documento_compra{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	var $id_documento_compra;
	var $id_documento_compra_fk;
	var $id_proveedor;
	var $id_empresa;
	var $id_usuario;
	var $id_centro_costo;
	var $id_item_gasto;
	var $tipo_documento;
	var $folio;
	var $correlativo;
	var $id_impuesto;
	var $distribucion_gastos;
	var $numero_documento;
	var $fecha_digitacion;
	var $fecha_documento;
	var $fecha_cancelacion;
	var $fecha_modificacion;
	var $mes_proceso;
	var $ano_proceso;
	var $total_descuento;
	var $total_neto;
	var $total_exento;
	var $total_impuesto;
	var $total_iva;
	var $total_bruto;
	var $total_saldos;
	var $total_pagos;
	var $orden_compra;
	var $estado_compra;
	var $forma_pago;
	var $tipo_pago;
	var $observacion;
	var $fecha_vto_real;
	var $fecha_proceso;
	var $vencimiento;
	var $id_comprobante;
	var $id_sucursal;

	var $nombre_documento_compra;
	var $titulo_documento_compra;
	var $fecha_documento_calendario;

	var $rut_proveedor;
	var $nombre_proveedor;
	var $razon_social;

	var $distribucion_gastos_global;
	var $distribucion_gastos_detalle;

	var $global_detalle_vista;
	var $nombre_estado_compra;
	
	var $fecha_vencimiento;

	var $nombre_impuesto;
	
	var $nombre_tipo_documento;
	

	//CONSTRUCTOR
	function Documento_compra ($id_documento_compra_fk, $id_proveedor, $id_empresa, $id_usuario, $id_centro_costo, $id_item_gasto, $tipo_documento, $folio, $correlativo, $id_impuesto, $distribucion_gastos, $numero_documento, $fecha_digitacion, $fecha_documento, $fecha_cancelacion, $fecha_modificacion, $mes_proceso, $ano_proceso, $total_descuento, $total_neto, $total_exento, $total_impuesto, $total_iva, $total_bruto, $total_saldos, $total_pagos, $orden_compra, $estado_compra, $forma_pago, $tipo_pago, $observacion, $fecha_vto_real, $fecha_proceso, $vencimiento, $id_comprobante, $id_sucursal, $id_documento_compra=0)
	{
		$this->id_documento_compra = $id_documento_compra;
		$this->id_documento_compra_fk = $id_documento_compra_fk;
		$this->id_proveedor = $id_proveedor;
		$this->id_empresa = $id_empresa;
		$this->id_usuario = $id_usuario;
		$this->id_centro_costo = $id_centro_costo;
		$this->id_item_gasto = $id_item_gasto;
		$this->tipo_documento = $tipo_documento;
		$this->folio = $folio;
		$this->correlativo = $correlativo;
		$this->id_impuesto = $id_impuesto;
		$this->distribucion_gastos = $distribucion_gastos;
		$this->numero_documento = $numero_documento;
		$this->fecha_digitacion = $fecha_digitacion;
		$this->fecha_documento = $fecha_documento;
		$this->fecha_cancelacion = $fecha_cancelacion;
		$this->fecha_modificacion = $fecha_modificacion;
		$this->mes_proceso = $mes_proceso;
		$this->ano_proceso = $ano_proceso;
		$this->total_descuento = $total_descuento;
		$this->total_neto = $total_neto;
		$this->total_exento = $total_exento;
		$this->total_impuesto = $total_impuesto;
		$this->total_iva = $total_iva;
		$this->total_bruto = $total_bruto;
		$this->total_saldos = $total_saldos;
		$this->total_pagos = $total_pagos;
		$this->orden_compra = $orden_compra;
		$this->estado_compra = $estado_compra;
		$this->forma_pago = $forma_pago;
		$this->tipo_pago = $tipo_pago;
		$this->observacion = $observacion;
		$this->fecha_vto_real = $fecha_vto_real;
		$this->fecha_proceso = $fecha_proceso;
		$this->vencimiento = $vencimiento;
		$this->id_comprobante = $id_comprobante;
		$this->id_sucursal = $id_sucursal;

		switch ($this->tipo_documento){
			case "1" :
			$this->titulo_documento_compra = "FACTURAS DE COMPRA DE PRODUCTOS Y SERVICIOS";
			$this->nombre_documneto_compra = "Factura";
			break;
			case "2" :
			$this->titulo_documento_compra = "NOTAS DE CRDITOS";
			$this->nombre_documneto_compra = "N. Crdito";
			break;
			case "3" :
			$this->titulo_documento_compra = "NOTAS DE DBITOS";
			$this->nombre_documneto_compra = "N. Dbito";
			break;
		}

		if ($this->fecha_documento)
			$this->fecha_documento_calendario = convertirFechaBD_fecha($this->fecha_documento);
		

		$proveedor = new Cliente_proveedor();
		$clog = new Controlador_Logico_Cliente_proveedor();

		$proveedor = $clog->getCliente_proveedor($this->id_proveedor);
		if ($proveedor){
			$this->rut_proveedor 	= $proveedor->get_rut();
			$this->nombre_proveedor = $proveedor->get_nombre();
			$this->razon_social 	= $proveedor->get_razon_social();
		}

		switch ($this->distribucion_gastos) {
			case 1: $this->distribucion_gastos_global  = "checked"; $this->global_detalle_vista = "show"; break;
			case 2: $this->distribucion_gastos_detalle = "checked";$this->global_detalle_vista = "none"; break;
		}
		
		switch ($this->estado_compra) {
			case 0:$this->nombre_estado_compra = "Impaga";break;
			case 1:$this->nombre_estado_compra = "Abonada";break;
			case 2:$this->nombre_estado_compra = "Cancelada";break;
			case 3:$this->nombre_estado_compra = "Vencida";break;
			case 9:$this->nombre_estado_compra = "Nula";break;
		}
		
		$this->fecha_vencimiento = calcular_fecha($this->vencimiento,convertirFechaBD_fecha($this->fecha_documento),"futuro");
/*		if (!$this->fecha_vto_real){
			if ($this->vencimiento == 0)
				$this->fecha_vto_real = $this->fecha_documento;
			else
				$this->fecha_vto_real  = $this->fecha_vencimiento;
			Documento_compra_actualizarDocumento_compra($this);
		}*/
		
		$cuenta_impuesto = Cuenta_getCuenta($this->id_impuesto);
		if ($cuenta_impuesto)
			$this->nombre_impuesto = $cuenta_impuesto->get_nombre();
			
		switch($this->tipo_documento){
			case "1": $this->nombre_tipo_documento = "FM";break;
			case "10": $this->nombre_tipo_documento = "FE";break;
			case "11": $this->nombre_tipo_documento = "FAF";break;						
			case "6": $this->nombre_tipo_documento = "NC";break;
			case "7": $this->nombre_tipo_documento = "ND";break;
		}
		
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
	//------------------------------------------------------------------------------
	public function get_id_comprobante_pago(){
		$clog_detalle_comprobante_pago = new Controlador_Logico_Cont_detalle_comprobante_pago();
		$filtro_cp["id_documento"] = $this->id_documento_compra;
		$listado = $clog_detalle_comprobante_pago->getListadoCont_detalle_comprobante_pago($filtro_cp);
		return $listado;
	}
	
	public function existe_comprobantes_pago(){
		$clog_detalle_comprobante_pago = new Controlador_Logico_Cont_detalle_comprobante_pago();
		$filtro_cp["id_documento"] = $this->id_documento_compra;
		if ($clog_detalle_comprobante_pago->getListadoCont_detalle_comprobante_pago($filtro_cp))
			return true;
		else
			return false;
	}
	
	public function get_numero_factura_fk(){
		$doc = Documento_compra_getDocumento_compra($this->id_documento_compra_fk);
		if ($doc)
			return $doc->get_numero_documento();
		else
			return null;
	}
	
	public function get_nombre_completo_tipo_documento()
	{
			$tipo_documento =Cont_tipo_documento_BD_Fachada::getCont_tipo_documento_BD($this->tipo_documento);
			 return $tipo_documento->get_nombre();
		
	}
	public function get_notas_credito_debito($tipo){
		if ($this->tipo_documento == "1"){
			$id_fk = $this->id_documento_compra;
			$filtro_doc["id_documento_compra_fk"] = $id_fk;
			
			if ($tipo != "")
				$filtro_doc["tipo_documento"] = $tipo;
				
	
			$listado = Documento_compra_getListadoDocumento_compra($filtro_doc);
			return ($listado);
		}
		else
			return null;
	}
	
	public function chequeaVencimiento(){
	if ($this->estado_compra != "9"){
		$hoy = substr(hoy(),0,8);
		if ($this->fecha_vencimiento < $hoy && $this->total_saldos != 0){
			$this->estado_compra = 3;
		}else{
			if ($this->total_saldos > 0 && $this->total_saldos < $this->total_bruto){
				$this->estado_compra = 1;
			}else{
				if ($this->total_saldos == 0){
					$this->estado_compra = 2;
				}
				else{
					$this->estado_compra = 0;
				}
			}
		
		}
//		Documento_compra_actualizarDocumento_compra($this);
	}
	}	
	
	public function get_nombre_tipo_documento(){
		return ($this->nombre_tipo_documento);
	}
	
	public function get_nombre_impuesto(){
		return ($this->nombre_impuesto);
	}
	
	public function get_nombre_estado_compra(){
		if ($this->estado_compra == 1)
		{
			if ($this->total_pagos == 0){
				return "Impaga";
			}
			else
				return "Abonada";
		}
		else 
			return $this->nombre_estado_compra;
		
	}
	
	public function get_razon_social(){
		return ($this->razon_social);
	}
	
	public function get_nombre_estado(){
		return ($this->nombre_estado_compra);
	}
	
	public function get_global_detalle_vista(){
		return ($this->global_detalle_vista);
	}
		
	public function get_distribucion_gastos_global(){
		return ($this->distribucion_gastos_global);
	}
	
	public function get_distribucion_gastos_detalle(){
		return ($this->distribucion_gastos_detalle);
	}
	
	function get_id_documento_compra(){
		return ($this->id_documento_compra);
	}

	function get_id_documento(){
		return ($this->id_documento_compra);
	}


	function get_id_documento_compra_fk(){
		return ($this->id_documento_compra_fk);
	}

	function get_id_proveedor(){
		return ($this->id_proveedor);
	}

	function get_id_empresa(){
		return ($this->id_empresa);
	}

	function get_id_usuario(){
		return ($this->id_usuario);
	}

	function get_id_centro_costo(){
		return ($this->id_centro_costo);
	}

	function get_id_item_gasto(){
		return ($this->id_item_gasto);
	}

	function get_tipo_documento(){
		return ($this->tipo_documento);
	}

	function get_folio(){
		return ($this->folio);
	}

	function get_correlativo(){
		return ($this->correlativo);
	}

	function get_id_impuesto(){
		return ($this->id_impuesto);
	}

	function get_distribucion_gastos(){
		return ($this->distribucion_gastos);
	}

	function get_numero_documento(){
		return ($this->numero_documento);
	}

	function get_fecha_digitacion(){
		return ($this->fecha_digitacion);
	}

	function get_fecha_documento(){
		return ($this->fecha_documento);
	}

	function get_fecha_cancelacion(){
		return ($this->fecha_cancelacion);
	}

	function get_fecha_modificacion(){
		return ($this->fecha_modificacion);
	}

	function get_mes_proceso(){
		return ($this->mes_proceso);
	}

	function get_ano_proceso(){
		return ($this->ano_proceso);
	}

	function get_total_descuento(){
		return ($this->total_descuento);
	}

	function get_total_neto(){
		return ($this->total_neto);
	}

	function get_total_exento(){
		return ($this->total_exento);
	}

	function get_total_impuesto(){
		return ($this->total_impuesto);
	}

	function get_total_iva(){
		return ($this->total_iva);
	}

	function get_total_bruto(){
		return ($this->total_bruto);
	}

	function get_total_saldos(){
		return ($this->total_saldos);
	}

	function get_total_pagos(){
		return ($this->total_pagos);
	}

	function get_orden_compra(){
		return ($this->orden_compra);
	}

	function get_estado_compra(){
		return ($this->estado_compra);
	}

	function get_estado(){
		return ($this->estado_compra);
	}

	function get_forma_pago(){
		return ($this->forma_pago);
	}

	function get_tipo_pago(){
		return ($this->tipo_pago);
	}

	function get_observacion(){
		return ($this->observacion);
	}

	function get_fecha_vto_real(){
		return ($this->fecha_vto_real);
	}


	function get_fecha_documento_calendario(){
		return $this->fecha_documento_calendario;
	}

	function get_fecha_proceso(){
		return ($this->fecha_proceso);
	}

	function get_vencimiento(){
		return ($this->vencimiento);
	}

	function get_fecha_vencimiento(){
		return ($this->fecha_vencimiento);
	}

	function get_id_comprobante(){
		return ($this->id_comprobante);
	}

	function get_rut_proveedor(){
		return ($this->rut_proveedor);
	}

	function get_nombre_proveedor(){
		return ($this->nombre_proveedor);
	}

	function get_id_sucursal(){
		return ($this->id_sucursal);
	}
	//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
	//------------------------------------------------------------------------------

	function set_id_documento_compra($id_documento_compra){
		$this->id_documento_compra = $id_documento_compra;
	}

	function set_id_documento_compra_fk($id_documento_compra_fk){
		$this->id_documento_compra_fk = $id_documento_compra_fk;
	}

	function set_id_proveedor($id_proveedor){
		$this->id_proveedor = $id_proveedor;
	}

	function set_id_empresa($id_empresa){
		$this->id_empresa = $id_empresa;
	}

	function set_id_usuario($id_usuario){
		$this->id_usuario = $id_usuario;
	}

	function set_id_centro_costo($id_centro_costo){
		$this->id_centro_costo = $id_centro_costo;
	}

	function set_id_item_gasto($id_item_gasto){
		$this->id_item_gasto = $id_item_gasto;
	}

	function set_tipo_documento($tipo_documento){
		$this->tipo_documento = $tipo_documento;
	}

	function set_folio($folio){
		$this->folio = $folio;
	}

	function set_correlativo($correlativo){
		$this->correlativo = $correlativo;
	}

	function set_id_impuesto($id_impuesto){
		$this->id_impuesto = $id_impuesto;
	}

	function set_distribucion_gastos($distribucion_gastos){
		$this->distribucion_gastos = $distribucion_gastos;
	}

	function set_numero_documento($numero_documento){
		$this->numero_documento = $numero_documento;
	}

	function set_fecha_digitacion($fecha_digitacion){
		$this->fecha_digitacion = $fecha_digitacion;
	}

	function set_fecha_documento($fecha_documento){
		$this->fecha_documento = $fecha_documento;
	}

	function set_fecha_cancelacion($fecha_cancelacion){
		$this->fecha_cancelacion = $fecha_cancelacion;
	}

	function set_fecha_modificacion($fecha_modificacion){
		$this->fecha_modificacion = $fecha_modificacion;
	}

	function set_mes_proceso($mes_proceso){
		$this->mes_proceso = $mes_proceso;
	}

	function set_ano_proceso($ano_proceso){
		$this->ano_proceso = $ano_proceso;
	}

	function set_total_descuento($total_descuento){
		$this->total_descuento = $total_descuento;
	}

	function set_total_neto($total_neto){
		$this->total_neto = $total_neto;
	}

	function set_total_exento($total_exento){
		$this->total_exento = $total_exento;
	}

	function set_total_impuesto($total_impuesto){
		$this->total_impuesto = $total_impuesto;
	}

	function set_total_iva($total_iva){
		$this->total_iva = $total_iva;
	}

	function set_total_bruto($total_bruto){
		$this->total_bruto = $total_bruto;
	}

	function set_total_saldos($total_saldos){
		$this->total_saldos = $total_saldos;
	}

	function set_total_pagos($total_pagos){
		$this->total_pagos = $total_pagos;
	}

	function set_orden_compra($orden_compra){
		$this->orden_compra = $orden_compra;
	}

	function set_estado_compra($estado_compra){
		$this->estado_compra = $estado_compra;
	}

	function set_estado($estado_compra){
		$this->estado_compra = $estado_compra;
	}

	function set_forma_pago($forma_pago){
		$this->forma_pago = $forma_pago;
	}

	function set_tipo_pago($tipo_pago){
		$this->tipo_pago = $tipo_pago;
	}

	function set_observacion($observacion){
		$this->observacion = $observacion;
	}

	function set_fecha_vto_real($fecha_vto_real){
		$this->fecha_vto_real = $fecha_vto_real;
	}

	function set_fecha_proceso($fecha_proceso){
		$this->fecha_proceso = $fecha_proceso;
	}

	function set_vencimiento($vencimiento){
		$this->vencimiento = $vencimiento;
	}

	function set_id_comprobante($id_comprobante){
		$this->id_comprobante = $id_comprobante;
	}

	function set_id_sucursal($id_sucursal){
		$this->id_sucursal = $id_sucursal;
	}

}
//------------------------------------------------------------------------------
//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

function Documento_compra_getListadoDocumento_compra($filtro,$extra){
	return Documento_compra_Fachada::getListadoDocumento_compra($filtro,$extra);
}
function Documento_compra_getListadoDocumento_compra_detalle_estado($filtro,$extra){
	return Documento_compra_Fachada::getListadoDocumento_compra_detalle_estado($filtro,$extra);
}

function Documento_compra_getDocumento_compra($id_documento_compra){
	return Documento_compra_Fachada::getDocumento_compra($id_documento_compra);
}

function Documento_compra_guardarDocumento_compra($objeto){
	return Documento_compra_Fachada::guardarDocumento_compra($objeto);
}

function Documento_compra_actualizarDocumento_compra($objeto){
	return Documento_compra_Fachada::actualizarDocumento_compra($objeto);
}

function Documento_compra_eliminarDocumento_compra($id_documento_compra){
	return Documento_compra_Fachada::eliminarDocumento_compra($id_documento_compra);
}

function Documento_compra_get_ultimo_correlativo($filtro){
	return Documento_compra_Fachada::get_ultimo_correlativo($filtro);
}

function Documento_compra_cantidadDocumento_compra($filtro){
	return Documento_compra_Fachada::get_cantidad($filtro);
}

function Documento_compra_estado_pagosDocumento_compra($filtro,$extra){
	return Documento_compra_Fachada::get_estado_pagos_compra($filtro,$extra);
}

function Documento_compra_total_estado_pagosDocumento_compra($filtro,$extra){
	return Documento_compra_Fachada::get_total_estado_pagos($filtro,$extra);
}
?>
