<?


//------------------------------------------------------------------------------
//	CLASE
//------------------------------------------------------------------------------

class Documento_venta {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	var $id_documento_venta;
	var $id_documento_venta_fk;
	var $id_proveedor;
	var $id_empresa;
	var $id_usuario;
	var $id_centro_costo;
	var $guia_despacho;
	var $tipo_documento;
	var $id_sucursal_cliente_proveedor;
	var $correlativo;
	var $id_impuesto;
	var $condicion_venta;
	var $numero_documento;
	var $fecha_digitacion;
	var $fecha_documento;
	var $fecha_cancelacion;
	var $fecha_modificacion;
	var $mes_proceso;
	var $ano_proceso;
	var $total_descuento;
	var $total_neto;
	var $total_exento;
	var $total_impuesto;
	var $total_iva;
	var $total_bruto;
	var $total_saldos;
	var $total_pagos;
	var $orden_compra;
	var $estado_venta;
	var $forma_pago;
	var $tipo_pago;
	var $id_comprobante;
	var $id_comprobante_pago;
	var $fecha_vencimiento;
	var $fecha_entrega_cliente;
	var $fecha_proceso;
	var $id_sucursal;
	var $nombre_documento_venta;
	var $titulo_documento_venta;
	var $fecha_documento_calendario;
	var $id_vale_venta;

	var $rut_proveedor;
	var $nombre_proveedor;
	var $razon_social;

	var $condicion_venta_global;
	var $condicion_venta_detalle;

	var $global_detalle_vista;

	var $nombre_estado_venta;

	var $dias_vencimiento;

	var $direccion;
	var $giro;

	var $ciudad;
	var $info;
	//CONSTRUCTOR
	function Documento_venta($id_vale_venta, $id_proveedor, $id_empresa, $id_usuario, $id_centro_costo, $guia_despacho, $tipo_documento, $id_sucursal_cliente_proveedor, $correlativo, $id_impuesto, $condicion_venta, $numero_documento, $fecha_digitacion, $fecha_documento, $fecha_cancelacion, $fecha_modificacion, $mes_proceso, $ano_proceso, $total_descuento, $total_neto, $total_exento, $total_impuesto, $total_iva, $total_bruto, $total_saldos, $total_pagos, $orden_compra, $estado_venta, $forma_pago, $tipo_pago, $id_comprobante, $id_comprobante_pago, $fecha_vencimiento, $fecha_entrega_cliente, $fecha_proceso, $id_sucursal, $id_documento_venta = 0) {
		$this->id_documento_venta = $id_documento_venta;
		$this->id_documento_venta_fk = $id_documento_venta_fk;
		$this->id_proveedor = $id_proveedor;
		$this->id_empresa = $id_empresa;
		$this->id_usuario = $id_usuario;
		$this->id_centro_costo = $id_centro_costo;
		$this->guia_despacho = $guia_despacho;
		$this->tipo_documento = $tipo_documento;
		$this->id_sucursal_cliente_proveedor = $id_sucursal_cliente_proveedor;
		$this->correlativo = $correlativo;
		$this->id_impuesto = $id_impuesto;
		$this->condicion_venta = $condicion_venta;
		$this->numero_documento = $numero_documento;
		$this->fecha_digitacion = $fecha_digitacion;
		$this->fecha_documento = $fecha_documento;
		$this->fecha_cancelacion = $fecha_cancelacion;
		$this->fecha_modificacion = $fecha_modificacion;
		$this->mes_proceso = $mes_proceso;
		$this->ano_proceso = $ano_proceso;
		$this->total_descuento = $total_descuento;
		$this->total_neto = $total_neto;
		$this->total_exento = $total_exento;
		$this->total_impuesto = $total_impuesto;
		$this->total_iva = $total_iva;
		$this->total_bruto = $total_bruto;
		$this->total_saldos = $total_saldos;
		$this->total_pagos = $total_pagos;
		$this->orden_compra = $orden_compra;
		$this->estado_venta = $estado_venta;
		$this->forma_pago = $forma_pago;
		$this->tipo_pago = $tipo_pago;
		$this->id_comprobante = $id_comprobante;
		$this->id_comprobante_pago = $id_comprobante_pago;
		$this->fecha_vencimiento = $fecha_vencimiento;
		$this->fecha_entrega_cliente = $fecha_entrega_cliente;
		$this->fecha_proceso = $fecha_proceso;
		$this->id_sucursal = $id_sucursal;
		$this->info = to_string($this);
		switch ($this->tipo_documento) {
			case "1" :
				$this->titulo_documento_venta = "FACTURAS DE venta DE PRODUCTOS Y SERVICIOS";
				$this->nombre_documento_venta = "Factura";
				break;
			case "2" :
				$this->titulo_documento_venta = "NOTAS DE CRDITOS";
				$this->nombre_documento_venta = "N. Crdito";
				break;
			case "3" :
				$this->titulo_documento_venta = "NOTAS DE DBITOS";
				$this->nombre_documento_venta = "N. Dbito";
				break;
			case "12" :
				$this->titulo_documento_venta = "BOLETAS DE VENTA";
				$this->nombre_documento_venta = "Boleta";
				break;
		}

		switch ($this->estado_venta) {
			case 0 :
				$this->nombre_estado_venta = "Impaga";
				break;
			case 1 :
				$this->nombre_estado_venta = "Abonada";
				break;
			case 2 :
				$this->nombre_estado_venta = "Cancelada";
				break;
			case 3 :
				$this->nombre_estado_venta = "Vencida";
				break;
			case 9 :
				$this->nombre_estado_venta = "Nula";
				break;
		}

		if ($this->fecha_documento)
			$this->fecha_documento_calendario = convertirFechaBD_fecha($this->fecha_documento);

		$proveedor = new Cliente_proveedor();
		$clog = new Controlador_Logico_Cliente_proveedor();

		$proveedor = $clog->getCliente_proveedor($this->id_proveedor);
		if ($proveedor) {
			
			$this->rut_proveedor = $proveedor->get_rut();
			$this->nombre_proveedor = $proveedor->get_nombre();
			$this->razon_social = $proveedor->get_razon_social();
			$this->direccion = $proveedor->get_direccion();
			$this->giro = $proveedor->get_giro();
			$this->ciudad = $proveedor->get_ciudad_nombre();

			$clog_Cont_sucursal_cp = new Controlador_Logico_Cont_sucursal_cliente_proveedor();
			$cont_sucursal = $clog_Cont_sucursal_cp->getCont_sucursal_cliente_proveedor($id_sucursal_cliente_proveedor);
			if($cont_sucursal) {
				//debug($cont_sucursal);
				$this->direccion = $cont_sucursal->get_direccion();
				$this->ciudad = $cont_sucursal->nombre_ciudad;
			}
			
		}

		$this->dias_vencimiento = calcular_dias_entre($this->fecha_vencimiento, $this->fecha_entrega_cliente);
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
	//------------------------------------------------------------------------------

	public function existe_comprobantes_pago(){
		$clog_detalle_comprobante_pago = new Controlador_Logico_Cont_detalle_comprobante_pago();
		$filtro_cp["id_documento"] = $this->id_documento_venta;
		if ($clog_detalle_comprobante_pago->getListadoCont_detalle_comprobante_pago($filtro_cp))
			return true;
		else
			return false;
	}	
	
	public function get_numero_factura_fk(){
		$doc = Documento_venta_getDocumento_venta($this->id_documento_venta_fk);
		if ($doc)
			return $doc->get_numero_documento();
		else
			return null;
	}
	
	
	
	public function chequeaVencimiento() {
		if ($this->estado_venta != "9") {
			$hoy = substr(hoy(), 0, 8);
			if ($this->fecha_cancelacion != ""){
				$this->estado_venta = 2;
			}
			else{
			if ($this->fecha_vencimiento < $hoy) {
				$this->estado_venta = 3;
			} else {
				if ($this->total_saldos > 0 && $this->total_saldos < $this->total_bruto) {
					$this->estado_venta = 1;
				} else {
					if ($this->total_saldos == 0) {
						$this->estado_venta = 2;
					} else {
						$this->estado_venta = 0;
					}
				}

			}
			}
			Documento_venta_actualizarDocumento_venta($this);
		}
	}

	public function get_info_cliente() {
		$clog_cp = new Controlador_Logico_Cliente_proveedor();
		$cp = $clog_cp->getCliente_proveedor($this->id_proveedor);
		return to_string($cp, 4, 11);
	}

	public function get_info() {
		return ($this->info);
	}

	public function get_ciudad() {
		return ($this->ciudad);
	}

	public function get_giro() {
		return ($this->giro);
	}

	public function get_direccion() {
		return ($this->direccion);
	}

	public function get_dias_vencimiento() {
		return ($this->dias_vencimiento);
	}

	public function get_nombre_estado_venta(){
		if ($this->estado_venta == 1)
		{
			if ($this->total_pagos == 0){
				return "Impaga";
			}
			else
				return "Abonada";
		}
		else{ 
			return $this->nombre_estado_venta;
		}
		
	}

	public function get_nombre_estado() {
		return ($this->nombre_estado_venta);
	}

	public function get_razon_social() {
		return ($this->razon_social);
	}

	public function get_global_detalle_vista() {
		return ($this->global_detalle_vista);
	}

	public function get_condicion_venta_global() {
		return ($this->condicion_venta_global);
	}

	public function get_condicion_venta_detalle() {
		return ($this->condicion_venta_detalle);
	}

	function get_id_documento() {
		return ($this->id_documento_venta);
	}

	function get_id_documento_venta() {
		return ($this->id_documento_venta);
	}

	function get_id_documento_venta_fk() {
		return ($this->id_documento_venta_fk);
	}

	function get_id_proveedor() {
		return ($this->id_proveedor);
	}

	function get_id_empresa() {
		return ($this->id_empresa);
	}

	function get_id_usuario() {
		return ($this->id_usuario);
	}

	function get_id_centro_costo() {
		return ($this->id_centro_costo);
	}

	function get_guia_despacho() {
		return ($this->guia_despacho);
	}

	function get_tipo_documento() {
		return ($this->tipo_documento);
	}

	function get_id_sucursal_cliente_proveedor() {
		return ($this->id_sucursal_cliente_proveedor);
	}

	function get_correlativo() {
		return ($this->correlativo);
	}

	function get_id_impuesto() {
		return ($this->id_impuesto);
	}

	function get_condicion_venta() {
		return ($this->condicion_venta);
	}

	function get_numero_documento() {
		return ($this->numero_documento);
	}

	function get_fecha_digitacion() {
		return ($this->fecha_digitacion);
	}

	function get_fecha_documento() {
		return ($this->fecha_documento);
	}

	function get_fecha_cancelacion() {
		return ($this->fecha_cancelacion);
	}

	function get_fecha_modificacion() {
		return ($this->fecha_modificacion);
	}

	function get_mes_proceso() {
		return ($this->mes_proceso);
	}

	function get_ano_proceso() {
		return ($this->ano_proceso);
	}

	function get_total_descuento() {
		return ($this->total_descuento);
	}

	function get_total_neto() {
		return ($this->total_neto);
	}

	function get_total_exento() {
		return ($this->total_exento);
	}

	function get_total_impuesto() {
		return ($this->total_impuesto);
	}

	function get_total_iva() {
		return ($this->total_iva);
	}

	function get_total_bruto() {
		return ($this->total_bruto);
	}

	function get_total_saldos() {
		return ($this->total_saldos);
	}

	function get_total_pagos() {
		return ($this->total_pagos);
	}

	function get_orden_compra() {
		return ($this->orden_compra);
	}

	function get_estado_venta() {
		return ($this->estado_venta);
	}

	function get_estado() {
		return ($this->estado_venta);
	}

	function get_forma_pago() {
		return ($this->forma_pago);
	}

	function get_tipo_pago() {
		return ($this->tipo_pago);
	}

	function get_id_comprobante() {
		return ($this->id_comprobante);
	}

	function get_id_comprobante_pago() {
		return ($this->id_comprobante_pago);
	}

	function get_fecha_documento_calendario() {
		return $this->fecha_documento_calendario;
	}

	function get_fecha_vencimiento() {
		return ($this->fecha_vencimiento);
	}

	function get_fecha_entrega_cliente() {
		return ($this->fecha_entrega_cliente);
	}

	function get_fecha_proceso() {
		return ($this->fecha_proceso);
	}

	function get_rut_proveedor() {
		return ($this->rut_proveedor);
	}

	function get_nombre_proveedor() {
		
		return ($this->nombre_proveedor);
	}
	public function get_nombre_completo_tipo_documento()
	{
//			$tipo_documento =Cont_tipo_documento_BD_Fachada::getCont_tipo_documento_BD($this->tipo_documento);
			 return "Factura de venta";
	}
	function get_nombre_documento_venta() {
		return ($this->nombre_documento_venta);
	}

	function get_titulo_documento_venta() {
		return ($this->titulo_documento_venta);
	}

	public function get_id_sucursal() {
		return ($this->id_sucursal);
	}
	//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
	//------------------------------------------------------------------------------

	function set_id_documento_venta($id_documento_venta) {
		$this->id_documento_venta = $id_documento_venta;
	}

	function set_id_documento_venta_fk($id_documento_venta_fk) {
		$this->id_documento_venta_fk = $id_documento_venta_fk;
	}

	function set_id_proveedor($id_proveedor) {
		$this->id_proveedor = $id_proveedor;
	}

	function set_id_empresa($id_empresa) {
		$this->id_empresa = $id_empresa;
	}

	function set_id_usuario($id_usuario) {
		$this->id_usuario = $id_usuario;
	}

	function set_id_centro_costo($id_centro_costo) {
		$this->id_centro_costo = $id_centro_costo;
	}

	function set_guia_despacho($guia_despacho) {
		$this->guia_despacho = $guia_despacho;
	}

	function set_tipo_documento($tipo_documento) {
		$this->tipo_documento = $tipo_documento;
	}

	function set_id_sucursal_cliente_proveedor($id_sucursal_cliente_proveedor) {
		$this->id_sucursal_cliente_proveedor = $id_sucursal_cliente_proveedor;
	}

	function set_correlativo($correlativo) {
		$this->correlativo = $correlativo;
	}

	function set_id_impuesto($id_impuesto) {
		$this->id_impuesto = $id_impuesto;
	}

	function set_condicion_venta($condicion_venta) {
		$this->condicion_venta = $condicion_venta;
	}

	function set_numero_documento($numero_documento) {
		$this->numero_documento = $numero_documento;
	}

	function set_fecha_digitacion($fecha_digitacion) {
		$this->fecha_digitacion = $fecha_digitacion;
	}

	function set_fecha_documento($fecha_documento) {
		$this->fecha_documento = $fecha_documento;
	}

	function set_fecha_cancelacion($fecha_cancelacion) {
		$this->fecha_cancelacion = $fecha_cancelacion;
	}

	function set_fecha_modificacion($fecha_modificacion) {
		$this->fecha_modificacion = $fecha_modificacion;
	}

	function set_mes_proceso($mes_proceso) {
		$this->mes_proceso = $mes_proceso;
	}

	function set_ano_proceso($ano_proceso) {
		$this->ano_proceso = $ano_proceso;
	}

	function set_total_descuento($total_descuento) {
		$this->total_descuento = $total_descuento;
	}

	function set_total_neto($total_neto) {
		$this->total_neto = $total_neto;
	}

	function set_total_exento($total_exento) {
		$this->total_exento = $total_exento;
	}

	function set_total_impuesto($total_impuesto) {
		$this->total_impuesto = $total_impuesto;
	}

	function set_total_iva($total_iva) {
		$this->total_iva = $total_iva;
	}

	function set_total_bruto($total_bruto) {
		$this->total_bruto = $total_bruto;
	}

	function set_total_saldos($total_saldos) {
		$this->total_saldos = $total_saldos;
	}

	function set_total_pagos($total_pagos) {
		$this->total_pagos = $total_pagos;
	}

	function set_orden_compra($orden_compra) {
		$this->orden_compra = $orden_compra;
	}

	function set_estado_venta($estado_venta) {
		$this->estado_venta = $estado_venta;
	}

	function set_estado($estado_venta) {
		$this->estado_venta = $estado_venta;
	}

	function set_forma_pago($forma_pago) {
		$this->forma_pago = $forma_pago;
	}

	function set_tipo_pago($tipo_pago) {
		$this->tipo_pago = $tipo_pago;
	}

	function set_id_comprobante($id_comprobante) {
		$this->id_comprobante = $id_comprobante;
	}

	function set_id_comprobante_pago($id_comprobante_pago) {
		$this->id_comprobante_pago = $id_comprobante_pago;
	}

	function set_fecha_vencimiento($fecha_vencimiento) {
		$this->fecha_vencimiento = $fecha_vencimiento;
	}

	function set_fecha_entrega_cliente($fecha_entrega_cliente) {
		$this->fecha_entrega_cliente = $fecha_entrega_cliente;
	}

	function set_fecha_proceso($fecha_proceso) {
		$this->fecha_proceso = $fecha_proceso;
	}
	
	function set_id_sucursal($id_sucursal) {
		$this->id_sucursal = $id_sucursal;
	}
	
	function crear_comprobante_control(){
		// CAPTURA ULTIMO NUMERO DE COMPROBANTE DE CONTROL
		$clog_comprobante = new Controlador_Logico_Cont_comprobante();
		$clog_detalle_comprobante = new Controlador_Logico_Cont_detalle_comprobante();
		$filtro_ultimo_numero["id_empresa"] = $this->id_empresa;
		$filtro_ultimo_numero["ano_proceso"] = substr($this->fecha_proceso, 0, 4);
		$filtro_ultimo_numero["tipo_comprobante"] = "4' or tipo_comprobante LIKE '5' or tipo_comprobante LIKE '6' or tipo_comprobante LIKE '7";
		
		$ultimo_numero = $clog_comprobante->getUltimo_NumeroCont_comprobante($filtro_ultimo_numero);
		
		$comprobante = new Cont_comprobante();
		$comprobante->set_id_empresa($this->id_empresa);
		$comprobante->set_fecha_proceso($this->fecha_proceso);
		$comprobante->set_descripcion("Ingreso de Factura N ".$this->numero_documento." a Libro de Ventas");
		$comprobante->set_id_centro_costo($id_centro_costo);
		$comprobante->set_tipo_comprobante(5);
		$comprobante->set_numero($ultimo_numero +1);
		$comprobante->set_fecha_creacion($this->fecha_documento);
		$comprobante->set_estado("2");
		$comprobante->set_mes_proceso(substr($this->fecha_proceso, 4, 2));
		$comprobante->set_ano_proceso(substr($this->fecha_proceso, 0, 4));
		$comprobante->set_id_sucursal($this->id_sucursal);
		
		$id_comprobante_contable = $clog_comprobante->guardarCont_comprobante($comprobante);
		
		// PRIMERA LINEA DE DETALLE DE COMPROBANTE CONTABLE CARGADO AL DEBE
		$detalle_comprobante_debe = new Cont_detalle_comprobante();
		$detalle_comprobante_debe->set_id_comprobante($id_comprobante_contable);
		$detalle_comprobante_debe->set_descripcion("CARGO CUENTA CLIENTES");
		$detalle_comprobante_debe->set_id_tipo_documento(2);
		$detalle_comprobante_debe->set_tipo_comprobante(5);
		$detalle_comprobante_debe->set_id_documento($this->id_documento_venta);
		$detalle_comprobante_debe->set_id_cliente_proveedor($this->id_proveedor);
	
		
		$clog_cmp_cuenta = new Controlador_Logico_Cont_comportamiento_cuenta();
		$filtro_cmp["id_seccion"]  = 8;
		$filtro_cmp["id_empresa"]  = $this->id_empresa;
		//$filtro_cmp["id_sucursal"] = $this->id_sucursal;
		//debug($filtro_cmp);
		$cmp_cuenta_seccion1 = $clog_cmp_cuenta->getListadoCont_comportamiento_cuenta($filtro_cmp);
		$cmp_cuenta_seccion1 = $cmp_cuenta_seccion1[0];				
		$cuenta = $cmp_cuenta_seccion1;
		
		$detalle_comprobante_debe->set_id_cuenta($cuenta->get_id_cuenta());
		$detalle_comprobante_debe->set_debe($this->total_bruto);
		$id_detalle_comprobante_debe = $clog_detalle_comprobante->guardarCont_detalle_comprobante($detalle_comprobante_debe);
		
		// SEGUNDA LINEA DE DETALLE DE COMPROBANTE CONTABLE CARGADO AL HABER

		$detalle_comprobante_haber = new Cont_detalle_comprobante();
		$detalle_comprobante_haber->set_id_comprobante($id_comprobante_contable);
		$detalle_comprobante_haber->set_descripcion("");
		$detalle_comprobante_haber->set_id_tipo_documento(2);
		$detalle_comprobante_haber->set_tipo_comprobante(5);
		
		$filtro_comportamiento["id_seccion"]  = 9;
		$filtro_comportamiento["id_empresa"]  = $this->id_empresa;
		//$filtro_comportamiento["id_sucursal"] = $this->id_sucursal;
		$extra_comportamiento["order"] = "id_comportamiento_cuenta";
		$listado_comportamiento = $clog_cmp_cuenta->getListadoCont_comportamiento_cuenta($filtro_comportamiento,$extra_comportamiento);
		$cuenta_ingresos = $listado_comportamiento[0];		
		
		$detalle_comprobante_haber->set_id_cuenta($cuenta_ingresos->get_id_cuenta());
		$detalle_comprobante_haber->set_haber($this->total_neto);
		$detalle_comprobante_haber->set_id_documento($this->id_documento_venta);
		$detalle_comprobante_haber->set_id_cliente_proveedor($this->id_proveedor);
		$id_detalle_comprobante_haber = $clog_detalle_comprobante->guardarCont_detalle_comprobante($detalle_comprobante_haber);
		

		// TERCERA LINEA (IVA  DE DETALLE DE COMPROBANTE CONTABLE CARGADO AL HABER
		$empresa = Empresa_getEmpresa($this->id_empresa);
		$filtro_cuenta_iva["iva_debito_fiscal"] = 1;
		$filtro_cuenta_iva["imp"] = "1";
		$filtro_cuenta_iva["id_plan_cuenta"] = $empresa->get_id_plan_cuenta();
		$listado_cuenta = Cuenta_getListadoCuenta($filtro_cuenta_iva);
		$cuenta = $listado_cuenta[0];

		$detalle_comprobante_iva = new Cont_detalle_comprobante();
		$detalle_comprobante_iva->set_id_comprobante($id_comprobante_contable);
		$detalle_comprobante_iva->set_descripcion("IVA DEBITO FISCAL");
		$detalle_comprobante_iva->set_id_tipo_documento(2);
		$detalle_comprobante_iva->set_tipo_comprobante(5);
		$detalle_comprobante_iva->set_id_cuenta($cuenta->get_id_cuenta());
		$detalle_comprobante_iva->set_haber($this->total_iva);
		$detalle_comprobante_iva->set_id_documento($this->id_documento);
		$detalle_comprobante_iva->set_id_cliente_proveedor($this->id_proveedor);

		$id_detalle_comprobante_iva = $clog_detalle_comprobante->guardarCont_detalle_comprobante($detalle_comprobante_iva);
				
		
	}
	
	function crear_comprobante_control_con_detalle(){
		// CAPTURA ULTIMO NUMERO DE COMPROBANTE DE CONTROL
		$clog_comprobante = new Controlador_Logico_Cont_comprobante();
		$clog_detalle_comprobante = new Controlador_Logico_Cont_detalle_comprobante();
		$filtro_ultimo_numero["id_empresa"] = $this->id_empresa;
		$filtro_ultimo_numero["ano_proceso"] = substr($this->fecha_proceso, 0, 4);
		$filtro_ultimo_numero["tipo_comprobante"] = "4' or tipo_comprobante LIKE '5' or tipo_comprobante LIKE '6' or tipo_comprobante LIKE '7";
		
		$ultimo_numero = $clog_comprobante->getUltimo_NumeroCont_comprobante($filtro_ultimo_numero);
		
		$comprobante = new Cont_comprobante();
		$comprobante->set_id_empresa($this->id_empresa);
		$comprobante->set_fecha_proceso($this->fecha_proceso);
		$comprobante->set_descripcion("Ingreso de Factura N ".$this->numero_documento." a Libro de Ventas");
		$comprobante->set_id_centro_costo($id_centro_costo);
		$comprobante->set_tipo_comprobante(5);
		$comprobante->set_numero($ultimo_numero +1);
		$comprobante->set_fecha_creacion($this->fecha_documento);
		$comprobante->set_estado("2");
		$comprobante->set_mes_proceso(substr($this->fecha_proceso, 4, 2));
		$comprobante->set_ano_proceso(substr($this->fecha_proceso, 0, 4));
		$comprobante->set_id_sucursal($this->id_sucursal);
		
		$id_comprobante_contable = $clog_comprobante->guardarCont_comprobante($comprobante);
		
		// PRIMERA LINEA DE DETALLE DE COMPROBANTE CONTABLE CARGADO AL DEBE
		$detalle_comprobante_debe = new Cont_detalle_comprobante();
		$detalle_comprobante_debe->set_id_comprobante($id_comprobante_contable);
		$detalle_comprobante_debe->set_descripcion("CARGO CUENTA CLIENTES");
		$detalle_comprobante_debe->set_id_tipo_documento(2);
		$detalle_comprobante_debe->set_tipo_comprobante(5);
		$detalle_comprobante_debe->set_id_documento($this->id_documento_venta);
		$detalle_comprobante_debe->set_id_cliente_proveedor($this->id_proveedor);
	
		
		$clog_cmp_cuenta = new Controlador_Logico_Cont_comportamiento_cuenta();
		$filtro_cmp["id_seccion"]  = 8;
		$filtro_cmp["id_empresa"]  = $this->id_empresa;
		//$filtro_cmp["id_sucursal"] = $this->id_sucursal;
		//debug($filtro_cmp);
		$cmp_cuenta_seccion1 = $clog_cmp_cuenta->getListadoCont_comportamiento_cuenta($filtro_cmp);
		$cmp_cuenta_seccion1 = $cmp_cuenta_seccion1[0];				
		$cuenta = $cmp_cuenta_seccion1;
		
		$detalle_comprobante_debe->set_id_cuenta($cuenta->get_id_cuenta());
		$detalle_comprobante_debe->set_debe($this->total_bruto);
		$id_detalle_comprobante_debe = $clog_detalle_comprobante->guardarCont_detalle_comprobante($detalle_comprobante_debe);
		
		// SEGUNDA LINEA DE DETALLE DE COMPROBANTE CONTABLE CARGADO AL HABER

		$detalle_comprobante_haber = new Cont_detalle_comprobante();
		$detalle_comprobante_haber->set_id_comprobante($id_comprobante_contable);
		$detalle_comprobante_haber->set_descripcion("");
		$detalle_comprobante_haber->set_id_tipo_documento(2);
		$detalle_comprobante_haber->set_tipo_comprobante(5);
		
		$filtro_comportamiento["id_seccion"]  = 9;
		$filtro_comportamiento["id_empresa"]  = $this->id_empresa;
		//$filtro_comportamiento["id_sucursal"] = $this->id_sucursal;
		$extra_comportamiento["order"] = "id_comportamiento_cuenta";
		$listado_comportamiento = $clog_cmp_cuenta->getListadoCont_comportamiento_cuenta($filtro_comportamiento,$extra_comportamiento);
		$cuenta_ingresos = $listado_comportamiento[0];		
		
		$detalle_comprobante_haber->set_id_cuenta($cuenta_ingresos->get_id_cuenta());
		$detalle_comprobante_haber->set_haber($this->total_neto);
		$detalle_comprobante_haber->set_id_documento($this->id_documento_venta);
		$detalle_comprobante_haber->set_id_cliente_proveedor($this->id_proveedor);
		$id_detalle_comprobante_haber = $clog_detalle_comprobante->guardarCont_detalle_comprobante($detalle_comprobante_haber);
		

		// TERCERA LINEA (IVA  DE DETALLE DE COMPROBANTE CONTABLE CARGADO AL HABER
		$empresa = Empresa_getEmpresa($this->id_empresa);
		$filtro_cuenta_iva["iva_debito_fiscal"] = 1;
		$filtro_cuenta_iva["imp"] = "1";
		$filtro_cuenta_iva["id_plan_cuenta"] = $empresa->get_id_plan_cuenta();
		$listado_cuenta = Cuenta_getListadoCuenta($filtro_cuenta_iva);
		$cuenta = $listado_cuenta[0];

		$detalle_comprobante_iva = new Cont_detalle_comprobante();
		$detalle_comprobante_iva->set_id_comprobante($id_comprobante_contable);
		$detalle_comprobante_iva->set_descripcion("IVA DEBITO FISCAL");
		$detalle_comprobante_iva->set_id_tipo_documento(2);
		$detalle_comprobante_iva->set_tipo_comprobante(5);
		$detalle_comprobante_iva->set_id_cuenta($cuenta->get_id_cuenta());
		$detalle_comprobante_iva->set_haber($this->total_iva);
		$detalle_comprobante_iva->set_id_documento($this->id_documento);
		$detalle_comprobante_iva->set_id_cliente_proveedor($this->id_proveedor);

		$id_detalle_comprobante_iva = $clog_detalle_comprobante->guardarCont_detalle_comprobante($detalle_comprobante_iva);
				
		
	}	
}
//------------------------------------------------------------------------------
//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

function Documento_venta_getListadoDocumento_venta($filtro, $extra) {
	return Documento_venta_Fachada :: getListadoDocumento_venta($filtro, $extra);
}

function Documento_venta_getDocumento_venta($id_documento_venta) {
	return Documento_venta_Fachada :: getDocumento_venta($id_documento_venta);
}

function Documento_venta_guardarDocumento_venta($objeto) {
	return Documento_venta_Fachada :: guardarDocumento_venta($objeto);
}

function Documento_venta_actualizarDocumento_venta($objeto) {
	return Documento_venta_Fachada :: actualizarDocumento_venta($objeto);
}

function Documento_venta_eliminarDocumento_venta($id_documento_venta) {
	return Documento_venta_Fachada :: eliminarDocumento_venta($id_documento_venta);
}

function Documento_venta_get_ultimo_correlativo($filtro) {
	return Documento_venta_Fachada :: get_ultimo_correlativo($filtro);
}

function Documento_venta_cantidadDocumento_venta($filtro) {
	return Documento_venta_Fachada :: get_cantidad($filtro);
}

function Documento_venta_estado_pagosDocumento_venta($filtro, $extra) {
	return Documento_venta_Fachada :: get_estado_pagos_venta($filtro, $extra);
}

function Documento_venta_total_estado_pagosDocumento_venta($filtro, $extra) {
	return Documento_venta_Fachada :: get_total_estado_pagos($filtro, $extra);
}
?>
