<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Inventario{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_inventario;
	var $id_sucursal;
	var $id_bodega;
	var $id_producto;
	var $id_subfamilia;
	var $id_familia;
	var $stock_actual;
	var $conteo_fisico;
	var $dif_ult_conteo;
	var $fecha_conteo;
	var $stock_minimo;
	var $ultimo_precio_compra;
	var $id_industria;
	var $nro_orden_compra;
	var $margen_utilidad;
	var $precio_venta_neto;
	var $precio_venta_neto2;
	var $fecha_digitacion;
	var $fecha_ult_mod;
	var $id_usuario;
	var $estado;
	var $nombre_producto;
	var $codigo_producto;
	var $nombre_familia;
	var $nombre_subfamilia;
	var $nombre_sucursal;
	var $nombre_bodega;
	var $precio_venta_generico;
	var $precio_venta_neto_particular;
	var $precio_venta_neto_distribuidor;
	var $stock_critico;
	var $ult_fecha_recepcion;
	var $codigo_proveedor;
	var $nombre_proveedor;
	var $descuento_particular;
	var $descuento_distribuidor;
	var $descuento;
	var $cantidad_carro_compra;
	var $costo_adicional;
	var $costo_total;
	//CONSTRUCTOR
	function Inventario ($id_sucursal, $id_bodega, $id_producto, $stock_actual, $conteo_fisico, $dif_ult_conteo, $fecha_conteo, $stock_minimo, $ultimo_precio_compra, $id_industria, $nro_orden_compra, $margen_utilidad, $precio_venta_neto, $fecha_digitacion, $fecha_ult_mod, $id_usuario, $estado, $precio_venta_neto_particular, $precio_venta_neto_distribuidor, $stock_critico, $precio_venta_neto2, $precio_venta_neto3, $costo_adicional, $id_inventario=0)
	{
		$this->id_inventario = $id_inventario;
		$this->id_sucursal = $id_sucursal;
		$this->id_bodega = $id_bodega;
		$this->id_producto = $id_producto;
		$this->stock_actual = $stock_actual;
		$this->conteo_fisico = $conteo_fisico;
		$this->dif_ult_conteo = $dif_ult_conteo;
		$this->fecha_conteo = $fecha_conteo;
		$this->stock_minimo = $stock_minimo;
//		$this->ultimo_precio_compra = $ultimo_precio_compra;
		$this->id_industria = $id_industria;
		$this->nro_orden_compra = $nro_orden_compra;
		$this->margen_utilidad = $margen_utilidad;
		$this->precio_venta_neto = $precio_venta_neto;
		$this->precio_venta_neto_bruto = round($precio_venta_neto*1.19);
		$this->precio_venta_neto2 = $precio_venta_neto2;
		$this->precio_venta_neto2_bruto = round($precio_venta_neto2*1.19);
		$this->precio_venta_neto3 = $precio_venta_neto3;
		$this->precio_venta_neto3_bruto = round($precio_venta_neto3*1.19);

		$this->fecha_digitacion = $fecha_digitacion;
		$this->fecha_ult_mod = $fecha_ult_mod;
		$this->id_usuario = $id_usuario;
		$this->estado = $estado;
		$this->precio_venta_neto_particular = $precio_venta_neto_particular;
		$this->precio_venta_neto_particular_bruto = round($precio_venta_neto_particular*1.19);
		$this->precio_venta_neto_distribuidor = $precio_venta_neto_distribuidor;
		$this->precio_venta_neto_distribuidor_bruto = round($precio_venta_neto_distribuidor*1.19);
		$this->stock_critico = $stock_critico;
		$this->costo_adicional = $costo_adicional;
		

		if ($this->id_usuario <> "0")
		{
			$usuario = Usuario_getUsuario($id_usuario);
			$this->nombre_usuario = $usuario->nombre . " " . $usuario->apellido;
		}
		//$producto = new Producto();
		if($this->id_producto){
			$producto = Producto_getProducto($this->id_producto);
			if ($producto){
				$this->codigo_producto = $producto->codigo_barra;
				$this->nombre_producto = $producto->descripcion;
				$this->nombre_subfamilia = $producto->nombre_subfamilia;
				$this->nombre_familia = $producto->nombre_familia;
				$this->id_subfamilia = $producto->get_id_subfamilia();
				$this->id_familia = $producto->get_id_familia();
				$this->precio_venta_generico = round($producto->precio_bruto);
				$this->precio_venta_generico2 = round($producto->precio2_bruto);
				$this->precio_venta_generico3 = round($producto->precio3_bruto);
				$this->precio_venta_generico_particular = round($producto->precio_particular_bruto);
				$this->precio_venta_generico_distribuidor = round($producto->precio_distribuidor_bruto);
				$this->descuento = $producto->get_descuento();
				$this->descuento2 = $producto->get_descuento2();
				$this->descuento3 = $producto->get_descuento3();
				$this->descuento_particular = $producto->get_descuento_particular();
				$this->descuento_distribuidor = $producto->get_descuento_distribuidor();
				$this->codigo_proveedor = $producto->get_id_proveedor(); 
				$this->nombre_proveedor = $producto->get_nombre_proveedor();
				$this->ult_fecha_recepcion = $producto->get_ult_fecha_recepcion();
				$this->ultimo_precio_compra = $producto->get_ultimo_precio_compra();
				$this->codigo_unidad = $producto->codigo_unidad;
			}
			
			$bodega = new Bodega();
			$bodega = Bodega_getBodega($id_bodega);
			if ($bodega){
				$this->nombre_bodega = $bodega->get_descripcion();
	
				$sucursal = new Sucursal();
				$sucursal = Sucursal_getSucursal($bodega->get_id_sucursal());
				$this->nombre_sucursal = $sucursal->get_descripcion();			
			}
			
			$this->dif_ult_conteo = $this->conteo_fisico - $this->stock_actual;

			$clog_Carro_compras = new Controlador_Logico_Carro_compras();
			$filtro_carro_compras["id_usuario"] = $_SESSION["usuario"]->id_usuario;
			$filtro_carro_compras["id_producto"] = $this->id_producto;
			$listado_carro_compras = $clog_Carro_compras->getListadoCarro_compras($filtro_carro_compras, $extra_carro_compras);
			if ($listado_carro_compras)
				$this->cantidad_carro_compra = $listado_carro_compras[0]->cantidad;
			
			$this->costo_total = $this->ultimo_precio_compra+$this->costo_adicional;

		}
		
		
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	function get_precio_venta(){
		if (!$this->precio_venta_neto_bruto){
			return $this->precio_venta_generico;
		}
		return ($this->precio_venta_neto_bruto);
	}
	
	function get_precio_venta2(){
		if (!$this->precio_venta_neto2_bruto){
			return $this->precio_venta_generico2;
		}
		return ($this->precio_venta_neto2_bruto);
	}

	function get_precio_venta3(){
		if (!$this->precio_venta_neto3_bruto){
			return $this->precio_venta_generico3;
		}
		return ($this->precio_venta_neto3_bruto);
	}

	function get_precio_venta_particular(){
		if (!$this->precio_venta_neto_particular_bruto){
			return $this->precio_venta_generico_particular;
		}
		return ($this->precio_venta_neto_particular_bruto);
	}
	function get_precio_venta_distribuidor(){
		if (!$this->precio_venta_neto_distribuidor_bruto){
			return $this->precio_venta_generico_distribuidor;
		}
		return ($this->precio_venta_neto_distribuidor_bruto);
	}

	function modificar_precio_venta($porcentaje){
		$precio_actual  = $this->get_precio_venta();
		$precio_nuevo	= $precio_actual * (100+$porcentaje) / 100;
	
		$p1 = floor($precio_nuevo/1000)*1000;
		$p2 = $precio_nuevo - $p1;
		
		if ($p2 == 0){
			$precio_final = $p1;
		}else{
			if ($p2<=500){
				$precio_final = $p1 + 500;
			}else{
				$precio_final = $p1 + 1000;
			}
		}
		$this->precio_venta_neto = $precio_final;
		return Inventario_actualizarInventario($this);		
	}

	function modificar_precio_venta2($porcentaje){
		$precio_actual  = $this->get_precio_venta2();
		$precio_nuevo	= $precio_actual * (100+$porcentaje) / 100;
	
		$p1 = floor($precio_nuevo/1000)*1000;
		$p2 = $precio_nuevo - $p1;
		
		if ($p2 == 0){
			$precio_final = $p1;
		}else{
			if ($p2<=500){
				$precio_final = $p1 + 500;
			}else{
				$precio_final = $p1 + 1000;
			}
		}
		$this->precio_venta_neto2 = $precio_final;
		return Inventario_actualizarInventario($this);		
	}

	function modificar_precio_venta3($porcentaje){
		$precio_actual  = $this->get_precio_venta3();
		$precio_nuevo	= $precio_actual * (100+$porcentaje) / 100;
	
		$p1 = floor($precio_nuevo/1000)*1000;
		$p2 = $precio_nuevo - $p1;
		
		if ($p2 == 0){
			$precio_final = $p1;
		}else{
			if ($p2<=500){
				$precio_final = $p1 + 500;
			}else{
				$precio_final = $p1 + 1000;
			}
		}
		$this->precio_venta_neto3 = $precio_final;
		return Inventario_actualizarInventario($this);		
	}

	function modificar_precio_venta_particular($porcentaje){
		$precio_actual_particular  = $this->get_precio_venta_particular();
		$precio_nuevo_particular	= $precio_actual_particular * (100+$porcentaje) / 100;
	
		$p1 = floor($precio_nuevo_particular/1000)*1000;
		$p2 = $precio_nuevo_particular - $p1;
		
		if ($p2 == 0){
			$precio_final_particular = $p1;
		}else{
			if ($p2<=500){
				$precio_final_particular = $p1 + 500;
			}else{
				$precio_final_particular = $p1 + 1000;
			}
		}
		$this->precio_venta_neto_particular = $precio_final_particular;
		return Inventario_actualizarInventario($this);		
	}

	function modificar_precio_venta_distribuidor($porcentaje){
		$precio_actual_distribuidor  = $this->get_precio_venta_distribuidor();
		$precio_nuevo_distribuidor	= $precio_actual_distribuidor * (100+$porcentaje) / 100;
	
		$p1 = floor($precio_nuevo_distribuidor/1000)*1000;
		$p2 = $precio_nuevo_distribuidor - $p1;
		
		if ($p2 == 0){
			$precio_final_distribuidor = $p1;
		}else{
			if ($p2<=500){
				$precio_final_distribuidor = $p1 + 500;
			}else{
				$precio_final_distribuidor = $p1 + 1000;
			}
		}
		$this->precio_venta_neto_distribuidor = $precio_final_distribuidor;
		return Inventario_actualizarInventario($this);		
	}

	function get_codigo_proveedor(){
		return $this->codigo_proveedor;
	}

	function get_nombre_proveedor(){
		return $this->nombre_proveedor;
	}

	function get_stock_critico(){
		return $this->stock_critico;
	}


	function get_costo_adicional(){
		return $this->costo_adicional;
	}


//------------------------------------------------------------------------------

	function get_id_inventario(){
		return ($this->id_inventario);
	}
	
	function get_id_sucursal(){
		return ($this->id_sucursal);
	}
	
	function get_id_bodega(){
		return ($this->id_bodega);
	}
	
	function get_id_producto(){
		return ($this->id_producto);
	}
	
	function get_stock_actual(){
		return ($this->stock_actual);
	}
	
	function get_conteo_fisico(){
		return ($this->conteo_fisico);
	}
	
	function get_dif_ult_conteo(){
		return ($this->dif_ult_conteo);
	}
	
	function get_fecha_conteo(){
		return ($this->fecha_conteo);
	}
	
	function get_stock_minimo(){
		return ($this->stock_minimo);
	}
	
	function get_ultimo_precio_compra(){
		return ($this->ultimo_precio_compra);
	}
	
	function get_id_industria(){
		return ($this->id_industria);
	}
	
	function get_nro_orden_compra(){
		return ($this->nro_orden_compra);
	}
	
	function get_margen_utilidad(){
		return ($this->margen_utilidad);
	}
	
	function get_precio_venta_neto(){
		return ($this->precio_venta_neto);
	}
	
	function get_fecha_digitacion(){
		return ($this->fecha_digitacion);
	}
	
	function get_fecha_ult_mod(){
		return ($this->fecha_ult_mod);
	}
	
	function get_id_usuario(){
		return ($this->id_usuario);
	}
	
	function get_estado(){
		return ($this->estado);
	}

	function get_precio_venta_neto_particular(){
		return ($this->precio_venta_neto_particular);
	}


	function get_precio_venta_neto_distribuidor(){
		return ($this->precio_venta_neto_distribuidor);
	}

	

//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_inventario($id_inventario){
		$this->id_inventario = $id_inventario;
	}
	
	function set_id_sucursal($id_sucursal){
		$this->id_sucursal = $id_sucursal;
	}
	
	function set_id_bodega($id_bodega){
		$this->id_bodega = $id_bodega;
	}
	
	function set_id_producto($id_producto){
		$this->id_producto = $id_producto;
	}
	
	function set_stock_actual($stock_actual){
		$this->stock_actual = $stock_actual;
	}
	
	function set_conteo_fisico($conteo_fisico){
		$this->conteo_fisico = $conteo_fisico;
	}
	
	function set_dif_ult_conteo($dif_ult_conteo){
		$this->dif_ult_conteo = $dif_ult_conteo;
	}
	
	function set_fecha_conteo($fecha_conteo){
		$this->fecha_conteo = $fecha_conteo;
	}
	
	function set_stock_minimo($stock_minimo){
		$this->stock_minimo = $stock_minimo;
	}
	
//	function set_ultimo_precio_compra($ultimo_precio_compra){
//		$this->ultimo_precio_compra = $ultimo_precio_compra;
//	}
	
	function set_id_industria($id_industria){
		$this->id_industria = $id_industria;
	}
	
	function set_nro_orden_compra($nro_orden_compra){
		$this->nro_orden_compra = $nro_orden_compra;
	}
	
	function set_margen_utilidad($margen_utilidad){
		$this->margen_utilidad = $margen_utilidad;
	}
	
	function set_precio_venta_neto($precio_venta_neto){
		$this->precio_venta_neto = $precio_venta_neto;
	}
	
	function set_precio_venta_neto2($precio_venta_neto2){
		$this->precio_venta_neto2 = $precio_venta_neto2;
	}

	function set_precio_venta_neto3($precio_venta_neto3){
		$this->precio_venta_neto3 = $precio_venta_neto3;
	}

	function set_fecha_digitacion($fecha_digitacion){
		$this->fecha_digitacion = $fecha_digitacion;
	}
	
	function set_fecha_ult_mod($fecha_ult_mod){
		$this->fecha_ult_mod = $fecha_ult_mod;
	}
	
	function set_id_usuario($id_usuario){
		$this->id_usuario = $id_usuario;
	}
	
	function set_estado($estado){
		$this->estado = $estado;
	}
	
	function set_precio_venta_neto_particular($precio_venta_neto_particular){
		$this->precio_venta_neto_particular = $precio_venta_neto_particular;
	}

	function set_precio_venta_neto_distribuidor($precio_venta_neto_distribuidor){
		$this->precio_venta_neto_distribuidor = $precio_venta_neto_distribuidor;
	}

	function set_stock_critico($stock_critico){
		$this->stock_critico = $stock_critico;
	}
	
	function set_costo_adicional($costo_adicional){
		$this->costo_adicional = $costo_adicional;
	}
		


	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	

	function Inventario_ajustar_inventario($id_bodega = 0){
		return Inventario_Fachada::ajustarInventario($id_bodega);
	}

	function Inventario_resetear_inventario($id_bodega = 0, $id_familia = 0){
		return Inventario_Fachada::resetearInventario($id_bodega,$id_familia);
	}

	function Inventario_getListadoInventario($id=0, $extra=null){
		return Inventario_Fachada::getListadoInventario($id, $extra);
	}

	function Inventario_rebajarInventario($id_bodega, $id_producto, $cantidad){
		$inv = new Inventario();
		$inv = Inventario_getProductoInventario($id_bodega, $id_producto);
		$inv->stock_actual = $inv->stock_actual - $cantidad;
		Inventario_actualizarInventario($inv);
		return true;
	}
	
	function Inventario_aumentarInventario($id_bodega, $id_producto, $cantidad){
		$inv = new Inventario();
		$inv = Inventario_getProductoInventario($id_bodega, $id_producto);
		if ($inv){
			$inv->stock_actual = $inv->stock_actual + $cantidad;
			Inventario_actualizarInventario($inv);
			return true;	
		}else{
			$bodega = Bodega_getBodega($id_bodega);
			
			$inv = new Inventario();
			$inv->set_id_producto($id_producto);
			$inv->set_id_bodega($id_bodega);
			$inv->set_stock_actual($cantidad);
			$inv->set_fecha_ult_mod(hoy());
			$inv->set_id_sucursal($bodega->id_sucursal);
			Inventario_guardarInventario($inv);			
			return true;	
		}

		return false;	
		
	}
	
	function Inventario_getListadoInventario_toma($filtro,$extra){
		return Inventario_Fachada::getListadoInventario_toma($filtro,$extra);
	}
	
	function Inventario_getListadoInventarioValorizado($id_sucursal, $id_familia, $id_subfamilia, $extra){
		if ($id_familia == 0) $id_familia = "%";
		if ($id_subfamilia == 0) $id_subfamilia = "%";
		
		$filtro["id_sucursal"] = $id_sucursal;
		$filtro["id_familia"] = $id_familia;
		$filtro["id_subfamilia"] = $id_subfamilia;
		$filtro["__stock_actual"] = 0;
//		$filtro["__ultimo_precio_compra"] = 0;
		return Inventario_Fachada::getListadoInventario_toma($filtro,$extra);
	}
	
	function Inventario_getCantidadInventario($filtro){
		return Inventario_Fachada::getCantidadInventario($filtro);
	}
	
	function Inventario_getSumaInventario($filtro){
		return Inventario_Fachada::getSumaInventario($filtro);
	}

	function Inventario_getInventario($id_inventario){
		return Inventario_Fachada::getInventario($id_inventario);
	}
	
	function Inventario_guardarInventario($objeto){
		return Inventario_Fachada::guardarInventario($objeto);
	}
	
	function Inventario_actualizarInventario($objeto){
		return Inventario_Fachada::actualizarInventario($objeto);
	}
	
	function Inventario_eliminarInventario($id_inventario){
		return Inventario_Fachada::eliminarInventario($id_inventario);
	}
	
	function Inventario_getProductoInventario($id_bodega, $id_producto){
		return Inventario_Fachada::getProductoInventario($id_bodega, $id_producto);
	}
	
	
?>
