<?

//------------------------------------------------------------------------------
	//	CLASE LOGICA
//------------------------------------------------------------------------------

class Movimiento_inventario{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	private $id_movimiento_inventario;
	private $id_producto;
	private $id_bodega;
	private $id_inventario;
	private $id_tipo_movimiento;
	private $nro_documento;
	private $fecha;
	private $descripcion;
	private $entrada;
	private $salida;
	private $id_usuario;
	private $ex1;
	private $ex2;
	private $ex3;
	private $ex4;
	private $ex5;
	
	var $nombre_bodega;
	var $nombre_producto;
	var $codigo_producto;
	
	//CONSTRUCTOR
	public function __construct ($Movimiento_inventario_BD)
	{
		if ($Movimiento_inventario_BD){
			$this->id_movimiento_inventario = $Movimiento_inventario_BD->get_id_movimiento_inventario();
			$this->id_producto = $Movimiento_inventario_BD->get_id_producto();
			$this->id_bodega = $Movimiento_inventario_BD->get_id_bodega();
			$this->id_inventario = $Movimiento_inventario_BD->get_id_inventario();
			$this->id_tipo_movimiento = $Movimiento_inventario_BD->get_id_tipo_movimiento();
			$this->nro_documento = $Movimiento_inventario_BD->get_nro_documento();
			$this->fecha = $Movimiento_inventario_BD->get_fecha();
			$this->descripcion = $Movimiento_inventario_BD->get_descripcion();
			$this->entrada = $Movimiento_inventario_BD->get_entrada();
			$this->salida = $Movimiento_inventario_BD->get_salida();
			$this->id_usuario = $Movimiento_inventario_BD->get_id_usuario();
			$this->ex1 = $Movimiento_inventario_BD->get_ex1();
			$this->ex2 = $Movimiento_inventario_BD->get_ex2();
			$this->ex3 = $Movimiento_inventario_BD->get_ex3();
			$this->ex4 = $Movimiento_inventario_BD->get_ex4();
			$this->ex5 = $Movimiento_inventario_BD->get_ex5();
			
			$bodega = new Bodega();
			$bodega = Bodega_getBodega($this->id_bodega);
			if ($bodega){
				$this->nombre_bodega = $bodega->descripcion;
			}
			
			$producto = new Producto();
			$producto = Producto_getProducto($this->id_producto);
			if ($producto){
				$this->nombre_producto = $producto->descripcion;
				$this->codigo_producto = $producto->codigo_barra;
			}
			
		}
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	public function get_link(){
		switch ($this->id_tipo_movimiento){
			case 1: $url = "index_session.php?i=modulos/orden_compra/mantenedor_detalle_recepcion&id_recepcion="; break;
			case 2: $url = "index_session.php?i=modulos/inventario/mantenedor_detalle_traspaso&id_traspaso_inventario="; break;
			case 3: $url = "index_session.php?i=modulos/ventas/mantenedor_detalle_vale_venta&id_vale_venta="; break;
			case 4: $url = "index_session.php?i=modulos/orden_compra/mantenedor_detalle_recepcion&id_recepcion="; break;
			case 5: $url = "index_session.php?i=modulos/inventario/toma_inventario&id_toma_inventario="; break;
			case 6: $url = "index_session.php?i=modulos/ventas/mantenedor_detalle_devolucion_producto&id_devolucion="; break;
			case 7: $url = "index_session.php?i=modulos/inventario/mantenedor_detalle_recepcion_traspaso&id_recepcion_traspaso="; break;
			case 10: $url = "index_session.php?i=modulos/ventas/mantenedor_detalle_devolucion_producto&id_devolucion="; break;



		}
		
		return $url . $this->nro_documento;
	}

	public function registrar_movimiento($id_bodega, $id_producto, $tipo, $entrada, $salida, $nro_doc, $descripcion){
		
		//	Anotar en la bitacora de Movimientos
		
		//	tipo = 1	Recepcion Orden Compra
		//	tipo = 2	Traspaso de Inventario
		//	tipo = 3	Ventaa
		//	tipo = 4	Pedido de Material
		//	tipo = 5	Toma de Inventario
		//	tipo = 6	Recepcin de inventario
		
		$inventario = Inventario_getProductoInventario($id_bodega, $id_producto);
			
		$clog_Movimiento_inventario = new Controlador_Logico_Movimiento_inventario();
		$movimiento_inventario = new Movimiento_inventario();
		$movimiento_inventario->set_id_inventario($inventario->id_inventario);
		$movimiento_inventario->set_id_bodega($id_bodega);
		$movimiento_inventario->set_id_producto($id_producto);
		$movimiento_inventario->set_id_tipo_movimiento($tipo);
		$movimiento_inventario->set_entrada($entrada);
		$movimiento_inventario->set_salida($salida);
		$movimiento_inventario->set_nro_documento($nro_doc);
		$movimiento_inventario->set_descripcion($descripcion);
		$movimiento_inventario->set_id_usuario(get_id_usuario());
		$movimiento_inventario->set_fecha(hoy());
		$movimiento_inventario->set_ex1($inventario->stock_actual);
		$clog_Movimiento_inventario->guardarMovimiento_inventario($movimiento_inventario);

//		debug($movimiento_inventario);
	}

//------------------------------------------------------------------------------

	public function get_id_movimiento_inventario(){
		return ($this->id_movimiento_inventario);
	}
	
	public function get_id_producto(){
		return ($this->id_producto);
	}
	
	public function get_id_bodega(){
		return ($this->id_bodega);
	}
	
	public function get_id_inventario(){
		return ($this->id_inventario);
	}
	
	public function get_id_tipo_movimiento(){
		return ($this->id_tipo_movimiento);
	}
	
	public function get_nro_documento(){
		return ($this->nro_documento);
	}
	
	public function get_fecha(){
		return ($this->fecha);
	}
	
	public function get_descripcion(){
		return ($this->descripcion);
	}
	
	public function get_entrada(){
		return ($this->entrada);
	}
	
	public function get_salida(){
		return ($this->salida);
	}
	
	public function get_id_usuario(){
		return ($this->id_usuario);
	}
	
	public function get_ex1(){
		return ($this->ex1);
	}
	
	public function get_ex2(){
		return ($this->ex2);
	}
	
	public function get_ex3(){
		return ($this->ex3);
	}
	
	public function get_ex4(){
		return ($this->ex4);
	}
	
	public function get_ex5(){
		return ($this->ex5);
	}
	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	public function set_id_movimiento_inventario($id_movimiento_inventario){
		$this->id_movimiento_inventario = $id_movimiento_inventario;
	}
	
	public function set_id_producto($id_producto){
		$this->id_producto = $id_producto;
	}
	
	public function set_id_bodega($id_bodega){
		$this->id_bodega = $id_bodega;
	}
	
	public function set_id_inventario($id_inventario){
		$this->id_inventario = $id_inventario;
	}
	
	public function set_id_tipo_movimiento($id_tipo_movimiento){
		$this->id_tipo_movimiento = $id_tipo_movimiento;
	}
	
	public function set_nro_documento($nro_documento){
		$this->nro_documento = $nro_documento;
	}
	
	public function set_fecha($fecha){
		$this->fecha = $fecha;
	}
	
	public function set_descripcion($descripcion){
		$this->descripcion = $descripcion;
	}
	
	public function set_entrada($entrada){
		$this->entrada = $entrada;
	}
	
	public function set_salida($salida){
		$this->salida = $salida;
	}
	
	public function set_id_usuario($id_usuario){
		$this->id_usuario = $id_usuario;
	}
	
	public function set_ex1($ex1){
		$this->ex1 = $ex1;
	}
	
	public function set_ex2($ex2){
		$this->ex2 = $ex2;
	}
	
	public function set_ex3($ex3){
		$this->ex3 = $ex3;
	}
	
	public function set_ex4($ex4){
		$this->ex4 = $ex4;
	}
	
	public function set_ex5($ex5){
		$this->ex5 = $ex5;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

?>
