<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Sub_centro_costo{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_sub_centro_costo;
	var $id_sub_centro_costo_padre;
	var $id_centro_costo;
	var $clasificacion;
	var $nivel;
	var $formato_nivel;
	var $codigo;
	var $codigo_unitario;
	var $nombre;
	var $descripcion;
	var $ultimo_nivel;
	
	var $ultimo_nivel_bool;
	var $ultimo_nivel_checked;
	
	var $tiene_subniveles;
	
	var $nombre_compuesto;
	
	var $clasificacion_0;
	var $clasificacion_1;
	var $clasificacion_2;
	//CONSTRUCTOR
	function Sub_centro_costo ($id_sub_centro_costo_padre, $id_centro_costo, $clasificacion, $nivel, $formato_nivel, $codigo, $codigo_unitario, $nombre, $descripcion, $ultimo_nivel, $id_sub_centro_costo=0)
	{
		$this->id_sub_centro_costo = $id_sub_centro_costo;
		$this->id_sub_centro_costo_padre = $id_sub_centro_costo_padre;
		$this->id_centro_costo = $id_centro_costo;
		$this->clasificacion = $clasificacion;
		$this->nivel = $nivel;
		$this->formato_nivel = $formato_nivel;
		$this->codigo = $codigo;
		$this->codigo_unitario = $codigo_unitario;
		$this->nombre = $nombre;
		$this->descripcion = $descripcion;
		$this->ultimo_nivel = $ultimo_nivel;
		
		switch ($this->ultimo_nivel) {
			case 0:	$this->ultimo_nivel_bool = false;break;
			case 1: 
					$this->ultimo_nivel_bool = true;
					$this->ultimo_nivel_checked = "checked";
			break;
		}
		
		switch ($this->clasificacion){
			case "0":$this->clasificacion_0 = "selected";break;
			case "1":$this->clasificacion_1 = "selected";break;
			case "2":$this->clasificacion_2 = "selected";break;
		}
		
		$this->tiene_subniveles = false;
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	function get_id_sub_centro_costo(){
		return ($this->id_sub_centro_costo);
	}
	
	function get_id_sub_centro_costo_padre(){
		return ($this->id_sub_centro_costo_padre);
	}
	
	function get_id_centro_costo(){
		return ($this->id_centro_costo);
	}
	
	function get_clasificacion(){
		return ($this->clasificacion);
	}
	
	function get_nivel(){
		return ($this->nivel);
	}
	
	function get_formato_nivel(){
		return ($this->formato_nivel);
	}
	
	function get_codigo(){
		return ($this->codigo);
	}
	
	function get_codigo_unitario(){
		return ($this->codigo_unitario);
	}
	
	function get_nombre(){
		return ($this->nombre);
	}
	
	function get_descripcion(){
		return ($this->descripcion);
	}
	
	function get_ultimo_nivel(){
		return ($this->ultimo_nivel);
	}
	
	function get_ultimo_nivel_bool(){
		return ($this->ultimo_nivel_bool);
	}
	
	function get_ultimo_nivel_checked(){
		return ($this->ultimo_nivel_checked);
	}
		
	function get_path(){
		$scc   = Sub_centro_costo_getSub_centro_costo($this->id_sub_centro_costo);
		while ($scc->id_sub_centro_costo != $scc->id_centro_costo)
		{
			$ruta = $scc->nombre." / ".$ruta;
			$scc = Sub_centro_costo_getSub_centro_costo($scc->id_sub_centro_costo_padre);
		}
		return $ruta;
	}
	
	function get_tiene_subniveles(){
		$filtro_sub_centro_costo["id_sub_centro_costo_padre"] = $this->id_sub_centro_costo;
		if ($this->id_sub_centro_costo > 1 && (Sub_centro_costo_getListadoSub_centro_costo($filtro_sub_centro_costo))){
			$this->tiene_subniveles = true;
		}
		return $this->tiene_subniveles;		
	}
	
	function get_nombre_compuesto(){
		return substr($this->get_path(),0,-2);
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_sub_centro_costo($id_sub_centro_costo){
		$this->id_sub_centro_costo = $id_sub_centro_costo;
	}
	
	function set_id_sub_centro_costo_padre($id_sub_centro_costo_padre){
		$this->id_sub_centro_costo_padre = $id_sub_centro_costo_padre;
	}
	
	function set_id_centro_costo($id_centro_costo){
		$this->id_centro_costo = $id_centro_costo;
	}
	
	function set_clasificacion($clasificacion){
		$this->clasificacion = $clasificacion;
	}
	
	function set_nivel($nivel){
		$this->nivel = $nivel;
	}
	
	function set_formato_nivel($formato_nivel){
		$this->formato_nivel = $formato_nivel;
	}
	
	function set_codigo($codigo){
		$this->codigo = $codigo;
	}
	
	function set_codigo_unitario($codigo_unitario){
		$this->codigo_unitario = $codigo_unitario;
	}
	
	function set_nombre($nombre){
		$this->nombre = $nombre;
	}
	
	function set_descripcion($descripcion){
		$this->descripcion = $descripcion;
	}
	
	function set_ultimo_nivel($ultimo_nivel){
		$this->ultimo_nivel = $ultimo_nivel;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Sub_centro_costo_getListadoSub_centro_costo($filtro,$extra){
		return Sub_centro_costo_Fachada::getListadoSub_centro_costo($filtro,$extra);
	}
	
	function Sub_centro_costo_getSub_centro_costo($id_sub_centro_costo){
		return Sub_centro_costo_Fachada::getSub_centro_costo($id_sub_centro_costo);
	}
	
	function Sub_centro_costo_guardarSub_centro_costo($objeto){
		return Sub_centro_costo_Fachada::guardarSub_centro_costo($objeto);
	}
	
	function Sub_centro_costo_actualizarSub_centro_costo($objeto){
		return Sub_centro_costo_Fachada::actualizarSub_centro_costo($objeto);
	}
	
	function Sub_centro_costo_eliminarSub_centro_costo($id_sub_centro_costo){
		return Sub_centro_costo_Fachada::eliminarSub_centro_costo($id_sub_centro_costo);
	}
	
	
	
?>
