<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Subfamilia{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_subfamilia;
	var $id_familia;
	var $descripcion;
	var $estado;
	var $requiere_ot;
	var $es_cristal;
	var $extra1;
	var $extra2;
	var $extra3;
	var $descuento;
	
	var $checked_requiere_ot;
	var $checked_es_cristal;
	
	//CONSTRUCTOR
	function Subfamilia ($id_familia, $descripcion, $estado, $requiere_ot, $es_cristal, $extra1, $extra2, $extra3, $id_subfamilia=0)
	{
		$this->id_subfamilia = $id_subfamilia;
		$this->id_familia = $id_familia;
		$this->descripcion = $descripcion;
		$this->estado = $estado;
		$this->requiere_ot = $requiere_ot;
		$this->es_cristal = $es_cristal;
		$this->extra1 = $extra1;
		$this->extra2 = $extra2;
		$this->extra3 = $extra3;
		
		$this->checked_requiere_ot = "";
		if ($requiere_ot) $this->checked_requiere_ot = "checked";
		
		$this->checked_es_cristal = "";
		if ($es_cristal) $this->checked_es_cristal = "checked";
		
		$this->checked_es_extra1 = "";
		if ($extra1) $this->checked_es_extra1 = "checked";

		$this->descuento = 0;
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	function get_id_subfamilia(){
		return ($this->id_subfamilia);
	}
	
	function get_id_familia(){
		return ($this->id_familia);
	}
	
	function get_descripcion(){
		return ($this->descripcion);
	}
	
	function get_estado(){
		return ($this->estado);
	}
	
	function get_requiere_ot(){
		return ($this->requiere_ot);
	}
	
	function get_es_cristal(){
		return ($this->es_cristal);
	}
	
	function get_extra1(){
		return ($this->extra1);
	}
	
	function get_extra2(){
		return ($this->extra2);
	}
	
	function get_extra3(){
		return ($this->extra3);
	}
	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_subfamilia($id_subfamilia){
		$this->id_subfamilia = $id_subfamilia;
	}
	
	function set_id_familia($id_familia){
		$this->id_familia = $id_familia;
	}
	
	function set_descripcion($descripcion){
		$this->descripcion = $descripcion;
	}
	
	function set_estado($estado){
		$this->estado = $estado;
	}
	
	function set_requiere_ot($requiere_ot){
		$this->requiere_ot = $requiere_ot;
	}
	
	function set_es_cristal($es_cristal){
		$this->es_cristal = $es_cristal;
	}
	
	function set_extra1($extra1){
		$this->extra1 = $extra1;
	}
	
	function set_extra2($extra2){
		$this->extra2 = $extra2;
	}
	
	function set_extra3($extra3){
		$this->extra3 = $extra3;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Subfamilia_getListadoSubfamilia($filtro,$extra){
		return Subfamilia_Fachada::getListadoSubfamilia($filtro,$extra);
	}
	
	function Subfamilia_getSubfamilia($id_subfamilia){
		return Subfamilia_Fachada::getSubfamilia($id_subfamilia);
	}
	
	function Subfamilia_guardarSubfamilia($objeto){
		return Subfamilia_Fachada::guardarSubfamilia($objeto);
	}
	
	function Subfamilia_actualizarSubfamilia($objeto){
		return Subfamilia_Fachada::actualizarSubfamilia($objeto);
	}
	
	function Subfamilia_eliminarSubfamilia($id_subfamilia){
		return Subfamilia_Fachada::eliminarSubfamilia($id_subfamilia);
	}
	
	
	
?>
