<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Tabla_precio{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_tabla_precio;
	var $nombre;
	var $observacion;
	var $estado;
	var $extra1;
	var $vigente;
	var $id_linea_producto;
	var $foco;

	var $listado_fila;
	var $listado_columna;
	var $listado_precios;
	var $nombre_tipo_tabla;

	//CONSTRUCTOR
	function Tabla_precio ($nombre, $observacion, $estado, $extra1, $vigente, $id_linea_producto, $foco, $id_tabla_precio=0)
	{
		$this->id_tabla_precio = $id_tabla_precio;
		$this->nombre = $nombre;
		$this->observacion = $observacion;
		$this->estado = $estado;
		$this->extra1 = $extra1;
		$this->vigente = $vigente;
		$this->id_linea_producto = $id_linea_producto;
		$this->foco = $foco;

		
		
		if ($vigente == 1) $this->nombre_vigente = "VIGENTE";
		if ($vigente == 0) $this->nombre_vigente = "NO VIGENTE";
		
		if ($estado == '1') $this->nombre_tipo_tabla = "Minerales";
		if ($estado == '2') $this->nombre_tipo_tabla = "Orgnicos";
		if ($estado == '3') $this->nombre_tipo_tabla = "Convenios";
		if ($estado == '4') $this->nombre_tipo_tabla = "Policarbonatos";
		if ($id_tabla_precio){
			$this->listado_fila 		= Fila_getListadoFila($id_tabla_precio);
			$this->listado_columna		= Columna_getListadoColumna($id_tabla_precio);
			$this->listado_precios		= Detalle_tabla_precio_getListadoDetalle_tabla_precio($id_tabla_precio);
		}

		$clog_Lineas_productos = new Controlador_Logico_Lineas_productos();
		$lineas_productos = $clog_Lineas_productos->getLineas_productos($this->id_linea_producto);
		if ($lineas_productos)
			$this->nombre_linea_producto = $lineas_productos->nombre;
		else
			$this->nombre_linea_producto = "Indefinida";

		switch ($this->foco) 
		{
			case "0":
				$this->nombre_foco = "Indefinido";break;
			case "1":
				$this->nombre_foco = "Monofocal";break;
			case "2":
				$this->nombre_foco = "Bifocal";break;
			case "3":
				$this->nombre_foco = "Multifocal";break;
		}
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	function get_id_tabla_precio(){
		return ($this->id_tabla_precio);
	}
	
	function get_nombre(){
		return ($this->nombre);
	}
	
	function get_observacion(){
		return ($this->observacion);
	}
	
	function get_estado(){
		return ($this->estado);
	}
	
	function get_extra1(){
		return ($this->extra1);
	}
	
	function get_id_linea_producto(){
		return ($this->id_linea_producto);
	}

	function get_foco(){
		return ($this->foco);
	}

	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_tabla_precio($id_tabla_precio){
		$this->id_tabla_precio = $id_tabla_precio;
	}
	
	function set_nombre($nombre){
		$this->nombre = $nombre;
	}
	
	function set_observacion($observacion){
		$this->observacion = $observacion;
	}
	
	function set_estado($estado){
		$this->estado = $estado;
	}
	
	function set_extra1($extra1){
		$this->extra1 = $extra1;
	}
	
	function set_id_linea_producto($id_linea_producto){
		$this->id_linea_producto = $id_linea_producto;
	}

	function set_foco($foco){
		$this->foco = $foco;
	}

	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Tabla_precio_getListadoTabla_precio($id=0){
		return Tabla_precio_Fachada::getListadoTabla_precio($id);
	}
	
	function Tabla_precio_getListadoTabla_precio_toma($filtro,$extra){
		return Tabla_precio_Fachada::getListadoTabla_precio_toma($filtro,$extra);
	}

	function Tabla_precio_getTabla_precio($id_tabla_precio){
		return Tabla_precio_Fachada::getTabla_precio($id_tabla_precio);
	}
	
	function Tabla_precio_guardarTabla_precio($objeto){
		return Tabla_precio_Fachada::guardarTabla_precio($objeto);
	}
	
	function Tabla_precio_actualizarTabla_precio($objeto){
		return Tabla_precio_Fachada::actualizarTabla_precio($objeto);
	}
	
	function Tabla_precio_eliminarTabla_precio($id_tabla_precio){
		return Tabla_precio_Fachada::eliminarTabla_precio($id_tabla_precio);
	}


	function Tabla_precio_getCosto($tabla_precio, $valor_fila=0, $valor_fila_b=0, $valor_columna=0){
		
		$valor = -1;
		
//		debug($tabla_precio->listado_fila);
//		debug($valor_fila);
//		debug($valor_columna);
		
		if (!is_numeric($valor_fila)) 	return -1;
		if (!is_numeric($valor_fila_b)) 	return -1;
		if (!is_numeric($valor_columna)) 	return -1;

		$lc = $tabla_precio->listado_columna;
		$columna = new Columna();
		$columna_buscada = -1;
		foreach ($lc as $columna){
			if ($valor_columna == $columna->id_tipo_material){
				$columna_buscada = $columna->id_columna;
				break;
			}
		}
		
		if ($columna_buscada == -1) return -1;
		

		$lp = $tabla_precio->listado_precios;		

		$lf = $tabla_precio->listado_fila;
		$fila = new Fila();
		$fila_buscada = -1;

		foreach ($lf as $fila)
		{
			if (($valor_fila >= $fila->valor_inicial) and ($valor_fila <= $fila->valor_final))
			{
				if (($valor_fila_b >= $fila->valor_inicial_b) and ($valor_fila_b <= $fila->valor_final_b))
				{
					$precio = new Detalle_tabla_precio();
					$valor = 0;
					foreach ($lp as $precio)
					{
						if (($fila->id_fila == $precio->id_fila) and ($columna_buscada == $precio->id_columna))
						{
							$valor = $precio->valor_compra;
						}
					}	
					if ($valor <> 0)
					{
						$fila_buscada = $fila->id_fila;
						break;
					}
				}
			}
		}
		
		if ($fila_buscada == -1) return -1;
		
//		debug($fila_buscada);
//		debug($columna_buscada);
		
//		$lp = $tabla_precio->listado_precios;
//		//debug($lp);
//		$precio = new Detalle_tabla_precio();
//		foreach ($lp as $precio){
//			if (($fila_buscada == $precio->id_fila) and ($columna_buscada == $precio->id_columna)){
//				$valor = $precio->valor_compra;
//			}
//		}
//
		return $valor;	
	}
	


	function Tabla_precio_getPrecio($tabla_precio, $valor_fila=0, $valor_fila_b=0, $valor_columna=0){
		
		$valor = -1;
		
//		debug($tabla_precio->listado_fila);
//		debug($valor_fila);
//		debug($valor_columna);
		
		if (!is_numeric($valor_fila)) 	return -1;
		if (!is_numeric($valor_fila_b)) 	return -1;
		if (!is_numeric($valor_columna)) 	return -1;

		$lc = $tabla_precio->listado_columna;
		$columna = new Columna();
		$columna_buscada = -1;
		foreach ($lc as $columna){
			if ($valor_columna == $columna->id_tipo_material){
				$columna_buscada = $columna->id_columna;
				break;
			}
		}
		
		if ($columna_buscada == -1) return -1;
		

		$lp = $tabla_precio->listado_precios;		

		$lf = $tabla_precio->listado_fila;
		$fila = new Fila();
		$fila_buscada = -1;

		foreach ($lf as $fila)
		{
			if (($valor_fila >= $fila->valor_inicial) and ($valor_fila <= $fila->valor_final))
			{
				if (($valor_fila_b >= $fila->valor_inicial_b) and ($valor_fila_b <= $fila->valor_final_b))
				{
					$precio = new Detalle_tabla_precio();
					$valor = 0;
					foreach ($lp as $precio)
					{
						if (($fila->id_fila == $precio->id_fila) and ($columna_buscada == $precio->id_columna))
						{
							$valor = round($precio->valor_bruto*1);
						}
					}	
					if ($valor <> 0)
					{
						$fila_buscada = $fila->id_fila;
						break;
					}
				}
			}
		}
		
		if ($fila_buscada == -1) return -1;
		
//		debug($fila_buscada);
//		debug($columna_buscada);
		
//		$lp = $tabla_precio->listado_precios;
//		//debug($lp);
//		$precio = new Detalle_tabla_precio();
//		foreach ($lp as $precio){
//			if (($fila_buscada == $precio->id_fila) and ($columna_buscada == $precio->id_columna)){
//				$valor = round($precio->valor*1);
//			}
//		}
//
		return $valor;	
	}
	
?>
