<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Vale_venta{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_vale_venta;
	var $nombre_paciente;		
	var $id_cotizacion;
	var $id_vendedor;
	var $id_sucursal;
	var $id_forma_pago;
	var $id_empresa;
	var $id_persona;
	var $estado;
	var $observacion;
	var $fecha_emision;
	var $fecha_pago;
	var $valor_neto;
	var $valor_iva;
	var $abono_total;
	var $abono_inicial;
	var $descuento;
	var $seleccionado;
	var $orden_compra;
	var $rut_paciente;
	var $nro_sobre;
	var $numero_documento;		
	var $tipo_documento;		
	var $dp_lejos;
	var $dp_cerca;	
	var $obs_lejos;
	var $obs_cerca;	
	var $add_lejos;
	var $nombre_empresa;
	var $nombre_sucursal;
	var $nombre_vendedor;
	var $nombre_corto_vendedor;
	var $nombre_forma_pago;
	var $nombre_estado;
	var $nombre_tipo_documento;
	var $nombre_cliente;
	var $fecha_orden_compra;
	var $monto_orden_compra;
	var $nro_bono;
	var $fecha_bono;
	var $monto_bono;
	var $id_salud;
	var $saldo;
	var $total_mensual;
	var $nro_cuotas;
	var $interes;
	var $nombre_salud;
	var $solo_cristales;
	var $lentes_sol;
	var $id_guia_despacho;
	var $id_guia_despacho_oc;
	var $id_guia_despacho_bono;
	var $to_string;
	var $costo_total;
	var $subgrupo;


	//CONSTRUCTOR
	function Vale_venta ($id_cotizacion, $id_vendedor, $id_sucursal, $id_forma_pago, $id_empresa, $id_persona, $estado, $observacion, $fecha_emision, $fecha_pago, $valor_neto, $valor_iva, $abono_total, $abono_inicial, $descuento, $seleccionado, $orden_compra, $rut_paciente, $nro_sobre, $numero_documento, $tipo_documento, $nombre_paciente, $dp_cerca, $dp_lejos, $obs_cerca, $obs_lejos, $add_lejos, $fecha_orden_compra, $monto_orden_compra, $nro_bono, $fecha_bono, $monto_bono, $id_salud, $id_guia_despacho, $id_guia_despacho_oc, $id_guia_despacho_bono, $subgrupo, $id_vale_venta=0)
		{
		$this->id_vale_venta = $id_vale_venta;
		$this->id_cotizacion = $id_cotizacion;
		$this->id_vendedor = $id_vendedor;
		$this->id_sucursal = $id_sucursal;
		$this->id_forma_pago = $id_forma_pago;
		$this->id_empresa = $id_empresa;
		$this->id_persona = $id_persona;
		$this->estado = $estado;
		$this->observacion = $observacion;
		$this->fecha_emision = $fecha_emision;
		$this->fecha_pago = $fecha_pago;
		$this->valor_neto = $valor_neto;
		$this->valor_iva = $valor_iva;
		$this->abono_total = $abono_total;
		$this->abono_inicial = $abono_inicial;
		$this->descuento = $descuento;
		$this->seleccionado = $seleccionado;
		$this->orden_compra = $orden_compra;
		$this->rut_paciente = $rut_paciente;
		$this->nro_sobre = $nro_sobre;
		$this->numero_documento = $numero_documento;
		$this->tipo_documento = $tipo_documento;
		$this->nombre_paciente = $nombre_paciente;
		$this->dp_cerca = $dp_cerca;
		$this->dp_lejos = $dp_lejos;
		$this->obs_cerca = $obs_cerca;
		$this->obs_lejos = $obs_lejos;
		$this->add_lejos = $add_lejos;		
		$this->fecha_orden_compra=$fecha_orden_compra;
//		$this->monto_orden_compra=$monto_orden_compra;
		$this->nro_bono=$nro_bono;
		$this->fecha_bono=$fecha_bono;
//		$this->monto_bono=$monto_bono;
		$this->id_salud=$id_salud;
		$this->id_guia_despacho = $id_guia_despacho;
		$this->id_guia_despacho_oc = $id_guia_despacho_oc;
		$this->id_guia_despacho_bono = $id_guia_despacho_bono;
		$this->abono_total 	= $abono_total;
		$this->subgrupo 	= $subgrupo;


		$salud = Salud_getSalud($this->id_salud);
		if ($salud)
			$this->nombre_salud = $salud->descripcion;

		$this->monto_armazones = Vale_venta_Monto_ArmazonesVale_venta($id_vale_venta);
		$this->monto_cristales = Vale_venta_Monto_CristalesVale_venta($id_vale_venta);
		$this->monto_bono = Vale_venta_Monto_BonosVale_venta($id_vale_venta);
		$this->monto_orden_compra = Vale_venta_Monto_OCVale_venta($id_vale_venta);
		$this->folio_orden_compra = Vale_venta_Folio_OCVale_venta($id_vale_venta);
		$this->id_orden_compra_cliente = Vale_venta_Id_OCVale_venta($id_vale_venta);

		if (Vale_venta_Total_ArmazonesVale_venta($id_vale_venta) == 0)
			$this->solo_cristales 	= "Slo cristales";
		else
			$this->solo_cristales 	= "";
			
		// MSK 1108 -> NO FUNCIONA
		
		$this->lentes_sol 	= Vale_venta_Total_LenteSolVale_venta($id_vale_venta) ;

		if ($id_vale_venta)
		{
			$this->valor_neto 	= Vale_venta_calcular_totalVale_venta($id_vale_venta);
			$this->costo_total 	= Vale_venta_calcular_costoVale_venta($id_vale_venta,$id_sucursal);	
		}
		$this->monto_boleta 	= Vale_venta_calcular_boletasVale_venta($id_vale_venta);
		//$this->abono_total 	= Vale_venta_calcular_abonosVale_venta($id_vale_venta);

		$this->saldo 		= $this->valor_neto - $this->abono_total-$this->monto_orden_compra-$this->monto_bono-$this->descuento;
//		if ($this->saldo <0)
//			$this->valor_neto = $this->valor_neto-$this->saldo;
//		$this->saldo 		= $this->valor_neto - $this->abono_total;
		$this->saldo_a_facturar	= $this->valor_neto - $this->monto_boleta-$this->monto_orden_compra-$this->monto_bono-$this->descuento;
		
		
		
		switch ($estado) {
			case 0:	$this->nombre_estado = "Digitado";			break;
			case 1:	$this->nombre_estado = "Ingreso Sobre";			break;
			case 2:	$this->nombre_estado = "En Caja";			break;
			case 3:	$this->nombre_estado = "Cancelado";			break;
			case 4:	$this->nombre_estado = "Boleta generada";		break;
			case 5:	$this->nombre_estado = "En Proceso";			break;
			case 6:	$this->nombre_estado = "Finalizado";			break;
			case 7:	$this->nombre_estado = "Entregado";			break;
			case 9:	$this->nombre_estado = "Nulo";				break;
		}
		
		if ($id_sucursal == 0){$this->id_sucursal = 16;}
		
		$sucursal = new Sucursal();
		$sucursal = Sucursal_getSucursal($this->id_sucursal);
		if ($sucursal){
			$this->nombre_sucursal = $sucursal->descripcion;
		}
		
		if ($id_vendedor){
			$clog_vendedor = new Controlador_Logico_Vendedor();
			//$vendedor = new Vendedor();
			$vendedor = $clog_vendedor->getVendedor($id_vendedor);
			if ($vendedor) {
				$this->nombre_vendedor = $vendedor->get_nombre() . " " . $vendedor->get_apellido();
				$this->nombre_corto_vendedor = $vendedor->get_nombre_corto();
				$this->codigo_vendedor = $vendedor->get_codigo();

			}
		}
		
		if ($id_persona){
			$clog_Cliente_particular = new Controlador_Logico_Cliente_particular();
			$cliente_particular = $clog_Cliente_particular->getCliente_particular($id_persona);
			if ($cliente_particular){
				$this->rut_cliente = $cliente_particular->get_rut();
				$this->nombre_cliente = $cliente_particular->get_nombre() . " " . $cliente_particular->get_apellido_paterno(). " " . $cliente_particular->get_apellido_materno();
				$this->email_contacto = $cliente_particular->get_email();
				$this->fono_contacto = $cliente_particular->get_celular();
			}		
		}
		
		if ($id_empresa){
			$clog_Cont_cliente_proveedor = new Controlador_Logico_Cont_cliente_proveedor();
			$empresa = $clog_Cont_cliente_proveedor->getCont_cliente_proveedor($id_empresa); 
			if ($empresa){				
				$this->rut_empresa = $empresa->rut;
				$this->nombre_empresa = $empresa->nombre;
				$this->razon_social = $empresa->razon_social;
				$this->qbli = $empresa->condicion_venta;
			}

		}


		// Verificar Estado de la GUIA DE DESPACHO
		if ($this->seleccionado <> "")
		{
			if ($this->id_guia_despacho <> "")
				$this->nombre_estado_despacho = "Gua Generada";
			else
				$this->nombre_estado_despacho = "En despacho";
		}

//		if ($id_persona){
//			$empresa = new Empresa();
//			$empresa = Cliente_getCliente($id_persona);
//			if ($empresa){
//				
//				$this->nombre_empresa = $empresa->nombre_paciente;
//			}

//		}

		$this->to_string = to_string($this);

		$forma_pago = new Forma_pago();
		$forma_pago = Forma_pago_getForma_pago($this->id_forma_pago);

		if ($forma_pago){
			$this->nombre_forma_pago = $forma_pago->descripcion;
		}


		// Pago Contado
		if ($this->id_forma_pago == 1){
			
		}
		
		
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------


	function registrar_movimiento_venta(){
		
		$id_sucursal 	= $this->get_id_sucursal();
		$sucursal 		= Sucursal_getSucursal($id_sucursal);
		$id_bodega 		= $sucursal->id_bodega_ventas;
		
		$listado_detalle_vale_venta = $this->get_listado_detalles();
		if (!$listado_detalle_vale_venta) return "VV_NO_EXISTEN_DETALLES";

		$dvv = new Detalle_vale_venta();
		foreach ($listado_detalle_vale_venta as $dvv) {
			$producto_inventario = Inventario_getProductoInventario($id_bodega, $dvv->id_producto);
			//debug($producto_inventario);
			//Anotar en la bitacora de Movimientos
			$clog_Movimiento_inventario = new Controlador_Logico_Movimiento_inventario();
			$movimiento_inventario = new Movimiento_inventario();
			$movimiento_inventario->set_id_inventario($producto_inventario->id_inventario);
			$movimiento_inventario->set_id_bodega($producto_inventario->id_bodega);
			$movimiento_inventario->set_id_producto($producto_inventario->id_producto);
			$movimiento_inventario->set_id_tipo_movimiento(3);
			$movimiento_inventario->set_entrada(0);
			$movimiento_inventario->set_salida($dvv->get_cantidad());
			$movimiento_inventario->set_nro_documento($this->id_vale_venta);
			$movimiento_inventario->set_descripcion("VENTA DE PRODUCTO");
			$movimiento_inventario->set_id_usuario(get_id_usuario());
			$movimiento_inventario->set_fecha(hoy());
			$movimiento_inventario->set_ex1($producto_inventario->stock_actual);
			$clog_Movimiento_inventario->guardarMovimiento_inventario($movimiento_inventario);
		}
		
	}
		
	function get_nombre_sucursal(){
		return $this->nombre_sucursal;
	}

	function anular_transaccion(){
		$clg_movimiento = new Controlador_Logico_Movimiento_inventario();
		$listado_movimientos = $this->get_listado_movimientos_inventario();
		foreach ($listado_movimientos as $mov){
			$id_bodega = $mov->get_id_bodega();
			$id_producto = $mov->get_id_producto();
			$cantidad = $mov->get_salida();
			Inventario_aumentarInventario($id_bodega, $id_producto, $cantidad);
			$clg_movimiento->eliminarMovimiento_inventario($mov->get_id_movimiento_inventario());
		}
	}
	
	function get_listado_movimientos_inventario(){
		$clg_movimiento = new Controlador_Logico_Movimiento_inventario();
		$filtro["nro_documento"] = $this->id_vale_venta;
		$filtro["id_tipo_movimiento"] = 3;
		$listado_movimientos = $clg_movimiento->getListadoMovimiento_inventario($filtro);
		return $listado_movimientos;
	}
	
	function rebajar_inventario($id_bodega = 0, $tipo=0){
		
		// ------------------------------
		// tipo = 0  	TODOS
		// tipo = 1		SOLO CRISTALES
		// tipo = 2		SOLO NO CRISTALES
		// ------------------------------
		// id_bodega = C		SOLO CRISTALES
		// id_bodega = C		SOLO CRISTALES
		// ------------------------------
		
		$id_sucursal 	= $this->get_id_sucursal();
		$sucursal 		= Sucursal_getSucursal($id_sucursal);
		
		if ($id_bodega == "V") $id_bodega = $sucursal->id_bodega_ventas;
		if ($id_bodega == "C") $id_bodega = $sucursal->id_bodega_cristales;
		
		//debug($tipo);

		$listado_detalle_vale_venta = $this->get_listado_detalles();
		if (!$listado_detalle_vale_venta) return "VV_NO_EXISTEN_DETALLES";

		$dvv = new Detalle_vale_venta();
		foreach ($listado_detalle_vale_venta as $dvv) {
			
			if ($dvv->id_producto != 0){
				
				$no_rebajar	= false;
				$rebaja		= false;
				
				switch ($tipo) {
					case 0:
					$rebaja = $dvv->rebajar_inventario($id_bodega);
					break;
						
					case 1:
					if ($dvv->cristal){$rebaja = $dvv->rebajar_inventario($id_bodega);}else{$no_rebajar=true;}
					break;
						
					case 2:
					if (!$dvv->cristal){$rebaja = $dvv->rebajar_inventario($id_bodega);}else{$no_rebajar=true;}
					break;
					
					default:
					$rebaja = $dvv->rebajar_inventario($id_bodega);
					break;
				}
	
//				debug($tipo);
//				debug($dvv->cristal);
//				debug($rebaja);
//				debug($no_rebajar);
			
				if ((!$rebaja) and (!$no_rebajar)){
					$msg 	= "SOBRE_NO_HAY_STOCK_CRISTALES";
					$txtmsg .= "<li>[" . $dvv->codigo_barra . "] " .$dvv->nombre_producto;
					$txtmsg .= "(Bodega: $id_bodega) ";
				}else{
					if ($this->estado == 0){
						$movimiento_inventario = new Movimiento_inventario();
						$descripcion = "REBAJE POR VENTA";
						$movimiento_inventario->registrar_movimiento($id_bodega, $dvv->id_producto, $tipo, 0, $dvv->cantidad, $this->id_vale_venta, $descripcion);
					}
				}
				
			}else{
				if ($tipo != "2"){
					$msg 	= "SOBRE_PRODUCTO_NO_INGRESADO";
					$txtmsg .= "<li>" . $dvv->codigo_barra . " - " .$dvv->descripcion;
				}
			}
//			
		}	
		
		
		if ($txtmsg) $msg .= "&txtmsg=" . urlencode($txtmsg);
		
//		debug($msg, "Mensaje Final");
		return $msg;
	}
	
	
	function get_listado_detalles(){
		$filtro["id_vale_venta"] = $this->id_vale_venta;
		$listado_detalles = Detalle_vale_venta_getListadoDetalle_vale_venta($filtro);
		return $listado_detalles;
	}
	

	function get_listado_cristales(){
		$arr = null;
		$filtro["id_vale_venta"] = $this->id_vale_venta;
		$listado_detalles = Detalle_vale_venta_getListadoDetalle_vale_venta($filtro);
		foreach ($listado_detalles as $dvv) {
			if ($dvv->cristal) $arr[] = $dvv;
		}
		return $arr;
	}


	function get_nombre_paciente2(){
		return $this->nombre_paciente;
//		$clog_cliente = new Controlador_Logico_Cliente_particular();
//		$cliente_particular = new Cliente_particular();
//		$cliente_particular = $clog_cliente->getCliente_particular($this->rut_paciente);
//		if ($cliente_particular){
//			return ($cliente_particular->get_nombre_completo());
//		}else{
//			return $this->nombre_paciente;
//		}
	}
	

	function get_id_paciente()
	{
		if ($this->rut_paciente <> "")
		{
			$clog_Paciente = new Controlador_Logico_Paciente();
			$filtro_paciente["rut"] = $this->rut_paciente;
			$listado_paciente = $clog_Paciente->getListadoPaciente($filtro_paciente, $extra_paciente);
			if ($listado_paciente){
				return ($listado_paciente[0]->id_paciente);
			}else{
				return 0;
			}
		}
		else
			return 0;
	}

	function get_credito(){
		$clog_cliente = new Controlador_Logico_Cliente_particular();
		$cliente_particular = new Cliente_particular();
		$cliente_particular = $clog_cliente->getCliente_particular($this->rut_paciente);
		if ($cliente_particular){
			return true;
		}else{
			return false;
		}
	}
	
	function get_nombre_documento(){
		$doc = new Documento();
		$doc = Documento_getDocumento($this->tipo_documento);
		if ($doc) return $doc->nombre;
		return "-";
	}
	
	function get_id_vale_venta(){
		return ($this->id_vale_venta);
	}
	
	function get_id_cotizacion(){
		return ($this->id_cotizacion);
	}
	
	function get_id_vendedor(){
		return ($this->id_vendedor);
	}
	
	function get_id_sucursal(){
		return ($this->id_sucursal);
	}
	
	function get_id_forma_pago(){
		return ($this->id_forma_pago);
	}
	
	function get_id_empresa(){
		return ($this->id_empresa);
	}
	
	function get_id_persona(){
		return ($this->id_persona);
	}
	
	function get_estado(){
		return ($this->estado);
	}
	
	function get_observacion(){
		return ($this->observacion);
	}
	
	function get_fecha_emision(){
		return ($this->fecha_emision);
	}
	
	function get_fecha_pago(){
		return ($this->fecha_pago);
	}
	
	function get_valor_neto(){
		return ($this->valor_neto);
	}
	
	function get_valor_iva(){
		return ($this->valor_iva);
	}
	
	function get_abono_total(){
		return ($this->abono_total);
	}
	
	function get_abono_inicial(){
		return ($this->abono_inicial);
	}
	
	function get_descuento(){
		return ($this->descuento);
	}
	
	function get_seleccionado(){
		return ($this->seleccionado);
	}
	
	function get_orden_compra(){
		return ($this->orden_compra);
	}
	
	function get_rut_paciente(){
		return ($this->rut_paciente);
	}
	
	function get_nro_sobre(){
		return ($this->nro_sobre);
	}
	
	function get_numero_documento(){
		return ($this->numero_documento);		
	}
			
	function get_tipo_documento(){
		return ($this->tipo_documento);		
	}
			
	function get_nombre_paciente(){
		return ($this->nombre_paciente);		
	}
			
	function get_dp_cerca(){
		return ($this->dp_cerca);		
	}
	
	function get_dp_lejos(){
		return ($this->dp_lejos);		
	}
	function get_obs_cerca(){
		return ($this->obs_cerca);		
	}
	function get_obs_lejos(){
		return ($this->obs_lejos);		
	}

	function get_add_lejos(){
		return ($this->add_lejos);		
	}

	function get_fecha_orden_compra(){
		return ($this->fecha_orden_compra);		
	}

	function get_monto_orden_compra(){
		return ($this->monto_orden_compra);		
	}

	function get_nro_bono(){
		return ($this->nro_bono);		
	}
	function get_fecha_bono(){
		return ($this->fecha_bono);		
	}
	function get_monto_bono(){
		return ($this->monto_bono);		
	}
	function get_id_salud(){
		return ($this->id_salud);		
	}


	function get_id_guia_despacho(){
		return ($this->id_guia_despacho);		
	}

	function get_id_guia_despacho_oc(){
		return ($this->id_guia_despacho_oc);		
	}

	function get_id_guia_despacho_bono(){
		return ($this->id_guia_despacho_bono);		
	}

	function get_subgrupo(){
		return ($this->subgrupo);		
	}



//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_vale_venta($id_vale_venta){
		$this->id_vale_venta = $id_vale_venta;
	}
	
	function set_id_cotizacion($id_cotizacion){
		$this->id_cotizacion = $id_cotizacion;
	}
	
	function set_id_vendedor($id_vendedor){
		$this->id_vendedor = $id_vendedor;
	}
	
	function set_id_sucursal($id_sucursal){
		$this->id_sucursal = $id_sucursal;
	}
	
	function set_id_forma_pago($id_forma_pago){
		$this->id_forma_pago = $id_forma_pago;
	}
	
	function set_id_empresa($id_empresa){
		$this->id_empresa = $id_empresa;
	}
	
	function set_id_persona($id_persona){
		$this->id_persona = $id_persona;
	}
	
	function set_estado($estado){
		$this->estado = $estado;
	}
	
	function set_observacion($observacion){
		$this->observacion = $observacion;
	}
	
	function set_fecha_emision($fecha_emision){
		$this->fecha_emision = $fecha_emision;
	}
	
	function set_fecha_pago($fecha_pago){
		$this->fecha_pago = $fecha_pago;
	}
	
	function set_valor_neto($valor_neto){
		$this->valor_neto = $valor_neto;
	}
	
	function set_valor_iva($valor_iva){
		$this->valor_iva = $valor_iva;
	}
	
	function set_abono_total($abono_total){
		$this->abono_total = $abono_total;
	}
	
	function set_abono_inicial($abono_inicial){
		$this->abono_inicial = $abono_inicial;
	}
	
	function set_descuento($descuento){
		$this->descuento = $descuento;
	}
	
	function set_seleccionado($seleccionado){
		$this->seleccionado = $seleccionado;
	}
	
	function set_orden_compra($orden_compra){
		$this->orden_compra = $orden_compra;
	}
	
	function set_rut_paciente($rut_paciente){
		$this->rut_paciente = $rut_paciente;
	}
	
	function set_nro_sobre($nro_sobre){
		$this->nro_sobre = $nro_sobre;
	}
	

	function set_dp_cerca($dp_cerca){
		$this->dp_cerca = $dp_cerca;
	}

	function set_dp_lejos($dp_lejos){
		$this->dp_lejos = $dp_lejos;
	}
	function set_obs_cerca($obs_cerca){
		$this->obs_cerca = $obs_cerca;
	}

	function set_obs_lejos($obs_lejos){
		$this->obs_lejos = $obs_lejos;
	}
	
	function set_add_lejos($add_lejos){
		$this->add_lejos = $add_lejos;
	}

	function set_fecha_orden_compra($fecha_orden_compra){
		$this->fecha_orden_compra = $fecha_orden_compra;
	}

	function set_monto_orden_compra($monto_orden_compra){
		$this->monto_orden_compra = $monto_orden_compra;
	}

	function set_nro_bono($nro_bono){
		$this->nro_bono = $nro_bono;
	}
	
	function set_fecha_bono($fecha_bono){
		$this->fecha_bono = $fecha_bono;
	}

	function set_monto_bono($monto_bono){
		$this->monto_bono = $monto_bono;
	}

	function set_id_salud($id_salud){
		$this->id_salud = $id_salud;
	}

	function set_id_guia_despacho($id_guia_despacho){
		$this->id_guia_despacho = $id_guia_despacho;
	}


	function set_id_guia_despacho_oc($id_guia_despacho_oc){
		$this->id_guia_despacho_oc = $id_guia_despacho_oc;
	}

	function set_id_guia_despacho_bono($id_guia_despacho_bono){
		$this->id_guia_despacho_bono = $id_guia_despacho_bono;
	}

	function set_subgrupo($subgrupo){
		$this->subgrupo = $subgrupo;
	}



	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Vale_venta_getListadoVale_venta($filtro,$extra){
		return Vale_venta_Fachada::getListadoVale_venta($filtro,$extra);
	}
	
	function Vale_venta_getVale_venta_por_sobre($nro_sobre){
		$filtro["nro_sobre"] = $nro_sobre;
		$extra["order"] = "nombre_paciente, id_vale_venta DESC";
		$listado_vale_venta = Vale_venta_getListadoVale_ventaBuscador($filtro,$extra);
		return $listado_vale_venta[0];
	}
	
	function Vale_venta_getListadoVale_ventaBuscador($filtro,$extra){
		$sql = "";
		
		if ($filtro["rut_paciente"]){
			$sql .= "rut_paciente LIKE '" . $filtro["rut_paciente"] . "%' AND ";
		}
		
		
		if ($filtro["fecha_ini"]){
			$sql .= "fecha_emision >= '" . $filtro["fecha_ini"] . "' AND fecha_emision <= '". $filtro["fecha_fin"] . "' AND ";
		}
		
		if ($filtro["numero_documento"]){
			$sql .= "numero_documento LIKE '". $filtro["numero_documento"] . "' AND ";
		}

		if ($filtro["id_sucursal"]){
			$sql .= "id_sucursal LIKE '". $filtro["id_sucursal"] . "' AND ";
		}

		if ($filtro["id_forma_pago"]){
			$sql .= "id_forma_pago LIKE '". $filtro["id_forma_pago"] . "' AND ";
		}

		if ($filtro["id_vendedor"]){
			$sql .= "id_vendedor = '". $filtro["id_vendedor"] . "' AND ";
		}

		if ($filtro["tipo_documento"]){
			$sql .= "tipo_documento LIKE '". $filtro["tipo_documento"] . "' AND ";
		}
		
		if ($filtro["nro_sobre"]){
			$sql .= "nro_sobre LIKE '". $filtro["nro_sobre"] . "' AND ";
		}
		
		if ($filtro["id_cliente_proveedor"]){
			$sql .= "id_empresa = '". $filtro["id_cliente_proveedor"] . "' AND ";
		}


		if ($filtro["id_vale_venta"]){
			$sql .= "id_vale_venta LIKE '". $filtro["id_vale_venta"] . "' AND ";
		}
		
		if ($filtro["filtro_nro_oc"]){
			$sql .= "orden_compra LIKE '". $filtro["filtro_nro_oc"] . "' AND ";
		}
		
		if ($filtro["estado"]){
			$sql .= "estado  like '". $filtro["estado"] . "' AND ";
		}
		
//		if ($filtro["!estado"]){
//			$sql .= "estado  != '". $filtro["!estado"] . "' AND ";
//		}
		
		if ($filtro["nombre"] <> "")
			$sql .= "nombre_paciente LIKE '%" . $filtro["nombre"] . "' AND ";
		else
		{
			if (!$filtro)
			{
				$sql .= "nombre_paciente NOT LIKE ''" . " AND ";
			}
		}

		
		$sql = substr($sql, 0, -4);
		if ($sql){
			$sql = " WHERE " . $sql;
//			$sql .= " ORDER BY nombre_paciente, id_vale_venta DESC ";
			$sql .= " ORDER BY fecha_emision DESC ";
		
				
			if ($extra["limit"]){
				if ($extra["desde"]){
					$sql .= " LIMIT ".$extra["desde"].",".$extra["limit"];
				}else{
					$sql .= " LIMIT ".$extra["limit"];
				}
			}else{
				if ($extra["desde"]){
					$sql .= " LIMIT ".$extra["desde"].",0";
				}
			}
				
		} 
		
		
		$extra_fin["sql"] = $sql;
		return Vale_venta_Fachada::getListadoVale_venta("",$extra_fin);
	}
	
	function Vale_venta_getVale_venta($id_vale_venta){
		return Vale_venta_Fachada::getVale_venta($id_vale_venta);
	}
	
	function Vale_venta_guardarVale_venta($objeto){
		return Vale_venta_Fachada::guardarVale_venta($objeto);
	}
	
	function Vale_venta_actualizarVale_venta($objeto){
		return Vale_venta_Fachada::actualizarVale_venta($objeto);
	}
	
	function Vale_venta_eliminarVale_venta($id_vale_venta){
		return Vale_venta_Fachada::eliminarVale_venta($id_vale_venta);
	}
	
	function Vale_venta_getListadoVale_venta_con_guia_despacho($filtro,$extra){
		$extra["sql"] = "";
		if ($filtro["fecha_inicio"] and $filtro["fecha_termino"]){
			$extra["sql"] .= "WHERE fecha_emision BETWEEN '" . $filtro["fecha_inicio"] . "' AND '" . $filtro["fecha_termino"] . "' " ;		
		}
		//$extra["sql"] .= " AND estado != 10 AND estado != 0";
		return Vale_venta_Fachada::getListadoVale_venta("",$extra);
	}
	
	function Vale_venta_getListadoVale_venta_no_pagos($filtro,$extra){
		//$filtro["estado"] = "1";
		return Vale_venta_Fachada::getListadoVale_venta($filtro,$extra);
	}
	
	function Vale_venta_calcular_totalVale_venta($id_vale_venta){
		return Vale_venta_Fachada::calcular_totalVale_venta($id_vale_venta);		
	}
	
	function Vale_venta_calcular_costoVale_venta($id_vale_venta, $id_sucursal){
		return Vale_venta_Fachada::calcular_costoVale_venta($id_vale_venta, $id_sucursal);		
	}

	function Vale_venta_calcular_boletasVale_venta($id_vale_venta){
		return Vale_venta_Fachada::calcular_boletasVale_venta($id_vale_venta);
	}
	
	function Vale_venta_calcular_abonosVale_venta($id_vale_venta){
		return Vale_venta_Fachada::calcular_abonosVale_venta($id_vale_venta);
	}

	function Vale_venta_Total_ArmazonesVale_venta($id_vale_venta){
		return Vale_venta_Fachada::Total_ArmazonesVale_venta($id_vale_venta);
	}
	
	function Vale_venta_Total_LenteSolVale_venta($id_vale_venta){
		return Vale_venta_Fachada::Total_LenteSolVale_venta($id_vale_venta);
	}
	
	function Vale_venta_Monto_ArmazonesVale_venta($id_vale_venta){
		return Vale_venta_Fachada::Monto_ArmazonesVale_venta($id_vale_venta);
	}

	function Vale_venta_Monto_CristalesVale_venta($id_vale_venta){
		return Vale_venta_Fachada::Monto_CristalesVale_venta($id_vale_venta);
	}
	
	function Vale_venta_Monto_BonosVale_venta($id_vale_venta){
		return Vale_venta_Fachada::Monto_BonosVale_venta($id_vale_venta);
	}

	function Vale_venta_Monto_OCVale_venta($id_vale_venta){
		return Vale_venta_Fachada::Monto_OCVale_venta($id_vale_venta);
	}

	function Vale_venta_Folio_OCVale_venta($id_vale_venta){
		return Vale_venta_Fachada::Folio_OCVale_venta($id_vale_venta);
	}

	function Vale_venta_Id_OCVale_venta($id_vale_venta){
		return Vale_venta_Fachada::Id_OCVale_venta($id_vale_venta);
	}

?>
