<?

//------------------------------------------------------------------------------
//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Boleta {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	private $controlador_bd_Boleta;

	//CONSTRUCTOR
	public function __construct ()
	{
		$this->controlador_bd_Boleta = new controlador_bd_Boleta;
	}

	// DESTRUCTOR
	public function __destruct()
	{

	}

	//------------------------------------------------------------------------------
	//	FUNCIONES
	//------------------------------------------------------------------------------

	function getUltimo_Correlativo($filtro,$extra){
		return $this->controlador_bd_Boleta->getUltimo_Correlativo($filtro,$extra);
	}
	
	
	function getCantidadBoleta($filtro){
		return $this->controlador_bd_Boleta->getCantidadBoleta_BD($filtro);
	}

	function getListadoBoleta($filtro,$extra){
		$listado_Boleta_bd = $this->controlador_bd_Boleta->getListadoBoleta_BD($filtro,$extra);
		$Boleta_bd = new Boleta_bd();
		foreach ($listado_Boleta_bd as $Boleta_bd){
			$listado_Boleta[] = new Boleta($Boleta_bd);
		}
		return $listado_Boleta;
	}

	function getBoleta($id_boleta){
		$Boleta_bd = $this->controlador_bd_Boleta->getBoleta_BD($id_boleta);
		if ($Boleta_bd)
		return (new Boleta($Boleta_bd));
		else
		return null;
	}

	function guardarBoleta(Boleta $Boleta){
		$id_boleta = $Boleta->get_id_boleta();
		$id_profesional = $Boleta->get_id_profesional();
		$id_contribuyente = $Boleta->get_id_contribuyente();
		$correlativo = $Boleta->get_correlativo();
		$id_comprobante = $Boleta->get_id_comprobante();
		$descripcion = $Boleta->get_descripcion();
		$id_centro_costo = $Boleta->get_id_centro_costo();
		$id_item_gasto = $Boleta->get_id_item_gasto();
		$numero_boleta = $Boleta->get_numero_boleta();
		$fecha_creacion = $Boleta->get_fecha_creacion();
		$fecha_emision = $Boleta->get_fecha_emision();
		$fecha_proceso = $Boleta->get_fecha_proceso();
		$total_neto = $Boleta->get_total_neto();
		$impuesto = $Boleta->get_impuesto();
		$total_bruto = $Boleta->get_total_bruto();
		$total_saldos = $Boleta->get_total_saldos();
		$estado = $Boleta->get_estado();
		$fecha_cancelacion = $Boleta->get_fecha_cancelacion();
		$id_sucursal = $Boleta->get_id_sucursal();
		$Boleta_bd = new Boleta_BD ($id_profesional, $id_contribuyente, $correlativo, $id_comprobante, $descripcion, $id_centro_costo, $id_item_gasto, $numero_boleta, $fecha_creacion, $fecha_emision, $fecha_proceso, $total_neto, $impuesto, $total_bruto, $total_saldos, $estado, $fecha_cancelacion, $id_sucursal, $id_boleta);
		return $this->controlador_bd_Boleta->guardarBoleta_BD($Boleta_bd);
	}

	function actualizarBoleta(Boleta $Boleta){
		$id_boleta = $Boleta->get_id_boleta();
		$id_profesional = $Boleta->get_id_profesional();
		$id_contribuyente = $Boleta->get_id_contribuyente();
		$correlativo = $Boleta->get_correlativo();
		$id_comprobante = $Boleta->get_id_comprobante();
		$descripcion = $Boleta->get_descripcion();
		$id_centro_costo = $Boleta->get_id_centro_costo();
		$id_item_gasto = $Boleta->get_id_item_gasto();
		$numero_boleta = $Boleta->get_numero_boleta();
		$fecha_creacion = $Boleta->get_fecha_creacion();
		$fecha_emision = $Boleta->get_fecha_emision();
		$fecha_proceso = $Boleta->get_fecha_proceso();
		$total_neto = $Boleta->get_total_neto();
		$impuesto = $Boleta->get_impuesto();
		$total_bruto = $Boleta->get_total_bruto();
		$total_saldos = $Boleta->get_total_saldos();
		$estado = $Boleta->get_estado();
		$fecha_cancelacion = $Boleta->get_fecha_cancelacion();
		$id_sucursal = $Boleta->get_id_sucursal();
		$Boleta_bd = new Boleta_BD ($id_profesional, $id_contribuyente, $correlativo, $id_comprobante, $descripcion, $id_centro_costo, $id_item_gasto, $numero_boleta, $fecha_creacion, $fecha_emision, $fecha_proceso, $total_neto, $impuesto, $total_bruto, $total_saldos, $estado, $fecha_cancelacion, $id_sucursal, $id_boleta);

		return $this->controlador_bd_Boleta->actualizarBoleta_BD($Boleta_bd);
	}

	function eliminarBoleta($id_boleta){
		return $this->controlador_bd_Boleta->eliminarBoleta_BD($id_boleta);
	}
	
	function get_totales($fecha_proceso,$id_contribuyente){
		return $this->controlador_bd_Boleta->get_totales_BD($fecha_proceso,$id_contribuyente);
	}
}
//------------------------------------------------------------------------------
//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
