<?

//------------------------------------------------------------------------------
//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Cliente_proveedor {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	private $controlador_bd_Cliente_proveedor;

	//CONSTRUCTOR
	public function __construct ()
	{
		$this->controlador_bd_Cliente_proveedor = new controlador_bd_Cliente_proveedor;
	}

	// DESTRUCTOR
	public function __destruct()
	{

	}

	//------------------------------------------------------------------------------
	//	FUNCIONES
	//------------------------------------------------------------------------------

	function getCantidadCliente_proveedor($filtro){
		return $this->controlador_bd_Cliente_proveedor->getCantidadCliente_proveedor_BD($filtro);
	}
	
	function getListadoCliente_proveedor($filtro,$extra){
		$listado_Cliente_proveedor_bd = $this->controlador_bd_Cliente_proveedor->getListadoCliente_proveedor_BD($filtro,$extra);
		$Cliente_proveedor_bd = new Cliente_proveedor_bd();
		foreach ($listado_Cliente_proveedor_bd as $Cliente_proveedor_bd){
			$listado_Cliente_proveedor[] = new Cliente_proveedor($Cliente_proveedor_bd);
		}
		return $listado_Cliente_proveedor;
	}

	function getCliente_proveedor($id_cliente_proveedor){
		$Cliente_proveedor_bd = $this->controlador_bd_Cliente_proveedor->getCliente_proveedor_BD($id_cliente_proveedor);
		if ($Cliente_proveedor_bd)
		{
			$x = new Cliente_proveedor($Cliente_proveedor_bd);
			return ($x);
		}
		else
			return null;
	}

	function guardarCliente_proveedor(Cliente_proveedor $Cliente_proveedor){
		$id_cliente_proveedor = $Cliente_proveedor->get_id_cliente_proveedor();
		$id_empresa = $Cliente_proveedor->get_id_empresa();
		$id_ciudad = $Cliente_proveedor->get_id_ciudad();
		$tipo_cliente_proveedor = $Cliente_proveedor->get_tipo_cliente_proveedor();
		$tipo_natural_empresa = $Cliente_proveedor->get_tipo_natural_empresa();
		$rut = $Cliente_proveedor->get_rut();
		$nombre = $Cliente_proveedor->get_nombre();
		$razon_social = $Cliente_proveedor->get_razon_social();
		$giro = $Cliente_proveedor->get_giro();
		$direccion = $Cliente_proveedor->get_direccion();
		$telefono = $Cliente_proveedor->get_telefono();
		$telefono2 = $Cliente_proveedor->get_telefono2();
		$movil = $Cliente_proveedor->get_movil();
		$exportado = $Cliente_proveedor->get_exportado();
		$website = $Cliente_proveedor->get_website();
		$email = $Cliente_proveedor->get_email();
		$fecha_ingreso = $Cliente_proveedor->get_fecha_ingreso();
		$monto_credito = $Cliente_proveedor->get_monto_credito();
		$estado = $Cliente_proveedor->get_estado();
		$observacion = $Cliente_proveedor->get_observacion();
		$condicion_venta = $Cliente_proveedor->get_condicion_venta();
		$req_orden_compra = $Cliente_proveedor->get_req_orden_compra();
		$observacion_economica = $Cliente_proveedor->get_observacion_economica();
		// MSK 05-07
		/*
		$rut_rep_legal = $Cliente_proveedor->get_rut_rep_legal();
		$nombre_rep_legal = $Cliente_proveedor->get_nombre_rep_legal();
                */

		$Cliente_proveedor_bd = new Cliente_proveedor_BD ($id_empresa, $id_ciudad, $tipo_cliente_proveedor, $tipo_natural_empresa, $rut, $nombre, $razon_social, $giro, $direccion, $telefono, $telefono2, $movil, $exportado, $website, $email, $fecha_ingreso, $monto_credito, $estado, $observacion, $condicion_venta, $req_orden_compra, $observacion_economica, $id_cliente_proveedor, $rut_rep_legal, $nombre_rep_legal);
		return $this->controlador_bd_Cliente_proveedor->guardarCliente_proveedor_BD($Cliente_proveedor_bd);
	}

	function actualizarCliente_proveedor(Cliente_proveedor $Cliente_proveedor){
		$id_cliente_proveedor = $Cliente_proveedor->get_id_cliente_proveedor();
		$id_empresa = $Cliente_proveedor->get_id_empresa();
		$id_ciudad = $Cliente_proveedor->get_id_ciudad();
		$tipo_cliente_proveedor = $Cliente_proveedor->get_tipo_cliente_proveedor();
		$tipo_natural_empresa = $Cliente_proveedor->get_tipo_natural_empresa();
		$rut = $Cliente_proveedor->get_rut();
		$nombre = $Cliente_proveedor->get_nombre();
		$razon_social = $Cliente_proveedor->get_razon_social();
		$giro = $Cliente_proveedor->get_giro();
		$direccion = $Cliente_proveedor->get_direccion();
		$telefono = $Cliente_proveedor->get_telefono();
		$telefono2 = $Cliente_proveedor->get_telefono2();
		$movil = $Cliente_proveedor->get_movil();
		$exportado = $Cliente_proveedor->get_exportado();
		$website = $Cliente_proveedor->get_website();
		$email = $Cliente_proveedor->get_email();
		$fecha_ingreso = $Cliente_proveedor->get_fecha_ingreso();
		$monto_credito = $Cliente_proveedor->get_monto_credito();
		$estado = $Cliente_proveedor->get_estado();
		$observacion = $Cliente_proveedor->get_observacion();
		$condicion_venta = $Cliente_proveedor->get_condicion_venta();
		$req_orden_compra = $Cliente_proveedor->get_req_orden_compra();
		$observacion_economica = $Cliente_proveedor->get_observacion_economica();
		// MSK 05-07
		//$rut_rep_legal = $Cliente_proveedor->get_rut_rep_legal();
		//$nombre_rep_legal = $Cliente_proveedor->get_nombre_rep_legal();
		
		$Cliente_proveedor_bd = new Cliente_proveedor_BD ($id_empresa, $id_ciudad, $tipo_cliente_proveedor, $tipo_natural_empresa, $rut, $nombre, $razon_social, $giro, $direccion, $telefono, $telefono2, $movil, $exportado, $website, $email, $fecha_ingreso, $monto_credito, $estado, $observacion, $condicion_venta, $req_orden_compra, $observacion_economica, $id_cliente_proveedor, $rut_rep_legal, $nombre_rep_legal);
		return $this->controlador_bd_Cliente_proveedor->actualizarCliente_proveedor_BD($Cliente_proveedor_bd);
	}

	function eliminarCliente_proveedor($id_cliente_proveedor){
		return $this->controlador_bd_Cliente_proveedor->eliminarCliente_proveedor_BD($id_cliente_proveedor);
	}
}
//------------------------------------------------------------------------------
//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
