<?


//------------------------------------------------------------------------------
//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Cont_cheque {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	private $controlador_bd_Cont_cheque;

	//CONSTRUCTOR
	public function __construct() {
		$this->controlador_bd_Cont_cheque = new controlador_bd_Cont_cheque;
	}

	// DESTRUCTOR
	public function __destruct() {

	}

	//------------------------------------------------------------------------------
	//	FUNCIONES
	//------------------------------------------------------------------------------

	function getCantidadCont_cheque($filtro) {
		return $this->controlador_bd_Cont_cheque->getCantidadCont_cheque_BD($filtro);
	}

	function getListadoCont_cheque($filtro, $extra) {
		$listado_Cont_cheque_bd = $this->controlador_bd_Cont_cheque->getListadoCont_cheque_BD($filtro, $extra);
		$Cont_cheque_bd = new Cont_cheque_bd();
		foreach ($listado_Cont_cheque_bd as $Cont_cheque_bd) {
			$listado_Cont_cheque[] = new Cont_cheque($Cont_cheque_bd);
		}
		return $listado_Cont_cheque;
	}

	function getCont_cheque($id_cheque) {
		$Cont_cheque_bd = $this->controlador_bd_Cont_cheque->getCont_cheque_BD($id_cheque);
		if ($Cont_cheque_bd)
			return (new Cont_cheque($Cont_cheque_bd));
		else
			return null;
	}

	function guardarCont_cheque(Cont_cheque $Cont_cheque) {
		$id_cheque = $Cont_cheque->get_id_cheque();
		$id_comprobante_pago = $Cont_cheque->get_id_comprobante_pago();
		$numero_cheque = $Cont_cheque->get_numero_cheque();
		$fecha_cheque = $Cont_cheque->get_fecha_cheque();
		$estado = $Cont_cheque->get_estado();
		$id_detalle_comprobante_contable = $Cont_cheque->get_id_detalle_comprobante_contable();
		$monto_cheque = $Cont_cheque->get_monto_cheque();
		$id_banco = $Cont_cheque->get_id_banco();
		$tipo = $Cont_cheque->get_tipo();
		$Cont_cheque_bd = new Cont_cheque_BD($id_comprobante_pago, $numero_cheque, $fecha_cheque, $estado, $id_detalle_comprobante_contable, $monto_cheque, $id_banco, $tipo, $id_cheque);
		return $this->controlador_bd_Cont_cheque->guardarCont_cheque_BD($Cont_cheque_bd);
	}

	function actualizarCont_cheque(Cont_cheque $Cont_cheque) {
		$id_cheque = $Cont_cheque->get_id_cheque();
		$id_comprobante_pago = $Cont_cheque->get_id_comprobante_pago();
		$numero_cheque = $Cont_cheque->get_numero_cheque();
		$fecha_cheque = $Cont_cheque->get_fecha_cheque();
		$estado = $Cont_cheque->get_estado();
		$id_detalle_comprobante_contable = $Cont_cheque->get_id_detalle_comprobante_contable();
		$monto_cheque = $Cont_cheque->get_monto_cheque();
		$id_banco = $Cont_cheque->get_id_banco();
		$tipo = $Cont_cheque->get_tipo();
		$Cont_cheque_bd = new Cont_cheque_BD($id_comprobante_pago, $numero_cheque, $fecha_cheque, $estado, $id_detalle_comprobante_contable, $monto_cheque, $id_banco, $tipo, $id_cheque);
		return $this->controlador_bd_Cont_cheque->actualizarCont_cheque_BD($Cont_cheque_bd);
	}

	function eliminarCont_cheque($id_cheque) {
		return $this->controlador_bd_Cont_cheque->eliminarCont_cheque_BD($id_cheque);
	}
	
	// FUNCIONES AGREGADAS
	function anexar_chequeValeVista($nro_documento,$fecha_creacion,$id_detalle_comprobante,$monto,$id_banco,$id_tipo_documento){
		$cheque = new Cont_cheque();
		$cheque->set_numero_cheque($nro_documento);
		$cheque->set_fecha_cheque($fecha_creacion);
		$cheque->set_id_detalle_comprobante_contable($id_detalle_comprobante);
		$cheque->set_monto_cheque($monto);
		$cheque->set_id_banco($id_banco);
		$cheque->set_tipo($id_tipo_documento);
		$cheque->set_estado(0);
		$this->guardarCont_cheque($cheque);
	}
	
	function modificar_chequeValeVista($id_detalle_comprobante,$nro_documento,$fecha_creacion,$monto,$id_banco,$id_tipo_documento){
		$filtro_cheque["id_detalle_comprobante_contable"] = $id_detalle_comprobante;
		$cheque = $this->getListadoCont_cheque($filtro_cheque);
		$cheque = $cheque[0];
		
		if ($cheque){		
			$cheque->set_numero_cheque($nro_documento);
			$cheque->set_fecha_cheque($fecha_creacion);
			$cheque->set_monto_cheque($monto);
			$cheque->set_id_banco($id_banco);
			$cheque->set_tipo($id_tipo_documento);
			$this->actualizarCont_cheque($cheque);
		}
	}	
	
	function eliminar_chequeValeVista_anexados($id_detalle_comprobante){
		$filtro["id_detalle_comprobante"] = $id_detalle_comprobante;
		$listado = $this->getListadoCont_cheque($filtro);
		foreach ($listado as $cheque){
			$this->eliminarCont_cheque($cheque->get_id_cheque());
		}
		
	}
}
//------------------------------------------------------------------------------
//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>