<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Cont_comprobante_pago {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	private $controlador_bd_Cont_comprobante_pago;
	
	//CONSTRUCTOR
	public function __construct ()
	{
		$this->controlador_bd_Cont_comprobante_pago = new controlador_bd_Cont_comprobante_pago;
	}
	
	// DESTRUCTOR
	public function __destruct()
	{
		
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadCont_comprobante_pago($filtro){
		return $this->controlador_bd_Cont_comprobante_pago->getCantidadCont_comprobante_pago_BD($filtro);
	}
	
	function getListadoCont_comprobante_pago($filtro,$extra){
		$listado_Cont_comprobante_pago_bd = $this->controlador_bd_Cont_comprobante_pago->getListadoCont_comprobante_pago_BD($filtro,$extra);
		$Cont_comprobante_pago_bd = new Cont_comprobante_pago_bd();
	foreach ($listado_Cont_comprobante_pago_bd as $Cont_comprobante_pago_bd){
		$listado_Cont_comprobante_pago[] = new Cont_comprobante_pago($Cont_comprobante_pago_bd);
	}
	return $listado_Cont_comprobante_pago;
	}
	
	function getCont_comprobante_pago($id_comprobante_pago){
		$Cont_comprobante_pago_bd = $this->controlador_bd_Cont_comprobante_pago->getCont_comprobante_pago_BD($id_comprobante_pago);
		if ($Cont_comprobante_pago_bd)
		return (new Cont_comprobante_pago($Cont_comprobante_pago_bd));
		else
		return null;
	}
	
	function guardarCont_comprobante_pago(Cont_comprobante_pago $Cont_comprobante_pago){
		$id_comprobante_pago = $Cont_comprobante_pago->get_id_comprobante_pago();
		$id_cliente_proveedor = $Cont_comprobante_pago->get_id_cliente_proveedor();
		$id_documento = $Cont_comprobante_pago->get_id_documento();
		$tipo = $Cont_comprobante_pago->get_tipo();
		$forma_pago = $Cont_comprobante_pago->get_forma_pago();
		$abono = $Cont_comprobante_pago->get_abono();
		$glosa = $Cont_comprobante_pago->get_glosa();
		$fecha_abono = $Cont_comprobante_pago->get_fecha_abono();
		$fecha_digitacion = $Cont_comprobante_pago->get_fecha_digitacion();
		$numero_cheque = $Cont_comprobante_pago->get_numero_cheque();
		$fecha_cheque = $Cont_comprobante_pago->get_fecha_cheque();
		$estado = $Cont_comprobante_pago->get_estado();
		$id_comprobante_contable = $Cont_comprobante_pago->get_id_comprobante_contable();
		$id_empresa_seleccionada = $Cont_comprobante_pago->get_id_empresa_seleccionada();
		$id_sucursal = $Cont_comprobante_pago->get_id_sucursal();
		$numero_recibo = $Cont_comprobante_pago->get_numero_recibo();
		$Cont_comprobante_pago_bd = new Cont_comprobante_pago_BD ($id_cliente_proveedor, $id_documento, $tipo, $forma_pago, $abono, $glosa, $fecha_abono, $fecha_digitacion, $numero_cheque, $fecha_cheque, $estado, $id_comprobante_contable, $id_empresa_seleccionada, $id_sucursal, $numero_recibo, $id_comprobante_pago);
		return $this->controlador_bd_Cont_comprobante_pago->guardarCont_comprobante_pago_BD($Cont_comprobante_pago_bd);
	}
	
	function actualizarCont_comprobante_pago(Cont_comprobante_pago $Cont_comprobante_pago){
		$id_comprobante_pago = $Cont_comprobante_pago->get_id_comprobante_pago();
		$id_cliente_proveedor = $Cont_comprobante_pago->get_id_cliente_proveedor();
		$id_documento = $Cont_comprobante_pago->get_id_documento();
		$tipo = $Cont_comprobante_pago->get_tipo();
		$forma_pago = $Cont_comprobante_pago->get_forma_pago();
		$abono = $Cont_comprobante_pago->get_abono();
		$glosa = $Cont_comprobante_pago->get_glosa();
		$fecha_abono = $Cont_comprobante_pago->get_fecha_abono();
		$fecha_digitacion = $Cont_comprobante_pago->get_fecha_digitacion();
		$numero_cheque = $Cont_comprobante_pago->get_numero_cheque();
		$fecha_cheque = $Cont_comprobante_pago->get_fecha_cheque();
		$estado = $Cont_comprobante_pago->get_estado();
		$id_comprobante_contable = $Cont_comprobante_pago->get_id_comprobante_contable();
		$id_empresa_seleccionada = $Cont_comprobante_pago->get_id_empresa_seleccionada();
		$id_sucursal = $Cont_comprobante_pago->get_id_sucursal();
		$numero_recibo = $Cont_comprobante_pago->get_numero_recibo();
		$Cont_comprobante_pago_bd = new Cont_comprobante_pago_BD ($id_cliente_proveedor, $id_documento, $tipo, $forma_pago, $abono, $glosa, $fecha_abono, $fecha_digitacion, $numero_cheque, $fecha_cheque, $estado, $id_comprobante_contable, $id_empresa_seleccionada, $id_sucursal, $numero_recibo, $id_comprobante_pago);
		return $this->controlador_bd_Cont_comprobante_pago->actualizarCont_comprobante_pago_BD($Cont_comprobante_pago_bd);
	}
	
	function eliminarCont_comprobante_pago($id_comprobante_pago){
		return $this->controlador_bd_Cont_comprobante_pago->eliminarCont_comprobante_pago_BD($id_comprobante_pago);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
