<?

//------------------------------------------------------------------------------
//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Cont_presupuesto {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	private $controlador_bd_Cont_presupuesto;

	//CONSTRUCTOR
	public function __construct ()
	{
		$this->controlador_bd_Cont_presupuesto = new controlador_bd_Cont_presupuesto;
	}

	// DESTRUCTOR
	public function __destruct()
	{

	}

	//------------------------------------------------------------------------------
	//	FUNCIONES
	//------------------------------------------------------------------------------

	
	function getCantidadCont_presupuesto($filtro){
		return $this->controlador_bd_Cont_presupuesto->getCantidadCont_presupuesto_BD($filtro);
	}

	function getListadoCont_presupuesto($filtro,$extra){
		$listado_Cont_presupuesto_bd = $this->controlador_bd_Cont_presupuesto->getListadoCont_presupuesto_BD($filtro,$extra);
		$Cont_presupuesto_bd = new Cont_presupuesto_bd();
		foreach ($listado_Cont_presupuesto_bd as $Cont_presupuesto_bd){
			$listado_Cont_presupuesto[] = new Cont_presupuesto($Cont_presupuesto_bd);
		}
		return $listado_Cont_presupuesto;
	}

	function getCont_presupuesto($id_presupuesto){
		$Cont_presupuesto_bd = $this->controlador_bd_Cont_presupuesto->getCont_presupuesto_BD($id_presupuesto);
		if ($Cont_presupuesto_bd)
		return (new Cont_presupuesto($Cont_presupuesto_bd));
		else
		return null;
	}

	function guardarCont_presupuesto(Cont_presupuesto $Cont_presupuesto){
		$id_presupuesto = $Cont_presupuesto->get_id_presupuesto();
		$descripcion = $Cont_presupuesto->get_descripcion();
		$estado = $Cont_presupuesto->get_estado();
		$ano = $Cont_presupuesto->get_ano();
		$fecha_cierre = $Cont_presupuesto->get_fecha_cierre();
		$fecha_apertura = $Cont_presupuesto->get_fecha_apertura();
		$total_presupuestado = $Cont_presupuesto->get_total_presupuestado();
		$total_real = $Cont_presupuesto->get_total_real();
		$extra1 = $Cont_presupuesto->get_extra1();
		$extra2 = $Cont_presupuesto->get_extra2();
		$extra3 = $Cont_presupuesto->get_extra3();
		$Cont_presupuesto_bd = new Cont_presupuesto_BD ($descripcion, $estado, $ano, $fecha_cierre, $fecha_apertura, $total_presupuestado, $total_real, $extra1, $extra2, $extra3, $id_presupuesto);
		return $this->controlador_bd_Cont_presupuesto->guardarCont_presupuesto_BD($Cont_presupuesto_bd);
	}

	function actualizarCont_presupuesto(Cont_presupuesto $Cont_presupuesto){
		$id_presupuesto = $Cont_presupuesto->get_id_presupuesto();
		$descripcion = $Cont_presupuesto->get_descripcion();
		$estado = $Cont_presupuesto->get_estado();
		$ano = $Cont_presupuesto->get_ano();
		$fecha_cierre = $Cont_presupuesto->get_fecha_cierre();
		$fecha_apertura = $Cont_presupuesto->get_fecha_apertura();
		$total_presupuestado = $Cont_presupuesto->get_total_presupuestado();
		$total_real = $Cont_presupuesto->get_total_real();
		$extra1 = $Cont_presupuesto->get_extra1();
		$extra2 = $Cont_presupuesto->get_extra2();
		$extra3 = $Cont_presupuesto->get_extra3();
		$Cont_presupuesto_bd = new Cont_presupuesto_BD ($descripcion, $estado, $ano, $fecha_cierre, $fecha_apertura, $total_presupuestado, $total_real, $extra1, $extra2, $extra3, $id_presupuesto);
		return $this->controlador_bd_Cont_presupuesto->actualizarCont_presupuesto_BD($Cont_presupuesto_bd);
	}

	function eliminarCont_presupuesto($id_presupuesto){
		return $this->controlador_bd_Cont_presupuesto->eliminarCont_presupuesto_BD($id_presupuesto);
	}
}
//------------------------------------------------------------------------------
//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
