<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Devolucion_productos {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	private $controlador_bd_Devolucion_productos;
	
	//CONSTRUCTOR
	public function __construct ()
	{
		$this->controlador_bd_Devolucion_productos = new controlador_bd_Devolucion_productos;
	}
	
	// DESTRUCTOR
	public function __destruct()
	{
		
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadDevolucion_productos($filtro){
		return $this->controlador_bd_Devolucion_productos->getCantidadDevolucion_productos_BD($filtro);
	}
	
	function getListadoDevolucion_productos($filtro,$extra){
		$listado_Devolucion_productos_bd = $this->controlador_bd_Devolucion_productos->getListadoDevolucion_productos_BD($filtro,$extra);
		$Devolucion_productos_bd = new Devolucion_productos_bd();
	foreach ($listado_Devolucion_productos_bd as $Devolucion_productos_bd){
		$listado_Devolucion_productos[] = new Devolucion_productos($Devolucion_productos_bd);
	}
	return $listado_Devolucion_productos;
	}
	
	function getDevolucion_productos($id_devolucion){
		$Devolucion_productos_bd = $this->controlador_bd_Devolucion_productos->getDevolucion_productos_BD($id_devolucion);
		if ($Devolucion_productos_bd)
		return (new Devolucion_productos($Devolucion_productos_bd));
		else
		return null;
	}
	
	function guardarDevolucion_productos(Devolucion_productos $Devolucion_productos){
		$id_devolucion = $Devolucion_productos->get_id_devolucion();
		$nro_devolucion = $Devolucion_productos->get_nro_devolucion();
		$id_vale_venta = $Devolucion_productos->get_id_vale_venta();
		$nro_documento = $Devolucion_productos->get_nro_documento();
		$tipo_documento = $Devolucion_productos->get_tipo_documento();
		$fecha = $Devolucion_productos->get_fecha();
		$motivo = $Devolucion_productos->get_motivo();
		$estado = $Devolucion_productos->get_estado();
		$monto_diferencia = $Devolucion_productos->get_monto_diferencia();
		$id_sucursal = $Devolucion_productos->get_id_sucursal();
		$ex3 = $Devolucion_productos->get_ex3();
		$ex4 = $Devolucion_productos->get_ex4();
		$ex5 = $Devolucion_productos->get_ex5();
		$ex6 = $Devolucion_productos->get_ex6();
		$Devolucion_productos_bd = new Devolucion_productos_BD ($nro_devolucion, $id_vale_venta, $nro_documento, $tipo_documento, $fecha, $motivo, $estado, $monto_diferencia, $id_sucursal, $ex3, $ex4, $ex5, $ex6, $id_devolucion);
		return $this->controlador_bd_Devolucion_productos->guardarDevolucion_productos_BD($Devolucion_productos_bd);
	}
	
	function actualizarDevolucion_productos(Devolucion_productos $Devolucion_productos){
		$id_devolucion = $Devolucion_productos->get_id_devolucion();
		$nro_devolucion = $Devolucion_productos->get_nro_devolucion();
		$id_vale_venta = $Devolucion_productos->get_id_vale_venta();
		$nro_documento = $Devolucion_productos->get_nro_documento();
		$tipo_documento = $Devolucion_productos->get_tipo_documento();
		$fecha = $Devolucion_productos->get_fecha();
		$motivo = $Devolucion_productos->get_motivo();
		$estado = $Devolucion_productos->get_estado();
		$monto_diferencia = $Devolucion_productos->get_monto_diferencia();
		$id_sucursal = $Devolucion_productos->get_id_sucursal();
		$ex3 = $Devolucion_productos->get_ex3();
		$ex4 = $Devolucion_productos->get_ex4();
		$ex5 = $Devolucion_productos->get_ex5();
		$ex6 = $Devolucion_productos->get_ex6();
		$Devolucion_productos_bd = new Devolucion_productos_BD ($nro_devolucion, $id_vale_venta, $nro_documento, $tipo_documento, $fecha, $motivo, $estado, $monto_diferencia, $id_sucursal, $ex3, $ex4, $ex5, $ex6, $id_devolucion);
		return $this->controlador_bd_Devolucion_productos->actualizarDevolucion_productos_BD($Devolucion_productos_bd);
	}
	
	function eliminarDevolucion_productos($id_devolucion){
		return $this->controlador_bd_Devolucion_productos->eliminarDevolucion_productos_BD($id_devolucion);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
