<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Oferta {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	private $controlador_bd_Oferta;
	
	//CONSTRUCTOR
	public function __construct ()
	{
		$this->controlador_bd_Oferta = new controlador_bd_Oferta;
	}
	
	// DESTRUCTOR
	public function __destruct()
	{
		
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadOferta($filtro){
		return $this->controlador_bd_Oferta->getCantidadOferta_BD($filtro);
	}
	
	function getListadoOferta($filtro,$extra){
		$listado_Oferta_bd = $this->controlador_bd_Oferta->getListadoOferta_BD($filtro,$extra);
		$Oferta_bd = new Oferta_bd();
		foreach ($listado_Oferta_bd as $Oferta_bd){
			$listado_Oferta[] = new Oferta($Oferta_bd);
		}
		return $listado_Oferta;
	}
	
	function getOferta($id_oferta){
		$Oferta_bd = $this->controlador_bd_Oferta->getOferta_BD($id_oferta);
		if ($Oferta_bd)
		return (new Oferta($Oferta_bd));
		else
		return null;
	}
	
	function getOfertaProducto($id_producto){
		$filtro["id_producto"] = $id_producto;
		$listado_Oferta_bd = $this->controlador_bd_Oferta->getListadoOferta_BD($filtro);
		$Oferta_bd = $listado_Oferta_bd[0];
		if ($Oferta_bd)
		return (new Oferta($Oferta_bd));
		else
		return null;
	}
	
	function guardarOferta(Oferta $Oferta){
		$id_oferta = $Oferta->get_id_oferta();
		$id_producto = $Oferta->get_id_producto();
		$id_bodega = $Oferta->get_id_bodega();
		$descuento = $Oferta->get_descuento();
		$fecha_inicio = $Oferta->get_fecha_inicio();
		$fecha_termino = $Oferta->get_fecha_termino();
		$descripcion = $Oferta->get_descripcion();
		$condicion = $Oferta->get_condicion();
		$estado = $Oferta->get_estado();
		$monto_descuento = $Oferta->get_monto_descuento();
		$precio_oferta = $Oferta->get_precio_oferta();
		$precio_venta = $Oferta->get_precio_venta();
		$id_usuario = $Oferta->get_id_usuario();
		$fecha = $Oferta->get_fecha();
		$id_sucursal = $Oferta->get_id_sucursal();
		
		$Oferta_bd = new Oferta_BD ($id_producto, $id_bodega, $descuento, $fecha_inicio, $fecha_termino, $descripcion, $condicion, $estado, $monto_descuento, $precio_oferta, $precio_venta, $id_usuario, $fecha, $id_sucursal, $id_oferta);
		return $this->controlador_bd_Oferta->guardarOferta_BD($Oferta_bd);
	}
	
	function actualizarOferta(Oferta $Oferta){
		$id_oferta = $Oferta->get_id_oferta();
		$id_producto = $Oferta->get_id_producto();
		$id_bodega = $Oferta->get_id_bodega();
		$descuento = $Oferta->get_descuento();
		$fecha_inicio = $Oferta->get_fecha_inicio();
		$fecha_termino = $Oferta->get_fecha_termino();
		$descripcion = $Oferta->get_descripcion();
		$condicion = $Oferta->get_condicion();
		$estado = $Oferta->get_estado();
		$monto_descuento = $Oferta->get_monto_descuento();
		$precio_oferta = $Oferta->get_precio_oferta();
		$precio_venta = $Oferta->get_precio_venta();
		$id_usuario = $Oferta->get_id_usuario();
		$fecha = $Oferta->get_fecha();
		$id_sucursal = $Oferta->get_id_sucursal();
		
		$Oferta_bd = new Oferta_BD ($id_producto, $id_bodega, $descuento, $fecha_inicio, $fecha_termino, $descripcion, $condicion, $estado, $monto_descuento, $precio_oferta, $precio_venta, $id_usuario, $fecha, $id_sucursal, $id_oferta);
		return $this->controlador_bd_Oferta->actualizarOferta_BD($Oferta_bd);
	}
	
	function eliminarOferta($id_oferta){
		return $this->controlador_bd_Oferta->eliminarOferta_BD($id_oferta);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
