<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Solicitudes_insumos {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadSolicitudes_insumos($filtro){
		$cbd = new controlador_bd_Solicitudes_insumos();
		return $cbd->getCantidadSolicitudes_insumos_BD($filtro);
	}
	
	function getListadoSolicitudes_insumos($filtro,$extra){
		$cbd = new controlador_bd_Solicitudes_insumos();
		$listado_Solicitudes_insumos_arr = $cbd->getListadoSolicitudes_insumos_BD($filtro,$extra);
	foreach ($listado_Solicitudes_insumos_arr as $Solicitudes_insumos_arr){
		$listado_Solicitudes_insumos[] = new Solicitudes_insumos($Solicitudes_insumos_arr);
	}
	return $listado_Solicitudes_insumos;
	}
	
	function getSolicitudes_insumos($id_solicitud_insumo){
		$cbd = new controlador_bd_Solicitudes_insumos();
		$filtro["id_solicitud_insumo"] = $id_solicitud_insumo;
		$listado_Solicitudes_insumos_arr = $cbd->getListadoSolicitudes_insumos_BD($filtro,$extra);
		if ($listado_Solicitudes_insumos_arr) return new Solicitudes_insumos($listado_Solicitudes_insumos_arr[0]);
		return null;
	}
	
	function guardarSolicitudes_insumos($Solicitudes_insumos){
		$cbd = new controlador_bd_Solicitudes_insumos();
		$id_solicitud_insumo = $Solicitudes_insumos->get_id_solicitud_insumo();
		$fecha = $Solicitudes_insumos->get_fecha();
		$id_usuario = $Solicitudes_insumos->get_id_usuario();
		$estado = $Solicitudes_insumos->get_estado();
		$id_sucursal = $Solicitudes_insumos->get_id_sucursal();
		$observacion = $Solicitudes_insumos->get_observacion();
		$fecha_recepcion = $Solicitudes_insumos->get_fecha_recepcion();
		$id_usuario_recepcion = $Solicitudes_insumos->get_id_usuario_recepcion();
		$Solicitudes_insumos_bd = new Solicitudes_insumos_BD ($fecha, $id_usuario, $estado, $id_sucursal, $observacion, $fecha_recepcion, $id_usuario_recepcion, $id_solicitud_insumo);
		return $cbd->guardarSolicitudes_insumos_BD($Solicitudes_insumos_bd);
	}
	
	function actualizarSolicitudes_insumos($Solicitudes_insumos){
		$cbd = new controlador_bd_Solicitudes_insumos();
		$id_solicitud_insumo = $Solicitudes_insumos->get_id_solicitud_insumo();
		$fecha = $Solicitudes_insumos->get_fecha();
		$id_usuario = $Solicitudes_insumos->get_id_usuario();
		$estado = $Solicitudes_insumos->get_estado();
		$id_sucursal = $Solicitudes_insumos->get_id_sucursal();
		$observacion = $Solicitudes_insumos->get_observacion();
		$fecha_recepcion = $Solicitudes_insumos->get_fecha_recepcion();
		$id_usuario_recepcion = $Solicitudes_insumos->get_id_usuario_recepcion();
		$Solicitudes_insumos_bd = new Solicitudes_insumos_BD ($fecha, $id_usuario, $estado, $id_sucursal, $observacion, $fecha_recepcion, $id_usuario_recepcion, $id_solicitud_insumo);
		return $cbd->actualizarSolicitudes_insumos_BD($Solicitudes_insumos_bd);
	}
	
	function eliminarSolicitudes_insumos($id_solicitud_insumo){
		$cbd = new controlador_bd_Solicitudes_insumos();
		return $cbd->eliminarSolicitudes_insumos_BD($id_solicitud_insumo);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
