<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Tecnico {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	private $controlador_bd_Tecnico;
	
	//CONSTRUCTOR
	public function __construct ()
	{
		$this->controlador_bd_Tecnico = new controlador_bd_Tecnico;
	}
	
	// DESTRUCTOR
	public function __destruct()
	{
		
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadTecnico($filtro){
		return $this->controlador_bd_Tecnico->getCantidadTecnico_BD($filtro);
	}
	
	function getListadoTecnico($filtro,$extra){
		$listado_Tecnico_bd = $this->controlador_bd_Tecnico->getListadoTecnico_BD($filtro,$extra);
		$Tecnico_bd = new Tecnico_bd();
		foreach ($listado_Tecnico_bd as $Tecnico_bd){
			$listado_Tecnico[] = new Tecnico($Tecnico_bd);
		}
		return $listado_Tecnico;
	}
	
	function getTecnico($id_tecnico){
		$Tecnico_bd = $this->controlador_bd_Tecnico->getTecnico_BD($id_tecnico);
		if ($Tecnico_bd)
		return (new Tecnico($Tecnico_bd));
		else
		return null;
	}
	
	function getTecnicoCodigo($cod_tecnico){
		$filtro["clave"] = $cod_tecnico;
		$listado_Tecnico_bd = $this->controlador_bd_Tecnico->getListadoTecnico_BD($filtro);
		if ($listado_Tecnico_bd){
			return new Tecnico($listado_Tecnico_bd[0]);
		}else{
			return null;
		}
	}
	
	
	function guardarTecnico(Tecnico $Tecnico){
		$id_tecnico = $Tecnico->get_id_tecnico();
		$nombre = $Tecnico->get_nombre();
		$id_sucursal = $Tecnico->get_id_sucursal();
		$estado = $Tecnico->get_estado();
		$observacion = $Tecnico->get_observacion();
		$clave = $Tecnico->get_clave();
		$ex1 = $Tecnico->get_ex1();
		$ex2 = $Tecnico->get_ex2();
		$ex3 = $Tecnico->get_ex3();
		$ex4 = $Tecnico->get_ex4();
		$ex5 = $Tecnico->get_ex5();
		$ex6 = $Tecnico->get_ex6();
		$ex7 = $Tecnico->get_ex7();
		$ex8 = $Tecnico->get_ex8();
		$ex9 = $Tecnico->get_ex9();
		$Tecnico_bd = new Tecnico_BD ($nombre, $id_sucursal, $estado, $observacion, $clave, $ex1, $ex2, $ex3, $ex4, $ex5, $ex6, $ex7, $ex8, $ex9, $id_tecnico);
		return $this->controlador_bd_Tecnico->guardarTecnico_BD($Tecnico_bd);
	}
	
	function actualizarTecnico(Tecnico $Tecnico){
		$id_tecnico = $Tecnico->get_id_tecnico();
		$nombre = $Tecnico->get_nombre();
		$id_sucursal = $Tecnico->get_id_sucursal();
		$estado = $Tecnico->get_estado();
		$observacion = $Tecnico->get_observacion();
		$clave = $Tecnico->get_clave();
		$ex1 = $Tecnico->get_ex1();
		$ex2 = $Tecnico->get_ex2();
		$ex3 = $Tecnico->get_ex3();
		$ex4 = $Tecnico->get_ex4();
		$ex5 = $Tecnico->get_ex5();
		$ex6 = $Tecnico->get_ex6();
		$ex7 = $Tecnico->get_ex7();
		$ex8 = $Tecnico->get_ex8();
		$ex9 = $Tecnico->get_ex9();
		$Tecnico_bd = new Tecnico_BD ($nombre, $id_sucursal, $estado, $observacion, $clave, $ex1, $ex2, $ex3, $ex4, $ex5, $ex6, $ex7, $ex8, $ex9, $id_tecnico);
		return $this->controlador_bd_Tecnico->actualizarTecnico_BD($Tecnico_bd);
	}
	
	function eliminarTecnico($id_tecnico){
		return $this->controlador_bd_Tecnico->eliminarTecnico_BD($id_tecnico);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
