<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Ayudas_BD_Fachada {

function &getListadoAyudas_BD($filtro,$extra)
	{
		validar_tabla_db("Ayudas");
		$extra_var = get_extra_var("AYUDAS");
		$query = make_query("ayudas", $filtro, $extra, $extra_var);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarAyudas_BD($objeto){
		validar_tabla_db("Ayudas");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_AYUDAS_BD",
		"tipo", $objeto->get_tipo(),
		"archivo", $objeto->get_archivo(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"descripcion", $objeto->get_descripcion());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarAyudas_BD(Ayudas_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_AYUDAS_BD",
		"descripcion", $objeto->get_descripcion(),
		"tipo", $objeto->get_tipo(),
		"archivo", $objeto->get_archivo(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"id_ayuda", $objeto->get_id_ayuda());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarAyudas_BD($id_ayuda){
		global $conn;
		$query = expandir("ELIMINAR_AYUDAS_BD",
		"id_ayuda", $id_ayuda
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadAyudas_BD($filtro){
		validar_tabla_db("Ayudas");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_AYUDAS_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
