<?

//------------------------------------------------------------------------------
//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Boleta_BD_Fachada {
	function &get_ultimo_correlativo($filtro,$extra){
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}

		$query = expandir("GET_ULTIMO_CORRELATIVO_BOLETA_BD",
		"where",	$where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);


		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		//debug($RecordSet);
		return $RecordSet->Fields("ultimo_correlativo");
	}	

	function &getListadoBoleta_BD($filtro,$extra)
	{
		global $conn;


		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}
		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}


		$query = expandir("GET_LISTADO_BOLETA_BD",
		"where",$where
		);
	
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_boleta = $RecordSet -> Fields("id_boleta");
			$id_profesional = $RecordSet -> Fields("id_profesional");
			$id_contribuyente = $RecordSet -> Fields("id_contribuyente");
			$correlativo = $RecordSet -> Fields("correlativo");
			$id_comprobante = $RecordSet -> Fields("id_comprobante");
			$descripcion = $RecordSet -> Fields("descripcion");
			$id_centro_costo = $RecordSet -> Fields("id_centro_costo");
			$id_item_gasto = $RecordSet -> Fields("id_item_gasto");
			$numero_boleta = $RecordSet -> Fields("numero_boleta");
			$fecha_creacion = $RecordSet -> Fields("fecha_creacion");
			$fecha_emision = $RecordSet -> Fields("fecha_emision");
			$fecha_proceso = $RecordSet -> Fields("fecha_proceso");
			$total_neto = $RecordSet -> Fields("total_neto");
			$impuesto = $RecordSet -> Fields("impuesto");
			$total_bruto = $RecordSet -> Fields("total_bruto");
			$total_saldos = $RecordSet -> Fields("total_saldos");
			$estado = $RecordSet -> Fields("estado");
			$fecha_cancelacion = $RecordSet -> Fields("fecha_cancelacion");
			$id_sucursal = $RecordSet -> Fields("id_sucursal");
			$temp = new Boleta_BD ($id_profesional, $id_contribuyente, $correlativo, $id_comprobante, $descripcion, $id_centro_costo, $id_item_gasto, $numero_boleta, $fecha_creacion, $fecha_emision, $fecha_proceso, $total_neto, $impuesto, $total_bruto, $total_saldos, $estado, $fecha_cancelacion, $id_sucursal, $id_boleta);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}
		return $vector;
	}
//Se utiliza para el certificado de honorarios
	function &getTotalesParaCertificadoPorFechaProceso($id_profesional,$fecha_proceso)
	{
		global $conn;
		$mes=$filtro["mes"];
		$year=$filtro["year"];
		$query="SELECT sum(total_neto) total_neto, sum(impuesto) impuesto FROM cont_boleta WHERE id_profesional=$id_profesional and fecha_proceso=$fecha_proceso";
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}		
		$vector["total_neto"]=$RecordSet -> Fields("total_neto");
		$vector["impuesto"]=$RecordSet -> Fields("impuesto");
		return $vector;		
	}
	function getFactorActualizacion($mes,$year)
	{
		global $conn;
		$query="SELECT valor FROM cont_factor_actualizacion WHERE mes='$mes' and year='$year'";
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return "0";
			exit;
		}		

		return $RecordSet -> Fields("valor");			
	}
	function &getBoleta_BD($id_boleta)
	{
		global $conn;
		$query = expandir("GET_BOLETA_BD",
		"id_boleta", $id_boleta
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_boleta = $RecordSet -> Fields("id_boleta");
		$id_profesional = $RecordSet -> Fields("id_profesional");
		$id_contribuyente = $RecordSet -> Fields("id_contribuyente");
		$correlativo = $RecordSet -> Fields("correlativo");
		$id_comprobante = $RecordSet -> Fields("id_comprobante");
		$descripcion = $RecordSet -> Fields("descripcion");
		$id_centro_costo = $RecordSet -> Fields("id_centro_costo");
		$id_item_gasto = $RecordSet -> Fields("id_item_gasto");
		$numero_boleta = $RecordSet -> Fields("numero_boleta");
		$fecha_creacion = $RecordSet -> Fields("fecha_creacion");
		$fecha_emision = $RecordSet -> Fields("fecha_emision");
		$fecha_proceso = $RecordSet -> Fields("fecha_proceso");
		$total_neto = $RecordSet -> Fields("total_neto");
		$impuesto = $RecordSet -> Fields("impuesto");
		$total_bruto = $RecordSet -> Fields("total_bruto");
		$total_saldos = $RecordSet -> Fields("total_saldos");
		$estado = $RecordSet -> Fields("estado");
		$fecha_cancelacion = $RecordSet -> Fields("fecha_cancelacion");
		$id_sucursal = $RecordSet -> Fields("id_sucursal");
		$temp = new Boleta_BD ($id_profesional, $id_contribuyente, $correlativo, $id_comprobante, $descripcion, $id_centro_costo, $id_item_gasto, $numero_boleta, $fecha_creacion, $fecha_emision, $fecha_proceso, $total_neto, $impuesto, $total_bruto, $total_saldos, $estado, $fecha_cancelacion, $id_sucursal, $id_boleta);
		return $temp;
	}


	function &guardarBoleta_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_BOLETA_BD",
		"id_contribuyente", $objeto->get_id_contribuyente(),
		"correlativo", $objeto->get_correlativo(),
		"id_comprobante", $objeto->get_id_comprobante(),
		"descripcion", $objeto->get_descripcion(),
		"id_centro_costo", $objeto->get_id_centro_costo(),
		"id_item_gasto", $objeto->get_id_item_gasto(),
		"numero_boleta", $objeto->get_numero_boleta(),
		"fecha_creacion", $objeto->get_fecha_creacion(),
		"fecha_emision", $objeto->get_fecha_emision(),
		"fecha_proceso", $objeto->get_fecha_proceso(),
		"total_neto", $objeto->get_total_neto(),
		"impuesto", $objeto->get_impuesto(),
		"total_bruto", $objeto->get_total_bruto(),
		"total_saldos", $objeto->get_total_saldos(),
		"estado", $objeto->get_estado(),
		"fecha_cancelacion", $objeto->get_fecha_cancelacion(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"id_profesional", $objeto->get_id_profesional());

		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}

	function &actualizarBoleta_BD(Boleta_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_BOLETA_BD",
		"id_profesional", $objeto->get_id_profesional(),
		"id_contribuyente", $objeto->get_id_contribuyente(),
		"correlativo", $objeto->get_correlativo(),
		"id_comprobante", $objeto->get_id_comprobante(),
		"descripcion", $objeto->get_descripcion(),
		"id_centro_costo", $objeto->get_id_centro_costo(),
		"id_item_gasto", $objeto->get_id_item_gasto(),
		"numero_boleta", $objeto->get_numero_boleta(),
		"fecha_creacion", $objeto->get_fecha_creacion(),
		"fecha_emision", $objeto->get_fecha_emision(),
		"fecha_proceso", $objeto->get_fecha_proceso(),
		"total_neto", $objeto->get_total_neto(),
		"impuesto", $objeto->get_impuesto(),
		"total_bruto", $objeto->get_total_bruto(),
		"total_saldos", $objeto->get_total_saldos(),
		"estado", $objeto->get_estado(),
		"fecha_cancelacion", $objeto->get_fecha_cancelacion(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"id_boleta", $objeto->get_id_boleta());

		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &eliminarBoleta_BD($id_boleta){
		global $conn;
		$query = expandir("ELIMINAR_BOLETA_BD",
		"id_boleta", $id_boleta
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &cantidadBoleta_BD($filtro){
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		$query = expandir("GET_CANTIDAD_BOLETA_BD",
		"where",$where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		return ($RecordSet->fields["CANTIDAD"]);
	}

	function &get_totales_BD($fecha_proceso,$id_contribuyente){
		global $conn;


		$query = expandir("GET_TOTALES_BD",
		"fecha_proceso",$fecha_proceso,"id_contribuyente",$id_contribuyente
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		$totales["total_impuesto"] = $RecordSet->fields["total_impuesto"];
		$totales["total_neto"] = $RecordSet->fields["total_neto"];
		$totales["total_bruto"] = $RecordSet->fields["total_bruto"];
		//debug($RecordSet);
		return ($totales);		
	}

}//Fin Clase
?>
