<?

//------------------------------------------------------------------------------
//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Boleta_venta_BD_Fachada {
	function &get_ultimo_correlativo($filtro,$extra){
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}

		$query = expandir("GET_ULTIMO_CORRELATIVO_BOLETA_VENTA_BD",
		"where",	$where
		);
		
		//debug($query);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);


		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		//debug($RecordSet);
		return $RecordSet->Fields("ultimo_correlativo");
	}

	function &getListadoBoleta_venta_BD($filtro,$extra)
	{
		global $conn;


		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}

		$query = expandir("GET_LISTADO_BOLETA_VENTA_BD",
		"where",$where
		);

		$conn -> debug = CONN_DEBUG;

		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_boleta_venta = $RecordSet -> Fields("id_boleta_venta");
			$id_profesional = $RecordSet -> Fields("id_profesional");
			$id_contribuyente = $RecordSet -> Fields("id_contribuyente");
			$correlativo = $RecordSet -> Fields("correlativo");
			$id_empresa = $RecordSet -> Fields("id_empresa");
			$id_comprobante = $RecordSet -> Fields("id_comprobante");
			$id_centro_costo = $RecordSet -> Fields("id_centro_costo");
			$id_item_gasto = $RecordSet -> Fields("id_item_gasto");
			$numero_boleta_desde_venta = $RecordSet -> Fields("numero_boleta_desde_venta");
			$numero_boleta_hasta_venta = $RecordSet -> Fields("numero_boleta_hasta_venta");
			$fecha_creacion = $RecordSet -> Fields("fecha_creacion");
			$fecha_emision = $RecordSet -> Fields("fecha_emision");
			$fecha_proceso = $RecordSet -> Fields("fecha_proceso");
			$total_neto = $RecordSet -> Fields("total_neto");
			$impuesto = $RecordSet -> Fields("impuesto");
			$total_bruto = $RecordSet -> Fields("total_bruto");
			$id_sucursal = $RecordSet -> Fields("id_sucursal");
			$temp = new Boleta_venta_BD ($id_profesional, $id_contribuyente, $correlativo, $id_empresa, $id_comprobante, $id_centro_costo, $id_item_gasto, $numero_boleta_desde_venta, $numero_boleta_hasta_venta, $fecha_creacion, $fecha_emision, $fecha_proceso, $total_neto, $impuesto, $total_bruto, $id_sucursal, $id_boleta_venta);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getBoleta_venta_BD($id_boleta_venta)
	{
		global $conn;
		$query = expandir("GET_BOLETA_VENTA_BD",
		"id_boleta_venta", $id_boleta_venta
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_boleta_venta = $RecordSet -> Fields("id_boleta_venta");
		$id_profesional = $RecordSet -> Fields("id_profesional");
		$id_contribuyente = $RecordSet -> Fields("id_contribuyente");
		$correlativo = $RecordSet -> Fields("correlativo");
		$id_empresa = $RecordSet -> Fields("id_empresa");
		$id_comprobante = $RecordSet -> Fields("id_comprobante");
		$id_centro_costo = $RecordSet -> Fields("id_centro_costo");
		$id_item_gasto = $RecordSet -> Fields("id_item_gasto");
		$numero_boleta_desde_venta = $RecordSet -> Fields("numero_boleta_desde_venta");
		$numero_boleta_hasta_venta = $RecordSet -> Fields("numero_boleta_hasta_venta");
		$fecha_creacion = $RecordSet -> Fields("fecha_creacion");
		$fecha_emision = $RecordSet -> Fields("fecha_emision");
		$fecha_proceso = $RecordSet -> Fields("fecha_proceso");
		$total_neto = $RecordSet -> Fields("total_neto");
		$impuesto = $RecordSet -> Fields("impuesto");
		$total_bruto = $RecordSet -> Fields("total_bruto");


		$id_sucursal = $RecordSet -> Fields("id_sucursal");
		$temp = new Boleta_venta_BD ($id_profesional, $id_contribuyente, $correlativo, $id_empresa, $id_comprobante, $id_centro_costo, $id_item_gasto, $numero_boleta_desde_venta, $numero_boleta_hasta_venta, $fecha_creacion, $fecha_emision, $fecha_proceso, $total_neto, $impuesto, $total_bruto, $id_sucursal, $id_boleta_venta);

		return $temp;
	}


	function &guardarBoleta_venta_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_BOLETA_VENTA_BD",
		"id_contribuyente", $objeto->get_id_contribuyente(),
		"correlativo", $objeto->get_correlativo(),
		"id_empresa", $objeto->get_id_empresa(),
		"id_comprobante", $objeto->get_id_comprobante(),
		"id_centro_costo", $objeto->get_id_centro_costo(),
		"id_item_gasto", $objeto->get_id_item_gasto(),
		"numero_boleta_desde_venta", $objeto->get_numero_boleta_desde_venta(),
		"numero_boleta_hasta_venta", $objeto->get_numero_boleta_hasta_venta(),
		"fecha_creacion", $objeto->get_fecha_creacion(),
		"fecha_emision", $objeto->get_fecha_emision(),
		"fecha_proceso", $objeto->get_fecha_proceso(),
		"total_neto", $objeto->get_total_neto(),
		"impuesto", $objeto->get_impuesto(),
		"total_bruto", $objeto->get_total_bruto(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"id_profesional", $objeto->get_id_profesional());

		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}

	function &actualizarBoleta_venta_BD(Boleta_venta_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_BOLETA_VENTA_BD",
		"id_profesional", $objeto->get_id_profesional(),
		"id_contribuyente", $objeto->get_id_contribuyente(),
		"correlativo", $objeto->get_correlativo(),
		"id_empresa", $objeto->get_id_empresa(),
		"id_comprobante", $objeto->get_id_comprobante(),
		"id_centro_costo", $objeto->get_id_centro_costo(),
		"id_item_gasto", $objeto->get_id_item_gasto(),
		"numero_boleta_desde_venta", $objeto->get_numero_boleta_desde_venta(),
		"numero_boleta_hasta_venta", $objeto->get_numero_boleta_hasta_venta(),
		"fecha_creacion", $objeto->get_fecha_creacion(),
		"fecha_emision", $objeto->get_fecha_emision(),
		"fecha_proceso", $objeto->get_fecha_proceso(),
		"total_neto", $objeto->get_total_neto(),
		"impuesto", $objeto->get_impuesto(),
		"total_bruto", $objeto->get_total_bruto(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"id_boleta_venta", $objeto->get_id_boleta_venta());

		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &eliminarBoleta_venta_BD($id_boleta_venta){
		global $conn;
		$query = expandir("ELIMINAR_BOLETA_VENTA_BD",
		"id_boleta_venta", $id_boleta_venta
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &cantidadBoleta_venta_BD($filtro){
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		$query = expandir("GET_CANTIDAD_BOLETA_VENTA_BD",
		"where",$where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		return ($RecordSet->fields["CANTIDAD"]);
	}

}//Fin Clase
?>
