<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Bonos_vale_venta_BD_Fachada {

function &getListadoBonos_vale_venta_BD($filtro,$extra)
	{
		validar_tabla_db("Bonos_vale_venta");
		$extra_var = get_extra_var("BONOS_VALE_VENTA");
		$query = make_query("bonos_vale_venta", $filtro, $extra, $extra_var);
//		debug($query);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarBonos_vale_venta_BD($objeto){
		validar_tabla_db("Bonos_vale_venta");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_BONOS_VALE_VENTA_BD",
		"fecha", $objeto->get_fecha(),
		"monto", $objeto->get_monto(),
		"numero", $objeto->get_numero(),
		"id_salud", $objeto->get_id_salud(),
		"estado", $objeto->get_estado(),
		"id_guia_despacho", $objeto->get_id_guia_despacho(),
		"id_venta", $objeto->get_id_venta(),
		"id_vale_venta", $objeto->get_id_vale_venta());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarBonos_vale_venta_BD(Bonos_vale_venta_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_BONOS_VALE_VENTA_BD",
		"id_vale_venta", $objeto->get_id_vale_venta(),
		"fecha", $objeto->get_fecha(),
		"monto", $objeto->get_monto(),
		"numero", $objeto->get_numero(),
		"id_salud", $objeto->get_id_salud(),
		"estado", $objeto->get_estado(),
		"id_guia_despacho", $objeto->get_id_guia_despacho(),
		"id_venta", $objeto->get_id_venta(),
		"id_bono", $objeto->get_id_bono());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarBonos_vale_venta_BD($id_bono){
		global $conn;
		$query = expandir("ELIMINAR_BONOS_VALE_VENTA_BD",
		"id_bono", $id_bono
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadBonos_vale_venta_BD($filtro){
		validar_tabla_db("Bonos_vale_venta");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_BONOS_VALE_VENTA_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
