<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Carro_compras_BD_Fachada {

function &getListadoCarro_compras_BD($filtro,$extra)
	{
		validar_tabla_db("carro_compras");
		$extra_var = get_extra_var("CARRO_COMPRAS");
		$query = make_query("carro_compras", $filtro, $extra, $extra_var);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarCarro_compras_BD($objeto){
		validar_tabla_db("carro_compras");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CARRO_COMPRAS_BD",
		"id_producto", $objeto->get_id_producto(),
		"cantidad", $objeto->get_cantidad(),
		"descripcion", $objeto->get_descripcion(),
		"precio_unitario", $objeto->get_precio_unitario(),
		"total", $objeto->get_total(),
		"id_cliente_proveedor", $objeto->get_id_cliente_proveedor(),
		"fecha", $objeto->get_fecha(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"id_usuario", $objeto->get_id_usuario());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCarro_compras_BD(Carro_compras_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CARRO_COMPRAS_BD",
		"id_usuario", $objeto->get_id_usuario(),
		"id_producto", $objeto->get_id_producto(),
		"cantidad", $objeto->get_cantidad(),
		"descripcion", $objeto->get_descripcion(),
		"precio_unitario", $objeto->get_precio_unitario(),
		"total", $objeto->get_total(),
		"id_cliente_proveedor", $objeto->get_id_cliente_proveedor(),
		"fecha", $objeto->get_fecha(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"id_carro_compra", $objeto->get_id_carro_compra());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCarro_compras_BD($id_carro_compra){
		global $conn;
		$query = expandir("ELIMINAR_CARRO_COMPRAS_BD",
		"id_carro_compra", $id_carro_compra
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCarro_compras_BD($filtro){
		validar_tabla_db("Carro_compras");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CARRO_COMPRAS_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
