<?

//------------------------------------------------------------------------------
//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Centro_costo_Fachada {

	function &getListadoCentro_costo($filtro,$extra)

	{
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				if ($item == "include_sql"){
					$where .= "$key LIKE '$item'";
					if ($count < sizeof($filtro)-1)
					$where .= " AND ";
				}else {
					$where .= $item;	
				}
				$count++;
			}


		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"];
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"];
		}
		if ($extra["limit"]){
			$where .= " LIMIT ".$extra["limit"];
		}

		$query = expandir("GET_LISTADO_CENTRO_COSTO",
		"where",	$where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);


		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_centro_costo = $RecordSet -> Fields("id_centro_costo");
			$id_empresa = $RecordSet -> Fields("id_empresa");
			$nombre = $RecordSet -> Fields("nombre");
			$descripcion = $RecordSet -> Fields("descripcion");

			$temp = new Centro_costo ($id_empresa, $nombre, $descripcion, $id_centro_costo);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getCentro_costo($id_centro_costo)
	{
		global $conn;
		$query = expandir("GET_CENTRO_COSTO",
		"id_centro_costo", $id_centro_costo
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_centro_costo = $RecordSet -> Fields("id_centro_costo");
		$id_empresa = $RecordSet -> Fields("id_empresa");
		$nombre = $RecordSet -> Fields("nombre");
		$descripcion = $RecordSet -> Fields("descripcion");


		$temp = new Centro_costo ($id_empresa, $nombre, $descripcion, $id_centro_costo);
		return $temp;
	}


	function &guardarCentro_costo($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_CENTRO_COSTO",
		"nombre", $objeto->nombre,
		"descripcion", $objeto->descripcion,
		"id_empresa", $objeto->id_empresa);

		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();


	}

	function &actualizarCentro_costo($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_CENTRO_COSTO",
		"id_empresa", $objeto->id_empresa,
		"nombre", $objeto->nombre,
		"descripcion", $objeto->descripcion,
		"id_centro_costo", $objeto->id_centro_costo);

		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &eliminarCentro_costo($id_centro_costo){
		global $conn;
		$query = expandir("ELIMINAR_CENTRO_COSTO",
		"id_centro_costo", $id_centro_costo
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}


}//Fin Clase
?>
