<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cliente_particular_BD_Fachada {

function &getListadoCliente_particular_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
		if ($extra["desde"]){
			$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
		}else{
			$where .= " LIMIT ".$extra["limit"];
		}
	}else{
		if ($extra["desde"]){
			$where .= " LIMIT ".$extra["desde"].",0";
		}
	}
	
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	if ($extra["query"]){
		$query = expandir($extra["query"],
		"where", $where
		);
	}else{
	$query = expandir("GET_LISTADO_CLIENTE_PARTICULAR_BD",
	"where", $where
	);
	}
	
	//debug($query);
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_cliente_particular = $RecordSet -> Fields("id_cliente_particular");
		$nombre = $RecordSet -> Fields("nombre");
		$apellido_paterno = $RecordSet -> Fields("apellido_paterno");
		$apellido_materno = $RecordSet -> Fields("apellido_materno");
		$rut = $RecordSet -> Fields("rut");
		$direccion = $RecordSet -> Fields("direccion");
		$fono_casa = $RecordSet -> Fields("fono_casa");
		$fono_trabajo = $RecordSet -> Fields("fono_trabajo");
		$celular = $RecordSet -> Fields("celular");
		$id_cliente_proveedor = $RecordSet -> Fields("id_cliente_proveedor");
		$observacion = $RecordSet -> Fields("observacion");
		$direccion_trabajo = $RecordSet -> Fields("direccion_trabajo");
		$giro = $RecordSet -> Fields("giro");
		$id_ciudad = $RecordSet -> Fields("id_ciudad");
		$email = $RecordSet -> Fields("email");
		$ex5 = $RecordSet -> Fields("ex5");
		$ex6 = $RecordSet -> Fields("ex6");
		$id_comuna = $RecordSet -> Fields("id_comuna");
		
		
		$temp = new Cliente_particular_BD ($nombre, $apellido_paterno, $apellido_materno, $rut, $direccion, $fono_casa, $fono_trabajo, $celular, $id_cliente_proveedor, $observacion, $direccion_trabajo, $giro, $id_ciudad, $email, $ex5, $ex6, $id_comuna, $id_cliente_particular);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getCliente_particular_BD($id_cliente_particular)
	{
		global $conn;
		$query = expandir("GET_CLIENTE_PARTICULAR_ID",
		"id_cliente_particular", $id_cliente_particular
		);
		
		//debug($query);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_cliente_particular = $RecordSet -> Fields("id_cliente_particular");
	$nombre = $RecordSet -> Fields("nombre");
	$apellido_paterno = $RecordSet -> Fields("apellido_paterno");
	$apellido_materno = $RecordSet -> Fields("apellido_materno");
	$rut = $RecordSet -> Fields("rut");
	$direccion = $RecordSet -> Fields("direccion");
	$fono_casa = $RecordSet -> Fields("fono_casa");
	$fono_trabajo = $RecordSet -> Fields("fono_trabajo");
	$celular = $RecordSet -> Fields("celular");
	$id_cliente_proveedor = $RecordSet -> Fields("id_cliente_proveedor");
	$observacion = $RecordSet -> Fields("observacion");
	$direccion_trabajo = $RecordSet -> Fields("direccion_trabajo");
	$giro = $RecordSet -> Fields("giro");
	$id_ciudad = $RecordSet -> Fields("id_ciudad");
	$email = $RecordSet -> Fields("email");
	$ex5 = $RecordSet -> Fields("ex5");
	$ex6 = $RecordSet -> Fields("ex6");
	$id_comuna = $RecordSet -> Fields("id_comuna");
	
	$temp = new Cliente_particular_BD ($nombre, $apellido_paterno, $apellido_materno, $rut, $direccion, $fono_casa, $fono_trabajo, $celular, $id_cliente_proveedor, $observacion, $direccion_trabajo, $giro, $id_ciudad, $email, $ex5, $ex6, $id_comuna, $id_cliente_particular);
	return $temp;
	}
	
	
	function &guardarCliente_particular_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CLIENTE_PARTICULAR_BD",
		"apellido_paterno", $objeto->get_apellido_paterno(),
		"apellido_materno", $objeto->get_apellido_materno(),
		"rut", $objeto->get_rut(),
		"direccion", $objeto->get_direccion(),
		"fono_casa", $objeto->get_fono_casa(),
		"fono_trabajo", $objeto->get_fono_trabajo(),
		"celular", $objeto->get_celular(),
		"id_cliente_proveedor", $objeto->get_id_cliente_proveedor(),
		"observacion", $objeto->get_observacion(),
		"direccion_trabajo", $objeto->get_direccion_trabajo(),
		"giro", $objeto->get_giro(),
		"id_ciudad", $objeto->get_id_ciudad(),
		"email", $objeto->get_email(),
		"ex5", $objeto->get_ex5(),
		"ex6", $objeto->get_ex6(),
		"id_comuna", $objeto->get_id_comuna(),
		"nombre", $objeto->get_nombre());
		
		//debug($query);

		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCliente_particular_BD(Cliente_particular_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CLIENTE_PARTICULAR_BD",
		"nombre", $objeto->get_nombre(),
		"apellido_paterno", $objeto->get_apellido_paterno(),
		"apellido_materno", $objeto->get_apellido_materno(),
		"rut", $objeto->get_rut(),
		"direccion", $objeto->get_direccion(),
		"fono_casa", $objeto->get_fono_casa(),
		"fono_trabajo", $objeto->get_fono_trabajo(),
		"celular", $objeto->get_celular(),
		"id_cliente_proveedor", $objeto->get_id_cliente_proveedor(),
		"observacion", $objeto->get_observacion(),
		"direccion_trabajo", $objeto->get_direccion_trabajo(),
		"giro", $objeto->get_giro(),
		"id_ciudad", $objeto->get_id_ciudad(),
		"email", $objeto->get_email(),
		"ex5", $objeto->get_ex5(),
		"ex6", $objeto->get_ex6(),
		"id_comuna", $objeto->get_id_comuna(),
		"id_cliente_particular", $objeto->get_id_cliente_particular());
		
//		debug($query);

		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCliente_particular_BD($id_cliente_particular){
		global $conn;
		$query = expandir("ELIMINAR_CLIENTE_PARTICULAR_BD",
		"id_cliente_particular", $id_cliente_particular
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCliente_particular_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CLIENTE_PARTICULAR_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
