<?


//------------------------------------------------------------------------------
//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_correlativo_documento_BD_Fachada {

	function & getListadoCont_correlativo_documento_BD($filtro, $extra) {
		global $conn;

		if (!$filtro) {
			$where = "";
		} else {
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item) {
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro) - 1)
					$where .= " AND ";
				$count ++;
			}
		}
		if ($extra["sql"]) {
			$where .= $extra["sql"];
		}
		if ($extra["group"]) {
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]) {
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]) {
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]) {
			if ($extra["desde"]) {
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			} else {
				$where .= " LIMIT ".$extra["limit"];
			}
		} else {
			if ($extra["desde"]) {
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}


		$query = expandir("GET_LISTADO_CONT_CORRELATIVO_DOCUMENTO_BD", "where", $where);
		//debug($query);
		$conn->debug = CONN_DEBUG;
		$RecordSet = & $conn->Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet->EOF) {
			$id_cont_correlativo_documento = $RecordSet->Fields("id_cont_correlativo_documento");
			$desde = $RecordSet->Fields("desde");
			$hasta = $RecordSet->Fields("hasta");
			$tipo_documento = $RecordSet->Fields("tipo_documento");
			$estado = $RecordSet->Fields("estado");
			$observacion = $RecordSet->Fields("observacion");
			$en_uso = $RecordSet->Fields("en_uso");
			$id_sucursal = $RecordSet->Fields("id_sucursal");
			$id_empresa = $RecordSet->Fields("id_empresa");
			$extra4 = $RecordSet->Fields("extra4");

			$temp = new Cont_correlativo_documento_BD($desde, $hasta, $tipo_documento, $estado, $observacion, $en_uso, $id_sucursal, $id_empresa, $extra4, $id_cont_correlativo_documento);
			$vector[$cont ++] = $temp;
			$RecordSet->MoveNext();
		}

		return $vector;
	}

	function & getCont_correlativo_documento_BD($id_cont_correlativo_documento) {
		global $conn;
		$query = expandir("GET_CONT_CORRELATIVO_DOCUMENTO_BD", "id_cont_correlativo_documento", $id_cont_correlativo_documento);

		$conn->debug = CONN_DEBUG;
		$RecordSet = & $conn->Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_cont_correlativo_documento = $RecordSet->Fields("id_cont_correlativo_documento");
		$desde = $RecordSet->Fields("desde");
		$hasta = $RecordSet->Fields("hasta");
		$tipo_documento = $RecordSet->Fields("tipo_documento");
		$estado = $RecordSet->Fields("estado");
		$observacion = $RecordSet->Fields("observacion");
		$en_uso = $RecordSet->Fields("en_uso");
		$id_sucursal = $RecordSet->Fields("id_sucursal");
		$id_empresa = $RecordSet->Fields("id_empresa");
		$extra4 = $RecordSet->Fields("extra4");

		$temp = new Cont_correlativo_documento_BD($desde, $hasta, $tipo_documento, $estado, $observacion, $en_uso, $id_sucursal, $id_empresa, $extra4, $id_cont_correlativo_documento);
		return $temp;
	}

	function & guardarCont_correlativo_documento_BD($objeto) {
		global $conn;
		$conn->debug = CONN_DEBUG;

		$query = expandir("GUARDAR_CONT_CORRELATIVO_DOCUMENTO_BD", "hasta", $objeto->get_hasta(), "tipo_documento", $objeto->get_tipo_documento(), "estado", $objeto->get_estado(), "observacion", $objeto->get_observacion(), "en_uso", $objeto->get_en_uso(), "id_sucursal", $objeto->get_id_sucursal(), "id_empresa", $objeto->get_id_empresa(), "extra4", $objeto->get_extra4(), "desde", $objeto->get_desde());

		//debug($query);

		$RecordSet = & $conn->Execute($query);
		return $conn->Insert_Id();
	}

	function & actualizarCont_correlativo_documento_BD(Cont_correlativo_documento_BD $objeto) {
		global $conn;
		$conn->debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_CONT_CORRELATIVO_DOCUMENTO_BD", "desde", $objeto->get_desde(), "hasta", $objeto->get_hasta(), "tipo_documento", $objeto->get_tipo_documento(), "estado", $objeto->get_estado(), "observacion", $objeto->get_observacion(), "en_uso", $objeto->get_en_uso(), "id_sucursal", $objeto->get_id_sucursal(), "id_empresa", $objeto->get_id_empresa(), "extra4", $objeto->get_extra4(), "id_cont_correlativo_documento", $objeto->get_id_cont_correlativo_documento());

		$RecordSet = & $conn->Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function & eliminarCont_correlativo_documento_BD($id_cont_correlativo_documento) {
		global $conn;
		$query = expandir("ELIMINAR_CONT_CORRELATIVO_DOCUMENTO_BD", "id_cont_correlativo_documento", $id_cont_correlativo_documento);
		$conn->debug = CONN_DEBUG;
		$RecordSet = & $conn->Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function & cantidadCont_correlativo_documento_BD($filtro) {
		global $conn;

		if (!$filtro) {
			$where = "";
		} else {
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item) {
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro) - 1)
					$where .= " AND ";
				$count ++;
			}
		}

		$query = expandir("GET_CANTIDAD_CONT_CORRELATIVO_DOCUMENTO_BD", "where", $where);

		$conn->debug = CONN_DEBUG;
		$RecordSet = & $conn->Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		return ($RecordSet->fields["CANTIDAD"]);
	}

} //Fin Clase
?>