<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_presupuesto_por_centro_costo_BD_Fachada {

function &getListadoCont_presupuesto_por_centro_costo_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	$query = expandir("GET_LISTADO_CONT_PRESUPUESTO_POR_CENTRO_COSTO_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_presupuesto_por_centro_costo = $RecordSet -> Fields("id_presupuesto_por_centro_costo");
		$id_presupuesto = $RecordSet -> Fields("id_presupuesto");
		$id_responsable = $RecordSet -> Fields("id_responsable");
		$id_centro_costo = $RecordSet -> Fields("id_centro_costo");
		$valor_presupuestado = $RecordSet -> Fields("valor_presupuestado");
		$valor_real = $RecordSet -> Fields("valor_real");
		$estado = $RecordSet -> Fields("estado");
		$extra2 = $RecordSet -> Fields("extra2");
		$extra3 = $RecordSet -> Fields("extra3");
		
		$temp = new Cont_presupuesto_por_centro_costo_BD ($id_presupuesto, $id_responsable, $id_centro_costo, $valor_presupuestado, $valor_real, $estado, $extra2, $extra3, $id_presupuesto_por_centro_costo);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getCont_presupuesto_por_centro_costo_BD($id_presupuesto_por_centro_costo)
	{
		global $conn;
		$query = expandir("GET_CONT_PRESUPUESTO_POR_CENTRO_COSTO_BD",
		"id_presupuesto_por_centro_costo", $id_presupuesto_por_centro_costo
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_presupuesto_por_centro_costo = $RecordSet -> Fields("id_presupuesto_por_centro_costo");
	$id_presupuesto = $RecordSet -> Fields("id_presupuesto");
	$id_responsable = $RecordSet -> Fields("id_responsable");
	$id_centro_costo = $RecordSet -> Fields("id_centro_costo");
	$valor_presupuestado = $RecordSet -> Fields("valor_presupuestado");
	$valor_real = $RecordSet -> Fields("valor_real");
	$estado = $RecordSet -> Fields("estado");
	$extra2 = $RecordSet -> Fields("extra2");
	$extra3 = $RecordSet -> Fields("extra3");
	
	
	$temp = new Cont_presupuesto_por_centro_costo_BD ($id_presupuesto, $id_responsable, $id_centro_costo, $valor_presupuestado, $valor_real, $estado, $extra2, $extra3, $id_presupuesto_por_centro_costo);
	return $temp;
	}
	
	
	function &guardarCont_presupuesto_por_centro_costo_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CONT_PRESUPUESTO_POR_CENTRO_COSTO_BD",
		"id_responsable", $objeto->get_id_responsable(),
		"id_centro_costo", $objeto->get_id_centro_costo(),
		"valor_presupuestado", $objeto->get_valor_presupuestado(),
		"valor_real", $objeto->get_valor_real(),
		"estado", $objeto->get_estado(),
		"extra2", $objeto->get_extra2(),
		"extra3", $objeto->get_extra3(),
		"id_presupuesto", $objeto->get_id_presupuesto());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCont_presupuesto_por_centro_costo_BD(Cont_presupuesto_por_centro_costo_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CONT_PRESUPUESTO_POR_CENTRO_COSTO_BD",
		"id_presupuesto", $objeto->get_id_presupuesto(),
		"id_responsable", $objeto->get_id_responsable(),
		"id_centro_costo", $objeto->get_id_centro_costo(),
		"valor_presupuestado", $objeto->get_valor_presupuestado(),
		"valor_real", $objeto->get_valor_real(),
		"estado", $objeto->get_estado(),
		"extra2", $objeto->get_extra2(),
		"extra3", $objeto->get_extra3(),
		"id_presupuesto_por_centro_costo", $objeto->get_id_presupuesto_por_centro_costo());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCont_presupuesto_por_centro_costo_BD($id_presupuesto_por_centro_costo){
		global $conn;
		$query = expandir("ELIMINAR_CONT_PRESUPUESTO_POR_CENTRO_COSTO_BD",
		"id_presupuesto_por_centro_costo", $id_presupuesto_por_centro_costo
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCont_presupuesto_por_centro_costo_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CONT_PRESUPUESTO_POR_CENTRO_COSTO_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
