<?

//------------------------------------------------------------------------------
//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Correlativo_libre_BD_Fachada {

	function &get_primer_correlativo($filtro,$extra){
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}

		$query = expandir("GET_PRIMER_CORRELATIVO_LIBRE_BD",
		"where",	$where
		);

		//debug($query);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);


		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		//debug($RecordSet->Fields("primer_correlativo"));
		return $RecordSet->Fields("primer_correlativo");
	}

	function &getListadoCorrelativo_libre_BD($filtro,$extra)
	{
		global $conn;


		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}

		$query = expandir("GET_LISTADO_CORRELATIVO_LIBRE_BD",
		"where",$where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_correlativo_libre = $RecordSet -> Fields("id_correlativo_libre");
			$correlativo = $RecordSet -> Fields("correlativo");
			$mes_proceso = $RecordSet -> Fields("mes_proceso");
			$ano_proceso = $RecordSet -> Fields("ano_proceso");
			$tipo_documento = $RecordSet -> Fields("tipo_documento");
			$id_empresa = $RecordSet -> Fields("id_empresa");
			$temp = new Correlativo_libre_BD ($correlativo, $mes_proceso, $ano_proceso, $tipo_documento, $id_empresa, $id_correlativo_libre);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getCorrelativo_libre_BD($id_correlativo_libre)
	{
		global $conn;
		$query = expandir("GET_CORRELATIVO_LIBRE_BD",
		"id_correlativo_libre", $id_correlativo_libre
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_correlativo_libre = $RecordSet -> Fields("id_correlativo_libre");
		$correlativo = $RecordSet -> Fields("correlativo");
		$mes_proceso = $RecordSet -> Fields("mes_proceso");
		$ano_proceso = $RecordSet -> Fields("ano_proceso");
		$tipo_documento = $RecordSet -> Fields("tipo_documento");
		$id_empresa = $RecordSet -> Fields("id_empresa");
		

		$temp = new Correlativo_libre_BD ($correlativo, $mes_proceso, $ano_proceso, $tipo_documento, $id_empresa, $id_correlativo_libre);
		return $temp;
	}


	function &guardarCorrelativo_libre_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_CORRELATIVO_LIBRE_BD",
		"mes_proceso", $objeto->get_mes_proceso(),
		"ano_proceso", $objeto->get_ano_proceso(),
		"tipo_documento", $objeto->get_tipo_documento(),
		"correlativo", $objeto->get_correlativo(),
		"id_empresa", $objeto->get_id_empresa());

		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}

	function &actualizarCorrelativo_libre_BD(Correlativo_libre_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_CORRELATIVO_LIBRE_BD",
		"correlativo", $objeto->get_correlativo(),
		"mes_proceso", $objeto->get_mes_proceso(),
		"ano_proceso", $objeto->get_ano_proceso(),
		"tipo_documento", $objeto->get_tipo_documento(),
		"id_empresa", $objeto->get_id_empresa(),
		
		"id_correlativo_libre", $objeto->get_id_correlativo_libre());

		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &eliminarCorrelativo_libre_BD($id_correlativo_libre){
		global $conn;
		$query = expandir("ELIMINAR_CORRELATIVO_LIBRE_BD",
		"id_correlativo_libre", $id_correlativo_libre
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &cantidadCorrelativo_libre_BD($filtro){
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		$query = expandir("GET_CANTIDAD_CORRELATIVO_LIBRE_BD",
		"where",$where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		return ($RecordSet->fields["CANTIDAD"]);
	}

}//Fin Clase
?>
