<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Detalle_documento_venta_BD_Fachada {

function &getListadoDetalle_documento_venta_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	$query = expandir("GET_LISTADO_DETALLE_DOCUMENTO_venta_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_detalle_documento_venta = $RecordSet -> Fields("id_detalle_documento_venta");
		$id_documento_venta = $RecordSet -> Fields("id_documento_venta");
		$cod_producto = $RecordSet -> Fields("cod_producto");
		$descripcion_producto = $RecordSet -> Fields("descripcion_producto");
		$cantidad = $RecordSet -> Fields("cantidad");
		$unidad = $RecordSet -> Fields("unidad");
		$exento = $RecordSet -> Fields("exento");
		$valor_impuesto = $RecordSet -> Fields("valor_impuesto");
		$porcentaje_descuento = $RecordSet -> Fields("porcentaje_descuento");
		$monto_descuento = $RecordSet -> Fields("monto_descuento");
		$precio_neto_unitario = $RecordSet -> Fields("precio_neto_unitario");
		$total_neto = $RecordSet -> Fields("total_neto");
		$iva = $RecordSet -> Fields("iva");
		$total = $RecordSet -> Fields("total");
		$id_item_gasto = $RecordSet -> Fields("id_item_gasto");
		$id_centro_costo = $RecordSet -> Fields("id_centro_costo");
		$id_detalle_comprobante = $RecordSet -> Fields("id_detalle_comprobante");
		
		$temp = new Detalle_documento_venta_BD ($id_documento_venta, $cod_producto, $descripcion_producto, $cantidad, $unidad, $exento, $valor_impuesto, $porcentaje_descuento, $monto_descuento, $precio_neto_unitario, $total_neto, $iva, $total, $id_item_gasto, $id_centro_costo, $id_detalle_comprobante, $id_detalle_documento_venta);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getDetalle_documento_venta_BD($id_detalle_documento_venta)
	{
		global $conn;
		$query = expandir("GET_DETALLE_DOCUMENTO_venta_BD",
		"id_detalle_documento_venta", $id_detalle_documento_venta
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_detalle_documento_venta = $RecordSet -> Fields("id_detalle_documento_venta");
	$id_documento_venta = $RecordSet -> Fields("id_documento_venta");
	$cod_producto = $RecordSet -> Fields("cod_producto");
	$descripcion_producto = $RecordSet -> Fields("descripcion_producto");
	$cantidad = $RecordSet -> Fields("cantidad");
	$unidad = $RecordSet -> Fields("unidad");
	$exento = $RecordSet -> Fields("exento");
	$valor_impuesto = $RecordSet -> Fields("valor_impuesto");
	$porcentaje_descuento = $RecordSet -> Fields("porcentaje_descuento");
	$monto_descuento = $RecordSet -> Fields("monto_descuento");
	$precio_neto_unitario = $RecordSet -> Fields("precio_neto_unitario");
	$total_neto = $RecordSet -> Fields("total_neto");
	$iva = $RecordSet -> Fields("iva");
	$total = $RecordSet -> Fields("total");
	$id_item_gasto = $RecordSet -> Fields("id_item_gasto");
	$id_centro_costo = $RecordSet -> Fields("id_centro_costo");
	$id_detalle_comprobante = $RecordSet -> Fields("id_detalle_comprobante");
	
	
	$temp = new Detalle_documento_venta_BD ($id_documento_venta, $cod_producto, $descripcion_producto, $cantidad, $unidad, $exento, $valor_impuesto, $porcentaje_descuento, $monto_descuento, $precio_neto_unitario, $total_neto, $iva, $total, $id_item_gasto, $id_centro_costo, $id_detalle_comprobante, $id_detalle_documento_venta);
	return $temp;
	}
	
	
	function &guardarDetalle_documento_venta_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_DETALLE_DOCUMENTO_venta_BD",
		"cod_producto", $objeto->get_cod_producto(),
		"descripcion_producto", $objeto->get_descripcion_producto(),
		"cantidad", $objeto->get_cantidad(),
		"unidad", $objeto->get_unidad(),
		"exento", $objeto->get_exento(),
		"valor_impuesto", $objeto->get_valor_impuesto(),
		"porcentaje_descuento", $objeto->get_porcentaje_descuento(),
		"monto_descuento", $objeto->get_monto_descuento(),
		"precio_neto_unitario", $objeto->get_precio_neto_unitario(),
		"total_neto", $objeto->get_total_neto(),
		"iva", $objeto->get_iva(),
		"total", $objeto->get_total(),
		"id_item_gasto", $objeto->get_id_item_gasto(),
		"id_centro_costo", $objeto->get_id_centro_costo(),
		//-->  "id_detalle_comprobante", $objeto->get_id_detalle_comprobante(),
		"id_documento_venta", $objeto->get_id_documento_venta());
		
		//debug($query);
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarDetalle_documento_venta_BD(Detalle_documento_venta_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_DETALLE_DOCUMENTO_venta_BD",
		"id_documento_venta", $objeto->get_id_documento_venta(),
		"cod_producto", $objeto->get_cod_producto(),
		"descripcion_producto", $objeto->get_descripcion_producto(),
		"cantidad", $objeto->get_cantidad(),
		"unidad", $objeto->get_unidad(),
		"exento", $objeto->get_exento(),
		"valor_impuesto", $objeto->get_valor_impuesto(),
		"porcentaje_descuento", $objeto->get_porcentaje_descuento(),
		"monto_descuento", $objeto->get_monto_descuento(),
		"precio_neto_unitario", $objeto->get_precio_neto_unitario(),
		"total_neto", $objeto->get_total_neto(),
		"iva", $objeto->get_iva(),
		"total", $objeto->get_total(),
		"id_item_gasto", $objeto->get_id_item_gasto(),
		"id_centro_costo", $objeto->get_id_centro_costo(),
		"id_detalle_comprobante", $objeto->get_id_detalle_comprobante(),
		"id_detalle_documento_venta", $objeto->get_id_detalle_documento_venta());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarDetalle_documento_venta_BD($id_detalle_documento_venta){
		global $conn;
		$query = expandir("ELIMINAR_DETALLE_DOCUMENTO_venta_BD",
		"id_detalle_documento_venta", $id_detalle_documento_venta
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadDetalle_documento_venta_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_DETALLE_DOCUMENTO_venta_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
