<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Detalle_ordenes_produccion_BD_Fachada {

function &getListadoDetalle_ordenes_produccion_BD($filtro,$extra)
	{
		validar_tabla_db("Detalle_ordenes_produccion");
		$extra_var = get_extra_var("DETALLE_ORDENES_PRODUCCION");
		$query = make_query("detalle_ordenes_produccion", $filtro, $extra, $extra_var);
//		debug($query);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarDetalle_ordenes_produccion_BD($objeto){
		validar_tabla_db("Detalle_ordenes_produccion");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_DETALLE_ORDENES_PRODUCCION_BD",
		"nombre", $objeto->get_nombre(),
		"rut", $objeto->get_rut(),
		"nro_cotizacion", $objeto->get_nro_cotizacion(),
		"nro_sobre", $objeto->get_nro_sobre(),
		"nro_vale_venta", $objeto->get_nro_vale_venta(),
		"nro_guia_despacho", $objeto->get_nro_guia_despacho(),
		"nro_factura", $objeto->get_nro_factura(),
		"estado", $objeto->get_estado(),
		"id_producto", $objeto->get_id_producto(),
		"observacion", $objeto->get_observacion(),
		"fecha_envio", $objeto->get_fecha_envio(),
		"id_usuario_envia", $objeto->get_id_usuario_envia(),
		"id_usuario_acepta", $objeto->get_id_usuario_acepta(),
		"fecha_acepta", $objeto->get_fecha_acepta(),
		"descripcion", $objeto->get_descripcion(),
		"observacion_interna", $objeto->get_observacion_interna(),
		"id_orden_produccion", $objeto->get_id_orden_produccion());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarDetalle_ordenes_produccion_BD(Detalle_ordenes_produccion_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_DETALLE_ORDENES_PRODUCCION_BD",
		"id_orden_produccion", $objeto->get_id_orden_produccion(),
		"nombre", $objeto->get_nombre(),
		"rut", $objeto->get_rut(),
		"nro_cotizacion", $objeto->get_nro_cotizacion(),
		"nro_sobre", $objeto->get_nro_sobre(),
		"nro_vale_venta", $objeto->get_nro_vale_venta(),
		"nro_guia_despacho", $objeto->get_nro_guia_despacho(),
		"nro_factura", $objeto->get_nro_factura(),
		"estado", $objeto->get_estado(),
		"id_producto", $objeto->get_id_producto(),
		"observacion", $objeto->get_observacion(),
		"fecha_envio", $objeto->get_fecha_envio(),
		"id_usuario_envia", $objeto->get_id_usuario_envia(),
		"id_usuario_acepta", $objeto->get_id_usuario_acepta(),
		"fecha_acepta", $objeto->get_fecha_acepta(),
		"descripcion", $objeto->get_descripcion(),
		"observacion_interna", $objeto->get_observacion_interna(),
		"id_detalle_orden_produccion", $objeto->get_id_detalle_orden_produccion());
		
		$RecordSet = &$conn -> Execute($query);
//	debug($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarDetalle_ordenes_produccion_BD($id_detalle_orden_produccion){
		global $conn;
		$query = expandir("ELIMINAR_DETALLE_ORDENES_PRODUCCION_BD",
		"id_detalle_orden_produccion", $id_detalle_orden_produccion
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadDetalle_ordenes_produccion_BD($filtro){
		validar_tabla_db("Detalle_ordenes_produccion");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_DETALLE_ORDENES_PRODUCCION_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
