<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Devolucion_productos_BD_Fachada {

function &getListadoDevolucion_productos_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	if ($extra["query"]){
		$query = expandir($extra["query"],
		"where", $where
		);
	}else{
	$query = expandir("GET_LISTADO_DEVOLUCION_PRODUCTOS_BD",
	"where", $where
	);
	}
	
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_devolucion = $RecordSet -> Fields("id_devolucion");
		$nro_devolucion = $RecordSet -> Fields("nro_devolucion");
		$id_vale_venta = $RecordSet -> Fields("id_vale_venta");
		$nro_documento = $RecordSet -> Fields("nro_documento");
		$tipo_documento = $RecordSet -> Fields("tipo_documento");
		$fecha = $RecordSet -> Fields("fecha");
		$motivo = $RecordSet -> Fields("motivo");
		$estado = $RecordSet -> Fields("estado");
		$monto_diferencia = $RecordSet -> Fields("monto_diferencia");
		$id_sucursal = $RecordSet -> Fields("id_sucursal");
		$ex3 = $RecordSet -> Fields("ex3");
		$ex4 = $RecordSet -> Fields("ex4");
		$ex5 = $RecordSet -> Fields("ex5");
		$ex6 = $RecordSet -> Fields("ex6");
		
		$temp = new Devolucion_productos_BD ($nro_devolucion, $id_vale_venta, $nro_documento, $tipo_documento, $fecha, $motivo, $estado, $monto_diferencia, $id_sucursal, $ex3, $ex4, $ex5, $ex6, $id_devolucion);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getDevolucion_productos_BD($id_devolucion)
	{
		global $conn;
		$query = expandir("GET_DEVOLUCION_PRODUCTOS_BD",
		"id_devolucion", $id_devolucion
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_devolucion = $RecordSet -> Fields("id_devolucion");
	$nro_devolucion = $RecordSet -> Fields("nro_devolucion");
	$id_vale_venta = $RecordSet -> Fields("id_vale_venta");
	$nro_documento = $RecordSet -> Fields("nro_documento");
	$tipo_documento = $RecordSet -> Fields("tipo_documento");
	$fecha = $RecordSet -> Fields("fecha");
	$motivo = $RecordSet -> Fields("motivo");
	$estado = $RecordSet -> Fields("estado");
	$monto_diferencia = $RecordSet -> Fields("monto_diferencia");
	$id_sucursal = $RecordSet -> Fields("id_sucursal");
	$ex3 = $RecordSet -> Fields("ex3");
	$ex4 = $RecordSet -> Fields("ex4");
	$ex5 = $RecordSet -> Fields("ex5");
	$ex6 = $RecordSet -> Fields("ex6");
	
	
	$temp = new Devolucion_productos_BD ($nro_devolucion, $id_vale_venta, $nro_documento, $tipo_documento, $fecha, $motivo, $estado, $monto_diferencia, $id_sucursal, $ex3, $ex4, $ex5, $ex6, $id_devolucion);
	return $temp;
	}
	
	
	function &guardarDevolucion_productos_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_DEVOLUCION_PRODUCTOS_BD",
		"id_vale_venta", $objeto->get_id_vale_venta(),
		"nro_documento", $objeto->get_nro_documento(),
		"tipo_documento", $objeto->get_tipo_documento(),
		"fecha", $objeto->get_fecha(),
		"motivo", $objeto->get_motivo(),
		"estado", $objeto->get_estado(),
		"monto_diferencia", $objeto->get_monto_diferencia(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"ex3", $objeto->get_ex3(),
		"ex4", $objeto->get_ex4(),
		"ex5", $objeto->get_ex5(),
		"ex6", $objeto->get_ex6(),
		"nro_devolucion", $objeto->get_nro_devolucion());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarDevolucion_productos_BD(Devolucion_productos_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_DEVOLUCION_PRODUCTOS_BD",
		"nro_devolucion", $objeto->get_nro_devolucion(),
		"id_vale_venta", $objeto->get_id_vale_venta(),
		"nro_documento", $objeto->get_nro_documento(),
		"tipo_documento", $objeto->get_tipo_documento(),
		"fecha", $objeto->get_fecha(),
		"motivo", $objeto->get_motivo(),
		"estado", $objeto->get_estado(),
		"monto_diferencia", $objeto->get_monto_diferencia(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"ex3", $objeto->get_ex3(),
		"ex4", $objeto->get_ex4(),
		"ex5", $objeto->get_ex5(),
		"ex6", $objeto->get_ex6(),
		"id_devolucion", $objeto->get_id_devolucion());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarDevolucion_productos_BD($id_devolucion){
		global $conn;
		$query = expandir("ELIMINAR_DEVOLUCION_PRODUCTOS_BD",
		"id_devolucion", $id_devolucion
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadDevolucion_productos_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_DEVOLUCION_PRODUCTOS_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
