<?

//-----------------------------------------------------------------------------
//	FUNCIONES FACHADA
//-----------------------------------------------------------------------------

class Documento_compra_Fachada {

	function &get_ultimo_correlativo($filtro,$extra){
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}


		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}
		
	

		$query = expandir("GET_ULTIMO_CORRELATIVO_COMPRA",
		"where",	$where
		);

		//debug($query);
		//debug($filtro);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);


		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return $RecordSet->Fields("ultimo_correlativo");
	}


	function &getListadoDocumento_compra($filtro,$extra)
	{
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "Where ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				if($count>0)
				{
					if($key=="fecha_documento")
					$where .= "$key $item)";
					else
					$where .= "$key LIKE '$item')";
				}
				else
				{
					if($key=="fecha_documento")
					$where .= "$key $item";
					else					
					$where .= "$key LIKE '$item'";
				}
				if ($count < sizeof($filtro)-1)
				{
					$where .= " AND (";
				}
				$count++;
			}
		}
		if ($extra["sql_especial"]){
			$where .= $extra["sql_especial"];
		}
		
		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}
		if(!$filtro['tipo_documento'] and !$filtro['id_proveedor'])
		{
//			$query="SELECT * 
//					FROM cont_documento_compra a,cont_tipo_documento b
//					WHERE fecha_proceso LIKE '200703%' AND id_empresa LIKE '3' AND a.tipo_documento=b.id_tipo_documento and b.tipo=1";
			$query="SELECT * 
					FROM cont_documento_compra a,cont_tipo_documento b
					WHERE fecha_proceso LIKE '200703%' AND id_empresa LIKE '3' AND a.tipo_documento=b.id_tipo_documento and b.tipo=1";
					
		}	
		else if ($extra["razon_social"]){
			$query = expandir("GET_LISTADO_DOCUMENTO_COMPRA_RAZON_SOCIAL","where",	$where, "razon_social", $extra["razon_social"]);
		}else{
			$query = expandir("GET_LISTADO_DOCUMENTO_COMPRA","where",	$where);
		}	
		
		
		//debug($query);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);


		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_documento_compra = $RecordSet -> Fields("id_documento_compra");
			$id_documento_compra_fk = $RecordSet -> Fields("id_documento_compra_fk");
			$id_proveedor = $RecordSet -> Fields("id_proveedor");
			$id_empresa = $RecordSet -> Fields("id_empresa");
			$id_usuario = $RecordSet -> Fields("id_usuario");
			$id_centro_costo = $RecordSet -> Fields("id_centro_costo");
			$id_item_gasto = $RecordSet -> Fields("id_item_gasto");
			$tipo_documento = $RecordSet -> Fields("tipo_documento");
			$folio = $RecordSet -> Fields("folio");
			$correlativo = $RecordSet -> Fields("correlativo");
			$id_impuesto = $RecordSet -> Fields("id_impuesto");
			$distribucion_gastos = $RecordSet -> Fields("distribucion_gastos");
			$numero_documento = $RecordSet -> Fields("numero_documento");
			$fecha_digitacion = $RecordSet -> Fields("fecha_digitacion");
			$fecha_documento = $RecordSet -> Fields("fecha_documento");
			$fecha_cancelacion = $RecordSet -> Fields("fecha_cancelacion");
			$fecha_modificacion = $RecordSet -> Fields("fecha_modificacion");
			$mes_proceso = $RecordSet -> Fields("mes_proceso");
			$ano_proceso = $RecordSet -> Fields("ano_proceso");
			$total_descuento = $RecordSet -> Fields("total_descuento");
			$total_neto = $RecordSet -> Fields("total_neto");
			$total_exento = $RecordSet -> Fields("total_exento");
			$total_impuesto = $RecordSet -> Fields("total_impuesto");
			$total_iva = $RecordSet -> Fields("total_iva");
			$total_bruto = $RecordSet -> Fields("total_bruto");
			$total_saldos = $RecordSet -> Fields("total_saldos");
			$total_pagos = $RecordSet -> Fields("total_pagos");
			$orden_compra = $RecordSet -> Fields("orden_compra");
			$estado_compra = $RecordSet -> Fields("estado_compra");
			$forma_pago = $RecordSet -> Fields("forma_pago");
			$tipo_pago = $RecordSet -> Fields("tipo_pago");
			$observacion = $RecordSet -> Fields("observacion");
			$fecha_vto_real = $RecordSet -> Fields("fecha_vto_real");
			$fecha_proceso = $RecordSet -> Fields("fecha_proceso");
			$vencimiento = $RecordSet -> Fields("vencimiento");
			$id_comprobante = $RecordSet -> Fields("id_comprobante");
			$id_sucursal = $RecordSet -> Fields("id_sucursal");
			$temp = new Documento_compra ($id_documento_compra_fk, $id_proveedor, $id_empresa, $id_usuario, $id_centro_costo, $id_item_gasto, $tipo_documento, $folio, $correlativo, $id_impuesto, $distribucion_gastos, $numero_documento, $fecha_digitacion, $fecha_documento, $fecha_cancelacion, $fecha_modificacion, $mes_proceso, $ano_proceso, $total_descuento, $total_neto, $total_exento, $total_impuesto, $total_iva, $total_bruto, $total_saldos, $total_pagos, $orden_compra, $estado_compra, $forma_pago, $tipo_pago, $observacion, $fecha_vto_real, $fecha_proceso, $vencimiento, $id_comprobante, $id_sucursal, $id_documento_compra);
			$temp->chequeaVencimiento();
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}
	function &getListadoDocumento_compra_detalle_estado($filtro,$extra)
	{
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = " ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				if($count>0)
				{
					if($key=="fecha_documento")
					$where .= "$key $item)";
					else
					$where .= "$key LIKE '$item')";
				}
				else
				{
					if($key=="fecha_documento")
					$where .= "$key $item";
					else					
					$where .= "$key LIKE '$item'";
				}
				if ($count < sizeof($filtro)-1)
				{
					$where .= " AND (";
				}
				$count++;
			}
		}
		if ($extra["sql_especial"]){
			$where .= $extra["sql_especial"];
		}
		
		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}
		$query = expandir("GET_LISTADO_DOCUMENTO_COMPRA","where",	$where);

		
		
		//debug($query);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);


		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_documento_compra = $RecordSet -> Fields("id_documento_compra");
			$id_documento_compra_fk = $RecordSet -> Fields("id_documento_compra_fk");
			$id_proveedor = $RecordSet -> Fields("id_proveedor");
			$id_empresa = $RecordSet -> Fields("id_empresa");
			$id_usuario = $RecordSet -> Fields("id_usuario");
			$id_centro_costo = $RecordSet -> Fields("id_centro_costo");
			$id_item_gasto = $RecordSet -> Fields("id_item_gasto");
			$tipo_documento = $RecordSet -> Fields("tipo_documento");
			$folio = $RecordSet -> Fields("folio");
			$correlativo = $RecordSet -> Fields("correlativo");
			$id_impuesto = $RecordSet -> Fields("id_impuesto");
			$distribucion_gastos = $RecordSet -> Fields("distribucion_gastos");
			$numero_documento = $RecordSet -> Fields("numero_documento");
			$fecha_digitacion = $RecordSet -> Fields("fecha_digitacion");
			$fecha_documento = $RecordSet -> Fields("fecha_documento");
			$fecha_cancelacion = $RecordSet -> Fields("fecha_cancelacion");
			$fecha_modificacion = $RecordSet -> Fields("fecha_modificacion");
			$mes_proceso = $RecordSet -> Fields("mes_proceso");
			$ano_proceso = $RecordSet -> Fields("ano_proceso");
			
			$query="SELECT sum(total_neto) total_neto,sum(total_iva) total_iva,sum(total_bruto) total_bruto FROM cont_documento_compra WHERE tipo_documento=6 and id_documento_compra_fk=$id_documento_compra";
			$RecordSet2 = &$conn -> Execute($query);
			if ($RecordSet2->_numOfRows == 0) {
				$total_neto_nc=0;
				$total_iva_nc=0;
				$total_bruto_nc=0;
			}
			else
			{
				$total_neto_nc=$RecordSet2-> Fields("total_neto");
				$total_iva_nc=$RecordSet2-> Fields("total_iva");
				$total_bruto_nc=$RecordSet2-> Fields("total_bruto");
			}
						
			$query="SELECT sum(total_neto) total_neto,sum(total_iva) total_iva,sum(total_bruto) total_bruto FROM cont_documento_compra WHERE tipo_documento=7 and id_documento_compra_fk=$id_documento_compra";
			$RecordSet3 = &$conn -> Execute($query);
			if ($RecordSet3->_numOfRows == 0) {
				$total_neto_nd=0;
				$total_iva_nd=0;
				$total_bruto_nd=0;
			}
			else
			{
				$total_neto_nd=$RecordSet3-> Fields("total_neto");
				$total_iva_nd=$RecordSet3-> Fields("total_iva");
				$total_bruto_nd=$RecordSet3-> Fields("total_bruto");

			}				
		
			$total_descuento = $RecordSet -> Fields("total_descuento");
			$total_neto = ($RecordSet -> Fields("total_neto")-$total_neto_nc)+$total_neto_nd;
			$total_exento = $RecordSet -> Fields("total_exento");
			$total_impuesto = $RecordSet -> Fields("total_impuesto");
			$total_iva = ($RecordSet -> Fields("total_iva")-$total_iva_nc)+$total_iva_nd;
			$total_bruto = ($RecordSet -> Fields("total_bruto")-$total_bruto_nc)+$total_bruto_nd;
			$total_saldos = ($RecordSet -> Fields("total_saldos")-$total_bruto_nc)+$total_bruto_nd;
			$total_pagos = $RecordSet -> Fields("total_pagos");
			$orden_compra = $RecordSet -> Fields("orden_compra");
			$estado_compra = $RecordSet -> Fields("estado_compra");
			$forma_pago = $RecordSet -> Fields("forma_pago");
			$tipo_pago = $RecordSet -> Fields("tipo_pago");
			$observacion = $RecordSet -> Fields("observacion");
			$fecha_vto_real = $RecordSet -> Fields("fecha_vto_real");
			$fecha_proceso = $RecordSet -> Fields("fecha_proceso");
			$vencimiento = $RecordSet -> Fields("vencimiento");
			$id_comprobante = $RecordSet -> Fields("id_comprobante");
			$id_sucursal = $RecordSet -> Fields("id_sucursal");
			$temp = new Documento_compra ($id_documento_compra_fk, $id_proveedor, $id_empresa, $id_usuario, $id_centro_costo, $id_item_gasto, $tipo_documento, $folio, $correlativo, $id_impuesto, $distribucion_gastos, $numero_documento, $fecha_digitacion, $fecha_documento, $fecha_cancelacion, $fecha_modificacion, $mes_proceso, $ano_proceso, $total_descuento, $total_neto, $total_exento, $total_impuesto, $total_iva, $total_bruto, $total_saldos, $total_pagos, $orden_compra, $estado_compra, $forma_pago, $tipo_pago, $observacion, $fecha_vto_real, $fecha_proceso, $vencimiento, $id_comprobante, $id_sucursal, $id_documento_compra);
			$temp->chequeaVencimiento();
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;		
	}
	function &getListadoDocumento_compra_consultas($filtro,$extra)
	{
		global $conn;
		if($filtro["orden_b"]=="proveedor")
		{
			$order=" order by cp.nombre";
			$tabla=",cont_cliente_proveedor cp ";
			$where=" and cp.id_cliente_proveedor=dc.id_proveedor";
		}
		elseif($filtro["orden_b"]=="fecha")
			$order=" order by fecha_vto_real desc";
						
					
		if($filtro["id_proveedor"] and $filtro["fecha_v1"] and $filtro["fecha_v2"])
		{
			$idproveedor=$filtro['id_proveedor'];
			$fecha_v1= convertirFecha_fechabd($filtro["fecha_v1"]);
			$fecha_v2=convertirFecha_fechabd($filtro["fecha_v2"]);
			
			$query="SELECT * 
					FROM cont_documento_compra dc, cont_cliente_proveedor cp
					WHERE dc.estado_compra!=2 and dc.tipo_documento=1 and dc.id_proveedor=$idproveedor and dc.id_proveedor=cp.id_cliente_proveedor and (fecha_vto_real>=$fecha_v1 and fecha_vto_real<=$fecha_v2) $order";
		}
		elseif($filtro["id_proveedor"])
		{
			$idproveedor=$filtro["id_proveedor"];
		
			$query="SELECT * 
					FROM cont_documento_compra dc, cont_cliente_proveedor cp
					WHERE dc.estado_compra!=2 and dc.tipo_documento=1 and id_proveedor=$idproveedor and cp.id_cliente_proveedor=dc.id_proveedor $order";
			
		}			
		elseif($filtro["fecha_v1"] and $filtro["fecha_v2"])
		{
//			$idprovedor=$filtro['id_proveedor'];
			$fecha_v1= convertirFecha_fechabd($filtro["fecha_v1"]);
			$fecha_v2=convertirFecha_fechabd($filtro["fecha_v2"]);
			
			$query="SELECT * 
					FROM cont_documento_compra dc $tabla
					WHERE  dc.estado_compra!=2 and dc.tipo_documento=1 and (fecha_vto_real>=$fecha_v1 and fecha_vto_real<=$fecha_v2) $where $order";
		}
		else
		{
			$query="SELECT * 
					FROM cont_documento_compra dc $tabla
					WHERE dc.estado_compra!=2 and dc.tipo_documento=1  $where $order";
		}
		
		//debug($query);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);


		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_documento_compra = $RecordSet -> Fields("id_documento_compra");
			$id_documento_compra_fk = $RecordSet -> Fields("id_documento_compra_fk");
			$id_proveedor = $RecordSet -> Fields("id_proveedor");
			$id_empresa = $RecordSet -> Fields("id_empresa");
			$id_usuario = $RecordSet -> Fields("id_usuario");
			$id_centro_costo = $RecordSet -> Fields("id_centro_costo");
			$id_item_gasto = $RecordSet -> Fields("id_item_gasto");
			$tipo_documento = $RecordSet -> Fields("tipo_documento");
			$folio = $RecordSet -> Fields("folio");
			$correlativo = $RecordSet -> Fields("correlativo");
			$id_impuesto = $RecordSet -> Fields("id_impuesto");
			$distribucion_gastos = $RecordSet -> Fields("distribucion_gastos");
			$numero_documento = $RecordSet -> Fields("numero_documento");
			$fecha_digitacion = $RecordSet -> Fields("fecha_digitacion");
			$fecha_documento = $RecordSet -> Fields("fecha_documento");
			$fecha_cancelacion = $RecordSet -> Fields("fecha_cancelacion");
			$fecha_modificacion = $RecordSet -> Fields("fecha_modificacion");
			$mes_proceso = $RecordSet -> Fields("mes_proceso");
			$ano_proceso = $RecordSet -> Fields("ano_proceso");
			$total_descuento = $RecordSet -> Fields("total_descuento");
			$total_neto = $RecordSet -> Fields("total_neto");
			$total_exento = $RecordSet -> Fields("total_exento");
			$total_impuesto = $RecordSet -> Fields("total_impuesto");
			$total_iva = $RecordSet -> Fields("total_iva");
			$total_bruto = $RecordSet -> Fields("total_bruto");
			$total_saldos = $RecordSet -> Fields("total_saldos");
			$total_pagos = $RecordSet -> Fields("total_pagos");
			$orden_compra = $RecordSet -> Fields("orden_compra");
			$estado_compra = $RecordSet -> Fields("estado_compra");
			$forma_pago = $RecordSet -> Fields("forma_pago");
			$tipo_pago = $RecordSet -> Fields("tipo_pago");
			$observacion = $RecordSet -> Fields("observacion");
			$fecha_vto_real = $RecordSet -> Fields("fecha_vto_real");
			$fecha_proceso = $RecordSet -> Fields("fecha_proceso");
			$vencimiento = $RecordSet -> Fields("vencimiento");
			$id_comprobante = $RecordSet -> Fields("id_comprobante");
			$id_sucursal = $RecordSet -> Fields("id_sucursal");
			$temp = new Documento_compra ($id_documento_compra_fk, $id_proveedor, $id_empresa, $id_usuario, $id_centro_costo, $id_item_gasto, $tipo_documento, $folio, $correlativo, $id_impuesto, $distribucion_gastos, $numero_documento, $fecha_digitacion, $fecha_documento, $fecha_cancelacion, $fecha_modificacion, $mes_proceso, $ano_proceso, $total_descuento, $total_neto, $total_exento, $total_impuesto, $total_iva, $total_bruto, $total_saldos, $total_pagos, $orden_compra, $estado_compra, $forma_pago, $tipo_pago, $observacion, $fecha_vto_real, $fecha_proceso, $vencimiento, $id_comprobante, $id_sucursal, $id_documento_compra);
			$temp->chequeaVencimiento();
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}

	function &getDocumento_compra($id_documento_compra)
	{
		global $conn;
		$query = expandir("GET_DOCUMENTO_COMPRA",
		"id_documento_compra", $id_documento_compra
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_documento_compra = $RecordSet -> Fields("id_documento_compra");
		$id_documento_compra_fk = $RecordSet -> Fields("id_documento_compra_fk");
		$id_proveedor = $RecordSet -> Fields("id_proveedor");
		$id_empresa = $RecordSet -> Fields("id_empresa");
		$id_usuario = $RecordSet -> Fields("id_usuario");
		$id_centro_costo = $RecordSet -> Fields("id_centro_costo");
		$id_item_gasto = $RecordSet -> Fields("id_item_gasto");
		$tipo_documento = $RecordSet -> Fields("tipo_documento");
		$folio = $RecordSet -> Fields("folio");
		$correlativo = $RecordSet -> Fields("correlativo");
		$id_impuesto = $RecordSet -> Fields("id_impuesto");
		$distribucion_gastos = $RecordSet -> Fields("distribucion_gastos");
		$numero_documento = $RecordSet -> Fields("numero_documento");
		$fecha_digitacion = $RecordSet -> Fields("fecha_digitacion");
		$fecha_documento = $RecordSet -> Fields("fecha_documento");
		$fecha_cancelacion = $RecordSet -> Fields("fecha_cancelacion");
		$fecha_modificacion = $RecordSet -> Fields("fecha_modificacion");
		$mes_proceso = $RecordSet -> Fields("mes_proceso");
		$ano_proceso = $RecordSet -> Fields("ano_proceso");
		$total_descuento = $RecordSet -> Fields("total_descuento");
		$total_neto = $RecordSet -> Fields("total_neto");
		$total_exento = $RecordSet -> Fields("total_exento");
		$total_impuesto = $RecordSet -> Fields("total_impuesto");
		$total_iva = $RecordSet -> Fields("total_iva");
		$total_bruto = $RecordSet -> Fields("total_bruto");
		$total_saldos = $RecordSet -> Fields("total_saldos");
		$total_pagos = $RecordSet -> Fields("total_pagos");
		$orden_compra = $RecordSet -> Fields("orden_compra");
		$estado_compra = $RecordSet -> Fields("estado_compra");
		$forma_pago = $RecordSet -> Fields("forma_pago");
		$tipo_pago = $RecordSet -> Fields("tipo_pago");
		$observacion = $RecordSet -> Fields("observacion");
		$fecha_vto_real = $RecordSet -> Fields("fecha_vto_real");
		$fecha_proceso = $RecordSet -> Fields("fecha_proceso");
		$vencimiento = $RecordSet -> Fields("vencimiento");
		$id_comprobante = $RecordSet -> Fields("id_comprobante");

		$id_sucursal = $RecordSet -> Fields("id_sucursal");
		$temp = new Documento_compra ($id_documento_compra_fk, $id_proveedor, $id_empresa, $id_usuario, $id_centro_costo, $id_item_gasto, $tipo_documento, $folio, $correlativo, $id_impuesto, $distribucion_gastos, $numero_documento, $fecha_digitacion, $fecha_documento, $fecha_cancelacion, $fecha_modificacion, $mes_proceso, $ano_proceso, $total_descuento, $total_neto, $total_exento, $total_impuesto, $total_iva, $total_bruto, $total_saldos, $total_pagos, $orden_compra, $estado_compra, $forma_pago, $tipo_pago, $observacion, $fecha_vto_real, $fecha_proceso, $vencimiento, $id_comprobante, $id_sucursal, $id_documento_compra);
		return $temp;
	}


	function &guardarDocumento_compra($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_DOCUMENTO_COMPRA",
		"id_proveedor", $objeto->id_proveedor,
		"id_empresa", $objeto->id_empresa,
		"id_usuario", $objeto->id_usuario,
		"id_centro_costo", $objeto->id_centro_costo,
		"id_item_gasto", $objeto->id_item_gasto,
		"tipo_documento", $objeto->tipo_documento,
		"folio", $objeto->folio,
		"correlativo", $objeto->correlativo,
		"id_impuesto", $objeto->id_impuesto,
		"distribucion_gastos", $objeto->distribucion_gastos,
		"numero_documento", $objeto->numero_documento,
		"fecha_digitacion", $objeto->fecha_digitacion,
		"fecha_documento", $objeto->fecha_documento,
		"fecha_cancelacion", $objeto->fecha_cancelacion,
		"fecha_modificacion", $objeto->fecha_modificacion,
		"mes_proceso", $objeto->mes_proceso,
		"ano_proceso", $objeto->ano_proceso,
		"total_descuento", $objeto->total_descuento,
		"total_neto", $objeto->total_neto,
		"total_exento", $objeto->total_exento,
		"total_impuesto", $objeto->total_impuesto,
		"total_iva", $objeto->total_iva,
		"total_bruto", $objeto->total_bruto,
		"total_saldos", $objeto->total_saldos,
		"total_pagos", $objeto->total_pagos,
		"orden_compra", $objeto->orden_compra,
		"estado_compra", $objeto->estado_compra,
		"forma_pago", $objeto->forma_pago,
		"tipo_pago", $objeto->tipo_pago,
		"observacion", quitarComillas($objeto->observacion),
		"fecha_vto_real", $objeto->fecha_vto_real,
		"fecha_proceso", $objeto->fecha_proceso,
		"vencimiento", $objeto->vencimiento,
		"id_comprobante", $objeto->id_comprobante,
		"id_sucursal", $objeto->id_sucursal,
		"id_documento_compra_fk", $objeto->id_documento_compra_fk);

		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();


	}

	function &actualizarDocumento_compra($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_DOCUMENTO_COMPRA",
		"id_documento_compra_fk", $objeto->id_documento_compra_fk,
		"id_proveedor", $objeto->id_proveedor,
		"id_empresa", $objeto->id_empresa,
		"id_usuario", $objeto->id_usuario,
		"id_centro_costo", $objeto->id_centro_costo,
		"id_item_gasto", $objeto->id_item_gasto,
		"tipo_documento", $objeto->tipo_documento,
		"folio", $objeto->folio,
		"correlativo", $objeto->correlativo,
		"id_impuesto", $objeto->id_impuesto,
		"distribucion_gastos", $objeto->distribucion_gastos,
		"numero_documento", $objeto->numero_documento,
		"fecha_digitacion", $objeto->fecha_digitacion,
		"fecha_documento", $objeto->fecha_documento,
		"fecha_cancelacion", $objeto->fecha_cancelacion,
		"fecha_modificacion", $objeto->fecha_modificacion,
		"mes_proceso", $objeto->mes_proceso,
		"ano_proceso", $objeto->ano_proceso,
		"total_descuento", $objeto->total_descuento,
		"total_neto", $objeto->total_neto,
		"total_exento", $objeto->total_exento,
		"total_impuesto", $objeto->total_impuesto,
		"total_iva", $objeto->total_iva,
		"total_bruto", $objeto->total_bruto,
		"total_saldos", $objeto->total_saldos,
		"total_pagos", $objeto->total_pagos,
		"orden_compra", $objeto->orden_compra,
		"estado_compra", $objeto->estado_compra,
		"forma_pago", $objeto->forma_pago,
		"tipo_pago", $objeto->tipo_pago,
		"observacion", quitarComillas($objeto->observacion),
		"fecha_vto_real", $objeto->fecha_vto_real,
		"fecha_proceso", $objeto->fecha_proceso,
		"vencimiento", $objeto->vencimiento,
		"id_comprobante", $objeto->id_comprobante,
		"id_sucursal", $objeto->id_sucursal,
		"id_documento_compra", $objeto->id_documento_compra);

		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &eliminarDocumento_compra($id_documento_compra){
		global $conn;
		$query = expandir("ELIMINAR_DOCUMENTO_COMPRA",
		"id_documento_compra", $id_documento_compra
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &get_cantidad($filtro){
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		$query = expandir("GET_CANTIDAD_CONT_DOCUMENTO_COMPRA_BD",
		"where",$where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		return ($RecordSet->fields["CANTIDAD"]);
	}

	function &get_estado_pagos_compra($filtro,$extra){
		global $conn;
		
		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}

		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}

		
		$query = expandir("ESTADO_PAGOS_COMPRA",
		"where",$where
		);
		
		//debug($query);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_documento_compra = $RecordSet -> Fields("id_documento_compra");
			$id_documento_compra_fk = $RecordSet -> Fields("id_documento_compra_fk");
			$id_proveedor = $RecordSet -> Fields("id_proveedor");
			$tipo_documento = $RecordSet -> Fields("tipo_documento");
			$numero_documento = $RecordSet -> Fields("numero_documento");
			$mes_proceso = $RecordSet -> Fields("mes_proceso");
			$ano_proceso = $RecordSet -> Fields("ano_proceso");
			$query="SELECT sum(total_neto) total_neto,sum(total_iva) total_iva,sum(total_bruto) total_bruto " .
					"FROM cont_documento_compra " .
					"WHERE id_proveedor=$id_proveedor and tipo_documento=6 AND id_documento_compra_fk in " .
					"(SELECT id_documento_compra FROM cont_documento_compra WHERE mes_proceso=$mes_proceso and ano_proceso=$ano_proceso and (tipo_documento=1 OR tipo_documento=10 OR tipo_documento=11))";
			$RecordSet2 = &$conn -> Execute($query);
			if ($RecordSet2->_numOfRows == 0) {
				$total_neto_nc=0;
				$total_iva_nc=0;
				$total_bruto_nc=0;
			}
			else
			{
				$total_neto_nc=$RecordSet2-> Fields("total_neto");
				$total_iva_nc=$RecordSet2-> Fields("total_iva");
				$total_bruto_nc=$RecordSet2-> Fields("total_bruto");
			}
						
			$query="SELECT sum(total_neto) total_neto,sum(total_iva) total_iva,sum(total_bruto) total_bruto " .
					"FROM cont_documento_compra " .
					"WHERE id_proveedor=$id_proveedor and tipo_documento=7 AND id_documento_compra_fk in " .
					"(SELECT id_documento_compra FROM cont_documento_compra WHERE mes_proceso=$mes_proceso and ano_proceso=$ano_proceso and (tipo_documento=1 OR tipo_documento=10 OR tipo_documento=11))";
			$RecordSet3 = &$conn -> Execute($query);
			if ($RecordSet3->_numOfRows == 0) {
				$total_neto_nd=0;
				$total_iva_nd=0;
				$total_bruto_nd=0;
			}
			else
			{
				$total_neto_nd=$RecordSet3-> Fields("total_neto");
				$total_iva_nd=$RecordSet3-> Fields("total_iva");
				$total_bruto_nd=$RecordSet3-> Fields("total_bruto");

			}				
			$total_neto = ($RecordSet -> Fields("total_neto")-$total_neto_nc)+$total_neto_nd;
			$total_iva = ($RecordSet -> Fields("total_iva")-$total_iva_nc)+$total_iva_nd;
			$total_bruto = ($RecordSet -> Fields("total_bruto")-$total_bruto_nc)+$total_bruto_nd;
			$total_saldos = ($RecordSet -> Fields("total_saldos")-$total_bruto_nc)+$total_bruto_nd;
			$total_pagos = $RecordSet -> Fields("total_pagos");
			$estado_compra = $RecordSet -> Fields("estado_compra");
			$id_sucursal = $RecordSet -> Fields("id_sucursal");
			$temp = new Documento_compra ($id_documento_compra_fk, $id_proveedor, $id_empresa, $id_usuario, $id_centro_costo, $id_item_gasto, $tipo_documento, $folio, $correlativo, $id_impuesto, $distribucion_gastos, $numero_documento, $fecha_digitacion, $fecha_documento, $fecha_cancelacion, $fecha_modificacion, $mes_proceso, $ano_proceso, $total_descuento, $total_neto, $total_exento, $total_impuesto, $total_iva, $total_bruto, $total_saldos, $total_pagos, $orden_compra, $estado_compra, $forma_pago, $tipo_pago, $observacion, $fecha_vto_real, $fecha_proceso, $vencimiento, $id_comprobante, $id_sucursal, $id_documento_compra);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;		
	}
	
function &get_total_estado_pagos($filtro,$extra){
		global $conn;
		
		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}

		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}

		
		$query = expandir("TOTAL_PAGOS_COMPRA",
		"where",$where
		);
		
		//debug($query);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		$totales["total_neto"]  = $RecordSet -> Fields("total_neto");
		$totales["total_iva"] = $RecordSet -> Fields("total_iva");
		$totales["total_bruto"] = $RecordSet -> Fields("total_bruto");
		$totales["total_saldos"] = $RecordSet -> Fields("total_saldos");
		$totales["total_pagos"] = $RecordSet -> Fields("total_pagos");
			
		return $totales;		
	}
	function getGuias_pendientes($id_proveedor)
	{
		$query="SELECT nro_documento numero FROM cont_detalle_comprobante WHERE (id_cliente_proveedor=$id_proveedor or rut=$id_proveedor) and tipo_documento_respaldo=3 and haber!=0
				and nro_documento not in(SELECT nro_documento FROM cont_detalle_comprobante WHERE (id_cliente_proveedor=$id_proveedor or rut=$id_proveedor) and id_tipo_documento=3 and debe!=0 and id_cuenta=190) group by nro_documento";
		$arreglo_guia=exec_query($query);
		return $arreglo_guia;
	}
	function getMonto_guia($numero_guia,$id_proveedor)
	{
		$query="SELECT haber FROM cont_detalle_comprobante WHERE (id_cliente_proveedor=$id_proveedor or rut=$id_proveedor) and tipo_documento_respaldo=3 and haber!='' and id_cuenta=190 group by nro_documento";
		$arreglo_guia=exec_query($query);
		$arreglo_guia=$arreglo_guia[0];
		return $arreglo_guia["haber"];		
	}
	function getGuia_despacho($filtro)
	{
		$estado=$filtro["estado"];
		$fecha_desde=$filtro["fecha_desde"];
		$fecha_hasta=$filtro["fecha_hasta"];
		$id_proveedor=$filtro["id_cliente_proveedor"];
		if($estado==2)
		{
			if($fecha_desde and $fecha_hasta)
			{
				$query="SELECT nro_documento numero,rut,fecha_documento,haber FROM cont_detalle_comprobante WHERE (id_cliente_proveedor like '%$id_proveedor%' or rut like '%$id_proveedor%') and tipo_documento_respaldo=3 and haber!=0 and id_cuenta=190
					and nro_documento and (fecha_documento>'$fecha_desde' and fecha_documento<'$fecha_hasta') and  nro_documento not in(SELECT nro_documento FROM cont_detalle_comprobante WHERE (id_cliente_proveedor like '%$id_proveedor%' or rut like '%$id_proveedor%') and id_tipo_documento=3 and debe!=0 and id_cuenta=190) group by nro_documento";
			}
			else
			{
				$query="SELECT nro_documento numero,rut,fecha_documento,haber FROM cont_detalle_comprobante WHERE (id_cliente_proveedor like '%$id_proveedor%' or rut like '%$id_proveedor%') and tipo_documento_respaldo=3 and haber!=0 and id_cuenta=190
					and nro_documento not in(SELECT nro_documento FROM cont_detalle_comprobante WHERE (id_cliente_proveedor like '%$id_proveedor%' or rut like '%$id_proveedor%') and id_tipo_documento=3 and debe!=0 and id_cuenta=190) group by nro_documento";
			}		
		}
		if($estado==3)
		{
			if($fecha_desde and $fecha_hasta)
			{
				$query="SELECT nro_documento numero,rut,fecha_documento,haber FROM cont_detalle_comprobante WHERE (id_cliente_proveedor like '%$id_proveedor%' or rut like '%$id_proveedor%') and tipo_documento_respaldo=3 and haber!=0 and id_cuenta=190
					and nro_documento and (fecha_documento>'$fecha_desde' and fecha_documento<'$fecha_hasta') and nro_documento in(SELECT nro_documento FROM cont_detalle_comprobante WHERE (id_cliente_proveedor like '%$id_proveedor%' or rut like '%$id_proveedor%') and id_tipo_documento=3 and debe!=0 and id_cuenta=190) group by nro_documento";
			}
			else
			{		
				$query="SELECT nro_documento numero,rut,fecha_documento,haber FROM cont_detalle_comprobante WHERE (id_cliente_proveedor like '%$id_proveedor%' or rut like '%$id_proveedor%') and tipo_documento_respaldo=3 and haber!=0 and id_cuenta=190
						and nro_documento in(SELECT nro_documento FROM cont_detalle_comprobante WHERE (id_cliente_proveedor like '%$id_proveedor%' or rut like '%$id_proveedor%') and id_tipo_documento=3 and debe!=0 and id_cuenta=190) group by nro_documento";
			}		
		
		}
		$arreglo_guia=exec_query($query);
		return $arreglo_guia;		
	}
		
}
//Fin Clase
?>
