<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Forma_pago_Fachada {

function &getListadoForma_pago($filtro,$extra)
	{
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	
	
	}
	
	if ($extra["order"]){
		$where .= "ORDER BY ".$extra["order"];
	}
	if ($extra["sort"]){
		$where .= $extra["sort"];
	}
	if ($extra["limit"]){
		$where .= "LIMIT ".$extra["limit"];
	}
	
	$query = expandir("GET_LISTADO_FORMA_PAGO",
	"where",	$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_forma_pago = $RecordSet -> Fields("id_forma_pago");
		$descripcion = $RecordSet -> Fields("descripcion");
		$estado = $RecordSet -> Fields("estado");
		$guia_despacho = $RecordSet -> Fields("guia_despacho");
		$id_cuenta = $RecordSet -> Fields("id_cuenta");
		
		$temp = new Forma_pago ($descripcion, $estado, $guia_despacho, $id_cuenta, $id_forma_pago);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
		function &getListadoForma_pago_filtro($filtro,$extra)
	{
	global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	
	
	}
	
	if ($extra["order"]){
		$where .= "ORDER BY ".$extra["order"];
	}
	if ($extra["sort"]){
		$where .= $extra["sort"];
	}
	if ($extra["limit"]){
		$where .= "LIMIT ".$extra["limit"];
	}
	
	$query = expandir("GET_LISTADO_FORMA_PAGO",
	"where",	$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
//	debug($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	
	while (!$RecordSet -> EOF) {
		$id_forma_pago = $RecordSet -> Fields("id_forma_pago");
		$descripcion = $RecordSet -> Fields("descripcion");
		$estado = $RecordSet -> Fields("estado");
		$guia_despacho = $RecordSet -> Fields("guia_despacho");
		$dias_vencimiento = $RecordSet -> Fields("dias_vencimiento");
		
		$temp = new Forma_pago ($descripcion, $estado, $guia_despacho, $dias_vencimiento, $id_forma_pago);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}

	
	function &getForma_pago($id_forma_pago)
	{
		global $conn;
		$query = expandir("GET_FORMA_PAGO",
		"id_forma_pago", $id_forma_pago
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_forma_pago = $RecordSet -> Fields("id_forma_pago");
	$descripcion = $RecordSet -> Fields("descripcion");
	$estado = $RecordSet -> Fields("estado");
	$guia_despacho = $RecordSet -> Fields("guia_despacho");
	$id_cuenta = $RecordSet -> Fields("id_cuenta");
	
	
	$temp = new Forma_pago ($descripcion, $estado, $guia_despacho, $id_cuenta, $id_forma_pago);
	return $temp;
	}
	
	
	function &guardarForma_pago($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_FORMA_PAGO",
		"estado", $objeto->estado,
		"guia_despacho", $objeto->guia_despacho,
		"id_cuenta", $objeto->id_cuenta,
		"descripcion", $objeto->descripcion);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return $conn->Insert_Id();
	
	
	}
	
	function &actualizarForma_pago($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_FORMA_PAGO",
		"descripcion", $objeto->descripcion,
		"estado", $objeto->estado,
		"guia_despacho", $objeto->guia_despacho,
		"id_cuenta", $objeto->id_cuenta,
		"id_forma_pago", $objeto->id_forma_pago);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarForma_pago($id_forma_pago){
		global $conn;
		$query = expandir("ELIMINAR_FORMA_PAGO",
		"id_forma_pago", $id_forma_pago
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	
	}//Fin Clase
?>
