<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Guias_traslado_BD_Fachada {

function &getListadoGuias_traslado_BD($filtro,$extra)
	{
		validar_tabla_db("Guias_traslado");
		$extra_var = get_extra_var("GUIAS_TRASLADO");
		$query = make_query("guias_traslado", $filtro, $extra, $extra_var);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarGuias_traslado_BD($objeto){
		validar_tabla_db("Guias_traslado");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_GUIAS_TRASLADO_BD",
		"RUTTrans", $objeto->get_RUTTrans(),
		"RUTChofer", $objeto->get_RUTChofer(),
		"NombreChofer", $objeto->get_NombreChofer(),
		"DirDest", $objeto->get_DirDest(),
		"CmnaDest", $objeto->get_CmnaDest(),
		"CiudadDest", $objeto->get_CiudadDest(),
		"Patente", $objeto->get_Patente(),
		"id_venta", $objeto->get_id_venta());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarGuias_traslado_BD(Guias_traslado_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_GUIAS_TRASLADO_BD",
		"id_venta", $objeto->get_id_venta(),
		"RUTTrans", $objeto->get_RUTTrans(),
		"RUTChofer", $objeto->get_RUTChofer(),
		"NombreChofer", $objeto->get_NombreChofer(),
		"DirDest", $objeto->get_DirDest(),
		"CmnaDest", $objeto->get_CmnaDest(),
		"CiudadDest", $objeto->get_CiudadDest(),
		"Patente", $objeto->get_Patente(),
		"id_traslado", $objeto->get_id_traslado());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarGuias_traslado_BD($id_traslado){
		global $conn;
		$query = expandir("ELIMINAR_GUIAS_TRASLADO_BD",
		"id_traslado", $id_traslado
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadGuias_traslado_BD($filtro){
		validar_tabla_db("Guias_traslado");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_GUIAS_TRASLADO_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
