<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Interes_BD_Fachada {

function &getListadoInteres_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	if ($extra["query"]){
		$query = expandir($extra["query"],
		"where", $where
		);
	}else{
	$query = expandir("GET_LISTADO_INTERES_BD",
	"where", $where
	);
	}
	
	//debug($query);

	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_interes = $RecordSet -> Fields("id_interes");
		$meses = $RecordSet -> Fields("meses");
		$interes = $RecordSet -> Fields("interes");
		$ex1 = $RecordSet -> Fields("ex1");
		$ex2 = $RecordSet -> Fields("ex2");
		$ex3 = $RecordSet -> Fields("ex3");
		$ex4 = $RecordSet -> Fields("ex4");
		
		$temp = new Interes_BD ($meses, $interes, $ex1, $ex2, $ex3, $ex4, $id_interes);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getInteres_BD($id_interes)
	{
		global $conn;
		$query = expandir("GET_INTERES_BD",
		"id_interes", $id_interes
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_interes = $RecordSet -> Fields("id_interes");
	$meses = $RecordSet -> Fields("meses");
	$interes = $RecordSet -> Fields("interes");
	$ex1 = $RecordSet -> Fields("ex1");
	$ex2 = $RecordSet -> Fields("ex2");
	$ex3 = $RecordSet -> Fields("ex3");
	$ex4 = $RecordSet -> Fields("ex4");
	
	
	$temp = new Interes_BD ($meses, $interes, $ex1, $ex2, $ex3, $ex4, $id_interes);
	return $temp;
	}
	
	
	function &guardarInteres_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_INTERES_BD",
		"interes", $objeto->get_interes(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"ex4", $objeto->get_ex4(),
		"meses", $objeto->get_meses());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarInteres_BD(Interes_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_INTERES_BD",
		"meses", $objeto->get_meses(),
		"interes", $objeto->get_interes(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"ex4", $objeto->get_ex4(),
		"id_interes", $objeto->get_id_interes());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarInteres_BD($id_interes){
		global $conn;
		$query = expandir("ELIMINAR_INTERES_BD",
		"id_interes", $id_interes
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadInteres_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_INTERES_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
