<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Libmov_BD_Fachada {

function &getListadoLibmov_BD($filtro,$extra)
	{
//		validar_tabla_db("Libmov");
		$extra_var = get_extra_var("LIBMOV");
		$query = make_query_flex("libmov", $filtro, $extra, $extra_var);
		$vector = exec_query_flex($query);

		return $vector;
	}
	
	function &guardarLibmov_BD($objeto){
		validar_tabla_db("Libmov");
		global $conn_flex;
		$conn_flex -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_LIBMOV_BD",
		"FEC_LIB", $objeto->get_FEC_LIB(),
		"LOCAL", $objeto->get_LOCAL(),
		"TIP_DOC", $objeto->get_TIP_DOC(),
		"NUM_DOC", $objeto->get_NUM_DOC(),
		"LINEA", $objeto->get_LINEA(),
		"HAS_DOC", $objeto->get_HAS_DOC(),
		"FEC_DOC", $objeto->get_FEC_DOC(),
		"CTA_ITEM", $objeto->get_CTA_ITEM(),
		"DIG_VER", $objeto->get_DIG_VER(),
		"NOMBRE", $objeto->get_NOMBRE(),
		"NUMERO", $objeto->get_NUMERO(),
		"TIP_COMP", $objeto->get_TIP_COMP(),
		"VAL_AFE", $objeto->get_VAL_AFE(),
		"VAL_EXE", $objeto->get_VAL_EXE(),
		"VAL_IVA", $objeto->get_VAL_IVA(),
		"PORC_ESP", $objeto->get_PORC_ESP(),
		"VAL_ESP", $objeto->get_VAL_ESP(),
		"IMP_RET", $objeto->get_IMP_RET(),
		"VAL_RET", $objeto->get_VAL_RET(),
		"REC_IVA", $objeto->get_REC_IVA(),
		"IMP_ADI", $objeto->get_IMP_ADI(),
		"VAL_ADIC", $objeto->get_VAL_ADIC(),
		"CORRELAT", $objeto->get_CORRELAT(),
		"OVER_ANUAL", $objeto->get_OVER_ANUAL(),
		"NUM_RET", $objeto->get_NUM_RET(),
		"FEC_RET", $objeto->get_FEC_RET(),
		"GLOSA", $objeto->get_GLOSA(),
		"MARCA_CENT", $objeto->get_MARCA_CENT(),
		"FEC_COMP", $objeto->get_FEC_COMP(),
		"BIMFOL", $objeto->get_BIMFOL(),
		"TIP_BIM", $objeto->get_TIP_BIM(),
		"CAMBIO", $objeto->get_CAMBIO(),
		"AFE_CUENTA", $objeto->get_AFE_CUENTA(),
		"AFE_VENCTO", $objeto->get_AFE_VENCTO(),
		"AFE_TABLA", $objeto->get_AFE_TABLA(),
		"AFE_ADIC", $objeto->get_AFE_ADIC(),
		"AFE_MONEDA", $objeto->get_AFE_MONEDA(),
		"AFE_PARIDAD", $objeto->get_AFE_PARIDAD(),
		"AFE_CCOSTO", $objeto->get_AFE_CCOSTO(),
		"AFE_ITEM", $objeto->get_AFE_ITEM(),
		"EXE_CUENTA", $objeto->get_EXE_CUENTA(),
		"EXE_VENCTO", $objeto->get_EXE_VENCTO(),
		"EXE_TABLA", $objeto->get_EXE_TABLA(),
		"EXE_ADIC", $objeto->get_EXE_ADIC(),
		"EXE_MONEDA", $objeto->get_EXE_MONEDA(),
		"EXE_PARIDAD", $objeto->get_EXE_PARIDAD(),
		"EXE_CCOSTO", $objeto->get_EXE_CCOSTO(),
		"EXE_ITEM", $objeto->get_EXE_ITEM(),
		"TOT_CUENTA", $objeto->get_TOT_CUENTA(),
		"TOT_VENCTO", $objeto->get_TOT_VENCTO(),
		"TOT_TABLA", $objeto->get_TOT_TABLA(),
		"TOT_ADIC", $objeto->get_TOT_ADIC(),
		"TOT_MONEDA", $objeto->get_TOT_MONEDA(),
		"TOT_PARIDAD", $objeto->get_TOT_PARIDAD(),
		"TOT_CCOSTO", $objeto->get_TOT_CCOSTO(),
		"TOT_ITEM", $objeto->get_TOT_ITEM(),
		"CB_TIPDOC", $objeto->get_CB_TIPDOC(),
		"CB_NUMDOC", $objeto->get_CB_NUMDOC(),
		"CB_FECHA", $objeto->get_CB_FECHA(),
		"TIP_ING", $objeto->get_TIP_ING(),
		"COD_DISTRIBUC", $objeto->get_COD_DISTRIBUC(),
		"COD_RETENCION1", $objeto->get_COD_RETENCION1(),
		"COD_RETENCION2", $objeto->get_COD_RETENCION2(),
		"COD_RETENCION3", $objeto->get_COD_RETENCION3(),
		"SERIE", $objeto->get_SERIE(),
		"CCOSTO_LIN", $objeto->get_CCOSTO_LIN(),
		"ITEM_LIN", $objeto->get_ITEM_LIN(),
		"DVITEM_LIN", $objeto->get_DVITEM_LIN(),
		"COM_VEN", $objeto->get_COM_VEN());
		
		$RecordSet = &$conn_flex -> Execute($query);
		return $conn_flex->Insert_Id();
	}
	
	function &actualizarLibmov_BD(Libmov_BD $objeto){
		global $conn_flex;
		$conn_flex -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_LIBMOV_BD",
		"COM_VEN", $objeto->get_COM_VEN(),
		"FEC_LIB", $objeto->get_FEC_LIB(),
		"LOCAL", $objeto->get_LOCAL(),
		"TIP_DOC", $objeto->get_TIP_DOC(),
		"NUM_DOC", $objeto->get_NUM_DOC(),
		"LINEA", $objeto->get_LINEA(),
		"HAS_DOC", $objeto->get_HAS_DOC(),
		"FEC_DOC", $objeto->get_FEC_DOC(),
		"CTA_ITEM", $objeto->get_CTA_ITEM(),
		"DIG_VER", $objeto->get_DIG_VER(),
		"NOMBRE", $objeto->get_NOMBRE(),
		"NUMERO", $objeto->get_NUMERO(),
		"TIP_COMP", $objeto->get_TIP_COMP(),
		"VAL_AFE", $objeto->get_VAL_AFE(),
		"VAL_EXE", $objeto->get_VAL_EXE(),
		"VAL_IVA", $objeto->get_VAL_IVA(),
		"PORC_ESP", $objeto->get_PORC_ESP(),
		"VAL_ESP", $objeto->get_VAL_ESP(),
		"IMP_RET", $objeto->get_IMP_RET(),
		"VAL_RET", $objeto->get_VAL_RET(),
		"REC_IVA", $objeto->get_REC_IVA(),
		"IMP_ADI", $objeto->get_IMP_ADI(),
		"VAL_ADIC", $objeto->get_VAL_ADIC(),
		"CORRELAT", $objeto->get_CORRELAT(),
		"OVER_ANUAL", $objeto->get_OVER_ANUAL(),
		"NUM_RET", $objeto->get_NUM_RET(),
		"FEC_RET", $objeto->get_FEC_RET(),
		"GLOSA", $objeto->get_GLOSA(),
		"MARCA_CENT", $objeto->get_MARCA_CENT(),
		"FEC_COMP", $objeto->get_FEC_COMP(),
		"BIMFOL", $objeto->get_BIMFOL(),
		"TIP_BIM", $objeto->get_TIP_BIM(),
		"CAMBIO", $objeto->get_CAMBIO(),
		"AFE_CUENTA", $objeto->get_AFE_CUENTA(),
		"AFE_VENCTO", $objeto->get_AFE_VENCTO(),
		"AFE_TABLA", $objeto->get_AFE_TABLA(),
		"AFE_ADIC", $objeto->get_AFE_ADIC(),
		"AFE_MONEDA", $objeto->get_AFE_MONEDA(),
		"AFE_PARIDAD", $objeto->get_AFE_PARIDAD(),
		"AFE_CCOSTO", $objeto->get_AFE_CCOSTO(),
		"AFE_ITEM", $objeto->get_AFE_ITEM(),
		"EXE_CUENTA", $objeto->get_EXE_CUENTA(),
		"EXE_VENCTO", $objeto->get_EXE_VENCTO(),
		"EXE_TABLA", $objeto->get_EXE_TABLA(),
		"EXE_ADIC", $objeto->get_EXE_ADIC(),
		"EXE_MONEDA", $objeto->get_EXE_MONEDA(),
		"EXE_PARIDAD", $objeto->get_EXE_PARIDAD(),
		"EXE_CCOSTO", $objeto->get_EXE_CCOSTO(),
		"EXE_ITEM", $objeto->get_EXE_ITEM(),
		"TOT_CUENTA", $objeto->get_TOT_CUENTA(),
		"TOT_VENCTO", $objeto->get_TOT_VENCTO(),
		"TOT_TABLA", $objeto->get_TOT_TABLA(),
		"TOT_ADIC", $objeto->get_TOT_ADIC(),
		"TOT_MONEDA", $objeto->get_TOT_MONEDA(),
		"TOT_PARIDAD", $objeto->get_TOT_PARIDAD(),
		"TOT_CCOSTO", $objeto->get_TOT_CCOSTO(),
		"TOT_ITEM", $objeto->get_TOT_ITEM(),
		"CB_TIPDOC", $objeto->get_CB_TIPDOC(),
		"CB_NUMDOC", $objeto->get_CB_NUMDOC(),
		"CB_FECHA", $objeto->get_CB_FECHA(),
		"TIP_ING", $objeto->get_TIP_ING(),
		"COD_DISTRIBUC", $objeto->get_COD_DISTRIBUC(),
		"COD_RETENCION1", $objeto->get_COD_RETENCION1(),
		"COD_RETENCION2", $objeto->get_COD_RETENCION2(),
		"COD_RETENCION3", $objeto->get_COD_RETENCION3(),
		"SERIE", $objeto->get_SERIE(),
		"CCOSTO_LIN", $objeto->get_CCOSTO_LIN(),
		"ITEM_LIN", $objeto->get_ITEM_LIN(),
		"DVITEM_LIN", $objeto->get_DVITEM_LIN(),
		"RECORD_NUMBER", $objeto->get_RECORD_NUMBER());
		
		$RecordSet = &$conn_flex -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarLibmov_BD($RECORD_NUMBER){
		global $conn_flex;
		$query = expandir("ELIMINAR_LIBMOV_BD",
		"RECORD_NUMBER", $RECORD_NUMBER
		);
		$conn_flex -> debug = CONN_DEBUG;
		$RecordSet = &$conn_flex -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadLibmov_BD($filtro){
		validar_tabla_db("Libmov");
		global $conn_flex;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_LIBMOV_BD",
	"where",$where
	);
	
	$conn_flex -> debug = CONN_DEBUG;

	$db = odbc_connect("optica", "", ""); 
	$RecordSet=odbc_exec($db, $query); 

	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	

	function &getPagoslibmov_BD($filtro){

		validar_tabla_db("Libmov");
		global $conn_flex;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key = $item";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}

	$query = expandir("GET_PAGOS_LIBMOV_BD",
	"where",$where
	);
	$conn_flex -> debug = CONN_DEBUG;

	$vector = exec_query_flex($query);
	return ($vector[0][0]);
	}


	function &getNClibmov_BD($filtro){
		validar_tabla_db("Libmov");
		global $conn_flex;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key = $item";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}

	$query = expandir("GET_NC_LIBMOV_BD",
	"where",$where
	);
	$conn_flex -> debug = CONN_DEBUG;

	$vector = exec_query_flex($query);
	return ($vector[0][0]);

	}

	}//Fin Clase
?>
