<?

//------------------------------------------------------------------------------
//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Libro_venta_BD_Fachada {

	function &getListadoLibro_venta_BD($filtro,$extra)
	{
		//debug($filtro);
		
		$union_1_sql = $filtro["union_1_sql"];
		$union_2_sql = $filtro["union_2_sql"];
		
		global $conn;

		$query = expandir("GET_LISTADO_LIBRO_VENTA_BD",
		"union_1_sql",$union_1_sql,"union_2_sql",$union_2_sql
		);

		//debug($query);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_documento = $RecordSet -> Fields("id_documento");
			$id_cliente = $RecordSet -> Fields("id_cliente");
			$nombre_cliente = $RecordSet -> Fields("nombre_cliente");
			$rut_cliente = $RecordSet -> Fields("rut_cliente");
			$tipo_documento = $RecordSet -> Fields("tipo_documento");
			$numero_documento = $RecordSet -> Fields("numero_documento");
			$desde_numero_boleta = $RecordSet -> Fields("desde_numero_boleta");
			$hasta_numero_boleta = $RecordSet -> Fields("hasta_numero_boleta");
			$correlativo = $RecordSet -> Fields("correlativo");
			$folio = $RecordSet -> Fields("folio");
			$fecha_documento = $RecordSet -> Fields("fecha_documento");
			$exento = $RecordSet -> Fields("exento");
			$total_neto = $RecordSet -> Fields("total_neto");
			$total_iva = $RecordSet -> Fields("total_iva");
			$total_bruto = $RecordSet -> Fields("total_bruto");

			$temp = new Libro_venta_BD ($id_cliente, $nombre_cliente, $rut_cliente, $tipo_documento, $numero_documento, $desde_numero_boleta, $hasta_numero_boleta, $correlativo, $folio, $fecha_documento, $exento, $total_neto, $total_iva, $total_bruto, $id_documento);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		//debug($RecordSet);
		
		return $vector;
	}


	function &getLibro_venta_BD($id_documento)
	{
		global $conn;
		$query = expandir("GET_LIBRO_VENTA_BD",
		"id_documento", $id_documento
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_documento = $RecordSet -> Fields("id_documento");
		$id_cliente = $RecordSet -> Fields("id_cliente");
		$nombre_cliente = $RecordSet -> Fields("nombre_cliente");
		$rut_cliente = $RecordSet -> Fields("rut_cliente");
		$tipo_documento = $RecordSet -> Fields("tipo_documento");
		$numero_documento = $RecordSet -> Fields("numero_documento");
		$desde_numero_boleta = $RecordSet -> Fields("desde_numero_boleta");
		$hasta_numero_boleta = $RecordSet -> Fields("hasta_numero_boleta");
		$correlativo = $RecordSet -> Fields("correlativo");
		$folio = $RecordSet -> Fields("folio");
		$fecha_documento = $RecordSet -> Fields("fecha_documento");
		$exento = $RecordSet -> Fields("exento");
		$total_neto = $RecordSet -> Fields("total_neto");
		$total_iva = $RecordSet -> Fields("total_iva");
		$total_bruto = $RecordSet -> Fields("total_bruto");


		$temp = new Libro_venta_BD ($id_cliente, $nombre_cliente, $rut_cliente, $tipo_documento, $numero_documento, $desde_numero_boleta, $hasta_numero_boleta, $correlativo, $folio, $fecha_documento, $exento, $total_neto, $total_iva, $total_bruto, $id_documento);
		return $temp;
	}


	function &guardarLibro_venta_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_LIBRO_VENTA_BD",
		"nombre_cliente", $objeto->get_nombre_cliente(),
		"rut_cliente", $objeto->get_rut_cliente(),
		"tipo_documento", $objeto->get_tipo_documento(),
		"numero_documento", $objeto->get_numero_documento(),
		"desde_numero_boleta", $objeto->get_desde_numero_boleta(),
		"hasta_numero_boleta", $objeto->get_hasta_numero_boleta(),
		"correlativo", $objeto->get_correlativo(),
		"folio", $objeto->get_folio(),
		"fecha_documento", $objeto->get_fecha_documento(),
		"exento", $objeto->get_exento(),
		"total_neto", $objeto->get_total_neto(),
		"total_iva", $objeto->get_total_iva(),
		"total_bruto", $objeto->get_total_bruto(),
		"id_cliente", $objeto->get_id_cliente());

		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}

	function &actualizarLibro_venta_BD(Libro_venta_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_LIBRO_VENTA_BD",
		"id_cliente", $objeto->get_id_cliente(),
		"nombre_cliente", $objeto->get_nombre_cliente(),
		"rut_cliente", $objeto->get_rut_cliente(),
		"tipo_documento", $objeto->get_tipo_documento(),
		"numero_documento", $objeto->get_numero_documento(),
		"desde_numero_boleta", $objeto->get_desde_numero_boleta(),
		"hasta_numero_boleta", $objeto->get_hasta_numero_boleta(),
		"correlativo", $objeto->get_correlativo(),
		"folio", $objeto->get_folio(),
		"fecha_documento", $objeto->get_fecha_documento(),
		"exento", $objeto->get_exento(),
		"total_neto", $objeto->get_total_neto(),
		"total_iva", $objeto->get_total_iva(),
		"total_bruto", $objeto->get_total_bruto(),
		"id_documento", $objeto->get_id_documento());

		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &eliminarLibro_venta_BD($id_documento){
		global $conn;
		$query = expandir("ELIMINAR_LIBRO_VENTA_BD",
		"id_documento", $id_documento
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &cantidadLibro_venta_BD($filtro){
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		$query = expandir("GET_CANTIDAD_LIBRO_VENTA_BD",
		"where",$where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		return ($RecordSet->fields["CANTIDAD"]);
	}

}//Fin Clase
?>
