<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Metas_vendedores_BD_Fachada {

function &getListadoMetas_vendedores_BD($filtro,$extra)
	{
		validar_tabla_db("Metas_vendedores");
		$extra_var = get_extra_var("METAS_VENDEDORES");
		$query = make_query("metas_vendedores", $filtro, $extra, $extra_var);
//		debug($query);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarMetas_vendedores_BD($objeto){
		validar_tabla_db("Metas_vendedores");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_METAS_VENDEDORES_BD",
		"meta", $objeto->get_meta(),
		"mes", $objeto->get_mes(),
		"anho", $objeto->get_anho(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"id_vendedor", $objeto->get_id_vendedor());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarMetas_vendedores_BD(Metas_vendedores_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_METAS_VENDEDORES_BD",
		"id_vendedor", $objeto->get_id_vendedor(),
		"meta", $objeto->get_meta(),
		"mes", $objeto->get_mes(),
		"anho", $objeto->get_anho(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"id_meta_vendedor", $objeto->get_id_meta_vendedor());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarMetas_vendedores_BD($id_meta_vendedor){
		global $conn;
		$query = expandir("ELIMINAR_METAS_VENDEDORES_BD",
		"id_meta_vendedor", $id_meta_vendedor
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	
	function &get_total_ventas_vendedor($filtro,$extra){
		validar_tabla_db("Metas_vendedores");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}

	$where .= " AND cp.id_cliente_proveedor = v.id_cliente_proveedor";
	
				if ($extra["where"]){
				$where = $extra["where"];
			}
		
			if ($extra["group"]){
				$where .= " GROUP BY ".$extra["group"]." ";
			}
			if ($extra["sql"]){
				$where .= $extra["sql"];
			}
			
			if ($extra["rango_fecha"]){
				$where .= $extra["rango_fecha"];
			}
			
			if ($extra["order"]){
				$where .= " ORDER BY ".$extra["order"]." ";
			}
			if ($extra["sort"]){
				$where .= " ".$extra["sort"]." ";
			}
			if (($extra["limit"])){
				if ($extra["desde"]){
					$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
				}else{
					$where .= " LIMIT ".$extra["limit"];
				}
			}else{
				if ($extra["desde"]){
					$where .= " LIMIT ".$extra["desde"].",0";
				}			
			}


	$query = expandir("GET_TOTAL_VENTAS_VENDEDOR_BD",
	"where",$where
	);
//	debug($query);
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["TOTAL"]);
	}

	function &cantidadMetas_vendedores_BD($filtro){
		validar_tabla_db("Metas_vendedores");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_METAS_VENDEDORES_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
