<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Oferta_BD_Fachada {

function &getListadoOferta_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro)
	{
		$where = "";
	}
	else
	{
		$where = "WHERE ";
		$count = 0;
		foreach ($filtro as $key => $item)
		{
			$where .= "$key LIKE '$item'";
			if ($count < sizeof($filtro)-1)
			$where .= " AND ";
			$count++;
		}
	}
	if ($extra["group"])
	{
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"])
	{
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"])
	{
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["sql"])
	{
		$where .= $extra["sql"];
	}

	if ($extra["limit"])
	{
		if ($extra["desde"])
		{
			$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
		}
		else
		{
			$where .= " LIMIT ".$extra["limit"];
		}
	}
	else
	{
		if ($extra["desde"])
		{
			$where .= " LIMIT ".$extra["desde"].",0";
		}
	}

	
	if ($extra["query"])
	{
		$query = expandir($extra["query"],
		"where", $where
		);
	}
	else
	{
		$query = expandir("GET_LISTADO_OFERTA_BD",
		"where", $where
		);
	}
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);

	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_oferta = $RecordSet -> Fields("id_oferta");
		$id_producto = $RecordSet -> Fields("id_producto");
		$id_bodega = $RecordSet -> Fields("id_bodega");
		$descuento = $RecordSet -> Fields("descuento");
		$fecha_inicio = $RecordSet -> Fields("fecha_inicio");
		$fecha_termino = $RecordSet -> Fields("fecha_termino");
		$descripcion = $RecordSet -> Fields("descripcion");
		$condicion = $RecordSet -> Fields("condicion");
		$estado = $RecordSet -> Fields("estado");
		$monto_descuento = $RecordSet -> Fields("monto_descuento");
		$precio_oferta = $RecordSet -> Fields("precio_oferta");
		$precio_venta = $RecordSet -> Fields("precio_venta");
		$id_usuario = $RecordSet -> Fields("id_usuario");
		$fecha = $RecordSet -> Fields("fecha");
		$id_sucursal = $RecordSet -> Fields("id_sucursal");
		
		$temp = new Oferta_BD ($id_producto, $id_bodega, $descuento, $fecha_inicio, $fecha_termino, $descripcion, $condicion, $estado, $monto_descuento, $precio_oferta, $precio_venta, $id_usuario, $fecha, $id_sucursal, $id_oferta);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getOferta_BD($id_oferta)
	{
		global $conn;
		$query = expandir("GET_OFERTA_BD",
		"id_oferta", $id_oferta
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
	
		$id_oferta = $RecordSet -> Fields("id_oferta");
		$id_producto = $RecordSet -> Fields("id_producto");
		$id_bodega = $RecordSet -> Fields("id_bodega");
		$descuento = $RecordSet -> Fields("descuento");
		$fecha_inicio = $RecordSet -> Fields("fecha_inicio");
		$fecha_termino = $RecordSet -> Fields("fecha_termino");
		$descripcion = $RecordSet -> Fields("descripcion");
		$condicion = $RecordSet -> Fields("condicion");
		$estado = $RecordSet -> Fields("estado");
		$monto_descuento = $RecordSet -> Fields("monto_descuento");
		$precio_oferta = $RecordSet -> Fields("precio_oferta");
		$precio_venta = $RecordSet -> Fields("precio_venta");
		$id_usuario = $RecordSet -> Fields("id_usuario");
		$fecha = $RecordSet -> Fields("fecha");
		$id_sucursal = $RecordSet -> Fields("id_sucursal");
	
	$temp = new Oferta_BD ($id_producto, $id_bodega, $descuento, $fecha_inicio, $fecha_termino, $descripcion, $condicion, $estado, $monto_descuento, $precio_oferta, $precio_venta, $id_usuario, $fecha, $id_sucursal, $id_oferta);
	return $temp;
	}
	
	
	function &guardarOferta_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_OFERTA_BD",
		"id_bodega", $objeto->get_id_bodega(),
		"descuento", $objeto->get_descuento(),
		"fecha_inicio", $objeto->get_fecha_inicio(),
		"fecha_termino", $objeto->get_fecha_termino(),
		"descripcion", $objeto->get_descripcion(),
		"condicion", $objeto->get_condicion(),
		"estado", $objeto->get_estado(),
		"monto_descuento", $objeto->get_monto_descuento(),
		"precio_oferta", $objeto->get_precio_oferta(),
		"precio_venta", $objeto->get_precio_venta(),
		"id_usuario", $objeto->get_id_usuario(),
		"fecha", $objeto->get_fecha(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"id_producto", $objeto->get_id_producto());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarOferta_BD(Oferta_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_OFERTA_BD",
		"id_producto", $objeto->get_id_producto(),
		"id_bodega", $objeto->get_id_bodega(),
		"descuento", $objeto->get_descuento(),
		"fecha_inicio", $objeto->get_fecha_inicio(),
		"fecha_termino", $objeto->get_fecha_termino(),
		"descripcion", $objeto->get_descripcion(),
		"condicion", $objeto->get_condicion(),
		"estado", $objeto->get_estado(),
		"monto_descuento", $objeto->get_monto_descuento(),
		"precio_oferta", $objeto->get_precio_oferta(),
		"precio_venta", $objeto->get_precio_venta(),
		"id_usuario", $objeto->get_id_usuario(),
		"fecha", $objeto->get_fecha(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"id_oferta", $objeto->get_id_oferta());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarOferta_BD($id_oferta){
		global $conn;
		$query = expandir("ELIMINAR_OFERTA_BD",
		"id_oferta", $id_oferta
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadOferta_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_OFERTA_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
