<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Orden_compra_cliente_BD_Fachada {

function &getListadoOrden_compra_cliente_BD($filtro,$extra)
	{
		validar_tabla_db("Orden_compra_cliente");
		$extra_var = get_extra_var("ORDEN_COMPRA_CLIENTE");
		$query = make_query("orden_compra_cliente", $filtro, $extra, $extra_var);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarOrden_compra_cliente_BD($objeto){
		validar_tabla_db("Orden_compra_cliente");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_ORDEN_COMPRA_CLIENTE_BD",
		"id_proveedor", $objeto->get_id_proveedor(),
		"fecha_documento", $objeto->get_fecha_documento(),
		"fecha_anulacion", $objeto->get_fecha_anulacion(),
		"fecha_recepcion_completa", $objeto->get_fecha_recepcion_completa(),
		"fecha_ultima_modificacion", $objeto->get_fecha_ultima_modificacion(),
		"fecha_digitacion", $objeto->get_fecha_digitacion(),
		"atencion", $objeto->get_atencion(),
		"subtotal", $objeto->get_subtotal(),
		"total_dcto", $objeto->get_total_dcto(),
		"total_neto", $objeto->get_total_neto(),
		"total_exento", $objeto->get_total_exento(),
		"total_bruto", $objeto->get_total_bruto(),
		"iva", $objeto->get_iva(),
		"estado", $objeto->get_estado(),
		"condicion_pago", $objeto->get_condicion_pago(),
		"id_usuario", $objeto->get_id_usuario(),
		"observacion", $objeto->get_observacion(),
		"id_transportista", $objeto->get_id_transportista(),
		"nro_factura_compra", $objeto->get_nro_factura_compra(),
		"id_documento", $objeto->get_id_documento(),
		"plazo", $objeto->get_plazo(),
		"fecha_vencimiento", $objeto->get_fecha_vencimiento(),
		"nro_orden_compra", $objeto->get_nro_orden_compra(),
		"id_sucursal", $objeto->get_id_sucursal());

		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarOrden_compra_cliente_BD(Orden_compra_cliente_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_ORDEN_COMPRA_CLIENTE_BD",
		"id_sucursal", $objeto->get_id_sucursal(),
		"id_proveedor", $objeto->get_id_proveedor(),
		"fecha_documento", $objeto->get_fecha_documento(),
		"fecha_anulacion", $objeto->get_fecha_anulacion(),
		"fecha_recepcion_completa", $objeto->get_fecha_recepcion_completa(),
		"fecha_ultima_modificacion", $objeto->get_fecha_ultima_modificacion(),
		"fecha_digitacion", $objeto->get_fecha_digitacion(),
		"atencion", $objeto->get_atencion(),
		"subtotal", $objeto->get_subtotal(),
		"total_dcto", $objeto->get_total_dcto(),
		"total_neto", $objeto->get_total_neto(),
		"total_exento", $objeto->get_total_exento(),
		"total_bruto", $objeto->get_total_bruto(),
		"iva", $objeto->get_iva(),
		"estado", $objeto->get_estado(),
		"condicion_pago", $objeto->get_condicion_pago(),
		"id_usuario", $objeto->get_id_usuario(),
		"observacion", $objeto->get_observacion(),
		"id_transportista", $objeto->get_id_transportista(),
		"nro_factura_compra", $objeto->get_nro_factura_compra(),
		"id_documento", $objeto->get_id_documento(),
		"plazo", $objeto->get_plazo(),
		"fecha_vencimiento", $objeto->get_fecha_vencimiento(),
		"nro_orden_compra", $objeto->get_nro_orden_compra(),
		"id_orden_compra", $objeto->get_id_orden_compra());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarOrden_compra_cliente_BD($id_orden_compra){
		global $conn;
		$query = expandir("ELIMINAR_ORDEN_COMPRA_CLIENTE_BD",
		"id_orden_compra", $id_orden_compra
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadOrden_compra_cliente_BD($filtro){
		validar_tabla_db("Orden_compra_cliente");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_ORDEN_COMPRA_CLIENTE_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
