<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Plan_cuenta_Fachada {

function &getListadoPlan_cuenta($filtro,$extra)

	{
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	
	
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"];
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"];
	}
	if ($extra["limit"]){
		$where .= " LIMIT ".$extra["limit"];
	}
	
	$query = expandir("GET_LISTADO_PLAN_CUENTA",
	"where",	$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_plan_cuenta = $RecordSet -> Fields("id_plan_cuenta");
		$id_usuario = $RecordSet -> Fields("id_usuario");
		$nombre = $RecordSet -> Fields("nombre");
		$descripcion = $RecordSet -> Fields("descripcion");
		$formato = $RecordSet -> Fields("formato");
		$fecha_creacion = $RecordSet -> Fields("fecha_creacion");
		$extra1 = $RecordSet -> Fields("extra1");
		$extra2 = $RecordSet -> Fields("extra2");
		$extra3 = $RecordSet -> Fields("extra3");
		
		$temp = new Plan_cuenta ($id_usuario, $nombre, $descripcion, $formato, $fecha_creacion, $extra1, $extra2, $extra3, $id_plan_cuenta);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getPlan_cuenta($id_plan_cuenta)
	{
		global $conn;
		$query = expandir("GET_PLAN_CUENTA",
		"id_plan_cuenta", $id_plan_cuenta
		);
		
		//debug($query);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_plan_cuenta = $RecordSet -> Fields("id_plan_cuenta");
	$id_usuario = $RecordSet -> Fields("id_usuario");
	$nombre = $RecordSet -> Fields("nombre");
	$descripcion = $RecordSet -> Fields("descripcion");
	$formato = $RecordSet -> Fields("formato");
	$fecha_creacion = $RecordSet -> Fields("fecha_creacion");
	$extra1 = $RecordSet -> Fields("extra1");
	$extra2 = $RecordSet -> Fields("extra2");
	$extra3 = $RecordSet -> Fields("extra3");
	
	
	$temp = new Plan_cuenta ($id_usuario, $nombre, $descripcion, $formato, $fecha_creacion, $extra1, $extra2, $extra3, $id_plan_cuenta);
	return $temp;
	}
	
	
	function &guardarPlan_cuenta($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_PLAN_CUENTA",
		"nombre", $objeto->nombre,
		"descripcion", $objeto->descripcion,
		"formato", $objeto->formato,
		"fecha_creacion", $objeto->fecha_creacion,
		"extra1", $objeto->extra1,
		"extra2", $objeto->extra2,
		"extra3", $objeto->extra3,
		"id_usuario", $objeto->id_usuario);
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
		
		
	}
	
	function &actualizarPlan_cuenta($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_PLAN_CUENTA",
		"id_usuario", $objeto->id_usuario,
		"nombre", $objeto->nombre,
		"descripcion", $objeto->descripcion,
		"formato", $objeto->formato,
		"fecha_creacion", $objeto->fecha_creacion,
		"extra1", $objeto->extra1,
		"extra2", $objeto->extra2,
		"extra3", $objeto->extra3,
		"id_plan_cuenta", $objeto->id_plan_cuenta);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarPlan_cuenta($id_plan_cuenta){
		global $conn;
		$query = expandir("ELIMINAR_PLAN_CUENTA",
		"id_plan_cuenta", $id_plan_cuenta
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	
	}//Fin Clase
?>
