<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Productos_clientes_BD_Fachada {

function &getListadoProductos_clientes_BD($filtro,$extra)
	{
		validar_tabla_db("Productos_clientes");
		$extra_var = get_extra_var("PRODUCTOS_CLIENTES");
		$query = make_query("productos_clientes", $filtro, $extra, $extra_var);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarProductos_clientes_BD($objeto){
		validar_tabla_db("Productos_clientes");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_PRODUCTOS_CLIENTES_BD",
		"id_producto", $objeto->get_id_producto(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"descripcion", $objeto->get_descripcion(),
		"id_cliente_proveedor", $objeto->get_id_cliente_proveedor());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarProductos_clientes_BD(Productos_clientes_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_PRODUCTOS_CLIENTES_BD",
		"id_cliente_proveedor", $objeto->get_id_cliente_proveedor(),
		"id_producto", $objeto->get_id_producto(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"descripcion", $objeto->get_descripcion(),
		"id_producto_cliente", $objeto->get_id_producto_cliente());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarProductos_clientes_BD($id_producto_cliente){
		global $conn;
		$query = expandir("ELIMINAR_PRODUCTOS_CLIENTES_BD",
		"id_producto_cliente", $id_producto_cliente
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadProductos_clientes_BD($filtro){
		validar_tabla_db("Productos_clientes");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_PRODUCTOS_CLIENTES_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
