<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Recepcion_BD_Fachada {

function &getListadoRecepcion_BD($filtro,$extra)
	{
		validar_tabla_db("Recepcion");
		$extra_var = get_extra_var("RECEPCION");
		$query = make_query("recepcion", $filtro, $extra, $extra_var);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarRecepcion_BD($objeto){
		validar_tabla_db("Recepcion");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_RECEPCION_BD",
		"id_documento", $objeto->get_id_documento(),
		"numero_documento", $objeto->get_numero_documento(),
		"fecha_documento", $objeto->get_fecha_documento(),
		"fecha_recepcion", $objeto->get_fecha_recepcion(),
		"total", $objeto->get_total(),
		"observacion", $objeto->get_observacion(),
		"id_bodega", $objeto->get_id_bodega(),
		"id_bodega_fabricacion", $objeto->get_id_bodega_fabricacion(),
		"id_orden_compra", $objeto->get_id_orden_compra());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarRecepcion_BD(Recepcion_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_RECEPCION_BD",
		"id_orden_compra", $objeto->get_id_orden_compra(),
		"id_documento", $objeto->get_id_documento(),
		"numero_documento", $objeto->get_numero_documento(),
		"fecha_documento", $objeto->get_fecha_documento(),
		"fecha_recepcion", $objeto->get_fecha_recepcion(),
		"total", $objeto->get_total(),
		"observacion", $objeto->get_observacion(),
		"id_bodega", $objeto->get_id_bodega(),
		"id_bodega_fabricacion", $objeto->get_id_bodega_fabricacion(),
		"id_recepcion", $objeto->get_id_recepcion());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarRecepcion_BD($id_recepcion){
		global $conn;
		$query = expandir("ELIMINAR_RECEPCION_BD",
		"id_recepcion", $id_recepcion
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadRecepcion_BD($filtro){
		validar_tabla_db("Recepcion");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_RECEPCION_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
