<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Recepcion_traspaso_BD_Fachada {

function &getListadoRecepcion_traspaso_BD($filtro,$extra)
	{
		validar_tabla_db("Recepcion_traspaso");
		$extra_var = get_extra_var("RECEPCION_TRASPASO");
		$query = make_query("recepcion_traspaso", $filtro, $extra, $extra_var);
//		debug($query);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarRecepcion_traspaso_BD($objeto){
		validar_tabla_db("Recepcion_traspaso");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_RECEPCION_TRASPASO_BD",
		"id_documento", $objeto->get_id_documento(),
		"numero_documento", $objeto->get_numero_documento(),
		"fecha_documento", $objeto->get_fecha_documento(),
		"fecha_recepcion", $objeto->get_fecha_recepcion(),
		"total", $objeto->get_total(),
		"observacion", $objeto->get_observacion(),
		"id_bodega", $objeto->get_id_bodega(),
		"id_traspaso_inventario", $objeto->get_id_traspaso_inventario());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarRecepcion_traspaso_BD(Recepcion_traspaso_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_RECEPCION_TRASPASO_BD",
		"id_traspaso_inventario", $objeto->get_id_traspaso_inventario(),
		"id_documento", $objeto->get_id_documento(),
		"numero_documento", $objeto->get_numero_documento(),
		"fecha_documento", $objeto->get_fecha_documento(),
		"fecha_recepcion", $objeto->get_fecha_recepcion(),
		"total", $objeto->get_total(),
		"observacion", $objeto->get_observacion(),
		"id_bodega", $objeto->get_id_bodega(),
		"id_recepcion_traspaso", $objeto->get_id_recepcion_traspaso());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarRecepcion_traspaso_BD($id_recepcion_traspaso){
		global $conn;
		$query = expandir("ELIMINAR_RECEPCION_TRASPASO_BD",
		"id_recepcion_traspaso", $id_recepcion_traspaso
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadRecepcion_traspaso_BD($filtro){
		validar_tabla_db("Recepcion_traspaso");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_RECEPCION_TRASPASO_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
