<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Reserva_laboratorio_BD_Fachada {

function &getListadoReserva_laboratorio_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	if ($extra["query"]){
		$query = expandir($extra["query"],
		"where", $where
		);
	}else{
	$query = expandir("GET_LISTADO_RESERVA_LABORATORIO_BD",
	"where", $where
	);
	}
	
//	debug($query);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_reserva = $RecordSet -> Fields("id_reserva");
		$id_tecnico = $RecordSet -> Fields("id_tecnico");
		$fecha_creacion = $RecordSet -> Fields("fecha_creacion");
		$id_usuario = $RecordSet -> Fields("id_usuario");
		$fecha = $RecordSet -> Fields("fecha");
		$hora_inicio = $RecordSet -> Fields("hora_inicio");
		$hora_termino = $RecordSet -> Fields("hora_termino");
		$nro_sobre = $RecordSet -> Fields("nro_sobre");
		$nombre_paciente = $RecordSet -> Fields("nombre_paciente");
		$estado = $RecordSet -> Fields("estado");
		$observacion = $RecordSet -> Fields("observacion");
		$id_sucursal = $RecordSet -> Fields("id_sucursal");
		$id_maquina = $RecordSet -> Fields("id_maquina");
		$id_vale_venta = $RecordSet -> Fields("id_vale_venta");
		$ex4 = $RecordSet -> Fields("ex4");
		$ex5 = $RecordSet -> Fields("ex5");
		$ex6 = $RecordSet -> Fields("ex6");
		$ex7 = $RecordSet -> Fields("ex7");
		$ex8 = $RecordSet -> Fields("ex8");
		
		$temp = new Reserva_laboratorio_BD ($id_tecnico, $fecha_creacion, $id_usuario, $fecha, $hora_inicio, $hora_termino, $nro_sobre, $nombre_paciente, $estado, $observacion, $id_sucursal, $id_maquina, $id_vale_venta, $ex4, $ex5, $ex6, $ex7, $ex8, $id_reserva);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getReserva_laboratorio_BD($id_reserva)
	{
		global $conn;
		$query = expandir("GET_RESERVA_LABORATORIO_BD",
		"id_reserva", $id_reserva
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_reserva = $RecordSet -> Fields("id_reserva");
	$id_tecnico = $RecordSet -> Fields("id_tecnico");
	$fecha_creacion = $RecordSet -> Fields("fecha_creacion");
	$id_usuario = $RecordSet -> Fields("id_usuario");
	$fecha = $RecordSet -> Fields("fecha");
	$hora_inicio = $RecordSet -> Fields("hora_inicio");
	$hora_termino = $RecordSet -> Fields("hora_termino");
	$nro_sobre = $RecordSet -> Fields("nro_sobre");
	$nombre_paciente = $RecordSet -> Fields("nombre_paciente");
	$estado = $RecordSet -> Fields("estado");
	$observacion = $RecordSet -> Fields("observacion");
	$id_sucursal = $RecordSet -> Fields("id_sucursal");
	$id_maquina = $RecordSet -> Fields("id_maquina");
	$id_vale_venta = $RecordSet -> Fields("id_vale_venta");
	$ex4 = $RecordSet -> Fields("ex4");
	$ex5 = $RecordSet -> Fields("ex5");
	$ex6 = $RecordSet -> Fields("ex6");
	$ex7 = $RecordSet -> Fields("ex7");
	$ex8 = $RecordSet -> Fields("ex8");
	
	
	$temp = new Reserva_laboratorio_BD ($id_tecnico, $fecha_creacion, $id_usuario, $fecha, $hora_inicio, $hora_termino, $nro_sobre, $nombre_paciente, $estado, $observacion, $id_sucursal, $id_maquina, $id_vale_venta, $ex4, $ex5, $ex6, $ex7, $ex8, $id_reserva);
	return $temp;
	}
	
	
	function &guardarReserva_laboratorio_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_RESERVA_LABORATORIO_BD",
		"fecha_creacion", $objeto->get_fecha_creacion(),
		"id_usuario", $objeto->get_id_usuario(),
		"fecha", $objeto->get_fecha(),
		"hora_inicio", $objeto->get_hora_inicio(),
		"hora_termino", $objeto->get_hora_termino(),
		"nro_sobre", $objeto->get_nro_sobre(),
		"nombre_paciente", $objeto->get_nombre_paciente(),
		"estado", $objeto->get_estado(),
		"observacion", $objeto->get_observacion(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"id_maquina", $objeto->get_id_maquina(),
		"id_vale_venta", $objeto->get_id_vale_venta(),
		"ex4", $objeto->get_ex4(),
		"ex5", $objeto->get_ex5(),
		"ex6", $objeto->get_ex6(),
		"ex7", $objeto->get_ex7(),
		"ex8", $objeto->get_ex8(),
		"id_tecnico", $objeto->get_id_tecnico());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarReserva_laboratorio_BD(Reserva_laboratorio_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_RESERVA_LABORATORIO_BD",
		"id_tecnico", $objeto->get_id_tecnico(),
		"fecha_creacion", $objeto->get_fecha_creacion(),
		"id_usuario", $objeto->get_id_usuario(),
		"fecha", $objeto->get_fecha(),
		"hora_inicio", $objeto->get_hora_inicio(),
		"hora_termino", $objeto->get_hora_termino(),
		"nro_sobre", $objeto->get_nro_sobre(),
		"nombre_paciente", $objeto->get_nombre_paciente(),
		"estado", $objeto->get_estado(),
		"observacion", $objeto->get_observacion(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"id_maquina", $objeto->get_id_maquina(),
		"id_vale_venta", $objeto->get_id_vale_venta(),
		"ex4", $objeto->get_ex4(),
		"ex5", $objeto->get_ex5(),
		"ex6", $objeto->get_ex6(),
		"ex7", $objeto->get_ex7(),
		"ex8", $objeto->get_ex8(),
		"id_reserva", $objeto->get_id_reserva());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarReserva_laboratorio_BD($id_reserva){
		global $conn;
		$query = expandir("ELIMINAR_RESERVA_LABORATORIO_BD",
		"id_reserva", $id_reserva
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadReserva_laboratorio_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_RESERVA_LABORATORIO_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
