<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Solicitudes_insumos_BD_Fachada {

function &getListadoSolicitudes_insumos_BD($filtro,$extra)
	{
		validar_tabla_db("Solicitudes_insumos");
		$extra_var = get_extra_var("SOLICITUDES_INSUMOS");
		$query = make_query("solicitudes_insumos", $filtro, $extra, $extra_var);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarSolicitudes_insumos_BD($objeto){
		validar_tabla_db("Solicitudes_insumos");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_SOLICITUDES_INSUMOS_BD",
		"id_usuario", $objeto->get_id_usuario(),
		"estado", $objeto->get_estado(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"observacion", $objeto->get_observacion(),
		"fecha_recepcion", $objeto->get_fecha_recepcion(),
		"id_usuario_recepcion", $objeto->get_id_usuario_recepcion(),
		"fecha", $objeto->get_fecha());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarSolicitudes_insumos_BD(Solicitudes_insumos_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_SOLICITUDES_INSUMOS_BD",
		"fecha", $objeto->get_fecha(),
		"id_usuario", $objeto->get_id_usuario(),
		"estado", $objeto->get_estado(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"observacion", $objeto->get_observacion(),
		"fecha_recepcion", $objeto->get_fecha_recepcion(),
		"id_usuario_recepcion", $objeto->get_id_usuario_recepcion(),
		"id_solicitud_insumo", $objeto->get_id_solicitud_insumo());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarSolicitudes_insumos_BD($id_solicitud_insumo){
		global $conn;
		$query = expandir("ELIMINAR_SOLICITUDES_INSUMOS_BD",
		"id_solicitud_insumo", $id_solicitud_insumo
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadSolicitudes_insumos_BD($filtro){
		validar_tabla_db("Solicitudes_insumos");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_SOLICITUDES_INSUMOS_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
