<?

//------------------------------------------------------------------------------
//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Sub_centro_costo_Fachada {

	function &getListadoSub_centro_costo($filtro,$extra)

	{
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}

		
		
		$query = expandir("GET_LISTADO_SUB_CENTRO_COSTO",
		"where",	$where
		);

		//debug($query);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);


		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_sub_centro_costo = $RecordSet -> Fields("id_sub_centro_costo");
			$id_sub_centro_costo_padre = $RecordSet -> Fields("id_sub_centro_costo_padre");
			$id_centro_costo = $RecordSet -> Fields("id_centro_costo");
			$clasificacion = $RecordSet -> Fields("clasificacion");
			$nivel = $RecordSet -> Fields("nivel");
			$formato_nivel = $RecordSet -> Fields("formato_nivel");
			$codigo = $RecordSet -> Fields("codigo");
			$codigo_unitario = $RecordSet -> Fields("codigo_unitario");
			$nombre = $RecordSet -> Fields("nombre");
			$descripcion = $RecordSet -> Fields("descripcion");
			$ultimo_nivel = $RecordSet -> Fields("ultimo_nivel");

			$temp = new Sub_centro_costo ($id_sub_centro_costo_padre, $id_centro_costo, $clasificacion, $nivel, $formato_nivel, $codigo, $codigo_unitario, $nombre, $descripcion, $ultimo_nivel, $id_sub_centro_costo);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getSub_centro_costo($id_sub_centro_costo)
	{
		global $conn;
		$query = expandir("GET_SUB_CENTRO_COSTO",
		"id_sub_centro_costo", $id_sub_centro_costo
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_sub_centro_costo = $RecordSet -> Fields("id_sub_centro_costo");
		$id_sub_centro_costo_padre = $RecordSet -> Fields("id_sub_centro_costo_padre");
		$id_centro_costo = $RecordSet -> Fields("id_centro_costo");
		$clasificacion = $RecordSet -> Fields("clasificacion");
		$nivel = $RecordSet -> Fields("nivel");
		$formato_nivel = $RecordSet -> Fields("formato_nivel");
		$codigo = $RecordSet -> Fields("codigo");
		$codigo_unitario = $RecordSet -> Fields("codigo_unitario");
		$nombre = $RecordSet -> Fields("nombre");
		$descripcion = $RecordSet -> Fields("descripcion");
		$ultimo_nivel = $RecordSet -> Fields("ultimo_nivel");


		$temp = new Sub_centro_costo ($id_sub_centro_costo_padre, $id_centro_costo, $clasificacion, $nivel, $formato_nivel, $codigo, $codigo_unitario, $nombre, $descripcion, $ultimo_nivel, $id_sub_centro_costo);
		return $temp;
	}


	function &guardarSub_centro_costo($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_SUB_CENTRO_COSTO",
		"id_centro_costo", $objeto->id_centro_costo,
		"clasificacion", $objeto->clasificacion,
		"nivel", $objeto->nivel,
		"formato_nivel", $objeto->formato_nivel,
		"codigo", $objeto->codigo,
		"codigo_unitario", $objeto->codigo_unitario,
		"nombre", $objeto->nombre,
		"descripcion", $objeto->descripcion,
		"ultimo_nivel", $objeto->ultimo_nivel,
		"id_sub_centro_costo_padre", $objeto->id_sub_centro_costo_padre);

		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();


	}

	function &actualizarSub_centro_costo($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_SUB_CENTRO_COSTO",
		"id_sub_centro_costo_padre", $objeto->id_sub_centro_costo_padre,
		"id_centro_costo", $objeto->id_centro_costo,
		"clasificacion", $objeto->clasificacion,
		"nivel", $objeto->nivel,
		"formato_nivel", $objeto->formato_nivel,
		"codigo", $objeto->codigo,
		"codigo_unitario", $objeto->codigo_unitario,
		"nombre", $objeto->nombre,
		"descripcion", $objeto->descripcion,
		"ultimo_nivel", $objeto->ultimo_nivel,
		"id_sub_centro_costo", $objeto->id_sub_centro_costo);

		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &eliminarSub_centro_costo($id_sub_centro_costo){
		global $conn;
		$query = expandir("ELIMINAR_SUB_CENTRO_COSTO",
		"id_sub_centro_costo", $id_sub_centro_costo
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}


}//Fin Clase
?>
