<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Tecnico_BD_Fachada {

function &getListadoTecnico_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	if ($extra["query"]){
		$query = expandir($extra["query"],
		"where", $where
		);
	}else{
	$query = expandir("GET_LISTADO_TECNICO_BD",
	"where", $where
	);
	}
	
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_tecnico = $RecordSet -> Fields("id_tecnico");
		$nombre = $RecordSet -> Fields("nombre");
		$id_sucursal = $RecordSet -> Fields("id_sucursal");
		$estado = $RecordSet -> Fields("estado");
		$observacion = $RecordSet -> Fields("observacion");
		$clave = $RecordSet -> Fields("clave");
		$ex1 = $RecordSet -> Fields("ex1");
		$ex2 = $RecordSet -> Fields("ex2");
		$ex3 = $RecordSet -> Fields("ex3");
		$ex4 = $RecordSet -> Fields("ex4");
		$ex5 = $RecordSet -> Fields("ex5");
		$ex6 = $RecordSet -> Fields("ex6");
		$ex7 = $RecordSet -> Fields("ex7");
		$ex8 = $RecordSet -> Fields("ex8");
		$ex9 = $RecordSet -> Fields("ex9");
		
		$temp = new Tecnico_BD ($nombre, $id_sucursal, $estado, $observacion, $clave, $ex1, $ex2, $ex3, $ex4, $ex5, $ex6, $ex7, $ex8, $ex9, $id_tecnico);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getTecnico_BD($id_tecnico)
	{
		global $conn;
		$query = expandir("GET_TECNICO_BD",
		"id_tecnico", $id_tecnico
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_tecnico = $RecordSet -> Fields("id_tecnico");
	$nombre = $RecordSet -> Fields("nombre");
	$id_sucursal = $RecordSet -> Fields("id_sucursal");
	$estado = $RecordSet -> Fields("estado");
	$observacion = $RecordSet -> Fields("observacion");
	$clave = $RecordSet -> Fields("clave");
	$ex1 = $RecordSet -> Fields("ex1");
	$ex2 = $RecordSet -> Fields("ex2");
	$ex3 = $RecordSet -> Fields("ex3");
	$ex4 = $RecordSet -> Fields("ex4");
	$ex5 = $RecordSet -> Fields("ex5");
	$ex6 = $RecordSet -> Fields("ex6");
	$ex7 = $RecordSet -> Fields("ex7");
	$ex8 = $RecordSet -> Fields("ex8");
	$ex9 = $RecordSet -> Fields("ex9");
	
	
	$temp = new Tecnico_BD ($nombre, $id_sucursal, $estado, $observacion, $clave, $ex1, $ex2, $ex3, $ex4, $ex5, $ex6, $ex7, $ex8, $ex9, $id_tecnico);
	return $temp;
	}
	
	
	function &guardarTecnico_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_TECNICO_BD",
		"id_sucursal", $objeto->get_id_sucursal(),
		"estado", $objeto->get_estado(),
		"observacion", $objeto->get_observacion(),
		"clave", $objeto->get_clave(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"ex4", $objeto->get_ex4(),
		"ex5", $objeto->get_ex5(),
		"ex6", $objeto->get_ex6(),
		"ex7", $objeto->get_ex7(),
		"ex8", $objeto->get_ex8(),
		"ex9", $objeto->get_ex9(),
		"nombre", $objeto->get_nombre());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarTecnico_BD(Tecnico_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_TECNICO_BD",
		"nombre", $objeto->get_nombre(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"estado", $objeto->get_estado(),
		"observacion", $objeto->get_observacion(),
		"clave", $objeto->get_clave(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"ex4", $objeto->get_ex4(),
		"ex5", $objeto->get_ex5(),
		"ex6", $objeto->get_ex6(),
		"ex7", $objeto->get_ex7(),
		"ex8", $objeto->get_ex8(),
		"ex9", $objeto->get_ex9(),
		"id_tecnico", $objeto->get_id_tecnico());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarTecnico_BD($id_tecnico){
		global $conn;
		$query = expandir("ELIMINAR_TECNICO_BD",
		"id_tecnico", $id_tecnico
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadTecnico_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_TECNICO_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
