<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Traspaso_inventario_BD_Fachada {

function &getListadoTraspaso_inventario_BD($filtro,$extra)
	{
		$extra_var = get_extra_var("TRASPASO_INVENTARIO");
		$query = make_query("traspaso_inventario", $filtro, $extra, $extra_var);
//		debug($query);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarTraspaso_inventario_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_TRASPASO_INVENTARIO_BD",
		"id_bodega_hasta", $objeto->get_id_bodega_hasta(),
		"id_usuario", $objeto->get_id_usuario(),
		"fecha_traspaso", $objeto->get_fecha_traspaso(),
		"observacion", $objeto->get_observacion(),
		"estado", $objeto->get_estado(),
		"fecha_envio", $objeto->get_fecha_envio(),
		"id_usuario_envio", $objeto->get_id_usuario_envio(),
		"tipo", $objeto->get_tipo(),
		"id_bodega_desde", $objeto->get_id_bodega_desde());
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarTraspaso_inventario_BD(Traspaso_inventario_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_TRASPASO_INVENTARIO_BD",
		"id_bodega_desde", $objeto->get_id_bodega_desde(),
		"id_bodega_hasta", $objeto->get_id_bodega_hasta(),
		"id_usuario", $objeto->get_id_usuario(),
		"fecha_traspaso", $objeto->get_fecha_traspaso(),
		"observacion", $objeto->get_observacion(),
		"estado", $objeto->get_estado(),
		"fecha_envio", $objeto->get_fecha_envio(),
		"id_usuario_envio", $objeto->get_id_usuario_envio(),
		"tipo", $objeto->get_tipo(),
		"id_traspaso_inventario", $objeto->get_id_traspaso_inventario());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarTraspaso_inventario_BD($id_traspaso_inventario){
		global $conn;
		$query = expandir("ELIMINAR_TRASPASO_INVENTARIO_BD",
		"id_traspaso_inventario", $id_traspaso_inventario
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadTraspaso_inventario_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_TRASPASO_INVENTARIO_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	

	function &getSaldoTraspaso_inventario_BD($id_traspaso_inventario){
		global $conn;
		$query = expandir("GET_SALDO_TRASPASO_INVENTARIO_BD",
		"id_traspaso_inventario", $id_traspaso_inventario
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
		$saldo = $RecordSet -> Fields("saldo");
		return $saldo;
		
	}

	
	}//Fin Clase
?>
