<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Tratamientos_cotizacion_BD_Fachada {

function &getListadoTratamientos_cotizacion_BD($filtro,$extra)
	{
		validar_tabla_db("Tratamientos_cotizacion");
		$extra_var = get_extra_var("TRATAMIENTOS_COTIZACION");
		$query = make_query("tratamientos_cotizacion", $filtro, $extra, $extra_var);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarTratamientos_cotizacion_BD($objeto){
		validar_tabla_db("Tratamientos_cotizacion");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_TRATAMIENTOS_COTIZACION_BD",
		"id_tratamiento", $objeto->get_id_tratamiento(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"id_detalle_cotizacion", $objeto->get_id_detalle_cotizacion());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarTratamientos_cotizacion_BD(Tratamientos_cotizacion_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_TRATAMIENTOS_COTIZACION_BD",
		"id_detalle_cotizacion", $objeto->get_id_detalle_cotizacion(),
		"id_tratamiento", $objeto->get_id_tratamiento(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"id_tratamiento_cotizacion", $objeto->get_id_tratamiento_cotizacion());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarTratamientos_cotizacion_BD($id_tratamiento_cotizacion){
		global $conn;
		$query = expandir("ELIMINAR_TRATAMIENTOS_COTIZACION_BD",
		"id_tratamiento_cotizacion", $id_tratamiento_cotizacion
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadTratamientos_cotizacion_BD($filtro){
		validar_tabla_db("Tratamientos_cotizacion");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_TRATAMIENTOS_COTIZACION_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
