<?
require_once("sajax.php");

function get_controles()
{
	$clog_controles = new Controlador_Logico_Op_control_faena();
	$clog_clientes = new Controlador_Logico_Param_clientes();
	$clog_servicios = new Controlador_Logico_Param_tipos_servicios();
	$clog_especies = new Controlador_Logico_Param_especies();
	$controles = $clog_controles->getListadoOp_control_faena("","");
	
	$result = "<table border='1'>";
	$row = "<tr>";
	$endrow = "</tr>";	
	$col = "<td>";
	$endcol = "</td>";
	$count = 0;
	
	foreach ($controles as $control)
	{
		$key_servicio = $control->get_Cod_Tipo_Servicio();
		$filtro_servicio["Cod_Tipo_Servicio"] = $key_servicio;
		$lista_servicios = $clog_servicios->getListadoParam_tipos_servicios($filtro_servicio,"");
		if($lista_servicios)
		{
			$str_servicio = $lista_servicios[0]->get_Descripcion();	
		}else{
			$str_servicio = "servicio removido";
		}
		
		$str_servicio .= " de ";
		
		$key_especie = $control->get_Cod_Especie();
		$filtro_especie["Cod_Especie"] = $key_especie;
		$lista_especies = $clog_especies->getListadoParam_especies($filtro_especie,"");
		if($lista_especies){
			
			$str_servicio .=$lista_especies[0]->get_Nombre_comun();
		}else{
			
			$str_servicio .= "especie removida";
		}
		
		
		$key_cliente = $control->get_Id_Cliente();
		$cliente = $clog_clientes->getParam_clientes($key_cliente);
		if($cliente)
		{
			$razon_social = $cliente->get_Razon_social();
		}else{
			
			 $razon_social = "Cliente no encontrado";
		}
		
		
		$result .= $row;
		$result .= $col.$control->get_Nro_Control_Faena().$endcol;
		$result .= $col.$control->get_Nro_OT().$endcol;		
		$result .= $col.$str_servicio.$endcol;
		$result .=$col.$razon_social.$endcol;
		$result .=$endrow;	
		
		$count ++;	
		
		//------- contador para mostrar 10 controles (la demora es proporcional al numero de controles)
		
		if($count >15)
		{
			$result .= "</table>";
	
			return $result;
		}
	}
	
	
	
	
}
//--------------------Funciones Mostrar Control Faena------------------
function obtener_cliente_ot($nro_ot){
	
	$clog_ot = new Controlador_Logico_Vta_ordenes_trabajo();
	$filtro_nro_ot["Nro_OT"] = $nro_ot;	
	$ot = $clog_ot->getListadoVta_ordenes_trabajo($filtro_nro_ot,"");
	if($ot)
	{
		$id_cliente = $ot[0]->get_Id_Cliente();
		$clog_cliente = new Controlador_Logico_Param_clientes();
		$cliente = $clog_cliente->getParam_clientes($id_cliente);
		$faena = $ot[0]->get_Faena();
		$combobox = obtener_servicios_ot($nro_ot);
		if($cliente)
		{
			$razon_social = $cliente->get_Razon_social();
			$telefono_cliente = $cliente->get_Telefono();
		
		}else 
		{
			$razon_social = "Cliente no Existe en la Base de Datos";
			$telefono_cliente = "";
		}
		
	}else{
		
		$faena = "NUMERO ORDEN DE TRABAJO INVALIDO";
		$razon_social = "";
		$telefono_cliente = "";
		
	}
		
	return ($faena."#".$razon_social."#".$telefono_cliente."#".$combobox);		
}

function obtener_servicios_ot($nro_ot){
	
	$clog_detalles_ot = new Controlador_Logico_Vta_detalle_ordenes_trabajo();
	$filtro_nro_ot["Nro_OT"] = $nro_ot;	
	$detalle_ot = $clog_detalles_ot->getListadoVta_detalle_ordenes_trabajo($filtro_nro_ot);
	$clog_servicios = new Controlador_Logico_Param_tipos_servicios();
	$clog_especies = new Controlador_Logico_Param_especies();
	$combo_servicios = "<select>";
	foreach ($detalle_ot as $servicio)
	{
		$str = "<option value =";
		$str .=$nro_ot;
		$str .= ">";
		
		$key_servicio = $servicio->get_Cod_Tipo_Servicio();
		$filtro_servicio["Cod_Tipo_Servicio"] = $key_servicio;
		$lista_servicios = $clog_servicios->getListadoParam_tipos_servicios($filtro_servicio,"");
		$str .= $lista_servicios[0]->get_Descripcion();
		$str .= " de ";
		
		$key_especie = $servicio->get_Cod_Especie();
		$filtro_especie["Cod_Especie"] = $key_especie;
		$lista_especies = $clog_especies->getListadoParam_especies($filtro_especie,"");
		$str .=$lista_especies[0]->get_Nombre_comun();
		
		$str .= "</option>";

		$combo_servicios .= $str;	
		
	}
	$combo_servicios .= "</select>";

	return $combo_servicios;
	
}
sajax_export("obtener_cliente_ot");
sajax_export("get_controles");
?>