<?
require_once("sajax.php");
include_once("validate_session.php");

function getValoresAtributos($value,$id_subfamilia_componente,$id_familia_componente)
{
    if($value != ""){
     $clog_atributos = new Controlador_Logico_Vtaop_atributo_componente();
     $clog_atributos_familia = new Controlador_Logico_Vtaop_atributo_familia();
     $clog_detalle_componente = new Controlador_Logico_Vtaop_detalle_componente();
     $clog_detalle_familia_componente = new Controlador_Logico_Vtaop_detalle_familia_componente();
     
    $filtro_atributo_componente["id_subfamilia_componente"] = $id_subfamilia_componente;
	$filtro_atributo_familia_componente["id_familia_componente"] = $id_familia_componente;
	
	$listado_atributo_componente = $clog_atributos->getListadoVtaop_atributo_componente($filtro_atributo_componente);
	$listado_atributo_familia_componente = $clog_atributos_familia->getListadoVtaop_atributo_familia($filtro_atributo_familia_componente);
	$key = 0;
	$atributo = "<select name=valor_filtro >";
	foreach ($listado_atributo_familia_componente as $atributo_familia) {
	    
		if($atributo_familia->get_nombre() == $value){
			$filtro_valor_atributo_familia["id_atributo_familia"] = $atributo_familia->get_id_atributo_familia();
		}else{
			$filtro_valor_atributo_familia["id_atributo_familia"] = 0;
		}
		$atributo_componente = $clog_detalle_familia_componente->getListadoVtaop_detalle_familia_componente($filtro_valor_atributo_familia);
		
		if($atributo_componente){
			
			foreach ($atributo_componente as $detalle_atributo) {
				$atributo.= "<option label=\"\" value=".$detalle_atributo->get_valor().">".$detalle_atributo->get_valor()."</option>" ;
			}
			
		}
		$key++;
	}
		$atributo .= "</select>";
    	return $atributo;
    	
    }else{
    	return "<select name=valor_filtro><option label=\"\" value=0>Seleccione Atributo</option></select>";
    }
	 
}
function nombre_autoriza($id_usuario){
	
	
	$usuario = Usuario_getUsuario($id_usuario);
	If($usuario){
		$nombre = $usuario->get_nombre()." ".$usuario->get_apellido();
	}
	return $nombre;
}
function matrizFiltrada($valor,$llave){
	
	session_start();
	//debug($_SESSION);
	$var1 = str_replace("#"," ",$valor);
	$var2 = str_replace("#"," ",$llave);
	$filtro[$llave] = $valor;
	$matriz = $_SESSION["componente"];
	return $matriz->dibuja_matriz($filtro);
	
}
function editarNroOth($id_oth,$oth){
	$filtro_solicitud["numero_solicitud"] = $oth;
	$solicitud = Solicitud_cotizacion_getListadoSolicitud_cotizacion($filtro_solicitud);
	if($solicitud){
		return 0;
	}else{
		$solicitud = Solicitud_cotizacion_getSolicitud_cotizacion($id_oth);
		if($solicitud){
			$solicitud->set_numero_solicitud($oth);
			Solicitud_cotizacion_actualizarSolicitud_cotizacion($solicitud);
			return 2;
		}else{
			return 1;
		}
		
	}
}
function getListadoContactos($id_area_cliente){
	$filtro_contactos["id_area_trabajo"] = $id_area_cliente;

	$contactos = Contacto_getListadoContacto($filtro_contactos);
	if($contactos){
			$combo_contactos = ": <select name=\"id_contacto\" onchange=\"limpiarContactoNuevo\">";
			$combo_contactos.= "<option label=\"\" value=0>Seleccionar Contacto</option>" ;
			foreach ($contactos as $contacto) {
				$combo_contactos.= "<option label=\"\" value=".$contacto->get_id_contacto().">".$contacto->get_nombre()."</option>" ;
			}
			
			$combo_contactos .= "</select>";
    	return $combo_contactos;
	}else{
		
		return ": <b>No existen contactos asociados</b>";
	}
}

function getListadoComponentes($id_bodega){

	$filtro_inventario["id_bodega"] = $id_bodega;
	$listado_inventario	= Inventario_getListadoInventario_toma($filtro_inventario, $extra_inventario);

	if($listado_inventario){
			$combo_componentes = " <select name=\"id_componente\" onchange=\"deshabilita3()\">";
			$combo_componentes.= "<option label=\"\" value=''>Otro...</option>" ;
			foreach ($listado_inventario as $inventario) {
				if ($inventario->get_stock_actual() > 0)
					$combo_componentes.= "<option label=\"\" value=".$inventario->get_id_producto().">".$inventario->nombre_producto."</option>" ;

			}
			
			$combo_componentes .= "</select>";
    	return $combo_componentes;
	}else{
		
		return ": <b>No existen componentes asociados</b>";
	}
}


function getListadoAreas($id_cliente){
	$clog_Vtaop_area_trabajo = new Controlador_Logico_Vtaop_area_trabajo();
	$filtro_vtaop_area_trabajo["id_cliente_proveedor"] = $id_cliente;


	$areas = $clog_Vtaop_area_trabajo->getListadoVtaop_area_trabajo($filtro_vtaop_area_trabajo, null);

	if($areas){
			$combo_areas = ": <select name=\"id_area_cliente\" onchange=\"getListadoContactos(this.value)\">";
			$combo_areas.= "<option label=\"\" value=0>Seleccionar Area</option>" ;
			foreach ($areas as $area) {
				$combo_areas.= "<option label=\"\" value=".$area->get_id_area_trabajo().">".$area->get_descripcion()."</option>" ;
			}
			
			$combo_areas .= "</select>";
    	return $combo_areas;
	}else{
		
		return ": <b>No existen reas asociadas</b>";
	}
}

function buscar_actividad($id_actividad)
{	
		$actividad = Actividad_getActividad($id_actividad);
		if ($actividad)
			return  $actividad->hh_estimadas;
		else
			return "0";
}

function getOrdenservicio($id_orden_servicio)
{

	if ($id_orden_servicio <> "")
	{
		$clog_Vtaop_ordenes_servicio_cliente = new Controlador_Logico_Vtaop_ordenes_servicio_cliente();
		
		$filtro_vtaop_ordenes_servicio_cliente["nro_orden_servicio"] = $id_orden_servicio;
		$listado_vtaop_ordenes_servicio_cliente = $clog_Vtaop_ordenes_servicio_cliente->getListadoVtaop_ordenes_servicio_cliente($filtro_vtaop_ordenes_servicio_cliente);

		if ($listado_vtaop_ordenes_servicio_cliente) 
				$texto = $listado_vtaop_ordenes_servicio_cliente[0]->descripcion;
		else
				$texto = "No encontrado";			
	}
		return $texto;
}
	

function getSolicitud($id_solicitud){
	$solicitud = Solicitud_cotizacion_getSolicitud_cotizacion($id_solicitud);	
	if ($solicitud){
		$json = new Services_JSON();
		$cliente = Cliente_getCliente($solicitud->id_cliente);
		if($cliente){
			$array_solicitud_cliente[0] = $cliente;
			$array_solicitud_cliente[1] = $solicitud;
		}else{
			$array_solicitud_cliente[0] = $solicitud;
		}
		$sol_script = $json->encode($array_solicitud_cliente);
		return $sol_script;
	}else{

		return "No existe Solicitud";
	}
}

sajax_export("matrizFiltrada");
sajax_export("getListadoContactos");
sajax_export("getListadoAreas");
sajax_export("getListadoComponentes");
sajax_export("getOrdenservicio");
sajax_export("buscar_actividad");
sajax_export("editarNroOth");
sajax_export("getValoresAtributos");
sajax_export("nombre_autoriza");
sajax_export("getSolicitud");
?>