<?php

function encodeText($_str) {
  $_str = strip_tags($_str);
  $_str = trim($_str);
  $_str = htmlentities($_str);
  $_str = str_replace("\r\n", "<BR>", $_str);
  return($_str);
}

function rc4($key, $str) 
{
	$crypt  = RC4::encrypt($key, $str);
	return(bin2hex($crypt));
}

function get_filtro($f){
	foreach ($f as $key => $item){
		if (substr($key, 0, 4) == "flt_"){
			$key = substr($key, 4);
			$filtro[$key]=$item;
			if (strstr($key, "fecha")) $filtro[$key]=convertirFecha_fechabd($item);	
		}
	}
	return $filtro;
}

function get_extra_var($tabla){
	global $MAPEOS;
	return $MAPEOS[$tabla];
}
function format_rut_php($val) {
	$rut = $val;
	//debug($rut);
	if (strlen($rut) > 6) {
		$rut = number_format($rut, 0, ',', '.').substr($rut, -2, 2);
		if (strlen($rut) < 12)
			$rut = "0".$rut;
		return $rut;
	} else {
		return "- -";
	}
}

function get_proximo_correlativo($td){
		$clog_Cont_corr_doc = new Controlador_Logico_Cont_correlativo_documento();
		
		$filtro["tipo_documento"] = $td;
		$extra["order"] = "correlativo desc"; 
		$listado_dv = Documento_venta_getListadoDocumento_venta($filtro, $extra);	
		//--> REHACER BIEN  MSK 0509
		/*
		$clog_conformidad = new Controlador_Logico_Conformidad();
		$extra_conformidad["order"] = "correlativo";
		$extra_conformidad["sort"] = "DESC";
		$listado_conformidad = $this->getListadoConformidad(null,$extra_conformidad);
		*/
		
		if ($listado_dv)
			return ($listado_dv[0]->correlativo+1);
		else
			return 1;
}
function convertir_money($nro){
	$number = $nro;	
	$decimals = "0";
	$decpoint= ".";
	$thousandsep=".";	
	
	return "$" . number_format($number, $decimals, $decpoint, $thousandsep);
}

function to_string($object){
	$str = "";
	foreach ($object as $key => $value){
		$tok = strtok ($key, "_");
		
		$ok = true;
		switch ($tok) {
			case "id":		$ok = false;	break;		
			case "to":		$ok = false;	break;		
			case "estado":	$ok = false;	break;		
			
		}
		
		
		if ($ok){
			
			if ($tok == "fecha") {$value = miniFecha($value);}
			
			$nombre = ucfirst(str_replace("_", " ", $key));
			$str .= $nombre . ": <strong>" . $value . "</strong><br>";
		}		
	}		
	return $str;
}

function make_query($tabla, $filtro, $extra, $extra_var){
	if (!$filtro){
		$where = "";
	}else{
		$where = "WHERE ";
		$count = 0;
		foreach ($filtro as $key => $item)
		{
			if (is_array($item)){
				$count2 = 0;
				
				$where .= "(";
				foreach ($item as $key2 => $x){
					$where .= (!stripos($key, "."))?"$tabla.$key LIKE '$x'":"$key LIKE '$x'";
					$count2++;
					if ($count2 < sizeof($item)) $where .= " OR ";
				}
				$where .= ")";
			}else{
				$op = "LIKE";
				
				if (substr($key,0,1) == "!"){
					$op = "!=";
					$key = substr($key,1);
				}

				if (substr($key,0,1) == ">"){
					$op = ">";
					$key = substr($key,1);
				}
				
				if (substr($key,0,1) == "<"){
					$op = "<";
					$key = substr($key,1);
				}
				
				if (substr($key,0,1) == ">="){
					$op = ">=";
					$key = substr($key,2);
				}
				
				if (substr($key,0,1) == "<="){
					$op = "<=";
					$key = substr($key,2);
				}
				
				
				//$where .= "$tabla.$key $op '$item'";
				$where .= (!stripos($key, "."))?"$tabla.$key $op '$item'":"$key $op '$item'";
			}
			
			if ($count < sizeof($filtro)-1)
				$where .= " AND ";
			$count++;
		}
	}
	
	foreach ($extra_var as $key => $value){
		$arr = explode("|", $value);
		
		$nombre_tabla 	= $arr[0];
		$nombre_campo 	= $arr[1];
		$id_interno 	= $arr[2];
		$id_externo 	= $arr[3];
		$alias			= $arr[4];
		
		if (!$id_externo) $id_externo = $id_interno;
		if (!$alias) $alias = $nombre_tabla;
		
		$q_var_extras 	.= ", $alias.$nombre_campo AS $key";
		
//		debug(strchr($id_interno,"."));
		if (strchr($id_interno,".")){
			$q_var_link		.= "$id_interno = $alias.$id_externo \n AND ";
		}else{
			$q_var_link		.= "$tabla.$id_interno = $alias.$id_externo \n AND ";
		}	
		
		// Verifica todas las tablas nuevas a incluir en la query
		if ($alias) $nombre_tabla = $nombre_tabla."|".$alias;
		if (!in_array($nombre_tabla, $tablas_extras)){$tablas_extras[] = $nombre_tabla;}

		
	}
	
	foreach ($tablas_extras as $t){
		if(strstr($t, "|")){
			$arr = explode("|", $t);
			$q_tablas_extras .= ", " . $arr[0] . " as " . $arr[1];
		}else{
			$q_tablas_extras .= ", " . $t;	
		}
		
	}
	
	
	$q_var_link = substr($q_var_link,0,-4);
	
	if (($where) and ($q_var_link)) $q_var_link = " AND " . $q_var_link;
	$where .= $q_var_link;
	
	if (($where) and (substr($where, 0, 5) !== "WHERE")) $where = "WHERE " . $where;
	
	//Extras de la Querie
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}

	if ($extra["rango_fecha"]){
		$where .= $extra["rango_fecha"]." ";
	}
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
		if ($extra["desde"]){
			$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
		}else{
			$where .= " LIMIT ".$extra["limit"];
		}
	}else{
		if ($extra["desde"]){
			$where .= " LIMIT ".$extra["desde"].",0";
		}
	}
	
	
	

	$q = "
		SELECT DISTINCT $tabla.* $q_var_extras
		FROM $tabla $q_tablas_extras
		$where
	";

	
	return $q;
	
}

function make_query_flex($tabla, $filtro, $extra, $extra_var){
	
	//debug($filtro);
	if (!$filtro){
		$where = "";
	}else{
		$where = "WHERE ";
		$count = 0;
		foreach ($filtro as $key => $item)
		{
			if (is_array($item)){
				$count2 = 0;
				
				$where .= "(";
				foreach ($item as $key2 => $x){
					$where .= "$tabla.$key LIKE '$x'";
					$count2++;
					if ($count2 < sizeof($item)) $where .= " OR ";
				}
				$where .= ")";
			}else{
				$op = "LIKE";
				if (substr($key,0,1) == "!"){
					$op = "!=";
					$key = substr($key,1);
				}
				$where .= "$tabla.$key $op '$item'";
			}
			
			if ($count < sizeof($filtro)-1)
				$where .= " AND ";
			$count++;
		}
	}
	
	foreach ($extra_var as $key => $value){
		$arr = explode("|", $value);
		
		$nombre_tabla 	= $arr[0];
		$nombre_campo 	= $arr[1];
		$id_interno 	= $arr[2];
		$id_externo 	= $arr[3];
		$alias			= $arr[4];
		
		if (!$id_externo) $id_externo = $id_interno;
		if (!$alias) $alias = $nombre_tabla;
		
		$q_var_extras 	.= ", $alias.$nombre_campo AS $key";
		$q_var_link		.= "$tabla.$id_interno = $alias.$id_externo AND ";
		
		
		
		// Verifica todas las tablas nuevas a incluir en la query
		if ($alias) $nombre_tabla = $nombre_tabla."|".$alias;
		if (!in_array($nombre_tabla, $tablas_extras)){$tablas_extras[] = $nombre_tabla;}

		
	}
	
	foreach ($tablas_extras as $t){
		if(strstr($t, "|")){
			$arr = explode("|", $t);
			$q_tablas_extras .= ", " . $arr[0] . " as " . $arr[1];
		}else{
			$q_tablas_extras .= ", " . $t;	
		}
		
	}
	
	$q_var_link = substr($q_var_link,0,-4);
	
	if (($where) and ($q_var_link)) $q_var_link = " AND " . $q_var_link;
	$where .= $q_var_link;
	if (substr($where, 0, 5) != "WHERE" && $where != "") $where = "WHERE " . $where;

	if ($extra["rango_fecha"]){
			$where .= $extra["rango_fecha"];
	}

	//Extras de la Querie
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
		if ($extra["desde"]){
			$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
		}else{
			$where .= " LIMIT ".$extra["limit"];
		}
	}else{
		if ($extra["desde"]){
			$where .= " LIMIT ".$extra["desde"].",0";
		}
	}
	
	
	
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	

	$q = "
		SELECT * $q_var_extras
		FROM $tabla $q_tablas_extras
		$where
	";

	
	return $q;
}


function exec_query($query){
	global $conn;

	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);

	if ($RecordSet){
		while (!$RecordSet -> EOF) {
			$listado_campos = $RecordSet->fields;
			foreach ($listado_campos as $campo => $valor){
				if (!is_numeric($campo)){
					$temp[$campo] = $valor;
				}
			}
			$vector[] = $temp;
			$RecordSet -> MoveNext();
		}	
		
		return $vector;	
	}

	return null;
	
}


function exec_query_flex($query)
{
	global $conn_flex;
	$conn_flex =& ADONewConnection('odbc');
	$conn_flex->Connect("optica");

	$conn_flex -> debug = CONN_DEBUG;
	$RecordSet = &$conn_flex -> Execute($query);

	if ($RecordSet)
	{
		while (!$RecordSet -> EOF) 
		{
			$listado_campos = $RecordSet->fields;
			foreach ($listado_campos as $campo => $valor)
			{
					$temp[$campo] = $valor;
			}
			$vector[] = $temp;
			$RecordSet -> MoveNext();
		}	
		$conn_flex->Close();
		return $vector;	
	}
	$conn_flex->Close();
	return false;	

}

function format_array_combobox($arr, $id, $name1, $id_padre, $conector, $name2, $fin){
	$array_tmp = null;
	
	$name1_mod = "get_".$name1;
	$name2_mod = "get_".$name2;
	
	$id_mod = "get_".$id;
	
	$id_padre_mod = "get_".$id_padre;
	
	//debug($id_mod);
		
	foreach ($arr as $item){

		$temp["id"] 		= $item->$id_mod();
		if ($name2)
			$temp["name"] 		= $item->$name1_mod() . $conector . $item->$name2_mod() . $fin;
		else
			$temp["name"] 		= $item->$name1_mod();
		if ($id_padre)
			$temp["id_padre"] 	= $item->$id_padre_mod();
		$array_tmp[] = $temp;
	}

	return $array_tmp;
}
function format_array_combobox2($arr, $id, $name1, $id_padre, $conector, $name2, $name3, $fin){
	$array_tmp = null;
	
	$name1_mod = "get_".$name1;
	$name2_mod = "get_".$name2;
	$name3_mod = "get_".$name3;

	$id_mod = "get_".$id;
	
	$id_padre_mod = "get_".$id_padre;
	
	//debug($id_mod);
		
	foreach ($arr as $item){

		$temp["id"] 		= $item->$id_mod();
		if ($name3)
			$temp["name"] 		= $item->$name1_mod() . $conector . $item->$name2_mod(). $fin . " ". $item->$name3_mod();
		else
		if ($name2)
			$temp["name"] 		= $item->$name1_mod() . $conector . $item->$name2_mod() . $fin ;
		else
			$temp["name"] 		= $item->$name1_mod();
		if ($id_padre)
			$temp["id_padre"] 	= $item->$id_padre_mod();
		$array_tmp[] = $temp;
	}

	return $array_tmp;
}


function get_id_usuario(){
	$user = $_SESSION["usuario"];
	if ($user){
		return $user->get_id_usuario();
	}
	else {
		return 0;
	}
}

function makebarcode($codigo_barra){
	if (is_numeric($codigo_barra)){
		$codigo_barra = sprintf("%s",$codigo_barra);
		$codigo_barra = str_pad($codigo_barra,13,"0",STR_PAD_LEFT);
	}else{
		$codigo_barra = "0000000000000";
	}

	return $codigo_barra;
}

function convertirFecha_fechabd($fecha){
	$fecha = explode("/",$fecha);
	return $fecha[2].$fecha[1].$fecha[0];
}

function convertirFechaBD_fecha($fecha){
	return substr($fecha, 6, 2)."/".substr($fecha, 4, 2)."/".substr($fecha, 0, 4);
}

function miniFecha($val){
	$dia = substr($val, 6, 2);
	$mes = substr($val, 4, 2);
	$ao = substr($val, 0, 4);
	$hor = substr($val, 8, 2);
	$min = substr($val, 10, 2);

	if ($hor){
		return $dia."/".$mes."/".$ao. " (".$hor.":".$min.")";
	}


	return $dia."-".$mes."-".$ao;
}

function expandirFecha($val){

	$dia = substr($val, 6, 2);
	$mes = substr($val, 4, 2);
	$ao = substr($val, 0, 4);

	$fecha = getdate(mktime (0,0,0,$mes,$dia,$ao));
	$wdia = $fecha['wday'];

	// Da de la Semana
	switch ($wdia){
		case "1": $tdia = "Lunes";break;
		case "2": $tdia = "Martes";break;
		case "3": $tdia = "Mircoles";break;
		case "4": $tdia = "Jueves";break;
		case "5": $tdia = "Viernes";break;
		case "6": $tdia = "Sbado";break;
		case "0": $tdia = "Domingo";break;
	}

	// Mes
	switch ($mes){
		case "01": $mes = "Enero";break;
		case "02": $mes = "Febrero";break;
		case "03": $mes = "Marzo";break;
		case "04": $mes = "Abril";break;
		case "05": $mes = "Mayo";break;
		case "06": $mes = "Junio";break;
		case "07": $mes = "Julio";break;
		case "08": $mes = "Agosto";break;
		case "09": $mes = "Septiembre";break;
		case "10": $mes = "Octubre";break;
		case "11": $mes = "Noviembre";break;
		case "12": $mes = "Diciembre";break;
	}
	return $tdia." ".$dia." de ".$mes." de ".$ao;
}

function enviarMail($to, $subject, $msg){
	$headers = "From: ITEK Chile <soporte@itekchile.com>\r\n";
	mail($to, $subject, $msg, $headers);
}


function & format_money($val) { return number_format($val, 0, ',', '.'); }

function debug($var){
	echo "<pre>"; var_dump($var); echo "</pre>";
	return 1;
}

function eliminar_pos_arreglo($arreglo,$pos_eliminar){
	for ($i=0,$j=0;$i<sizeof($arreglo);$i++,$j++){
		if($i == $pos_eliminar)
		$i++;
		if ($i<sizeof($arreglo)){
			$arreglo_new[$j] = $arreglo[$i];
		}
	}
	return $arreglo_new;
}


function checkPOST($campo, $msg, $tipo=""){
	if (isset($_POST[$campo])){
		if ($tipo == "num") {
			if (is_numeric($_POST[$campo])) {
				return trim($_POST[$campo]);
			}else{
				return 0;
			}

		}
		return trim($_POST[$campo]);
	}else{
		return $msg;
	}

}

function checkGET($campo, $msg, $tipo=""){
	if (isset($_GET[$campo])){
		if ($tipo == "num") {
			if (is_numeric($_GET[$campo])) {
				return trim($_GET[$campo]);
			}else{
				return 0;
			}

		}
		return trim($_GET[$campo]);
	}else{
		return $msg;
	}

}


function checkARRAY($array, $campo, $msg, $tipo=""){
	if (isset($array[$campo])){
		if ($tipo == "num") {
			if (is_numeric($array[$campo])) {
				return trim($array[$campo]);
			}else{
				return 0;
			}

		}
		return trim($array[$campo]);
	}else{
		return $msg;
	}

}



function expandir($str)
{
	global $queries;
    //debug($str);
	$texto = $queries[$str];

	$numargs = func_num_args();
	for($i=1;$i<$numargs;){
		$patron = "%" . func_get_arg($i++) . "%";
		$reemplazo = func_get_arg($i++);
		$texto = str_replace($patron, $reemplazo, $texto);
		
	}
	
	return $texto;
}

function getStrError($errno)
{
	switch ($errno) {
		case E_ALL:
		return "E_ALL";
		case E_ERROR:
		return "E_ERROR";
		case E_WARNING:
		return "E_WARNING";
		case E_PARSE:
		return "E_PARSE";
		case E_NOTICE:
		return "E_NOTICE";
		case E_CORE_ERROR:
		return "E_CORE_ERROR";
		case E_CORE_WARNING:
		return "E_CORE_WARNING";
		case E_COMPILE_ERROR:
		return "E_COMPILE_ERROR";
		case E_COMPILE_WARNING:
		return "E_COMPILE_WARNING";
		case E_USER_ERROR:
		return "E_USER_ERROR";
		case E_USER_WARNING:
		return "E_USER_WARNING";
		case E_USER_NOTICE:
		return "E_USER_NOTICE";
		default:
		return "unknown";
	}
}

function myErrorHandler ($errno, $errstr, $errfile, $errline)
{
	if (!error_reporting()) return;

	$str = getStrError($errno);

	global $ADOLogger;
	if (isset($ADOLogger))
	$ADOLogger->logHTML("<b>$str</b>: <span style='color:red;'>$errstr</span> (on $errfile:$errline)");

}

set_error_handler("myErrorHandler");

function detect_pda()
{
	// The set of brosers
	$browsers = array(
	"Windows CE",
	"WebTV",
	"AvantGo",
	"Blazer",
	"PalmOS",
	"lynx",
	"Go.Web",
	"Elaine",
	"ProxiNet",
	"ChaiFarer",
	"Digital Paths",
	"UP.Browser",
	"Mazingo",
	"Mobile",
	"T68",
	"Syncalot",
	"NetFront",
	"Danger",
	"Symbian",
	"Nokia",
	"Xiino",
	"AU-MIC",
	"EPOC");

	// The test
	if(preg_match('/('.implode('|', $browsers).')/i', $_SERVER['HTTP_USER_AGENT'], $match))
	{
		return true;
	}
	else if (isset($_SERVER['HTTP_UA_OS']))
	{
		if (strstr($_SERVER['HTTP_UA_OS'],"POCKET PC") !== false)
		{
			return true;
		}
	}
	else
	{
		return false;
	}

}

function money_php($val) {

	$number = $val;
	$decimals = "0";
	$decpoint = ".";
	$thousandsep = ".";

	return "$".number_format($number, $decimals, $decpoint, $thousandsep);
}
function validar_tabla_db(){}
function normalizar_rut($val){
		
		$rut = str_replace(".","",$val);
		$rut = str_replace("-","",$rut);
		
		return $rut;
		
	}

function enviarEvento($id_evento,$id_modulo,$num_documento,$tipo_documento,$usuario_gatillador,$empresa,$cliente)
{
	$da = stream_socket_client("tcp://127.0.0.1:8000", $errno, $errstr,"10");
	$cadena="evnt_sist:".$id_evento.":".$id_modulo.":".$num_documento.":".$tipo_documento.":".$usuario_gatillador.":".$empresa.":".$cliente;
	if (!$da) {
	   echo "ERROR: $errno - $errstr<br />\n";
	} 
	else 
	{
    stream_set_timeout($da, 10);
    $info = stream_get_meta_data($da);
    if ($info['timed_out']) {
        echo 'La conexion ha expirado!';
    } else {

		
	   fwrite($da, $cadena);
	 //  echo fread($da, 26);
	   fclose($da);
    }
	}
}
function actualizarMonedas()
{
}
function num2letras($num, $fem = true, $dec = true) {
//if (strlen($num) > 14) die("El n?mero introducido es demasiado grande");
   $matuni[2]  = "dos";
   $matuni[3]  = "tres";
   $matuni[4]  = "cuatro";
   $matuni[5]  = "cinco";
   $matuni[6]  = "seis";
   $matuni[7]  = "siete";
   $matuni[8]  = "ocho";
   $matuni[9]  = "nueve";
   $matuni[10] = "diez";
   $matuni[11] = "once";
   $matuni[12] = "doce";
   $matuni[13] = "trece";
   $matuni[14] = "catorce";
   $matuni[15] = "quince";
   $matuni[16] = "dieciseis";
   $matuni[17] = "diecisiete";
   $matuni[18] = "dieciocho";
   $matuni[19] = "diecinueve";
   $matuni[20] = "veinte";
   $matunisub[2] = "dos";
   $matunisub[3] = "tres";
   $matunisub[4] = "cuatro";
   $matunisub[5] = "quin";
   $matunisub[6] = "seis";
   $matunisub[7] = "sete";
   $matunisub[8] = "ocho";
   $matunisub[9] = "nove";

   $matdec[2] = "veint";
   $matdec[3] = "treinta";
   $matdec[4] = "cuarenta";
   $matdec[5] = "cincuenta";
   $matdec[6] = "sesenta";
   $matdec[7] = "setenta";
   $matdec[8] = "ochenta";
   $matdec[9] = "noventa";
   $matsub[3]  = 'mill';
   $matsub[5]  = 'bill';
   $matsub[7]  = 'mill';
   $matsub[9]  = 'trill';
   $matsub[11] = 'mill';
   $matsub[13] = 'bill';
   $matsub[15] = 'mill';
   $matmil[4]  = 'millones';
   $matmil[6]  = 'billones';
   $matmil[7]  = 'de billones';
   $matmil[8]  = 'millones de billones';
   $matmil[10] = 'trillones';
   $matmil[11] = 'de trillones';
   $matmil[12] = 'millones de trillones';
   $matmil[13] = 'de trillones';
   $matmil[14] = 'billones de trillones';
   $matmil[15] = 'de billones de trillones';
   $matmil[16] = 'millones de billones de trillones';

   $num = trim((string)@$num);
   if ($num[0] == '-') {
      $neg = 'menos ';
      $num = substr($num, 1);
   }else
      $neg = '';
   while ($num[0] == '0') $num = substr($num, 1);
   if ($num[0] < '1' or $num[0] > 9) $num = '0' . $num;
   $zeros = true;
   $punt = false;
   $ent = '';
   $fra = '';
   for ($c = 0; $c < strlen($num); $c++) {
      $n = $num[$c];
      if (! (strpos(".,'''", $n) === false)) {
         if ($punt) break;
         else{
            $punt = true;
            continue;
         }

      }elseif (! (strpos('0123456789', $n) === false)) {
         if ($punt) {
            if ($n != '0') $zeros = false;
            $fra .= $n;
         }else

            $ent .= $n;
      }else

         break;

   }
   $ent = '     ' . $ent;
   if ($dec and $fra and ! $zeros) {
      $fin = ' coma';
      for ($n = 0; $n < strlen($fra); $n++) {
         if (($s = $fra[$n]) == '0')
            $fin .= ' cero';
         elseif ($s == '1')
            $fin .= $fem ? ' uno' : ' un';
         else
            $fin .= ' ' . $matuni[$s];
      }
   }else
      $fin = '';
   if ((int)$ent === 0) return 'Cero ' . $fin;
   $tex = '';
   $sub = 0;
   $mils = 0;
   $neutro = false;
   while ( ($num = substr($ent, -3)) != '   ') {
      $ent = substr($ent, 0, -3);
      if (++$sub < 3 and $fem) {
         $matuni[1] = 'una';
         $subcent = 'os';
      }else{
         $matuni[1] = $neutro ? 'un' : 'uno';
         $subcent = 'os';
      }
      $t = '';
      $n2 = substr($num, 1);
      if ($n2 == '00') {
      }elseif ($n2 < 21)
         $t = ' ' . $matuni[(int)$n2];
      elseif ($n2 < 30) {
         $n3 = $num[2];
         if ($n3 != 0) $t = 'i' . $matuni[$n3];
         $n2 = $num[1];
         $t = ' ' . $matdec[$n2] . $t;
      }else{
         $n3 = $num[2];
         if ($n3 != 0) $t = ' y ' . $matuni[$n3];
         $n2 = $num[1];
         $t = ' ' . $matdec[$n2] . $t;
      }
      $n = $num[0];
      if ($n == 1) {
         $t = ' ciento' . $t;
      }elseif ($n == 5){
         $t = ' ' . $matunisub[$n] . 'ient' . $subcent . $t;
      }elseif ($n != 0){
         $t = ' ' . $matunisub[$n] . 'cient' . $subcent . $t;
      }
      if ($sub == 1) {
      }elseif (! isset($matsub[$sub])) {
         if ($num == 1) {
            $t = ' mil';
         }elseif ($num > 1){
            $t .= ' mil';
         }
      }elseif ($num == 1) {
         $t .= ' ' . $matsub[$sub] . 'n';
      }elseif ($num > 1){
         $t .= ' ' . $matsub[$sub] . 'ones';
      }
      if ($num == '000') $mils ++;
      elseif ($mils != 0) {
         if (isset($matmil[$sub])) $t .= ' ' . $matmil[$sub];
         $mils = 0;
      }
      $neutro = true;
      $tex = $t . $tex;
   }
   $tex = $neg . substr($tex, 1) . $fin;
   return ucfirst($tex);
}

function get_nombre_mes_r($numero_mes)
{
	switch ($numero_mes)
	{
		case "1": $mes = "Enero";break;
		case "2": $mes = "Febrero";break;
		case "3": $mes = "Marzo";break;
		case "4": $mes = "Abril";break;
		case "5": $mes = "Mayo";break;
		case "6": $mes = "Junio";break;
		case "7": $mes = "Julio";break;
		case "8": $mes = "Agosto";break;
		case "9": $mes = "Septiembre";break;
		case "10": $mes = "Octubre";break;
		case "11": $mes = "Noviembre";break;
		case "12": $mes = "Diciembre";break;
	}	
	return $mes;
}

function exportar_cliente_defontana($cont_cliente_proveedor)
{
	$apilink		= $_SESSION["apilink"];
	$puntoentrada	= $_SESSION["puntoentrada"];
	$idempresa		= $_SESSION["idempresa"];
	$idcliente		= $_SESSION["idcliente"];
	$idusuario		= $_SESSION["idusuario"];
	$clavedefontana = $_SESSION["clavedefontana"];	
	$idsesion		= $_SESSION["idsesion"];
	$sesion			= $_SESSION["sesion"];


	try 
		{


			$headers2 = array();
			$client2 = new SoapClient($apilink, array('cache_wsdl' => WSDL_CACHE_NONE, 'soap_version' => SOAP_1_2, 'reliable' => 1.2 , 'useWSA' => TRUE ) );
			$client2->soap_defencoding = 'UTF-8';
			$headers2[] = new SoapHeader('http://www.w3.org/2005/08/addressing', 'To', $puntoentrada, true);
			$headers2[] = new SoapHeader('http://www.w3.org/2005/08/addressing', 'Action', 'VentaServicio/VentaServicio/GrabaFicha', true);

//			$headers2[] = new SoapHeader('http://www.w3.org/2005/08/addressing', 'To', 'https://replgolden.defontana.com/Ventas_Soap/VentaService.svc', true);
//		$headers2[] = new SoapHeader('http://www.w3.org/2005/08/addressing', 'Action', 'VentaServicio/VentaServicio/GrabaFicha', true);
			$client2->__setSoapHeaders($headers2);


			$sesion_graba_ficha = array( 'IDCliente' => $idcliente,
                                       'IDEmpresa' => $idempresa,
                                       'IDSesion' => $idsesion,
	                                   'IDUsuario' => $idusuario);




			$fichadto = array('ActivoCliente' => 1,
								'ActivoProveedor' => 0,
								'Ciudad' => $cont_cliente_proveedor->nombre_ciudad,
								'Cliente' => 1,
								'CodigoLegal' => $cont_cliente_proveedor->get_rut(),
								'Direccion' => utf8_encode($cont_cliente_proveedor->get_direccion()),
								'Distrito' => $cont_cliente_proveedor->nombre_comuna,
								'EnviaEmailDTE' => 1,
								'Giro' => utf8_encode($cont_cliente_proveedor->get_giro()),
								'IDCondicionPago' => CONTADO,
								'IDEmpresa' =>  $idempresa,
								'IDFichaCliente' => $cont_cliente_proveedor->get_rut(),
								'IDListaPrecio' => 1,
								'IDMoneda' => PESOS,
								'IDRubro' => 99,
								'Nombre' => utf8_decode($cont_cliente_proveedor->get_razon_social()),
								'Pais' => CHILE,
								'TieneDescuento' => false,
								'TipoProducto' => Servicio);

			$requestParams2 = array( 'sesion' => $sesion_graba_ficha, 'fichadto' => $fichadto);
//debug($requestParams2);
			$response = $client2->GrabaFicha( $requestParams2 );
//debug($response);
		}

		catch(Exception $e) 
		{
		    echo $e->getMessage();
		}
		
		return($response->GrabaFichaResult->Mensaje);
}


function existe_cliente_defontana($cliente_proveedor)
{
	
	$codigo_cliente = $cliente_proveedor->get_rut();

	$apilink		= $_SESSION["apilink"];
	$puntoentrada	= $_SESSION["puntoentrada"];
	$idempresa		= $_SESSION["idempresa"];
	$idcliente		= $_SESSION["idcliente"];
	$idusuario		= $_SESSION["idusuario"];
	$clavedefontana = $_SESSION["clavedefontana"];	
	$idsesion		= $_SESSION["idsesion"];
	$sesion			= $_SESSION["sesion"];


		try 
		{
			$client2 = new SoapClient($apilink, array('cache_wsdl' => WSDL_CACHE_NONE, 'soap_version' => SOAP_1_2, 'reliable' => 1.2 , 'useWSA' => TRUE ) );
			$headers2[] = new SoapHeader('http://www.w3.org/2005/08/addressing', 'To', $puntoentrada, true);
			$headers2[] = new SoapHeader('http://www.w3.org/2005/08/addressing', 'Action', 'VentaServicio/VentaServicio/ConsultaFichasCliente', true);
			$client2->__setSoapHeaders($headers2);

			$requestParams2 = array( 'sesion'			=> $sesion, 
									 'codigo'			=> $codigo_cliente,
									 'cantidadRegistros'=> '1',
									 'pagina'			=> '0',
									 'traeInactivos'	=> 'false');

			$response2 = $client2->ConsultaFichasCliente( $requestParams2 );
//			debug($response2);
			if ($response2->ConsultaFichasClienteResult->FichaDTO->CodigoLegal == $codigo_cliente) 
				$resp = true;
			else
				$resp = false;

		}
		
		catch(Exception $e) 
		{
			echo $e->getMessage();
		}
				
			return $resp;	
}


function exportar_cliente_particular_defontana($cliente_particular)
{
	$apilink		= $_SESSION["apilink"];
	$puntoentrada	= $_SESSION["puntoentrada"];
	$idempresa		= $_SESSION["idempresa"];
	$idcliente		= $_SESSION["idcliente"];
	$idusuario		= $_SESSION["idusuario"];
	$clavedefontana = $_SESSION["clavedefontana"];	
	$idsesion		= $_SESSION["idsesion"];
	$sesion			= $_SESSION["sesion"];

	try 
		{

			$headers2 = array();
			$client2 = new SoapClient($apilink, array('cache_wsdl' => WSDL_CACHE_NONE, 'soap_version' => SOAP_1_2, 'reliable' => 1.2 , 'useWSA' => TRUE ) );
			$client2->soap_defencoding = 'UTF-8';
			$headers2[] = new SoapHeader('http://www.w3.org/2005/08/addressing', 'To', $puntoentrada, true);
			$headers2[] = new SoapHeader('http://www.w3.org/2005/08/addressing', 'Action', 'VentaServicio/VentaServicio/GrabaFicha', true);

//			$headers2[] = new SoapHeader('http://www.w3.org/2005/08/addressing', 'To', 'https://replgolden.defontana.com/Ventas_Soap/VentaService.svc', true);
//			$headers2[] = new SoapHeader('http://www.w3.org/2005/08/addressing', 'Action', 'VentaServicio/VentaServicio/GrabaFicha', true);
			$client2->__setSoapHeaders($headers2);


			$sesion_graba_ficha = array( 'IDCliente' => $idcliente,
                                       'IDEmpresa' => $idempresa,
                                       'IDSesion' => $idsesion,
	                                   'IDUsuario' => $idusuario);




			$fichadto = array('ActivoCliente' => 1,
								'ActivoProveedor' => 0,
								'Ciudad' => $cliente_particular->nombre_ciudad,
								'Cliente' => 1,
								'CodigoLegal' => $cliente_particular->get_rut(),
								'Direccion' => utf8_encode($cliente_particular->get_direccion()),
								'Distrito' => $cliente_particular->nombre_comuna,
								'EnviaEmailDTE' => 1,
								'Giro' => utf8_encode($cliente_particular->get_giro()),
								'IDCondicionPago' => CONTADO,
								'IDEmpresa' =>  $idempresa,
								'IDFichaCliente' => $cliente_particular->get_rut(),
								'IDListaPrecio' => 1,
								'IDMoneda' => PESO,
								'IDRubro' => 99,
								'Nombre' => utf8_encode($cliente_particular->get_nombre()." ".$cliente_particular->get_apellido_paterno()." ".$cliente_particular->get_apellido_materno()),
								'Pais' => CHILE,
								'TieneDescuento' => false,
								'TipoProducto' => Servicio);

			$requestParams2 = array( 'sesion' => $sesion_graba_ficha, 'fichadto' => $fichadto);
//debug($requestParams2);
			$response = $client2->GrabaFicha( $requestParams2 );
//debug($response);

		}
		catch(Exception $e) 
		{
		    echo $e->getMessage();
		}

		return($response->GrabaFichaResult->Mensaje);
}


function generar_guia_despacho_defontana($id_guia_despacho)
{

	$guia_despacho = new Guia_despacho();
	$guia_despacho = Guia_despacho_getGuia_despacho($id_guia_despacho);

//	$guia_despacho->set_estado(2);	
	Guia_despacho_actualizarGuia_despacho($guia_despacho);

	$clog_Documentos_referencia = new Controlador_Logico_Documentos_referencia();
	$filtro_documentos_referencia["id_venta"] = $id_guia_despacho;
	$listado_documentos_referencia = $clog_Documentos_referencia->getListadoDocumentos_referencia($filtro_documentos_referencia, $extra_documentos_referencia);

	if ($listado_documentos_referencia)
	{
		foreach ($listado_documentos_referencia as $documentos_referencia)
		{
			$FchRef = substr($documentos_referencia->FchRef,0,4)."-".substr($documentos_referencia->FchRef,4,2)."-".substr($documentos_referencia->FchRef,6,2);
			$DocumentoReferencia = array('CodigoTipoDocumentoAsoc' => $documentos_referencia->codigo_dte_ref,
									'Comentario'	=> utf8_encode($documentos_referencia->RazonRef),
									'FechaDocAsoc'	=> $FchRef,
									'MontoDocAsoc'	=> $documentos_referencia->monto_ref, 
									'NumeroDocAsoc'	=> $documentos_referencia->FolioRef);
			$arreglo_referencias[] = $DocumentoReferencia;
		}

		$DocumentosReferencia = array('DocumentoReferencia'=> $arreglo_referencias);
	}
	else
		$DocumentosReferencia = array('DocumentoReferencia'=> array());

	if ($guia_despacho->facturar_a == 1)		// EMPRESA
	{
		$clog_Cont_cliente_proveedor = new Controlador_Logico_Cont_cliente_proveedor();
		$cliente = $clog_Cont_cliente_proveedor->getCont_cliente_proveedor($guia_despacho->id_cliente_proveedor); 
	}	
	else										// CLIENTE
	{
		$clog_Cliente_particular = new Controlador_Logico_Cliente_particular();
		$cliente 	= $clog_Cliente_particular->getCliente_particular($guia_despacho->id_cliente_proveedor);
	}


	$apilink		= $_SESSION["apilink"];
	$puntoentrada	= $_SESSION["puntoentrada"];
	$idempresa		= $_SESSION["idempresa"];
	$idcliente		= $_SESSION["idcliente"];
	$idusuario		= $_SESSION["idusuario"];
	$clavedefontana = $_SESSION["clavedefontana"];	
	$idsesion		= $_SESSION["idsesion"];
	$sesion			= $_SESSION["sesion"];


	$existe_cliente = existe_cliente_defontana($cliente);

	//debug($existe_cliente);
	if (!$existe_cliente)	
	{
		if ($guia_despacho->facturar_a == 1)		// EMPRESA
			exportar_cliente_defontana($cliente);
		else										// CLIENTE
			exportar_cliente_particular_defontana($cliente);

	}


	try 
		{

			$headers2 = array();
			$client2 = new SoapClient($apilink, array('cache_wsdl' => WSDL_CACHE_NONE, 'soap_version' => SOAP_1_2, 'reliable' => 1.2 , 'useWSA' => TRUE ) );

			$client2->soap_defencoding = 'UTF-8';
			$headers2[] = new SoapHeader('http://www.w3.org/2005/08/addressing', 'To', $puntoentrada, true);
			$headers2[] = new SoapHeader('http://www.w3.org/2005/08/addressing', 'Action', 'VentaServicio/VentaServicio/GrabaDocumentoAnalisis', true);
			$client2->__setSoapHeaders($headers2);




			$analisis_cliente = array('IDFicha' => $cliente->get_rut(),
							  'IDTipoDocumento' => 'XGDVA');

			$asiento_cliente = array('Analisis' => $analisis_cliente, 
									'Tipo' => 'TipoCliente',
									'idTipoCliente' => '01CTES_NACIONALES');


			$analisis_venta = array('IDCentroNegocio'		=> $guia_despacho->codigo_integracion,
								'IDFicha'			=> $cliente->get_rut(),
								'IDTipoDocumento'	=> 'XGDVA');

			$asiento_venta = array('Analisis'		=>$analisis_venta,
									'Tipo'			=>TipoVenta,
									'idTipoVenta'	=>Unico);


			$listado_detalle_guia_despacho = Detalle_guia_despacho_getListadoDetalle_guia_despacho($id_guia_despacho);
		//	$dgd = $listado_detalle_guia_despacho[0];
			$nro_linea = 1;
			$suma_neto = 0;
			foreach ($listado_detalle_guia_despacho as $dgd)
			{
				$precio_neto_con_descuento = round($dgd->precio_unitario*(1-$dgd->descuento_porc/100));
				$precio_bruto = round($precio_neto_con_descuento*1.19);
				$descripcion = utf8_encode($dgd->descripcion);
				$VentaDetalle1 = array('Cantidad'=> $dgd->cantidad,
											'DescripcionArticulo'=> $descripcion,
											'Comentario' =>$descripcion,
											'Descuento' =>	$dgd->descuento_porc,
											'IDUnidadMedida'=>UN,
											'IdArticulo'=>1,
											'LineaDetalle'=>$nro_linea,
											'PrecioSinModificar'=> round($dgd->precio_unitario,0),
											'PrecioUnitario'=> round($dgd->precio_unitario,0),
											'SubTotal'=> $precio_neto_con_descuento,
											'Tipo'=>Servicio,
											'Total'=> $precio_bruto);

				$VentaDetalleAnalisis1 = array('Cantidad'=> $dgd->cantidad,
											'DescripcionArticulo'=> $descripcion,
											'Comentario' =>$descripcion,
											'Descuento' =>	$dgd->descuento_porc,
											'IDUnidadMedida'=>UN,
											'IdArticulo'=>1,
											'LineaDetalle'=>$nro_linea,
											'PrecioSinModificar'=> round($dgd->precio_unitario,0),
											'PrecioUnitario'=> round($dgd->precio_unitario,0),
											'SubTotal'=> $precio_neto_con_descuento,
											'Tipo'=>Servicio,
											'Total'=> $precio_bruto);


				$nro_linea=$nro_linea+1;
				$suma_neto = $suma_neto+$precio_neto_con_descuento;
				$VentaDetalle[] = $VentaDetalle1;
				$VentaDetalleAnalisis[] = $VentaDetalleAnalisis1;

			}
			
			

			//debug($arreglo_detalle_ventas);
			$Detalles1 = array('VentaDetalle'=> $VentaDetalle);
			$Detalles = array('VentaDetalleAnalisis'=> $VentaDetalleAnalisis);

//			$total_bruto_guia = round(getMontoGuia_despacho($guia_despacho->id_guia_despacho),0);
//			$total_neto_guia = round($total_bruto_guia/1.19,0);
//			$total_iva = $total_bruto_guia-$total_neto_guia;

			$total_neto_guia = $suma_neto;
			$total_iva = round($total_neto_guia*0.19);
			$total_bruto_guia = $total_neto_guia+$total_iva;

			$observacion = utf8_encode($guia_despacho->observacion);

			$fecha = substr($guia_despacho->fecha_documento,0,4)."-".substr($guia_despacho->fecha_documento,4,2)."-".substr($guia_despacho->fecha_documento,6,2)."T00:00:00";

			if ($guia_despacho->condicion_venta == 1)	// CONTADO
			{
				$FechaVcto = $fecha;
				$condicion_pago_doc = array('IdCondicionPago'=> $guia_despacho->nombre_condicion_venta);

			}
			else
			{
				$FechaVcto = calcular_fecha(30,convertirFechaBD_fecha($guia_despacho->fecha_documento),"futuro");
				$FechaVcto= substr($FechaVcto,0,4)."-".substr($FechaVcto,4,2)."-".substr($FechaVcto,6,2)."T00:00:00";

				$VentaCuota = array('FechaVencimiento'	=> $FechaVcto,
									'Monto'				=> $total_bruto_guia,
									'Numero'			=> 1);
				$detalle_cuotas = array('VentaCuota' => $VentaCuota);

				$condicion_pago_doc = array('DetalleCuotas' => $detalle_cuotas,
										'IdCondicionPago'=> $guia_despacho->nombre_condicion_venta);

			}



			$condicion_pago = array('CondicionPagoDoc'	=> $condicion_pago_doc);


			$impuesto_documento = array('EsImpuestoEspecifico'=> true,
										'IdImpuesto' => IVA,
										'Nombre' => IVA,
										'Tipo' => PorcentajeFijo,
										'Valor' => $total_iva);

			$impuestos = array('ImpuestoDocumento' =>  $impuesto_documento);

//			$detalle_analisis = array('VentaDetalleAnalisis'=> $Detalles);

			$venta = array(	'AsientoVenta'			=> $asiento_venta,
							'CondicionPago'			=> $condicion_pago,
							'Detalles'				=> $Detalles,
							'DocumentosReferencia'	=> $DocumentosReferencia,
							'EsDocumentoTraspaso'	=> N,
							'Fecha'					=> $fecha,
							'FechaVcto'				=> $FechaVcto,
							'Folio'					=> 0,
							'Giro'					=> "",
							'Glosa'					=> $observacion,
							'IdCliente'				=> $cliente->get_rut(),
							'IdContacto'			=> 0,
							'IdListaPrecio'			=> 1,
							'IdLocal'				=> Local,
							'IdMoneda'				=> PESO,
							'IdTipoDocumento'		=> XGDVA,
							'IdVendedor'			=> $guia_despacho->codigo_vendedor,
							'Impuestos'				=> $impuestos,
							'MontoExento'			=> 0,
							'Subtotal'				=> $total_neto_guia,
							'Tasa'					=> 1,
							'Total'					=> $total_bruto_guia,
							'TotalImpuestos'		=> $total_iva,
							'TotalRecargosDescuentos'=> 0,
							'idTipoDocumentoSii'	=> 52);


			$requestParams2 = array( 'sesion' => $sesion, 'venta' => $venta, 'documentID'=> $guia_despacho->id_guia_despacho);
			$response = $client2->GrabaDocumentoAnalisis($requestParams2);
			if ($response->GrabaDocumentoAnalisisResult->Correcto)
				return ($response->GrabaDocumentoAnalisisResult->folioDocumento);
			else
				return(0);

		}
		catch(Exception $e) 
		{
		    echo $e->getMessage();
		}
}

function generar_factura_electronica($id_venta)
{
	$clog_Ventas = new Controlador_Logico_Ventas();	
	$venta = $clog_Ventas->getVentas($id_venta);

	$clog_Documentos_referencia = new Controlador_Logico_Documentos_referencia();
	$filtro_documentos_referencia["id_venta"] = $id_venta;
	$listado_documentos_referencia = $clog_Documentos_referencia->getListadoDocumentos_referencia($filtro_documentos_referencia, $extra_documentos_referencia);

	if ($listado_documentos_referencia)
	{
		foreach ($listado_documentos_referencia as $documentos_referencia)
		{
			$FchRef = substr($documentos_referencia->FchRef,0,4)."-".substr($documentos_referencia->FchRef,4,2)."-".substr($documentos_referencia->FchRef,6,2);
			$DocumentoReferencia = array('CodigoTipoDocumentoAsoc' => $documentos_referencia->codigo_dte_ref,
									'Comentario'	=> $documentos_referencia->RazonRef,
									'FechaDocAsoc'	=> $FchRef,
									'MontoDocAsoc'	=> $documentos_referencia->monto_ref, 
									'NumeroDocAsoc'	=> $documentos_referencia->FolioRef);
			$arreglo_referencias[] = $DocumentoReferencia;

			if ($documentos_referencia->codigo_dte_ref == 52)  //GUIA DE REFERENCIA
			{
					$folio_guia = $documentos_referencia->FolioRef;
					if ($folio_guia <> "")
					{
						$filtro_guia["nro_guia"] = $folio_guia;
						$listado_guia_despacho = guia_despacho_getListadoguia_despacho_filtro($filtro_guia, $extra);
						if ($listado_guia_despacho)
						{
							$guia_despacho = $listado_guia_despacho[0];
							$guia_despacho->set_estado(8);		//FACTURADA
							Guia_despacho_actualizarGuia_despacho($guia_despacho);
							// REVISAR SI TIENEN OC DEL CLIENTE
							$filtro_orden_compra_clientes["id_guia_despacho"] = $guia_despacho->id_guia_despacho;
							$clog_Orden_compra_clientes = new Controlador_Logico_Orden_compra_clientes();
							$listado_orden_compra_clientes = $clog_Orden_compra_clientes->getListadoOrden_compra_clientes($filtro_orden_compra_clientes, $extra_orden_compra_clientes);
							foreach($listado_orden_compra_clientes as $orden_compra_clientes)
							{
								$orden_compra_clientes->set_estado(2);	// FACTURADA
								$clog_Orden_compra_clientes->actualizarOrden_compra_clientes($orden_compra_clientes);
							}

						}
					}
			}
		}

		$DocumentosReferencia = array('DocumentoReferencia'=> $arreglo_referencias);
	}
	else
		$DocumentosReferencia = array('DocumentoReferencia'=> array());

	$clog_Cont_cliente_proveedor = new Controlador_Logico_Cont_cliente_proveedor();
	$cliente = $clog_Cont_cliente_proveedor->getCont_cliente_proveedor($venta->id_cliente_proveedor); 
	if (!$cliente)
	{
		$clog_Cliente_particular = new Controlador_Logico_Cliente_particular();
		$cliente 	= $clog_Cliente_particular->getCliente_particular($venta->id_cliente_proveedor);
	}



	$apilink		= $_SESSION["apilink"];
	$puntoentrada	= $_SESSION["puntoentrada"];
	$idempresa		= $_SESSION["idempresa"];
	$idcliente		= $_SESSION["idcliente"];
	$idusuario		= $_SESSION["idusuario"];
	$clavedefontana = $_SESSION["clavedefontana"];	
	$idsesion		= $_SESSION["idsesion"];
	$sesion			= $_SESSION["sesion"];


	
	if (!existe_cliente_defontana($cliente))	
		exportar_cliente_defontana($cliente);

	try 
		{

			$headers2 = array();
			$client2 = new SoapClient($apilink, array('cache_wsdl' => WSDL_CACHE_NONE, 'soap_version' => SOAP_1_2, 'reliable' => 1.2 , 'useWSA' => TRUE ) );
			$client2->soap_defencoding = 'UTF-8';
			$headers2[] = new SoapHeader('http://www.w3.org/2005/08/addressing', 'To', $puntoentrada, true);
			$headers2[] = new SoapHeader('http://www.w3.org/2005/08/addressing', 'Action', 'VentaServicio/VentaServicio/GrabaDocumentoAnalisis', true);
			$client2->__setSoapHeaders($headers2);


			$analisis_cliente = array('IDFicha' => $cliente->get_rut(),
							  'IDTipoDocumento' => 'XFVAELECT');

			$asiento_cliente = array('Analisis' => $analisis_cliente, 
									'Tipo' => 'TipoCliente',
									'idTipoCliente' => '01CTES_NACIONALES');


			$analisis_venta = array('IDCentroNegocio'		=> $venta->codigo_integracion,
								'IDFicha'			=> $cliente->get_rut(),
								'IDTipoDocumento'	=> 'XFVAELECT');

			$asiento_venta = array('Analisis'		=>$analisis_venta,
									'Tipo'			=>TipoVenta,
									'idTipoVenta'	=>Unico);




			$clog_Detalle_ventas = new Controlador_Logico_Detalle_ventas();
			$filtro_detalle_ventas["id_venta"] = $id_venta;
			$listado_detalle_venta = $clog_Detalle_ventas->getListadoDetalle_ventas($filtro_detalle_ventas, $extra_detalle_ventas);
			$nro_linea = 1;
			foreach($listado_detalle_venta as $dgd)
			{
				$descripcion = utf8_encode($dgd->descripcion);
				 
				$VentaDetalle = array('Cantidad'=> $dgd->cantidad,
											'DescripcionArticulo'=> $descripcion,
											'Comentario' =>$descripcion,
											'Descuento'=>0,
											'IDUnidadMedida'=>UN,
											'IdArticulo'=>1,
											'LineaDetalle'=>$nro_linea,
											'PrecioSinModificar'=> round($dgd->precio_unitario,0),
											'PrecioUnitario'=> round($dgd->precio_unitario,0),
											'SubTotal'=> round($dgd->total,0),
											'Tipo'=>Servicio,
											'Total'=>$dgd->total);

				$nro_linea=$nro_linea+1;
				$arreglo_detalle_ventas[] = $VentaDetalle;

			}
			//debug($arreglo_detalle_ventas);
			$detalles = array('VentaDetalleAnalisis'=> $arreglo_detalle_ventas);

			$total_bruto = round($venta->total*1.19,0);
			$total_neto = round($total_bruto/1.19,0);
			$total_iva = $total_bruto-$total_neto;
			$observacion = utf8_encode($venta->observacion);

			$fecha = substr($venta->fecha,0,4)."-".substr($venta->fecha,4,2)."-".substr($venta->fecha,6,2)."T00:00:00";

			if ($venta->cond_venta == 1)	// CONTADO
			{
				$FechaVcto = $fecha;
				$condicion_pago_doc = array('IdCondicionPago'=> $venta->nombre_cond_venta);

			}
			else
			{
				$FechaVcto = calcular_fecha(30,convertirFechaBD_fecha($venta->fecha),"futuro");
				$FechaVcto= substr($FechaVcto,0,4)."-".substr($FechaVcto,4,2)."-".substr($FechaVcto,6,2)."T00:00:00";

				$VentaCuota = array('FechaVencimiento'	=> $FechaVcto,
									'Monto'				=> $total_bruto,
									'Numero'			=> 1);
				$detalle_cuotas = array('VentaCuota' => $VentaCuota);

				$condicion_pago_doc = array('DetalleCuotas' => $detalle_cuotas,
										'IdCondicionPago'=> $venta->nombre_cond_venta);

			}



			$condicion_pago = array('CondicionPagoDoc'	=> $condicion_pago_doc);


			$impuesto_documento = array('EsImpuestoEspecifico'=> true,
										'IdImpuesto' => IVA,
										'Nombre' => IVA,
										'Tipo' => PorcentajeFijo,
										'Valor' => $total_iva);

			$impuestos = array('ImpuestoDocumento' =>  $impuesto_documento);

			$detalle_analisis = array('VentaDetalleAnalisis'=> $arreglo_detalle_ventas_analisis);
			$venta_array = array('AsientoCliente' => $asiento_cliente,
							'AsientoVenta'			=> $asiento_venta,
							'CondicionPago'			=> $condicion_pago,
							'Direccion'				=>$cliente->get_direccion(),
							'Distrito'				=>$cliente->nombre_comuna,
							'Giro'					=>$cliente->get_giro(),
							'Detalles'				=> $detalles,
							'Fecha'					=> $fecha,
							'FechaVcto'				=> $FechaVcto,
							'Folio'					=> 0,
							'Glosa'					=> $observacion,
							'IdCliente'				=> $cliente->get_rut(),
							'IdContacto'			=> 0,
							'IdListaPrecio'			=> 1,
							'IdLocal'				=> Local,
							'IdMoneda'				=> PESO,
							'IdTipoDocumento'		=> XFVAELECT,
							'IdVendedor'			=> $venta->codigo_vendedor,
							'Impuestos'				=> $impuestos,
							'MontoExento'			=> 0,
							'Subtotal'				=> $total_neto,
							'Tasa'					=> 19,
							'Total'					=> $total_bruto,
							'TotalImpuestos'		=> $total_iva,
							'DocumentosReferencia'	=> $DocumentosReferencia,
							'TotalRecargosDescuentos'=> 0,
							'idTipoDocumentoSii'	=> 33);
debug($venta_array);

			$requestParams2 = array( 'sesion' => $sesion, 'venta' => $venta_array, 'documentID'=> $venta->id_venta);
debug($requestParams2);
			$response = $client2->GrabaDocumentoAnalisis( $requestParams2 );
debug($response);

	if ($response->GrabaVentaResult->Correcto)
				return ($response->GrabaDocumentoAnalisisResult->folioDocumento);
			else
				return(0);

		}
		catch(Exception $e) 
		{
		    echo $e->getMessage();
		}
}

function generar_boleta_electronica($id_venta)
{
	$clog_Ventas = new Controlador_Logico_Ventas();	
	$venta = $clog_Ventas->getVentas($id_venta);


	$clog_Documentos_referencia = new Controlador_Logico_Documentos_referencia();
	$filtro_documentos_referencia["id_venta"] = $id_venta;
	$listado_documentos_referencia = $clog_Documentos_referencia->getListadoDocumentos_referencia($filtro_documentos_referencia, $extra_documentos_referencia);

	if ($listado_documentos_referencia)
	{
		foreach ($listado_documentos_referencia as $documentos_referencia)
		{
			$FchRef = substr($documentos_referencia->FchRef,0,4)."-".substr($documentos_referencia->FchRef,4,2)."-".substr($documentos_referencia->FchRef,6,2);
			$DocumentoReferencia = array('CodigoTipoDocumentoAsoc' => $documentos_referencia->codigo_dte_ref,
									'Comentario'	=> $documentos_referencia->RazonRef,
									'FechaDocAsoc'	=> $FchRef,
									'MontoDocAsoc'	=> $documentos_referencia->monto_ref, 
									'NumeroDocAsoc'	=> $documentos_referencia->FolioRef);
			$arreglo_referencias[] = $DocumentoReferencia;
		}

		$DocumentosReferencia = array('DocumentoReferencia'=> $arreglo_referencias);
	}
	else
		$DocumentosReferencia = array('DocumentoReferencia'=> array());

	$clog_Cont_cliente_proveedor = new Controlador_Logico_Cont_cliente_proveedor();
	$cliente = $clog_Cont_cliente_proveedor->getCont_cliente_proveedor($venta->id_cliente_proveedor); 
	$tipo_cliente = 1; // EMPRESA
	if (!$cliente)
	{
		$clog_Cliente_particular = new Controlador_Logico_Cliente_particular();
		$cliente 	= $clog_Cliente_particular->getCliente_particular($venta->id_cliente_proveedor);
		$tipo_cliente = 2; // CLIENTE
	}

//debug($cliente);

	$apilink		= $_SESSION["apilink"];
	$puntoentrada	= $_SESSION["puntoentrada"];
	$idempresa		= $_SESSION["idempresa"];
	$idcliente		= $_SESSION["idcliente"];
	$idusuario		= $_SESSION["idusuario"];
	$clavedefontana = $_SESSION["clavedefontana"];	
	$idsesion		= $_SESSION["idsesion"];
	$sesion			= $_SESSION["sesion"];


	$existe_cliente = existe_cliente_defontana($cliente);
//debug($existe_cliente);
	if (!$existe_cliente)	
	{
		if ($tipo_cliente == 1)	// EMPRESA
				exportar_cliente_defontana($cliente);

		if ($tipo_cliente == 2)	// CLIENTE		
			exportar_cliente_particular_defontana($cliente);
	}
	

	try 
		{

			$headers2 = array();
			$client2 = new SoapClient($apilink, array('cache_wsdl' => WSDL_CACHE_NONE, 'soap_version' => SOAP_1_2, 'reliable' => 1.2 , 'useWSA' => TRUE ) );
			$client2->soap_defencoding = 'UTF-8';
			$headers2[] = new SoapHeader('http://www.w3.org/2005/08/addressing', 'To', $puntoentrada, true);
			$headers2[] = new SoapHeader('http://www.w3.org/2005/08/addressing', 'Action', 'VentaServicio/VentaServicio/GrabaVenta', true);
			$client2->__setSoapHeaders($headers2);



			$analisis_cliente = array('IDFicha' => $cliente->get_rut(),
							  'IDTipoDocumento' => 'XBVTAFEC');


			$analisis = array('IDCentroNegocio'		=> $venta->codigo_integracion,
								'IDFicha'			=> $cliente->get_rut(),
								'IDTipoDocumento'	=> 'XBVTAFEC');

			$asiento_venta = array('Analisis'		=>$analisis,
									'Tipo'			=>TipoVenta,
									'idTipoVenta'	=>VENTAS);


			$asiento_cliente = array('Analisis'		=>$analisis_cliente, 
									'Tipo'			=>TipoCliente,
									'idTipoCliente' =>CLIENTESBOLETAS);



			$clog_Detalle_ventas = new Controlador_Logico_Detalle_ventas();
			$filtro_detalle_ventas["id_venta"] = $id_venta;
			$listado_detalle_venta = $clog_Detalle_ventas->getListadoDetalle_ventas($filtro_detalle_ventas, $extra_detalle_ventas);
			$nro_linea = 1;
//			foreach($listado_detalle_venta as $dgd)
//			{
//				$descripcion = utf8_encode($dgd->descripcion);
$descripcion = "Pago vale venta ";

					//$VentaDetalle = array('Cantidad'=> $dgd->cantidad,
					//						'DescripcionArticulo'=> $descripcion,
					//						'Comentario' => $descripcion,
					//						'Descuento'=>$dgd->descuento_porc,
					//						'IDUnidadMedida'=>UN,
					//						'IdArticulo'=>1,
					//						'LineaDetalle'=>$nro_linea,
					//						'PrecioSinModificar'=> round($dgd->precio_unitario,0),
					//						'PrecioUnitario'=> round($dgd->precio_unitario,0),
					//						'SubTotal'=> round($dgd->total,0),
					//						'Tipo'=>Servicio,
					//						'Total'=>$dgd->total,
					//						'AsientoVenta'=>$asiento_venta);

					$VentaDetalle = array('Cantidad'=> 1,
											'DescripcionArticulo'=> $descripcion,
											'Comentario' => $descripcion,
											'IDUnidadMedida'=>UN,
											'IdArticulo'=>1,
											'LineaDetalle'=>$nro_linea,
											'PrecioSinModificar'=> round($listado_detalle_venta[0]->precio_unitario,0),
											'PrecioUnitario'=> round($listado_detalle_venta[0]->precio_unitario,0),
											'SubTotal'=> round($listado_detalle_venta[0]->precio_unitario,0),
											'Tipo'=>Servicio,
											'Total'=>round($listado_detalle_venta[0]->precio_unitario,0));

					$nro_linea=$nro_linea+1;
					$arreglo_detalle_ventas[] = $VentaDetalle;
//				}

//			}
			//debug($arreglo_detalle_ventas);
			$detalles = array('VentaDetalle'=> $arreglo_detalle_ventas);

			$total_bruto = $venta->total;
			$total_neto = round($total_bruto/1.19,0);
			$total_iva = $total_bruto-$total_neto;
			$observacion = utf8_encode($venta->observacion);


			$fecha = substr($venta->fecha,0,4)."-".substr($venta->fecha,4,2)."-".substr($venta->fecha,6,2)."T00:00:00";

			if ($venta->cond_venta == 1)	// CONTADO
			{
				$FechaVcto = $fecha;
				$condicion_pago_doc = array('IdCondicionPago'=> $venta->nombre_cond_venta);

			}
			else
			{
				$FechaVcto = calcular_fecha(30,convertirFechaBD_fecha($venta->fecha),"futuro");
				$FechaVcto= substr($FechaVcto,0,4)."-".substr($FechaVcto,4,2)."-".substr($FechaVcto,6,2)."T00:00:00";

				$VentaCuota = array('FechaVencimiento'	=> $FechaVcto,
									'Monto'				=> $total_bruto,
									'Numero'			=> 1);
				$detalle_cuotas = array('VentaCuota' => $VentaCuota);

				$condicion_pago_doc = array('DetalleCuotas' => $detalle_cuotas,
										'IdCondicionPago'=> $venta->nombre_cond_venta);

			}



			$condicion_pago = array('CondicionPagoDoc'	=> $condicion_pago_doc);


			$impuesto_documento = array('EsImpuestoEspecifico'=> true,
										'IdImpuesto' => IVA,
										'Nombre' => IVA,
										'Tipo' => PorcentajeFijo,
										'Valor' => $total_iva);

			$impuestos = array('ImpuestoDocumento' =>  $impuesto_documento);

//			$detalle_analisis = array('VentaDetalleAnalisis'=> $arreglo_detalle_ventas_analisis);
			$venta_array = array('AsientoCliente' => $asiento_cliente,
							'AsientoVenta'			=> $asiento_venta,
							'CondicionPago'			=> $condicion_pago,
							'Direccion'				=>$cliente->get_direccion(),
							'Distrito'				=>$cliente->nombre_comuna,
							'Giro'					=>$cliente->get_giro(),
							'Detalles'				=> $detalles,
							'Fecha'					=> $fecha,
							'FechaVcto'				=> $FechaVcto,
							'Folio'					=> 0,
							'Glosa'					=> $observacion,
							'IdCliente'				=> $cliente->get_rut(),
							'IdContacto'			=> 0,
							'IdListaPrecio'			=> 1,
							'IdLocal'				=> Local,
							'IdMoneda'				=> PESO,
							'IdTipoDocumento'		=> XBVTAFEC,
							'IdVendedor'			=> $venta->codigo_vendedor,
							'Impuestos'				=> $impuestos,
							'MontoExento'			=> 0,
							'Subtotal'				=> $total_bruto,
							'Tasa'					=> 19,
							'Total'					=> $total_bruto,
							'TotalImpuestos'		=> $total_iva,
							'DocumentosReferencia'	=> $DocumentosReferencia,
							'TotalRecargosDescuentos'=> 0,
							'idTipoDocumentoSii'	=> 39);


			$requestParams2 = array( 'sesion' => $sesion, 'venta' => $venta_array, 'documentID'=> $venta->id_venta);
//debug($requestParams2);
			$response = $client2->GrabaVenta( $requestParams2 );
//debug($response);

	if ($response->GrabaVentaResult->Correcto)
				return ($response->GrabaVentaResult->folioDocumento);
			else
				return(0);

		}
		catch(Exception $e) 
		{
		    echo $e->getMessage();
		}

}

function cargar_parametros_defontana()
{
	$clog_Parametros = new Controlador_Logico_Parametros();
	$filtro_parametros["codigo"] = "APILINK";
	$listado_parametros = $clog_Parametros->getListadoParametros($filtro_parametros, $extra_parametros);

	if ($listado_parametros)
		$apilink = $listado_parametros[0]->value;

	$filtro_parametros["codigo"] = "PUNTOENTRADA";
	$listado_parametros = $clog_Parametros->getListadoParametros($filtro_parametros, $extra_parametros);
	if ($listado_parametros)
		$puntoentrada = $listado_parametros[0]->value;

	$filtro_parametros["codigo"] = "IDEMPRESA";
	$listado_parametros = $clog_Parametros->getListadoParametros($filtro_parametros, $extra_parametros);
	if ($listado_parametros)
		$idempresa = $listado_parametros[0]->value;

	$filtro_parametros["codigo"] = "IDCLIENTE";
	$listado_parametros = $clog_Parametros->getListadoParametros($filtro_parametros, $extra_parametros);
	if ($listado_parametros)
		$idcliente = $listado_parametros[0]->value;


	$filtro_parametros["codigo"] = "IDUSUARIO";
	$listado_parametros = $clog_Parametros->getListadoParametros($filtro_parametros, $extra_parametros);
	if ($listado_parametros)
		$idusuario = $listado_parametros[0]->value;

	$filtro_parametros["codigo"] = "CLAVEDEFONTANA";
	$listado_parametros = $clog_Parametros->getListadoParametros($filtro_parametros, $extra_parametros);
	if ($listado_parametros)
		$clavedefontana = $listado_parametros[0]->value;


		session_start();
		$_SESSION["apilink"] = $apilink;
		$_SESSION["puntoentrada"] = $puntoentrada;
		$_SESSION["idempresa"] = $idempresa;
		$_SESSION["idcliente"] = $idcliente;
		$_SESSION["idusuario"] = $idusuario;
		$_SESSION["clavedefontana"] = $clavedefontana;


}


function conectar_defontana()
{

		cargar_parametros_defontana();
		try 
		{

			// HOMO
			//$api_link = 'https://replgolden.defontana.com/Ventas_Soap/VentaService.svc?wsdl';	// HOMO
			//$punto_entrada = 'https://replgolden.defontana.com/Ventas_Soap/VentaService.svc';	// HOMO
			//$usuario_defontana = 'INTEGRACION';
			//$clave_defontana = '2';
			
			// PRODUCCIN
//			$api_link = 'https://awsgolden.defontana.com/Ventas_Soap/VentaService.svc?wsdl';	// PROD
//			$punto_entrada = 'https://awsgolden.defontana.com/Ventas_Soap/VentaService.svc';	// PROD
//			$usuario_defontana = 'evalenzuela@itekchile.com';
//			$clave_defontana = 'ENRIQUE';

	
			$apilink = $_SESSION["apilink"];
			$puntoentrada = $_SESSION["puntoentrada"];
			$idempresa = $_SESSION["idempresa"];
			$idcliente = $_SESSION["idcliente"];
			$idusuario = $_SESSION["idusuario"];
			$clavedefontana = $_SESSION["clavedefontana"];

//debug($apilink);
//debug($puntoentrada);
//debug($idempresa);
//debug($idcliente);
//debug($idusuario);
//debug($clavedefontana);


					$ctx_opts = array(
					    'http' => array(
				        'header' => 'Content-Type: application/soap+xml; charset=utf-8'
					    )
						);

						$ctx = stream_context_create($ctx_opts);

					$client->soap_defencoding = 'UTF-8';


					$client = new SoapClient($apilink, array('cache_wsdl' =>  WSDL_CACHE_DISK, 'soap_version' => SOAP_1_2, 'reliable' => 1.2 , 'useWSA' => TRUE,array('stream_context' => $ctx) ) );


					$headers = array();
					$headers[] = new SoapHeader('http://www.w3.org/2005/08/addressing', 'To', 'https://replgolden.defontana.com/Ventas_Soap/VentaService.svc', true);
					$headers[] = new SoapHeader('http://www.w3.org/2005/08/addressing', 'Action', 'VentaServicio/VentaServicio/Login', true);
					$client->__setSoapHeaders($headers);

					$requestParams = array( 'idEmpresa' => $idempresa,
														   'idUsuario' => $idusuario,
														   'password' => $clavedefontana);

					$response = $client->Login( $requestParams );

				$id_sesion = $response->LoginResult->IDSesion;
	
			$_SESSION["idsesion"] = $id_sesion;

		}
		catch(Exception $e) 
		{
		    echo $e->getMessage();
		}

}

?>