<?

$old = getcwd();
$new = "../../";
chdir($new);

include_once("validate_session.php");
$url = "../../index_session.php?i=modulos/orden_compra/";

$operacion = checkGET("op","");
	//debug($_POST);
	
	switch ($operacion){
//-------------------------------------------------- Guarda un Recepcion en la DB
case "add":

	
	$id_recepcion 		= checkPOST("id_recepcion", "");
	$id_orden_compra 	= checkPOST("id_orden_compra", "");
	$id_documento 		= checkPOST("id_documento", "");
	$numero_documento 	= checkPOST("numero_documento", "");
	$fecha_documento 	= convertirFecha_fechabd(checkPOST("fecha_documento", ""));
	$fecha_recepcion 	= hoy();
	$total 				= checkPOST("total_recepcion", "");
	$observacion 		= checkPOST("observacion", "");
	$id_bodega 			= checkPOST("id_bodega", "");
	$id_bodega_fabricacion 	= checkPOST("id_bodega_fabricacion", "");
	

	$recepcion = new Recepcion();
	$recepcion->set_id_orden_compra($id_orden_compra);
	$recepcion->set_id_documento($id_documento);
	$recepcion->set_numero_documento($numero_documento);
	$recepcion->set_fecha_documento($fecha_documento);
	$recepcion->set_fecha_recepcion($fecha_recepcion);
	$recepcion->set_total($total);
	$recepcion->set_observacion($observacion);
	$recepcion->set_id_bodega($id_bodega);
	$recepcion->set_id_bodega_fabricacion($id_bodega_fabricacion);
	
	$clog_Recepcion = new Controlador_Logico_Recepcion();
	$id_recepcion = $clog_Recepcion->guardarRecepcion($recepcion);
//	$id_recepcion = Recepcion_guardarRecepcion($recepcion);
	
	$listado_detalle_orden_compra 	= $_POST["id_detalles_orden_compra"];
	$listado_cantidad 				= $_POST["cant_recepcion"];
	$listado_precios 				= $_POST["precio_unitario"];
	
	
	//Procesar la Orden de compra para actualizar el estado de ella
	$orden_compra = new Orden_compra();
	$orden_compra = Orden_compra_getOrden_compra($id_orden_compra);
	
	
	
	//Actualiza la recepcion, el stock y los datos de inventario
	$i = 0;
	foreach ($listado_detalle_orden_compra as $id_detalle_orden_compra)
	{	
		$detalle_orden_compra = Detalle_orden_compra_getDetalle_orden_compra($id_detalle_orden_compra);
		$id_producto = $detalle_orden_compra->get_id_producto();
		$cantidad = $listado_cantidad[$i];
		
		if (($cantidad) and ($id_producto))
		{	
			$detalle_recepcion = new Detalle_recepcion();
			$detalle_recepcion = new Detalle_recepcion($id_recepcion, $id_detalle_orden_compra, $cantidad);		
			Detalle_recepcion_guardarDetalle_recepcion($detalle_recepcion);	
			
			// Actualiza el Saldo pendiente desde el detalle de la orden de compra
			if ($detalle_orden_compra->saldo_recepcion > 0)
			{
				$detalle_orden_compra->saldo_recepcion = $detalle_orden_compra->saldo_recepcion - $cantidad;
				Detalle_orden_compra_actualizarDetalle_orden_compra($detalle_orden_compra);
						
			
				//Actualizar el Proveedor del producto
				$producto = new Producto();
				$producto = Producto_getProducto($id_producto);
				$producto->id_proveedor = $orden_compra->id_proveedor;
				$producto->ult_fecha_recepcion = hoy();
				$producto->ex6 = substr(hoy(),0,4);
	//			debug($producto);
				Producto_actualizarProducto($producto);

				//Actualiza el stock de inventario
				$producto_inventario = new Inventario();
				$producto_inventario 						= Inventario_getProductoInventario($id_bodega, $id_producto);
	//			debug($producto_inventario);
				if (!$producto_inventario)
				{
					$producto_inventario = new Inventario();
					$producto_inventario->id_bodega 	= $id_bodega;
					$producto_inventario->id_sucursal 	= $orden_compra->id_sucursal;
					$producto_inventario->id_producto	= $id_producto;
					$producto_inventario->id_subfamilia	= $orden_compra->id_sucursal;
					$producto_inventario->stock_actual	= 0;
					$producto_inventario->stock_minimo	= 0;
					$producto_inventario->stock_critico	= 0;
					$producto_inventario->conteo_fisico	= 0;
					$id_inventario = Inventario_guardarInventario($producto_inventario);
					$producto_inventario->id_inventario = $id_inventario;
				}

				
				$producto_inventario->stock_actual 			= $producto_inventario->stock_actual + $cantidad;
				$producto_inventario->fecha_ult_mod			= hoy();
	//			$producto_inventario->ultimo_precio_compra	= $listado_precios[$i];
				$producto_inventario->ultimo_precio_compra	= $detalle_orden_compra->get_valor_real_unitario();
				$producto_inventario->id_industria			= $orden_compra->id_proveedor;
				$producto_inventario->nro_orden_compra		= $id_orden_compra;
	//			debug($producto_inventario);
				Inventario_actualizarInventario($producto_inventario);
		
				
		
				//Anotar en la bitacora de Movimientos
				$clog_Movimiento_inventario = new Controlador_Logico_Movimiento_inventario();
				$movimiento_inventario = new Movimiento_inventario();
				$movimiento_inventario->set_id_inventario($producto_inventario->id_inventario);
				$movimiento_inventario->set_id_bodega($producto_inventario->id_bodega);
				$movimiento_inventario->set_id_producto($producto_inventario->id_producto);
				$movimiento_inventario->set_id_tipo_movimiento(4);
				$movimiento_inventario->set_entrada($cantidad);
				$movimiento_inventario->set_salida(0);
				$movimiento_inventario->set_nro_documento($id_recepcion);
				$movimiento_inventario->set_descripcion("RECEPCION ORDEN COMPRA");
				$movimiento_inventario->set_id_usuario(get_id_usuario());
				$movimiento_inventario->set_fecha(hoy());
				$movimiento_inventario->set_ex1($producto_inventario->stock_actual);
				$clog_Movimiento_inventario->guardarMovimiento_inventario($movimiento_inventario);
				
				//Composicin del producto
				if ($orden_compra->producto_terminado == "1")
				{
					$clog_Producto_composicion = new Controlador_Logico_Producto_composicion();
					$filtro_producto_composicion["id_producto"] = $id_producto;
					$listado_producto_composicion = $clog_Producto_composicion->getListadoProducto_composicion($filtro_producto_composicion, $extra_producto_composicion);
					foreach ($listado_producto_composicion as $producto_hijo)
					{
						$producto_inventario_fabricacion = new Inventario();
						$producto_inventario_fabricacion = Inventario_getProductoInventario($id_bodega_fabricacion, $producto_hijo->id_producto_hijo);
						if ($producto_inventario_fabricacion)
						{
							$producto_inventario_fabricacion->stock_actual 			= $producto_inventario_fabricacion->stock_actual - $cantidad;
							Inventario_actualizarInventario($producto_inventario_fabricacion);
										//Anotar en la bitacora de Movimientos
							$clog_Movimiento_inventario = new Controlador_Logico_Movimiento_inventario();
							$movimiento_inventario = new Movimiento_inventario();
							$movimiento_inventario->set_id_inventario($producto_inventario_fabricacion->id_inventario);
							$movimiento_inventario->set_id_bodega($producto_inventario_fabricacion->id_bodega);
							$movimiento_inventario->set_id_producto($producto_inventario_fabricacion->id_producto);
							$movimiento_inventario->set_id_tipo_movimiento(1);
							$movimiento_inventario->set_entrada(0);
							$movimiento_inventario->set_salida($cantidad);
							$movimiento_inventario->set_nro_documento($id_recepcion);
							$movimiento_inventario->set_descripcion("PRODUCTO TERMINADO");
							$movimiento_inventario->set_id_usuario(get_id_usuario());
							$movimiento_inventario->set_fecha(hoy());
							$movimiento_inventario->set_ex1($producto_inventario_fabricacion->stock_actual);
							$clog_Movimiento_inventario->guardarMovimiento_inventario($movimiento_inventario);

						}
					}
				}
			}
		}
		$i++;
	}
	
	$saldo_orden_compra = Orden_compra_getSaldoOrden_compra($id_orden_compra);	
//	debug($saldo_orden_compra);
	if ($saldo_orden_compra == 0) {
		$orden_compra->set_estado(4);	
	}else{
		$orden_compra->set_estado(3);
	}
	Orden_compra_actualizarOrden_compra($orden_compra);
	
	$url .= "resumen_recepcion&id_orden_compra=$id_orden_compra";
	header("Location: $url");
	break;
	
	
//-------------------------------------------------- Guarda un Recepcion en la DB
case "del":
	
	$id_recepcion = checkGET("id_recepcion", 0, "num");
	
	
	$recepcion = new Recepcion();
	$recepcion = Recepcion_getRecepcion($id_recepcion);
	$id_orden_compra	= $recepcion->id_orden_compra;
	$id_bodega			= $recepcion->id_bodega;
	$orden_compra = new Orden_compra();
	$orden_compra = Orden_compra_getOrden_compra($id_orden_compra);
	$orden_compra->estado = 3;
	Orden_compra_actualizarOrden_compra($orden_compra);
	
	
	$listado_recepcion = Detalle_recepcion_getListadoDetalle_recepcion($id_recepcion);
	
	foreach ($listado_recepcion as $detalle_recepcion){
		$id_detalle_orden_compra 				= $detalle_recepcion->id_detalle_orden_compra;
		$cantidad								= $detalle_recepcion->cantidad;
		
		//Actualiza el saldo a recepcionar.
		$detalle_orden_compra 					= new Detalle_orden_compra();
		$detalle_orden_compra 					= Detalle_orden_compra_getDetalle_orden_compra($id_detalle_orden_compra);
		$detalle_orden_compra->saldo_recepcion	+= $cantidad;
		Detalle_orden_compra_actualizarDetalle_orden_compra($detalle_orden_compra);
		
		//Actualiza el stock en inventario.			
		$id_producto							= $detalle_orden_compra->id_producto;
		$producto_inventario 					= Inventario_getProductoInventario($id_bodega, $id_producto);
		$producto_inventario->stock_actual		-= $cantidad;
		Inventario_actualizarInventario($producto_inventario);
		
		//Eliminar el movimiento de inventario.
		$detalle_recepcion->eliminar_movimiento_inventario();
		

		Detalle_recepcion_eliminarDetalle_recepcion($detalle_recepcion->id_detalle_recepcion);
	}
	
	Recepcion_eliminarRecepcion($id_recepcion);
	$url .= "resumen_recepcion&id_orden_compra=$id_orden_compra";
	header("Location: $url");
	break;
	
	
//-------------------------------------------------- Modifica un Recepcion en la DB
case "mod":

	debug($_POST);
	$id_recepcion			= checkPOST("id_recepcion", 0);
	$recepcion = Recepcion_getRecepcion($id_recepcion);
	
	$id_recepcion = checkPOST("id_recepcion", "");
	$id_orden_compra = checkPOST("id_orden_compra", "");
	$id_documento = checkPOST("id_documento", "");
	$numero_documento = checkPOST("numero_documento", "");
	$fecha_documento = checkPOST("fecha_documento", "");
	$fecha_recepcion = checkPOST("fecha_recepcion", "");
	$total = checkPOST("total", "");
	$observacion = checkPOST("observacion", "");
	$id_bodega = checkPOST("id_bodega", "");
	$id_bodega_fabricacion = checkPOST("id_bodega_fabricacion", "");
	
	$temp = new RecepcionOld ($id_orden_compra, $id_documento, $numero_documento, $fecha_documento, $fecha_recepcion, $total, $observacion, $id_bodega, $id_bodega_fabricacion, $id_recepcion);
	$recepcion = new Recepcion();
	
	
//	Recepcion_actualizarRecepcion($temp);
	
	$url .= "mantenedor_recepcion";
//	header("Location: $url");
	
	break;
	}
	
?>
