<?
$old = getcwd();
$new = "../../../";
chdir($new);

header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);

require_once 'Spreadsheet/Excel/Writer.php';	

include_once("validate_session.php");

	$clog_cliente_proveedor = new Controlador_Logico_Cliente_proveedor();	
	$clog_Cliente_particular = new Controlador_Logico_Cliente_particular();

	//----------------------------------------------------------------------------------------
	//	Filtro de Bsqueda
	$usuario = $_SESSION["usuario"];
	$extra["limit"] = checkGET("res_por_pag", 10);
	$filtro_nro_guia = checkGET("filtro_nro_guia", "");
	$filtro_nro_factura = checkGET("filtro_nro_factura", "");
	$filtro_rut_empresa = checkGET("filtro_rut_empresa", "");
	$filtro_rut_cliente = checkGET("filtro_rut_cliente", "");
	$nro_sobre = checkGET("nro_sobre", "");
	$filtro_estado 	= checkGET("filtro_estado", "-1");	
	$filtro_clase = checkGET("filtro_clase", "");
	$filtro_nro_ref = checkGET("filtro_nro_ref", "");
	$nombre = checkGET("filtro", "");
	$fecha_ini = convertirFecha_fechabd(checkPOST("fecha", checkGET("fecha",substr(hoy(),0,8))));
	$fecha_final = convertirFecha_fechabd(checkPOST("fecha2", checkGET("fecha2",substr(hoy(),0,8))));
	$filtro_cliente = checkGET("filtro_cliente", "");
	$filtro_sucursal = checkGET("filtro_sucursal", "");
	$id_vendedor = checkGET("id_vendedor", "");
	$solo_diferencias = checkGET("solo_diferencias", "");

	if ($filtro_nro_factura <> "")
	{
		$clog_Ventas = new Controlador_Logico_Ventas();
		$filtro_ventas["numero_venta"] = $filtro_nro_factura;
		$listado_venta = $clog_Ventas->getListadoVentas($filtro_ventas);
		if ($listado_venta)
			$filtro_guia["id_venta"] = $listado_venta[0]->id_venta;
	}

	if ($filtro_nro_guia <> "")
		$filtro_guia["nro_guia"] = $filtro_nro_guia;


	if ($filtro_rut_empresa <> "")
	{
		$filtro_rut = $filtro_rut_empresa;
		if ($extra)
			$extra["sql"] = ", cont_cliente_proveedor cp WHERE  cp.rut like  '$filtro_rut' AND cp.id_cliente_proveedor = gd.id_cliente_proveedor ";
	}

	if ($filtro_rut_cliente <> "")
	{
		$filtro_rut = $filtro_rut_cliente;
		if ($extra)
			$extra["sql"] = ", cliente_particular cp WHERE  cp.rut like  '$filtro_rut' AND cp.id_cliente_particular = gd.id_cliente_proveedor ";
	}



	if ($usuario->id_sucursal <> "0")
		$filtro_guia["id_sucursal"] 	= $usuario->id_sucursal;
	else
	{
		if ($filtro_sucursal <> "")
			$filtro_guia["id_sucursal"] 	= $filtro_sucursal;
	}

	if ($filtro_nro_ref !== "") 		
	{
			$filtro_guia["clase"] = $filtro_clase ;
			$filtro_guia["numero_referencia"] = $filtro_nro_ref ;
	}
	else
	{
		if ($filtro_estado <> "-1")	
			$filtro_guia["gd.estado"] = $filtro_estado;

		if ($id_vendedor !== "0" and $id_vendedor !== "")  		
			$filtro_guia["id_vendedor"] = $id_vendedor;

		if (!$filtro_guia and !$extra["sql"])
			$extra["rango_fecha"] = " WHERE fecha_documento >='$fecha_ini"."0000'"." AND fecha_documento	<='$fecha_final"."2359'";
		else
			$extra["rango_fecha"] = " AND fecha_documento >='$fecha_ini"."0000'"." AND fecha_documento <='$fecha_final"."2359'";
	}
	$extra["order"] = "fecha_documento DESC";
//	$extra["order"] = "nro_guia DESC";
	$listado_guia_despacho = guia_despacho_getListadoguia_despacho_filtro($filtro_guia, $extra);
	

$workbook = new Spreadsheet_Excel_Writer();
$nombre_archivo=str_replace(" ","_","libro_guias");
$nombre_archivo=substr($nombre_archivo,0,25); 
$workbook->send("$nombre_archivo.xls");

// **************** Seteo de formatos ************************
$formato_titulo_grande=& $workbook->addFormat();
$formato_titulo_grande->setSize (14);
$formato_titulo_grande->setBold (1);
$formato_titulo_grande->setFgColor("blue");
$formato_titulo_grande->setColor ("white");
$formato_titulo =& $workbook->addFormat();
$formato_titulo->setBold (1);
$formato_titulo->setFgColor("blue");
$formato_titulo->setColor ("white");

// ***************** NOMBRE DE LA HOJA *************************
$worksheet =& $workbook->addWorksheet("$nombre_archivo");
//Registrar ttulo principal
$titulo_principal = "RESUMEN GUIAS DE DESPACHO".$fecha_proceso;
$worksheet->writeString ($count_row, 0, $titulo_principal,$formato_titulo_grande);

// ******************** ENCABEZADOS DE COLUMNAS ************************
	$col = 0;
	$fila = 2;
	$worksheet->writeString($fila, $col++, "Corr.",$formato_titulo);
	$worksheet->writeString($fila, $col++, "Sucursal",$formato_titulo);
	$worksheet->writeString($fila, $col++, "N Gua",$formato_titulo);
	$worksheet->writeString($fila, $col++, "Tipo",$formato_titulo);
	$worksheet->writeString($fila, $col++, "Docto. Ref.",$formato_titulo);
	$worksheet->writeString($fila, $col++, "N Docto. Ref.",$formato_titulo);
	$worksheet->writeString($fila, $col++, "Cliente",$formato_titulo);
	$worksheet->writeString($fila, $col++, "Rut",$formato_titulo);
	$worksheet->writeString($fila, $col++, "Empresa",$formato_titulo);
	$worksheet->writeString($fila, $col++, "Vendedor",$formato_titulo);
	$worksheet->writeString($fila, $col++, "Fecha",$formato_titulo);
	$worksheet->writeString($fila, $col++, "Monto",$formato_titulo);
	$worksheet->writeString($fila, $col++, "Pagos",$formato_titulo);
	$worksheet->writeString($fila, $col++, "Saldo",$formato_titulo);
	$worksheet->writeString($fila, $col++, "Observacin",$formato_titulo);
	$worksheet->writeString($fila, $col++, "Estado",$formato_titulo);
	$worksheet->writeString($fila, $col++, "N Factura",$formato_titulo);
	$worksheet->writeString($fila, $col++, "Monto Factura",$formato_titulo);
	$i = 1;

	foreach ($listado_guia_despacho as $item)
	{
		if ($solo_diferencias)
		{
			if ($item->monto <> round($item->monto_venta,0))
			{
				$fila++;
				$col = 0;
				$monto_factura = round($item->total+$item->iva,0);
				$worksheet->writeString($fila, $col++, $i++,$formato);
				$worksheet->writeString($fila, $col++, $item->nombre_sucursal,$formato);
				$worksheet->writeString($fila, $col++, $item->nro_guia,$formato);
				$worksheet->writeString($fila, $col++, $item->nombre_tipo,$formato);
				$worksheet->writeString($fila, $col++, $item->nombre_clase,$formato);
				$worksheet->writeString($fila, $col++, $item->numero_referencia,$formato);
				$worksheet->writeString($fila, $col++, $item->nombre_cliente,$formato);
				$worksheet->writeString($fila, $col++, $item->rut_cliente,$formato);
				$worksheet->writeString($fila, $col++, $item->nombre_cliente_empresa,$formato);
				$worksheet->writeString($fila, $col++, $item->nombre_vendedor,$formato);
				$worksheet->writeString($fila, $col++, ConvertirFechaBD_fecha($item->fecha_documento),$formato);
				$worksheet->writeString($fila, $col++, money_php($item->monto),$formato);
				$worksheet->writeString($fila, $col++, $item->pago_cliente,$formato);
				$worksheet->writeString($fila, $col++, money_php($item->saldo),$formato);
				$worksheet->writeString($fila, $col++, $item->observacion,$formato);
				$worksheet->writeString($fila, $col++, $item->nombre_estado,$formato);
				$worksheet->writeString($fila, $col++, $item->numero_venta,$formato);
				$worksheet->writeString($fila, $col++, money_php($item->monto_venta),$formato);
			}
		}
		else
		{
				$fila++;
				$col = 0;
				$monto_factura = round($item->total+$item->iva,0);
				$worksheet->writeString($fila, $col++, $i++,$formato);
				$worksheet->writeString($fila, $col++, $item->nombre_sucursal,$formato);
				$worksheet->writeString($fila, $col++, $item->nro_guia,$formato);
				$worksheet->writeString($fila, $col++, $item->nombre_tipo,$formato);
				$worksheet->writeString($fila, $col++, $item->nombre_clase,$formato);
				$worksheet->writeString($fila, $col++, $item->numero_referencia,$formato);
				$worksheet->writeString($fila, $col++, $item->nombre_cliente,$formato);
				$worksheet->writeString($fila, $col++, $item->rut_cliente,$formato);
				$worksheet->writeString($fila, $col++, $item->nombre_cliente_empresa,$formato);
				$worksheet->writeString($fila, $col++, $item->nombre_vendedor,$formato);
				$worksheet->writeString($fila, $col++, ConvertirFechaBD_fecha($item->fecha_documento),$formato);
				$worksheet->writeString($fila, $col++, money_php($item->monto),$formato);
				$worksheet->writeString($fila, $col++, $item->pago_cliente,$formato);
				$worksheet->writeString($fila, $col++, money_php($item->saldo),$formato);
				$worksheet->writeString($fila, $col++, $item->observacion,$formato);
				$worksheet->writeString($fila, $col++, $item->nombre_estado,$formato);
				$worksheet->writeString($fila, $col++, $item->numero_venta,$formato);
				$worksheet->writeString($fila, $col++, money_php($item->monto_venta),$formato);
		}

	}
$workbook->close(); 

?>

