

/**Funcin principal*/
function validate_form(vForm)
{

  var x = vForm.elements;
  var errors = "";
  var menor=-1;
  var fecha1="";
  var nombreFecha1="";
  var label=""
  for (var i=0;i<x.length;i++)
  {
	  if(!x[i].getAttribute('label'))
	  	label=x[i].getAttribute('name');
	  else
	  	label=x[i].getAttribute('label')

	  if(x[i].type.toUpperCase()=="TEXT")
	  {
			// Validacin de Campos Nulos
		if(x[i].value.length>0 && x[i].value!="//")
		{
			switch (x[i].getAttribute("_tipo"))
			{
				case "textOm":
				case "text" ://validacin de campos que deben tener solo texto

					  if(!isText(x[i].value))
					  {

						errors +='- El campo "' +label + '" slo acepta texto.\n';
						if(menor==-1)
							menor=i;
					  }
					  break;
				case "num"://validacin de campos que deben tener solo nmeros
				case "numOm":
					if (!isNumeric(x[i].value))
					{
						errors += '- El campo "' + label + '" debe contener slo valores numricos.\n';
						if(menor==-1)
							menor=i;
					}
					break;
				case "email"://validacin de campos que deben tener formato de e-mail
						var filter = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
						if (filter.test(x[i].value))
						{}else
						{
							errors +='- El campo "' + label + '" debe tener un formato de e-mail.\n';
							if(menor==-1)
								menor=i;
						}
						break;
				case "rut"://validacin de campos que deben tener formato de rut
						if (!validarRut(x[i].value))
						{
							errors +='- El campo "' + label + '" debe tener un Rut vlido.\n';
							if(menor==-1)
								menor=i;
						}
						break;
				case "textNum":
						if(!isTexNum(x[i].value))
						{
							errors +='- El campo "' + label + '" puede tener solo nmeros y letras.\n';
							if(menor==-1)
								menor=i;

						}
						break;
				case "fecha"://validacin de campos que deben tener formato de fecha dd/mm/aaaa
						if(!validarFecha(x[i].value))
						{
							errors +='- El campo "' + label + '" debe tener el formato de fecha: dd/mm/aaaa y adems debe ser una fecha vlida.\n';
							if(menor==-1)
								menor=i;
						}
						else
						{
							if(x[i].getAttribute("_orden")=="1")
							{
								fecha1=x[i].value;
								nombreFecha1=x[i].getAttribute("label");
							}
							else
							{
								if(x[i].getAttribute("_orden")=="2")
								{
									if(!comparar(fecha1,x[i].value))
									{
										errors +='- La fecha "'+ nombreFecha1 +'" no puede ser mayor a la "'+ label + '".\n';
										if(menor==-1)
											menor=i;
									}
								}
							}
						}
						break;
				case "patente" :
					if(!isPatente(x[i].value))
					{
							errors +='- El campo "' + label + '" debe ser una patente.\n';
							if(menor==-1)
								menor=i;
					}
					break;
			}//switch

		}//if(x[i].value.length>0)
	else
	{
		//alert(x[i].getAttribute("_tipo"));
		if(x[i].getAttribute("_tipo")!="textOm" && x[i].getAttribute("_tipo")!="numOm" && x[i].getAttribute("_tipo")!="omitir")
		{
			errors +='- En el campo "' + label + '" debe ingresar valores.\n';
			if(menor==-1)
			    menor=i;
		}
	}//if(x[i].value.length>0)
  }//if(x[i].type.toUpperCase()=="TEXT")
  else
	{ /** procesa los input tipo lista*/
		if(x[i].type.toUpperCase()=="SELECT-ONE")
		{
			if(x[i].value=="Elegir" || x[i].value=="" || x[i].value=="0")
			{
				errors +='- Debe seleccionar un dato en la lista "' + label + '" .\n';
				if(menor==-1)
			    	menor=i;

			}

		}
	}
  }//for

  if (errors.length>0)
  {
  	errors = "Se encontraron los siguientes errores al enviar la informacin: \n" + errors;
	alert(errors);
	if(menor>-1)
	x[menor].focus();
	return false;
  }
  else
	return true;
}//funcion validar.
/**funcin usada para validar solo nmeros*/

//valida que no existan dos guias iguales para un mismo concesionario

function isNumeric(strString)
{
   var strValidChars = "0123456789.-";
   var strChar;
   var blnResult = true;
   for (i = 0; i < strString.length && blnResult == true; i++){
      strChar = strString.charAt(i);
      if (strValidChars.indexOf(strChar) == -1)
          blnResult = false;
   }
   return blnResult;
}
/**funcin usada para campos que pueden contener texto y numeros*/
function isTexNum(palabra)
{
   var strValidChars = "0123456789" + "ABCDEFGHIJKLMNOPQRSTUVWXYZ" + "abcdefghijklmnopqrstuvwxyz ";
   var strChar;
   var blnResult = true;
   for (i = 0; i < palabra.length && blnResult == true; i++)
   {
      strChar = palabra.charAt(i);
      if (strValidChars.indexOf(strChar) == -1)
          blnResult = false;
   }
   return blnResult;
}
/**funcin usada para validar patentes*/
function isPatente(patente)
{
	var checkText = "ABCDEFGHIJKLMNOPQRSTUVWXYZ" + "abcdefghijklmnopqrstuvwxyz ";
	var checkNum = "0123456789";
	var blnResult = true;
if(patente.length==7)
{
   for (i = 0; i <3 && blnResult == true; i++)
   {
      strChar = patente.charAt(i);
      if (checkText.indexOf(strChar) == -1 && i!=2)
          blnResult = false;
	  if(i==2 && strChar!="-")
          blnResult = false;
   }

   for (i = 3; i < 7 && blnResult == true; i++)
   {
      strChar = patente.charAt(i);
      if (checkNum.indexOf(strChar) == -1)
          blnResult = false;
   }
   return blnResult;
}

}
/**funcin usada para validar solo texto*/
function isText(palabra)
{
	 var checkOK = "ABCDEFGHIJKLMNOPQRSTUVWXYZ" + "abcdefghijklmnopqrstuvwxyz ";
	 var otro =palabra;

	 var checkStr = palabra;
	 var allValid = true;
	  for (i = 0; i < checkStr.length; i++) {
	    ch = checkStr.charAt(i);
	    for (j = 0; j < checkOK.length; j++)
	      if (ch == checkOK.charAt(j))
	        break;
	    if (j == checkOK.length) {
	      allValid = false;
	      break;
	    }
	  }

	  if (!allValid)
	    return false;
	  else
  	    return true;
}
/**funcin usada para validar rut*/
function validarRut(rut)
{
	if (rut == "1111111111")
	{
		rut = "0".concat(rut);
		return false;
	}

	switch (rut.length)
	{
  		case 9: rut = "0".concat(rut);break;
  		case 8: rut = "00".concat(rut);break;
    }
	var count=0;
	var count2=0;
	var factor=2;
	var suma=0;
	var sum=0;
	var digito=0;
	digito_a_verificar = rut.substring(10,9);
	if (digito_a_verificar == "k" || digito_a_verificar == "K")
		digito_a_verificar = 10;
	rut = rut.substring(8,0);
	count2=rut.length - 1;
	while(count < rut.length)
	{
		sum = factor * (parseInt(rut.substr(count2,1)));
		suma = suma + sum;
		sum=0;
		count = count + 1;
		count2 = count2 - 1;
		factor = factor + 1;
		if(factor > 7)
			factor=2;
	}
	digito= 11 - (suma % 11)
	if(digito==11)
		digito=0;
	if (digito_a_verificar != digito)
		return false;
	else
		return true;
}
/**funcin usada para validar las fechas*/
    var a, mes, dia, anyo, febrero;
    function anyoBisiesto(anyo)
    {
        if (anyo < 100)
            var fin = anyo + 1900;
        else
            var fin = anyo ;

        if (fin % 4 != 0)
            return false;
        else
        {
            if (fin % 100 == 0)
            {
                if (fin % 400 == 0)
                   return true;
                else
                   return false;
            }
            else
                return true;
        }
    }
    function validarFecha(fecha)
    {
       a=fecha;
       dia=a.split("/")[0];
       mes=a.split("/")[1];
       anyo=a.split("/")[2];
	   if( (isNaN(dia)==true) || (isNaN(mes)==true) || (isNaN(anyo)==true) )
		 return false;
	   if(anyoBisiesto(anyo))
           febrero=29;
       else
           febrero=28;
       if ((mes<1) || (mes>12))
	       return false;
       if ((mes==2) && ((dia<1) || (dia>febrero)))
			 return false;
       if (((mes==1) || (mes==3) || (mes==5) || (mes==7) || (mes==8) || (mes==10) || (mes==12)) && ((dia<1) || (dia>31)))
		     return false;
       if (((mes==4) || (mes==6) || (mes==9) || (mes==11)) && ((dia<1) || (dia>30)))
		     return false;
       if ((anyo<1900) || (anyo>2010))
		     return false;
       else
		     return true;
    }
function comparar(fi,ff)
{
	var dia1 =fi.substring(0,2);
	var mes1 =fi.substring(3,5);
	var anio1=fi.substring(6,10);

	var dia2 =ff.substring(0,2);
	var mes2 =ff.substring(3,5);
	var anio2=ff.substring(6,10);

	dia1 = parseInt(dia1,10);
	mes1 = parseInt(mes1,10);
	anio1= parseInt(anio1,10);

	dia2 = parseInt(dia2,10);
	mes2 = parseInt(mes2,10);
	anio2= parseInt(anio2,10);

	/*iniciamos comparando los aos*/

	if (anio1 > anio2)
	{
		return false;
	}
	/*Ahora se comparan los meses*/
	if ((anio1<=anio2) && (mes1 > mes2))
	{
		return false;
	}
	/*Ahora se comparan los dias*/
	if ((anio1<=anio2) && (mes1==mes2) && (dia1 <= dia2))
	{
		return true;
	}
	if ((anio1<=anio2) && (mes1<mes2))
	{
		return true;
	}
	return false;
}