<?

$old = getcwd();
$new = "../../../";
chdir($new);

include_once("validate_session.php");
$url = "../../../admin_session.php?i=modulos/contabilidad/plan_cuenta/";

$operacion = checkGET("op","");
//debug($_POST);

switch ($operacion){
	//-------------------------------------------------- Guarda un Nivel_plan_cuenta en la DB
	case "add":

	//debug($_POST);
	$id_empresa 				= checkPOST("id_empresa", "");
	
	$empresa					= ContEmpresa_getContEmpresa($id_empresa);
	
	$id_nivel_plan_cuenta 		= checkPOST("id_nivel_plan_cuenta", "");
	$id_nivel_plan_cuenta_padre = checkPOST("id_nivel_plan_cuenta_padre", "");
	$id_plan_cuenta				= checkPOST("id_plan_cuenta", "");

	if (!$id_nivel_plan_cuenta_padre)
		$id_nivel_plan_cuenta_padre = $id_plan_cuenta;
	else{
		$nivel_plan_cuenta_padre = Nivel_plan_cuenta_getNivel_plan_cuenta($id_nivel_plan_cuenta_padre);
		$codigo_padre = $nivel_plan_cuenta_padre->codigo;
		$nivel_padre = $nivel_plan_cuenta_padre->get_nivel();
	}

	$id_usuario 		= checkPOST("id_usuario", "");
	$formato_nivel 		= checkPOST("formato_nivel", "");
	$nivel 				= $nivel_padre+1;
	$nombre 			= checkPOST("nombre", "");
	$descripcion 		= checkPOST("descripcion", "");
	$fecha_creacion 	= checkPOST("fecha_creacion", "");
	$fecha_modificacion = checkPOST("fecha_modificacion", "");
	$es_ultimo_nivel 	= checkPOST("es_ultimo_nivel", "");
	$codigo_unitario	= checkPOST("codigo_unitario", "");
	
	$formato_nivel 		= checkPOST("formato_nivel","");
	$cant_digitos  		= checkPOST("cant_digitos","");
	
	if ($cant_digitos > strlen($codigo_unitario)){
		$codigo = "0".$codigo_unitario;
	}else
		$codigo = $codigo_unitario;
	
	$formato_plan_cuenta = explode(".",$empresa->get_formato_plan_cuenta());
	if (sizeof($formato_plan_cuenta) - $nivel == 1)
		$es_ultimo_nivel = 1;

	$cant_digitos = strlen($formato_plan_cuenta[$nivel_actual]);
	$formato_nivel = $formato_plan_cuenta[$nivel_actual];
	
	$codigo = $codigo_padre.$codigo;

	$temp = new Nivel_plan_cuenta ($id_nivel_plan_cuenta_padre, $id_plan_cuenta, $id_usuario, $formato_nivel, $nivel, $nombre, $descripcion, $fecha_creacion, $fecha_modificacion, $es_ultimo_nivel, $codigo, $codigo_unitario, $extra3, $extra4, $id_nivel_plan_cuenta);

	//debug($size_codigo_unitario);
	
	$filtro_nivel_plan_cuenta["codigo"] = $codigo;
	$filtro_nivel_plan_cuenta["id_plan_cuenta"] = $id_plan_cuenta;
	if (Nivel_plan_cuenta_getListadoNivel_plan_cuenta($filtro_nivel_plan_cuenta)){
		$msg = "Ya existe una cuenta con ese codigo";
	}
	else{
		$id_nivel_plan_cuenta = Nivel_plan_cuenta_guardarNivel_plan_cuenta($temp);
	}
	
	$url .= "mantenedor_nivel_plan_cuenta&id_nivel_plan_cuenta_padre=$id_nivel_plan_cuenta_padre&id_plan_cuenta=$id_plan_cuenta&id_empresa=$id_empresa&msg=$msg";		
	header("Location: $url");
	break;


	//-------------------------------------------------- Guarda un Nivel_plan_cuenta en la DB
	case "del":
	//debug($_GET);

	$id_nivel_plan_cuenta 		= checkGET("id_nivel_plan_cuenta", 0, "num");
	$id_nivel_plan_cuenta_padre = checkGET("id_nivel_plan_cuenta_padre", 0, "num");
	$id_plan_cuenta 	 		= checkGET("id_plan_cuenta", 0, "num");
	$id_empresa			  		= checkGET("id_empresa", 0, "num");

	$nivel_plan_cuenta = Nivel_plan_cuenta_getNivel_plan_cuenta($id_nivel_plan_cuenta);
		
	Nivel_plan_cuenta_eliminarNivel_plan_cuenta($id_nivel_plan_cuenta);
	
	$url .= "mantenedor_nivel_plan_cuenta&id_nivel_plan_cuenta_padre=$id_nivel_plan_cuenta_padre&id_plan_cuenta=$id_plan_cuenta&id_empresa=$id_empresa";
	header("Location: $url");
	break;


	//-------------------------------------------------- Modifica un Nivel_plan_cuenta en la DB
	case "mod":

	//debug($_POST);
	$id_empresa 				= checkPOST("id_empresa", "");
	$id_plan_cuenta 			= checkPOST("id_plan_cuenta", "");
	$id_nivel_plan_cuenta		= checkPOST("id_nivel_plan_cuenta", 0);
	$id_nivel_plan_cuenta_padre	= checkPOST("id_nivel_plan_cuenta_padre", "");
	
	if (!$id_nivel_plan_cuenta_padre)
		$id_nivel_plan_cuenta_padre = $id_plan_cuenta;
	else{
		$nivel_plan_cuenta_padre = Nivel_plan_cuenta_getNivel_plan_cuenta($id_nivel_plan_cuenta_padre);
		$codigo_padre = $nivel_plan_cuenta_padre->codigo;
		$nivel_padre = $nivel_plan_cuenta_padre->get_nivel();
	}	
	
	$nivel_plan_cuenta 			= Nivel_plan_cuenta_getNivel_plan_cuenta($id_nivel_plan_cuenta);

	$nivel_plan_cuenta->id_nivel_plan_cuenta = checkPOST("id_nivel_plan_cuenta", "");
	$nivel_plan_cuenta->id_nivel_plan_cuenta_padre = $id_nivel_plan_cuenta_padre;
	$nivel_plan_cuenta->id_plan_cuenta = checkPOST("id_plan_cuenta", "");
	$nivel_plan_cuenta->id_usuario = checkPOST("id_usuario", "");
	$nivel_plan_cuenta->formato_nivel = checkPOST("formato_nivel", "");
	
	$nivel_plan_cuenta->nombre = checkPOST("nombre", "");
	$nivel_plan_cuenta->descripcion = checkPOST("descripcion", "");
	$nivel_plan_cuenta->fecha_creacion = checkPOST("fecha_creacion", "");
	$nivel_plan_cuenta->fecha_modificacion = checkPOST("fecha_modificacion", "");
	$empresa = ContEmpresa_getContEmpresa($id_empresa);
	$formato_plan_cuenta = explode(".",$empresa->get_formato_plan_cuenta());
	
	$nivel 				= $nivel_padre+1;
	if (sizeof($formato_plan_cuenta) - $nivel == 1)
		$es_ultimo_nivel = 1;
	
	$nivel_plan_cuenta->es_ultimo_nivel = $es_ultimo_nivel;
	$nivel_plan_cuenta->extra3 = checkPOST("extra3", "");
	$nivel_plan_cuenta->extra4 = checkPOST("extra4", "");
	
	$nivel_plan_cuenta_padre = Nivel_plan_cuenta_getNivel_plan_cuenta($id_nivel_plan_cuenta_padre);
	$codigo_padre = $nivel_plan_cuenta_padre->codigo;
	$formato_nivel 		= checkPOST("formato_nivel", "");
	$codigo_unitario	= checkPOST("codigo_unitario", "");
	
	$nivel_plan_cuenta->codigo_unitario = $codigo_unitario;
	
	$size_codigo_unitario = strlen($codigo_unitario);
	
	$nivel_padre = $nivel_plan_cuenta_padre->get_nivel();
	
	$nivel_plan_cuenta->nivel = $nivel_padre+1;
	
	$formato_nivel = checkPOST("formato_nivel","");
	$cant_digitos  = checkPOST("cant_digitos","");
	
	if ($cant_digitos > strlen($codigo_unitario)){
		$codigo = "0".$codigo_unitario;
	}else
		$codigo = $codigo_unitario;
	
	$codigo = $codigo_padre.$codigo;
	
	
	$nivel_plan_cuenta->codigo = $codigo;
	
	$filtro_nivel_plan_cuenta["codigo"] = $codigo;
	$filtro_nivel_plan_cuenta["id_plan_cuenta"] = $id_plan_cuenta;
	$nivel_existente = Nivel_plan_cuenta_getListadoNivel_plan_cuenta($filtro_nivel_plan_cuenta);
		
	if (($nivel_existente) && ($nivel_existente[0]->id_nivel_plan_cuenta != $id_nivel_plan_cuenta)){
		$msg = "Ya existe una cuenta con ese codigo";
	}
	else{
		Nivel_plan_cuenta_actualizarNivel_plan_cuenta($nivel_plan_cuenta);
	}
	
	$url .= "mantenedor_nivel_plan_cuenta&id_nivel_plan_cuenta_padre=$id_nivel_plan_cuenta_padre&id_plan_cuenta=$id_plan_cuenta&id_empresa=$id_empresa&msg=$msg";
	header("Location: $url");

	break;
}

?>
