<?
$old = getcwd();
$new = "../../";
chdir($new);

header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);

define('FPDF_FONTPATH','../siaweb_system/pdf/font/');
require('../siaweb_system/pdf/fpdf.php');
include_once("validate_session.php");

$id_documento_venta = checkGET("id_documento_venta","");
$tipo_documento = checkGET("tipo_documento","");

$clog_Cliente_proveedor = new Controlador_Logico_Cliente_proveedor();

$documento_venta = Documento_venta_getDocumento_venta($id_documento_venta);
$cliente_proveedor = $clog_Cliente_proveedor->getCliente_proveedor($documento_venta->get_id_proveedor());


class PDF extends FPDF
{
	//Cabecera de pgina
	function Header()
	{
		//Logo
		//$this->Image('logochico.jpg',10,8,33);
		//Arial bold 15
		$this->SetFont('Arial','BU',12);
		//Movernos a la derecha
		//$this->Cell(80);
		//Ttulo

		//Salto de lnea

	}

	//Pie de pgina
	function Footer()
	{
		//Posicin: a 1,5 cm del final
		$this->SetY(-25);
		//Arial italic 8
		$this->SetFont('Arial','',8);
		//Nmero de pgina
		$this->Cell(0,10,'Cavancha 109 - Fono: (55) 239266 - Fax: (55) 237689 - Email: maestranza@gordillo.cl - Antofagasta',"T",0,'C');
	}

	//Cargar los datos
	function LoadData($file)
	{
		//Leer las lneas del fichero
		$lines=file($file);
		$data=array();
		foreach($lines as $line)
		$data[]=explode(';',chop($line));
		return $data;
	}

	function BasicTable($header,$data)
	{
		//Cabecera
		foreach($data as $row)
		{
			$this->Cell(0,6,$row,11);
			$this->Ln();
		}
	}

	//Una tabla ms completa
	function ImprovedTable($header,$data)
	{
		$this->Cell($w[$i],7,$header[$i],1,0,'C');
		$this->Ln();
		//Datos
		foreach($data as $row)
		{
			$this->Cell($w[0],6,$row[0],'LR');
			$this->Cell($w[1],6,$row[1],'LR');
			$this->Cell($w[2],6,number_format($row[2]),'LR',0,'R');
			$this->Cell($w[3],6,number_format($row[3]),'LR',0,'R');
			$this->Ln();
		}
		//Lnea de cierre
		$this->Cell(array_sum($w),0,'','T');
	}
}

//Creacin del objeto de la clase heredada
$pdf = new PDF();
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Arial','',8);
/************* ENCABEZADO *****************************************/
$pdf->SetFont('Arial','',7);
$pdf->Cell(0,0,$documento_venta->get_fecha_documento(),0,1,'L');
$pdf->Ln(4);
$pdf->Cell(0,0,$cliente_proveedor->get_razon_social(),0,1,'L');
$pdf->Ln(4);
$pdf->Cell(0,0,$cliente_proveedor->get_direccion(),0,1,'L');
$pdf->Ln(4);
$pdf->Cell(0,0,$cliente_proveedor->get_giro(),0,1,'L');
$pdf->Ln(6);
/*****************************************/

/************* ANTECEDENTES DEL CLIENTE ***************************/
$pdf->SetFont('Arial','B',10);


$archivo = "fact_venta_$id_documento_venta.pdf";
$pdf->Output("modulos/reportes/pdf/$archivo");
header("Location: pdf/$archivo");
?>