<?
$old = getcwd();
$new = "../../../";
chdir($new);

header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);

include_once("validate_session.php");
include_once("variables_globales.inc");

// CAPTURA DE DATOS
$id_comprobante = checkGET("idcmp","");
$fin = checkGET("f", false);
$inicio = checkGET("i", false);
$f = explode("/", convertirFechaBD_fecha($fin));
$i = explode("/", convertirFechaBD_fecha($inicio));
$ao_proceso_fin = $f[2];
$mes_proceso_fin = $f[1];
$dia_proceso_fin = $f[0];

$ao_proceso_ini = $i[2];
$mes_proceso_ini = $i[1];
$dia_proceso_ini = $i[0];

$titulo = "BALANCE GENERAL DESDE EL $dia_proceso_ini/$mes_proceso_ini/$ao_proceso_ini HASTA EL $dia_proceso_fin/$mes_proceso_fin/$ao_proceso_fin";

$dia_proceso += 1;
if ($dia_proceso > 31){ 
	$mes_proceso += 1;
	$dia_proceso = 01;
	if ($mes_proceso > 12){
		$ao_proceso += 1;
		$mes_proceso = 01;
	}
}

$id_empresa  = $_SESSION["id_empresa_seleccionada"];
$empresa = ContEmpresa_getContEmpresa($id_empresa);

$clog_cc = new Controlador_Logico_Cont_comprobante();
$clog_dc = new Controlador_Logico_Cont_detalle_comprobante();
$clog_parametro = new Controlador_Logico_Cmn_parametro();


$filtro_cuenta["id_plan_cuenta"] = $empresa->get_id_plan_cuenta();
$extra_cuenta["order"] = "codigo";
$listado_cuentas = Cuenta_getListadoCuenta($filtro_cuenta,$extra_cuenta);


class PDF_BCI extends PDFTable {

	function Header() {
		

		parent :: Header();
		$this->setXY(100, 10);
		$this->Image(''.$this->conf_empresa_logo_reporte, 5, 4, 15);
		$this->SetFont('Arial', 'B', 12);
		$this->Cell();
	//	$this->Cell(169, 10, 'ADDCORP', 0, 0, "C");
		$this->Line(5, 20, 294, 20);
		$this->ln(18);
	}

	function Footer() {
		
		parent :: Footer();
		$this->SetLeftMargin(25);
		$this->SetY(-12);
		//$this->Line(25, 250, 195, 250); 	
		$this->SetFont('Arial', 'B', 8);
		//$this->MultiCell(240, 3, 'ADDCORP S.A', 0, 'C');
		$this->SetFont('Arial', '', 6);
		//$this->MultiCell(240, 3, 'Servicios - Asesoras - Capacitacin', 0, 'C');
		//$this->MultiCell(240, 3, 'Antonino Toro #1125. Fono 449 072 - 449 200. Fax 449 200. Antofagasta', 0, 'C');
		//$this->MultiCell(240);
		$this->SetFont('Arial', '', 6);
		$this->MultiCell(240, 3, $this->conf_empresa_pie_1, 0, 'C');
		$this->MultiCell(240, 3, $this->conf_empresa_pie_2, 0, 'C');
				
		//$this->Cell(0,5,'Pgina '.$this->PageNo().'/{nb}',0,0,'R'); 
	}
} //fin clase

//Creacin del objeto de la clase heredada


$pdf = new PDF_BCI("L","mm","A4",$conf_empresa_logo_reporte,$conf_empresa_pie_1,$conf_empresa_pie_2);
$pdf->AddPage();
$pdf->SetFont('Times', 'U', 10);
$pdf->SetTitle($titulo);
$pdf->SetAuthor('ITEKCHILE');

$pdf->SetRightMargin(2);
$pdf->SetLeftMargin(15);
$pdf->SetAutoPageBreak(true, 200);

$pdf->setXY(0, 5);
//$pdf->Cell(0, 0, "N ".$comprobante->get_numero(), 0, 1, 'R');
$pdf->setXY(0, 10);
$pdf->Cell(0, 0, $titulo, 0, 1, 'C');
$pdf->setXY(0, 14);
//$pdf->Cell(0, 0, $fecha_proceso, 0, 1, 'C');
$pdf->setXY(0, 20);
$pdf->SetFont('Times', '', 7);

$tabla_encabezado ="" .
		"<table width=280 border=1>" .
		"	<tr>" .
		"		<td align=center width='18'>CUENTAS</td>" .
		"		<td align=center width='86'>DESCRIPCIN</td>" .
		"		<td align=center width='22'>DBITOS</td>" .
		"		<td align=center width='22'>CRDITOS</td>" .
		"		<td align=center width='22'>S.DEUDOR</td>" .
		"		<td align=center width='22'>S.ACREEDOR</td>" .
		"		<td align=center width='22'>ACTIVO</td>" .
		"		<td align=center width='22'>PASIVO</td>" .
		"		<td align=center width='22'>PRDIDAS</td>" .
		"		<td align=center width='22'>GANANCIAS</td>" .		
		"	</tr>";
		$st_debito   = 0;
		$st_credito  = 0;
		$st_deudor   = 0;
		$st_acreedor = 0;
		$st_activo   = 0;
		$st_pasivo   = 0;
		$st_perdida  = 0;
		$st_ganancia = 0;
		if ($dia_proceso < 10 && strlen($mes_proceso) < 2){
				$dia_proceso = "0".$dia_proceso;
		}
		if ($mes_proceso < 10 && strlen($mes_proceso) < 2){
				$mes_proceso = "0".$mes_proceso;
		}
			
		$fecha_comienzo = $ao_proceso."0101";
		$fecha_fin = $ao_proceso.$mes_proceso.$dia_proceso;
		
	//	debug($f);
	//	debug($i);
		foreach ($listado_cuentas as $cuenta){
			$id_cuenta = $cuenta->get_id_cuenta();
			$codigo    = $cuenta->get_codigo();
			

			
			
//			
			
			$extra_detalle["new_sql"] = "Select dc.id_detalle_comprobante, dc.id_comprobante, dc.id_detalle_comprobante_pago, dc.id_cuenta, dc.id_cliente_proveedor, dc.id_tipo_documento, dc.id_documento, dc.rut,dc.descripcion, Sum(dc.debe) AS debe, Sum(dc.haber) AS haber, dc.estado, dc.tipo_comprobante, dc.id_centro_costo From cont_detalle_comprobante AS dc , cont_comprobante AS cc Where dc.id_cuenta = '$id_cuenta' AND cc.id_empresa = '3' AND cc.id_comprobante = dc.id_comprobante AND cc.fecha_creacion Between '$inicio' AND '$fin'  AND (cc.tipo_comprobante = '1' OR cc.tipo_comprobante = '2' OR cc.tipo_comprobante = '3' OR cc.tipo_comprobante = '4') AND cc.estado NOT LIKE '0' AND cc.estado NOT LIKE '1' and cc.descripcion like '%Centralizacin%' Group By dc.id_cuenta";
		//	if ($id_cuenta == "411")
			//	debug($extra_detalle["new_sql"]);
			$detalle_comprobante = $clog_dc->getListadoCont_detalle_comprobante(null,$extra_detalle);
			$detalle_comprobante = $detalle_comprobante[0];
			if ($detalle_comprobante){
				$debito  = $detalle_comprobante->get_debe();
				$credito = $detalle_comprobante->get_haber();
				if ($debito > $credito){
					$deudor   = $debito - $credito;
					
					// CAMBIAR POR PARAMETRO DE TIPO CUENTA
					$filtro_parametros["nombre"] = "PERDIDA%";
					$listado_parametros = $clog_parametro->getListadoCmn_parametro($filtro_parametros);
					$parametro = $listado_parametros[0];
					//debug($listado_parametros);
					if (substr($codigo,0,1) == $parametro->get_valor())
						$perdida = $deudor;
					else
						$activo   = $deudor;
				}
				else{
					$acreedor = $credito - $debito;
					// CAMBIAR POR PARAMETRO DE TIPO CUENTA
					$filtro_parametros["nombre"] = "GANANCIA%";
					$listado_parametros = $clog_parametro->getListadoCmn_parametro($filtro_parametros);
					$parametro = $listado_parametros[0];	
					//debug($filtro_parametros);				
					if (substr($codigo,0,1) == $parametro->get_valor())
						$ganancia = $acreedor;
					else
						$pasivo   = $acreedor;					
					
				}
					
				// CALCULO DE SUBTOTALES
				$st_debito   += $debito;
				$st_credito  += $credito;
				$st_deudor   += $deudor;
				$st_acreedor += $acreedor;
				$st_activo   += $activo;
				$st_pasivo   += $pasivo;
				$st_perdida  += $perdida;
				$st_ganancia += $ganancia;
					 
				$debito  	= money_php($debito);
				$credito 	= money_php($credito);
				$deudor  	= money_php($deudor);
				$acreedor  	= money_php($acreedor);
				$activo  	= money_php($activo);
				$pasivo  	= money_php($pasivo);
				$perdida  	= money_php($perdida);
				$ganancia  	= money_php($ganancia);
								
			$tabla_encabezado .="" .
					"<tr>" .
					"	<td>{$cuenta->get_codigo()}".
					"	<td>{$cuenta->get_nombre()}</td>" .
					"	<td align=right>{$debito}</td>" .
					"	<td align=right>{$credito}</td>" .
					"	<td align=right>{$deudor}</td>" .
					"	<td align=right>{$acreedor}</td>" .
					"	<td align=right>{$activo}</td>" .
					"	<td align=right>{$pasivo}</td>" .
					"	<td align=right>{$perdida}</td>" .
					"	<td align=right>{$ganancia}</td>" .	
					"</tr>";	
			}
		}
		
		if ($st_activo > $st_pasivo)
			$re_pasivo = $st_activo - $st_pasivo;
		else
			$re_activo = $st_pasivo - $st_activo;
		
		if ($st_perdida > $st_ganancia)
			$re_ganancia = $st_perdida - $st_ganancia;
		else
			$re_perdida = $st_ganancia - $st_perdida;
		
		
		$to_debito  	= $st_debito + $re_debito;
		$to_credito  	= $st_credito + $re_credito;
		$to_deudor  	= $st_deudor + $re_deudor;
		$to_acreedor  	= $st_acreedor + $re_acreedor;
		$to_activo  	= $st_activo + $re_activo;
		$to_pasivo  	= $st_pasivo + $re_pasivo;
		$to_perdida  	= $st_perdida + $re_perdida;
		$to_ganancia  	= $st_ganancia + $re_ganancia;			
		
		$st_debito  	= money_php($st_debito);
		$st_credito 	= money_php($st_credito);
		$st_deudor  	= money_php($st_deudor);
		$st_acreedor  	= money_php($st_acreedor);
		$st_activo  	= money_php($st_activo);
		$st_pasivo  	= money_php($st_pasivo);
		$st_perdida  	= money_php($st_perdida);
		$st_ganancia  	= money_php($st_ganancia);		
		
		$re_debito  	= money_php($re_debito);
		$re_credito  	= money_php($re_credito);
		$re_deudor  	= money_php($re_deudor);
		$re_acreedor  	= money_php($re_acreedor);
		$re_activo  	= money_php($re_activo);
		$re_pasivo  	= money_php($re_pasivo);
		$re_perdida  	= money_php($re_perdida);
		$re_ganancia  	= money_php($re_ganancia);

		$to_debito  	= money_php($to_debito);
		$to_credito  	= money_php($to_credito);
		$to_deudor  	= money_php($to_deudor);
		$to_acreedor  	= money_php($to_acreedor);
		$to_activo  	= money_php($to_activo);
		$to_pasivo  	= money_php($to_pasivo);
		$to_perdida  	= money_php($to_perdida);
		$to_ganancia  	= money_php($to_ganancia);
										
		$tabla_encabezado .="" .
		"<tr>" .
		"	<td colspan=2>SUBTOTALES".
		"	<td align=right>{$st_debito}</td>" .
		"	<td align=right>{$st_credito}</td>" .
		"	<td align=right>{$st_deudor}</td>" .
		"	<td align=right>{$st_acreedor}</td>" .
		"	<td align=right>{$st_activo}</td>" .
		"	<td align=right>{$st_pasivo}</td>" .
		"	<td align=right>{$st_perdida}</td>" .
		"	<td align=right>{$st_ganancia}</td>" .	
		"</tr>".
		"<tr>" .
		"	<td colspan=2>RESULTADO DEL EJERCICIO".
		"	<td align=right>{$re_debito}</td>" .
		"	<td align=right>{$re_credito}</td>" .
		"	<td align=right>{$re_deudor}</td>" .
		"	<td align=right>{$re_acreedor}</td>" .
		"	<td align=right>{$re_activo}</td>" .
		"	<td align=right>{$re_pasivo}</td>" .
		"	<td align=right>{$re_perdida}</td>" .
		"	<td align=right>{$re_ganancia}</td>" .	
		"</tr>".
		"<tr>" .
		"	<td colspan=2>TOTALES IGUALES".
		"	<td align=right>{$to_debito}</td>" .
		"	<td align=right>{$to_credito}</td>" .
		"	<td align=right>{$to_deudor}</td>" .
		"	<td align=right>{$to_acreedor}</td>" .
		"	<td align=right>{$to_activo}</td>" .
		"	<td align=right>{$to_pasivo}</td>" .
		"	<td align=right>{$to_perdida}</td>" .
		"	<td align=right>{$to_ganancia}</td>" .	
		"</tr>" .			
	"</table>";	
	
$pdf->ln(2);
$pdf->htmltable($tabla_encabezado);


$pdf->SetFillColor(234, 234, 234);

$pdf->SetFont('Times', 'B', 8);


$pdf->ln();
//$pdf->htmltable($tabla_encabezado);

$nombre_archivo = $empresa->get_nombre() . " - balance ".$dia_proceso. "-"  . $mes_proceso ."-". $ao_proceso . ".pdf";
$path_archivo	= "modulos/reportes/pdf/libro_venta/";
mkdir($path_archivo);

//$pdf->Output($path_archivo . $nombre_archivo);
$pdf->Output($path_archivo . $nombre_archivo, I);

return("nombre_archivo=$nombre_archivo");   
?>