<?
$old = getcwd();
$new = "../../../";
chdir($new);

header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);

include_once("validate_session.php");

$clog_libro_compra= new Controlador_Logico_Libro_compra();
$f = checkGET("f",false);

if ($f){
	$f = explode(".",$f);
	$ao_proceso = $f[0];
	$mes_proceso = $f[1];
}
else{
	if (($_SESSION["mes_proceso"])  && $_SESSION["ao_proceso"])
	{
		$mes_proceso = $_SESSION["mes_proceso"];
		$ao_proceso = $_SESSION["ao_proceso"];
	}else{
		$mes_proceso = substr(hoy(),4,2);
		$ao_proceso = substr(hoy(),0,4);
	}	
}

$id_empresa_seleccionada = $_SESSION["id_empresa_seleccionada"];
$empresa = ContEmpresa_getContEmpresa($id_empresa_seleccionada);
$total_facturas_recibidas = 0;
$filtro_documento_compra["extra_libro_compra"] = "AND cont_documento_compra.ano_proceso = '$ao_proceso' AND cont_documento_compra.mes_proceso = '$mes_proceso' AND cont_documento_compra.id_empresa = '$id_empresa_seleccionada' ORDER BY cont_documento_compra.correlativo";
//debug($filtro_documento_compra);
$listado_libro_compra = $clog_libro_compra->getListadoLibro_compra($filtro_documento_compra);
foreach ($listado_libro_compra as $item){
	//debug($documento);
	switch ($item->get_tipo_documento()){
		case "1":
			$total_exento += $item->get_total_exento();
			$total_iva += $item->get_total_iva();
			$total_neto += $item->get_total_neto();
			$total_bruto += $item->get_total_bruto();
			$total_facturas++; 
			break;
		case "10" :
			$total_impuesto += $item->get_total_impuesto();					
			$total_exento += $item->get_total_exento();
			$total_iva += $item->get_total_iva();
			$total_neto += $item->get_total_neto();
			$total_bruto += $item->get_total_bruto();
			$total_facturas ++;
			break;
		case "11" :
			$total_impuesto += $item->get_total_impuesto();					
			$total_exento += $item->get_total_exento();
			$total_iva += $item->get_total_iva();
			$total_neto += $item->get_total_neto();
			$total_bruto += $item->get_total_bruto();
			$total_facturas ++;
			break;						
		case "6":
			$total_exento -= $item->get_total_exento();
			$total_iva -= $item->get_total_iva();
			$total_neto -= $item->get_total_neto();
			$total_bruto -= $item->get_total_bruto();
			break;
		case "7":
			$total_exento += $item->get_total_exento();
			$total_iva += $item->get_total_iva();
			$total_neto += $item->get_total_neto();
			$total_bruto += $item->get_total_bruto();
			break;
		case "0":
			$total_bruto += $item->get_total_bruto();
			break;
	}
}

$titulo = "Libro de Compras ".convertir_fecha_proceso($mes_proceso,$ao_proceso);

//Creacin del objeto de la clase heredada




$pdf = new PDF('P','mm','Letter',$conf_empresa_logo_reporte,$conf_empresa_pie_1,$conf_empresa_pie_2);
$pdf->SetRightMargin(10);
$pdf->SetLeftMargin(10);

//		$pdf->SetXY(15, 10);
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Times','BU',10);
$pdf->SetTitle($titulo);
$pdf->SetAuthor('ITEKCHILE');
$pdf->SetFont('Times','BU',12);
$pdf->SetAutoPageBreak(true, 30);

//$pdf->Cell(0,0,$nro_cotizacion,0,1,'R');
$pdf->SetFillColor(255, 204, 066);
$pdf->SetFillColor(192, 255, 255); 
$pdf->SetFont('Times','BU',10);
$pdf->Cell(0,0,convertirFechaBD_fecha(hoy()),0,1,'R');
$pdf->Cell(0,0,$titulo,0,1,'C');
$pdf->SetFont('Times','BU',8);
$pdf->ln(8);

$pdf->SetFillColor(234, 234, 234);

$pdf->Cell(20,5, "TD" ,1,0,'C',1);
$pdf->Cell(15,5, "N Doc" ,1,0,'C',1);
$pdf->Cell(20,5, "Fecha" ,1,0,'C',1);
$pdf->Cell(50,5, "Proveedor" ,1,0,'C',1);
$pdf->Cell(25,5, "RUT" ,1,0,'C',1);
$pdf->Cell(18,5, "EXENTO" ,1,0,'C',1);
$pdf->Cell(18,5, "NETO" ,1,0,'C',1);
$pdf->Cell(18,5, "IVA" ,1,0,'C',1);
$pdf->Cell(18,5, "BRUTO" ,1,1,'C',1); 
$pdf->SetFont('Times','',8);
$pdf->SetFillColor(255, 255, 255);


foreach ($listado_libro_compra as $item){
	$alto = 5;
	$pdf->Cell(5,$alto, $item->get_correlativo() ,1,0,'C',1);
	$pdf->Cell(15,$alto, $item->get_nombre_tipo_documento() ,1,0,'C',1);
	$pdf->Cell(15,$alto, $item->get_numero_documento() ,1,0,'C',1);
	$pdf->Cell(20,$alto, convertirFechaBD_fecha($item->get_fecha_documento()) ,1,0,'C',1);
	$pdf->Cell(50,$alto, $item->get_nombre_proveedor() ,1,0,'L',1);
	$pdf->Cell(25,$alto, format_rut_php($item->get_rut_proveedor()) ,1,0,'C',1);
	$pdf->Cell(18,$alto, money_php($item->get_total_exento()) ,1,0,'R',1);
	$pdf->Cell(18,$alto, money_php($item->get_total_neto()) ,1,0,'R',1);
	$pdf->Cell(18,$alto, money_php($item->get_total_iva()) ,1,0,'R',1);
	$pdf->Cell(18,$alto, money_php($item->get_total_bruto()) ,1,1,'R',1); 
}

$pdf->ln(5);

$alto =+ 5;
$pdf->Cell(105,$alto, "" ,0,0,'C',1);
$pdf->SetFillColor(234, 234, 234);
$pdf->Cell(70,$alto, "Cant. de Facturas Recibidas" ,1,0,'C',1);
$pdf->SetFillColor(255, 255, 255);
$pdf->Cell(20,$alto, $total_facturas ,1,1,'C',1);
$pdf->Cell(75,$alto, "" ,0,0,'C',1);
$pdf->SetFillColor(234, 234, 234);
$pdf->Cell(30,$alto, "TOTAL EXENTO" ,1,0,'C',1);
$pdf->Cell(30,$alto, "TOTAL NETO" ,1,0,'C',1);
$pdf->Cell(30,$alto, "TOTAL IVA" ,1,0,'C',1);
$pdf->Cell(30,$alto, "TOTAL BRUTO" ,1,1,'C',1);
$pdf->SetFillColor(255, 255, 255);
$pdf->Cell(75,$alto, "" ,0,0,'C',1);
$pdf->Cell(30,$alto, money_php($total_exento) ,1,0,'C',1);
$pdf->Cell(30,$alto, money_php($total_neto) ,1,0,'C',1);
$pdf->Cell(30,$alto, money_php($total_iva) ,1,0,'C',1);
$pdf->Cell(30,$alto, money_php($total_bruto) ,1,1,'C',1);
$nombre_archivo = $empresa->get_nombre() . " - libro_venta"  . $ao_proceso ."-". $mes_proceso . ".pdf";
$path_archivo	= "modulos/reportes/pdf/libro_venta/";
mkdir($path_archivo);

//$pdf->Output($path_archivo . $nombre_archivo);
$pdf->Output($path_archivo . $nombre_archivo, I);

return("nombre_archivo=$nombre_archivo");   
?>