<?php
$old = getcwd();
$new = "../../../";
chdir($new);

include_once ("validate_session.php");

$id_empresa = checkGET("id_empresa", "");

$empresa = ContEmpresa_getContEmpresa($id_empresa);
$formato_plan = $empresa->get_formato_plan_cuenta();
$id_plan_cuenta = $empresa->get_id_plan_cuenta();

$filtro_cont_cuenta["id_plan_cuenta"] = $id_plan_cuenta;
$extra_cont_cuenta["order"] = "codigo";
$listado_cont_cuenta = Cuenta_getListadoCuenta($filtro_cont_cuenta, $extra_cont_cuenta);


$line = "CUENTA;DESCRIPCION;IMP;DES;IG;NDOC;CLI;PROV;RUT;INV;ICF;IDF";
$data .= trim($line)."\n";

$filtro_nivel_1["id_plan_cuenta"] = $id_plan_cuenta;
$filtro_nivel_1["nivel"] = 1;
$listado_nivel_1 = Nivel_plan_cuenta_getListadoNivel_plan_cuenta($filtro_nivel_1);

foreach ($listado_nivel_1 as $nivel_1) {
	$line = crear_linea($nivel_1);
	$data .= trim($line)."\n";
	$id_nivel_padre = $nivel_1->get_id_nivel_plan_cuenta();

	$filtro_nivel_2["id_nivel_plan_cuenta_padre"] = $id_nivel_padre;
	$filtro_nivel_2["nivel"] = 2;
	$listado_nivel_2 = Nivel_plan_cuenta_getListadoNivel_plan_cuenta($filtro_nivel_2);

	foreach ($listado_nivel_2 as $nivel_2) {
		$id_nivel_padre = $nivel_2->get_id_nivel_plan_cuenta();
	
		$line = crear_linea($nivel_2);
		
		$data .= trim($line)."\n";
		
		$filtro_nivel_3["id_nivel_plan_cuenta_padre"] = $id_nivel_padre;
		$filtro_nivel_3["nivel"] = 3;
		$listado_nivel_3 = Nivel_plan_cuenta_getListadoNivel_plan_cuenta($filtro_nivel_3);

		foreach ($listado_nivel_3 as $nivel_3) {
			$id_nivel_padre = $nivel_3->get_id_nivel_plan_cuenta();
			
			$line = crear_linea($nivel_3);
			$data .= trim($line)."\n";

			$filtro_nivel_4["id_nivel_plan_cuenta_padre"] = $id_nivel_padre;
			$filtro_nivel_4["nivel"] = 4;
			$listado_nivel_4 = Nivel_plan_cuenta_getListadoNivel_plan_cuenta($filtro_nivel_4);

			foreach ($listado_nivel_4 as $nivel_4) {
				$id_nivel_padre = $nivel_4->get_id_nivel_plan_cuenta();
				
				$line = crear_linea($nivel_4);
				$data .= trim($line)."\n";
				
				$filtro_cuentas["id_nivel_plan_cuenta"] = $id_nivel_padre;
				$listado_cuentas = Cuenta_getListadoCuenta($filtro_cuentas);

				foreach ($listado_cuentas as $cuenta) {
					$line = crear_linea($cuenta,"imp");
					$data .= trim($line)."\n";
				}
			}
		}
	}
}


# This line will stream the file to the user rather than spray it across the screen
header("Content-type: application/octet-stream");

# replace excelfile.xls with whatever you want the filename to default to
header("Content-Disposition: attachment; filename=plan_cuentas.csv");
header("Pragma: no-cache");
header("Expires: 0");

echo $header."\n".$data;

function crear_linea($obj_cuenta,$tipo) {
	global $formato_plan;
	$line = '';
	
	$codigo = $obj_cuenta->get_codigo();

	$array_formato = explode(".", $formato_plan);
	$inicial = 0;
	$cuenta = "";
	$ite = 0;
	foreach ($array_formato as $nivel) {

		$final = strlen($nivel);
		
		if ($ite < strlen($codigo)){
			$cuenta_temp = substr($codigo, $inicial, $final);
			if ($cuenta_temp)
				$cuenta .= $cuenta_temp.".";
			$ite++;
			$inicial += $final;
		}
		else
			break;
		

	}
	

	$cuenta = substr($cuenta, 0, -1);
//	$cuenta = str_replace('"', '""', $cuenta);
	
	
	$descripcion = $obj_cuenta->get_nombre();
	$descripcion = str_replace('"', '""', $descripcion);
	if ($tipo == "imp"){
		$imp  = $obj_cuenta->get_imp();
		$des  = $obj_cuenta->get_hab();
		$ig	  = $obj_cuenta->get_cc();
		$ndoc = $obj_cuenta->get_nro_documento();
		$cli  = $obj_cuenta->get_cliente();
		$prov = $obj_cuenta->get_proveedor();
		$rut  = $obj_cuenta->get_rut();
		$inv  = $obj_cuenta->get_inv();
		$icf  = $obj_cuenta->get_iva_credito_fiscal();
		$idf  = $obj_cuenta->get_iva_debito_fiscal();
	}else{
		$imp  = "0";
		$des  = "0";
		$ig	  = "0";
		$ndoc = "0";
		$cli  = "0";
		$prov = "0";
		$rut  = "0";
		$inv  = "0";
		$icf  = "0";
		$idf  = "0";
	}
	
	# needed to encapsulate data in quotes because some data might be multi line.
	# the good news is that numbers remain numbers in Excel even though quoted.

	$line .= $cuenta.";".$descripcion.";".$imp.";".$des.";".$ig.";".$ndoc.";".$cli.";".$prov.";".$rut.";".$inv.";".$icf.";".$idf;
	return $line;
}
?> 