<?

$old = getcwd();
$new = "../../";
chdir($new);

include_once("validate_session.php");
$url = "../../admin_session.php?i=modulos/facturacion/";

//
//debug($_POST);

$clog_detalle_documento_venta = new Controlador_Logico_Detalle_documento_venta();
$clog_comportamiento_cuenta   = new Controlador_Logico_Cont_comportamiento_cuenta();

$id_empresa_seleccionada  = $_SESSION["id_empresa_seleccionada"];
$id_sucursal_seleccionada = $_SESSION["id_sucursal_seleccionada"];
$usuario 	 = $_SESSION["usuario"];

$id_proveedor= checkPOST("id_cliente","");
$total_neto  = checkPOST("total_neto","");
$total_iva   = checkPOST("total_iva","");
$total_bruto = checkPOST("total_bruto","");
$id_guias    = checkPOST("id_guias","");
$id_guia	 = checkPOST("id_guia","");
$fecha_doc   = convertirFecha_FechaBD(checkPOST("fecha_documento",""));
$fecha_ent   = convertirFecha_FechaBD(checkPOST("fecha_entrega_cliente",""));
$vencimiento = checkPOST("vencimiento","");
$numero_dcto = checkPOST("numero_dcto","");
$orden_compra = checkPOST("orden_compra","");

if ($vencimiento == "0") {
	$vencimiento = $fecha_doc;
} else {
	$vencimiento = calcular_fecha($vencimiento, checkPOST("fecha_entrega_cliente",""), "futuro");
}

$condicion   = checkPOST("condicion_venta","");
$descripcion_producto = checkPOST("descripcion","");


// GENERACION DE FACTURA DE VENTA
// ---- ENCABEZADO --------
$ao_proceso = substr(hoy(),0,4);
$mes_proceso = substr(hoy(),4,2);
$correlativo = get_proximo_correlativo("venta", $mes_proceso, $ao_proceso);
//debug($correlativo);
if ($correlativo == "0")
	$correlativo = 1;

if ($vencimiento == "0") {
	$fecha_vencimiento = $fecha_documento;
} else {
	$fecha_vencimiento = calcular_fecha($vencimiento, convertirFechaBD_fecha(hoy()), "futuro");
}

$documento_venta = new Documento_venta();
$documento_venta->set_id_proveedor($id_proveedor);
$documento_venta->set_id_empresa($id_empresa_seleccionada);
$documento_venta->set_id_usuario($usuario->get_id_usuario());
$documento_venta->set_tipo_documento(1);
$documento_venta->set_correlativo($correlativo);
$documento_venta->set_condicion_venta();
$documento_venta->set_numero_documento($numero_dcto);
$documento_venta->set_fecha_digitacion(hoy());
$documento_venta->set_fecha_documento($fecha_doc);
$documento_venta->set_mes_proceso($mes_proceso);
$documento_venta->set_ano_proceso($ao_proceso);
$documento_venta->set_total_neto($total_neto);
$documento_venta->set_total_exento($total_exento);
$documento_venta->set_total_impuesto($total_impuesto);
$documento_venta->set_total_iva($total_iva);
$documento_venta->set_total_bruto($total_bruto);


if ($id_guia){
	$guia_despacho = Documento_venta_getDocumento_venta($id_guia);
	$documento_venta->set_total_saldos($guia_despacho->get_total_saldos());
	$documento_venta->set_total_pagos($guia_despacho->get_total_pagos());
	$documento_venta->set_guia_despacho($guia_despacho->get_numero_documento());
}
else
	$documento_venta->set_total_saldos($total_bruto);



$documento_venta->set_orden_venta($orden_compra);
$documento_venta->set_forma_pago($forma_pago);
$documento_venta->set_id_comprobante($id_comprobante);
$documento_venta->set_fecha_entrega_cliente(hoy());
$documento_venta->set_fecha_vencimiento($vencimiento);
$documento_venta->set_fecha_proceso($ao_proceso.$mes_proceso);
$documento_venta->set_id_sucursal($id_sucursal_seleccionada);

//debug($documento_venta);
$id_documento_venta = Documento_venta_guardarDocumento_venta($documento_venta);

// ---- FIN ENCABEZADO ----

// ---- DETALLE FACTURA DE VENTA --- //
$clog_detalle_documento_venta = new Controlador_Logico_Detalle_documento_venta();
$filtro_detalle_guia["id_documento_venta"] = $id_guia;
$detalle_guia = $clog_detalle_documento_venta->getListadoDetalle_documento_venta($filtro_detalle_guia);


if ($detalle_guia){
	$detalle = new Detalle_documento_venta();
	foreach ($detalle_guia as $detalle){
		$detalle_documento_venta_nuevo = new Detalle_documento_venta();
		$detalle_documento_venta_nuevo->set_id_documento_venta($id_documento_venta);
		$detalle_documento_venta_nuevo->set_cod_producto($detalle->get_cod_producto());
		$detalle_documento_venta_nuevo->set_descripcion_producto($detalle->get_descripcion_producto());
		$detalle_documento_venta_nuevo->set_cantidad($detalle->get_cantidad());
		$detalle_documento_venta_nuevo->set_unidad($detalle->get_unidad());
		$detalle_documento_venta_nuevo->set_precio_neto_unitario($detalle->get_precio_neto_unitario());
		$detalle_documento_venta_nuevo->set_porcentaje_descuento($detalle->get_porcentaje_descuento());
		$detalle_documento_venta_nuevo->set_monto_descuento($detalle->get_monto_descuento());
		$detalle_documento_venta_nuevo->set_exento($detalle->get_exento());
		$detalle_documento_venta_nuevo->set_total_neto($detalle->get_total_neto());
		$detalle_documento_venta_nuevo->set_iva($detalle->get_iva());
		$detalle_documento_venta_nuevo->set_total($detalle->get_total());
		$detalle_documento_venta_nuevo->set_extra3($detalle->get_extra3());
		$id_detalle_documento_venta = $clog_detalle_documento_venta->guardarDetalle_documento_venta($detalle_documento_venta_nuevo);
	}
}
else{
	$detalle_bruto = $total_bruto;
	$detalle_neto  = $total_neto;
	$detalle_iva   = $total_iva;
	//$monto_descuento = $detalle->total - $detalle->precio_total;

	$detalle_documento_venta_nuevo = new Detalle_documento_venta();

	$detalle_documento_venta_nuevo->set_id_documento_venta($id_documento_venta);
	$detalle_documento_venta_nuevo->set_cod_producto();
	$detalle_documento_venta_nuevo->set_descripcion_producto($descripcion_producto);
	$detalle_documento_venta_nuevo->set_cantidad();
	$detalle_documento_venta_nuevo->set_unidad();
	$detalle_documento_venta_nuevo->set_precio_neto_unitario($detalle_neto);
	$detalle_documento_venta_nuevo->set_porcentaje_descuento();
	$detalle_documento_venta_nuevo->set_monto_descuento($monto_descuento);
	$detalle_documento_venta_nuevo->set_exento($exento);
	$detalle_documento_venta_nuevo->set_total_neto($detalle_neto);
	$detalle_documento_venta_nuevo->set_iva($detalle_iva);
	$detalle_documento_venta_nuevo->set_total($detalle_bruto);
	$detalle_documento_venta_nuevo->set_extra3();	
}
// ---- FIN DETALLE FACTURA -------- //

// FIN GENERACION DE FACTURA DE VENTA
$documento_venta = Documento_venta_getDocumento_venta($id_documento_venta);
$documento_venta->crear_comprobante_control();

if ($documento_venta->get_total_pagos() > 0){
	$clog_comportamiento = new Controlador_Logico_Cont_comportamiento_cuenta();
	$clog_comprobante    = new Controlador_Logico_Cont_comprobante();
	$clog_detalle_comprobante = new Controlador_Logico_Cont_detalle_comprobante();
	
	$filtro_comportamiento["id_seccion"]  = 11;
	$filtro_comportamiento["id_empresa"]  = $id_empresa_seleccionada;
	$filtro_comportamiento["id_sucursal"] = $id_sucursal_seleccionada;
	$listado_comp = $clog_comportamiento->getListadoCont_comportamiento_cuenta($filtro_comportamiento);
	$cuenta = $listado_comp[0];
	$cuenta_anticipo_cliente = $cuenta->get_id_cuenta();
	
	$filtro_comportamiento["id_seccion"]  = 8;
	$listado_comp = $clog_comportamiento->getListadoCont_comportamiento_cuenta($filtro_comportamiento);
	$cuenta = $listado_comp[0];
	$cuenta_proveedor = $cuenta->get_id_cuenta();
	
	$filtro_ultimo_numero["ano_proceso"] = $ao_proceso;
	$filtro_ultimo_numero["id_empresa"] = $id_empresa_seleccionada;
	$extra_ultimo_numero["sql"] = "AND (tipo_comprobante LIKE '1' or tipo_comprobante LIKE '2' or tipo_comprobante LIKE '3')";

	$ultimo_numero = $clog_comprobante->getUltimo_NumeroCont_comprobante($filtro_ultimo_numero, $extra_ultimo_numero);

	
	$comprobante_contable = new Cont_comprobante();
	$comprobante_contable->set_tipo_comprobante(3);
	$comprobante_contable->set_numero($ultimo_numero +1);
	$comprobante_contable->set_descripcion("Traspaso de Anticipo Cliente a Clientes por Gua de Despacho Nro. ".$guia_despacho->get_numero_documento());
	$comprobante_contable->set_fecha_creacion(hoy());
	$comprobante_contable->set_ano_proceso($ao_proceso);
	$comprobante_contable->set_mes_proceso($mes_proceso);
	$comprobante_contable->set_estado(2);
	$comprobante_contable->set_id_empresa($id_empresa_seleccionada);
	$comprobante_contable->set_fecha_proceso($ao_proceso.$mes_proceso);
	$comprobante_contable->set_id_sucursal($id_sucursal_seleccionada);
	
	$id_comprobante_contable = $clog_comprobante->guardarCont_comprobante($comprobante_contable);
	
	$detalle = new Cont_detalle_comprobante();
	$detalle->set_id_comprobante($id_comprobante_contable);
	$detalle->set_descripcion("Traspaso de Anticipo Cliente a Clientes por Gua de Despacho Nro. ".$guia_despacho->get_numero_documento());
	$detalle->set_debe($documento_venta->get_total_neto());
	$detalle->set_rut($documento_venta->get_rut_proveedor());
	$detalle->set_tipo_comprobante(3);
	$detalle->set_id_cuenta($cuenta_anticipo_cliente);
	
	$clog_detalle_comprobante->guardarCont_detalle_comprobante($detalle);
	
	$detalle2 = new Cont_detalle_comprobante();
	$detalle2->set_id_comprobante($id_comprobante_contable);
	$detalle2->set_descripcion("Traspaso de Anticipo Cliente a Clientes por Gua de Despacho Nro. ".$guia_despacho->get_numero_documento());
	$detalle2->set_haber($documento_venta->get_total_neto());
	$detalle2->set_rut($documento_venta->get_rut_proveedor());
	$detalle2->set_tipo_comprobante(3);
	$detalle2->set_id_cuenta($cuenta_proveedor);
	
	$clog_detalle_comprobante->guardarCont_detalle_comprobante($detalle2);	
}


header("Location: ../../admin_session.php?i=modulos/ventas/mantenedor_documento_venta&id_documento_venta=$id_documento_venta&td=1")
?>