<?
$old = getcwd();
$new = "../../";
chdir($new);
define('FPDF_FONTPATH','../siaweb_system/pdf/font/');
require('../siaweb_system/pdf/fpdf.php');

include_once("validate_session.php");
$id_tabla_precio = checkGET("id_tabla_precio", 0, "num");
$tabla_precio = Tabla_precio_getTabla_precio($id_tabla_precio);
$tipo = checkGET("tipo", 0, "num");

if (!file_exists("modulos/reportes/pdf/")){
		$ok = mkdir("modulos/reportes/pdf/", 0777);
}

	class PDF_BCI extends PDFTable
	{
		
		function Header()
		{
			parent :: Header();
			$this->Image("imagenes/logo_optica.jpg",15,8,18,18);
			$this->SetFont('Arial', 'B', 12);
			$this->SetXY(70,15);
			$this->ln();
			$this->SetXY(60,25);
			$this->SetFont('Arial','B',8);
			$this->Cell(90,5,"FECHA: ". ConvertirFechaBD_Fecha(hoy()),0,1,'C');
		}
	
		function Footer()
		{
			$this->Cell(0,5,'Pgina '.$this->PageNo().'/{nb}',0,0,'R'); 
		}
	} 
//Creacin del objeto de la clase heredada
		if ($tipo == 1)
			$titulo = "TABLA PRECIOS DE COMPRA DE CRISTALES";
		else
			$titulo = "TABLA PRECIOS DE VENTA DE CRISTALES";

		$pdf=new PDF_BCI();
		$pdf->AliasNbPages();
		$pdf->AddPage();
		$pdf->SetMargins(5,40,20);
		$pdf->SetXY(60,21);
		$pdf->SetFont('Arial','B',8);
		$pdf->SetTitle($titulo);
		$pdf->Cell(90,5,strtoupper($tabla_precio->nombre),0,1,'C');
		$pdf->Cell(90,5,strtoupper($titulo),0,1,'C');


$listado_tipo_material = Tipo_material_getListadoTipo_material();
$listado_fila 		= Fila_getListadoFila($id_tabla_precio);
$listado_columna	= Columna_getListadoColumna($id_tabla_precio);	
$j=0;
foreach ($listado_columna as $ncolumna) 
{
	$array_columnas[$j] = $ncolumna;
	$j++;
}
$i=0;
foreach ($listado_fila as $nfila) 
{
	$array_filas[$i] = $nfila;
	$i++;
}

$listado_precios	= Detalle_tabla_precio_getListadoDetalle_tabla_precio($id_tabla_precio);

$detalle_precio = new Detalle_tabla_precio();


foreach ($listado_precios as $detalle_precio) 
{
	if ($tipo == 1)
		$array_precios[$detalle_precio->id_fila][$detalle_precio->id_columna] = $detalle_precio->valor_compra;
	if ($tipo == 2)
		$array_precios[$detalle_precio->id_fila][$detalle_precio->id_columna] = $detalle_precio->valor;

}

$largo_columnas = count($array_columnas);
$largo_filas = count($array_filas);

if ($listado_columna and $listado_fila)
{

	// ******************** ENCABEZADOS DE COLUMNAS ************************

	$i = 0;
	while($i<$largo_filas)
	{
		$pdf->ln();
		$pdf->SetFont('Arial','B',8);
		$pdf->SetMargins(5,40,20);
		$pdf->Cell(83,5,"Tipo Material",1,0,'C');
		for($j=$i ; $j<$i+4 ; $j++)
		{
			$pdf->Cell(30,5,"[".$array_filas[$j]->valor_inicial."/".$array_filas[$j]->valor_final."]".	" - "."[".$array_filas[$j]->valor_inicial_b."/".$array_filas[$j]->valor_final_b."]",1,0,'C');
		}
		$pdf->ln();
		for($j=0 ; $j<$largo_columnas ; $j++)
		{
			$k = $j+1;
			$pdf->Cell(83,5,$k.".-".$array_columnas[$j]->nombre_tipo_material,1,0);	
			for($ind=$i ; $ind<$i+4 ; $ind++)
			{
				$id_fila = $array_filas[$ind]->id_fila;
				$id_columna = $array_columnas[$j]->id_columna;
				$precio		= $array_precios[$id_fila][$id_columna];
				if ($precio)		
					$pdf->Cell(30,5,"$ ". format_money($precio),1,0,'C');
				else
					$pdf->Cell(30,5,"$ 0",1,0,'C');
			}
			$pdf->ln();
		}
		$pdf->ln();
	$i=$i+4;
	}
}
$archivo = "tabla_precios.pdf";

$pdf->Output("modulos/reportes/pdf/$archivo",F);
$pdf->Output("modulos/reportes/pdf/$archivo",I);

?>