<?

$old = getcwd();
$new = "../../";
chdir($new);

include_once("validate_session.php");
$url = "../../index_session.php?i=modulos/orden_compra/";

$operacion = checkGET("op","");
	//debug($_POST);
	
	switch ($operacion){
//-------------------------------------------------- Guarda un Devolucion en la DB
case "add":

//	debug($_POST);
	
	$id_devolucion 		= checkPOST("id_devolucion", "");
	$id_orden_compra 	= checkPOST("id_orden_compra", "");
	$id_documento 		= checkPOST("id_documento", "");
	$numero_documento 	= checkPOST("numero_documento", "");
	$fecha_documento 	= convertirFecha_fechabd(checkPOST("fecha_documento", ""));
	$fecha_devolucion 	= hoy();
	$total 				= checkPOST("total_devolucion", "");
	$observacion 		= checkPOST("observacion", "");
	$extra2 			= checkPOST("extra2", "");
	$extra3 			= checkPOST("extra3", "");
	$id_bodega			= checkPOST("id_bodega", "");
	
	$temp = new Devolucion ($id_orden_compra, $id_documento, $numero_documento, $fecha_documento, $fecha_devolucion, $total, $observacion, $extra2, $extra3, $id_devolucion);
	$id_devolucion = Devolucion_guardarDevolucion($temp);
	//debug($id_devolucion);
	
	$listado_detalle_orden_compra 	= $_POST["id_detalles_orden_compra"];
	$listado_cantidad 				= $_POST["cant_devolucion"];
	$listado_precios 				= $_POST["precio_unitario"];
	
	
	//Procesar la Orden de compra para actualizar el estado de ella
	$orden_compra = new Orden_compra();
	$orden_compra = Orden_compra_getOrden_compra($id_orden_compra);
	$orden_compra->set_estado(3);
	
	//Actualiza la devolucion, el stock y los datos de inventario
	$i = 0;
	foreach ($listado_detalle_orden_compra as $id_detalle_orden_compra){
		
		
		$cantidad = $listado_cantidad[$i];
		$detalle_devolucion = new Detalle_devolucion();
		$detalle_devolucion = new Detalle_devolucion($id_devolucion, $id_detalle_orden_compra, $cantidad);		
//		debug($cantidad);
		Detalle_devolucion_guardarDetalle_devolucion($detalle_devolucion);	
		
		// Actualiza el Saldo pendiente desde el detalle de la orden de compra
		$detalle_orden_compra = Detalle_orden_compra_getDetalle_orden_compra($id_detalle_orden_compra);
		$detalle_orden_compra->saldo_recepcion = $detalle_orden_compra->saldo_recepcion + $cantidad;
//		debug($detalle_orden_compra);
		Detalle_orden_compra_actualizarDetalle_orden_compra($detalle_orden_compra);
		
		//Actualiza el stock de inventario
		$id_producto = $detalle_orden_compra->get_id_producto();
		$producto_inventario 						= Inventario_getProductoInventario($id_bodega, $id_producto);
		

		$producto_inventario->stock_actual 			= $producto_inventario->stock_actual - $cantidad;
		$producto_inventario->fecha_ult_mod			= hoy();
		$producto_inventario->ultimo_precio_compra	= $listado_precios[$i];
		$producto_inventario->id_industria			= $orden_compra->id_proveedor;
		$producto_inventario->nro_orden_compra		= $id_orden_compra;
		Inventario_actualizarInventario($producto_inventario);
//		debug($producto_inventario);
		$i++;
	}
	
	Orden_compra_actualizarOrden_compra($orden_compra);
	
	$url .= "resumen_devolucion&id_orden_compra=$id_orden_compra";
	header("Location: $url");
	break;
	
	
//-------------------------------------------------- Guarda un Devolucion en la DB
case "del":
	
	$id_devolucion = checkGET("id_devolucion", 0, "num");
	$id_bodega = 1;
	
	$devolucion = new Devolucion();
	$devolucion = Devolucion_getDevolucion($id_devolucion);
//	debug($devolucion);
	$id_orden_compra = $devolucion->id_orden_compra;
	$orden_compra = new Orden_compra();
	$orden_compra = Orden_compra_getOrden_compra($id_orden_compra);
	$orden_compra->estado = 3;
	Orden_compra_actualizarOrden_compra($orden_compra);
	
	$listado_devolucion = Detalle_devolucion_getListadoDetalle_devolucion($id_devolucion);
	
	foreach ($listado_devolucion as $detalle_devolucion){
		$id_detalle_orden_compra 				= $detalle_devolucion->id_detalle_orden_compra;
		$cantidad								= $detalle_devolucion->cantidad;
		
		//Actualiza el saldo a devolucionar.
		$detalle_orden_compra 					= new Detalle_orden_compra();
		$detalle_orden_compra 					= Detalle_orden_compra_getDetalle_orden_compra($id_detalle_orden_compra);
		$detalle_orden_compra->saldo_devolucion	+= $cantidad;
		Detalle_orden_compra_actualizarDetalle_orden_compra($detalle_orden_compra);
		
		//Actualiza el stock en inventario.			
		$id_producto							= $detalle_orden_compra->id_producto;
		$producto_inventario 					= Inventario_getProductoInventario($id_bodega, $id_producto);
		$producto_inventario->stock_actual		-= $cantidad;
		Inventario_actualizarInventario($producto_inventario);

		Detalle_devolucion_eliminarDetalle_devolucion($detalle_devolucion->id_detalle_devolucion);
	}
	
	Devolucion_eliminarDevolucion($id_devolucion);
	$url .= "resumen_devolucion&id_orden_compra=$id_orden_compra";
	header("Location: $url");
	break;
	
	
//-------------------------------------------------- Modifica un Devolucion en la DB
case "mod":

	debug($_POST);
	$id_devolucion			= checkPOST("id_devolucion", 0);
	$devolucion = Devolucion_getDevolucion($id_devolucion);
	
	$id_devolucion = checkPOST("id_devolucion", "");
	$id_orden_compra = checkPOST("id_orden_compra", "");
	$id_documento = checkPOST("id_documento", "");
	$numero_documento = checkPOST("numero_documento", "");
	$fecha_documento = checkPOST("fecha_documento", "");
	$fecha_devolucion = checkPOST("fecha_devolucion", "");
	$total = checkPOST("total", "");
	$observacion = checkPOST("observacion", "");
	$extra2 = checkPOST("extra2", "");
	$extra3 = checkPOST("extra3", "");
	
	$temp = new Devolucion ($id_orden_compra, $id_documento, $numero_documento, $fecha_documento, $fecha_devolucion, $total, $observacion, $extra2, $extra3, $id_devolucion);
//	Devolucion_actualizarDevolucion($temp);
	
	$url .= "mantenedor_devolucion";
//	header("Location: $url");
	
	break;
	}
	
?>
