<?
	$old = getcwd();
	$new = "../../";
	chdir($new);
	header("Cache-Control: no-store, no-cache, must-revalidate");
	header("Cache-Control: post-check=0, pre-check=0", false);

//	session_cache_limiter('private, must-revalidate');
	include_once("validate_session.php");

	$id_cotizacion = checkGET("id_cotizacion", 0, "num");
	$cotizacion = Cotizacion_getCotizacion($id_cotizacion);
	$listado_detalle_cotizacion = Detalle_cotizacion_getListadoDetalle_cotizacion($id_cotizacion);
	
	//debug($cotizacion);
	//debug($listado_detalle_cotizacion);
	

	// Creacin Objeto PDF
	//----------------------------------------------------------------------------------------------------------------------
	
	class PDF_HR extends PDFTable {
		function Header()
		{
			parent::Header();
//			$this->AddFont('Gotham','','GOTHAMBOOK.php');			
			$ancho_header = 200;
			$this->setXY(10,22);
			$id_cotizacion = checkGET("id_cotizacion", 0, "num");
			$cotizacion = Cotizacion_getCotizacion($id_cotizacion);

			if ($cotizacion->id_sucursal == 38 or $cotizacion->id_sucursal == 48)	// SANTIAGO Y HASTA LA VISTA
				$this->Image('imagenes/fondo_cotizacion_scl.jpg',0,0,220);
			else
				$this->Image('imagenes/formato_cotizacion2.jpg',0,0,220);

//			$this->SetFont('Gotham','',6);
		}
	
		function Footer()
		{
			parent::Footer();
	    	$this->SetLeftMargin(25);
			$this->SetY(-15);
//			$this->SetFont('Gotham','',6);
//			$this->MultiCell(180,3,'Medidas Sanitarias - Mecnicas - Fsicas - Biolgicas - Qumicas. Resolucin N5801 del 10.12.2002',0,'C');
			//$this->Cell(0,5,'Pgina '.$this->PageNo().'/{nb}',0,0,'R'); 
		}	
	} //fin clase
	
	$pdf=new PDF_HR('P','mm','Letter');
	$pdf->AddPage();
	$pdf->AddFont('Gotham','','GOTHAMBOOK.php');			
	$pdf->SetAuthor('OPTICA');
	$pdf->SetMargins(10,30,10);
	$pdf->SetAutoPageBreak(true, 30);

		
	$titulo = $cotizacion->id_cotizacion;
	$pdf->setX(30);
	$pdf->ln();
    $pdf->SetFont('Gotham','',10); 
	$pdf->Cell(193,18,"Nro. ".$titulo,0,1,"R");
    $pdf->SetFont('Gotham','',8); 
//	$pdf->ln();
	

//	$cotizacion->rut_empresa = "12216047-5";
	// Encabezado de la Cotizacion
	//----------------------------------------------------------------------------------------------------------------------
	$ancho_tablas 	= 195;
	$ancho_1 		= 30;
	$color_1		= "#DFDFDF";
	$pdf->setXY(46,64);
	$pdf->Cell(70,10,strtoupper($cotizacion->nombre_empresa),0,0,"L");
	$pdf->setXY(150,64);
	$pdf->Cell(75,10,convertirFechaBD_fecha($cotizacion->fecha_creacion_cotizacion),0,0,"L");
//	debug($cotizacion);
	$pdf->setXY(46,68.5);
	$pdf->Cell(75,10,$cotizacion->rut_empresa,0,0,"L");

	$pdf->setXY(150,68.5);
	$pdf->Cell(75,10,strtoupper($cotizacion->get_nombre_sucursal()),0,0,"L");

	$pdf->setXY(46,73);
	$pdf->Cell(75,10,strtoupper($cotizacion->nombre_cliente_particular),0,0,"L");
	$pdf->setXY(150,73);
	$pdf->Cell(75,10,strtoupper($cotizacion->nombre_vendedor),0,0,"L");


	$pdf->setXY(46,77.5);
	$pdf->Cell(75,10,$cotizacion->rut_cliente,0,1,"L");
	$pdf->setXY(46,82);
	$pdf->Cell(75,10,$cotizacion->nombre_paciente,0,1,"L");
	$pdf->setXY(46,86.5);
	$pdf->Cell(75,10,$cotizacion->rut_paciente,0,1,"L");
	$pdf->setXY(46,91);
	$pdf->Cell(75,10,$cotizacion->fono_cliente,0,1,"L");

	
	// Detalles de la Cotizacion
	//----------------------------------------------------------------------------------------------------------------------
	$pdf->setXY(30,120);
	$ancho_tablas 	= 195;
	$ancho_1 		= 20;
	$ancho_2 		= 80;
	$ancho_3 		= 10;
	
	$subgrupo 		= $listado_detalle_cotizacion[0]->subgrupo;
	$descripcion	= $listado_detalle_cotizacion[0]->ex1;
	
	
	$tabla = "<table border=1 width=$ancho_tablas>";
//	$tabla .= "<tr><td colspan=7></td></tr>";
	

	$pos_y = 117;
	$suma=0;
	foreach ($listado_detalle_cotizacion as $detalle_cotizacion) 
	{

		if ($detalle_cotizacion->descuento == 43 or $detalle_cotizacion->descuento == 50) 
			$descuento_43_50 = true;
		else
			$descuento_43_50 = false;

		if ($detalle_cotizacion->subgrupo != $subgrupo) 
		{
			$pdf->setXY(10,$pos_y);
			if ($cotizacion->id_cliente_proveedor <> 277)
			{
				$neto = round($suma/1.19);
				$pdf->Cell(180,10,"NETO: ",0,0,"R");
				$pdf->Cell(20,10,"$ ".format_money($neto),0,0,"C");
				$pos_y = $pos_y+5;

				$pdf->setXY(10,$pos_y);
				$iva = $suma-$neto;
				$pdf->Cell(180,10,"IVA: ",0,0,"R");
				$pdf->Cell(20,10,"$ ".format_money($iva),0,0,"C");
				$pos_y = $pos_y+5;
			}
			$pdf->setXY(10,$pos_y);
			$pdf->Cell(180,10,"TOTAL: ",0,0,"R");
			$pdf->Cell(20,10,"$ ".format_money($suma),0,0,"C");
			$pos_y = $pos_y+15;
			$suma=0;
		}

		$suma = $suma + $detalle_cotizacion->precio_total;
		$suma_sin_descuento = $suma_sin_descuento + $detalle_cotizacion->precio_lista*$detalle_cotizacion->cantidad;
				
			$subgrupo 		= $detalle_cotizacion->subgrupo;
			$descripcion	= $detalle_cotizacion->ex1;
			

		
		if ($detalle_cotizacion->producto_en_oferta)
			$mensaje = "**";
		else
			$mensaje ="";
		$pdf->setXY(10,$pos_y);
		$pos_y = $pos_y+3;
	    $pdf->SetFont('Gotham','',7); 
		$pdf->Cell(23,12,$detalle_cotizacion->codigo_barra,0,0,"L");
		$pdf->Cell(20,12,$detalle_cotizacion->cantidad,0,0,"C");
		$pdf->Cell(69,12,substr($detalle_cotizacion->nombre_producto,0,48),0,0,"L");
		$pdf->Cell(23,12,"$ ". format_money($detalle_cotizacion->precio_lista),0,0,"C");
		if ($detalle_cotizacion->descuento <> 0)
			$pdf->Cell(22,12,$detalle_cotizacion->descuento." %",0,0,"C");
		else
			$pdf->Cell(22,12,"",0,0,"C");
		$pdf->Cell(22,12,"$ ". format_money($detalle_cotizacion->precio_unitario),0,0,"C");
		$pdf->Cell(22,12,"$ ". format_money($detalle_cotizacion->precio_total),0,0,"C");
		$largo_str = strlen($detalle_cotizacion->nombre_producto);
		if ( $largo_str > 48)
		{
			$pos_y = $pos_y+1;
			$pdf->setXY(10,$pos_y);
			$pdf->Cell(23,12,"",0,0,"L");
			$pdf->Cell(20,12,"",0,0,"C");
			$pdf->Cell(71,12,substr($detalle_cotizacion->nombre_producto,48,48),0,0,"L");
			$pos_y = $pos_y+3;
		}
		if ( $largo_str > 96)
		{
			$pos_y = $pos_y+1;
			$pdf->setXY(10,$pos_y);
			$pdf->Cell(23,12,"",0,0,"L");
			$pdf->Cell(20,12,"",0,0,"C");
			$pdf->Cell(71,12,substr($detalle_cotizacion->nombre_producto,96,48),0,0,"L");
			$pos_y = $pos_y+3;
		}
		$pos_y = $pos_y+5;

	}
	$pdf->setXY(10,$pos_y);
	if ($cotizacion->id_cliente_proveedor <> 277)
	{
		$neto = round($suma/1.19);
		$pdf->Cell(180,10,"NETO: ",0,0,"R");
		$pdf->Cell(20,10,"$ ".format_money($neto),0,0,"C");
		$pos_y = $pos_y+5;

		$pdf->setXY(10,$pos_y);
		$iva = $suma-$neto;
		$pdf->Cell(180,10,"IVA: ",0,0,"R");
		$pdf->Cell(20,10,"$ ".format_money($iva),0,0,"C");
		$pos_y = $pos_y+5;
	}
	$pdf->setXY(10,$pos_y);
	$pdf->Cell(180,10,"TOTAL: ",0,0,"R");
	$pdf->Cell(20,10,"$ ".format_money($suma),0,0,"C");
	$pos_y = $pos_y+10;

	$pdf->setXY(10,240);
	$pdf->Cell(0,5,"**Producto en promocin no vlido para convenio",0,1,"L");


if ($descuento_43_50)
{
	$pdf->setXY(12,200);
	$pdf->Cell(0,5,"Notas: ",0,1,"L");
	$pdf->Cell(10,10,"1.- Vlido slo para pagos en efectivo, tarjeta de dbito y cheque al da",0,1,"L");
}
else
	$pdf->setXY(12,235);
	$pdf->Cell(0,5,"Nota: Validez de la cotizacin: 15 das",0,0,"L");


//	$archivo = "cotizacion_$cotizacion->id_cotizacion.pdf";
//	$pdf->Output();

	$archivo = "cotizacion_$cotizacion->id_cotizacion.pdf";
//	$pdf->Output("modulos/reportes/pdf/$archivo",F);
//	debug($archivo);
//
//	if ($usuario->id_sucursal == 20
//or $usuario->id_sucursal == 21
//or $usuario->id_sucursal == 30
//or $usuario->id_sucursal == 31
//or $usuario->id_sucursal == 33
//or $usuario->id_sucursal == 34
//or $usuario->id_sucursal == 38
//or $usuario->id_sucursal == 43
//or $usuario->login == "itek")
//	header("Location: http://186.10.255.215:81/e-soi-2018-defontana/compra_inventario/modulos/reportes/pdf/$archivo");
//else
//	header("Location: http://192.168.0.198/e-soi/compra_inventario/modulos/reportes/pdf/$archivo");

//$pdf->Output("modulos/reportes/pdf/$archivo",F);
//$pdf->Output("modulos/reportes/pdf/$archivo",D);

//header("Location: http://localhost:81/e-soi-plus/compra_inventario/modulos/reportes/pdf/$archivo");

//header("Location: pdf/$archivo");

$pdf->Output("modulos/reportes/pdf/$archivo",F);
//$pdf->Output("modulos/reportes/pdf/$archivo",I);
header("Location: http://186.10.255.215:81/e-soi/compra_inventario/modulos/reportes/pdf/$archivo");

//header("Location: pdf/$archivo");

		
		

?>