<?php
	header('Content-type: application/pdf');
	$old = getcwd();
	$new = "../../";
	chdir($new);

	include_once("validate_session.php");
	
	
	class PDF_BCI extends PDF
	{
		
		function Header()
		{
	
		}
	
		function Footer()
		{

		}
	} //fin clase
	
	
	

	//Creacin del objeto de la clase heredada
		$pdf=new PDF_BCI('L','mm','Letter');
		$pdf->AddPage();
		$pdf->SetFont('Times','',7);
		$pdf->SetTitle($titulo);
		$pdf->SetAuthor('OPTICA');
//		$pdf->SetMargins(20,30,20);
//		$pdf->SetAutoPageBreak(true, 40);

		
		
//		$pdf->setXY(20,12);
		$clog_Ventas = new Controlador_Logico_Ventas();		
		$ancho1 = 50;
		$borde1	= "1111";

		$pdf->setXY(10,22);
		$pdf->Image('imagenes/logo.jpg',0,0,40);
		

		$ancho1 = 50;
		$borde1	= "1111";
		
		$usuario = $_SESSION["usuario"];
		$id_solicitud_insumo = checkGET("id_solicitud_insumo",0);
		$clog_Solicitudes_insumos = new Controlador_Logico_Solicitudes_insumos();
		$clog_Detalle_solicitud_insumos = new Controlador_Logico_Detalle_solicitud_insumos();

		$solicitudes_insumos = $clog_Solicitudes_insumos->getSolicitudes_insumos($id_solicitud_insumo); 

		if ($solicitudes_insumos)
		{
			$fecha = minifecha($solicitudes_insumos->fecha);
			$nombre_sucursal = $solicitudes_insumos->nombre_sucursal;
			$filtro_detalle_solicitud_insumos["id_solicitud_insumo"] = $id_solicitud_insumo;
			$listado_detalle_solicitud_insumos = $clog_Detalle_solicitud_insumos->getListadoDetalle_solicitud_insumos($filtro_detalle_solicitud_insumos, $extra_detalle_solicitud_insumos);

			$tabla_titulo = "
			<table border=0 width=250%>
			<tr><td align=center>SOLICITUD DE INSUMOS A BODEGA FOLIO $id_solicitud_insumo</td></tr>
			<tr><td align=center>$nombre_sucursal</td></tr>
			<tr><td align=center>FECHA: $fecha</td></tr>
			</table>";

			$pdf->htmltable($tabla_titulo);
			$pdf->ln();
			$tabla_encabezado = "
			<table border=1 width=100%>
			<tr>
					<td align=center width=11% border=$borde1>CORR.</td>
					<td align=center width=15% border=$borde1>N SOBRE</td>
					<td align=center width=22% border=$borde1>FECHA ENVO</td>
					<td align=center width=32% border=$borde1>RESPONSABLE ENVO</td>
					<td align=center width=28% border=$borde1>FECHA RECEPCIN</td>
					<td align=center width=38% border=$borde1>RESPONSABLE RECEPCIN</td>
					<td align=center width=27% border=$borde1>ESTADO</td>
					<td align=center width=20% border=$borde1>VALE VENTA</td>
					<td align=center width=17% border=$borde1>SUCURSAL</td>
					<td align=center width=55% border=$borde1>OBSERVACIN</td>
			</tr>";	
			$i = 1;
			foreach ($listado_detalle_solicitud_insumos as $detalle_solicitud_insumos)
			{
					$observacion = "Armazn: ".$detalle_solicitud_insumos->get_armazon_vale_venta($detalle_solicitud_insumos->id_vale_venta). " - " .$detalle_solicitud_insumos->observacion;
					$fecha_envio = minifecha($detalle_solicitud_insumos->fecha_envio);
					$fecha_recepcion = minifecha($detalle_solicitud_insumos->fecha_recepcion);
					$fecha_oc = minifecha($detalle_solicitud_insumos->fecha_oc);
					$tabla_detalle .= "<tr>
						<td align=center width=11% border=$borde1>$i</td>
						<td align=center width=15% border=$borde1>$detalle_solicitud_insumos->id_sobre</td>
						<td align=center width=22% border=$borde1>$fecha_envio</td>
						<td align=center width=32% border=$borde1>$detalle_solicitud_insumos->usuario_envia</td>
						<td align=center width=28% border=$borde1>$fecha_recepcion</td>
						<td align=center width=38% border=$borde1>$detalle_solicitud_insumos->usuario_recepciona</td>
						<td align=center width=27% border=$borde1>$detalle_solicitud_insumos->nombre_estado</td>
						<td align=center width=20% border=$borde1>$detalle_solicitud_insumos->id_vale_venta</td>
						<td align=center width=17% border=$borde1>$detalle_solicitud_insumos->nombre_sucursal</td>
						<td align=left width=55% border=$borde1>$observacion</td>
					</tr>";	
					$i++;
			}
		}
		$pdf->htmltable($tabla_encabezado);
		$pdf->htmltable($tabla_detalle);

		
		$tabla_firma = "<table border=0>
					<tr><td align=left width=22% >EMITIDO POR</td></tr>
					<tr><td colspan=4 align=left width=80% >NOMBRE:$usuario->nombre $usuario->apellido</td></tr>
					<tr><td align=left width=22% >FIRMA:</td></tr></table>";

		$tabla_firma2 = "<table border=0>
					<tr><td align=left width=22% >RECIBIDO POR</td></tr>
					<tr><td align=left width=22% >NOMBRE:</td></tr>
					<tr><td align=left width=22% >FIRMA:</td></tr></table>";
				
		$pdf->ln(5);
		$pdf->htmltable($tabla_firma);
		$pdf->ln(5);
		$pdf->htmltable($tabla_firma2);

//		$hoy = ConvertirFechaBD_fecha(hoy());
//	$archivo = "rendicion_caja_".$hoy.".pdf";
//	$pdf->Output("modulos/reportes/pdf/$archivo",F);
//	header("Location: http://192.168.0.198/e-soi/compra_inventario/modulos/reportes/pdf/$archivo");


	$hoy = ConvertirFechaBD_fecha(hoy());
	$archivo = "solcitud_insumos_".$id_solicitud_insumo.".pdf";
	$pdf->Output("modulos/reportes/pdf/$archivo",F);
	$pdf->output('Solicitud_insumos.pdf',I);
	
?>