<?


//------------------------------------------------------------------------------
//	CLASE LOGICA
//------------------------------------------------------------------------------

class Cont_comportamiento_cuenta {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	private $id_comportamiento_cuenta;
	private $id_seccion;
	private $id_cuenta;
	private $descripcion;
	private $debe;
	private $haber;
	private $id_sucursal;
	private $id_empresa;
	private $extra3;

	private $cuenta;
	private $nombre_cuenta;
	
	private $debe_checked;
	private $haber_checked;
	//CONSTRUCTOR
	public function __construct($Cont_comportamiento_cuenta_BD) {
		if ($Cont_comportamiento_cuenta_BD) {
			$this->id_comportamiento_cuenta = $Cont_comportamiento_cuenta_BD->get_id_comportamiento_cuenta();
			$this->id_seccion = $Cont_comportamiento_cuenta_BD->get_id_seccion();
			$this->id_cuenta = $Cont_comportamiento_cuenta_BD->get_id_cuenta();
			$this->descripcion = $Cont_comportamiento_cuenta_BD->get_descripcion();
			$this->debe = $Cont_comportamiento_cuenta_BD->get_debe();
			$this->haber = $Cont_comportamiento_cuenta_BD->get_haber();
			$this->id_sucursal = $Cont_comportamiento_cuenta_BD->get_id_sucursal();
			$this->id_empresa = $Cont_comportamiento_cuenta_BD->get_id_empresa();
			$this->extra3 = $Cont_comportamiento_cuenta_BD->get_extra3();
			
			$cuenta = Cuenta_getCuenta($this->id_cuenta);
			if ($cuenta){
				$this->cuenta = $cuenta->get_codigo();
				$this->nombre_cuenta = $cuenta->get_nombre();
			}
			
			if ($this->debe == 1){
				$this->debe_checked = "checked";
			}
			
			if ($this->haber == 1){
				$this->haber_checked = "checked";
			}
		}
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
	//------------------------------------------------------------------------------
	public function get_debe_checked() {
		return ($this->debe_checked);
	}
		
	public function get_haber_checked() {
		return ($this->haber_checked);
	}	
	
	public function get_cuenta() {
		return ($this->cuenta);
	}

	public function get_nombre_cuenta() {
		return ($this->nombre_cuenta);
	}


	public function get_id_comportamiento_cuenta() {
		return ($this->id_comportamiento_cuenta);
	}

	public function get_id_seccion() {
		return ($this->id_seccion);
	}

	public function get_id_cuenta() {
		return ($this->id_cuenta);
	}

	public function get_descripcion() {
		return ($this->descripcion);
	}

	public function get_debe() {
		return ($this->debe);
	}

	public function get_haber() {
		return ($this->haber);
	}

	public function get_id_sucursal() {
		return ($this->id_sucursal);
	}

	public function get_id_empresa() {
		return ($this->id_empresa);
	}

	public function get_extra3() {
		return ($this->extra3);
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
	//------------------------------------------------------------------------------

	public function set_id_comportamiento_cuenta($id_comportamiento_cuenta) {
		$this->id_comportamiento_cuenta = $id_comportamiento_cuenta;
	}

	public function set_id_seccion($id_seccion) {
		$this->id_seccion = $id_seccion;
	}

	public function set_id_cuenta($id_cuenta) {
		$this->id_cuenta = $id_cuenta;
	}

	public function set_descripcion($descripcion) {
		$this->descripcion = $descripcion;
	}

	public function set_debe($debe) {
		$this->debe = $debe;
	}

	public function set_haber($haber) {
		$this->haber = $haber;
	}

	public function set_id_sucursal($id_sucursal) {
		$this->id_sucursal = $id_sucursal;
	}

	public function set_id_empresa($id_empresa) {
		$this->id_empresa = $id_empresa;
	}

	public function set_extra3($extra3) {
		$this->extra3 = $extra3;
	}

}
//------------------------------------------------------------------------------
//	FIN CLASE
//------------------------------------------------------------------------------
?>