<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Ciudad_Fachada {

function &getListadoCiudad($filtro,$extra)

	{
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	
	
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"];
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"];
	}
	if ($extra["limit"]){
		$where .= " LIMIT ".$extra["limit"];
	}
	
	$query = expandir("GET_LISTADO_CIUDAD",
	"where",	$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_ciudad = $RecordSet -> Fields("id_ciudad");
		$id_region = $RecordSet -> Fields("id_region");
		$nombre = $RecordSet -> Fields("nombre");
		$codigo_area = $RecordSet -> Fields("codigo_area");
		
		$temp = new Ciudad ($id_region, $nombre, $codigo_area, $id_ciudad);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getCiudad($id_ciudad)
	{
		global $conn;
		$query = expandir("GET_CIUDAD",
		"id_ciudad", $id_ciudad
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_ciudad = $RecordSet -> Fields("id_ciudad");
	$id_region = $RecordSet -> Fields("id_region");
	$nombre = $RecordSet -> Fields("nombre");
	$codigo_area = $RecordSet -> Fields("codigo_area");
	
	
	$temp = new Ciudad ($id_region, $nombre, $codigo_area, $id_ciudad);
	return $temp;
	}
	
	
	function &guardarCiudad($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CIUDAD",
		"nombre", $objeto->nombre,
		"codigo_area", $objeto->codigo_area,
		"id_region", $objeto->id_region);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return $conn->Insert_Id();
	
	
	}
	
	function &actualizarCiudad($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CIUDAD",
		"id_region", $objeto->id_region,
		"nombre", $objeto->nombre,
		"codigo_area", $objeto->codigo_area,
		"id_ciudad", $objeto->id_ciudad);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCiudad($id_ciudad){
		global $conn;
		$query = expandir("ELIMINAR_CIUDAD",
		"id_ciudad", $id_ciudad
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	
	}//Fin Clase
?>
