<?

//------------------------------------------------------------------------------
//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Contacto_Fachada {

	function &getListadoContacto($filtro,$extra)

	{
		global $conn;


		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}


		}

		if ($extra["order"]){
			$where .= "ORDER BY ".$extra["order"];
		}
		if ($extra["sort"]){
			$where .= $extra["sort"];
		}
		if ($extra["limit"]){
			$where .= "LIMIT ".$extra["limit"];
		}

		$query = expandir("GET_LISTADO_CONTACTO",
		"where",	$where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_contacto = $RecordSet -> Fields("id_contacto");
			$id_cliente_proveedor = $RecordSet -> Fields("id_cliente_proveedor");
			$nombre = $RecordSet -> Fields("nombre");
			$apellido = $RecordSet -> Fields("apellido");
			$area = $RecordSet -> Fields("area");
			$telefono = $RecordSet -> Fields("telefono");
			$fax = $RecordSet -> Fields("fax");
			$movil = $RecordSet -> Fields("movil");
			$email = $RecordSet -> Fields("email");
			$extra1 = $RecordSet -> Fields("extra1");
			$extra2 = $RecordSet -> Fields("extra2");
			$extra3 = $RecordSet -> Fields("extra3");

			$temp = new Contacto ($id_cliente_proveedor, $nombre, $apellido, $area, $telefono, $fax, $movil, $email, $extra1, $extra2, $extra3, $id_contacto);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getContacto($id_contacto)
	{
		global $conn;
		$query = expandir("GET_CONTACTO",
		"id_contacto", $id_contacto
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_contacto = $RecordSet -> Fields("id_contacto");
		$id_cliente_proveedor = $RecordSet -> Fields("id_cliente_proveedor");
		$nombre = $RecordSet -> Fields("nombre");
		$apellido = $RecordSet -> Fields("apellido");
		$area = $RecordSet -> Fields("area");
		$telefono = $RecordSet -> Fields("telefono");
		$fax = $RecordSet -> Fields("fax");
		$movil = $RecordSet -> Fields("movil");
		$email = $RecordSet -> Fields("email");
		$extra1 = $RecordSet -> Fields("extra1");
		$extra2 = $RecordSet -> Fields("extra2");
		$extra3 = $RecordSet -> Fields("extra3");


		$temp = new Contacto ($id_cliente_proveedor, $nombre, $apellido, $area, $telefono, $fax, $movil, $email, $extra1, $extra2, $extra3, $id_contacto);
		return $temp;
	}


	function &guardarContacto($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_CONTACTO",
		"nombre", $objeto->nombre,
		"apellido", $objeto->apellido,
		"area", $objeto->area,
		"telefono", $objeto->telefono,
		"fax", $objeto->fax,
		"movil", $objeto->movil,
		"email", $objeto->email,
		"extra1", $objeto->extra1,
		"extra2", $objeto->extra2,
		"extra3", $objeto->extra3,
		"id_cliente_proveedor", $objeto->id_cliente_proveedor);

		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return $conn->Insert_Id();


	}

	function &actualizarContacto($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_CONTACTO",
		"id_cliente_proveedor", $objeto->id_cliente_proveedor,
		"nombre", $objeto->nombre,
		"apellido", $objeto->apellido,
		"area", $objeto->area,
		"telefono", $objeto->telefono,
		"fax", $objeto->fax,
		"movil", $objeto->movil,
		"email", $objeto->email,
		"extra1", $objeto->extra1,
		"extra2", $objeto->extra2,
		"extra3", $objeto->extra3,
		"id_contacto", $objeto->id_contacto);

		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &eliminarContacto($id_contacto){
		global $conn;
		$query = expandir("ELIMINAR_CONTACTO",
		"id_contacto", $id_contacto
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}


}//Fin Clase
?>
