<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Bodega_Fachada {

function &getListadoBodega($id)
	{
		global $conn;
		
	if ($id == 0){
		$where = "";
	}else{
	$where = "WHERE id_sucursal = '$id'";
	}
	
	$query = expandir("GET_LISTADO_BODEGA",
	"where",	$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_bodega = $RecordSet -> Fields("id_bodega");
		$id_sucursal = $RecordSet -> Fields("id_sucursal");
		$descripcion = $RecordSet -> Fields("descripcion");
		$estado = $RecordSet -> Fields("estado");
		
		$temp = new Bodega ($id_sucursal, $descripcion, $estado, $id_bodega);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getListadoBodega_filtro($filtro,$extra)
	{
		global $conn;


		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}


		}

		if ($extra["order"]){
			$where .= "ORDER BY ".$extra["order"];
		}
		if ($extra["sort"]){
			$where .= $extra["sort"];
		}
		if ($extra["limit"]){
			$where .= "LIMIT ".$extra["limit"];
		}


		$query = expandir("GET_LISTADO_BODEGA",
		"where",	$where
		);

		//debug($query);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_bodega = $RecordSet -> Fields("id_bodega");
			$id_sucursal = $RecordSet -> Fields("id_sucursal");
			$descripcion = $RecordSet -> Fields("descripcion");
			$estado = $RecordSet -> Fields("estado");
	
			$temp = new Bodega ($id_sucursal, $descripcion, $estado, $id_bodega);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}

	function &getBodega($id_bodega)
	{
		global $conn;
		$query = expandir("GET_BODEGA",
		"id_bodega", $id_bodega
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_bodega = $RecordSet -> Fields("id_bodega");
	$id_sucursal = $RecordSet -> Fields("id_sucursal");
	$descripcion = $RecordSet -> Fields("descripcion");
	$estado = $RecordSet -> Fields("estado");
	
	
	$temp = new Bodega ($id_sucursal, $descripcion, $estado, $id_bodega);
	return $temp;
	}
	
	
	function &guardarBodega($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_BODEGA",
		"descripcion", $objeto->descripcion,
		"estado", $objeto->estado,
		"id_sucursal", $objeto->id_sucursal);
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
		
		
	}
	
	function &actualizarBodega($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_BODEGA",
		"id_sucursal", $objeto->id_sucursal,
		"descripcion", $objeto->descripcion,
		"estado", $objeto->estado,
		"id_bodega", $objeto->id_bodega);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarBodega($id_bodega){
		global $conn;
		$query = expandir("ELIMINAR_BODEGA",
		"id_bodega", $id_bodega
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	
	}//Fin Clase
?>
