<?php

$meses[1] = "Enero";
$meses[2] = "Febrero";
$meses[3] = "Marzo";
$meses[4] = "Abril";
$meses[5] = "Mayo";
$meses[6] = "Junio";
$meses[7] = "Julio";
$meses[8] = "Agosto";
$meses[9] = "Septiembre";
$meses[10] = "Octubre";
$meses[11] = "Noviembre";
$meses[12] = "Diciembre";

function validar_tabla_db(){}

function money_php($val) {

	$number = $val;
	$decimals = "0";
	$decpoint = ".";
	$thousandsep = ".";

	return "$".number_format($number, $decimals, $decpoint, $thousandsep);
}

function calcular_dias_entre($fecha1,$fecha2)
{
	$fecha1 = convertirFechaBD_fecha($fecha1);
	$fecha2 = convertirFechaBD_fecha($fecha2);
	
	$fecha1 = explode("/",$fecha1);
	$fecha2 = explode("/",$fecha2);
	
	$fecha1 = mktime(1,0,0,$fecha1[1],$fecha1[0],$fecha1[2]);
	$fecha2 = mktime(1,0,0,$fecha2[1],$fecha2[0],$fecha2[2]);

	$dia = 24 * 60 * 60;
	$dif = $fecha1 - $fecha2;
	$dias = $dif/$dia;
	$dias = ceil($dias);	
	
	return $dias;
}

function get_extra_var($tabla){
	global $MAPEOS;
	return $MAPEOS[$tabla];
}

function make_query($tabla, $filtro, $extra, $extra_var){
	
	
	if (!$filtro){
		$where = "";
	}else{
		$where = "WHERE ";
		$count = 0;
		foreach ($filtro as $key => $item)
		{
			if (is_array($item)){
				$count2 = 0;
				
				$where .= "(";
				foreach ($item as $key2 => $x){
					$where .= "$.$key LIKE '$x'";
					$count2++;
					if ($count2 < sizeof($item)) $where .= " OR ";
				}
				$where .= ")";
			}else{
				$op = "LIKE";
				if (substr($key,0,1) == "!"){
					$op = "!=";
					$key = substr($key,1);
				}
				$where .= "$tabla.$key $op '$item'";
			}
			
			if ($count < sizeof($filtro)-1)
				$where .= " AND ";
			$count++;
		}
	}
	
	foreach ($extra_var as $key => $value){
		$arr = explode("|", $value);
		
		$nombre_tabla 	= $arr[0];
		$nombre_campo 	= $arr[1];
		$id_interno 	= $arr[2];
		$id_externo 	= $arr[3];
		$alias			= $arr[4];
		
		if (!$id_externo) $id_externo = $id_interno;
		if (!$alias) $alias = $nombre_tabla;
		
		$q_var_extras 	.= ", $alias.$nombre_campo AS $key";
		$q_var_link		.= "$tabla.$id_interno = $alias.$id_externo AND ";
		
		// Verifica todas las tablas nuevas a incluir en la query
		if ($alias) $nombre_tabla = $nombre_tabla."|".$alias;
		if (!in_array($nombre_tabla, $tablas_extras)){$tablas_extras[] = $nombre_tabla;}

		
	}
	
	foreach ($tablas_extras as $t){
		if(strstr($t, "|")){
			$arr = explode("|", $t);
			$q_tablas_extras .= ", " . $arr[0] . " as " . $arr[1];
		}else{
			$q_tablas_extras .= ", " . $t;	
		}
		
	}
	
	
	$q_var_link = substr($q_var_link,0,-4);
	
	if (($where) and ($q_var_link)) $q_var_link = " AND " . $q_var_link;
	$where .= $q_var_link;
	
	if (($where) and (substr($where, 0, 5) !== "WHERE")) $where = "WHERE " . $where;
	
	//Extras de la Querie
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
		if ($extra["desde"]){
			$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
		}else{
			$where .= " LIMIT ".$extra["limit"];
		}
	}else{
		if ($extra["desde"]){
			$where .= " LIMIT ".$extra["desde"].",0";
		}
	}
	
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	

	$q = "
		SELECT DISTINCT $tabla.* $q_var_extras
		FROM $tabla $q_tablas_extras
		$where
	";

	
	return $q;
}

function exec_query($query){
	global $conn;
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);

	if ($RecordSet){
		while (!$RecordSet -> EOF) {
			$listado_campos = $RecordSet->fields;
			foreach ($listado_campos as $campo => $valor){
				if (!is_numeric($campo)){
					$temp[$campo] = $valor;
				}
			}
			$vector[] = $temp;
			$RecordSet -> MoveNext();
		}	

		return $vector;	
	}

	return null;
	
}



function convertir_money($nro){
	$number = $nro;	
	$decimals = "0";
	$decpoint= ".";
	$thousandsep=".";	
	
	return "$" . number_format($number, $decimals, $decpoint, $thousandsep);
}

function to_string($object){
	$str = "";
	foreach ($object as $key => $value){
		$tok = strtok ($key, "_");
		
		$ok = true;
		switch ($tok) {
			case "id":		$ok = false;	break;		
			case "to":		$ok = false;	break;		
			case "estado":	$ok = false;	break;		
			
		}
		
		
		if ($ok){
			
			if ($tok == "fecha") {$value = miniFecha($value);}
			
			$nombre = ucfirst(str_replace("_", " ", $key));
			$str .= $nombre . ": <strong>" . $value . "</strong><br>";
		}		
	}		
	return $str;
}

function format_array_combobox($arr, $id, $name1, $id_padre, $conector, $name2, $fin){
	
		$id 			= "get_" . $id;
		$name1			= "get_" . $name1;
		$fn_id_padre	= "get_" . $id_padre;
		
		
		$array_tmp = null;
		foreach ($arr as $item){
			
			if ($name2){
				$name2_mod		= "get_" . $name2;
				$nombre_2	= $item->$name2_mod();
			}
			
			$temp["id"] 		= $item->$id();
			$temp["name"] 		= $item->$name1() . $conector . $nombre_2 . $fin;
			if ($id_padre) 		$temp["id_padre"] 	= $item->$fn_id_padre(); 
			$array_tmp[] = $temp;			
		}
		
		return $array_tmp;
	}

function get_id_usuario(){
	$user = new Usuario();
	$user = $_SESSION["usuario"];
	return $user->get_id_usuario();
	//return $user["id_usuario"];
}

function makebarcode($codigo_barra, $cantidad=8){
	
	$txt = "%0" . $cantidad . "s";
	
	if (is_numeric($codigo_barra)){
		$codigo_barra = sprintf($txt,$codigo_barra);
	}else{
		$codigo_barra = sprintf($txt,0);
	}
	
	return $codigo_barra;
}

function convertirFecha_fechabd($fecha, $comp){
	if (substr_count($fecha, "/") != 0){
		$fecha = explode("/",$fecha);
		return $fecha[2].$fecha[1].$fecha[0].$comp;
	}
	return $fecha;
}

function convertirFechaBD_fecha($fecha){
	if (substr_count($fecha, "/") == 0){
		return substr($fecha, 6, 2)."/".substr($fecha, 4, 2)."/".substr($fecha, 0, 4);	
	}
	return $fecha;
}

function miniFecha($val){
	$dia = substr($val, 6, 2);
	$mes = substr($val, 4, 2);
	$ao = substr($val, 0, 4);
	$hor = substr($val, 8, 2);
	$min = substr($val, 10, 2);
	
	if ($hor){
	return $dia."-".$mes."-".$ao. " (".$hor.":".$min.")";
	}
	
	
	return $dia."-".$mes."-".$ao;
}

function expandirFecha($val){
	
	$dia = substr($val, 6, 2);
	$mes = substr($val, 4, 2);
	$ao = substr($val, 0, 4);
	
	$fecha = getdate(mktime (0,0,0,$mes,$dia,$ao));
	$wdia = $fecha['wday']; 
	
	// Da de la Semana
	switch ($wdia){
		case "1": $tdia = "Lunes";break;
		case "2": $tdia = "Martes";break;
		case "3": $tdia = "Mi&eacute;rcoles";break;
		case "4": $tdia = "Jueves";break;
		case "5": $tdia = "Viernes";break;
		case "6": $tdia = "S&aacute;bado";break;
		case "0": $tdia = "Domingo";break;
	}
	
	// Mes
	switch ($mes){
		case "01": $mes = "Enero";break;
		case "02": $mes = "Febrero";break;
		case "03": $mes = "Marzo";break;
		case "04": $mes = "Abril";break;
		case "05": $mes = "Mayo";break;
		case "06": $mes = "Junio";break;
		case "07": $mes = "Julio";break;
		case "08": $mes = "Agosto";break;		
		case "09": $mes = "Septiembre";break;
		case "10": $mes = "Octubre";break;
		case "11": $mes = "Noviembre";break;
		case "12": $mes = "Diciembre";break;
	}	
	return $tdia.", ".$dia." de ".$mes." de ".$ao;
}
/*** Agregado por Macphisto ***/

function enviarMail($to, $subject, $msg){
	$headers = "From: ITEK Chile <soporte@itekchile.com>\r\n";
	mail($to, $subject, $msg, $headers);
}

function hoy()
{
	return date("YmdHi", mktime(date("H"),date("i"),0,date("m"),date("d"),date("Y")));
}

function & format_money($val) { return number_format($val, 0, ',', '.'); }
function & format_rut($val)   { return number_format($val, 0, ',', '.'); }



function debug($var, $text){
	if ($text) {$text .= " : ";}	
	echo "<pre>$text"; var_dump($var); echo "</pre>";	
	return 1;
}

function eliminar_pos_arreglo($arreglo,$pos_eliminar){
	for ($i=0,$j=0;$i<sizeof($arreglo);$i++,$j++){
		if($i == $pos_eliminar)
			$i++;
		if ($i<sizeof($arreglo)){
			$arreglo_new[$j] = $arreglo[$i];
		}
	}
	return $arreglo_new;
}


function checkPOST($campo, $msg, $tipo=""){
	if (isset($_POST[$campo])){	
		if ($tipo == "num") {			
		    if (is_numeric($_POST[$campo])) {
		        return trim($_POST[$campo]);
		    }else{
				return 0;
			}
			
		}	
		return trim($_POST[$campo]);
	}else{			
		return $msg;
	}
			
}

function checkGET($campo, $msg, $tipo=""){
	if (isset($_GET[$campo])){
		if ($tipo == "num") {			
		    if (is_numeric($_GET[$campo])) {
		        return trim($_GET[$campo]);
		    }else{
				return 0;
			}
			
		}
		return trim($_GET[$campo]);
	}else{			
		return $msg;
	}
			
}


function checkARRAY($array, $campo, $msg, $tipo=""){	
	if (isset($array[$campo])){
		if ($tipo == "num") {			
		    if (is_numeric($array[$campo])) {
		        return trim($array[$campo]);
		    }else{
				return 0;
			}
			
		}
		return trim($array[$campo]);
	}else{			
		return $msg;
	}
			
}


	
function expandir($str)
{
        global $queries;
        $texto = $queries[$str];
		
		
        $numargs = func_num_args();
        for($i=1;$i<$numargs;){
                $patron = "%" . func_get_arg($i++) . "%";
                $reemplazo = func_get_arg($i++);
//                debug($patron);
                $texto = str_replace($patron, $reemplazo, $texto);
        }
        return $texto;
}


function getStrError($errno)
{
	switch ($errno) {
	case E_ALL:
		return "E_ALL";		
	case E_ERROR:
		return "E_ERROR";
	case E_WARNING:
		return "E_WARNING";
	case E_PARSE:
		return "E_PARSE";
	case E_NOTICE:
		return "E_NOTICE";
	case E_CORE_ERROR:
		return "E_CORE_ERROR";
	case E_CORE_WARNING:
		return "E_CORE_WARNING";
	case E_COMPILE_ERROR:
		return "E_COMPILE_ERROR";
	case E_COMPILE_WARNING:
		return "E_COMPILE_WARNING";
	case E_USER_ERROR:
		return "E_USER_ERROR";
	case E_USER_WARNING:
		return "E_USER_WARNING";
	case E_USER_NOTICE:
		return "E_USER_NOTICE";
	default:
		return "unknown";
	}
}

function myErrorHandler ($errno, $errstr, $errfile, $errline)
{
	if (!error_reporting()) return;

	$str = getStrError($errno);

	global $ADOLogger;
	if (isset($ADOLogger))
		$ADOLogger->logHTML("<b>$str</b>: <span style='color:red;'>$errstr</span> (on $errfile:$errline)");

}

set_error_handler("myErrorHandler");

function detect_pda()
	{
		// The set of brosers
		$browsers = array(
		"Windows CE",
		"WebTV",
		"AvantGo",
		"Blazer",
		"PalmOS",
		"lynx",
		"Go.Web",
		"Elaine",
		"ProxiNet",
		"ChaiFarer",
		"Digital Paths",
		"UP.Browser",
		"Mazingo",
		"Mobile",
		"T68",
		"Syncalot",
		"NetFront",
		"Danger",
		"Symbian",
		"Nokia",
		"Xiino",
		"AU-MIC",
		"EPOC");
		
		// The test
		if(preg_match('/('.implode('|', $browsers).')/i', $_SERVER['HTTP_USER_AGENT'], $match))
		{
		      return true;
		}
		else if (isset($_SERVER['HTTP_UA_OS']))
		{
		      if (strstr($_SERVER['HTTP_UA_OS'],"POCKET PC") !== false)
		      {
		              return true;
		      }
		}
		else
		{
		      return false;
		}
	
	}
function get_modulo($id_modulo)
{
	global $conn;
	$query="SELECT nombre_acceso FROM modulo WHERE id_modulo=$id_modulo ";
	$conn->debug=CONN_DEBUG;

	$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0)
	{
		return false;
	}
	else
	{
		return $RecordSet->Fields("nombre_acceso");
	}	
}
function get_permisos_codificados($id_usuario,$id_modulo)
{
	global $conn;
	$query="SELECT c.id_contenido id_contenido FROM usuario_contenido uc,contenido c WHERE uc.id_contenido=c.id_contenido and c.id_modulo=$id_modulo and id_usuario=$id_usuario and uc.permiso=2 order by c.id_contenido";
	$conn->debug=CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0)
	{
		return false;
		exit;
	}
	$pos = 0;
	while (!$RecordSet -> EOF)
    {
		$arreglo[$pos]=$RecordSet->Fields("id_contenido");
		$pos++;
		$RecordSet -> MoveNext();
	}
	return $arreglo;
}
	
function tiene_permiso($id_modulo,$id_usuario,$id_empresa)
{
	global $conn;
	$query="SELECT * FROM usuario_contenido uc,contenido c, modulo m WHERE uc.id_usuario=$id_usuario and uc.id_contenido=c.id_contenido and c.id_modulo=$id_modulo and uc.id_empresa=$id_empresa";
	$conn->debug=CONN_DEBUG;

	$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0)
	{
		return false;
	}
	else
	{
		return true;
	}	
}
function get_modulos()
{
	$query="SELECT id_modulo,nombre_acceso,nombre FROM modulo order by id_modulo ASC";
	return exec_query($query);
}
function get_empresas()
{
	$query="SELECT id_empresa,nombre FROM cont_empresa order by nombre";
	return exec_query($query);
}
function get_empresas_usuario($id_usuario)
{
	global $conn; 
	$query="SELECT e.id_empresa id_empresa,e.nombre nombre FROM empresa_usuario eu,cont_empresa e WHERE id_usuario=$id_usuario and e.id_empresa=eu.id_empresa group by e.id_empresa";
	$conn->debug=CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0)
	{
		return false;
		exit;
	}
	$pos=0;
	while (!$RecordSet -> EOF)
	{ 
		$sub_array[0]=$RecordSet -> Fields("id_empresa");
		$sub_array[1]=$RecordSet -> Fields("nombre");
		$arreglo[$pos]=$sub_array;
		$RecordSet -> MoveNext();
		$pos++;
	}
	return $arreglo;
}

function cargar_parametros_defontana()
{
	$clog_Parametros = new Controlador_Logico_Parametros();
	$filtro_parametros["codigo"] = "APILINK";
	$listado_parametros = $clog_Parametros->getListadoParametros($filtro_parametros, $extra_parametros);

	if ($listado_parametros)
		$apilink = $listado_parametros[0]->value;

	$filtro_parametros["codigo"] = "PUNTOENTRADA";
	$listado_parametros = $clog_Parametros->getListadoParametros($filtro_parametros, $extra_parametros);
	if ($listado_parametros)
		$puntoentrada = $listado_parametros[0]->value;

	$filtro_parametros["codigo"] = "IDEMPRESA";
	$listado_parametros = $clog_Parametros->getListadoParametros($filtro_parametros, $extra_parametros);
	if ($listado_parametros)
		$idempresa = $listado_parametros[0]->value;

	$filtro_parametros["codigo"] = "IDCLIENTE";
	$listado_parametros = $clog_Parametros->getListadoParametros($filtro_parametros, $extra_parametros);
	if ($listado_parametros)
		$idcliente = $listado_parametros[0]->value;


	$filtro_parametros["codigo"] = "IDUSUARIO";
	$listado_parametros = $clog_Parametros->getListadoParametros($filtro_parametros, $extra_parametros);
	if ($listado_parametros)
		$idusuario = $listado_parametros[0]->value;

	$filtro_parametros["codigo"] = "CLAVEDEFONTANA";
	$listado_parametros = $clog_Parametros->getListadoParametros($filtro_parametros, $extra_parametros);
	if ($listado_parametros)
		$clavedefontana = $listado_parametros[0]->value;


		session_start();
		$_SESSION["apilink"]		= $apilink;
		$_SESSION["puntoentrada"]	= $puntoentrada;
		$_SESSION["idempresa"]		= $idempresa;
		$_SESSION["idcliente"]		= $idcliente;
		$_SESSION["idusuario"]		= $idusuario;
		$_SESSION["clavedefontana"] = $clavedefontana;


}


function conectar_defontana()
{

		cargar_parametros_defontana();
		try 
		{

			// HOMO
			//$api_link = 'https://replgolden.defontana.com/Ventas_Soap/VentaService.svc?wsdl';	// HOMO
			//$punto_entrada = 'https://replgolden.defontana.com/Ventas_Soap/VentaService.svc';	// HOMO
			//$usuario_defontana = 'INTEGRACION';
			//$clave_defontana = '2';
			
			// PRODUCCIN
//			$api_link = 'https://awsgolden.defontana.com/Ventas_Soap/VentaService.svc?wsdl';	// PROD
//			$punto_entrada = 'https://awsgolden.defontana.com/Ventas_Soap/VentaService.svc';	// PROD
//			$usuario_defontana = 'evalenzuela@itekchile.com';
//			$clave_defontana = 'ENRIQUE';
			
			$apilink		= $_SESSION["apilink"];
			$puntoentrada	= $_SESSION["puntoentrada"];
			$idempresa		= $_SESSION["idempresa"];
			$idcliente		= $_SESSION["idcliente"];
			$idusuario		= $_SESSION["idusuario"];
			$clavedefontana = $_SESSION["clavedefontana"];
			
			

			$ctx_opts = array(
					    'http' => array(
				        'header' => 'Content-Type: application/soap+xml; charset=utf-8'
					    )
						);

						$ctx = stream_context_create($ctx_opts);

					$client->soap_defencoding = 'UTF-8';
					
					$client = new SoapClient($apilink, array('cache_wsdl' =>  WSDL_CACHE_DISK, 'soap_version' => SOAP_1_2, 'reliable' => 1.2 , 'useWSA' => TRUE,array('stream_context' => $ctx) ) );




					$headers = array();
					$headers[] = new SoapHeader('http://www.w3.org/2005/08/addressing', 'To', 'https://replgolden.defontana.com/Ventas_Soap/VentaService.svc', true);
					$headers[] = new SoapHeader('http://www.w3.org/2005/08/addressing', 'Action', 'VentaServicio/VentaServicio/Login', true);
					$client->__setSoapHeaders($headers);

					$requestParams = array( 'idEmpresa' => $idempresa,
														   'idUsuario' => $idusuario,
														   'password' => $clavedefontana);


				$response = $client->Login( $requestParams );
				$idsesion = $response->LoginResult->IDSesion;

				$sesion = array( 'IDCliente'	=> $idcliente,
                             'IDEmpresa'	=> $idempresa,
                             'IDSesion'		=> $idsesion,
                             'IDUsuario'	=> $idusuario);
				session_start();
				$_SESSION["sesion"] = $sesion;
				$_SESSION["idsesion"] = $idsesion;
		}
		catch(Exception $e) 
		{
		    echo $e->getMessage();
		}

}

?>
