<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Atributo{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_atributo;
	var $id_subfamilia;
	var $nombre;
	var $observacion;
	
	//CONSTRUCTOR
	/**
	* @return Atributo
	* @param $id_subfamilia
	* @param $nombre
	* @param $observacion
	* @param $id_atributo
	* @desc Constructor de la Clase
	*/
	function Atributo ($id_subfamilia, $nombre, $observacion, $id_atributo=0)
	{
		$this->id_atributo = $id_atributo;
		$this->id_subfamilia = $id_subfamilia;
		$this->nombre = $nombre;
		$this->observacion = $observacion;
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	/**
	* @return id_atributo
	* @desc Retorna la variable id_atributo
	*/
	
	function get_id_atributo(){
		return ($this->id_atributo);
	}
	
	/**
	* @return id_subfamilia
	* @desc Retorna la variable id_subfamilia
	*/
	
	function get_id_subfamilia(){
		return ($this->id_subfamilia);
	}
	
	/**
	* @return nombre
	* @desc Retorna la variable nombre
	*/
	
	function get_nombre(){
		return ($this->nombre);
	}
	
	/**
	* @return observacion
	* @desc Retorna la variable observacion
	*/
	
	function get_observacion(){
		return ($this->observacion);
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	/**
	* @return void
	* @desc Setea la variable id_atributo 
	*/
	
	function set_id_atributo($id_atributo){
		$this->id_atributo = $id_atributo;
	}
	
	/**
	* @return void
	* @desc Setea la variable id_subfamilia 
	*/
	
	function set_id_subfamilia($id_subfamilia){
		$this->id_subfamilia = $id_subfamilia;
	}
	
	/**
	* @return void
	* @desc Setea la variable nombre 
	*/
	
	function set_nombre($nombre){
		$this->nombre = $nombre;
	}
	
	/**
	* @return void
	* @desc Setea la variable observacion 
	*/
	
	function set_observacion($observacion){
		$this->observacion = $observacion;
	}
		
	
	
	}
	//------------------------------------------------------------------------------
	//	FIN CLASE
	//------------------------------------------------------------------------------

	//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
	//------------------------------------------------------------------------------

	function Atributo_getListadoAtributo($id=0){
		return Atributo_Fachada::getListadoAtributo($id);
	}
	
	function Atributo_getAtributo($id_atributo){
		return Atributo_Fachada::getAtributo($id_atributo);
	}
		
	function Atributo_guardarAtributo($objeto){
		return Atributo_Fachada::guardarAtributo($objeto);
	}
	
	function Atributo_actualizarAtributo($objeto){
		return Atributo_Fachada::actualizarAtributo($objeto);
	}
	
	function Atributo_eliminarAtributo($id_atributo){
		return Atributo_Fachada::eliminarAtributo($id_atributo);
	}
	
	
	
?>
