<?

//------------------------------------------------------------------------------
	//	CLASE LOGICA
//------------------------------------------------------------------------------

class Cont_bodega_consignacion{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	private $id_bodega_consignacion;
	private $id_bodega;
	private $id_cliente_proveedor;
	private $estado;
	private $extra1;
	private $extra2;
	private $extra3;
	
	private $descripcion;
	private $id_sucursal;
	
	//CONSTRUCTOR
	public function __construct ($Cont_bodega_consignacion_BD)
	{
	if ($Cont_bodega_consignacion_BD){
		$this->id_bodega_consignacion = $Cont_bodega_consignacion_BD->get_id_bodega_consignacion();
		$this->id_bodega = $Cont_bodega_consignacion_BD->get_id_bodega();
		$this->id_cliente_proveedor = $Cont_bodega_consignacion_BD->get_id_cliente_proveedor();
		$this->estado = $Cont_bodega_consignacion_BD->get_estado();
		$this->extra1 = $Cont_bodega_consignacion_BD->get_extra1();
		$this->extra2 = $Cont_bodega_consignacion_BD->get_extra2();
		$this->extra3 = $Cont_bodega_consignacion_BD->get_extra3();
		
		$bodega = Bodega_getBodega($this->id_bodega);
		if ($bodega){
			$this->descripcion = $bodega->get_descripcion();
			$this->id_sucursal = $bodega->get_id_sucursal();
		}
	}
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	public function get_id_bodega_consignacion(){
		return ($this->id_bodega_consignacion);
	}
	
	public function get_id_bodega(){
		return ($this->id_bodega);
	}
	
	public function get_id_cliente_proveedor(){
		return ($this->id_cliente_proveedor);
	}
	
	public function get_estado(){
		return ($this->estado);
	}
	
	public function get_extra1(){
		return ($this->extra1);
	}
	
	public function get_extra2(){
		return ($this->extra2);
	}
	
	public function get_extra3(){
		return ($this->extra3);
	}
	
	public function get_descripcion(){
		return ($this->descripcion);
	}	
	
	public function get_id_sucursal(){
		return ($this->id_sucursal);
	}		
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	public function set_id_bodega_consignacion($id_bodega_consignacion){
		$this->id_bodega_consignacion = $id_bodega_consignacion;
	}
	
	public function set_id_bodega($id_bodega){
		$this->id_bodega = $id_bodega;
	}
	
	public function set_id_cliente_proveedor($id_cliente_proveedor){
		$this->id_cliente_proveedor = $id_cliente_proveedor;
	}
	
	public function set_estado($estado){
		$this->estado = $estado;
	}
	
	public function set_extra1($extra1){
		$this->extra1 = $extra1;
	}
	
	public function set_extra2($extra2){
		$this->extra2 = $extra2;
	}
	
	public function set_extra3($extra3){
		$this->extra3 = $extra3;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

?>
