<?

//------------------------------------------------------------------------------
	//	CLASE LOGICA
//------------------------------------------------------------------------------

class Cont_centralizacion{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	private $id_cont_centralizacion;
	private $id_comprobante_contable;
	private $id_tipo_centralizacion;
	private $id_usuario;
	private $descripcion;
	private $fecha_centralizacion;
	private $mes_proceso;
	private $ano_proceso;
	private $estado;
	private $id_empresa;
	private $id_sucursal;
	private $extra3;
	private $extra4;
	
	private $nombre_tipo_centralizacion;
	private $fecha_proceso;
	//CONSTRUCTOR
	public function __construct ($Cont_centralizacion_BD)
	{
	if ($Cont_centralizacion_BD){
		$this->id_cont_centralizacion = $Cont_centralizacion_BD->get_id_cont_centralizacion();
		$this->id_comprobante_contable = $Cont_centralizacion_BD->get_id_comprobante_contable();
		$this->id_tipo_centralizacion = $Cont_centralizacion_BD->get_id_tipo_centralizacion();
		$this->id_usuario = $Cont_centralizacion_BD->get_id_usuario();
		$this->descripcion = $Cont_centralizacion_BD->get_descripcion();
		$this->fecha_centralizacion = $Cont_centralizacion_BD->get_fecha_centralizacion();
		$this->mes_proceso = $Cont_centralizacion_BD->get_mes_proceso();
		$this->ano_proceso = $Cont_centralizacion_BD->get_ano_proceso();
		$this->estado = $Cont_centralizacion_BD->get_estado();
		$this->id_empresa = $Cont_centralizacion_BD->get_id_empresa();
		$this->id_sucursal = $Cont_centralizacion_BD->get_id_sucursal();
		$this->extra3 = $Cont_centralizacion_BD->get_extra3();
		$this->extra4 = $Cont_centralizacion_BD->get_extra4();
		
		$clog_tc = new Controlador_Logico_Cont_tipo_centralizacion();
		$tc = $clog_tc->getCont_tipo_centralizacion($this->id_tipo_centralizacion);
		if ($tc)
			$this->nombre_tipo_centralizacion = $tc->get_nombre();
			
			$this->fecha_proceso = $this->mes_proceso."/".$this->ano_proceso;
	}
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------
	public function get_fecha_proceso(){
		return ($this->fecha_proceso);
	}
	
	public function get_nombre_tipo_centralizacion(){
		return ($this->nombre_tipo_centralizacion);
	}
	

	public function get_id_cont_centralizacion(){
		return ($this->id_cont_centralizacion);
	}
	
	public function get_id_comprobante_contable(){
		return ($this->id_comprobante_contable);
	}
	
	public function get_id_tipo_centralizacion(){
		return ($this->id_tipo_centralizacion);
	}
	
	public function get_id_usuario(){
		return ($this->id_usuario);
	}
	
	public function get_descripcion(){
		return ($this->descripcion);
	}
	
	public function get_fecha_centralizacion(){
		return ($this->fecha_centralizacion);
	}
	
	public function get_mes_proceso(){
		return ($this->mes_proceso);
	}
	
	public function get_ano_proceso(){
		return ($this->ano_proceso);
	}
	
	public function get_estado(){
		return ($this->estado);
	}
	
	public function get_id_empresa(){
		return ($this->id_empresa);
	}
	
	public function get_id_sucursal(){
		return ($this->id_sucursal);
	}
	
	public function get_extra3(){
		return ($this->extra3);
	}
	
	public function get_extra4(){
		return ($this->extra4);
	}
	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	public function set_id_cont_centralizacion($id_cont_centralizacion){
		$this->id_cont_centralizacion = $id_cont_centralizacion;
	}
	
	public function set_id_comprobante_contable($id_comprobante_contable){
		$this->id_comprobante_contable = $id_comprobante_contable;
	}
	
	public function set_id_tipo_centralizacion($id_tipo_centralizacion){
		$this->id_tipo_centralizacion = $id_tipo_centralizacion;
	}
	
	public function set_id_usuario($id_usuario){
		$this->id_usuario = $id_usuario;
	}
	
	public function set_descripcion($descripcion){
		$this->descripcion = $descripcion;
	}
	
	public function set_fecha_centralizacion($fecha_centralizacion){
		$this->fecha_centralizacion = $fecha_centralizacion;
	}
	
	public function set_mes_proceso($mes_proceso){
		$this->mes_proceso = $mes_proceso;
	}
	
	public function set_ano_proceso($ano_proceso){
		$this->ano_proceso = $ano_proceso;
	}
	
	public function set_estado($estado){
		$this->estado = $estado;
	}
	
	public function set_id_empresa($id_empresa){
		$this->id_empresa = $id_empresa;
	}
	
	public function set_id_sucursal($id_sucursal){
		$this->id_sucursal = $id_sucursal;
	}
	
	public function set_extra3($extra3){
		$this->extra3 = $extra3;
	}
	
	public function set_extra4($extra4){
		$this->extra4 = $extra4;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

?>
