<?


//------------------------------------------------------------------------------
//	CLASE LOGICA
//------------------------------------------------------------------------------

class Cont_cheque {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	private $id_cheque;
	private $id_comprobante_pago;
	private $numero_cheque;
	private $fecha_cheque;
	private $estado;
	private $id_detalle_comprobante_contable;
	private $monto_cheque;
	private $id_banco;
	private $tipo;

	private $nombre_banco;

	//CONSTRUCTOR
	public function __construct($Cont_cheque_BD) {
		if ($Cont_cheque_BD) {
			$this->id_cheque = $Cont_cheque_BD->get_id_cheque();
			$this->id_comprobante_pago = $Cont_cheque_BD->get_id_comprobante_pago();
			$this->numero_cheque = $Cont_cheque_BD->get_numero_cheque();
			$this->fecha_cheque = $Cont_cheque_BD->get_fecha_cheque();
			$this->estado = $Cont_cheque_BD->get_estado();
			$this->id_detalle_comprobante_contable = $Cont_cheque_BD->get_id_detalle_comprobante_contable();
			$this->monto_cheque = $Cont_cheque_BD->get_monto_cheque();
			$this->id_banco = $Cont_cheque_BD->get_id_banco();
			$this->tipo = $Cont_cheque_BD->get_tipo();
			
			$cuenta = Cuenta_getCuenta($this->id_banco);
			//debug($this->id_banco);
			if ($cuenta){
				$this->nombre_banco = $cuenta->get_nombre();
			}
		}
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
	//------------------------------------------------------------------------------

	public function get_nombre_banco(){
		return ($this->nombre_banco);
	}

	public function get_id_cheque() {
		return ($this->id_cheque);
	}

	public function get_id_comprobante_pago() {
		return ($this->id_comprobante_pago);
	}

	public function get_numero_cheque() {
		return ($this->numero_cheque);
	}

	public function get_fecha_cheque() {
		return ($this->fecha_cheque);
	}

	public function get_estado() {
		return ($this->estado);
	}

	public function get_id_detalle_comprobante_contable() {
		return ($this->id_detalle_comprobante_contable);
	}

	public function get_monto_cheque() {
		return ($this->monto_cheque);
	}

	public function get_id_banco() {
		return ($this->id_banco);
	}

	public function get_tipo() {
		return ($this->tipo);
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
	//------------------------------------------------------------------------------

	public function set_id_cheque($id_cheque) {
		$this->id_cheque = $id_cheque;
	}

	public function set_id_comprobante_pago($id_comprobante_pago) {
		$this->id_comprobante_pago = $id_comprobante_pago;
	}

	public function set_numero_cheque($numero_cheque) {
		$this->numero_cheque = $numero_cheque;
	}

	public function set_fecha_cheque($fecha_cheque) {
		$this->fecha_cheque = $fecha_cheque;
	}

	public function set_estado($estado) {
		$this->estado = $estado;
	}

	public function set_id_detalle_comprobante_contable($id_detalle_comprobante_contable) {
		$this->id_detalle_comprobante_contable = $id_detalle_comprobante_contable;
	}

	public function set_monto_cheque($monto_cheque) {
		$this->monto_cheque = $monto_cheque;
	}

	public function set_id_banco($id_banco) {
		$this->id_banco = $id_banco;
	}

	public function set_tipo($tipo) {
		$this->tipo = $tipo;
	}

}
//------------------------------------------------------------------------------
//	FIN CLASE
//------------------------------------------------------------------------------
?>
