<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Cotizacion{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_cotizacion;
	var $id_cliente_proveedor;
	var $id_cliente_particular;
	var $id_vendedor;
	var $id_usuario;
	var $descripcion_gral_cotizacion;
	var $fecha_creacion_cotizacion;
	var $fecha_modificacion_cotizacion;
	var $fecha_envio_cotizacion;
	var $fecha_activacion_cotizacion;
	var $fecha_cancelacion_cotizacion;
	var $fecha_rechazo_cotizacion;
	var $id_forma_pago;
	var $nombre_paciente;
	var $estado;
	var $nombre_cliente;
	var $nombre_estado;
	var $nombre_vendedor;
	var $rut_paciente;		
	var $id_sucursal;		
	var $dp_lejos;		
	var $dp_cerca;		
	var $obs_lejos;		
	var $obs_cerca;		
	var $add_lejos;		
	var $tipo_material_lejos;
	var $tipo_material_cerca;

	var $nombre_forma_pago;
	var $nombre_sucursal;
	var $nombre_cliente_particular;
	
	var $es_contactologia_1;
	var $es_contactologia_2;

	//CONSTRUCTOR
	function Cotizacion ($id_cliente_proveedor, $id_cliente_particular, $id_vendedor, $id_usuario, $id_forma_pago, $descripcion_gral_cotizacion, $fecha_creacion_cotizacion, $fecha_modificacion_cotizacion, $fecha_envio_cotizacion, $fecha_activacion_cotizacion, $fecha_cancelacion_cotizacion, $fecha_rechazo_cotizacion, $nombre_paciente, $estado, $rut_paciente, $id_sucursal, $dp_lejos, $dp_cerca, $obs_lejos, $obs_cerca, $tipo_material_lejos, $tipo_material_cerca, $add_lejos, $id_cotizacion=0)
	{
		$this->id_cotizacion = $id_cotizacion;
		$this->id_cliente_proveedor = $id_cliente_proveedor;
		$this->id_cliente_particular = $id_cliente_particular;
		$this->id_vendedor = $id_vendedor;
		$this->id_usuario = $id_usuario;
		$this->descripcion_gral_cotizacion = $descripcion_gral_cotizacion;
		$this->fecha_creacion_cotizacion = $fecha_creacion_cotizacion;
		$this->fecha_modificacion_cotizacion = $fecha_modificacion_cotizacion;
		$this->fecha_envio_cotizacion = $fecha_envio_cotizacion;
		$this->fecha_activacion_cotizacion = $fecha_activacion_cotizacion;
		$this->fecha_cancelacion_cotizacion = $fecha_cancelacion_cotizacion;
		$this->fecha_rechazo_cotizacion = $fecha_rechazo_cotizacion;
		$this->id_forma_pago = $id_forma_pago;
		$this->nombre_paciente = $nombre_paciente;
		$this->estado = $estado;
		$this->rut_paciente = $rut_paciente;
		$this->id_sucursal = $id_sucursal;
		$this->dp_lejos = $dp_lejos;
		$this->dp_cerca = $dp_cerca;
		$this->obs_lejos = $obs_lejos;
		$this->obs_cerca = $obs_cerca;
		$this->add_lejos = $add_lejos;
		$this->tipo_material_lejos = $tipo_material_lejos;
		$this->tipo_material_cerca = $tipo_material_cerca;


		$this->es_contactologia_1 = Cotizacion_ExisteContactologiaCotizacion($id_cotizacion,1);
		$this->es_contactologia_2 = Cotizacion_ExisteContactologiaCotizacion($id_cotizacion,2);
		$this->cantidad_armazones_1 = Cotizacion_CantidadArmazonesCotizacion($id_cotizacion,1);
		$this->cantidad_armazones_2 = Cotizacion_CantidadArmazonesCotizacion($id_cotizacion,2);
		if (!$this->cantidad_armazones_1) $this->cantidad_armazones_1 = 0;
		if (!$this->cantidad_armazones_2) $this->cantidad_armazones_2 = 0;

		if ($this->id_cliente_proveedor)
		{
			$clog_Cont_cliente_proveedor = new Controlador_Logico_Cont_cliente_proveedor();
			$empresa = $clog_Cont_cliente_proveedor->getCont_cliente_proveedor($this->id_cliente_proveedor); 
			if ($empresa)
			{
				$this->nombre_empresa = $empresa->razon_social;
				$this->nombre = $empresa->nombre;
				$this->rut_empresa = $empresa->rut;
				$this->nombre_tipo_lista_precio = $empresa->nombre_tipo_lista_precio;
				$this->nombre_a_facturar = $empresa->get_nombre_a_facturar();
				if ($this->id_cliente_proveedor == 277)
					$this->es_particular = true;
				else
					$this->es_particular = false;
			}
			$clog_Cliente_particular = new Controlador_Logico_Cliente_particular();
			$cliente_particular = $clog_Cliente_particular->getCliente_particular($this->id_cliente_particular);
			if ($cliente_particular)
			{
				$this->nombre_cliente_particular = $cliente_particular->get_nombre()." ". $cliente_particular->get_apellido_paterno()." ". $cliente_particular->get_apellido_materno();
				$this->rut_cliente = $cliente_particular->get_rut();
				$this->fono_cliente = $cliente_particular->get_celular();
				$this->email = $cliente_particular->get_email();
			}
			switch ($estado){
				case 0: $this->nombre_estado = "Digitada"; break;
				case 1: $this->nombre_estado = "Finalizada"; break;
				case 2: $this->nombre_estado = "Enviada"; break;
				case 3: $this->nombre_estado = "Finalizada"; break;
				case 4: $this->nombre_estado = "Finalizada"; break;
			}	
			
			$clog_vendedor = new Controlador_Logico_Vendedor();
			$vendedor = new Vendedor();		
			$vendedor = $clog_vendedor->getVendedor($id_vendedor);
			if ($vendedor){
				$this->nombre_vendedor = $vendedor->get_nombre() . " " . $vendedor->get_apellido();
			}else{
				$this->nombre_vendedor = "Vendedor no definido";
			}
			
			switch ($this->id_forma_pago) {
				case 1:	$this->nombre_forma_pago = "Contado";	break;
				case 2:	$this->nombre_forma_pago = "Cuotas";	break;
				case 3:	$this->nombre_forma_pago = "Convenio";	break;
				default:	$this->nombre_forma_pago = "x";	break;
			}
			
			if ($this->id_sucursal == 0){
				$this->id_sucursal = 16;
				Cotizacion_actualizarCotizacion($this);
			}
		}
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	function get_id_cotizacion(){
		return ($this->id_cotizacion);
	}
	
	function get_nombre_cliente(){
		return ($this->nombre_cliente);
	}
	
	function get_nombre_estado(){
		return ($this->nombre_estado);
	}
	
	
	function get_nombre_sucursal(){
		$sucursal = Sucursal_getSucursal($this->id_sucursal);
		return ($sucursal->descripcion);
	}
	
	
	function get_credito(){
		$clog_cliente = new Controlador_Logico_Cliente_particular();
		$cliente_particular = new Cliente_particular();
		$cliente_particular = $clog_cliente->getCliente_particular($this->rut_paciente);
		if ($cliente_particular){
			return true;
		}else{
			return false;
		}
	}
	
	function get_id_cliente_proveedor(){
		return ($this->id_cliente_proveedor);
	}
	
	function get_id_cliente_particular(){
		return ($this->id_cliente_particular);
	}
	
	function get_id_vendedor(){
		return ($this->id_vendedor);
	}
	
	function get_nombre_vendedor(){
		return ($this->nombre_vendedor);
	}
	
	function get_id_usuario(){
		return ($this->id_usuario);
	}
	
	function get_descripcion_gral_cotizacion(){
		return ($this->descripcion_gral_cotizacion);
	}
	
	function get_fecha_creacion_cotizacion(){
		return ($this->fecha_creacion_cotizacion);
	}
	
	function get_fecha_modificacion_cotizacion(){
		return ($this->fecha_modificacion_cotizacion);
	}
	
	function get_fecha_envio_cotizacion(){
		return ($this->fecha_envio_cotizacion);
	}
	
	function get_fecha_activacion_cotizacion(){
		return ($this->fecha_activacion_cotizacion);
	}
	
	function get_fecha_cancelacion_cotizacion(){
		return ($this->fecha_cancelacion_cotizacion);
	}
	
	function get_fecha_rechazo_cotizacion(){
		return ($this->fecha_rechazo_cotizacion);
	}
	
	function get_id_forma_pago(){
		return ($this->id_forma_pago);
	}
	
	function get_nombre_paciente(){
		return ($this->nombre_paciente);
	}
	
	function get_estado_cotizacion(){
		return ($this->estado_cotizacion);
	}
	
	function get_estado(){
		return ($this->estado);
	}

	function get_rut_paciente(){
		return ($this->rut_paciente);		
	}
			
	function get_id_sucursal(){
		return ($this->id_sucursal);		
	}
			
	function get_dp_lejos(){
		return ($this->dp_lejos);		
	}
			
	function get_dp_cerca(){
		return ($this->dp_cerca);		
	}
			
	function get_obs_lejos(){
		return ($this->obs_lejos);		
	}
			
	function get_obs_cerca(){
		return ($this->obs_cerca);		
	}
			
	function get_add_lejos(){
		return ($this->add_lejos);		
	}
	
	function get_tipo_material_cerca(){
		return ($this->tipo_material_cerca);		
	}

	function get_tipo_material_lejos(){
		return ($this->tipo_material_lejos);		
	}
	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_cotizacion($id_cotizacion){
		$this->id_cotizacion = $id_cotizacion;
	}
	
	function set_id_cliente_proveedor($id_cliente_proveedor){
		$this->id_cliente_proveedor = $id_cliente_proveedor;
	}
	
	function set_id_cliente_particular($id_cliente_particular){
		$this->id_cliente_particular = $id_cliente_particular;
	}
	
	function set_id_vendedor($id_vendedor){
		$this->id_vendedor = $id_vendedor;
	}
	
	function set_id_usuario($id_usuario){
		$this->id_usuario = $id_usuario;
	}
	
	function set_descripcion_gral_cotizacion($descripcion_gral_cotizacion){
		$this->descripcion_gral_cotizacion = $descripcion_gral_cotizacion;
	}
	
	function set_fecha_creacion_cotizacion($fecha_creacion_cotizacion){
		$this->fecha_creacion_cotizacion = $fecha_creacion_cotizacion;
	}
	
	function set_fecha_modificacion_cotizacion($fecha_modificacion_cotizacion){
		$this->fecha_modificacion_cotizacion = $fecha_modificacion_cotizacion;
	}
	
	function set_fecha_envio_cotizacion($fecha_envio_cotizacion){
		$this->fecha_envio_cotizacion = $fecha_envio_cotizacion;
	}
	
	function set_fecha_activacion_cotizacion($fecha_activacion_cotizacion){
		$this->fecha_activacion_cotizacion = $fecha_activacion_cotizacion;
	}
	
	function set_fecha_cancelacion_cotizacion($fecha_cancelacion_cotizacion){
		$this->fecha_cancelacion_cotizacion = $fecha_cancelacion_cotizacion;
	}
	
	function set_fecha_rechazo_cotizacion($fecha_rechazo_cotizacion){
		$this->fecha_rechazo_cotizacion = $fecha_rechazo_cotizacion;
	}
	
	function set_id_forma_pago($id_forma_pago){
		$this->id_forma_pago = $id_forma_pago;
	}
	
	function set_nombre_paciente($nombre_paciente){
		$this->nombre_paciente = $nombre_paciente;
	}
	
	function set_estado_cotizacion($estado){
		$this->estado_cotizacion = $estado;
	}
	
	function set_rut_paciente($rut_paciente){
		$this->rut_paciente = $rut_paciente;		
	}
			
	function set_id_sucursal($id_sucursal){
		$this->id_sucursal = $id_sucursal;		
	}
			
	function set_dp_lejos($dp_lejos){
		$this->dp_lejos = $dp_lejos;		
	}
			
	function set_dp_cerca($dp_cerca){
		$this->dp_cerca = $dp_cerca;		
	}
			
	function set_obs_lejos($obs_lejos){
		$this->obs_lejos = $obs_lejos;		
	}
			
	function set_obs_cerca($obs_cerca){
		$this->obs_cerca = $obs_cerca;		
	}
			
	function set_add_lejos($add_lejos){
		$this->add_lejos = $add_lejos;		
	}
	
	function set_tipo_material_cerca($tipo_material_cerca){
		$this->tipo_material_cerca = $tipo_material_cerca;		
	}

	function set_tipo_material_lejos($tipo_material_lejos){
		$this->tipo_material_lejos = $tipo_material_lejos;		
	}


	


	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Cotizacion_getListadoCotizacion($id=0){
		return Cotizacion_Fachada::getListadoCotizacion($id);
	}
	
	function Cotizacion_getListadoCotizacionBuscador($filtro,$extra){
		$sql = "";
		
		if ($filtro["nombre"]){
			$sql .= "nombre_paciente LIKE '%" . $filtro["nombre"] . "' AND ";
		}
		
		if ($filtro["id_cotizacion"]){
			$sql .= "id_cotizacion LIKE '%" . $filtro["id_cotizacion"] . "' AND ";
		}
		
		if ($filtro["rut"]){
			$sql .= "rut_paciente LIKE '%" . $filtro["rut"] . "' AND ";
		}
		
		if ($filtro["fecha_ini"]){
			$sql .= "fecha_creacion_cotizacion >= '" . $filtro["fecha_ini"] . "' AND fecha_creacion_cotizacion <= '". $filtro["fecha_fin"] . "' AND ";
		}
		
		if ($filtro["id_vendedor"]){
			$sql .= "id_vendedor = '". $filtro["id_vendedor"] . "' AND ";
		}

		if ($filtro["id_sucursal"]){
			$sql .= "id_sucursal = '". $filtro["id_sucursal"] . "' AND ";
		}


		$sql = substr($sql, 0, -4);

			if ($sql) 
				$sql = " WHERE " . $sql;

			$sql .= " ORDER BY id_cotizacion DESC ";
		
				
			if ($extra["limit"]){
				if ($extra["desde"]){
					$sql .= " LIMIT ".$extra["desde"].",".$extra["limit"];
				}else{
					$sql .= " LIMIT ".$extra["limit"];
				}
			}else{
				if ($extra["desde"]){
					$sql .= " LIMIT ".$extra["desde"].",0";
				}
			}
				
		
//		debug($sql);
		
		$extra_fin["sql"] = $sql;
		
		return Cotizacion_Fachada::getListadoCotizacion("","",$extra_fin);
	}
	
	function Cotizacion_getListadoCotizacionDiaria(){
		$fecha = substr(hoy(), 0, 8);
		$extra["order"] = "id_cotizacion DESC";
		return Cotizacion_Fachada::getListadoCotizacion(0,$fecha, $extra);
	}
	
	function Cotizacion_getListadoCotizacionesEnviadas(){
		return Cotizacion_Fachada::getListadoCotizacion(2);
	}
	
	function Cotizacion_getCotizacion($id_cotizacion){
		return Cotizacion_Fachada::getCotizacion($id_cotizacion);
	}
	
	function Cotizacion_guardarCotizacion($objeto){
		return Cotizacion_Fachada::guardarCotizacion($objeto);
	}
	
	function Cotizacion_actualizarCotizacion($objeto){
		return Cotizacion_Fachada::actualizarCotizacion($objeto);
	}
	
	function Cotizacion_eliminarCotizacion($id_cotizacion){
		return Cotizacion_Fachada::eliminarCotizacion($id_cotizacion);
	}
	
	function Cotizacion_ExisteContactologiaCotizacion($id_cotizacion,$subgrupo){
		return Cotizacion_Fachada::ExisteContactologiaCotizacion($id_cotizacion,$subgrupo);
	}
	
	function Cotizacion_CantidadArmazonesCotizacion($id_cotizacion,$subgrupo){
		return Cotizacion_Fachada::CantidadArmazonesCotizacion($id_cotizacion,$subgrupo);
	}
	
?>
