<?

//------------------------------------------------------------------------------
	//	CLASE LOGICA
//------------------------------------------------------------------------------
if (!class_exists('Detalle_ordenes_produccion')){
$extra_var = null;
	// ================= Atributos Extras Provenientes de otras tablas
	// $extra_var["nombre_var"] = "tabla_externa | atributo | id_interno | id_externo";
	$extra_var["codigo_barra"] = "producto | codigo_barra | id_producto | id_producto";
//	$extra_var["nro_orden_compra"] = "vale_venta | orden_compra | nro_vale_venta | id_vale_venta";
	$extra_var["id_cliente_proveedor"] = "ordenes_produccion | id_cliente_proveedor | id_orden_produccion | id_orden_produccion";
	// ================= Atributos Extras Provenientes de otras tablas
	$MAPEOS["DETALLE_ORDENES_PRODUCCION"] = $extra_var;
	
class Detalle_ordenes_produccion{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_detalle_orden_produccion;
	var $id_orden_produccion;
	var $nombre;
	var $rut;
	var $nro_cotizacion;
	var $nro_sobre;
	var $nro_vale_venta;
	var $nro_guia_despacho;
	var $nro_factura;
	var $estado;
	var $id_producto;
	var $observacion;
	var $fecha_envio;
	var $id_usuario_envia;
	var $id_usuario_acepta;
	var $nombre_estado;
	var $descripcion;
	var $fecha_acepta;
	var $id_cliente_proveedor;
	var $codigo_barra;
	var $observacion_interna;
	// ================= Atributos Extras Provenientes de otras tablas
	// HERE
	// ================= Atributos Extras Provenientes de otras tablas
	
	//CONSTRUCTOR
	function Detalle_ordenes_produccion($Detalle_ordenes_produccion_arr)
	{
	if ($Detalle_ordenes_produccion_arr){
		$this->id_detalle_orden_produccion = $Detalle_ordenes_produccion_arr["id_detalle_orden_produccion"];
		$this->id_orden_produccion = $Detalle_ordenes_produccion_arr["id_orden_produccion"];
		$this->nombre = utf8_encode($Detalle_ordenes_produccion_arr["nombre"]);
		$this->rut = $Detalle_ordenes_produccion_arr["rut"];
		$this->nro_cotizacion = $Detalle_ordenes_produccion_arr["nro_cotizacion"];
		$this->nro_sobre = $Detalle_ordenes_produccion_arr["nro_sobre"];
		$this->nro_vale_venta = $Detalle_ordenes_produccion_arr["nro_vale_venta"];
		$this->nro_guia_despacho = $Detalle_ordenes_produccion_arr["nro_guia_despacho"];
		$this->nro_factura = $Detalle_ordenes_produccion_arr["nro_factura"];
		$this->estado = $Detalle_ordenes_produccion_arr["estado"];
		$this->id_producto = $Detalle_ordenes_produccion_arr["id_producto"];
		$this->observacion = $Detalle_ordenes_produccion_arr["observacion"];
		$this->fecha_envio = $Detalle_ordenes_produccion_arr["fecha_envio"];
		$this->id_usuario_envia = $Detalle_ordenes_produccion_arr["id_usuario_envia"];
		$this->id_usuario_acepta = $Detalle_ordenes_produccion_arr["id_usuario_acepta"];
		$this->descripcion = $Detalle_ordenes_produccion_arr["descripcion"];
		$this->fecha_acepta = $Detalle_ordenes_produccion_arr["fecha_acepta"];
		$this->nro_orden_compra = $Detalle_ordenes_produccion_arr["nro_orden_compra"];
		$this->id_cliente_proveedor = $Detalle_ordenes_produccion_arr["id_cliente_proveedor"];
		$this->codigo_barra = $Detalle_ordenes_produccion_arr["codigo_barra"];
		$this->observacion_interna = $Detalle_ordenes_produccion_arr["observacion_interna"];


		switch ($this->estado)
		{
			case 0:$this->nombre_estado="En digitacin";break;
			case 1:$this->nombre_estado="Enviada";break;
			case 5:$this->nombre_estado="Aceptada";break;
			case 4:$this->nombre_estado="Rechazada";break;
			case 2:$this->nombre_estado=utf8_encode("En fabricacin");break;
			case 6:$this->nombre_estado="Terminada";break;
			case 3:$this->nombre_estado="Despachada";break;
			case 9:$this->nombre_estado="Anulada";break;
		}

		$clog_Documento = new Controlador_Logico_Documento();

		$filtro_documento["id_orden_produccion"] = $this->id_orden_produccion;
		$listado_documento = $clog_Documento->getListadoDocumento($filtro_documento,$extra_documento);
		if ($listado_documento)
			$this->receta_ok = true;
		else
		{
			$filtro_documento["id_detalle_orden_produccion"] = $this->id_detalle_orden_produccion;
			$listado_documento = $clog_Documento->getListadoDocumento($filtro_documento,$extra_documento);
			if ($listado_documento)
				$this->receta_ok = true;
			else
				$this->receta_ok = false;
		}

		$envia = Usuario_getUsuario($this->id_usuario_envia);
		if ($envia)
			$this->nombre_responsable_envio = $envia->nombre." ". $envia->apellido;

		$vale_venta = Vale_venta_getVale_venta($this->nro_vale_venta);

		if ($vale_venta)
		{

			$this->nro_orden_compra = $vale_venta->orden_compra;
			$this->nro_guia_despacho = $vale_venta->id_guia_despacho;

			if ($this->nro_guia_despacho <> "")
			{

				$filtro_guia["nro_guia"] = $this->nro_guia_despacho;
				$listado_guia_despacho = guia_despacho_getListadoguia_despacho_filtro($filtro_guia);
				if ($listado_guia_despacho)
				{
					$this->nro_factura = $listado_guia_despacho[0]->numero_venta;
				}
			}



		}

		$clog_Cont_cliente_proveedor = new Controlador_Logico_Cont_cliente_proveedor();
		$cont_cliente_proveedor = $clog_Cont_cliente_proveedor->getCont_cliente_proveedor($this->id_cliente_proveedor); 
		if ($cont_cliente_proveedor)
			$this->nombre_empresa = $cont_cliente_proveedor->razon_social;

	//Atributos Extras Provenientes de otras tablas
	// HERE
	//Atributos Extras Provenientes de otras tablas
	}
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------
	function  display(){
		$permisos 	= "123456789012345678901234567";
	//$permisos 	= "";
	$formato	= "";
	$titulo		= "Detalles";
	return (mostrar_detalles_objeto($this, $permisos, $formato, $nombres, $titulo));
	}
	
	
	function get_id_detalle_orden_produccion(){
		return ($this->id_detalle_orden_produccion);
	}
	
	function get_id_orden_produccion(){
		return ($this->id_orden_produccion);
	}
	
	function get_nombre(){
		return ($this->nombre);
	}
	
	function get_rut(){
		return ($this->rut);
	}
	
	function get_nro_cotizacion(){
		return ($this->nro_cotizacion);
	}
	
	function get_nro_sobre(){
		return ($this->nro_sobre);
	}
	
	function get_nro_vale_venta(){
		return ($this->nro_vale_venta);
	}
	
	function get_nro_guia_despacho(){
		return ($this->nro_guia_despacho);
	}
	
	function get_nro_factura(){
		return ($this->nro_factura);
	}
	
	function get_estado(){
		return ($this->estado);
	}
	
	function get_id_producto(){
		return ($this->id_producto);
	}
	
	function get_observacion(){
		return ($this->observacion);
	}
	
	function get_fecha_envio(){
		return ($this->fecha_envio);
	}
	
	function get_id_usuario_envia(){
		return ($this->id_usuario_envia);
	}
	
	function get_id_usuario_acepta(){
		return ($this->id_usuario_acepta);
	}
	
	function get_fecha_acepta(){
		return ($this->fecha_acepta);
	}
	

	function get_descripcion(){
		return ($this->descripcion);
	}

	function get_observacion_interna(){
		return ($this->observacion_interna);
	}

	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_detalle_orden_produccion($id_detalle_orden_produccion){
		$this->id_detalle_orden_produccion = $id_detalle_orden_produccion;
	}
	
	function set_id_orden_produccion($id_orden_produccion){
		$this->id_orden_produccion = $id_orden_produccion;
	}
	
	function set_nombre($nombre){
		$this->nombre = $nombre;
	}
	
	function set_rut($rut){
		$this->rut = $rut;
	}
	
	function set_nro_cotizacion($nro_cotizacion){
		$this->nro_cotizacion = $nro_cotizacion;
	}
	
	function set_nro_sobre($nro_sobre){
		$this->nro_sobre = $nro_sobre;
	}
	
	function set_nro_vale_venta($nro_vale_venta){
		$this->nro_vale_venta = $nro_vale_venta;
	}
	
	function set_nro_guia_despacho($nro_guia_despacho){
		$this->nro_guia_despacho = $nro_guia_despacho;
	}
	
	function set_nro_factura($nro_factura){
		$this->nro_factura = $nro_factura;
	}
	
	function set_estado($estado){
		$this->estado = $estado;
	}
	
	function set_id_producto($id_producto){
		$this->id_producto = $id_producto;
	}
	
	function set_observacion($observacion){
		$this->observacion = $observacion;
	}
	
	function set_fecha_envio($fecha_envio){
		$this->fecha_envio = $fecha_envio;
	}
	
	function set_id_usuario_envia($id_usuario_envia){
		$this->id_usuario_envia = $id_usuario_envia;
	}
	
	function set_id_usuario_acepta($id_usuario_acepta){
		$this->id_usuario_acepta = $id_usuario_acepta;
	}
	
	function set_fecha_acepta($fecha_acepta){
		$this->fecha_acepta = $fecha_acepta;
	}

	function set_descripcion($descripcion){
		$this->descripcion = $descripcion;
	}

	function set_observacion_interna($observacion_interna){
		$this->observacion_interna = $observacion_interna;
	}


	
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

?>
