<?

//------------------------------------------------------------------------------
//	CLASE
//------------------------------------------------------------------------------

class Documento_credito{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	var $id_documento_credito;
	var $id_cliente;
	var $numero_documento;
	var $abono_inicial;
	var $id_vale_venta;
	var $fecha_credito;
	var $monto_credito;
	var $numero_cuotas;
	var $estado;
	var $abono;
	var $saldo;

	var $nombre_estado;
	var $nombre_documento_credito;
	var $nombre_cliente;
	var $nombre_cliente_empresa;
	var $nombre_sucursal;

	//CONSTRUCTOR
	function Documento_credito ($id_cliente, $numero_documento, $abono_inicial, $id_vale_venta, $fecha_credito, $monto_credito , $abono_inicial, $numero_cuotas, $estado, $abono, $saldo, $id_documento_credito=0)
	{
		//debug($id_cliente);
		$this->id_documento_credito = $id_documento_credito;
		$this->id_cliente = $id_cliente;
		$this->numero_documento = $numero_documento;
		$this->abono_inicial = $abono_inicial;
		$this->id_vale_venta = $id_vale_venta;
		$this->fecha_credito = $fecha_credito;
		$this->monto_credito  = $monto_credito;
		$this->abono_inicial = $abono_inicial;
		$this->numero_cuotas = $numero_cuotas;
		$this->estado = $estado;
		$this->abono = $abono;
		$this->saldo = $saldo;
		
			
		switch ($this->estado) {
			case 0:$this->nombre_estado = "Solicitada";break;
			case 1:$this->nombre_estado = "Digitado";break;
			case 2:$this->nombre_estado = "Impago";break;
			case 3:$this->nombre_estado = "Moroso";break;
			case 4:$this->nombre_estado = "Pagado";break;
			case 9:$this->nombre_estado = "Nula";break;
		}
		
		$clog_Cliente_particular = new Controlador_Logico_Cliente_particular();


		$cliente = $clog_Cliente_particular->getCliente_particular($id_cliente);
		//debug($cliente);
		
		if($cliente) {
			$this->nombre_cliente = $cliente->get_nombre_completo();
			$id_cliente_empresa = $cliente->get_id_cliente_empresa();

			$cliente_empresa = Cliente_getCliente($id_cliente_empresa);
			$this->nombre_cliente_empresa = $cliente_empresa->nombre_cliente;
		}

		$vv = Vale_venta_getVale_venta($id_vale_venta);
		$this->nombre_sucursal = $vv->nombre_sucursal;

		/*
		$this->fecha_vencimiento = calcular_fecha($this->vencimiento,convertirFechaBD_fecha($this->fecha_documento),"futuro");
		
		$cuenta_impuesto = Cuenta_getCuenta($this->abono);
		if ($cuenta_impuesto)
			$this->nombre_impuesto = $cuenta_impuesto->get_nombre();
		*/
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
	//------------------------------------------------------------------------------
	
	
	public function chequeaVencimiento(){
	if ($this->estado_compra != "9"){
		$hoy = substr(hoy(),0,8);
		if ($this->fecha_vencimiento < $hoy && $this->total_saldos != 0){
			$this->estado_compra = 3;
		}else{
			if ($this->total_saldos > 0 && $this->total_saldos < $this->total_bruto){
				$this->estado_compra = 1;
			}else{
				if ($this->total_saldos == 0){
					$this->estado_compra = 2;
				}
				else{
					$this->estado_compra = 0;
				}
			}
		
		}
		
		//Documento_credito_actualizarDocumento_credito($this);
	}
	}	
	
	public function get_nombre_abono_inicial(){
		return ($this->nombre_abono_inicial);
	}
	
	public function get_nombre_impuesto(){
		return ($this->nombre_impuesto);
	}
	

	public function get_nombre_cliente(){
	  $clog_Cliente_particular = new Controlador_Logico_Cliente_particular();
	  $cliente_particular = $clog_Cliente_particular->getCliente_particular($this->id_cliente);
	  //debug($cliente_particular);
	  return $cliente_particular->get_nombre_completo();
	  
	}


	public function get_nombre_estado(){
		if ($this->estado_compra == 1)
		{
			if ($this->total_pagos == 0){
				return "Impaga";
			}
			else
				return "Abonada";
		}
		else 
			return $this->nombre_estado;
		
	}
	
	public function get_global_detalle_vista(){
		return ($this->global_detalle_vista);
	}
		
	
	function get_id_documento_credito(){
		return ($this->id_documento_credito);
	}

	function get_id_documento(){
		return ($this->id_documento_credito);
	}


	function get_id_cliente(){
		return ($this->id_cliente);
	}

	function get_numero_documento(){
		return ($this->numero_documento);
	}

	function get_abono_inicial(){
		return ($this->abono_inicial);
	}

	function get_id_vale_venta(){
		return ($this->id_vale_venta);
	}

	function get_fecha_credito(){
		return ($this->fecha_credito);
	}

	function get_monto_credito (){
		return ($this->monto_credito );
	}

	function get_numero_cuotas(){
		return ($this->numero_cuotas);
	}

	function get_estado(){
		return ($this->estado);
	}

	function get_abono(){
		return ($this->abono);
	}

	function get_saldo(){
		return ($this->saldo);
	}

	
	function get_fecha_vencimiento(){
		return ($this->fecha_vencimiento);
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
	//------------------------------------------------------------------------------

	function set_id_documento_credito($id_documento_credito){
		$this->id_documento_credito = $id_documento_credito;
	}

	function set_id_cliente($id_cliente){
		$this->id_cliente = $id_cliente;
	}

	function set_numero_documento($numero_documento){
		$this->numero_documento = $numero_documento;
	}

	function set_id_vale_venta($id_vale_venta){
		$this->id_vale_venta = $id_vale_venta;
	}

	function set_fecha_credito($fecha_credito){
		$this->fecha_credito = $fecha_credito;
	}

	function set_monto_credito ($monto_credito ){
		$this->monto_credito  = $monto_credito ;
	}

	function set_abono_inicial($abono_inicial){
		$this->abono_inicial = $abono_inicial;
	}

	function set_numero_cuotas($numero_cuotas){
		$this->numero_cuotas = $numero_cuotas;
	}

	function set_estado($estado){
		$this->estado = $estado;
	}

	function set_abono($abono){
		$this->abono = $abono;
	}

	function set_saldo($saldo){
		$this->saldo = $saldo;
	}

	function set_vencimiento($vencimiento){
		$this->vencimiento = $vencimiento;
	}

}
//------------------------------------------------------------------------------
//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

function Documento_credito_getListadoDocumento_credito($filtro,$extra){
	return Documento_credito_Fachada::getListadoDocumento_credito($filtro,$extra);
}

function Documento_credito_getDocumento_credito($id_documento_credito){
	return Documento_credito_Fachada::getDocumento_credito($id_documento_credito);
}

function Documento_credito_guardarDocumento_credito($objeto){
	return Documento_credito_Fachada::guardarDocumento_credito($objeto);
}

function Documento_credito_actualizarDocumento_credito($objeto){
	return Documento_credito_Fachada::actualizarDocumento_credito($objeto);
}

function Documento_credito_eliminarDocumento_credito($id_documento_credito){
	return Documento_credito_Fachada::eliminarDocumento_credito($id_documento_credito);
}

function Documento_credito_getCantidadDocumento_credito($filtro){
	return Documento_credito_Fachada::get_cantidad($filtro);
}

function Documento_credito_estado_pagosDocumento_credito($filtro,$extra){
	return Documento_credito_Fachada::get_estado_pagos_compra($filtro,$extra);
}

?>
