<?

//------------------------------------------------------------------------------
	//	CLASE LOGICA
//------------------------------------------------------------------------------

class Oferta{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	private $id_oferta;
	private $id_producto;
	private $id_bodega;
	private $descuento;
	private $fecha_inicio;
	private $fecha_termino;
	private $descripcion;
	private $condicion;
	private $estado;
	private $monto_descuento;
	private $precio_oferta;
	private $precio_venta;
	private $id_usuario;
	private $fecha;
	private $id_sucursal;
	
	private $producto;
	
	//CONSTRUCTOR
	public function __construct ($Oferta_BD)
	{
	if ($Oferta_BD){
		$this->id_oferta = $Oferta_BD->get_id_oferta();
		$this->id_producto = $Oferta_BD->get_id_producto();
		$this->id_bodega = $Oferta_BD->get_id_bodega();
		$this->descuento = $Oferta_BD->get_descuento();
		$this->fecha_inicio = $Oferta_BD->get_fecha_inicio();
		$this->fecha_termino = $Oferta_BD->get_fecha_termino();
		$this->descripcion = $Oferta_BD->get_descripcion();
		$this->condicion = $Oferta_BD->get_condicion();
		$this->estado = $Oferta_BD->get_estado();
		$this->monto_descuento = $Oferta_BD->get_monto_descuento();
		$this->precio_oferta = $Oferta_BD->get_precio_oferta();
		$this->precio_venta = $Oferta_BD->get_precio_venta();
		$this->id_usuario = $Oferta_BD->get_id_usuario();
		$this->fecha = $Oferta_BD->get_fecha();
		$this->id_sucursal = $Oferta_BD->get_id_sucursal();
		
			
		$usuario = Usuario_getUsuario($this->id_usuario);
		if($usuario)
			$this->nombre_usuario = $usuario->nombre. " ". $usuario->apellido;

		$sucursal = Sucursal_getSucursal($this->id_sucursal);
		if ($sucursal)
			$this->nombre_sucursal = $sucursal->descripcion;


	}
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	public function get_codigo_barra(){
		$producto = Producto_getProducto($this->id_producto);
		$this->producto = $producto;
		return ($this->producto->codigo_barra);
	}
	
	public function get_nombre_producto(){
		$producto = Producto_getProducto($this->id_producto);
		$this->producto = $producto;
		return ($this->producto->descripcion);
	}

	public function get_precio_original(){
		$producto = Producto_getProducto($this->id_producto);
		$this->producto = $producto;
		return ($this->producto->precio);
	}
	

//------------------------------------------------------------------------------

	public function get_id_oferta(){
		return ($this->id_oferta);
	}
	
	public function get_id_producto(){
		return ($this->id_producto);
	}
	
	public function get_id_bodega(){
		return ($this->id_bodega);
	}
	
	public function get_descuento(){
		return ($this->descuento);
	}
	
	public function get_fecha_inicio(){
		return ($this->fecha_inicio);
	}
	
	public function get_fecha_termino(){
		return ($this->fecha_termino);
	}
	
	public function get_descripcion(){
		return ($this->descripcion);
	}
	
	public function get_condicion(){
		return ($this->condicion);
	}
	
	public function get_estado(){
		return ($this->estado);
	}
	
	public function get_monto_descuento(){
		return ($this->monto_descuento);
	}
	
	public function get_precio_oferta(){
		return ($this->precio_oferta);
	}
	
	public function get_precio_venta(){
		return ($this->precio_venta);
	}
	
	public function get_id_usuario(){
		return ($this->id_usuario);
	}
	
	public function get_fecha(){
		return ($this->fecha);
	}
	
	public function get_id_sucursal(){
		return ($this->id_sucursal);
	}

	

//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	public function set_id_oferta($id_oferta){
		$this->id_oferta = $id_oferta;
	}
	
	public function set_id_producto($id_producto){
		$this->id_producto = $id_producto;
	}
	
	public function set_id_bodega($id_bodega){
		$this->id_bodega = $id_bodega;
	}
	
	public function set_descuento($descuento){
		$this->descuento = $descuento;
	}
	
	public function set_fecha_inicio($fecha_inicio){
		$this->fecha_inicio = $fecha_inicio;
	}
	
	public function set_fecha_termino($fecha_termino){
		$this->fecha_termino = $fecha_termino;
	}
	
	public function set_descripcion($descripcion){
		$this->descripcion = $descripcion;
	}
	
	public function set_condicion($condicion){
		$this->condicion = $condicion;
	}
	
	public function set_estado($estado){
		$this->estado = $estado;
	}
	
	public function set_monto_descuento($monto_descuento){
		$this->monto_descuento = $monto_descuento;
	}
	
	public function set_precio_oferta($precio_oferta){
		$this->precio_oferta = $precio_oferta;
	}
	
	public function set_precio_venta($precio_venta){
		$this->precio_venta = $precio_venta;
	}
	
	public function set_id_usuario($id_usuario){
		$this->id_usuario = $id_usuario;
	}
	
	public function set_fecha($fecha){
		$this->fecha = $fecha;
	}
	
	public function set_id_sucursal($id_sucursal){
		$this->id_sucursal = $id_sucursal;
	}
	

	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

?>
