<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Orden_compra{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_orden_compra;
	var $id_sucursal;
	var $id_proveedor;
	var $fecha_documento;
	var $fecha_anulacion;
	var $fecha_recepcion_completa;
	var $fecha_ultima_modificacion;
	var $fecha_digitacion;
	var $atencion;
	var $subtotal;
	var $total_dcto;
	var $total_neto;
	var $total_exento;
	var $total_bruto;
	var $iva;
	var $estado;
	var $condicion_pago;
	var $id_usuario;
	var $observacion;
	var $nombre_sucursal;
	var $direccion_sucursal;
	var $nombre_proveedor;
	var $fono_proveedor;
	var $fax_proveedor;
	var $nombre_estado;
	var $nombre_comprador;
	var $nombre_condicion_pago;
	var $producto_terminado;
	var $tipo;
	//CONSTRUCTOR


	function Orden_compra ($id_sucursal, $id_proveedor, $fecha_documento, $fecha_anulacion, $fecha_recepcion_completa, $fecha_ultima_modificacion, $fecha_digitacion, $atencion, $subtotal, $total_dcto, $total_neto, $total_exento, $total_bruto, $iva, $estado, $condicion_pago, $id_usuario, $observacion, $producto_terminado, $tipo, $id_orden_compra=0)
	{
		$this->id_orden_compra = $id_orden_compra;
		$this->id_sucursal = $id_sucursal;
		$this->id_proveedor = $id_proveedor;
		$this->fecha_documento = $fecha_documento;
		$this->fecha_anulacion = $fecha_anulacion;
		$this->fecha_recepcion_completa = $fecha_recepcion_completa;
		$this->fecha_ultima_modificacion = $fecha_ultima_modificacion;
		$this->fecha_digitacion = $fecha_digitacion;
		$this->atencion = $atencion;
		$this->subtotal = $subtotal;
		$this->total_dcto = $total_dcto;
		$this->total_neto = $total_neto;
		$this->total_exento = $total_exento;
		$this->total_bruto = $total_bruto;
		$this->iva = $iva;
		$this->estado = $estado;
		$this->condicion_pago = $condicion_pago;
		$this->id_usuario = $id_usuario;
		$this->observacion = $observacion;
		$this->producto_terminado = $producto_terminado;
		$this->tipo = $tipo;

		if($this->producto_terminado == 1)
			$this->nombre_tipo_oc = "Produccin";
		else
			$this->nombre_tipo_oc = "Compra";
		$sucursal = new Sucursal();
		$sucursal = Sucursal_getSucursal($id_sucursal);
		if ($sucursal){
			$this->nombre_sucursal = $sucursal->get_descripcion();
			$this->direccion_sucursal = $sucursal->get_direccion();
		
		}
		
		$proveedor = new Empresa();
		$proveedor = Empresa_getEmpresa($id_proveedor);
		if ($proveedor){
			$this->nombre_proveedor = $proveedor->get_nombre();
			$this->fono_proveedor = $proveedor->get_telefono();
			$this->fax_proveedor = $proveedor->get_fax();
		
		}
				
		if ($estado == 0) $this->nombre_estado = "DIGITADA";
		if ($estado == 1) $this->nombre_estado = "FINALIZADA";
		if ($estado == 2) $this->nombre_estado = "ENVIADA";
		if ($estado == 3) $this->nombre_estado = "INCOMPLETA";
		if ($estado == 4) $this->nombre_estado = "COMPLETA";
		if ($estado == 5) $this->nombre_estado = "SUSPENDIDA";
		
		$usuario = new Usuario();
		$usuario = Usuario_getUsuario($id_usuario);
		if ($usuario){
			$this->nombre_comprador = $usuario->nombre . " " . $usuario->apellido;
		}
		
		$forma_pago = new Forma_pago();
		$forma_pago = Forma_pago_getForma_pago($condicion_pago);
		if ($forma_pago){
			$this->nombre_condicion_pago = $forma_pago->descripcion;
		}
		if ($tipo == 0)	$this->nombre_tipo = "Por definir";
		if ($tipo == 1)	$this->nombre_tipo = "Cristales";
		if ($tipo == 2)	$this->nombre_tipo = "Armazones";
		if ($tipo == 3)	$this->nombre_tipo = "Otros";
		$this->cantidad_cristales = $this->get_cantidad_cristales();
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	function get_cantidad_cristales()
	{
		$reporte = new Reporte();
		$filtro["id_orden_compra"] = $this->id_orden_compra;
		$res = $reporte->get_cantidad_cristales_oc($filtro);	
		return $res[0]["TOTAL"]|0;

	}
	function get_id_orden_compra(){
		return ($this->id_orden_compra);
	}
	
	function get_id_sucursal(){
		return ($this->id_sucursal);
	}
	
	function get_id_proveedor(){
		return ($this->id_proveedor);
	}
	
	function get_fecha_documento(){
		return ($this->fecha_documento);
	}
	
	function get_fecha_anulacion(){
		return ($this->fecha_anulacion);
	}
	
	function get_fecha_recepcion_completa(){
		return ($this->fecha_recepcion_completa);
	}
	
	function get_fecha_ultima_modificacion(){
		return ($this->fecha_ultima_modificacion);
	}
	
	function get_fecha_digitacion(){
		return ($this->fecha_digitacion);
	}
	
	function get_atencion(){
		return ($this->atencion);
	}
	
	function get_subtotal(){
		return ($this->subtotal);
	}
	
	function get_total_dcto(){
		return ($this->total_dcto);
	}
	
	function get_total_neto(){
		return ($this->total_neto);
	}
	
	function get_total_exento(){
		return ($this->total_exento);
	}
	
	function get_total_bruto(){
		return ($this->total_bruto);
	}
	
	function get_iva(){
		return ($this->iva);
	}
	
	function get_estado(){
		return ($this->estado);
	}
	
	function get_condicion_pago(){
		return ($this->condicion_pago);
	}
	
	function get_id_usuario(){
		return ($this->id_usuario);
	}
	
	function get_observacion(){
		return ($this->observacion);
	}
	
	function get_producto_terminado(){
		return ($this->producto_terminado);
	}
	
	function get_tipo(){
		return ($this->tipo);
	}


//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_orden_compra($id_orden_compra){
		$this->id_orden_compra = $id_orden_compra;
	}
	
	function set_id_sucursal($id_sucursal){
		$this->id_sucursal = $id_sucursal;
	}
	
	function set_id_proveedor($id_proveedor){
		$this->id_proveedor = $id_proveedor;
	}
	
	function set_fecha_documento($fecha_documento){
		$this->fecha_documento = $fecha_documento;
	}
	
	function set_fecha_anulacion($fecha_anulacion){
		$this->fecha_anulacion = $fecha_anulacion;
	}
	
	function set_fecha_recepcion_completa($fecha_recepcion_completa){
		$this->fecha_recepcion_completa = $fecha_recepcion_completa;
	}
	
	function set_fecha_ultima_modificacion($fecha_ultima_modificacion){
		$this->fecha_ultima_modificacion = $fecha_ultima_modificacion;
	}
	
	function set_fecha_digitacion($fecha_digitacion){
		$this->fecha_digitacion = $fecha_digitacion;
	}
	
	function set_atencion($atencion){
		$this->atencion = $atencion;
	}
	
	function set_subtotal($subtotal){
		$this->subtotal = $subtotal;
	}
	
	function set_total_dcto($total_dcto){
		$this->total_dcto = $total_dcto;
	}
	
	function set_total_neto($total_neto){
		$this->total_neto = $total_neto;
	}
	
	function set_total_exento($total_exento){
		$this->total_exento = $total_exento;
	}
	
	function set_total_bruto($total_bruto){
		$this->total_bruto = $total_bruto;
	}
	
	function set_iva($iva){
		$this->iva = $iva;
	}
	
	function set_estado($estado){
		$this->estado = $estado;
	}
	
	function set_condicion_pago($condicion_pago){
		$this->condicion_pago = $condicion_pago;
	}
	
	function set_id_usuario($id_usuario){
		$this->id_usuario = $id_usuario;
	}
	
	function set_observacion($observacion){
		$this->observacion = $observacion;
	}
	
	function set_producto_terminado($producto_terminado){
		$this->producto_terminado = $producto_terminado;
	}
	
	function set_tipo($tipo){
		$this->tipo = $tipo;
	}
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Orden_compra_getListadoOrden_compra($id=0){
		return Orden_compra_Fachada::getListadoOrden_compra($id, "");
	}
	
	function Orden_compra_getCantidadOrden_compra($filtro){
		return Orden_compra_Fachada::getCantidadOrden_compra($filtro);
	}
	
	function Orden_compra_getListadoOrden_compra_filtro($filtro, $extra){
		return Orden_compra_Fachada::getListadoOrden_compra_filtro($filtro, $extra);
	}
	
	function Orden_compra_getListadoOrden_compra_enviadas($filtro, $extra){
		
		$id_orden_compra = $filtro["oc.id_orden_compra"];
		
		$extra["where"] = "
		AND oc.id_orden_compra LIKE '$id_orden_compra' 
		AND (oc.estado = '2' OR oc.estado = '3') 
		";
				
		return Orden_compra_Fachada::getListadoOrden_compra_filtro("", $extra);
	}
	
	function Orden_compra_getlistadoOrden_compra_pendientes($id){
		return Orden_compra_Fachada::getListadoOrden_compra($id, 2);
	}
	
	function Orden_compra_getOrden_compra($id_orden_compra){
		return Orden_compra_Fachada::getOrden_compra($id_orden_compra);
	}
	
	function Orden_compra_guardarOrden_compra($objeto){
		return Orden_compra_Fachada::guardarOrden_compra($objeto);
	}
	
	function Orden_compra_actualizarOrden_compra($objeto){
		return Orden_compra_Fachada::actualizarOrden_compra($objeto);
	}
	
	function Orden_compra_eliminarOrden_compra($id_orden_compra){
		return Orden_compra_Fachada::eliminarOrden_compra($id_orden_compra);
	}
	
	function Orden_compra_getSaldoOrden_compra($id=0){
		return Orden_compra_Fachada::getSaldoOrden_compra($id, "");
	}
	
	
?>
