<?

//------------------------------------------------------------------------------
	//	CLASE LOGICA
//------------------------------------------------------------------------------

class Reserva_laboratorio{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	private $id_reserva;
	private $id_tecnico;
	private $fecha_creacion;
	private $id_usuario;
	private $fecha;
	private $hora_inicio;
	private $hora_termino;
	private $nro_sobre;
	private $nombre_paciente;
	private $estado;
	private $observacion;
	private $id_sucursal;
	private $id_maquina;
	private $id_vale_venta;
	private $ex4;
	private $ex5;
	private $ex6;
	private $ex7;
	private $ex8;
	
	//CONSTRUCTOR
	public function __construct ($Reserva_laboratorio_BD)
	{
	if ($Reserva_laboratorio_BD){
		$this->id_reserva = $Reserva_laboratorio_BD->get_id_reserva();
		$this->id_tecnico = $Reserva_laboratorio_BD->get_id_tecnico();
		$this->fecha_creacion = $Reserva_laboratorio_BD->get_fecha_creacion();
		$this->id_usuario = $Reserva_laboratorio_BD->get_id_usuario();
		$this->fecha = $Reserva_laboratorio_BD->get_fecha();
		$this->hora_inicio = $Reserva_laboratorio_BD->get_hora_inicio();
		$this->hora_termino = $Reserva_laboratorio_BD->get_hora_termino();
		$this->nro_sobre = $Reserva_laboratorio_BD->get_nro_sobre();
		$this->nombre_paciente = $Reserva_laboratorio_BD->get_nombre_paciente();
		$this->estado = $Reserva_laboratorio_BD->get_estado();
		$this->observacion = $Reserva_laboratorio_BD->get_observacion();
		$this->id_sucursal = $Reserva_laboratorio_BD->get_id_sucursal();
		$this->id_maquina = $Reserva_laboratorio_BD->get_id_maquina();
		$this->id_vale_venta = $Reserva_laboratorio_BD->get_id_vale_venta();
		$this->ex4 = $Reserva_laboratorio_BD->get_ex4();
		$this->ex5 = $Reserva_laboratorio_BD->get_ex5();
		$this->ex6 = $Reserva_laboratorio_BD->get_ex6();
		$this->ex7 = $Reserva_laboratorio_BD->get_ex7();
		$this->ex8 = $Reserva_laboratorio_BD->get_ex8();
	}
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	public function get_nombre_tecnico(){
		$clog_tecnico = new Controlador_Logico_Tecnico();
		$tecnico = new Tecnico();
		$tecnico = $clog_tecnico->getTecnico($this->id_tecnico);
		if ($tecnico) return $tecnico->get_nombre();
		return "_";
	}
	
	public function get_id_reserva(){
		return ($this->id_reserva);
	}
	
	public function get_id_tecnico(){
		return ($this->id_tecnico);
	}
	
	public function get_fecha_creacion(){
		return ($this->fecha_creacion);
	}
	
	public function get_id_usuario(){
		return ($this->id_usuario);
	}
	
	public function get_fecha(){
		return ($this->fecha);
	}
	
	public function get_hora_inicio(){
		return ($this->hora_inicio);
	}
	
	public function get_hora_termino(){
		return ($this->hora_termino);
	}
	
	public function get_nro_sobre(){
		return ($this->nro_sobre);
	}
	
	public function get_nombre_paciente(){
		if ($this->nombre_paciente){
			return strtoupper($this->nombre_paciente);
		}
		return ("SIN DESCRIPCION");
	}
	
	public function get_estado(){
		return ($this->estado);
	}
	
	public function get_observacion(){
		return ($this->observacion);
	}
	
	public function get_id_sucursal(){
		return ($this->id_sucursal);
	}
	
	public function get_id_maquina(){
		return ($this->id_maquina);
	}
	
	public function get_id_vale_venta(){
		return ($this->id_vale_venta);
	}
	
	public function get_ex4(){
		return ($this->ex4);
	}
	
	public function get_ex5(){
		return ($this->ex5);
	}
	
	public function get_ex6(){
		return ($this->ex6);
	}
	
	public function get_ex7(){
		return ($this->ex7);
	}
	
	public function get_ex8(){
		return ($this->ex8);
	}
	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	public function set_id_reserva($id_reserva){
		$this->id_reserva = $id_reserva;
	}
	
	public function set_id_tecnico($id_tecnico){
		$this->id_tecnico = $id_tecnico;
	}
	
	public function set_fecha_creacion($fecha_creacion){
		$this->fecha_creacion = $fecha_creacion;
	}
	
	public function set_id_usuario($id_usuario){
		$this->id_usuario = $id_usuario;
	}
	
	public function set_fecha($fecha){
		$this->fecha = $fecha;
	}
	
	public function set_hora_inicio($hora_inicio){
		$this->hora_inicio = $hora_inicio;
	}
	
	public function set_hora_termino($hora_termino){
		$this->hora_termino = $hora_termino;
	}
	
	public function set_nro_sobre($nro_sobre){
		$this->nro_sobre = $nro_sobre;
	}
	
	public function set_nombre_paciente($nombre_paciente){
		$this->nombre_paciente = $nombre_paciente;
	}
	
	public function set_estado($estado){
		$this->estado = $estado;
	}
	
	public function set_observacion($observacion){
		$this->observacion = $observacion;
	}
	
	public function set_id_sucursal($id_sucursal){
		$this->id_sucursal = $id_sucursal;
	}
	
	public function set_id_maquina($id_maquina){
		$this->id_maquina = $id_maquina;
	}
	
	public function set_id_vale_venta($id_vale_venta){
		$this->id_vale_venta = $id_vale_venta;
	}
	
	public function set_ex4($ex4){
		$this->ex4 = $ex4;
	}
	
	public function set_ex5($ex5){
		$this->ex5 = $ex5;
	}
	
	public function set_ex6($ex6){
		$this->ex6 = $ex6;
	}
	
	public function set_ex7($ex7){
		$this->ex7 = $ex7;
	}
	
	public function set_ex8($ex8){
		$this->ex8 = $ex8;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

?>
