<?

//------------------------------------------------------------------------------
	//	CLASE LOGICA
//------------------------------------------------------------------------------

class Vendedor{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	private $id_vendedor;
	private $nombre;
	private $apellido;
	private $direccion;
	private $fono;
	private $observacion;
	private $email;
	private $codigo;
	private $nombre_corto;
	private $vigente;
	
	//CONSTRUCTOR
	public function __construct ($Vendedor_BD)
	{
	if ($Vendedor_BD){
		$this->id_vendedor = $Vendedor_BD->get_id_vendedor();
		$this->nombre = $Vendedor_BD->get_nombre();
		$this->apellido = $Vendedor_BD->get_apellido();
		$this->direccion = $Vendedor_BD->get_direccion();
		$this->fono = $Vendedor_BD->get_fono();
		$this->observacion = $Vendedor_BD->get_observacion();
		$this->email = $Vendedor_BD->get_email();
		$this->codigo = $Vendedor_BD->get_codigo();
		$this->nombre_corto = $Vendedor_BD->get_nombre_corto();
		$this->vigente = $Vendedor_BD->get_vigente();
		
		if ($this->vigente == 0)
			$this->nombre_vigente = "S";

		if ($this->vigente == 1)
			$this->nombre_vigente = "No";

	}
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	public function get_id_vendedor(){
		return ($this->id_vendedor);
	}
	
	public function get_nombre_completo(){
		return ($this->nombre . " " . $this->apellido);
	}
	
	public function get_nombre(){
		return ($this->nombre);
	}
	
	public function get_apellido(){
		return ($this->apellido);
	}
	
	public function get_direccion(){
		return ($this->direccion);
	}
	
	public function get_fono(){
		return ($this->fono);
	}
	
	public function get_observacion(){
		return ($this->observacion);
	}
	
	public function get_email(){
		return ($this->email);
	}
	
	public function get_codigo(){
		return ($this->codigo);
	}
	
	public function get_nombre_corto(){
		return ($this->nombre_corto);
	}
	
	public function get_vigente(){
		return ($this->vigente);
	}

	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	public function set_id_vendedor($id_vendedor){
		$this->id_vendedor = $id_vendedor;
	}
	
	public function set_nombre($nombre){
		$this->nombre = $nombre;
	}
	
	public function set_apellido($apellido){
		$this->apellido = $apellido;
	}
	
	public function set_direccion($direccion){
		$this->direccion = $direccion;
	}
	
	public function set_fono($fono){
		$this->fono = $fono;
	}
	
	public function set_observacion($observacion){
		$this->observacion = $observacion;
	}
	
	public function set_email($email){
		$this->email = $email;
	}
	
	public function set_codigo($codigo){
		$this->codigo = $codigo;
	}
	
	public function set_nombre_corto($nombre_corto){
		$this->nombre_corto = $nombre_corto;
	}
	
	public function set_vigente($vigente){
		$this->vigente = $vigente;
	}

	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

?>
