<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Cliente {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadCliente($filtro){
		$cbd = new controlador_bd_Cliente();
		return $cbd->getCantidadCliente_BD($filtro);
	}
	
	function getListadoCliente($filtro,$extra){
		$cbd = new controlador_bd_Cliente();
		$listado_Cliente_arr = $cbd->getListadoCliente_BD($filtro,$extra);
	foreach ($listado_Cliente_arr as $Cliente_arr){
		$listado_Cliente[] = new Cliente($Cliente_arr);
	}
	return $listado_Cliente;
	}
	
	function getCliente($id_cliente){
		$cbd = new controlador_bd_Cliente();
		$filtro["id_cliente"] = $id_cliente;
		$listado_Cliente_arr = $cbd->getListadoCliente_BD($filtro,$extra);
		if ($listado_Cliente_arr) return new Cliente($listado_Cliente_arr[0]);
		return null;
	}
	
	function guardarCliente($Cliente){
		$cbd = new controlador_bd_Cliente();
		$id_cliente = $Cliente->get_id_cliente();
		$rut_cliente = $Cliente->get_rut_cliente();
		$nombre_cliente = $Cliente->get_nombre_cliente();
		$razon_social_cliente = $Cliente->get_razon_social_cliente();
		$giro_cliente = $Cliente->get_giro_cliente();
		$direccion_cliente = $Cliente->get_direccion_cliente();
		$region_cliente = $Cliente->get_region_cliente();
		$ciudad_cliente = $Cliente->get_ciudad_cliente();
		$pais_cliente = $Cliente->get_pais_cliente();
		$telefono_cliente = $Cliente->get_telefono_cliente();
		$movil_cliente = $Cliente->get_movil_cliente();
		$fax_cliente = $Cliente->get_fax_cliente();
		$email_cliente = $Cliente->get_email_cliente();
		$web_cliente = $Cliente->get_web_cliente();
		$fecha_ingreso_cliente = $Cliente->get_fecha_ingreso_cliente();
		$estado_cliente = $Cliente->get_estado_cliente();
		$observacion_cliente = $Cliente->get_observacion_cliente();
		$Cliente_bd = new Cliente_BD ($rut_cliente, $nombre_cliente, $razon_social_cliente, $giro_cliente, $direccion_cliente, $region_cliente, $ciudad_cliente, $pais_cliente, $telefono_cliente, $movil_cliente, $fax_cliente, $email_cliente, $web_cliente, $fecha_ingreso_cliente, $estado_cliente, $observacion_cliente, $id_cliente);
		return $cbd->guardarCliente_BD($Cliente_bd);
	}
	
	function actualizarCliente($Cliente){
		$cbd = new controlador_bd_Cliente();
		$id_cliente = $Cliente->get_id_cliente();
		$rut_cliente = $Cliente->get_rut_cliente();
		$nombre_cliente = $Cliente->get_nombre_cliente();
		$razon_social_cliente = $Cliente->get_razon_social_cliente();
		$giro_cliente = $Cliente->get_giro_cliente();
		$direccion_cliente = $Cliente->get_direccion_cliente();
		$region_cliente = $Cliente->get_region_cliente();
		$ciudad_cliente = $Cliente->get_ciudad_cliente();
		$pais_cliente = $Cliente->get_pais_cliente();
		$telefono_cliente = $Cliente->get_telefono_cliente();
		$movil_cliente = $Cliente->get_movil_cliente();
		$fax_cliente = $Cliente->get_fax_cliente();
		$email_cliente = $Cliente->get_email_cliente();
		$web_cliente = $Cliente->get_web_cliente();
		$fecha_ingreso_cliente = $Cliente->get_fecha_ingreso_cliente();
		$estado_cliente = $Cliente->get_estado_cliente();
		$observacion_cliente = $Cliente->get_observacion_cliente();
		$Cliente_bd = new Cliente_BD ($rut_cliente, $nombre_cliente, $razon_social_cliente, $giro_cliente, $direccion_cliente, $region_cliente, $ciudad_cliente, $pais_cliente, $telefono_cliente, $movil_cliente, $fax_cliente, $email_cliente, $web_cliente, $fecha_ingreso_cliente, $estado_cliente, $observacion_cliente, $id_cliente);
		return $cbd->actualizarCliente_BD($Cliente_bd);
	}
	
	function eliminarCliente($id_cliente){
		$cbd = new controlador_bd_Cliente();
		return $cbd->eliminarCliente_BD($id_cliente);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
