<?

//------------------------------------------------------------------------------
//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Cont_detalle_comprobante {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	//------------------------------------------------------------------------------
	//	FUNCIONES
	//------------------------------------------------------------------------------

	function getCantidadCont_detalle_comprobante($filtro){
		$cbd = new controlador_bd_Cont_detalle_comprobante();
		return $cbd->getCantidadCont_detalle_comprobante_BD($filtro);
	}

	function getListadoCont_detalle_comprobante($filtro,$extra){
		$cbd = new controlador_bd_Cont_detalle_comprobante();
		$listado_Cont_detalle_comprobante_arr = $cbd->getListadoCont_detalle_comprobante_BD($filtro,$extra);
		foreach ($listado_Cont_detalle_comprobante_arr as $Cont_detalle_comprobante_arr){
			$listado_Cont_detalle_comprobante[] = new Cont_detalle_comprobante($Cont_detalle_comprobante_arr);
		}
		return $listado_Cont_detalle_comprobante;
	}

	function getCont_detalle_comprobante($id_detalle_comprobante){
		$cbd = new controlador_bd_Cont_detalle_comprobante();
		$filtro["id_detalle_comprobante"] = $id_detalle_comprobante;
		$listado_Cont_detalle_comprobante_arr = $cbd->getListadoCont_detalle_comprobante_BD($filtro,$extra);
		if ($listado_Cont_detalle_comprobante_arr) return new Cont_detalle_comprobante($listado_Cont_detalle_comprobante_arr[0]);
		return null;
	}

	function guardarCont_detalle_comprobante($Cont_detalle_comprobante){
		$cbd = new controlador_bd_Cont_detalle_comprobante();
		$id_detalle_comprobante = $Cont_detalle_comprobante->get_id_detalle_comprobante();
		$id_comprobante = $Cont_detalle_comprobante->get_id_comprobante();
		$id_detalle_comprobante_pago = $Cont_detalle_comprobante->get_id_detalle_comprobante_pago();
		$id_cuenta = $Cont_detalle_comprobante->get_id_cuenta();
		$id_cliente_proveedor = $Cont_detalle_comprobante->get_id_cliente_proveedor();
		$id_tipo_documento = $Cont_detalle_comprobante->get_id_tipo_documento();
		$id_documento = $Cont_detalle_comprobante->get_id_documento();
		$rut = $Cont_detalle_comprobante->get_rut();
		$descripcion = $Cont_detalle_comprobante->get_descripcion();
		$debe = $Cont_detalle_comprobante->get_debe();
		$haber = $Cont_detalle_comprobante->get_haber();
		$estado = $Cont_detalle_comprobante->get_estado();
		$tipo_comprobante = $Cont_detalle_comprobante->get_tipo_comprobante();
		$id_centro_costo = $Cont_detalle_comprobante->get_id_centro_costo();
		$id_banco = $Cont_detalle_comprobante->get_id_banco();
		$activo_fijo = $Cont_detalle_comprobante->get_activo_fijo();
		$producto_inventario = $Cont_detalle_comprobante->get_producto_inventario();
		$id_cont_item_gasto=$Cont_detalle_comprobante->get_id_cont_item_gasto();
		$oth=$Cont_detalle_comprobante->get_oth();
		$nro_documento=$Cont_detalle_comprobante->get_nro_documento();
		$fecha_documento=$Cont_detalle_comprobante->get_fecha_documento();
		$tipo_documento_respaldo=$Cont_detalle_comprobante->get_tipo_documento_respaldo();
		
		$Cont_detalle_comprobante_bd = new Cont_detalle_comprobante_BD ($id_comprobante, $id_detalle_comprobante_pago, $id_cuenta, $id_cliente_proveedor, $id_tipo_documento, $id_documento, $rut, $descripcion, $debe, $haber, $estado, $tipo_comprobante, $id_centro_costo, $id_banco, $activo_fijo, $producto_inventario, $id_detalle_comprobante,$id_cont_item_gasto,$oth,$nro_documento,$fecha_documento,$tipo_documento_respaldo);
		return $cbd->guardarCont_detalle_comprobante_BD($Cont_detalle_comprobante_bd);
	}

	function actualizarCont_detalle_comprobante($Cont_detalle_comprobante){
		$cbd = new controlador_bd_Cont_detalle_comprobante();
		$id_detalle_comprobante = $Cont_detalle_comprobante->get_id_detalle_comprobante();
		$id_comprobante = $Cont_detalle_comprobante->get_id_comprobante();
		$id_detalle_comprobante_pago = $Cont_detalle_comprobante->get_id_detalle_comprobante_pago();
		$id_cuenta = $Cont_detalle_comprobante->get_id_cuenta();
		$id_cliente_proveedor = $Cont_detalle_comprobante->get_id_cliente_proveedor();
		$id_tipo_documento = $Cont_detalle_comprobante->get_id_tipo_documento();
		$id_documento = $Cont_detalle_comprobante->get_id_documento();
		$rut = $Cont_detalle_comprobante->get_rut();
		$descripcion = $Cont_detalle_comprobante->get_descripcion();
		$debe = $Cont_detalle_comprobante->get_debe();
		$haber = $Cont_detalle_comprobante->get_haber();
		$estado = $Cont_detalle_comprobante->get_estado();
		$tipo_comprobante = $Cont_detalle_comprobante->get_tipo_comprobante();
		$id_centro_costo = $Cont_detalle_comprobante->get_id_centro_costo();
		$id_banco = $Cont_detalle_comprobante->get_id_banco();
		$activo_fijo = $Cont_detalle_comprobante->get_activo_fijo();
		$producto_inventario = $Cont_detalle_comprobante->get_producto_inventario();
		$id_cont_item_gasto=$Cont_detalle_comprobante->get_id_cont_item_gasto();
		$oth=$Cont_detalle_comprobante->get_oth();
		$nro_documento=$Cont_detalle_comprobante->get_nro_documento();
		$fecha_documento=$Cont_detalle_comprobante->get_fecha_documento();
		$tipo_documento_respaldo=$Cont_detalle_comprobante->get_tipo_documento_respaldo();

		$Cont_detalle_comprobante_bd = new Cont_detalle_comprobante_BD ($id_comprobante, $id_detalle_comprobante_pago, $id_cuenta, $id_cliente_proveedor, $id_tipo_documento, $id_documento, $rut, $descripcion, $debe, $haber, $estado, $tipo_comprobante, $id_centro_costo, $id_banco, $activo_fijo, $producto_inventario, $id_detalle_comprobante,$id_cont_item_gasto,$oth,$nro_documento,$fecha_documento,$tipo_documento_respaldo);
		return $cbd->actualizarCont_detalle_comprobante_BD($Cont_detalle_comprobante_bd);
	}

	function eliminarCont_detalle_comprobante($id_detalle_comprobante){
		$cbd = new controlador_bd_Cont_detalle_comprobante();
		return $cbd->eliminarCont_detalle_comprobante_BD($id_detalle_comprobante);
	}

	function getDebeHaberPorCuenta($id_cuenta,$id_centro_costo,$rut, $id_empresa,$mes_proceso_desde,$ao_proceso_desde,$mes_proceso_hasta,$ao_proceso_hasta){
		$cbd = new controlador_bd_Cont_detalle_comprobante();
		return $cbd->getDebeHaberPorCuenta_BD($id_cuenta,$id_centro_costo,$rut,$id_empresa,$mes_proceso_desde,$ao_proceso_desde,$mes_proceso_hasta,$ao_proceso_hasta);
	}

	function getHistoricoDebeHaberPorCuenta($id_cuenta,$id_empresa,$mes_proceso_desde,$ao_proceso_desde,$mes_proceso_hasta,$ao_proceso_hasta){
		$cbd = new controlador_bd_Cont_detalle_comprobante();
		return $cbd->getHistoricoDebeHaberPorCuenta_BD($id_cuenta,$id_empresa,$mes_proceso_desde,$ao_proceso_desde,$mes_proceso_hasta,$ao_proceso_hasta);
	}

}
//------------------------------------------------------------------------------
//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>