<?


//------------------------------------------------------------------------------
//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Cont_sucursal {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	private $controlador_bd_Cont_sucursal;

	//CONSTRUCTOR
	public function __construct() {
		$this->controlador_bd_Cont_sucursal = new controlador_bd_Cont_sucursal;
	}

	// DESTRUCTOR
	public function __destruct() {

	}

	//------------------------------------------------------------------------------
	//	FUNCIONES
	//------------------------------------------------------------------------------

	function getCantidadCont_sucursal($filtro) {
		return $this->controlador_bd_Cont_sucursal->getCantidadCont_sucursal_BD($filtro);
	}

	function getListadoCont_sucursal($filtro, $extra) {
		$listado_Cont_sucursal_bd = $this->controlador_bd_Cont_sucursal->getListadoCont_sucursal_BD($filtro, $extra);
		$Cont_sucursal_bd = new Cont_sucursal_bd();
		foreach ($listado_Cont_sucursal_bd as $Cont_sucursal_bd) {
			$listado_Cont_sucursal[] = new Cont_sucursal($Cont_sucursal_bd);
		}
		return $listado_Cont_sucursal;
	}

	function getCont_sucursal($id_sucursal) {
		$Cont_sucursal_bd = $this->controlador_bd_Cont_sucursal->getCont_sucursal_BD($id_sucursal);
		if ($Cont_sucursal_bd)
			return (new Cont_sucursal($Cont_sucursal_bd));
		else
			return null;
	}

	function guardarCont_sucursal(Cont_sucursal $Cont_sucursal) {
		$id_sucursal = $Cont_sucursal->get_id_sucursal();
		$id_empresa = $Cont_sucursal->get_id_empresa();
		$rut = $Cont_sucursal->get_rut();
		$descripcion = $Cont_sucursal->get_descripcion();
		$direccion = $Cont_sucursal->get_direccion();
		$ciudad = $Cont_sucursal->get_ciudad();
		$telefono = $Cont_sucursal->get_telefono();
		$fax = $Cont_sucursal->get_fax();
		$responsable = $Cont_sucursal->get_responsable();
		$email = $Cont_sucursal->get_email();
		$estado = $Cont_sucursal->get_estado();
		$observacion = $Cont_sucursal->get_observacion();
		$Cont_sucursal_bd = new Cont_sucursal_BD($id_empresa, $rut, $descripcion, $direccion, $ciudad, $telefono, $fax, $responsable, $email, $estado, $observacion, $id_sucursal);
		return $this->controlador_bd_Cont_sucursal->guardarCont_sucursal_BD($Cont_sucursal_bd);
	}

	function actualizarCont_sucursal(Cont_sucursal $Cont_sucursal) {
		$id_sucursal = $Cont_sucursal->get_id_sucursal();
		$id_empresa = $Cont_sucursal->get_id_empresa();
		$rut = $Cont_sucursal->get_rut();
		$descripcion = $Cont_sucursal->get_descripcion();
		$direccion = $Cont_sucursal->get_direccion();
		$ciudad = $Cont_sucursal->get_ciudad();
		$telefono = $Cont_sucursal->get_telefono();
		$fax = $Cont_sucursal->get_fax();
		$responsable = $Cont_sucursal->get_responsable();
		$email = $Cont_sucursal->get_email();
		$estado = $Cont_sucursal->get_estado();
		$observacion = $Cont_sucursal->get_observacion();
		$Cont_sucursal_bd = new Cont_sucursal_BD($id_empresa, $rut, $descripcion, $direccion, $ciudad, $telefono, $fax, $responsable, $email, $estado, $observacion, $id_sucursal);
		return $this->controlador_bd_Cont_sucursal->actualizarCont_sucursal_BD($Cont_sucursal_bd);
	}

	function eliminarCont_sucursal($id_sucursal) {
		return $this->controlador_bd_Cont_sucursal->eliminarCont_sucursal_BD($id_sucursal);
	}
	
	function fijarSucursal($id_sucursal){
		$filtro["estado"] = 1;
		$listado = $this->getListadoCont_sucursal($filtro);
		$sucursal = $listado[0];
		if ($sucursal){
			$sucursal->set_estado(0);
			$this->actualizarCont_sucursal($sucursal);
		}
		$sucursal_a_fijar = $this->getCont_sucursal($id_sucursal);
		$sucursal_a_fijar->set_estado(1);
		$this->actualizarCont_sucursal($sucursal_a_fijar);
	}
}
//------------------------------------------------------------------------------
//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>