<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Detalle_ordenes_produccion {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadDetalle_ordenes_produccion($filtro){
		$cbd = new controlador_bd_Detalle_ordenes_produccion();
		return $cbd->getCantidadDetalle_ordenes_produccion_BD($filtro);
	}
	
	function getListadoDetalle_ordenes_produccion($filtro,$extra){
		$cbd = new controlador_bd_Detalle_ordenes_produccion();
		$listado_Detalle_ordenes_produccion_arr = $cbd->getListadoDetalle_ordenes_produccion_BD($filtro,$extra);
	foreach ($listado_Detalle_ordenes_produccion_arr as $Detalle_ordenes_produccion_arr){
		$listado_Detalle_ordenes_produccion[] = new Detalle_ordenes_produccion($Detalle_ordenes_produccion_arr);
	}
	return $listado_Detalle_ordenes_produccion;
	}
	
	function getDetalle_ordenes_produccion($id_detalle_orden_produccion){
		$cbd = new controlador_bd_Detalle_ordenes_produccion();
		$filtro["id_detalle_orden_produccion"] = $id_detalle_orden_produccion;
		$listado_Detalle_ordenes_produccion_arr = $cbd->getListadoDetalle_ordenes_produccion_BD($filtro,$extra);
		if ($listado_Detalle_ordenes_produccion_arr) return new Detalle_ordenes_produccion($listado_Detalle_ordenes_produccion_arr[0]);
		return null;
	}
	
	function guardarDetalle_ordenes_produccion($Detalle_ordenes_produccion){
		$cbd = new controlador_bd_Detalle_ordenes_produccion();
		$id_detalle_orden_produccion = $Detalle_ordenes_produccion->get_id_detalle_orden_produccion();
		$id_orden_produccion = $Detalle_ordenes_produccion->get_id_orden_produccion();
		$nombre = $Detalle_ordenes_produccion->get_nombre();
		$rut = $Detalle_ordenes_produccion->get_rut();
		$nro_cotizacion = $Detalle_ordenes_produccion->get_nro_cotizacion();
		$nro_sobre = $Detalle_ordenes_produccion->get_nro_sobre();
		$nro_vale_venta = $Detalle_ordenes_produccion->get_nro_vale_venta();
		$nro_guia_despacho = $Detalle_ordenes_produccion->get_nro_guia_despacho();
		$nro_factura = $Detalle_ordenes_produccion->get_nro_factura();
		$estado = $Detalle_ordenes_produccion->get_estado();
		$id_producto = $Detalle_ordenes_produccion->get_id_producto();
		$observacion = $Detalle_ordenes_produccion->get_observacion();
		$fecha_envio = $Detalle_ordenes_produccion->get_fecha_envio();
		$id_usuario_envia = $Detalle_ordenes_produccion->get_id_usuario_envia();
		$id_usuario_acepta = $Detalle_ordenes_produccion->get_id_usuario_acepta();
		$fecha_acepta = $Detalle_ordenes_produccion->get_fecha_acepta();
		$descripcion = $Detalle_ordenes_produccion->get_descripcion();
		$observacion_interna = $Detalle_ordenes_produccion->get_observacion_interna();
		
		$Detalle_ordenes_produccion_bd = new Detalle_ordenes_produccion_BD ($id_orden_produccion, $nombre, $rut, $nro_cotizacion, $nro_sobre, $nro_vale_venta, $nro_guia_despacho, $nro_factura, $estado, $id_producto, $observacion, $fecha_envio, $id_usuario_envia, $id_usuario_acepta, $fecha_acepta, $descripcion, $observacion_interna, $id_detalle_orden_produccion);
		return $cbd->guardarDetalle_ordenes_produccion_BD($Detalle_ordenes_produccion_bd);
	}
	
	function actualizarDetalle_ordenes_produccion($Detalle_ordenes_produccion){
		$cbd = new controlador_bd_Detalle_ordenes_produccion();
		$id_detalle_orden_produccion = $Detalle_ordenes_produccion->get_id_detalle_orden_produccion();
		$id_orden_produccion = $Detalle_ordenes_produccion->get_id_orden_produccion();
		$nombre = $Detalle_ordenes_produccion->get_nombre();
		$rut = $Detalle_ordenes_produccion->get_rut();
		$nro_cotizacion = $Detalle_ordenes_produccion->get_nro_cotizacion();
		$nro_sobre = $Detalle_ordenes_produccion->get_nro_sobre();
		$nro_vale_venta = $Detalle_ordenes_produccion->get_nro_vale_venta();
		$nro_guia_despacho = $Detalle_ordenes_produccion->get_nro_guia_despacho();
		$nro_factura = $Detalle_ordenes_produccion->get_nro_factura();
		$estado = $Detalle_ordenes_produccion->get_estado();
		$id_producto = $Detalle_ordenes_produccion->get_id_producto();
		$observacion = $Detalle_ordenes_produccion->get_observacion();
		$fecha_envio = $Detalle_ordenes_produccion->get_fecha_envio();
		$id_usuario_envia = $Detalle_ordenes_produccion->get_id_usuario_envia();
		$id_usuario_acepta = $Detalle_ordenes_produccion->get_id_usuario_acepta();
		$fecha_acepta = $Detalle_ordenes_produccion->get_fecha_acepta();
		$descripcion = $Detalle_ordenes_produccion->get_descripcion();
		$observacion_interna = $Detalle_ordenes_produccion->get_observacion_interna();
				
		$Detalle_ordenes_produccion_bd = new Detalle_ordenes_produccion_BD ($id_orden_produccion, $nombre, $rut, $nro_cotizacion, $nro_sobre, $nro_vale_venta, $nro_guia_despacho, $nro_factura, $estado, $id_producto, $observacion, $fecha_envio, $id_usuario_envia, $id_usuario_acepta, $fecha_acepta, $descripcion, $observacion_interna, $id_detalle_orden_produccion);
		return $cbd->actualizarDetalle_ordenes_produccion_BD($Detalle_ordenes_produccion_bd);
	}
	
	function eliminarDetalle_ordenes_produccion($id_detalle_orden_produccion){
		$cbd = new controlador_bd_Detalle_ordenes_produccion();
		return $cbd->eliminarDetalle_ordenes_produccion_BD($id_detalle_orden_produccion);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
