<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Folios {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadFolios($filtro){
		$cbd = new controlador_bd_Folios();
		return $cbd->getCantidadFolios_BD($filtro);
	}
	
	function getListadoFolios($filtro,$extra){
		$cbd = new controlador_bd_Folios();
		$listado_Folios_arr = $cbd->getListadoFolios_BD($filtro,$extra);
	foreach ($listado_Folios_arr as $Folios_arr){
		$listado_Folios[] = new Folios($Folios_arr);
	}
	return $listado_Folios;
	}
	
	function getFolios($id_folio){
		$cbd = new controlador_bd_Folios();
		$filtro["id_folio"] = $id_folio;
		$listado_Folios_arr = $cbd->getListadoFolios_BD($filtro,$extra);
		if ($listado_Folios_arr) return new Folios($listado_Folios_arr[0]);
		return null;
	}
	
	function guardarFolios($Folios){
		$cbd = new controlador_bd_Folios();
		$id_folio = $Folios->get_id_folio();
		$fecha = $Folios->get_fecha();
		$desde = $Folios->get_desde();
		$hasta = $Folios->get_hasta();
		$id_tipo_documento = $Folios->get_id_tipo_documento();
		$estado = $Folios->get_estado();
		$folio_actual = $Folios->get_folio_actual();
		$ex2 = $Folios->get_ex2();
		$ex3 = $Folios->get_ex3();
		$Folios_bd = new Folios_BD ($fecha, $desde, $hasta, $id_tipo_documento, $estado, $folio_actual, $ex2, $ex3, $id_folio);
		return $cbd->guardarFolios_BD($Folios_bd);
	}
	
	function actualizarFolios($Folios){
		$cbd = new controlador_bd_Folios();
		$id_folio = $Folios->get_id_folio();
		$fecha = $Folios->get_fecha();
		$desde = $Folios->get_desde();
		$hasta = $Folios->get_hasta();
		$id_tipo_documento = $Folios->get_id_tipo_documento();
		$estado = $Folios->get_estado();
		$folio_actual = $Folios->get_folio_actual();
		$ex2 = $Folios->get_ex2();
		$ex3 = $Folios->get_ex3();
		$Folios_bd = new Folios_BD ($fecha, $desde, $hasta, $id_tipo_documento, $estado, $folio_actual, $ex2, $ex3, $id_folio);
		return $cbd->actualizarFolios_BD($Folios_bd);
	}
	
	function eliminarFolios($id_folio){
		$cbd = new controlador_bd_Folios();
		return $cbd->eliminarFolios_BD($id_folio);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
