<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Libmov {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadLibmov($filtro){
		$cbd = new controlador_bd_Libmov();
		return $cbd->getCantidadLibmov_BD($filtro);
	}
	
	function getPagoslibmov($filtro){
		$cbd = new controlador_bd_Libmov();
		return $cbd->getPagoslibmov_BD($filtro);
	}

	function getNClibmov($filtro){
		$cbd = new controlador_bd_Libmov();
		return $cbd->getNClibmov_BD($filtro);
	}

	function getListadoLibmov($filtro,$extra){
		$cbd = new controlador_bd_Libmov();
		$listado_Libmov_arr = $cbd->getListadoLibmov_BD($filtro,$extra);
	foreach ($listado_Libmov_arr as $Libmov_arr){
		$listado_Libmov[] = new Libmov($Libmov_arr);
	}
	return $listado_Libmov;
	}
	
	function getLibmov($RECORD_NUMBER){
		$cbd = new controlador_bd_Libmov();
		$filtro["RECORD_NUMBER"] = $RECORD_NUMBER;
		$listado_Libmov_arr = $cbd->getListadoLibmov_BD($filtro,$extra);
		if ($listado_Libmov_arr) return new Libmov($listado_Libmov_arr[0]);
		return null;
	}
	
	function guardarLibmov($Libmov){
		$cbd = new controlador_bd_Libmov();
		$RECORD_NUMBER = $Libmov->get_RECORD_NUMBER();
		$COM_VEN = $Libmov->get_COM_VEN();
		$FEC_LIB = $Libmov->get_FEC_LIB();
		$LOCAL = $Libmov->get_LOCAL();
		$TIP_DOC = $Libmov->get_TIP_DOC();
		$NUM_DOC = $Libmov->get_NUM_DOC();
		$LINEA = $Libmov->get_LINEA();
		$HAS_DOC = $Libmov->get_HAS_DOC();
		$FEC_DOC = $Libmov->get_FEC_DOC();
		$CTA_ITEM = $Libmov->get_CTA_ITEM();
		$DIG_VER = $Libmov->get_DIG_VER();
		$NOMBRE = $Libmov->get_NOMBRE();
		$NUMERO = $Libmov->get_NUMERO();
		$TIP_COMP = $Libmov->get_TIP_COMP();
		$VAL_AFE = $Libmov->get_VAL_AFE();
		$VAL_EXE = $Libmov->get_VAL_EXE();
		$VAL_IVA = $Libmov->get_VAL_IVA();
		$PORC_ESP = $Libmov->get_PORC_ESP();
		$VAL_ESP = $Libmov->get_VAL_ESP();
		$IMP_RET = $Libmov->get_IMP_RET();
		$VAL_RET = $Libmov->get_VAL_RET();
		$REC_IVA = $Libmov->get_REC_IVA();
		$IMP_ADI = $Libmov->get_IMP_ADI();
		$VAL_ADIC = $Libmov->get_VAL_ADIC();
		$CORRELAT = $Libmov->get_CORRELAT();
		$OVER_ANUAL = $Libmov->get_OVER_ANUAL();
		$NUM_RET = $Libmov->get_NUM_RET();
		$FEC_RET = $Libmov->get_FEC_RET();
		$GLOSA = $Libmov->get_GLOSA();
		$MARCA_CENT = $Libmov->get_MARCA_CENT();
		$FEC_COMP = $Libmov->get_FEC_COMP();
		$BIMFOL = $Libmov->get_BIMFOL();
		$TIP_BIM = $Libmov->get_TIP_BIM();
		$CAMBIO = $Libmov->get_CAMBIO();
		$AFE_CUENTA = $Libmov->get_AFE_CUENTA();
		$AFE_VENCTO = $Libmov->get_AFE_VENCTO();
		$AFE_TABLA = $Libmov->get_AFE_TABLA();
		$AFE_ADIC = $Libmov->get_AFE_ADIC();
		$AFE_MONEDA = $Libmov->get_AFE_MONEDA();
		$AFE_PARIDAD = $Libmov->get_AFE_PARIDAD();
		$AFE_CCOSTO = $Libmov->get_AFE_CCOSTO();
		$AFE_ITEM = $Libmov->get_AFE_ITEM();
		$EXE_CUENTA = $Libmov->get_EXE_CUENTA();
		$EXE_VENCTO = $Libmov->get_EXE_VENCTO();
		$EXE_TABLA = $Libmov->get_EXE_TABLA();
		$EXE_ADIC = $Libmov->get_EXE_ADIC();
		$EXE_MONEDA = $Libmov->get_EXE_MONEDA();
		$EXE_PARIDAD = $Libmov->get_EXE_PARIDAD();
		$EXE_CCOSTO = $Libmov->get_EXE_CCOSTO();
		$EXE_ITEM = $Libmov->get_EXE_ITEM();
		$TOT_CUENTA = $Libmov->get_TOT_CUENTA();
		$TOT_VENCTO = $Libmov->get_TOT_VENCTO();
		$TOT_TABLA = $Libmov->get_TOT_TABLA();
		$TOT_ADIC = $Libmov->get_TOT_ADIC();
		$TOT_MONEDA = $Libmov->get_TOT_MONEDA();
		$TOT_PARIDAD = $Libmov->get_TOT_PARIDAD();
		$TOT_CCOSTO = $Libmov->get_TOT_CCOSTO();
		$TOT_ITEM = $Libmov->get_TOT_ITEM();
		$CB_TIPDOC = $Libmov->get_CB_TIPDOC();
		$CB_NUMDOC = $Libmov->get_CB_NUMDOC();
		$CB_FECHA = $Libmov->get_CB_FECHA();
		$TIP_ING = $Libmov->get_TIP_ING();
		$COD_DISTRIBUC = $Libmov->get_COD_DISTRIBUC();
		$COD_RETENCION1 = $Libmov->get_COD_RETENCION1();
		$COD_RETENCION2 = $Libmov->get_COD_RETENCION2();
		$COD_RETENCION3 = $Libmov->get_COD_RETENCION3();
		$SERIE = $Libmov->get_SERIE();
		$CCOSTO_LIN = $Libmov->get_CCOSTO_LIN();
		$ITEM_LIN = $Libmov->get_ITEM_LIN();
		$DVITEM_LIN = $Libmov->get_DVITEM_LIN();
		$Libmov_bd = new Libmov_BD ($COM_VEN, $FEC_LIB, $LOCAL, $TIP_DOC, $NUM_DOC, $LINEA, $HAS_DOC, $FEC_DOC, $CTA_ITEM, $DIG_VER, $NOMBRE, $NUMERO, $TIP_COMP, $VAL_AFE, $VAL_EXE, $VAL_IVA, $PORC_ESP, $VAL_ESP, $IMP_RET, $VAL_RET, $REC_IVA, $IMP_ADI, $VAL_ADIC, $CORRELAT, $OVER_ANUAL, $NUM_RET, $FEC_RET, $GLOSA, $MARCA_CENT, $FEC_COMP, $BIMFOL, $TIP_BIM, $CAMBIO, $AFE_CUENTA, $AFE_VENCTO, $AFE_TABLA, $AFE_ADIC, $AFE_MONEDA, $AFE_PARIDAD, $AFE_CCOSTO, $AFE_ITEM, $EXE_CUENTA, $EXE_VENCTO, $EXE_TABLA, $EXE_ADIC, $EXE_MONEDA, $EXE_PARIDAD, $EXE_CCOSTO, $EXE_ITEM, $TOT_CUENTA, $TOT_VENCTO, $TOT_TABLA, $TOT_ADIC, $TOT_MONEDA, $TOT_PARIDAD, $TOT_CCOSTO, $TOT_ITEM, $CB_TIPDOC, $CB_NUMDOC, $CB_FECHA, $TIP_ING, $COD_DISTRIBUC, $COD_RETENCION1, $COD_RETENCION2, $COD_RETENCION3, $SERIE, $CCOSTO_LIN, $ITEM_LIN, $DVITEM_LIN, $RECORD_NUMBER);
		return $cbd->guardarLibmov_BD($Libmov_bd);
	}
	
	function actualizarLibmov($Libmov){
		$cbd = new controlador_bd_Libmov();
		$RECORD_NUMBER = $Libmov->get_RECORD_NUMBER();
		$COM_VEN = $Libmov->get_COM_VEN();
		$FEC_LIB = $Libmov->get_FEC_LIB();
		$LOCAL = $Libmov->get_LOCAL();
		$TIP_DOC = $Libmov->get_TIP_DOC();
		$NUM_DOC = $Libmov->get_NUM_DOC();
		$LINEA = $Libmov->get_LINEA();
		$HAS_DOC = $Libmov->get_HAS_DOC();
		$FEC_DOC = $Libmov->get_FEC_DOC();
		$CTA_ITEM = $Libmov->get_CTA_ITEM();
		$DIG_VER = $Libmov->get_DIG_VER();
		$NOMBRE = $Libmov->get_NOMBRE();
		$NUMERO = $Libmov->get_NUMERO();
		$TIP_COMP = $Libmov->get_TIP_COMP();
		$VAL_AFE = $Libmov->get_VAL_AFE();
		$VAL_EXE = $Libmov->get_VAL_EXE();
		$VAL_IVA = $Libmov->get_VAL_IVA();
		$PORC_ESP = $Libmov->get_PORC_ESP();
		$VAL_ESP = $Libmov->get_VAL_ESP();
		$IMP_RET = $Libmov->get_IMP_RET();
		$VAL_RET = $Libmov->get_VAL_RET();
		$REC_IVA = $Libmov->get_REC_IVA();
		$IMP_ADI = $Libmov->get_IMP_ADI();
		$VAL_ADIC = $Libmov->get_VAL_ADIC();
		$CORRELAT = $Libmov->get_CORRELAT();
		$OVER_ANUAL = $Libmov->get_OVER_ANUAL();
		$NUM_RET = $Libmov->get_NUM_RET();
		$FEC_RET = $Libmov->get_FEC_RET();
		$GLOSA = $Libmov->get_GLOSA();
		$MARCA_CENT = $Libmov->get_MARCA_CENT();
		$FEC_COMP = $Libmov->get_FEC_COMP();
		$BIMFOL = $Libmov->get_BIMFOL();
		$TIP_BIM = $Libmov->get_TIP_BIM();
		$CAMBIO = $Libmov->get_CAMBIO();
		$AFE_CUENTA = $Libmov->get_AFE_CUENTA();
		$AFE_VENCTO = $Libmov->get_AFE_VENCTO();
		$AFE_TABLA = $Libmov->get_AFE_TABLA();
		$AFE_ADIC = $Libmov->get_AFE_ADIC();
		$AFE_MONEDA = $Libmov->get_AFE_MONEDA();
		$AFE_PARIDAD = $Libmov->get_AFE_PARIDAD();
		$AFE_CCOSTO = $Libmov->get_AFE_CCOSTO();
		$AFE_ITEM = $Libmov->get_AFE_ITEM();
		$EXE_CUENTA = $Libmov->get_EXE_CUENTA();
		$EXE_VENCTO = $Libmov->get_EXE_VENCTO();
		$EXE_TABLA = $Libmov->get_EXE_TABLA();
		$EXE_ADIC = $Libmov->get_EXE_ADIC();
		$EXE_MONEDA = $Libmov->get_EXE_MONEDA();
		$EXE_PARIDAD = $Libmov->get_EXE_PARIDAD();
		$EXE_CCOSTO = $Libmov->get_EXE_CCOSTO();
		$EXE_ITEM = $Libmov->get_EXE_ITEM();
		$TOT_CUENTA = $Libmov->get_TOT_CUENTA();
		$TOT_VENCTO = $Libmov->get_TOT_VENCTO();
		$TOT_TABLA = $Libmov->get_TOT_TABLA();
		$TOT_ADIC = $Libmov->get_TOT_ADIC();
		$TOT_MONEDA = $Libmov->get_TOT_MONEDA();
		$TOT_PARIDAD = $Libmov->get_TOT_PARIDAD();
		$TOT_CCOSTO = $Libmov->get_TOT_CCOSTO();
		$TOT_ITEM = $Libmov->get_TOT_ITEM();
		$CB_TIPDOC = $Libmov->get_CB_TIPDOC();
		$CB_NUMDOC = $Libmov->get_CB_NUMDOC();
		$CB_FECHA = $Libmov->get_CB_FECHA();
		$TIP_ING = $Libmov->get_TIP_ING();
		$COD_DISTRIBUC = $Libmov->get_COD_DISTRIBUC();
		$COD_RETENCION1 = $Libmov->get_COD_RETENCION1();
		$COD_RETENCION2 = $Libmov->get_COD_RETENCION2();
		$COD_RETENCION3 = $Libmov->get_COD_RETENCION3();
		$SERIE = $Libmov->get_SERIE();
		$CCOSTO_LIN = $Libmov->get_CCOSTO_LIN();
		$ITEM_LIN = $Libmov->get_ITEM_LIN();
		$DVITEM_LIN = $Libmov->get_DVITEM_LIN();
		$Libmov_bd = new Libmov_BD ($COM_VEN, $FEC_LIB, $LOCAL, $TIP_DOC, $NUM_DOC, $LINEA, $HAS_DOC, $FEC_DOC, $CTA_ITEM, $DIG_VER, $NOMBRE, $NUMERO, $TIP_COMP, $VAL_AFE, $VAL_EXE, $VAL_IVA, $PORC_ESP, $VAL_ESP, $IMP_RET, $VAL_RET, $REC_IVA, $IMP_ADI, $VAL_ADIC, $CORRELAT, $OVER_ANUAL, $NUM_RET, $FEC_RET, $GLOSA, $MARCA_CENT, $FEC_COMP, $BIMFOL, $TIP_BIM, $CAMBIO, $AFE_CUENTA, $AFE_VENCTO, $AFE_TABLA, $AFE_ADIC, $AFE_MONEDA, $AFE_PARIDAD, $AFE_CCOSTO, $AFE_ITEM, $EXE_CUENTA, $EXE_VENCTO, $EXE_TABLA, $EXE_ADIC, $EXE_MONEDA, $EXE_PARIDAD, $EXE_CCOSTO, $EXE_ITEM, $TOT_CUENTA, $TOT_VENCTO, $TOT_TABLA, $TOT_ADIC, $TOT_MONEDA, $TOT_PARIDAD, $TOT_CCOSTO, $TOT_ITEM, $CB_TIPDOC, $CB_NUMDOC, $CB_FECHA, $TIP_ING, $COD_DISTRIBUC, $COD_RETENCION1, $COD_RETENCION2, $COD_RETENCION3, $SERIE, $CCOSTO_LIN, $ITEM_LIN, $DVITEM_LIN, $RECORD_NUMBER);
		return $cbd->actualizarLibmov_BD($Libmov_bd);
	}
	
	function eliminarLibmov($RECORD_NUMBER){
		$cbd = new controlador_bd_Libmov();
		return $cbd->eliminarLibmov_BD($RECORD_NUMBER);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
