<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Traspaso_inventario {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadTraspaso_inventario($filtro){
		$cbd = new controlador_bd_Traspaso_inventario();
		return $cbd->getCantidadTraspaso_inventario_BD($filtro);
	}
	
	function getListadoTraspaso_inventario($filtro,$extra){
		$cbd = new controlador_bd_Traspaso_inventario();
		$listado_Traspaso_inventario_arr = $cbd->getListadoTraspaso_inventario_BD($filtro,$extra);
	foreach ($listado_Traspaso_inventario_arr as $Traspaso_inventario_arr){
		$listado_Traspaso_inventario[] = new Traspaso_inventario($Traspaso_inventario_arr);
	}
	return $listado_Traspaso_inventario;
	}
	
	function getTraspaso_inventario($id_traspaso_inventario){
		$cbd = new controlador_bd_Traspaso_inventario();
		$filtro["id_traspaso_inventario"] = $id_traspaso_inventario;
		$listado_Traspaso_inventario_arr = $cbd->getListadoTraspaso_inventario_BD($filtro,$extra);
		if ($listado_Traspaso_inventario_arr) return new Traspaso_inventario($listado_Traspaso_inventario_arr[0]);
		return null;
	}
	
	function guardarTraspaso_inventario($Traspaso_inventario){
		$cbd = new controlador_bd_Traspaso_inventario();
		$id_traspaso_inventario = $Traspaso_inventario->get_id_traspaso_inventario();
		$id_bodega_desde = $Traspaso_inventario->get_id_bodega_desde();
		$id_bodega_hasta = $Traspaso_inventario->get_id_bodega_hasta();
		$id_usuario = $Traspaso_inventario->get_id_usuario();
		$fecha_traspaso = $Traspaso_inventario->get_fecha_traspaso();
		$observacion = $Traspaso_inventario->get_observacion();
		$estado = $Traspaso_inventario->get_estado();
		$fecha_envio = $Traspaso_inventario->get_fecha_envio();
		$id_usuario_envio = $Traspaso_inventario->get_id_usuario_envio();
		$tipo = $Traspaso_inventario->get_tipo();

		
		$Traspaso_inventario_bd = new Traspaso_inventario_BD ($id_bodega_desde, $id_bodega_hasta, $id_usuario, $fecha_traspaso, $observacion, $estado, $fecha_envio, $id_usuario_envio, $tipo, $id_traspaso_inventario);
		return $cbd->guardarTraspaso_inventario_BD($Traspaso_inventario_bd);
	}
	
	function actualizarTraspaso_inventario($Traspaso_inventario){
		$cbd = new controlador_bd_Traspaso_inventario();
		$id_traspaso_inventario = $Traspaso_inventario->get_id_traspaso_inventario();
		$id_bodega_desde = $Traspaso_inventario->get_id_bodega_desde();
		$id_bodega_hasta = $Traspaso_inventario->get_id_bodega_hasta();
		$id_usuario = $Traspaso_inventario->get_id_usuario();
		$fecha_traspaso = $Traspaso_inventario->get_fecha_traspaso();
		$observacion = $Traspaso_inventario->get_observacion();
		$estado = $Traspaso_inventario->get_estado();
		$fecha_envio = $Traspaso_inventario->get_fecha_envio();
		$id_usuario_envio = $Traspaso_inventario->get_id_usuario_envio();
		$tipo = $Traspaso_inventario->get_tipo();

		$Traspaso_inventario_bd = new Traspaso_inventario_BD ($id_bodega_desde, $id_bodega_hasta, $id_usuario, $fecha_traspaso, $observacion, $estado, $fecha_envio, $id_usuario_envio, $tipo, $id_traspaso_inventario);
		return $cbd->actualizarTraspaso_inventario_BD($Traspaso_inventario_bd);
	}
	
	function eliminarTraspaso_inventario($id_traspaso_inventario){
		$cbd = new controlador_bd_Traspaso_inventario();
		return $cbd->eliminarTraspaso_inventario_BD($id_traspaso_inventario);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
