<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Vendedor {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	private $controlador_bd_Vendedor;
	
	//CONSTRUCTOR
	public function __construct ()
	{
		$this->controlador_bd_Vendedor = new controlador_bd_Vendedor;
	}
	
	// DESTRUCTOR
	public function __destruct()
	{
		
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadVendedor($filtro){
		return $this->controlador_bd_Vendedor->getCantidadVendedor_BD($filtro);
	}
	
	function getListadoVendedor($filtro,$extra){
		$listado_Vendedor_bd = $this->controlador_bd_Vendedor->getListadoVendedor_BD($filtro,$extra);
		$Vendedor_bd = new Vendedor_bd();
	foreach ($listado_Vendedor_bd as $Vendedor_bd){
		$listado_Vendedor[] = new Vendedor($Vendedor_bd);
	}
	return $listado_Vendedor;
	}
	
	function getVendedor($id_vendedor){
		$Vendedor_bd = $this->controlador_bd_Vendedor->getVendedor_BD($id_vendedor);
		if ($Vendedor_bd)
			return (new Vendedor($Vendedor_bd));
		else
			return null;
	}
	
	function guardarVendedor(Vendedor $Vendedor){
		$id_vendedor = $Vendedor->get_id_vendedor();
		$nombre = $Vendedor->get_nombre();
		$apellido = $Vendedor->get_apellido();
		$direccion = $Vendedor->get_direccion();
		$fono = $Vendedor->get_fono();
		$observacion = $Vendedor->get_observacion();
		$email = $Vendedor->get_email();
		$codigo = $Vendedor->get_codigo();
		$nombre_corto = $Vendedor->get_nombre_corto();
		$vigente = $Vendedor->get_vigente();
		
		$Vendedor_bd = new Vendedor_BD ($nombre, $apellido, $direccion, $fono, $observacion, $email, $codigo, $nombre_corto, $vigente, $id_vendedor);
		return $this->controlador_bd_Vendedor->guardarVendedor_BD($Vendedor_bd);
	}
	
	function actualizarVendedor(Vendedor $Vendedor){
		$id_vendedor = $Vendedor->get_id_vendedor();
		$nombre = $Vendedor->get_nombre();
		$apellido = $Vendedor->get_apellido();
		$direccion = $Vendedor->get_direccion();
		$fono = $Vendedor->get_fono();
		$observacion = $Vendedor->get_observacion();
		$email = $Vendedor->get_email();
		$codigo = $Vendedor->get_codigo();
		$nombre_corto = $Vendedor->get_nombre_corto();
		$vigente = $Vendedor->get_vigente();
		
		$Vendedor_bd = new Vendedor_BD ($nombre, $apellido, $direccion, $fono, $observacion, $email, $codigo, $nombre_corto, $vigente, $id_vendedor);
		return $this->controlador_bd_Vendedor->actualizarVendedor_BD($Vendedor_bd);
	}
	
	function eliminarVendedor($id_vendedor){
		return $this->controlador_bd_Vendedor->eliminarVendedor_BD($id_vendedor);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
