<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Ventas {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadVentas($filtro){
		$cbd = new controlador_bd_Ventas();
		return $cbd->getCantidadVentas_BD($filtro);
	}
	
	function getListadoVentas($filtro,$extra){
		$cbd = new controlador_bd_Ventas();
		$listado_Ventas_arr = $cbd->getListadoVentas_BD($filtro,$extra);
	foreach ($listado_Ventas_arr as $Ventas_arr){
		$listado_Ventas[] = new Ventas($Ventas_arr);
	}
	return $listado_Ventas;
	}
	
	function getVentas($id_venta){
		$cbd = new controlador_bd_Ventas();
		$filtro["id_venta"] = $id_venta;
		$listado_Ventas_arr = $cbd->getListadoVentas_BD($filtro,$extra);
		if ($listado_Ventas_arr) return new Ventas($listado_Ventas_arr[0]);
		return null;
	}
	
	function guardarVentas($Ventas){
		$cbd = new controlador_bd_Ventas();
		$id_venta = $Ventas->get_id_venta();
		$id_sucursal = $Ventas->get_id_sucursal();
		$id_bodega = $Ventas->get_id_bodega();
		$id_cliente_proveedor = $Ventas->get_id_cliente_proveedor();
		$id_vendedor = $Ventas->get_id_vendedor();
		$tipo_documento_emitido = $Ventas->get_tipo_documento_emitido();
		$fecha = $Ventas->get_fecha();
		$estado = $Ventas->get_estado();
		$total = $Ventas->get_total();
		$iva = $Ventas->get_iva();
		$numero_venta = $Ventas->get_numero_venta();
		$TipoDespacho = $Ventas->get_TipoDespacho();
		$tipo = $Ventas->get_tipo();
		$subTotal = $Ventas->get_subTotal();
		$descuento = $Ventas->get_descuento();
		$chk_bodega = $Ventas->get_chk_bodega();
		$pago_cliente = $Ventas->get_pago_cliente();
		$observacion = $Ventas->get_observacion();
		$vuelto = $Ventas->get_vuelto();
		$cond_venta = $Ventas->get_cond_venta();
		$tipo_pago = $Ventas->get_tipo_pago();
		$IndTraslado = $Ventas->get_IndTraslado();
		$RUTTrans = $Ventas->get_RUTTrans();
		$RUTChofer = $Ventas->get_RUTChofer();
		$NombreChofer = $Ventas->get_NombreChofer();
		$DirDest = $Ventas->get_DirDest();
		$CmnaDest = $Ventas->get_CmnaDest();
		$CiudadDest = $Ventas->get_CiudadDest();
		$Patente = $Ventas->get_Patente();
		$FchPago = $Ventas->get_FchPago();
		$GlosaPagos = $Ventas->get_GlosaPagos();
		$chk_referencia = $Ventas->get_chk_referencia();
		$id_sub_centro_costo = $Ventas->get_id_sub_centro_costo();
		

		$Ventas_bd = new Ventas_BD ($id_sucursal, $id_bodega, $id_cliente_proveedor, $id_vendedor, $tipo_documento_emitido, $fecha, $estado, $total, $iva, $numero_venta, $TipoDespacho, $tipo, $subTotal, $descuento, $chk_bodega, $pago_cliente, $observacion, $tipo_pago, $vuelto, $cond_venta, $IndTraslado, $RUTTrans, $RUTChofer, $NombreChofer, $DirDest, $CmnaDest, $CiudadDest, $Patente, $chk_referencia, $FchPago, $GlosaPagos, $id_sub_centro_costo, $id_venta);
		return $cbd->guardarVentas_BD($Ventas_bd);
	}
	
	function actualizarVentas($Ventas){
		$cbd = new controlador_bd_Ventas();
		$id_venta = $Ventas->get_id_venta();
		$id_sucursal = $Ventas->get_id_sucursal();
		$id_bodega = $Ventas->get_id_bodega();
		$id_cliente_proveedor = $Ventas->get_id_cliente_proveedor();
		$id_vendedor = $Ventas->get_id_vendedor();
		$tipo_documento_emitido = $Ventas->get_tipo_documento_emitido();
		$fecha = $Ventas->get_fecha();
		$estado = $Ventas->get_estado();
		$total = $Ventas->get_total();
		$iva = $Ventas->get_iva();
		$numero_venta = $Ventas->get_numero_venta();
		$TipoDespacho = $Ventas->get_TipoDespacho();
		$tipo = $Ventas->get_tipo();
		$subTotal = $Ventas->get_subTotal();
		$descuento = $Ventas->get_descuento();
		$chk_bodega = $Ventas->get_chk_bodega();
		$pago_cliente = $Ventas->get_pago_cliente();
		$observacion = $Ventas->get_observacion();
		$vuelto = $Ventas->get_vuelto();
		$cond_venta = $Ventas->get_cond_venta();
		$tipo_pago = $Ventas->get_tipo_pago();
		$IndTraslado = $Ventas->get_IndTraslado();
		$RUTTrans = $Ventas->get_RUTTrans();
		$RUTChofer = $Ventas->get_RUTChofer();
		$NombreChofer = $Ventas->get_NombreChofer();
		$DirDest = $Ventas->get_DirDest();
		$CmnaDest = $Ventas->get_CmnaDest();
		$CiudadDest = $Ventas->get_CiudadDest();
		$Patente = $Ventas->get_Patente();
		$FchPago = $Ventas->get_FchPago();
		$GlosaPagos = $Ventas->get_GlosaPagos();
		$chk_referencia = $Ventas->get_chk_referencia();
		$id_sub_centro_costo = $Ventas->get_id_sub_centro_costo();

		$Ventas_bd = new Ventas_BD ($id_sucursal, $id_bodega, $id_cliente_proveedor, $id_vendedor, $tipo_documento_emitido, $fecha, $estado, $total, $iva, $numero_venta, $TipoDespacho, $tipo, $subTotal, $descuento, $chk_bodega, $pago_cliente, $observacion, $tipo_pago, $vuelto, $cond_venta, $IndTraslado, $RUTTrans, $RUTChofer, $NombreChofer, $DirDest, $CmnaDest, $CiudadDest, $Patente, $chk_referencia, $FchPago, $GlosaPagos, $id_sub_centro_costo, $id_venta);
		return $cbd->actualizarVentas_BD($Ventas_bd);
	}
	
	function eliminarVentas($id_venta){
		$cbd = new controlador_bd_Ventas();
		return $cbd->eliminarVentas_BD($id_venta);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
