<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Boleta_detalle_BD_Fachada {

function &getListadoBoleta_detalle_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	$query = expandir("GET_LISTADO_BOLETA_DETALLE_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_boleta_detalle = $RecordSet -> Fields("id_boleta_detalle");
		$id_boleta = $RecordSet -> Fields("id_boleta");
		$id_centro_costo = $RecordSet -> Fields("id_centro_costo");
		$id_item_gasto = $RecordSet -> Fields("id_item_gasto");
		$valor_servicio = $RecordSet -> Fields("valor_servicio");
		$descripcion_servicio = $RecordSet -> Fields("descripcion_servicio");
		
		$temp = new Boleta_detalle_BD ($id_boleta, $id_centro_costo, $id_item_gasto, $valor_servicio, $descripcion_servicio, $id_boleta_detalle);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getBoleta_detalle_BD($id_boleta_detalle)
	{
		global $conn;
		$query = expandir("GET_BOLETA_DETALLE_BD",
		"id_boleta_detalle", $id_boleta_detalle
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_boleta_detalle = $RecordSet -> Fields("id_boleta_detalle");
	$id_boleta = $RecordSet -> Fields("id_boleta");
	$id_centro_costo = $RecordSet -> Fields("id_centro_costo");
	$id_item_gasto = $RecordSet -> Fields("id_item_gasto");
	$valor_servicio = $RecordSet -> Fields("valor_servicio");
	$descripcion_servicio = $RecordSet -> Fields("descripcion_servicio");
	
	
	$temp = new Boleta_detalle_BD ($id_boleta, $id_centro_costo, $id_item_gasto, $valor_servicio, $descripcion_servicio, $id_boleta_detalle);
	return $temp;
	}
	
	
	function &guardarBoleta_detalle_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_BOLETA_DETALLE_BD",
		"id_centro_costo", $objeto->get_id_centro_costo(),
		"id_item_gasto", $objeto->get_id_item_gasto(),
		"valor_servicio", $objeto->get_valor_servicio(),
		"descripcion_servicio", $objeto->get_descripcion_servicio(),
		"id_boleta", $objeto->get_id_boleta());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarBoleta_detalle_BD(Boleta_detalle_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_BOLETA_DETALLE_BD",
		"id_boleta", $objeto->get_id_boleta(),
		"id_centro_costo", $objeto->get_id_centro_costo(),
		"id_item_gasto", $objeto->get_id_item_gasto(),
		"valor_servicio", $objeto->get_valor_servicio(),
		"descripcion_servicio", $objeto->get_descripcion_servicio(),
		"id_boleta_detalle", $objeto->get_id_boleta_detalle());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarBoleta_detalle_BD($id_boleta_detalle){
		global $conn;
		$query = expandir("ELIMINAR_BOLETA_DETALLE_BD",
		"id_boleta_detalle", $id_boleta_detalle
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadBoleta_detalle_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_BOLETA_DETALLE_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
