<?

//------------------------------------------------------------------------------
//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cliente_proveedor_BD_Fachada {


	function &cantidadCliente_proveedor_BD($filtro,$extra){
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}
		
		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}



		$query = expandir("GET_CANTIDAD_CLIENTE_PROVEEDOR_BD",
		"where",	$where
		);
		
		//debug($query);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		return ($RecordSet->fields["CANTIDAD"]);
	}

	function &getListadoCliente_proveedor_BD($filtro,$extra)
	{
		global $conn;
              
                //debug($extra);
		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}
		
		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}



		$query = expandir("GET_LISTADO_CLIENTE_PROVEEDOR_BD",
		"where",	$where
		);

		//debug($query);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_cliente_proveedor = $RecordSet -> Fields("id_cliente_proveedor");
			$id_empresa = $RecordSet -> Fields("id_empresa");
			$id_ciudad = $RecordSet -> Fields("id_ciudad");
			$tipo_cliente_proveedor = $RecordSet -> Fields("tipo_cliente_proveedor");
			$tipo_natural_empresa = $RecordSet -> Fields("tipo_natural_empresa");
			$rut = $RecordSet -> Fields("rut");
			$nombre = $RecordSet -> Fields("nombre");
			$razon_social = $RecordSet -> Fields("razon_social");
			$giro = $RecordSet -> Fields("giro");
			$direccion = $RecordSet -> Fields("direccion");
			$telefono = $RecordSet -> Fields("telefono");
			$telefono2 = $RecordSet -> Fields("telefono2");
			$movil = $RecordSet -> Fields("movil");
			$exportado = $RecordSet -> Fields("exportado");
			$website = $RecordSet -> Fields("website");
			$email = $RecordSet -> Fields("email");
			$fecha_ingreso = $RecordSet -> Fields("fecha_ingreso");
			$monto_credito = $RecordSet -> Fields("monto_credito");
			$estado = $RecordSet -> Fields("estado");
			$observacion = $RecordSet -> Fields("observacion");
			$condicion_venta = $RecordSet -> Fields("condicion_venta");
			$req_orden_compra = $RecordSet -> Fields("req_orden_compra");
			$observacion_economica = $RecordSet -> Fields("observacion_economica");
			// MSK 05-07
			$rut_rep_legal = $RecordSet -> Fields("rut_rep_legal");
			$nombre_rep_legal = $RecordSet -> Fields("nombre_rep_legal");

			$temp = new Cliente_proveedor_BD ($id_empresa, $id_ciudad, $tipo_cliente_proveedor, $tipo_natural_empresa, $rut, $nombre, $razon_social, $giro, $direccion, $telefono, $telefono2, $movil, $exportado, $website, $email, $fecha_ingreso, $monto_credito, $estado, $observacion, $condicion_venta, $req_orden_compra, $observacion_economica, $id_cliente_proveedor, $rut_rep_legal, $nombre_rep_legal);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getCliente_proveedor_BD($id_cliente_proveedor)
	{
		global $conn;
		$query = expandir("GET_CLIENTE_PROVEEDOR_BD",
		"id_cliente_proveedor", $id_cliente_proveedor
		);

		//debug($query);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_cliente_proveedor = $RecordSet -> Fields("id_cliente_proveedor");
		$id_empresa = $RecordSet -> Fields("id_empresa");
		$id_ciudad = $RecordSet -> Fields("id_ciudad");
		$id_comuna = $RecordSet -> Fields("id_comuna");
		$tipo_cliente_proveedor = $RecordSet -> Fields("tipo_cliente_proveedor");
		$tipo_natural_empresa = $RecordSet -> Fields("tipo_natural_empresa");
		$rut = $RecordSet -> Fields("rut");
		$nombre = $RecordSet -> Fields("nombre");
		$razon_social = $RecordSet -> Fields("razon_social");
		$giro = $RecordSet -> Fields("giro");
		$direccion = $RecordSet -> Fields("direccion");
		$telefono = $RecordSet -> Fields("telefono");
		$telefono2 = $RecordSet -> Fields("telefono2");
		$movil = $RecordSet -> Fields("movil");
		$exportado = $RecordSet -> Fields("exportado");
		$website = $RecordSet -> Fields("website");
		$email = $RecordSet -> Fields("email");
		$fecha_ingreso = $RecordSet -> Fields("fecha_ingreso");
		$monto_credito = $RecordSet -> Fields("monto_credito");
		$estado = $RecordSet -> Fields("estado");
		$observacion = $RecordSet -> Fields("observacion");
		$condicion_venta = $RecordSet -> Fields("condicion_venta");
		$req_orden_compra = $RecordSet -> Fields("req_orden_compra");
		$observacion_economica = $RecordSet -> Fields("observacion_economica");
		// MSK 05-07
		$rut_rep_legal = $RecordSet -> Fields("rut_rep_legal");
		$nombre_rep_legal = $RecordSet -> Fields("nombre_rep_legal");

		$temp = new Cliente_proveedor_BD ($id_empresa, $id_ciudad, $tipo_cliente_proveedor, $tipo_natural_empresa, $rut, $nombre, $razon_social, $giro, $direccion, $telefono, $telefono2, $movil, $exportado, $website, $email, $fecha_ingreso, $monto_credito, $estado, $observacion, $condicion_venta, $req_orden_compra, $observacion_economica, $id_cliente_proveedor, $rut_rep_legal, $nombre_rep_legal, $id_comuna);
		return $temp;
	}


	function &guardarCliente_proveedor_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		//debug($objeto);
		$query = expandir("GUARDAR_CLIENTE_PROVEEDOR_BD",
		"id_ciudad", $objeto->get_id_ciudad(),
		"id_comuna", $objeto->get_id_comuna(),
		"tipo_cliente_proveedor", $objeto->get_tipo_cliente_proveedor(),
		"tipo_natural_empresa", $objeto->get_tipo_natural_empresa(),
		"rut", $objeto->get_rut(),
		"nombre", $objeto->get_nombre(),
		"razon_social", $objeto->get_razon_social(),
		"giro", $objeto->get_giro(),
		"direccion", $objeto->get_direccion(),
		"telefono", $objeto->get_telefono(),
		"telefono2", $objeto->get_telefono2(),
		"movil", $objeto->get_movil(),
		"exportado", $objeto->get_exportado(),
		"website", $objeto->get_website(),
		"email", $objeto->get_email(),
		"fecha_ingreso", $objeto->get_fecha_ingreso(),
		"monto_credito", $objeto->get_monto_credito(),
		"estado", $objeto->get_estado(),
		"observacion", $objeto->get_observacion(),
		"condicion_venta", $objeto->get_condicion_venta(),
		"req_orden_compra", $objeto->get_req_orden_compra(),
		"observacion_economica", $objeto->get_observacion_economica(),
		"id_empresa", $objeto->get_id_empresa(),
		"rut_rep_legal", $objeto->get_rut_rep_legal(),
		"nombre_rep_legal", $objeto->get_nombre_rep_legal());

		//debug($query);
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}

	function &actualizarCliente_proveedor_BD(Cliente_proveedor_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_CLIENTE_PROVEEDOR_BD",
		"id_empresa", $objeto->get_id_empresa(),
		"id_ciudad", $objeto->get_id_ciudad(),
		"id_comuna", $objeto->get_id_comuna(),
		"tipo_cliente_proveedor", $objeto->get_tipo_cliente_proveedor(),
		"tipo_natural_empresa", $objeto->get_tipo_natural_empresa(),
		"rut", $objeto->get_rut(),
		"nombre", $objeto->get_nombre(),
		"razon_social", $objeto->get_razon_social(),
		"giro", $objeto->get_giro(),
		"direccion", $objeto->get_direccion(),
		"telefono", $objeto->get_telefono(),
		"telefono2", $objeto->get_telefono2(),
		"movil", $objeto->get_movil(),
		"exportado", $objeto->get_exportado(),
		"website", $objeto->get_website(),
		"email", $objeto->get_email(),
		"fecha_ingreso", $objeto->get_fecha_ingreso(),
		"monto_credito", $objeto->get_monto_credito(),
		"estado", $objeto->get_estado(),
		"observacion", $objeto->get_observacion(),
		"condicion_venta", $objeto->get_condicion_venta(),
		"req_orden_compra", $objeto->get_req_orden_compra(),
		"observacion_economica", $objeto->get_observacion_economica(),
		"id_cliente_proveedor", $objeto->get_id_cliente_proveedor(),
		"rut_rep_legal", $objeto->get_rut_rep_legal(),
		"nombre_rep_legal", $objeto->get_nombre_rep_legal());

		//debug($query);
		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &eliminarCliente_proveedor_BD($id_cliente_proveedor){
		global $conn;
		$query = expandir("ELIMINAR_CLIENTE_PROVEEDOR_BD",
		"id_cliente_proveedor", $id_cliente_proveedor
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}


}//Fin Clase
?>
