<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cmn_parametro_BD_Fachada {

function &getListadoCmn_parametro_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	$query = expandir("GET_LISTADO_CMN_PARAMETRO_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_parametro = $RecordSet -> Fields("id_parametro");
		$nombre = $RecordSet -> Fields("nombre");
		$valor = $RecordSet -> Fields("valor");
		$id_empresa = $RecordSet -> Fields("id_empresa");
		$ex2 = $RecordSet -> Fields("ex2");
		$ex3 = $RecordSet -> Fields("ex3");
		
		$temp = new Cmn_parametro_BD ($nombre, $valor, $id_empresa, $ex2, $ex3, $id_parametro);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getCmn_parametro_BD($id_parametro)
	{
		global $conn;
		$query = expandir("GET_CMN_PARAMETRO_BD",
		"id_parametro", $id_parametro
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_parametro = $RecordSet -> Fields("id_parametro");
	$nombre = $RecordSet -> Fields("nombre");
	$valor = $RecordSet -> Fields("valor");
	$id_empresa = $RecordSet -> Fields("id_empresa");
	$ex2 = $RecordSet -> Fields("ex2");
	$ex3 = $RecordSet -> Fields("ex3");
	
	
	$temp = new Cmn_parametro_BD ($nombre, $valor, $id_empresa, $ex2, $ex3, $id_parametro);
	return $temp;
	}
	
	
	function &guardarCmn_parametro_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CMN_PARAMETRO_BD",
		"valor", $objeto->get_valor(),
		"id_empresa", $objeto->get_id_empresa(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"nombre", $objeto->get_nombre());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCmn_parametro_BD(Cmn_parametro_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CMN_PARAMETRO_BD",
		"nombre", $objeto->get_nombre(),
		"valor", $objeto->get_valor(),
		"id_empresa", $objeto->get_id_empresa(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"id_parametro", $objeto->get_id_parametro());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCmn_parametro_BD($id_parametro){
		global $conn;
		$query = expandir("ELIMINAR_CMN_PARAMETRO_BD",
		"id_parametro", $id_parametro
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCmn_parametro_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CMN_PARAMETRO_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
