<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_cheque_BD_Fachada {

function &getListadoCont_cheque_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	$query = expandir("GET_LISTADO_CONT_CHEQUE_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_cheque = $RecordSet -> Fields("id_cheque");
		$id_comprobante_pago = $RecordSet -> Fields("id_comprobante_pago");
		$numero_cheque = $RecordSet -> Fields("numero_cheque");
		$fecha_cheque = $RecordSet -> Fields("fecha_cheque");
		$estado = $RecordSet -> Fields("estado");
		$id_detalle_comprobante_contable = $RecordSet -> Fields("id_detalle_comprobante_contable");
		$monto_cheque = $RecordSet -> Fields("monto_cheque");
		$id_banco = $RecordSet -> Fields("id_banco");
		$tipo = $RecordSet -> Fields("tipo");
		
		$temp = new Cont_cheque_BD ($id_comprobante_pago, $numero_cheque, $fecha_cheque, $estado, $id_detalle_comprobante_contable, $monto_cheque, $id_banco, $tipo, $id_cheque);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getCont_cheque_BD($id_cheque)
	{
		global $conn;
		$query = expandir("GET_CONT_CHEQUE_BD",
		"id_cheque", $id_cheque
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_cheque = $RecordSet -> Fields("id_cheque");
	$id_comprobante_pago = $RecordSet -> Fields("id_comprobante_pago");
	$numero_cheque = $RecordSet -> Fields("numero_cheque");
	$fecha_cheque = $RecordSet -> Fields("fecha_cheque");
	$estado = $RecordSet -> Fields("estado");
	$id_detalle_comprobante_contable = $RecordSet -> Fields("id_detalle_comprobante_contable");
	$monto_cheque = $RecordSet -> Fields("monto_cheque");
	$id_banco = $RecordSet -> Fields("id_banco");
	$tipo = $RecordSet -> Fields("tipo");
	
	
	$temp = new Cont_cheque_BD ($id_comprobante_pago, $numero_cheque, $fecha_cheque, $estado, $id_detalle_comprobante_contable, $monto_cheque, $id_banco, $tipo, $id_cheque);
	return $temp;
	}
	
	
	function &guardarCont_cheque_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CONT_CHEQUE_BD",
		"numero_cheque", $objeto->get_numero_cheque(),
		"fecha_cheque", $objeto->get_fecha_cheque(),
		"estado", $objeto->get_estado(),
		"id_detalle_comprobante_contable", $objeto->get_id_detalle_comprobante_contable(),
		"monto_cheque", $objeto->get_monto_cheque(),
		"id_banco", $objeto->get_id_banco(),
		"tipo", $objeto->get_tipo(),
		"id_comprobante_pago", $objeto->get_id_comprobante_pago());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCont_cheque_BD(Cont_cheque_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CONT_CHEQUE_BD",
		"id_comprobante_pago", $objeto->get_id_comprobante_pago(),
		"numero_cheque", $objeto->get_numero_cheque(),
		"fecha_cheque", $objeto->get_fecha_cheque(),
		"estado", $objeto->get_estado(),
		"id_detalle_comprobante_contable", $objeto->get_id_detalle_comprobante_contable(),
		"monto_cheque", $objeto->get_monto_cheque(),
		"id_banco", $objeto->get_id_banco(),
		"tipo", $objeto->get_tipo(),
		"id_cheque", $objeto->get_id_cheque());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCont_cheque_BD($id_cheque){
		global $conn;
		$query = expandir("ELIMINAR_CONT_CHEQUE_BD",
		"id_cheque", $id_cheque
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCont_cheque_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CONT_CHEQUE_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
