<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_cliente_proveedor_BD_Fachada {

function &getListadoCont_cliente_proveedor_BD($filtro,$extra)
	{
		validar_tabla_db("cont_cliente_proveedor");
		$extra_var = get_extra_var("CONT_CLIENTE_PROVEEDOR");
		$query = make_query("cont_cliente_proveedor", $filtro, $extra, $extra_var);
//		debug($query);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarCont_cliente_proveedor_BD($objeto){
		validar_tabla_db("Cont_cliente_proveedor");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CONT_CLIENTE_PROVEEDOR_BD",
		"id_ciudad", $objeto->get_id_ciudad(),
		"tipo_cliente_proveedor", $objeto->get_tipo_cliente_proveedor(),
		"tipo_natural_empresa", $objeto->get_tipo_natural_empresa(),
		"rut", $objeto->get_rut(),
		"nombre", $objeto->get_nombre(),
		"razon_social", $objeto->get_razon_social(),
		"giro", $objeto->get_giro(),
		"direccion", $objeto->get_direccion(),
		"telefono", $objeto->get_telefono(),
		"organismo_salud", $objeto->get_organismo_salud(),
		"movil", $objeto->get_movil(),
		"exportado", $objeto->get_exportado(),
		"facturar_a", $objeto->get_facturar_a(),
		"email", $objeto->get_email(),
		"fecha_ingreso", $objeto->get_fecha_ingreso(),
		"monto_credito", $objeto->get_monto_credito(),
		"estado", $objeto->get_estado(),
		"observacion", $objeto->get_observacion(),
		"condicion_venta", $objeto->get_condicion_venta(),
		"req_orden_compra", $objeto->get_req_orden_compra(),
		"observacion_economica", $objeto->get_observacion_economica(),
		"rut_rep_legal", $objeto->get_rut_rep_legal(),
		"nombre_rep_legal", $objeto->get_nombre_rep_legal(),
		"tipo_lista_precio", $objeto->get_tipo_lista_precio(),
		"trazabilidad", $objeto->get_trazabilidad(),
		"nombre_doc_referencia_traking", $objeto->get_nombre_doc_referencia_traking(),
		"id_comuna", $objeto->get_id_comuna(),
		"id_empresa", $objeto->get_id_empresa());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCont_cliente_proveedor_BD(Cont_cliente_proveedor_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CONT_CLIENTE_PROVEEDOR_BD",
		"id_empresa", $objeto->get_id_empresa(),
		"id_ciudad", $objeto->get_id_ciudad(),
		"tipo_cliente_proveedor", $objeto->get_tipo_cliente_proveedor(),
		"tipo_natural_empresa", $objeto->get_tipo_natural_empresa(),
		"rut", $objeto->get_rut(),
		"nombre", $objeto->get_nombre(),
		"razon_social", $objeto->get_razon_social(),
		"giro", $objeto->get_giro(),
		"direccion", $objeto->get_direccion(),
		"telefono", $objeto->get_telefono(),
		"organismo_salud", $objeto->get_organismo_salud(),
		"movil", $objeto->get_movil(),
		"exportado", $objeto->get_exportado(),
		"facturar_a", $objeto->get_facturar_a(),
		"email", $objeto->get_email(),
		"fecha_ingreso", $objeto->get_fecha_ingreso(),
		"monto_credito", $objeto->get_monto_credito(),
		"estado", $objeto->get_estado(),
		"observacion", $objeto->get_observacion(),
		"condicion_venta", $objeto->get_condicion_venta(),
		"req_orden_compra", $objeto->get_req_orden_compra(),
		"observacion_economica", $objeto->get_observacion_economica(),
		"rut_rep_legal", $objeto->get_rut_rep_legal(),
		"nombre_rep_legal", $objeto->get_nombre_rep_legal(),
		"tipo_lista_precio", $objeto->get_tipo_lista_precio(),
		"trazabilidad", $objeto->get_trazabilidad(),
		"nombre_doc_referencia_traking", $objeto->get_nombre_doc_referencia_traking(),
		"id_comuna", $objeto->get_id_comuna(),
		"id_cliente_proveedor", $objeto->get_id_cliente_proveedor());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCont_cliente_proveedor_BD($id_cliente_proveedor){
		global $conn;
		$query = expandir("ELIMINAR_CONT_CLIENTE_PROVEEDOR_BD",
		"id_cliente_proveedor", $id_cliente_proveedor
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCont_cliente_proveedor_BD($filtro){
		validar_tabla_db("Cont_cliente_proveedor");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CONT_CLIENTE_PROVEEDOR_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
