<?

//------------------------------------------------------------------------------
//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_comprobante_pago_BD_Fachada {

	function &getListadoCont_comprobante_pago_BD($filtro,$extra)
	{
		global $conn;


		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}

		if ($extra["query"]){
			$where = str_replace("WHERE","AND",$where);
			$query = expandir($extra["query"],
			"where",$where
			);			
		}else{
			$query = expandir("GET_LISTADO_CONT_COMPROBANTE_PAGO_BD",
			"where",$where
			);
		}

		//debug($query);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_comprobante_pago = $RecordSet -> Fields("id_comprobante_pago");
			$id_cliente_proveedor = $RecordSet -> Fields("id_cliente_proveedor");
			$id_documento = $RecordSet -> Fields("id_documento");
			$tipo = $RecordSet -> Fields("tipo");
			$forma_pago = $RecordSet -> Fields("forma_pago");
			$abono = $RecordSet -> Fields("abono");
			$glosa = $RecordSet -> Fields("glosa");
			$fecha_abono = $RecordSet -> Fields("fecha_abono");
			$fecha_digitacion = $RecordSet -> Fields("fecha_digitacion");
			$numero_cheque = $RecordSet -> Fields("numero_cheque");
			$fecha_cheque = $RecordSet -> Fields("fecha_cheque");
			$estado = $RecordSet -> Fields("estado");
			$id_comprobante_contable = $RecordSet -> Fields("id_comprobante_contable");
			$id_empresa_seleccionada = $RecordSet -> Fields("id_empresa_seleccionada");
			$id_sucursal = $RecordSet -> Fields("id_sucursal");
			$numero_recibo = $RecordSet -> Fields("numero_recibo");

			$temp = new Cont_comprobante_pago_BD ($id_cliente_proveedor, $id_documento, $tipo, $forma_pago, $abono, $glosa, $fecha_abono, $fecha_digitacion, $numero_cheque, $fecha_cheque, $estado, $id_comprobante_contable, $id_empresa_seleccionada, $id_sucursal, $numero_recibo, $id_comprobante_pago);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getCont_comprobante_pago_BD($id_comprobante_pago)
	{
		global $conn;
		$query = expandir("GET_CONT_COMPROBANTE_PAGO_BD",
		"id_comprobante_pago", $id_comprobante_pago
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_comprobante_pago = $RecordSet -> Fields("id_comprobante_pago");
		$id_cliente_proveedor = $RecordSet -> Fields("id_cliente_proveedor");
		$id_documento = $RecordSet -> Fields("id_documento");
		$tipo = $RecordSet -> Fields("tipo");
		$forma_pago = $RecordSet -> Fields("forma_pago");
		$abono = $RecordSet -> Fields("abono");
		$glosa = $RecordSet -> Fields("glosa");
		$fecha_abono = $RecordSet -> Fields("fecha_abono");
		$fecha_digitacion = $RecordSet -> Fields("fecha_digitacion");
		$numero_cheque = $RecordSet -> Fields("numero_cheque");
		$fecha_cheque = $RecordSet -> Fields("fecha_cheque");
		$estado = $RecordSet -> Fields("estado");
		$id_comprobante_contable = $RecordSet -> Fields("id_comprobante_contable");
		$id_empresa_seleccionada = $RecordSet -> Fields("id_empresa_seleccionada");
		$id_sucursal = $RecordSet -> Fields("id_sucursal");
		$numero_recibo = $RecordSet -> Fields("numero_recibo");


		$temp = new Cont_comprobante_pago_BD ($id_cliente_proveedor, $id_documento, $tipo, $forma_pago, $abono, $glosa, $fecha_abono, $fecha_digitacion, $numero_cheque, $fecha_cheque, $estado, $id_comprobante_contable, $id_empresa_seleccionada, $id_sucursal, $numero_recibo, $id_comprobante_pago);
		return $temp;
	}


	function &guardarCont_comprobante_pago_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_CONT_COMPROBANTE_PAGO_BD",
		"id_documento", $objeto->get_id_documento(),
		"tipo", $objeto->get_tipo(),
		"forma_pago", $objeto->get_forma_pago(),
		"abono", $objeto->get_abono(),
		"glosa", $objeto->get_glosa(),
		"fecha_abono", $objeto->get_fecha_abono(),
		"fecha_digitacion", $objeto->get_fecha_digitacion(),
		"numero_cheque", $objeto->get_numero_cheque(),
		"fecha_cheque", $objeto->get_fecha_cheque(),
		"estado", $objeto->get_estado(),
		"id_comprobante_contable", $objeto->get_id_comprobante_contable(),
		"id_empresa_seleccionada", $objeto->get_id_empresa_seleccionada(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"numero_recibo", $objeto->get_numero_recibo(),
		"id_cliente_proveedor", $objeto->get_id_cliente_proveedor());

		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}

	function &actualizarCont_comprobante_pago_BD(Cont_comprobante_pago_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_CONT_COMPROBANTE_PAGO_BD",
		"id_cliente_proveedor", $objeto->get_id_cliente_proveedor(),
		"id_documento", $objeto->get_id_documento(),
		"tipo", $objeto->get_tipo(),
		"forma_pago", $objeto->get_forma_pago(),
		"abono", $objeto->get_abono(),
		"glosa", $objeto->get_glosa(),
		"fecha_abono", $objeto->get_fecha_abono(),
		"fecha_digitacion", $objeto->get_fecha_digitacion(),
		"numero_cheque", $objeto->get_numero_cheque(),
		"fecha_cheque", $objeto->get_fecha_cheque(),
		"estado", $objeto->get_estado(),
		"id_comprobante_contable", $objeto->get_id_comprobante_contable(),
		"id_empresa_seleccionada", $objeto->get_id_empresa_seleccionada(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"numero_recibo", $objeto->get_numero_recibo(),
		"id_comprobante_pago", $objeto->get_id_comprobante_pago());

		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &eliminarCont_comprobante_pago_BD($id_comprobante_pago){
		global $conn;
		$query = expandir("ELIMINAR_CONT_COMPROBANTE_PAGO_BD",
		"id_comprobante_pago", $id_comprobante_pago
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &cantidadCont_comprobante_pago_BD($filtro){
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		$query = expandir("GET_CANTIDAD_CONT_COMPROBANTE_PAGO_BD",
		"where",$where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		return ($RecordSet->fields["CANTIDAD"]);
	}

}//Fin Clase
?>