<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_detalle_cartola_bancaria_BD_Fachada {

function &getListadoCont_detalle_cartola_bancaria_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	$query = expandir("GET_LISTADO_CONT_DETALLE_CARTOLA_BANCARIA_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_detalle_cartola_bancaria = $RecordSet -> Fields("id_detalle_cartola_bancaria");
		$id_cartola_bancaria = $RecordSet -> Fields("id_cartola_bancaria");
		$fecha_movimiento = $RecordSet -> Fields("fecha_movimiento");
		$numero_movimiento = $RecordSet -> Fields("numero_movimiento");
		$monto_movimiento = $RecordSet -> Fields("monto_movimiento");
		$descripcion_movimiento = $RecordSet -> Fields("descripcion_movimiento");
		$tipo_movimiento = $RecordSet -> Fields("tipo_movimiento");
		$estado_conciliacion = $RecordSet -> Fields("estado_conciliacion");
		$extra2 = $RecordSet -> Fields("extra2");
		$extra3 = $RecordSet -> Fields("extra3");
		
		$temp = new Cont_detalle_cartola_bancaria_BD ($id_cartola_bancaria, $fecha_movimiento, $numero_movimiento, $monto_movimiento, $descripcion_movimiento, $tipo_movimiento, $estado_conciliacion, $extra2, $extra3, $id_detalle_cartola_bancaria);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getCont_detalle_cartola_bancaria_BD($id_detalle_cartola_bancaria)
	{
		global $conn;
		$query = expandir("GET_CONT_DETALLE_CARTOLA_BANCARIA_BD",
		"id_detalle_cartola_bancaria", $id_detalle_cartola_bancaria
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_detalle_cartola_bancaria = $RecordSet -> Fields("id_detalle_cartola_bancaria");
	$id_cartola_bancaria = $RecordSet -> Fields("id_cartola_bancaria");
	$fecha_movimiento = $RecordSet -> Fields("fecha_movimiento");
	$numero_movimiento = $RecordSet -> Fields("numero_movimiento");
	$monto_movimiento = $RecordSet -> Fields("monto_movimiento");
	$descripcion_movimiento = $RecordSet -> Fields("descripcion_movimiento");
	$tipo_movimiento = $RecordSet -> Fields("tipo_movimiento");
	$estado_conciliacion = $RecordSet -> Fields("estado_conciliacion");
	$extra2 = $RecordSet -> Fields("extra2");
	$extra3 = $RecordSet -> Fields("extra3");
	
	
	$temp = new Cont_detalle_cartola_bancaria_BD ($id_cartola_bancaria, $fecha_movimiento, $numero_movimiento, $monto_movimiento, $descripcion_movimiento, $tipo_movimiento, $estado_conciliacion, $extra2, $extra3, $id_detalle_cartola_bancaria);
	return $temp;
	}
	
	
	function &guardarCont_detalle_cartola_bancaria_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CONT_DETALLE_CARTOLA_BANCARIA_BD",
		"fecha_movimiento", $objeto->get_fecha_movimiento(),
		"numero_movimiento", $objeto->get_numero_movimiento(),
		"monto_movimiento", $objeto->get_monto_movimiento(),
		"descripcion_movimiento", $objeto->get_descripcion_movimiento(),
		"tipo_movimiento", $objeto->get_tipo_movimiento(),
		"estado_conciliacion", $objeto->get_estado_conciliacion(),
		"extra2", $objeto->get_extra2(),
		"extra3", $objeto->get_extra3(),
		"id_cartola_bancaria", $objeto->get_id_cartola_bancaria());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCont_detalle_cartola_bancaria_BD(Cont_detalle_cartola_bancaria_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CONT_DETALLE_CARTOLA_BANCARIA_BD",
		"id_cartola_bancaria", $objeto->get_id_cartola_bancaria(),
		"fecha_movimiento", $objeto->get_fecha_movimiento(),
		"numero_movimiento", $objeto->get_numero_movimiento(),
		"monto_movimiento", $objeto->get_monto_movimiento(),
		"descripcion_movimiento", $objeto->get_descripcion_movimiento(),
		"tipo_movimiento", $objeto->get_tipo_movimiento(),
		"estado_conciliacion", $objeto->get_estado_conciliacion(),
		"extra2", $objeto->get_extra2(),
		"extra3", $objeto->get_extra3(),
		"id_detalle_cartola_bancaria", $objeto->get_id_detalle_cartola_bancaria());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCont_detalle_cartola_bancaria_BD($id_detalle_cartola_bancaria){
		global $conn;
		$query = expandir("ELIMINAR_CONT_DETALLE_CARTOLA_BANCARIA_BD",
		"id_detalle_cartola_bancaria", $id_detalle_cartola_bancaria
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCont_detalle_cartola_bancaria_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CONT_DETALLE_CARTOLA_BANCARIA_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
