<?

//------------------------------------------------------------------------------
//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_detalle_comprobante_BD_Fachada {

	function &getListadoCont_detalle_comprobante_BD($filtro,$extra)
	{
//		$extra["order"]='id_detalle_comprobante desc';		
		validar_tabla_db("Cont_detalle_comprobante");
		$extra_var = get_extra_var("CONT_DETALLE_COMPROBANTE");
		//debug($extra_var);
		$query = make_query("cont_detalle_comprobante", $filtro, $extra, $extra_var);
//		debug($query);
		$vector = exec_query($query);
		return $vector;
	}

	function &guardarCont_detalle_comprobante_BD($objeto){
		validar_tabla_db("Cont_detalle_comprobante");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		$query = expandir("GUARDAR_CONT_DETALLE_COMPROBANTE_BD",
		"id_detalle_comprobante_pago", $objeto->get_id_detalle_comprobante_pago(),
		"id_cuenta", $objeto->get_id_cuenta(),
		"id_cliente_proveedor", $objeto->get_id_cliente_proveedor(),
		"id_tipo_documento", $objeto->get_id_tipo_documento(),
		"id_documento", $objeto->get_id_documento(),
		"rut", $objeto->get_rut(),
		"descripcion", $objeto->get_descripcion(),
		"debe", $objeto->get_debe(),
		"haber", $objeto->get_haber(),
		"estado", $objeto->get_estado(),
		"tipo_comprobante", $objeto->get_tipo_comprobante(),
		"id_centro_costo", $objeto->get_id_centro_costo(),
		"id_banco", $objeto->get_id_banco(),
		"activo_fijo", $objeto->get_activo_fijo(),
		"producto_inventario", $objeto->get_producto_inventario(),
		"id_comprobante", $objeto->get_id_comprobante(),
		"id_cont_item_gasto", $objeto->get_id_cont_item_gasto(),
		"oth", $objeto->get_oth(),
		"nro_documento", $objeto->get_nro_documento(),
		"fecha_documento", $objeto->get_fecha_documento(),
		"tipo_documento_respaldo", $objeto->get_tipo_documento_respaldo()
		);
		
		//debug($query);

		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}

	function &actualizarCont_detalle_comprobante_BD(Cont_detalle_comprobante_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_CONT_DETALLE_COMPROBANTE_BD",
		"id_comprobante", $objeto->get_id_comprobante(),
		"id_detalle_comprobante_pago", $objeto->get_id_detalle_comprobante_pago(),
		"id_cuenta", $objeto->get_id_cuenta(),
		"id_cliente_proveedor", $objeto->get_id_cliente_proveedor(),
		"id_tipo_documento", $objeto->get_id_tipo_documento(),
		"id_documento", $objeto->get_id_documento(),
		"rut", $objeto->get_rut(),
		"descripcion", $objeto->get_descripcion(),
		"debe", $objeto->get_debe(),
		"haber", $objeto->get_haber(),
		"estado", $objeto->get_estado(),
		"tipo_comprobante", $objeto->get_tipo_comprobante(),
		"id_centro_costo", $objeto->get_id_centro_costo(),
		"id_banco", $objeto->get_id_banco(),
		"activo_fijo", $objeto->get_activo_fijo(),
		"producto_inventario", $objeto->get_producto_inventario(),
		"id_detalle_comprobante", $objeto->get_id_detalle_comprobante(),
		"id_cont_item_gasto", $objeto->get_id_cont_item_gasto(),
		"oth", $objeto->get_oth(),
		"nro_documento", $objeto->get_nro_documento(),
		"fecha_documento", $objeto->get_fecha_documento(),
		"tipo_documento_respaldo", $objeto->get_tipo_documento_respaldo());
		
		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &eliminarCont_detalle_comprobante_BD($id_detalle_comprobante){
		global $conn;
		$query = expandir("ELIMINAR_CONT_DETALLE_COMPROBANTE_BD",
		"id_detalle_comprobante", $id_detalle_comprobante
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &cantidadCont_detalle_comprobante_BD($filtro){
		validar_tabla_db("Cont_detalle_comprobante");
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		$query = expandir("GET_CANTIDAD_CONT_DETALLE_COMPROBANTE_BD",
		"where",$where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		return ($RecordSet->fields["CANTIDAD"]);
	}

	function getHistoricoDebeHaberPorCuenta_BD($id_cuenta,$id_empresa,$mes_proceso,$ao_proceso){
		global $conn;

		$query = expandir("GET_HISTORICO_DEBE_HABER_POR_CUENTA_BD", "id_cuenta", $id_cuenta, "id_empresa", $id_empresa, "mes_proceso", $mes_proceso, "ao_proceso", $ao_proceso);
		//debug($query);
		$conn->debug = CONN_DEBUG;
		$RecordSet = & $conn->Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$resultado[0] = $RecordSet->fields["DEBE"];
		$resultado[1] = $RecordSet->fields["HABER"];
		//debug($RecordSet);
		return $resultado;
	}

	function getDebeHaberPorCuenta_BD($id_cuenta,$id_centro_costo,$rut,$id_empresa,$mes_proceso_desde,$ao_proceso_desde,$mes_proceso_hasta,$ao_proceso_hasta){
		global $conn;
		if ($id_cuenta != "" && $rut == "" && $id_centro_costo == ""){
			//echo "hola";
			$query = expandir("GET_DEBE_HABER_POR_CUENTA_BD", "id_cuenta", $id_cuenta, "id_empresa", $id_empresa, "mes_proceso_desde", $mes_proceso_desde, "ao_proceso_desde", $ao_proceso_desde, "mes_proceso_hasta", $mes_proceso_hasta,"ao_proceso_hasta", $ao_proceso_hasta);
		}
		if ($id_cuenta == "" && $rut == "" && $id_centro_costo != "")
		$query = expandir("GET_DEBE_HABER_POR_CC_BD", "id_centro_costo", $id_centro_costo, "id_empresa", $id_empresa, "mes_proceso_desde", $mes_proceso_desde, "ao_proceso_desde", $ao_proceso_desde, "mes_proceso_hasta", $mes_proceso_hasta,"ao_proceso_hasta", $ao_proceso_hasta);
		if ($id_cuenta == "" && $rut != "" && $id_centro_costo == "")
		$query = expandir("GET_DEBE_HABER_POR_RUT", "rut", $rut, "id_empresa", $id_empresa, "mes_proceso_desde", $mes_proceso_desde, "ao_proceso_desde", $ao_proceso_desde, "mes_proceso_hasta", $mes_proceso_hasta,"ao_proceso_hasta", $ao_proceso_hasta);


		//debug($query);
		$conn->debug = CONN_DEBUG;
		$RecordSet = & $conn->Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$resultado[0] = $RecordSet->fields["DEBE"];
		$resultado[1] = $RecordSet->fields["HABER"];
		//debug($RecordSet);
		return $resultado;
	}

}//Fin Clase
?>
