<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_formulario29_BD_Fachada {

function &getListadoCont_formulario29_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	$query = expandir("GET_LISTADO_CONT_FORMULARIO29_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_form29 = $RecordSet -> Fields("id_form29");
		$id_empresa = $RecordSet -> Fields("id_empresa");
		$id_contador = $RecordSet -> Fields("id_contador");
		$fecha_proceso = $RecordSet -> Fields("fecha_proceso");
		$facturas_recibidas = $RecordSet -> Fields("facturas_recibidas");
		$facturas_emitidas = $RecordSet -> Fields("facturas_emitidas");
		$iva_debito_fiscal = $RecordSet -> Fields("iva_debito_fiscal");
		$iva_credito_fiscal = $RecordSet -> Fields("iva_credito_fiscal");
		$iva_determinado = $RecordSet -> Fields("iva_determinado");
		$ppm_correspondiente = $RecordSet -> Fields("ppm_correspondiente");
		$total_a_pagar = $RecordSet -> Fields("total_a_pagar");
		$remanente = $RecordSet -> Fields("remanente");
		$ppm_porcentaje = $RecordSet -> Fields("ppm_porcentaje");
		$retencion = $RecordSet -> Fields("retencion");
		$fecha_creacion = $RecordSet -> Fields("fecha_creacion");
		$impuesto_unico = $RecordSet -> Fields("impuesto_unico");
		$temp = new Cont_formulario29_BD ($id_empresa, $id_contador, $fecha_proceso, $facturas_recibidas, $facturas_emitidas, $iva_debito_fiscal, $iva_credito_fiscal, $iva_determinado, $ppm_correspondiente, $total_a_pagar, $remanente, $ppm_porcentaje, $retencion, $fecha_creacion, $impuesto_unico, $id_form29);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getCont_formulario29_BD($id_form29)
	{
		global $conn;
		$query = expandir("GET_CONT_FORMULARIO29_BD",
		"id_form29", $id_form29
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_form29 = $RecordSet -> Fields("id_form29");
	$id_empresa = $RecordSet -> Fields("id_empresa");
	$id_contador = $RecordSet -> Fields("id_contador");
	$fecha_proceso = $RecordSet -> Fields("fecha_proceso");
	$facturas_recibidas = $RecordSet -> Fields("facturas_recibidas");
	$facturas_emitidas = $RecordSet -> Fields("facturas_emitidas");
	$iva_debito_fiscal = $RecordSet -> Fields("iva_debito_fiscal");
	$iva_credito_fiscal = $RecordSet -> Fields("iva_credito_fiscal");
	$iva_determinado = $RecordSet -> Fields("iva_determinado");
	$ppm_correspondiente = $RecordSet -> Fields("ppm_correspondiente");
	$total_a_pagar = $RecordSet -> Fields("total_a_pagar");
	$remanente = $RecordSet -> Fields("remanente");
	$ppm_porcentaje = $RecordSet -> Fields("ppm_porcentaje");
	$retencion = $RecordSet -> Fields("retencion");
	$fecha_creacion = $RecordSet -> Fields("fecha_creacion");
	$impuesto_unico = $RecordSet -> Fields("impuesto_unico");
	$temp = new Cont_formulario29_BD ($id_empresa, $id_contador, $fecha_proceso, $facturas_recibidas, $facturas_emitidas, $iva_debito_fiscal, $iva_credito_fiscal, $iva_determinado, $ppm_correspondiente, $total_a_pagar, $remanente, $ppm_porcentaje, $retencion, $fecha_creacion, $impuesto_unico, $id_form29);

	return $temp;
	}
	
	
	function &guardarCont_formulario29_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CONT_FORMULARIO29_BD",
		"id_contador", $objeto->get_id_contador(),
		"fecha_proceso", $objeto->get_fecha_proceso(),
		"facturas_recibidas", $objeto->get_facturas_recibidas(),
		"facturas_emitidas", $objeto->get_facturas_emitidas(),
		"iva_debito_fiscal", $objeto->get_iva_debito_fiscal(),
		"iva_credito_fiscal", $objeto->get_iva_credito_fiscal(),
		"iva_determinado", $objeto->get_iva_determinado(),
		"ppm_correspondiente", $objeto->get_ppm_correspondiente(),
		"total_a_pagar", $objeto->get_total_a_pagar(),
		"remanente", $objeto->get_remanente(),
		"ppm_porcentaje", $objeto->get_ppm_porcentaje(),
		"retencion", $objeto->get_retencion(),
		"fecha_creacion", $objeto->get_fecha_creacion(),
		"impuesto_unico", $objeto->get_impuesto_unico(),
		"id_empresa", $objeto->get_id_empresa());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCont_formulario29_BD(Cont_formulario29_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CONT_FORMULARIO29_BD",
		"id_empresa", $objeto->get_id_empresa(),
		"id_contador", $objeto->get_id_contador(),
		"fecha_proceso", $objeto->get_fecha_proceso(),
		"facturas_recibidas", $objeto->get_facturas_recibidas(),
		"facturas_emitidas", $objeto->get_facturas_emitidas(),
		"iva_debito_fiscal", $objeto->get_iva_debito_fiscal(),
		"iva_credito_fiscal", $objeto->get_iva_credito_fiscal(),
		"iva_determinado", $objeto->get_iva_determinado(),
		"ppm_correspondiente", $objeto->get_ppm_correspondiente(),
		"total_a_pagar", $objeto->get_total_a_pagar(),
		"remanente", $objeto->get_remanente(),
		"ppm_porcentaje", $objeto->get_ppm_porcentaje(),
		"retencion", $objeto->get_retencion(),
		"fecha_creacion", $objeto->get_fecha_creacion(),
		"impuesto_unico", $objeto->get_impuesto_unico(),
		"id_form29", $objeto->get_id_form29());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCont_formulario29_BD($id_form29){
		global $conn;
		$query = expandir("ELIMINAR_CONT_FORMULARIO29_BD",
		"id_form29", $id_form29
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCont_formulario29_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CONT_FORMULARIO29_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
