<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Detalle_recepcion_traspaso_BD_Fachada {

function &getListadoDetalle_recepcion_traspaso_BD($filtro,$extra)
	{
		validar_tabla_db("Detalle_recepcion_traspaso");
		$extra_var = get_extra_var("DETALLE_RECEPCION_TRASPASO");
		$query = make_query("detalle_recepcion_traspaso", $filtro, $extra, $extra_var);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarDetalle_recepcion_traspaso_BD($objeto){
		validar_tabla_db("Detalle_recepcion_traspaso");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_DETALLE_RECEPCION_TRASPASO_BD",
		"id_detalle_traspaso", $objeto->get_id_detalle_traspaso(),
		"cantidad", $objeto->get_cantidad(),
		"extra1", $objeto->get_extra1(),
		"extra2", $objeto->get_extra2(),
		"id_recepcion_traspaso", $objeto->get_id_recepcion_traspaso());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarDetalle_recepcion_traspaso_BD(Detalle_recepcion_traspaso_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_DETALLE_RECEPCION_TRASPASO_BD",
		"id_recepcion_traspaso", $objeto->get_id_recepcion_traspaso(),
		"id_detalle_traspaso", $objeto->get_id_detalle_traspaso(),
		"cantidad", $objeto->get_cantidad(),
		"extra1", $objeto->get_extra1(),
		"extra2", $objeto->get_extra2(),
		"id_detalle_recepcion", $objeto->get_id_detalle_recepcion());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarDetalle_recepcion_traspaso_BD($id_detalle_recepcion){
		global $conn;
		$query = expandir("ELIMINAR_DETALLE_RECEPCION_TRASPASO_BD",
		"id_detalle_recepcion", $id_detalle_recepcion
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadDetalle_recepcion_traspaso_BD($filtro){
		validar_tabla_db("Detalle_recepcion_traspaso");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_DETALLE_RECEPCION_TRASPASO_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
