<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Detalle_solicitud_insumos_BD_Fachada {

function &getListadoDetalle_solicitud_insumos_BD($filtro,$extra)
	{
		validar_tabla_db("Detalle_solicitud_insumos");
		$extra_var = get_extra_var("DETALLE_SOLICITUD_INSUMOS");
		$query = make_query("detalle_solicitud_insumos", $filtro, $extra, $extra_var);
//		debug($query);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarDetalle_solicitud_insumos_BD($objeto){
		validar_tabla_db("Detalle_solicitud_insumos");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_DETALLE_SOLICITUD_INSUMOS_BD",
		"fecha_envio", $objeto->get_fecha_envio(),
		"fecha_recepcion", $objeto->get_fecha_recepcion(),
		"estado_envio", $objeto->get_estado_envio(),
		"fecha_oc", $objeto->get_fecha_oc(),
		"folio_oc", $objeto->get_folio_oc(),
		"id_usuario", $objeto->get_id_usuario(),
		"id_sobre", $objeto->get_id_sobre(),
		"id_vale_venta", $objeto->get_id_vale_venta(),
		"id_usuario_recepciona", $objeto->get_id_usuario_recepciona(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"observacion", $objeto->get_observacion(),
		"cumple_plazo", $objeto->get_cumple_plazo(),
		"id_solicitud_insumo", $objeto->get_id_solicitud_insumo());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarDetalle_solicitud_insumos_BD(Detalle_solicitud_insumos_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_DETALLE_SOLICITUD_INSUMOS_BD",
		"id_solicitud_insumo", $objeto->get_id_solicitud_insumo(),
		"fecha_envio", $objeto->get_fecha_envio(),
		"fecha_recepcion", $objeto->get_fecha_recepcion(),
		"estado_envio", $objeto->get_estado_envio(),
		"fecha_oc", $objeto->get_fecha_oc(),
		"folio_oc", $objeto->get_folio_oc(),
		"id_usuario", $objeto->get_id_usuario(),
		"id_sobre", $objeto->get_id_sobre(),
		"id_vale_venta", $objeto->get_id_vale_venta(),
		"id_usuario_recepciona", $objeto->get_id_usuario_recepciona(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"observacion", $objeto->get_observacion(),
		"cumple_plazo", $objeto->get_cumple_plazo(),
		"id_detalle_solicitud_insumo", $objeto->get_id_detalle_solicitud_insumo());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarDetalle_solicitud_insumos_BD($id_detalle_solicitud_insumo){
		global $conn;
		$query = expandir("ELIMINAR_DETALLE_SOLICITUD_INSUMOS_BD",
		"id_detalle_solicitud_insumo", $id_detalle_solicitud_insumo
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadDetalle_solicitud_insumos_BD($filtro){
		validar_tabla_db("Detalle_solicitud_insumos");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_DETALLE_SOLICITUD_INSUMOS_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
