<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Detalle_vale_venta_Fachada {

function &getListadoDetalle_vale_venta($filtro,$extra)
	{
		global $conn;
		

	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	
	
	}
	
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}

	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"];
	}
	
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"];
	}
	
	if ($extra["sort"]){
		$where .= $extra["sort"];
	}
	
	if ($extra["limit"]){
		if ($extra["desde"]){
			$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
		}else{
		$where .= " LIMIT ".$extra["limit"];
		}
	}else{
		if ($extra["desde"]){
			$where .= " LIMIT ".$extra["desde"].",0";
		}
	}
	
	if ($extra["query"]){
		$where = "";
		foreach ($filtro as $key => $item){
			if (!$item) $item = "%";
			$where .= "$key , '$item',";
		}
		
		$where = substr($where, 0,-1);

		$query = expandir($extra["query"],
			"descripcion", $filtro["descripcion"],
			"codigo_barra", $filtro["codigo_barra"],
			"fecha1", $filtro["fecha1"],
			"fecha2", $filtro["fecha2"],
			"nro_sobre", $filtro["nro_sobre"],
			"id_vale_venta", $filtro["id_vale_venta"],
			"limit", $filtro["limit"],
			"id_sucursal", $filtro["id_sucursal"]
		);
		//debug($query);
		
	}else{
		$query = expandir("GET_LISTADO_DETALLE_VALE_VENTA",
		"where",	$where
		);
	}
		

//	debug($query);
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_detalle_vale_venta = $RecordSet -> Fields("id_detalle_vale_venta");
		$id_vale_venta = $RecordSet -> Fields("id_vale_venta");
		$id_producto = $RecordSet -> Fields("id_producto");
		$cantidad = $RecordSet -> Fields("cantidad");
		$total = $RecordSet -> Fields("total");
		$descripcion = $RecordSet -> Fields("descripcion");
		$estado = $RecordSet -> Fields("estado");
		$extra1 = $RecordSet -> Fields("extra1");
		$extra2 = $RecordSet -> Fields("extra2");
		$extra3 = $RecordSet -> Fields("extra3");
		$extra4 = $RecordSet -> Fields("extra4");
		$extra5 = $RecordSet -> Fields("extra5");
		$cantidad_despachada = $RecordSet -> Fields("cantidad_despachada");
		$monto_descuento = $RecordSet -> Fields("monto_descuento");
		$costo = $RecordSet -> Fields("costo");
		$id_detalle_cotizacion = $RecordSet -> Fields("id_detalle_cotizacion");
		$id_guia_despacho = $RecordSet -> Fields("id_guia_despacho");
		

		$temp = new Detalle_vale_venta ($id_vale_venta, $id_producto, $cantidad, $total, $descripcion, $estado, $extra1, $extra2, $extra3, $extra4, $extra5, $cantidad_despachada, $monto_descuento, $costo, $id_detalle_cotizacion, $id_guia_despacho, $id_detalle_vale_venta);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getDetalle_vale_venta($id_detalle_vale_venta)
	{
		global $conn;
		$query = expandir("GET_DETALLE_VALE_VENTA",
		"id_detalle_vale_venta", $id_detalle_vale_venta
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_detalle_vale_venta = $RecordSet -> Fields("id_detalle_vale_venta");
	$id_vale_venta = $RecordSet -> Fields("id_vale_venta");
	$id_producto = $RecordSet -> Fields("id_producto");
	$cantidad = $RecordSet -> Fields("cantidad");
	$total = $RecordSet -> Fields("total");
	$descripcion = $RecordSet -> Fields("descripcion");
	$estado = $RecordSet -> Fields("estado");
	$extra1 = $RecordSet -> Fields("extra1");
	$extra2 = $RecordSet -> Fields("extra2");
	$extra3 = $RecordSet -> Fields("extra3");
	$extra4 = $RecordSet -> Fields("extra4");
	$extra5 = $RecordSet -> Fields("extra5");
	$cantidad_despachada = $RecordSet -> Fields("cantidad_despachada");
	$monto_descuento = $RecordSet -> Fields("monto_descuento");
	$costo = $RecordSet -> Fields("costo");
	$id_detalle_cotizacion = $RecordSet -> Fields("id_detalle_cotizacion");
	$id_guia_despacho = $RecordSet -> Fields("id_guia_despacho");


	$temp = new Detalle_vale_venta ($id_vale_venta, $id_producto, $cantidad, $total, $descripcion, $estado, $extra1, $extra2, $extra3, $extra4, $extra5, $cantidad_despachada, $monto_descuento, $costo, $id_detalle_cotizacion, $id_guia_despacho, $id_detalle_vale_venta);
	return $temp;
	}
	
	
	function &guardarDetalle_vale_venta($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_DETALLE_VALE_VENTA",
		"id_producto", $objeto->id_producto,
		"cantidad", $objeto->cantidad,
		"total", $objeto->total,
		"descripcion", $objeto->descripcion,
		"estado", $objeto->estado,
		"extra1", $objeto->extra1,
		"extra2", $objeto->extra2,
		"extra3", $objeto->extra3,
		"extra4", $objeto->extra4,
		"extra5", $objeto->extra5,
		"cantidad_despachada", $objeto->cantidad_despachada,
		"monto_descuento", $objeto->monto_descuento,
		"costo", $objeto->costo,
		"id_detalle_cotizacion", $objeto->id_detalle_cotizacion,
		"id_guia_despacho", $objeto->id_guia_despacho,
		"id_vale_venta", $objeto->id_vale_venta);
		
		$RecordSet = &$conn -> Execute($query);
//		debug($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return $conn->Insert_Id();
	
	
	}
	
	function &actualizarDetalle_vale_venta($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_DETALLE_VALE_VENTA",
		"id_vale_venta", $objeto->id_vale_venta,
		"id_producto", $objeto->id_producto,
		"cantidad", $objeto->cantidad,
		"total", $objeto->total,
		"descripcion", $objeto->descripcion,
		"estado", $objeto->estado,
		"extra1", $objeto->extra1,
		"extra2", $objeto->extra2,
		"extra3", $objeto->extra3,
		"extra4", $objeto->extra4,
		"extra5", $objeto->extra5,
		"cantidad_despachada", $objeto->cantidad_despachada,
		"monto_descuento", $objeto->monto_descuento,
		"costo", $objeto->costo,
		"id_detalle_cotizacion", $objeto->id_detalle_cotizacion,
		"id_guia_despacho", $objeto->id_guia_despacho,
		"id_detalle_vale_venta", $objeto->id_detalle_vale_venta);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarDetalle_vale_venta($id_detalle_vale_venta){
		global $conn;
		$query = expandir("ELIMINAR_DETALLE_VALE_VENTA",
		"id_detalle_vale_venta", $id_detalle_vale_venta
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	
	}//Fin Clase
?>
