<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Detalle_ventas_BD_Fachada {

function &getListadoDetalle_ventas_BD($filtro,$extra)
	{
		validar_tabla_db("Detalle_ventas");
		$extra_var = get_extra_var("DETALLE_VENTAS");
		$query = make_query("detalle_ventas", $filtro, $extra, $extra_var);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarDetalle_ventas_BD($objeto){
		validar_tabla_db("Detalle_ventas");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_DETALLE_VENTAS_BD",
		"precio_unitario", $objeto->get_precio_unitario(),
		"id_producto", $objeto->get_id_producto(),
		"id_bodega", $objeto->get_id_bodega(),
		"cantidad", $objeto->get_cantidad(),
		"total", $objeto->get_total(),
		"codigo_producto", $objeto->get_codigo_producto(),
		"estado", $objeto->get_estado(),
		"precio_costo", $objeto->get_precio_costo(),
		"margen_venta", $objeto->get_margen_venta(),
		"descuento_porc", $objeto->get_descuento_porc(),
		"descuento_monto", $objeto->get_descuento_monto(),
		"descripcion", $objeto->get_descripcion(),
		"NroLinDet", $objeto->get_NroLinDet(),
		"qbli", $objeto->get_qbli(),
		"id_venta", $objeto->get_id_venta());		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarDetalle_ventas_BD(Detalle_ventas_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_DETALLE_VENTAS_BD",
		"id_venta", $objeto->get_id_venta(),
		"precio_unitario", $objeto->get_precio_unitario(),
		"id_producto", $objeto->get_id_producto(),
		"id_bodega", $objeto->get_id_bodega(),
		"cantidad", $objeto->get_cantidad(),
		"total", $objeto->get_total(),
		"codigo_producto", $objeto->get_codigo_producto(),
		"estado", $objeto->get_estado(),
		"precio_costo", $objeto->get_precio_costo(),
		"margen_venta", $objeto->get_margen_venta(),
		"descuento_porc", $objeto->get_descuento_porc(),
		"descuento_monto", $objeto->get_descuento_monto(),
		"NroLinDet", $objeto->get_NroLinDet(),
		"descripcion", $objeto->get_descripcion(),
		"qbli", $objeto->get_qbli(),
		"id_detalle_venta", $objeto->get_id_detalle_venta());
	
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarDetalle_ventas_BD($id_detalle_venta){
		global $conn;
		$query = expandir("ELIMINAR_DETALLE_VENTAS_BD",
		"id_detalle_venta", $id_detalle_venta
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadDetalle_ventas_BD($filtro){
		validar_tabla_db("Detalle_ventas");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_DETALLE_VENTAS_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
