<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Guia_despacho_Fachada {
	
	function &getCantidadGuia_despacho($filtro){
			global $conn;

			if (!$filtro){
				$where = "";
			}else{
				$where = "AND ";
				$count = 0;
				foreach ($filtro as $key => $item)
				{
					$where .= "$key LIKE '$item'";
					if ($count < sizeof($filtro)-1)
						$where .= " AND ";
					$count++;
				}
			}

			$query = expandir("GET_CANTIDAD_GUIA_DESPACHO",
			"where",$where
			);

			$conn -> debug = CONN_DEBUG;
			$RecordSet = &$conn -> Execute($query);

			if ($RecordSet->_numOfRows == 0) {
				return false;
				exit;
			}
			
			return ($RecordSet->fields["CANTIDAD"]);	
		}
	
		
	function &getListadoGuia_despacho_filtro($filtro,$extra)
		{
			global $conn;
		
			if ($extra["sql"]){
				$where = $extra["sql"];
			}

			if (!$filtro){
				$where .= "";
			}else{
				if ($where <> "")
					$where .= " AND ";
				else
					$where .= " WHERE ";

				$count = 0;
				foreach ($filtro as $key => $item)
				{
					$where .= "$key LIKE '$item'";
					if ($count < sizeof($filtro)-1)
					$where .= " AND ";
					$count++;
				}
			}
			

			if ($extra["where"]){
				$where .= $extra["where"];
			}
		
			if ($extra["rango_fecha"]){
				$where .= $extra["rango_fecha"];
			}

			if ($extra["group"]){
				$where .= " GROUP BY ".$extra["group"]." ";
			}

			if ($extra["order"]){
				$where .= " ORDER BY ".$extra["order"]." ";
			}
			if ($extra["sort"]){
				$where .= " ".$extra["sort"]." ";
			}
			if (($extra["limit"])){
				if ($extra["desde"]){
					$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
				}else{
					$where .= " LIMIT ".$extra["limit"];
				}
			}else{
				if ($extra["desde"]){
					$where .= " LIMIT ".$extra["desde"].",0";
				}			
			}
	

			$query = expandir("GET_LISTADO_GUIA_DESPACHO_FILTRO",
			"where",$where
			);
		
			//debug($query);
			
			$conn -> debug = CONN_DEBUG;
			$RecordSet = &$conn -> Execute($query);
		
			if ($RecordSet->_numOfRows == 0) {		
				return false;
				exit;
			}
			
			$cont = 0;
		
			while (!$RecordSet -> EOF) {
				$id_guia_despacho = $RecordSet -> Fields("id_guia_despacho");
				$id_sucursal = $RecordSet -> Fields("id_sucursal");
				$id_cliente_proveedor = $RecordSet -> Fields("id_cliente_proveedor");
				$fecha_documento = $RecordSet -> Fields("fecha_documento");
				$fecha_anulacion = $RecordSet -> Fields("fecha_anulacion");
				$fecha_recepcion_completa = $RecordSet -> Fields("fecha_recepcion_completa");
				$fecha_ultima_modificacion = $RecordSet -> Fields("fecha_ultima_modificacion");
				$fecha_digitacion = $RecordSet -> Fields("fecha_digitacion");
				$atencion = $RecordSet -> Fields("atencion");
				$subtotal = $RecordSet -> Fields("subtotal");
				$total_dcto = $RecordSet -> Fields("total_dcto");
				$total_neto = $RecordSet -> Fields("total_neto");
				$total_exento = $RecordSet -> Fields("total_exento");
				$total_bruto = $RecordSet -> Fields("total_bruto");
				$iva = $RecordSet -> Fields("iva");
				$estado = $RecordSet -> Fields("estado");
				$numero_referencia = $RecordSet -> Fields("numero_referencia");
				$id_usuario = $RecordSet -> Fields("id_usuario");
				$observacion = $RecordSet -> Fields("observacion");
				$nro_guia = $RecordSet -> Fields("nro_guia");				
				$tipo = $RecordSet -> Fields("tipo");
				$clase = $RecordSet -> Fields("clase");
				$destino_traslado = $RecordSet -> Fields("destino_traslado");
				$comuna_destino = $RecordSet -> Fields("comuna_destino");
				$tipo_traslado = $RecordSet -> Fields("tipo_traslado");
				$rut_trasnporte = $RecordSet -> Fields("rut_trasnporte");
				$patente_camion = $RecordSet -> Fields("patente_camion");
				$facturar_a = $RecordSet -> Fields("facturar_a");
				$pago_cliente = $RecordSet -> Fields("pago_cliente");
				$condicion_venta = $RecordSet -> Fields("condicion_venta");
				$id_venta = $RecordSet -> Fields("id_venta");
				$archivo = $RecordSet -> Fields("archivo");
				$id_vendedor = $RecordSet -> Fields("id_vendedor");
				$glosa1 = $RecordSet -> Fields("glosa1");
				$glosa2 = $RecordSet -> Fields("glosa2");
							
				$temp = new Guia_despacho ($id_sucursal, $id_cliente_proveedor, $fecha_documento, $fecha_anulacion, $fecha_recepcion_completa, $fecha_ultima_modificacion, $fecha_digitacion, $atencion, $subtotal, $total_dcto, $total_neto, $total_exento, $total_bruto, $iva, $estado, $numero_referencia, $id_usuario, $observacion, $nro_guia, $tipo, $clase, $destino_traslado, $comuna_destino, $tipo_traslado, $rut_trasnporte, $patente_camion, $facturar_a, $pago_cliente, $condicion_venta, $id_venta, $archivo, $id_vendedor, $glosa1, $glosa2, $id_guia_despacho);
				$vector[$cont++] = $temp;
				$RecordSet -> MoveNext();
			}
			
			return $vector;
		}
	
	
		
function &getListadoGuia_despacho($id, $estado, $exclusive)
	{
		global $conn;
		
	if ($id == 0)	{$where = "";}
	else			{$where = "WHERE id_guia_despacho = '$id'";}
	
	
	
	if ($estado){
		if ($where == "")	$where = "WHERE ";
		else 				$where .= " AND ";
		
		if ($exclusive){
			$where .= "estado = '$estado'";
		}else{
			$where .= "estado >= '$estado'";
		}
		
		
	}
	
	
	
	$query = expandir("GET_LISTADO_GUIA_DESPACHO",
	"where",	$where
	);
	
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_guia_despacho = $RecordSet -> Fields("id_guia_despacho");
		$id_sucursal = $RecordSet -> Fields("id_sucursal");
		$id_cliente_proveedor = $RecordSet -> Fields("id_cliente_proveedor");
		$fecha_documento = $RecordSet -> Fields("fecha_documento");
		$fecha_anulacion = $RecordSet -> Fields("fecha_anulacion");
		$fecha_recepcion_completa = $RecordSet -> Fields("fecha_recepcion_completa");
		$fecha_ultima_modificacion = $RecordSet -> Fields("fecha_ultima_modificacion");
		$fecha_digitacion = $RecordSet -> Fields("fecha_digitacion");
		$atencion = $RecordSet -> Fields("atencion");
		$subtotal = $RecordSet -> Fields("subtotal");
		$total_dcto = $RecordSet -> Fields("total_dcto");
		$total_neto = $RecordSet -> Fields("total_neto");
		$total_exento = $RecordSet -> Fields("total_exento");
		$total_bruto = $RecordSet -> Fields("total_bruto");
		$iva = $RecordSet -> Fields("iva");
		$estado = $RecordSet -> Fields("estado");
		$numero_referencia = $RecordSet -> Fields("numero_referencia");
		$id_usuario = $RecordSet -> Fields("id_usuario");
		$observacion = $RecordSet -> Fields("observacion");
		$nro_guia = $RecordSet -> Fields("nro_guia");
		$tipo = $RecordSet -> Fields("tipo");
		$clase = $RecordSet -> Fields("clase");
		$destino_traslado = $RecordSet -> Fields("destino_traslado");
		$comuna_destino = $RecordSet -> Fields("comuna_destino");
		$tipo_traslado = $RecordSet -> Fields("tipo_traslado");
		$rut_trasnporte = $RecordSet -> Fields("rut_trasnporte");
		$patente_camion = $RecordSet -> Fields("patente_camion");
		$facturar_a = $RecordSet -> Fields("facturar_a");
		$pago_cliente = $RecordSet -> Fields("pago_cliente");
		$condicion_venta = $RecordSet -> Fields("condicion_venta");
		$id_venta = $RecordSet -> Fields("id_venta");
		$archivo = $RecordSet -> Fields("archivo");
		$id_vendedor = $RecordSet -> Fields("id_vendedor");
		$glosa1 = $RecordSet -> Fields("glosa1");
		$glosa2 = $RecordSet -> Fields("glosa2");

		$temp = new Guia_despacho ($id_sucursal, $id_cliente_proveedor, $fecha_documento, $fecha_anulacion, $fecha_recepcion_completa, $fecha_ultima_modificacion, $fecha_digitacion, $atencion, $subtotal, $total_dcto, $total_neto, $total_exento, $total_bruto, $iva, $estado, $numero_referencia, $id_usuario, $observacion, $nro_guia, $tipo, $clase, $destino_traslado, $comuna_destino, $tipo_traslado, $rut_trasnporte, $patente_camion, $facturar_a, $pago_cliente, $condicion_venta, $id_venta, $archivo, $id_vendedor, $glosa1, $glosa2, $id_guia_despacho);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getGuia_despacho($id_guia_despacho)
	{
		global $conn;
		$query = expandir("GET_GUIA_DESPACHO",
		"id_guia_despacho", $id_guia_despacho
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_guia_despacho = $RecordSet -> Fields("id_guia_despacho");
	$id_sucursal = $RecordSet -> Fields("id_sucursal");
	$id_cliente_proveedor = $RecordSet -> Fields("id_cliente_proveedor");
	$fecha_documento = $RecordSet -> Fields("fecha_documento");
	$fecha_anulacion = $RecordSet -> Fields("fecha_anulacion");
	$fecha_recepcion_completa = $RecordSet -> Fields("fecha_recepcion_completa");
	$fecha_ultima_modificacion = $RecordSet -> Fields("fecha_ultima_modificacion");
	$fecha_digitacion = $RecordSet -> Fields("fecha_digitacion");
	$atencion = $RecordSet -> Fields("atencion");
	$subtotal = $RecordSet -> Fields("subtotal");
	$total_dcto = $RecordSet -> Fields("total_dcto");
	$total_neto = $RecordSet -> Fields("total_neto");
	$total_exento = $RecordSet -> Fields("total_exento");
	$total_bruto = $RecordSet -> Fields("total_bruto");
	$iva = $RecordSet -> Fields("iva");
	$estado = $RecordSet -> Fields("estado");
	$numero_referencia = $RecordSet -> Fields("numero_referencia");
	$id_usuario = $RecordSet -> Fields("id_usuario");
	$observacion = $RecordSet -> Fields("observacion");
	$nro_guia = $RecordSet -> Fields("nro_guia");
	$tipo = $RecordSet -> Fields("tipo");
	$clase = $RecordSet -> Fields("clase");
	$destino_traslado = $RecordSet -> Fields("destino_traslado");
	$comuna_destino = $RecordSet -> Fields("comuna_destino");
	$tipo_traslado = $RecordSet -> Fields("tipo_traslado");
	$rut_trasnporte = $RecordSet -> Fields("rut_trasnporte");
	$patente_camion = $RecordSet -> Fields("patente_camion");
	$facturar_a = $RecordSet -> Fields("facturar_a");
	$condicion_venta = $RecordSet -> Fields("condicion_venta");
	$pago_cliente = $RecordSet -> Fields("pago_cliente");
	$id_venta = $RecordSet -> Fields("id_venta");
	$archivo = $RecordSet -> Fields("archivo");
	$glosa1 = $RecordSet -> Fields("glosa1");
	$glosa2 = $RecordSet -> Fields("glosa2");
	$id_vendedor = $RecordSet -> Fields("id_vendedor");
	


	$temp = new Guia_despacho ($id_sucursal, $id_cliente_proveedor, $fecha_documento, $fecha_anulacion, $fecha_recepcion_completa, $fecha_ultima_modificacion, $fecha_digitacion, $atencion, $subtotal, $total_dcto, $total_neto, $total_exento, $total_bruto, $iva, $estado, $numero_referencia, $id_usuario, $observacion, $nro_guia, $tipo, $clase, $destino_traslado, $comuna_destino, $tipo_traslado, $rut_trasnporte, $patente_camion, $facturar_a, $pago_cliente, $condicion_venta, $id_venta, $archivo, $id_vendedor, $glosa1, $glosa2, $id_guia_despacho);
	return $temp;
	}
	
	
	function &guardarGuia_despacho($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_GUIA_DESPACHO",
		"id_cliente_proveedor", $objeto->id_cliente_proveedor,
		"fecha_documento", $objeto->fecha_documento,
		"fecha_anulacion", $objeto->fecha_anulacion,
		"fecha_recepcion_completa", $objeto->fecha_recepcion_completa,
		"fecha_ultima_modificacion", $objeto->fecha_ultima_modificacion,
		"fecha_digitacion", $objeto->fecha_digitacion,
		"atencion", $objeto->atencion,
		"subtotal", $objeto->subtotal,
		"total_dcto", $objeto->total_dcto,
		"total_neto", $objeto->total_neto,
		"total_exento", $objeto->total_exento,
		"total_bruto", $objeto->total_bruto,
		"iva", $objeto->iva,
		"estado", $objeto->estado,
		"numero_referencia", $objeto->numero_referencia,
		"id_usuario", $objeto->id_usuario,
		"observacion", $objeto->observacion,
		"nro_guia", $objeto->nro_guia,
		"tipo", $objeto->tipo,
		"clase", $objeto->clase,
		"destino_traslado", $objeto->destino_traslado,
		"comuna_destino", $objeto->comuna_destino,
		"tipo_traslado", $objeto->tipo_traslado,
		"rut_trasnporte", $objeto->rut_trasnporte,
		"patente_camion", $objeto->patente_camion,
		"facturar_a", $objeto->facturar_a,
		"pago_cliente", $objeto->pago_cliente,
		"condicion_venta", $objeto->condicion_venta,
		"id_venta", $objeto->id_venta,
		"archivo", $objeto->archivo,
		"id_vendedor", $objeto->id_vendedor,
		"glosa1", $objeto->glosa1,
		"glosa2", $objeto->glosa2,
		"id_sucursal", $objeto->id_sucursal);
		
		$RecordSet = &$conn -> Execute($query);
		//debug($query);
		return $conn->Insert_Id();
	
	
	}
	
	function &actualizarGuia_despacho($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_GUIA_DESPACHO",
		"id_sucursal", $objeto->id_sucursal,
		"id_cliente_proveedor", $objeto->id_cliente_proveedor,
		"fecha_documento", $objeto->fecha_documento,
		"fecha_anulacion", $objeto->fecha_anulacion,
		"fecha_recepcion_completa", $objeto->fecha_recepcion_completa,
		"fecha_ultima_modificacion", $objeto->fecha_ultima_modificacion,
		"fecha_digitacion", $objeto->fecha_digitacion,
		"atencion", $objeto->atencion,
		"subtotal", $objeto->subtotal,
		"total_dcto", $objeto->total_dcto,
		"total_neto", $objeto->total_neto,
		"total_exento", $objeto->total_exento,
		"total_bruto", $objeto->total_bruto,
		"iva", $objeto->iva,
		"estado", $objeto->estado,
		"numero_referencia", $objeto->numero_referencia,
		"id_usuario", $objeto->id_usuario,
		"observacion", $objeto->observacion,
		"nro_guia", $objeto->nro_guia,
		"tipo", $objeto->tipo,
		"clase", $objeto->clase,
		"destino_traslado", $objeto->destino_traslado,
		"comuna_destino", $objeto->comuna_destino,
		"tipo_traslado", $objeto->tipo_traslado,
		"rut_trasnporte", $objeto->rut_trasnporte,
		"patente_camion", $objeto->patente_camion,
		"facturar_a", $objeto->facturar_a,
		"pago_cliente", $objeto->pago_cliente,
		"condicion_venta", $objeto->condicion_venta,
		"id_venta", $objeto->id_venta,
		"archivo", $objeto->archivo,
		"id_vendedor", $objeto->id_vendedor,
		"glosa1", $objeto->glosa1,
		"glosa2", $objeto->glosa2,
		"id_guia_despacho", $objeto->id_guia_despacho);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarGuia_despacho($id_guia_despacho){
		global $conn;
		$query = expandir("ELIMINAR_GUIA_DESPACHO",
		"id_guia_despacho", $id_guia_despacho
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	
	function &getpago_clienteGuia_despacho($id_guia_despacho){
		global $conn;
		$query = expandir("GET_pago_cliente_GUIA_DESPACHO",
		"id_guia_despacho", $id_guia_despacho
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		$pago_cliente = $RecordSet -> Fields("pago_cliente");
		return $pago_cliente;
		
	}
	
	function &getMontoGuia_despacho($id_guia_despacho){
		global $conn;
		$query = expandir("GET_MONTO_GUIA_DESPACHO",
		"id_guia_despacho", $id_guia_despacho
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet)
			$monto = $RecordSet -> Fields("monto");
		else
			$monto = 0;

		return $monto;
		
	}


	function &Monto_ArmazonesGuia_despacho($id_guia_despacho){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("MONTO_ARMAZONES_GUIA_DESPACHO",
		"id_guia_despacho", $id_guia_despacho);
		
		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet)
			$monto = $RecordSet -> Fields("monto_armazones");	
		else
			$monto = 0;

		return $monto;
	}

	function &Monto_CristalesGuia_despacho($id_guia_despacho){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("MONTO_CRISTALES_GUIA_DESPACHO",
		"id_guia_despacho", $id_guia_despacho);
		
		$RecordSet = &$conn -> Execute($query);
//				debug($query);
		if ($RecordSet)
			$monto = $RecordSet -> Fields("monto_cristales");	
		else
			$monto = 0;

		return $monto;
	}


	function &getCostoGuia_despacho($id_guia_despacho){
		global $conn;
		$query = expandir("GET_COSTO_GUIA_DESPACHO",
		"id_guia_despacho", $id_guia_despacho
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet)
			$costo = $RecordSet -> Fields("costo");
		else
			$costo = 0;

		return $costo;
		
	}

	}//Fin Clase
?>
