<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Impuesto_BD_Fachada {

function &getListadoImpuesto_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["order"]){
		$where .= "ORDER BY ".$extra["order"];
	}
	if ($extra["sort"]){
		$where .= $extra["sort"];
	}
	if ($extra["limit"]){
		$where .= "LIMIT ".$extra["limit"];
	}
	
	$query = expandir("GET_LISTADO_IMPUESTO_BD",
	"where",	$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_impuesto = $RecordSet -> Fields("id_impuesto");
		$nombre = $RecordSet -> Fields("nombre");
		$descripcion = $RecordSet -> Fields("descripcion");
		$porcentaje = $RecordSet -> Fields("porcentaje");
		$valor = $RecordSet -> Fields("valor");
		
		$temp = new Impuesto_BD ($nombre, $descripcion, $porcentaje, $valor, $id_impuesto);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getImpuesto_BD($id_impuesto)
	{
		global $conn;
		$query = expandir("GET_IMPUESTO_BD",
		"id_impuesto", $id_impuesto
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_impuesto = $RecordSet -> Fields("id_impuesto");
	$nombre = $RecordSet -> Fields("nombre");
	$descripcion = $RecordSet -> Fields("descripcion");
	$porcentaje = $RecordSet -> Fields("porcentaje");
	$valor = $RecordSet -> Fields("valor");
	
	
	$temp = new Impuesto_BD ($nombre, $descripcion, $porcentaje, $valor, $id_impuesto);
	return $temp;
	}
	
	
	function &guardarImpuesto_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_IMPUESTO_BD",
		"descripcion", $objeto->get_descripcion(),
		"porcentaje", $objeto->get_porcentaje(),
		"valor", $objeto->get_valor(),
		"nombre", $objeto->get_nombre());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarImpuesto_BD(Impuesto_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_IMPUESTO_BD",
		"nombre", $objeto->get_nombre(),
		"descripcion", $objeto->get_descripcion(),
		"porcentaje", $objeto->get_porcentaje(),
		"valor", $objeto->get_valor(),
		"id_impuesto", $objeto->get_id_impuesto());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarImpuesto_BD($id_impuesto){
		global $conn;
		$query = expandir("ELIMINAR_IMPUESTO_BD",
		"id_impuesto", $id_impuesto
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	
	}//Fin Clase
?>
