<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Impuesto_Fachada {

function &getListadoImpuesto($filtro,$extra)

	{
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	
	
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"];
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"];
	}
	if ($extra["limit"]){
		$where .= " LIMIT ".$extra["limit"];
	}
	
	$query = expandir("GET_LISTADO_IMPUESTO",
	"where",	$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_impuesto = $RecordSet -> Fields("id_impuesto");
		$nombre = $RecordSet -> Fields("nombre");
		$descripcion = $RecordSet -> Fields("descripcion");
		$porcentaje = $RecordSet -> Fields("porcentaje");
		$valor = $RecordSet -> Fields("valor");
		
		$temp = new Impuesto ($nombre, $descripcion, $porcentaje, $valor, $id_impuesto);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getImpuesto($id_impuesto)
	{
		global $conn;
		$query = expandir("GET_IMPUESTO",
		"id_impuesto", $id_impuesto
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_impuesto = $RecordSet -> Fields("id_impuesto");
	$nombre = $RecordSet -> Fields("nombre");
	$descripcion = $RecordSet -> Fields("descripcion");
	$porcentaje = $RecordSet -> Fields("porcentaje");
	$valor = $RecordSet -> Fields("valor");
	
	
	$temp = new Impuesto ($nombre, $descripcion, $porcentaje, $valor, $id_impuesto);
	return $temp;
	}
	
	
	function &guardarImpuesto($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_IMPUESTO",
		"descripcion", $objeto->descripcion,
		"porcentaje", $objeto->porcentaje,
		"valor", $objeto->valor,
		"nombre", $objeto->nombre);
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
		
		
	}
	
	function &actualizarImpuesto($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_IMPUESTO",
		"nombre", $objeto->nombre,
		"descripcion", $objeto->descripcion,
		"porcentaje", $objeto->porcentaje,
		"valor", $objeto->valor,
		"id_impuesto", $objeto->id_impuesto);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarImpuesto($id_impuesto){
		global $conn;
		$query = expandir("ELIMINAR_IMPUESTO",
		"id_impuesto", $id_impuesto
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	
	}//Fin Clase
?>
