<?

//------------------------------------------------------------------------------
//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Libro_compra_BD_Fachada {

	function &getListadoLibro_compra_BD($filtro,$extra)
	{
		$extra_libro_compra = $filtro["extra_libro_compra"];
				
		global $conn;

		$query = expandir("GET_LISTADO_LIBRO_COMPRA_BD",
		"extra_libro_compra",$extra_libro_compra
		);

		//debug($query);
		
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_documento = $RecordSet -> Fields("id_documento");
			$tipo_documento = $RecordSet -> Fields("tipo_documento");
			$id_proveedor = $RecordSet -> Fields("id_proveedor");
			$nombre_proveedor = $RecordSet -> Fields("nombre");
			$rut_proveedor = $RecordSet -> Fields("rut_proveedor");
			$numero_documento = $RecordSet -> Fields("numero_documento");
			$correlativo = $RecordSet -> Fields("correlativo");
			$folio = $RecordSet -> Fields("folio");
			$fecha_documento = $RecordSet -> Fields("fecha_documento");
			$total_exento = $RecordSet -> Fields("total_exento");
			$total_neto = $RecordSet -> Fields("total_neto");
			$total_iva = $RecordSet -> Fields("total_iva");
			$total_bruto = $RecordSet -> Fields("total_bruto");

			$temp = new Libro_compra_BD ($tipo_documento, $id_proveedor, $nombre_proveedor, $rut_proveedor, $numero_documento, $correlativo, $folio, $fecha_documento, $total_exento, $total_neto, $total_iva, $total_bruto, $id_documento);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getLibro_compra_BD($id_documento)
	{
		global $conn;
		$query = expandir("GET_LIBRO_COMPRA_BD",
		"id_documento", $id_documento
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_documento = $RecordSet -> Fields("id_documento");
		$tipo_documento = $RecordSet -> Fields("tipo_documento");
		$id_proveedor = $RecordSet -> Fields("id_proveedor");
		$nombre_proveedor = $RecordSet -> Fields("nombre_proveedor");
		$rut_proveedor = $RecordSet -> Fields("rut_proveedor");
		$numero_documento = $RecordSet -> Fields("numero_documento");
		$correlativo = $RecordSet -> Fields("correlativo");
		$folio = $RecordSet -> Fields("folio");
		$fecha_documento = $RecordSet -> Fields("fecha_documento");
		$total_exento = $RecordSet -> Fields("total_exento");
		$total_neto = $RecordSet -> Fields("total_neto");
		$total_iva = $RecordSet -> Fields("total_iva");
		$total_bruto = $RecordSet -> Fields("total_bruto");


		$temp = new Libro_compra_BD ($tipo_documento, $id_proveedor, $nombre_proveedor, $rut_proveedor, $numero_documento, $correlativo, $folio, $fecha_documento, $total_exento, $total_neto, $total_iva, $total_bruto, $id_documento);
		return $temp;
	}


	function &guardarLibro_compra_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_LIBRO_COMPRA_BD",
		"id_proveedor", $objeto->get_id_proveedor(),
		"nombre_proveedor", $objeto->get_nombre_proveedor(),
		"rut_proveedor", $objeto->get_rut_proveedor(),
		"numero_documento", $objeto->get_numero_documento(),
		"correlativo", $objeto->get_correlativo(),
		"folio", $objeto->get_folio(),
		"fecha_documento", $objeto->get_fecha_documento(),
		"total_exento", $objeto->get_total_exento(),
		"total_neto", $objeto->get_total_neto(),
		"total_iva", $objeto->get_total_iva(),
		"total_bruto", $objeto->get_total_bruto(),
		"tipo_documento", $objeto->get_tipo_documento());

		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}

	function &actualizarLibro_compra_BD(Libro_compra_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_LIBRO_COMPRA_BD",
		"tipo_documento", $objeto->get_tipo_documento(),
		"id_proveedor", $objeto->get_id_proveedor(),
		"nombre_proveedor", $objeto->get_nombre_proveedor(),
		"rut_proveedor", $objeto->get_rut_proveedor(),
		"numero_documento", $objeto->get_numero_documento(),
		"correlativo", $objeto->get_correlativo(),
		"folio", $objeto->get_folio(),
		"fecha_documento", $objeto->get_fecha_documento(),
		"total_exento", $objeto->get_total_exento(),
		"total_neto", $objeto->get_total_neto(),
		"total_iva", $objeto->get_total_iva(),
		"total_bruto", $objeto->get_total_bruto(),
		"id_documento", $objeto->get_id_documento());

		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &eliminarLibro_compra_BD($id_documento){
		global $conn;
		$query = expandir("ELIMINAR_LIBRO_COMPRA_BD",
		"id_documento", $id_documento
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &cantidadLibro_compra_BD($filtro){
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		$query = expandir("GET_CANTIDAD_LIBRO_COMPRA_BD",
		"where",$where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		return ($RecordSet->fields["CANTIDAD"]);
	}

}//Fin Clase
?>
