<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Produccion_extra_BD_Fachada {

function &getListadoProduccion_extra_BD($filtro,$extra)
	{
		validar_tabla_db("Produccion_extra");
		$extra_var = get_extra_var("PRODUCCION_EXTRA");
		$query = make_query("produccion_extra", $filtro, $extra, $extra_var);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarProduccion_extra_BD($objeto){
		validar_tabla_db("Produccion_extra");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_PRODUCCION_EXTRA_BD",
		"fecha", $objeto->get_fecha(),
		"cantidad", $objeto->get_cantidad(),
		"observacion", $objeto->get_observacion(),
		"nombre_tecnico", $objeto->get_nombre_tecnico(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"ex4", $objeto->get_ex4(),
		"ex5", $objeto->get_ex5(),
		"ex6", $objeto->get_ex6(),
		"ex7", $objeto->get_ex7(),
		"ex8", $objeto->get_ex8(),
		"ex9", $objeto->get_ex9(),
		"ex0", $objeto->get_ex0(),
		"id_tecnico", $objeto->get_id_tecnico());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarProduccion_extra_BD(Produccion_extra_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_PRODUCCION_EXTRA_BD",
		"id_tecnico", $objeto->get_id_tecnico(),
		"fecha", $objeto->get_fecha(),
		"cantidad", $objeto->get_cantidad(),
		"observacion", $objeto->get_observacion(),
		"nombre_tecnico", $objeto->get_nombre_tecnico(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"ex4", $objeto->get_ex4(),
		"ex5", $objeto->get_ex5(),
		"ex6", $objeto->get_ex6(),
		"ex7", $objeto->get_ex7(),
		"ex8", $objeto->get_ex8(),
		"ex9", $objeto->get_ex9(),
		"ex0", $objeto->get_ex0(),
		"id_produccion", $objeto->get_id_produccion());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarProduccion_extra_BD($id_produccion){
		global $conn;
		$query = expandir("ELIMINAR_PRODUCCION_EXTRA_BD",
		"id_produccion", $id_produccion
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadProduccion_extra_BD($filtro){
		validar_tabla_db("Produccion_extra");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_PRODUCCION_EXTRA_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
