<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Producto_Fachada {

function &getListadoProducto($filtro,$extra)

	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
		$where = "WHERE ";
	
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
		}
	}
	
	if ($extra["order"]){
		$where .= "ORDER BY ".$extra["order"];
	}
	if ($extra["sort"]){
		$where .= $extra["sort"];
	}
	
	if ($extra["limit"]){
		if ($extra["desde"]){
			$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
		}else{
			$where .= " LIMIT ".$extra["limit"];
		}
	}else{
		if ($extra["desde"]){
			$where .= " LIMIT ".$extra["desde"].",0";
		}
	}
		
	if ($extra["query"]){
		$query = expandir($extra["query"],
			"where", $where
		);
	}else{
		$query = expandir("GET_LISTADO_PRODUCTO",
			"where", $where
		);
	}
	
		//debug($query);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_producto = $RecordSet -> Fields("id_producto");
		$codigo_antiguo = $RecordSet -> Fields("codigo_antiguo");
		$codigo_barra = $RecordSet -> Fields("codigo_barra");
		$id_familia = $RecordSet -> Fields("id_familia");
		$id_subfamilia = $RecordSet -> Fields("id_subfamilia");
		$descripcion = $RecordSet -> Fields("descripcion");
		$id_unidad = $RecordSet -> Fields("id_unidad");
		$etiqueta = $RecordSet -> Fields("etiqueta");
		$estado = $RecordSet -> Fields("estado");
		$observacion = $RecordSet -> Fields("observacion");
		$precio = $RecordSet -> Fields("precio");
		$cristal = $RecordSet -> Fields("cristal");
		$descuento = $RecordSet -> Fields("descuento");
		
		$temp = new Producto ($codigo_antiguo, $codigo_barra, $id_familia, $id_subfamilia, $descripcion, $id_unidad, $etiqueta, $estado, $observacion, $precio, $cristal, $descuento, $id_producto);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getProducto($id, $campo="id")
	{
		global $conn;
		if (!$campo) $campo = "id";
		
		if ($campo == "id"){
			$where = "id_producto = $id";
			
			$query = expandir("GET_PRODUCTO",
			"where", $where
			);
		}
		
		if ($campo == "cb"){
			$where = "codigo_barra = '$id'";
			
			$query = expandir("GET_PRODUCTO",
			"where", $where
			);
		}
		
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
	
		$id_producto = $RecordSet -> Fields("id_producto");
		$codigo_antiguo = $RecordSet -> Fields("codigo_antiguo");
		$codigo_barra = $RecordSet -> Fields("codigo_barra");
		$id_familia = $RecordSet -> Fields("id_familia");
		$id_subfamilia = $RecordSet -> Fields("id_subfamilia");
		$descripcion = $RecordSet -> Fields("descripcion");
		$id_unidad = $RecordSet -> Fields("id_unidad");
		$etiqueta = $RecordSet -> Fields("etiqueta");
		$estado = $RecordSet -> Fields("estado");
		$observacion = $RecordSet -> Fields("observacion");
		$precio = $RecordSet -> Fields("precio");
		$cristal = $RecordSet -> Fields("cristal");
		$descuento = $RecordSet -> Fields("descuento");
		
		
		$temp = new Producto ($codigo_antiguo, $codigo_barra, $id_familia, $id_subfamilia, $descripcion, $id_unidad, $etiqueta, $estado, $observacion, $precio, $cristal, $descuento, $id_producto);
		return $temp;
	}
	
	
	function &guardarProducto($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_PRODUCTO",
		"codigo_barra", $objeto->codigo_barra,
		"id_familia", $objeto->id_familia,
		"id_subfamilia", $objeto->id_subfamilia,
		"descripcion", $objeto->descripcion,
		"id_unidad", $objeto->id_unidad,
		"etiqueta", $objeto->etiqueta,
		"estado", $objeto->estado,
		"observacion", $objeto->observacion,
		"precio", $objeto->precio,
		"cristal", $objeto->cristal,
		"descuento", $objeto->descuento,
		"codigo_antiguo", $objeto->codigo_antiguo);
		
		$RecordSet = &$conn -> Execute($query);
	
		return $conn->Insert_Id();	
	
	
	}
	
	function &actualizarProducto($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_PRODUCTO",
		"codigo_antiguo", $objeto->codigo_antiguo,
		"codigo_barra", $objeto->codigo_barra,
		"id_familia", $objeto->id_familia,
		"id_subfamilia", $objeto->id_subfamilia,
		"descripcion", $objeto->descripcion,
		"id_unidad", $objeto->id_unidad,
		"etiqueta", $objeto->etiqueta,
		"estado", $objeto->estado,
		"observacion", $objeto->observacion,
		"precio", $objeto->precio,
		"cristal", $objeto->cristal,
		"descuento", $objeto->descuento,
		"id_proveedor", $objeto->id_proveedor,
		"id_producto", $objeto->id_producto);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarProducto($id_producto){
		global $conn;
		$query = expandir("ELIMINAR_PRODUCTO",
		"id_producto", $id_producto
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}

	
	function &cantidadProducto($filtro){
	global $conn;
	
	if (!$filtro){
	$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
	$where .= "$key LIKE '$item'";
	if ($count < sizeof($filtro)-1)
	$where .= " AND ";
	$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_PRODUCTO_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
	return false;
	exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
