<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Subfamilia_Fachada {

function &getListadoSubfamilia($filtro,$extra)

	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	
	
	}
	
	if ($extra["order"]){
		$where .= "ORDER BY ".$extra["order"];
	}
	if ($extra["sort"]){
		$where .= $extra["sort"];
	}
	if ($extra["limit"]){
		$where .= "LIMIT ".$extra["limit"];
	}
	
	$query = expandir("GET_LISTADO_SUBFAMILIA",
	"where",	$where
	);
	
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_subfamilia = $RecordSet -> Fields("id_subfamilia");
		$id_familia = $RecordSet -> Fields("id_familia");
		$descripcion = $RecordSet -> Fields("descripcion");
		$estado = $RecordSet -> Fields("estado");
		$requiere_ot = $RecordSet -> Fields("requiere_ot");
		$es_cristal = $RecordSet -> Fields("es_cristal");
		$extra1 = $RecordSet -> Fields("extra1");
		$extra2 = $RecordSet -> Fields("extra2");
		$extra3 = $RecordSet -> Fields("extra3");
		
		$temp = new Subfamilia ($id_familia, $descripcion, $estado, $requiere_ot, $es_cristal, $extra1, $extra2, $extra3, $id_subfamilia);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getSubfamilia($id_subfamilia)
	{
		global $conn;
		$query = expandir("GET_SUBFAMILIA",
		"id_subfamilia", $id_subfamilia
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_subfamilia = $RecordSet -> Fields("id_subfamilia");
	$id_familia = $RecordSet -> Fields("id_familia");
	$descripcion = $RecordSet -> Fields("descripcion");
	$estado = $RecordSet -> Fields("estado");
	$requiere_ot = $RecordSet -> Fields("requiere_ot");
	$es_cristal = $RecordSet -> Fields("es_cristal");
	$extra1 = $RecordSet -> Fields("extra1");
	$extra2 = $RecordSet -> Fields("extra2");
	$extra3 = $RecordSet -> Fields("extra3");
	
	
	$temp = new Subfamilia ($id_familia, $descripcion, $estado, $requiere_ot, $es_cristal, $extra1, $extra2, $extra3, $id_subfamilia);
	return $temp;
	}
	
	
	function &guardarSubfamilia($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_SUBFAMILIA",
		"descripcion", $objeto->descripcion,
		"estado", $objeto->estado,
		"requiere_ot", $objeto->requiere_ot,
		"es_cristal", $objeto->es_cristal,
		"extra1", $objeto->extra1,
		"extra2", $objeto->extra2,
		"extra3", $objeto->extra3,
		"id_familia", $objeto->id_familia);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return $conn->Insert_Id();
	
	
	}
	
	function &actualizarSubfamilia($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_SUBFAMILIA",
		"id_familia", $objeto->id_familia,
		"descripcion", $objeto->descripcion,
		"estado", $objeto->estado,
		"requiere_ot", $objeto->requiere_ot,
		"es_cristal", $objeto->es_cristal,
		"extra1", $objeto->extra1,
		"extra2", $objeto->extra2,
		"extra3", $objeto->extra3,
		"id_subfamilia", $objeto->id_subfamilia);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarSubfamilia($id_subfamilia){
		global $conn;
		$query = expandir("ELIMINAR_SUBFAMILIA",
		"id_subfamilia", $id_subfamilia
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	
	}//Fin Clase
?>
