<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Sucursal_Fachada {

function &getListadoSucursal($filtro,$extra)
{
	global $conn;

	if (!$filtro){
		$where = "";
	}
	else
	{
		$where = "WHERE ";
		$count = 0;

		foreach ($filtro as $key => $item)
		{
			$where .= "$key LIKE '$item'";

			if ($count < sizeof($filtro)-1)
				$where .= " AND ";
			$count++;
		}
	}


	if ($extra["group"])
	{
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"])
	{
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	
	if ($extra["sort"])
	{
		$where .= " ".$extra["sort"]." ";
	}
	
	if ($extra["limit"])
	{
	
		if ($extra["desde"])
		{
			$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
		}
		else
		{
			$where .= " LIMIT ".$extra["limit"];
		}
	}
	else
	{
		if ($extra["desde"])
		{
			$where .= " LIMIT ".$extra["desde"].",0";
		}
	}
	
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	$query = expandir("GET_LISTADO_SUCURSAL",
	"where",$where
	);
	

	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_sucursal = $RecordSet -> Fields("id_sucursal");
		$rut = $RecordSet -> Fields("rut");
		$descripcion = $RecordSet -> Fields("descripcion");
		$direccion = $RecordSet -> Fields("direccion");
		$ciudad = $RecordSet -> Fields("ciudad");
		$telefono = $RecordSet -> Fields("telefono");
		$fax = $RecordSet -> Fields("fax");
		$email = $RecordSet -> Fields("email");
		$responsable = $RecordSet -> Fields("responsable");
		$estado = $RecordSet -> Fields("estado");
		$observacion = $RecordSet -> Fields("observacion");
		$id_bodega_ventas = $RecordSet -> Fields("id_bodega_ventas");
		$id_bodega_cristales = $RecordSet -> Fields("id_bodega_cristales");
		$clave = $RecordSet -> Fields("clave");
		$id_cuenta = $RecordSet -> Fields("id_cuenta");
		$ex5 = $RecordSet -> Fields("ex5");
		$ex6 = $RecordSet -> Fields("ex6");
		$codigo_integracion = $RecordSet -> Fields("codigo_integracion");
		

		$temp = new Sucursal ($rut, $descripcion, $direccion, $ciudad, $telefono, $fax, $email, $responsable, $estado, $observacion, $id_bodega_ventas, $id_bodega_cristales, $clave, $id_cuenta, $ex5, $ex6, $codigo_integracion, $id_sucursal);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getSucursal($id_sucursal)
	{
		global $conn;
		$query = expandir("GET_SUCURSAL",
		"id_sucursal", $id_sucursal
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_sucursal = $RecordSet -> Fields("id_sucursal");
	$rut = $RecordSet -> Fields("rut");
	$descripcion = $RecordSet -> Fields("descripcion");
	$direccion = $RecordSet -> Fields("direccion");
	$ciudad = $RecordSet -> Fields("ciudad");
	$telefono = $RecordSet -> Fields("telefono");
	$fax = $RecordSet -> Fields("fax");
	$email = $RecordSet -> Fields("email");
	$responsable = $RecordSet -> Fields("responsable");
	$estado = $RecordSet -> Fields("estado");
	$observacion = $RecordSet -> Fields("observacion");
	$id_bodega_ventas = $RecordSet -> Fields("id_bodega_ventas");
	$id_bodega_cristales = $RecordSet -> Fields("id_bodega_cristales");
	$clave = $RecordSet -> Fields("clave");
	$id_cuenta = $RecordSet -> Fields("id_cuenta");
	$ex5 = $RecordSet -> Fields("ex5");
	$ex6 = $RecordSet -> Fields("ex6");
	$codigo_integracion = $RecordSet -> Fields("codigo_integracion");
	
	$temp = new Sucursal ($rut, $descripcion, $direccion, $ciudad, $telefono, $fax, $email, $responsable, $estado, $observacion, $id_bodega_ventas, $id_bodega_cristales, $clave, $id_cuenta, $ex5, $ex6, $codigo_integracion, $id_sucursal);
	return $temp;
	}
	
	
	function &guardarSucursal($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_SUCURSAL",
		"descripcion", $objeto->descripcion,
		"direccion", $objeto->direccion,
		"ciudad", $objeto->ciudad,
		"telefono", $objeto->telefono,
		"fax", $objeto->fax,
		"email", $objeto->email,
		"responsable", $objeto->responsable,
		"estado", $objeto->estado,
		"observacion", $objeto->observacion,
		"rut", $objeto->rut,
		"id_bodega_ventas", $objeto->id_bodega_ventas,
		"id_bodega_cristales", $objeto->id_bodega_cristales,
		"clave", $objeto->clave,
		"id_cuenta", $objeto->id_cuenta,
		"ex5", $objeto->ex5,
		"codigo_integracion", $objeto->codigo_integracion,
		"ex6", $objeto->ex6
		);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return $conn->Insert_Id();
	
	
	}
	
	function &actualizarSucursal($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_SUCURSAL",
		"rut", $objeto->rut,
		"descripcion", $objeto->descripcion,
		"direccion", $objeto->direccion,
		"ciudad", $objeto->ciudad,
		"telefono", $objeto->telefono,
		"fax", $objeto->fax,
		"email", $objeto->email,
		"responsable", $objeto->responsable,
		"estado", $objeto->estado,
		"observacion", $objeto->observacion,
		"id_sucursal", $objeto->id_sucursal,
		"id_bodega_ventas", $objeto->id_bodega_ventas,
		"id_bodega_cristales", $objeto->id_bodega_cristales,
		"clave", $objeto->clave,
		"id_cuenta", $objeto->id_cuenta,
		"ex5", $objeto->ex5,
		"codigo_integracion", $objeto->codigo_integracion,
		"ex6", $objeto->ex6
		);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarSucursal($id_sucursal){
		global $conn;
		$query = expandir("ELIMINAR_SUCURSAL",
		"id_sucursal", $id_sucursal
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	
	}//Fin Clase
?>
