<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Ventas_BD_Fachada {

function &getListadoVentas_BD($filtro,$extra)
	{
		validar_tabla_db("Ventas");
		$extra_var = get_extra_var("VENTAS");
		$query = make_query("ventas", $filtro, $extra, $extra_var);
//		debug($query);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarVentas_BD($objeto){
		validar_tabla_db("Ventas");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_VENTAS_BD",
		"id_bodega", $objeto->get_id_bodega(),
		"id_cliente_proveedor", $objeto->get_id_cliente_proveedor(),
		"id_vendedor", $objeto->get_id_vendedor(),
		"tipo_documento_emitido", $objeto->get_tipo_documento_emitido(),
		"fecha", $objeto->get_fecha(),
		"estado", $objeto->get_estado(),
		"total", $objeto->get_total(),
		"iva", $objeto->get_iva(),
		"numero_venta", $objeto->get_numero_venta(),
		"TipoDespacho", $objeto->get_TipoDespacho(),
		"tipo", $objeto->get_tipo(),
		"subTotal", $objeto->get_subTotal(),
		"descuento", $objeto->get_descuento(),
		"chk_bodega", $objeto->get_chk_bodega(),
		"pago_cliente", $objeto->get_pago_cliente(),
		"observacion", $objeto->get_observacion(),
		"vuelto", $objeto->get_vuelto(),
		"cond_venta", $objeto->get_cond_venta(),
		"tipo_pago", $objeto->get_tipo_pago(),
		"IndTraslado", $objeto->get_IndTraslado(),
		"RUTTrans", $objeto->get_RUTTrans(),
		"RUTChofer", $objeto->get_RUTChofer(),
		"NombreChofer", $objeto->get_NombreChofer(),
		"DirDest", $objeto->get_DirDest(),
		"CmnaDest", $objeto->get_CmnaDest(),
		"CiudadDest", $objeto->get_CiudadDest(),
		"Patente", $objeto->get_Patente(),
		"chk_referencia", $objeto->get_chk_referencia(),
		"FchPago", $objeto->get_FchPago(),
		"GlosaPagos", $objeto->get_GlosaPagos(),
		"id_sub_centro_costo", $objeto->get_id_sub_centro_costo(),
		"id_sucursal", $objeto->get_id_sucursal());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarVentas_BD(Ventas_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_VENTAS_BD",
		"id_sucursal", $objeto->get_id_sucursal(),
		"id_bodega", $objeto->get_id_bodega(),
		"id_cliente_proveedor", $objeto->get_id_cliente_proveedor(),
		"id_vendedor", $objeto->get_id_vendedor(),
		"tipo_documento_emitido", $objeto->get_tipo_documento_emitido(),
		"fecha", $objeto->get_fecha(),
		"estado", $objeto->get_estado(),
		"total", $objeto->get_total(),
		"iva", $objeto->get_iva(),
		"numero_venta", $objeto->get_numero_venta(),
		"TipoDespacho", $objeto->get_TipoDespacho(),
		"tipo", $objeto->get_tipo(),
		"subTotal", $objeto->get_subTotal(),
		"descuento", $objeto->get_descuento(),
		"chk_bodega", $objeto->get_chk_bodega(),
		"pago_cliente", $objeto->get_pago_cliente(),
		"observacion", $objeto->get_observacion(),
		"vuelto", $objeto->get_vuelto(),
		"cond_venta", $objeto->get_cond_venta(),
		"tipo_pago", $objeto->get_tipo_pago(),
		"IndTraslado", $objeto->get_IndTraslado(),
		"RUTTrans", $objeto->get_RUTTrans(),
		"RUTChofer", $objeto->get_RUTChofer(),
		"NombreChofer", $objeto->get_NombreChofer(),
		"DirDest", $objeto->get_DirDest(),
		"CmnaDest", $objeto->get_CmnaDest(),
		"CiudadDest", $objeto->get_CiudadDest(),
		"Patente", $objeto->get_Patente(),
		"chk_referencia", $objeto->get_chk_referencia(),
		"FchPago", $objeto->get_FchPago(),
		"GlosaPagos", $objeto->get_GlosaPagos(),
		"id_sub_centro_costo", $objeto->get_id_sub_centro_costo(),
		"id_venta", $objeto->get_id_venta());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarVentas_BD($id_venta){
		global $conn;
		$query = expandir("ELIMINAR_VENTAS_BD",
		"id_venta", $id_venta
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadVentas_BD($filtro){
		validar_tabla_db("Ventas");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_VENTAS_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return ($RecordSet->fields["CANTIDAD"]);
	}
	

	function &getUtilidadVentas($id){
		global $conn;
		$query = expandir("GET_UTILIDAD_VENTAS_BD",
		"id_venta", $id
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		$utilidad = $RecordSet -> Fields("utilidad");
		return $utilidad;
		
	}


	
	}//Fin Clase
?>
