<?

//------------------------------------------------------------------------------
	//	QUERIES LIBRO_VENTA_BD
//------------------------------------------------------------------------------

$queries["GET_LISTADO_LIBRO_VENTA_BD"] = "
(
SELECT
cont_boleta_venta.id_boleta_venta as id_documento,
0 as tipo_documento,
'              ' as id_cliente,
'              ' as nombre_cliente,
'              ' as rut_cliente,
cont_boleta_venta.numero_boleta_desde_venta as numero_documento,
cont_boleta_venta.numero_boleta_desde_venta as desde_numero_boleta,
cont_boleta_venta.numero_boleta_hasta_venta as hasta_numero_boleta,
cont_boleta_venta.correlativo,
cont_boleta_venta.id_empresa,
cont_boleta_venta.fecha_emision as fecha_documento,
0 as exento,
cont_boleta_venta.total_neto as total_neto,
cont_boleta_venta.impuesto as total_iva,
cont_boleta_venta.total_bruto as total_bruto
FROM
cont_boleta_venta %union_1_sql%
)
UNION
(
SELECT
cont_documento_venta.id_documento_venta,
cont_documento_venta.tipo_documento,
cont_documento_venta.id_proveedor as id_cliente,
cont_cliente_proveedor.nombre as nombre_cliente,
cont_cliente_proveedor.rut as rut_cliente,
cont_documento_venta.numero_documento as numero_documento,
0 as desde_numero_boleta,
0 as hasta_numero_documento,
cont_documento_venta.correlativo,
cont_documento_venta.folio,
cont_documento_venta.fecha_documento as fecha_documento,
cont_documento_venta.total_exento,
cont_documento_venta.total_neto,
cont_documento_venta.total_iva,
cont_documento_venta.total_bruto
FROM
cont_documento_venta,
cont_cliente_proveedor
WHERE
cont_cliente_proveedor.id_cliente_proveedor = cont_documento_venta.id_proveedor %union_2_sql%
) ORDER BY correlativo
";

$queries["GET_LIBRO_VENTA_BD"] = "SELECT * FROM cont_libro_venta WHERE id_documento = '%id_documento%'";

$queries["GUARDAR_LIBRO_VENTA_BD"] = "INSERT into cont_libro_venta (nombre_cliente, rut_cliente, tipo_documento, numero_documento, desde_numero_boleta, hasta_numero_boleta, correlativo, folio, fecha_documento, exento, total_neto, total_iva, total_bruto, id_cliente) values ('%nombre_cliente%', '%rut_cliente%', '%tipo_documento%', '%numero_documento%', '%desde_numero_boleta%', '%hasta_numero_boleta%', '%correlativo%', '%folio%', '%fecha_documento%', '%exento%', '%total_neto%', '%total_iva%', '%total_bruto%', '%id_cliente%')";

$queries["ACTUALIZAR_LIBRO_VENTA_BD"] = "UPDATE cont_libro_venta SET nombre_cliente = '%nombre_cliente%', rut_cliente = '%rut_cliente%', tipo_documento = '%tipo_documento%', numero_documento = '%numero_documento%', desde_numero_boleta = '%desde_numero_boleta%', hasta_numero_boleta = '%hasta_numero_boleta%', correlativo = '%correlativo%', folio = '%folio%', fecha_documento = '%fecha_documento%', exento = '%exento%', total_neto = '%total_neto%', total_iva = '%total_iva%', total_bruto = '%total_bruto%', id_cliente = '%id_cliente%' WHERE id_documento = '%id_documento%'";

$queries["ELIMINAR_LIBRO_VENTA_BD"] = "DELETE FROM cont_libro_venta WHERE id_documento = '%id_documento%'";

$queries["GET_CANTIDAD_LIBRO_VENTA_BD"] = "SELECT DISTINCT COUNT(*)  AS `CANTIDAD` FROM cont_libro_venta %where%";

?>
