<?
//Funciones Smarty

// Fecha Creacin		: 01/09/2004
// Fecha Modificacin	: 01/09/2004 
// Uso: {formatFechaExtendida fecha=000000000000}

function format_numero2($params){
	
	
	$number = $params["nro"];	
	$decimals = "1";
	$decpoint= ".";
	$thousandsep=".";	
	
	return number_format($number, $decimals, $decpoint, $thousandsep);
} 
function printer_friendly($param){
	
	$url = $param["url"];
	$url = "javascript:PrintThisPage();";
	
	$tabla = "
	<table align=right border=0>
	<tr>
	<td align=right><img src='imagenes/imprimir.gif'></td>
	<td style=\"font-size:xx-small; \">
	<a href=$url>[ IMPRIMIR ESTA PAGINA ]</a>
	</td>
	</tr>
	</table>
	
	";
	 
	echo $tabla;
}

function format_fecha_sin_hora($params){

	$val = $params["fecha"];
	
	if (substr_count($val, "/") != 0){
		return $val;
	}
	
	$val =  str_replace("-", "", $val);

	if (!trim($val)) return "-";
	
	//debug($val);
	if ($val == "hoy") {
		$val = hoy();
	}
	
	$dia = substr($val, 6, 2);
	$mes = substr($val, 4, 2);
	$ao = substr($val, 0, 4);
	$hor = substr($val, 8, 2);
	$min = substr($val, 10, 2);
	
	//var_dump($mes, $ao, $hor, $min);
	
	if ($hor){
		$hora = "(".$hor.":".$min.")";
	}
	
	
	echo "$dia/$mes/$ao";
}
function format_fecha_extendida($params){
	$val = $params["fecha"];
	//debug($val);
	$dia = substr($val, 6, 2);
	$mes = substr($val, 4, 2);
	$ao = substr($val, 0, 4);
	$hor = substr($val, 8, 2);
	$min = substr($val, 10, 2);
	
	//var_dump($mes, $ao, $hor, $min);
	
	if ($hor){
		$hora = "(".$hor.":".$min.")";
	}
	
	switch ($mes)
	{
		case "01": $mes = "Enero";break;
		case "02": $mes = "Febrero";break;
		case "03": $mes = "Marzo";break;
		case "04": $mes = "Abril";break;
		case "05": $mes = "Mayo";break;
		case "06": $mes = "Junio";break;
		case "07": $mes = "Julio";break;
		case "08": $mes = "Agosto";break;
		case "09": $mes = "Septiembre";break;
		case "10": $mes = "Octubre";break;
		case "11": $mes = "Noviembre";break;
		case "12": $mes = "Diciembre";break;
	}
	
	echo "$dia de $mes de $ao";
}

// Fecha Creacin		: 01/09/2004
// Fecha Modificacin	: 01/09/2004 
// Uso: {formatFechaExtendida fecha=000000000000}

function up_first($param){
	
	$val = $param["string"];
	$val = strtolower($val);
	$val = ucwords($val);
	
	echo ($val);
}

function truncate($param){
	$string = $param["string"];
	$size 	= $param["size"];
	
	$string = substr ($string,0,$size);
	
	if ($size <= strlen($string))
		$string .= "...";
	
	echo $string;
}

function format_rut($param){
	$rut = $param["rut"];
	$rut = number_format($rut, 0, ',', '.').substr($rut,-2,2);
	if (strlen($rut) < 12)
		$rut = "0".$rut;
	echo $rut;
}

function get_anho($params)
{
	//debug($params);
	$ao = substr($params, 0, 4);
	$mes = substr($params, 4, 2);
	$dia = substr($params, 6, 2);
	return($ao);
}

function get_mes($params)
{
	//debug($params);
	$ao = substr($params, 0, 4);
	$mes = substr($params, 4, 2);
	$dia = substr($params, 6, 2);
	return($mes);
}

function format_fecha_hoy_new($params)
{
	$ao = substr($params, 0, 4);
	$mes = substr($params, 4, 2);
	$dia = substr($params, 6, 2);
	return($ao.$mes.$dia);
}

function get_nombre_mes($param)
{
	$numero_mes = $param["mes"];
	switch ($numero_mes){
		case "01" : echo ("Enero"); break;
		case "02" : echo ("Febrero"); break;
		case "03" : echo ("Marzo"); break;
		case "04" : echo ("Abril"); break;
		case "05" : echo ("Mayo"); break;
		case "06" : echo ("Junio"); break;
		case "07" : echo ("Julio"); break;
		case "08" : echo ("Agosto"); break;
		case "09" : echo ("Septiembre"); break;
		case "10" : echo ("Octubre"); break;
		case "11" : echo ("Noviembre"); break;
		case "12" : echo ("Diciembre"); break;
	}
}

function combobox_numberlist($param)
{
	$name	= $param["name"];
	$inicio = $param["inicio"];
	$final  = $param["final"];
	$step   = $param["step"];
	$id		= $param["id"];
	$first  = $param["first"];
	$onchange = $param["onchange"];

	$pos = strpos($first, "|");

	if (!$pos){
		$first_name = $first;
		$first_id 	= 0;
	}else{
		$first_name = substr($first,0,$pos);
		$first_id 	= substr($first,$pos+1);
	}
	
	echo "<select name=$name onChange=\"$onchange\">";

	if ($first){
		echo "<option value=" . $first_id . ">" . $first_name . "</option>";
	}
	
	if (!$step)
		$step = 1;

	$cant = $final - $inicio;
	
	for ($i=0; $i<=$cant; $i+=$step){
		
		$selected = "";
		if ($inicio == $id){$selected = " selected ";}
		$opt = "<option " . $selected . " value='" . $inicio . "'>" . $inicio . "</option>";
		$inicio += $step;
		echo $opt;
	}

	echo "</select>";		
}


function round_corner_ini($param){
	$style = ($param['style'])? $param['style']:'';
	$id = ($param['id'])? $param['id']:'';
	echo "<div id=\"$id\" style=\"$style\"><div id=\"xsnazzy\">
		  <b class=\"xtop\"><b class=\"xb1\"></b><b class=\"xb2\"></b><b class=\"xb3\"></b><b class=\"xb4\"></b></b>
		  <div class=\"xboxcontent\">
		  <table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" width=\"100%\" class=\"tabla_borde_redondeada\">
		  <tr><td>";
}
function round_corner_end(){
	echo "
		</td>
		</tr>
		</table>
		</div>
		<b class=\"xbottom\"><b class=\"xb4\"></b><b class=\"xb3\"></b><b class=\"xb2\"></b><b class=\"xb1\"></b></b>
		</div></div>";
}
function titulo_pagina($params){
	
	$titulo = ($params['titulo'])? $params['titulo'] : ".::Sistema de Gestion Empresarial::.";
	echo 
	 "<script type=\"text/javascript\">
	 	window.onload = function(){
	 		document.title = '$titulo';
	 	}
	 </script>";
}
function group_box_ini($params){
	$titulo = ($params['titulo'])? $params['titulo'] : "";
	$width = $params['width'];
	$bgcolor_label = ($params['bgcolor_label'])? $params['bgcolor_label'] : "#EFF7FF";
	echo "<div id=\"x_g_snazzy\" style=\"width:$width;\"><span style=\"position:relative;background-color:$bgcolor_label;color:black;top:3px;margin-left:15px;font-size:11px;padding-left:3px;padding-right:3px;\">$titulo</span>
		  <b class=\"x_g_top\"><b class=\"x_g_b1\"></b><b class=\"x_g_b2\"></b><b class=\"x_g_b3\"></b><b class=\"x_g_b4\"></b></b>
		  <div class=\"x_g_boxcontent\">";
}
function group_box_end($params){
	echo "</div>
		  <b class=\"x_g_bottom\"><b class=\"x_g_b4\"></b><b class=\"x_g_b3\"></b><b class=\"x_g_b2\"></b><b class=\"x_g_b1\"></b></b>
          </div>";
	
}
//Fin Funciones Smarty
?>
