<?

$old = getcwd();
$new = "../../../";
chdir($new);

include_once("validate_session.php");
$url = "../../../admin_session.php?i=modulos/contabilidad/compras/";

$operacion = checkGET("op","");
//debug($_SESSION);
$id_empresa_seleccionada = $_SESSION["id_empresa_seleccionada"];
$id_sucursal_seleccionada = $_SESSION["id_sucursal"];
$id_sucursal=$id_sucursal_seleccionada;
$empresa_seleccionada = ContEmpresa_getContEmpresa($id_empresa_seleccionada);
$id_plan_cuenta = $empresa_seleccionada->get_id_plan_cuenta();
//debug($id_plan_cuenta);
$clog_Boleta = new Controlador_Logico_Boleta();
$clog_cc = new Controlador_Logico_Cont_comprobante();
$clog_cp = new Controlador_Logico_Cliente_proveedor();
$clog_correlativo_libre = new Controlador_Logico_Correlativo_libre();
$mes_proceso = $_SESSION["mes_proceso"];
$ao_proceso = $_SESSION["ao_proceso"];
$numero_comprobante						= checkPOST("correlativo","");
$numero_documento						=checkPOST("numero_documento","");
$nro_documento      					=checkPOST("nro_documento","");
$rut									=checkPOST("solo_rut","");
$activo_fijo							=checkPOST("cod_act_fijo","");
$banco									=checkPOST("id_cont_banco","");		
$item_gasto								=checkPOST("id_item_gasto","");
$proveedor_detalle						=checkPOST("id_profesional","");

$oth									=checkPOST("cod_oth","");
$inventario								=checkPOST("inventario","");	
$fecha_documento2						=checkPOST("fecha_documento2","");	
$tipo_documento_r						=checkPOST("tipo_documento_respaldo","");
$fecha_comprobante						=checkPOST("fecha_comprobante","");
$tipo_documento_respaldo				=checkPOST("tipo_documento_respaldo","");	
switch ($operacion){
	//-------------------------------------------------- Guarda un Boleta en la DB
	case "add":

	//debug($_POST);

	$id_boleta = checkPOST("id_boleta", "");
	$id_profesional = checkPOST("id_profesional", "");
	$id_contribuyente = checkPOST("id_empresa", "");
	$id_item_gasto = checkPOST("id_item_gasto", "");
	$descripcion = checkPOST("descripcion_servicio","");
	$numero_boleta = checkPOST("numero_boleta", "");

	$mes 			= checkPOST("fe_Month","");
	$ao			= checkPOST("fe_Year","");
	$dia			= checkPOST("fe_Day");

	$dia = sprintf("%02d",$dia);

	//debug($dia);
	$fecha_emision = $ao.$mes.$dia;
	$fecha_documento = $fecha_emision; // Para Filtros de PRES (msk 06-08)

	//$fecha_emision = checkPOST("fecha_emision", "");
	$retencion	 = checkPOST("retencion", "");
	if ($fecha_emision != "")
		$fecha_emision = convertirFecha_fechabd($fecha_emision);
	else
		$fecha_emision = hoy();
	$fecha_creacion = $fecha_emision;
	$total_bruto = checkPOST("valor_servicio","");
//	$id_centro_costo = checkPOST("id_centro_costo","");
	$codigo_cuenta   = checkPOST("codigo_cuenta","310105"); // Honorarios ??? MSK 0509
	if($codigo_cuenta == "") $codigo_cuenta   = "31010500";
	
    //debug($codigo_cuenta);
	
	$filtro_cuenta["codigo"] = $codigo_cuenta;
	$filtro_cuenta["id_plan_cuenta"] = $id_plan_cuenta;
	$listado_cuenta = Cuenta_getListadoCuenta($filtro_cuenta);
	//debug($listado_cuenta);
	$cuenta = $listado_cuenta[0];
	$id_cuenta_gasto = $cuenta->get_id_cuenta();
	

	$correlativo = get_proximo_correlativo("boleta_honorario", $mes_proceso, $ao_proceso);
	//debug($correlativo);
	if ($correlativo == "0")
		$correlativo = 1;

    // VE HASTA QUE NIVEL DE CC LLEGO (MSK 0608)
	$id_centro_costo_1				= checkPOST("id_cc_hijo", 0);
	$id_centro_costo_2				= checkPOST("id_centro_costo_2", 0);
	$id_centro_costo_3 				= checkPOST("id_centro_costo", 0);
	$id_centro_costo_4 				= checkPOST("id_cc_padre", 0);
	if($id_centro_costo_1)
		$id_centro_costo 				= $id_centro_costo_1;
	else
		if($id_centro_costo_2)
			$id_centro_costo 				= $id_centro_costo_2;
	    else
			if($id_centro_costo_3)
				$id_centro_costo 				= $id_centro_costo_3;
			else
				$id_centro_costo 				= $id_centro_costo_4;

	$boleta_nuevo = new Boleta();
	$boleta_nuevo->set_id_boleta($id_boleta);
	$boleta_nuevo->set_correlativo($correlativo);
	$boleta_nuevo->set_id_profesional($id_profesional);
	$boleta_nuevo->set_id_contribuyente($id_contribuyente);
	$boleta_nuevo->set_descripcion($descripcion);
	$boleta_nuevo->set_id_centro_costo($id_centro_costo);
	$boleta_nuevo->set_id_item_gasto($id_cuenta_gasto);
	$boleta_nuevo->set_fecha_creacion($fecha_creacion);
	$boleta_nuevo->set_numero_boleta($numero_boleta);
	$boleta_nuevo->set_fecha_emision($fecha_emision);
	$boleta_nuevo->set_fecha_proceso($ao_proceso.$mes_proceso);
	$boleta_nuevo->set_total_bruto($total_bruto);
	$boleta_nuevo->set_id_sucursal($id_sucursal_seleccionada);
	$boleta_nuevo->set_impuesto(round($boleta_nuevo->get_total_bruto()*10/100));
	if($retencion=="si")
	{
		$boleta_nuevo->set_total_neto($boleta_nuevo->get_total_bruto()-$boleta_nuevo->get_impuesto());
		$boleta_nuevo->set_impuesto(round($boleta_nuevo->get_total_bruto()*10/100));
	}
	else
	{
		$boleta_nuevo->set_total_neto($boleta_nuevo->get_total_bruto());
		$boleta_nuevo->set_impuesto("0");
	}
	
	
	$id_boleta_nuevo = $clog_Boleta->guardarBoleta($boleta_nuevo);
	
	$boleta = $clog_Boleta->getBoleta($id_boleta_nuevo);
	
	$tipo 			= 6;
	$seccion 		= 3;
	$totales["2"]	= $boleta_nuevo->get_total_bruto();
	$totales["0"] 	= $boleta_nuevo->get_impuesto();
	$totales["1"] 	= $boleta_nuevo->get_total_neto();
	$fecha_proceso	= $ao_proceso.$mes_proceso;
	$profesional 	= $clog_cp->getCliente_proveedor($id_profesional);
	$lacuenta["id"]   = $id_cuenta_gasto;
	$lacuenta["asiento"] = 0; // 0 = Debe , 1 = Haber   
	$nombre 		= $profesional->get_nombre();
	$glosa 			= "Ingreso de boleta de honorarios N $numero_boleta de $nombre";
	//debug($totales["2"]);
//	$id_comprobante = $clog_cc->crear_comprobante_control($tipo,$seccion,$lacuenta,$id_centro_costo,$totales,$fecha_proceso,$glosa,$fecha_creacion,$id_sucursal_seleccionada);
		$int = 0;
		$clog_comportamiento_cuenta = new Controlador_Logico_Cont_comportamiento_cuenta();

		$clog_detalle_comprobante = new Controlador_Logico_Cont_detalle_comprobante();
		$clog_comprobante =new Controlador_Logico_Cont_comprobante();

		$id_empresa = $_SESSION["id_empresa_seleccionada"];

		$filtro_ultimo_numero["ano_proceso"] = substr($fecha_proceso, 0, 4);
		$filtro_ultimo_numero["tipo_comprobante"] = "4' or tipo_comprobante LIKE '5' or tipo_comprobante LIKE '6' or tipo_comprobante LIKE '7";

		$ultimo_numero = $clog_comprobante->getUltimo_NumeroCont_comprobante($filtro_ultimo_numero);


		$comprobante = new Cont_comprobante();
		$comprobante->set_id_empresa($id_empresa);
		$comprobante->set_fecha_proceso($fecha_proceso);
		$comprobante->set_descripcion($glosa);
		$comprobante->set_id_centro_costo($id_centro_costo);
		$comprobante->set_tipo_comprobante($tipo);
		$comprobante->set_numero($numero_comprobante);
		
		$comprobante->set_fecha_creacion($fecha_creacion);
		$comprobante->set_estado("2");
		$comprobante->set_mes_proceso(substr($fecha_proceso, 4, 2));
		$comprobante->set_ano_proceso(substr($fecha_proceso, 0, 4));
		$comprobante->set_id_sucursal($id_sucursal);
		$id_comprobante = $clog_comprobante->guardarCont_comprobante($comprobante);
		$_SESSION['ultimo_guardado']=$numero_comprobante;			
		$filtro_comportamiento["id_seccion"] = $seccion;
		$filtro_comportamiento["id_empresa"] = $id_empresa;
		$extra_comportamiento["order"] = "id_comportamiento_cuenta";
		$listado_comportamiento = $clog_comportamiento_cuenta->getListadoCont_comportamiento_cuenta($filtro_comportamiento, $extra_comportamiento);

		foreach ($listado_comportamiento as $comportamiento) {
			if ($totales[$int] > 0) {
				$id_cuenta = $comportamiento->get_id_cuenta();
				$detalle_comprobante = new Cont_detalle_comprobante();
				$detalle_comprobante->set_id_comprobante($id_comprobante);
				$detalle_comprobante->set_descripcion($glosa);
				$detalle_comprobante->set_tipo_comprobante($tipo);
				$detalle_comprobante->set_id_cuenta($id_cuenta);
				$filtro_cuenta="";
				$filtro_cuenta["id_cuenta"] = $id_cuenta;
				$listado_cuenta = Cuenta_getListadoCuenta($filtro_cuenta);
				$cuenta = $listado_cuenta[0];				
//				ingresa_detalle_cuenta($detalle_comprobante,$nro_documento,$rut,$activo_fijo,$banco,$tipo_documento_r,$proveedor_detalle,$id_centro_costo,$item_gasto,$oth,$fecha_documento2,$tipo_documento_respaldo);
				switch ($lacuenta["asiento"]) {
					case "0" :
						$detalle_comprobante->set_haber($totales[$int]);
					break;
					case "1" :
						$detalle_comprobante->set_debe($totales[$int]);
					break;
				}
				ingresa_detalle_confirmando_cuenta($cuenta,$detalle_comprobante,$nro_documento,$rut,$activo_fijo,$banco,$tipo_documento_r,$proveedor_detalle,$id_centro_costo,$item_gasto,$oth,$fecha_documento2,$tipo_documento_respaldo);				
				$clog_detalle_comprobante->guardarCont_detalle_comprobante($detalle_comprobante);
			}
			$int ++;
		}
		$detalle_comprobante = new Cont_detalle_comprobante();
		$detalle_comprobante->set_id_comprobante($id_comprobante);
		$detalle_comprobante->set_id_cliente_proveedor($proveedor_detalle);
		$detalle_comprobante->set_descripcion($glosa);
		$detalle_comprobante->set_tipo_comprobante($tipo);
		$detalle_comprobante->set_id_centro_costo($id_centro_costo);
		$detalle_comprobante->set_id_documento($id_boleta_nuevo);
		$detalle_comprobante->set_id_tipo_documento("12");
		$detalle_comprobante->set_id_cuenta($lacuenta["id"]);
		ingresa_detalle_cuenta($detalle_comprobante,$nro_documento,$rut,$activo_fijo,$banco,$tipo_documento_r,$proveedor_detalle,$id_centro_costo,$item_gasto,$oth,$fecha_documento2,$tipo_documento_respaldo);
		switch ($lacuenta["asiento"]) {
			case "0" :
				$detalle_comprobante->set_debe($totales[$int]);
				break;
			case "1" :
				$detalle_comprobante->set_haber($totales[$int]);
				break;
		}
		$int ++;

		$clog_detalle_comprobante->guardarCont_detalle_comprobante($detalle_comprobante);
		
	$boleta->set_id_comprobante($id_comprobante);
	
	$clog_Boleta->actualizarBoleta($boleta);


	// *************** ACTUALIZA PRESUPUESTO REAL PARA EL ITEM DE GASTO Y SU CC - MSK 0608 - *************
	//debug($id_cuenta);
	if($id_cuenta_gasto) {
		
		$clog_presupuesto = new Controlador_Logico_Cont_presupuesto();
		$clog_presupuesto_por_cc = new Controlador_Logico_Cont_presupuesto_por_centro_costo();
		$clog_presupuesto_por_ig = new Controlador_Logico_Presupuesto_por_item_gasto();

		$filtro_pig["id_item_gasto"] = $id_cuenta_gasto;

		// FILTRO POR CC INVOLUCRADO Y POR FECHA DEL DOCUMENTO
		$extra_pig["sql"] = " and id_presupuesto_por_centro_costo in (select id_presupuesto_por_centro_costo ".
								" from cont_presupuesto_por_centro_costo where id_centro_costo = $id_centro_costo) ".
								" and id_presupuesto_por_centro_costo in (select id_presupuesto_por_centro_costo ".
								" from cont_presupuesto_por_centro_costo where id_presupuesto in ".
								" (select id_presupuesto from cont_presupuesto where fecha_cierre >= $fecha_documento ".
								" and fecha_apertura <= $fecha_documento))";

		$listado_presupuesto_por_ig = $clog_presupuesto_por_ig->getListadoPresupuesto_por_item_gasto($filtro_pig, $extra_pig);
			
		//debug($listado_presupuesto_por_ig);
			
		$mes_gasto = intval(substr($fecha_documento,4,2));
		//debug($listado_presupuesto_por_ig);
		if($listado_presupuesto_por_ig) {
		  $id_presupuesto_por_centro_costo	= $listado_presupuesto_por_ig[0]->get_id_presupuesto_por_centro_costo();
			  
		  $presupuesto_por_centro_costo = new Cont_presupuesto_por_centro_costo();
		  $presupuesto_por_centro_costo = $clog_presupuesto_por_cc->getCont_presupuesto_por_centro_costo($id_presupuesto_por_centro_costo);
			  //debug($presupuesto_por_centro_costo);
			  
		  $id_presupuesto = $presupuesto_por_centro_costo->get_id_presupuesto();

		  $presupuesto = new Cont_presupuesto();
		  $presupuesto = $clog_presupuesto->getCont_presupuesto($id_presupuesto);

			  
		  switch($mes_gasto) {
		  case 1: $aux = $listado_presupuesto_por_ig[0]->get_ene_real();
		          $valor = $aux + $total_bruto;
				  $listado_presupuesto_por_ig[0]->set_ene_real($valor); 
				  break;
		  case 2: $aux = $listado_presupuesto_por_ig[0]->get_feb_real();
		          $valor = $aux + $total_bruto;
				  $listado_presupuesto_por_ig[0]->set_feb_real($valor); 
				  break;		  
		  case 3: $aux = $listado_presupuesto_por_ig[0]->get_mar_real();
		          $valor = $aux + $total_bruto;
				  $listado_presupuesto_por_ig[0]->set_mar_real($valor); 
				  break;		  
		  case 4: $aux = $listado_presupuesto_por_ig[0]->get_abr_real();
		          $valor = $aux + $total_bruto;
				  $listado_presupuesto_por_ig[0]->set_abr_real($valor); 
				  break;		  
		  case 5: $aux = $listado_presupuesto_por_ig[0]->get_may_real();
		          $valor = $aux + $total_bruto;
				  $listado_presupuesto_por_ig[0]->set_may_real($valor); 
				  break;		  
		  case 6: $aux = $listado_presupuesto_por_ig[0]->get_jun_real();
		          $valor = $aux + $total_bruto;
				  $listado_presupuesto_por_ig[0]->set_jun_real($valor); 
				  break;		  
		  case 7: $aux = $listado_presupuesto_por_ig[0]->get_jul_real();
		          $valor = $aux + $total_bruto;
				  $listado_presupuesto_por_ig[0]->set_jul_real($valor); 
				  break;		  
		  case 8: $aux = $listado_presupuesto_por_ig[0]->get_ago_real();
		          $valor = $aux + $total_bruto;
				  $listado_presupuesto_por_ig[0]->set_ago_real($valor); 
				  break;		  
		  case 9: $aux = $listado_presupuesto_por_ig[0]->get_sep_real();
		          $valor = $aux + $total_bruto;
				  $listado_presupuesto_por_ig[0]->set_sep_real($valor); 
				  break;		  
		  case 10: $aux = $listado_presupuesto_por_ig[0]->get_oct_real();
		          $valor = $aux + $total_bruto;
				  $listado_presupuesto_por_ig[0]->set_oct_real($valor); 
				  break;		  
		  case 11: $aux = $listado_presupuesto_por_ig[0]->get_nov_real();
		          $valor = $aux + $total_bruto;
				  $listado_presupuesto_por_ig[0]->set_nov_real($valor); 
				  break;		  
		  case 12: $aux = $listado_presupuesto_por_ig[0]->get_dic_real();
		          $valor = $aux + $total_bruto;
				  $listado_presupuesto_por_ig[0]->set_dic_real($valor); 
				  break;		  
			
		  } // End Switch
			
		  $clog_presupuesto_por_ig->actualizarPresupuesto_por_item_gasto($listado_presupuesto_por_ig[0]);

		  // ACTUALIZA VALORES DEL PRESUPUESTO_POR_CC

		  $filtro_ig["id_presupuesto_por_centro_costo"] = $id_presupuesto_por_centro_costo;
		  $total_real = $clog_presupuesto_por_ig->getTotalReal_Presupuesto_por_item_gasto($filtro_ig);
		
		  $presupuesto_por_centro_costo->set_valor_real($total_real);
		
		  //debug($presupuesto_por_centro_costo);
		
		  $clog_presupuesto_por_cc->actualizarCont_presupuesto_por_centro_costo($presupuesto_por_centro_costo);

		  // ACTUALIZA VALORES DEL PRESUPUESTO GLOBAL

		  $filtro_cc["id_presupuesto"] = $id_presupuesto;
		  $listado_pres_cc = $clog_presupuesto_por_cc->getListadoCont_presupuesto_por_centro_costo($filtro_cc);

		  //debug($listado_pres_cc);
		
		  $total_presupuestado = 0;
		  $total_real  = 0;
		  foreach($listado_pres_cc as $item) {
			$total_real += $item->get_valor_real();
		  }

		  $presupuesto->set_total_real($total_real);
		  //debug($presupuesto);
		
		  $clog_presupuesto->actualizarCont_presupuesto($presupuesto);
	   
	    } // Endif
	} // Endif Cuenta
	// *******************   FIN PROCESO DE ACT PRESUPUESTOS REALES *************************************************



	$url .= "mantenedor_boleta";

	header("Location: $url");
	break;
	//-------------------------------------------------- Guarda un Boleta en la DB
	case "del":
	//debug($_GET);

	$id_boleta = checkGET("id_boleta", 0, "num");
	$boleta = $clog_Boleta->getBoleta($id_boleta);
	
	
	$correlativo_libre = new Correlativo_libre();
	$correlativo_libre->set_correlativo($boleta->get_correlativo());
	$correlativo_libre->set_tipo_documento("boleta_honorario");
	$correlativo_libre->set_mes_proceso($mes_proceso);
	$correlativo_libre->set_ano_proceso($ao_proceso);
	$correlativo_libre->set_id_empresa($id_empresa_seleccionada);
	
	// SE BUSCA EL CORRELATIVO PARA COMPROBAR EXISTENCIA
	$filtro_clibre["correlativo"] = $boleta->get_correlativo();
	$filtro_clibre["tipo_documento"] = "boleta_honorario";
	$listado_correlativo_libre = $clog_correlativo_libre->getListadoCorrelativo_libre($filtro_clibre);
	
	if (!$listado_correlativo_libre[0]){
		$clog_correlativo_libre->guardarCorrelativo_libre($correlativo_libre);
	}

	if ($boleta->get_id_comprobante()) {
		$clog_comprobante = new Controlador_Logico_Cont_comprobante();
		$comprobante = $clog_comprobante->getCont_comprobante($boleta->get_id_comprobante());
		if ($comprobante)
			$clog_comprobante->eliminarCont_comprobante($comprobante->get_id_comprobante());
	}
	
	
	$clog_Boleta->eliminarBoleta($id_boleta);
	$url .= "mantenedor_boleta";
	header("Location: $url");
	break;


	//-------------------------------------------------- Modifica un Boleta en la DB
	case "mod":

	//debug($_POST);

	$id_boleta = checkPOST("id_boleta", "");
	$id_profesional = checkPOST("id_profesional", "");
	$id_contribuyente = checkPOST("id_empresa", "");
	$id_item_gasto = checkPOST("id_item_gasto", "");
	$descripcion = checkPOST("descripcion_servicio","");
	$numero_boleta = checkPOST("numero_boleta", "");
	$fecha_emision = checkPOST("fecha_emision", "");
	if ($fecha_emision != "")
		$fecha_emision = convertirFecha_fechabd($fecha_emision);
	else
		$fecha_emision = hoy();
	$fecha_creacion = $fecha_emision;
	$total_bruto = checkPOST("valor_servicio","");
	$id_centro_costo = checkPOST("id_centro_costo","");
	$codigo_cuenta   = checkPOST("codigo_cuenta","");
	
	$filtro_cuenta["codigo"] = $codigo_cuenta;
	$filtro_cuenta["id_plan_cuenta"] = $id_plan_cuenta;
	$listado_cuenta = Cuenta_getListadoCuenta($filtro_cuenta);
	$cuenta = $listado_cuenta[0];
	$id_cuenta = $cuenta->get_id_cuenta();

	$boleta_mod = $clog_Boleta->getBoleta($id_boleta);
	$boleta_mod->set_id_boleta($id_boleta);
	$boleta_mod->set_id_profesional($id_profesional);
	$boleta_mod->set_id_contribuyente($id_contribuyente);
	$boleta_mod->set_descripcion($descripcion);
	$boleta_mod->set_id_centro_costo($id_centro_costo);
	$boleta_mod->set_id_item_gasto($id_cuenta);
	$boleta_mod->set_numero_boleta($numero_boleta);
	$boleta_mod->set_fecha_creacion($fecha_creacion);
	$boleta_mod->set_fecha_emision($fecha_emision);
	$boleta_mod->set_fecha_proceso($ao_proceso.$mes_proceso);
	
	$boleta_mod->set_total_bruto($total_bruto);
	$boleta_mod->set_impuesto($boleta_mod->get_total_bruto()*10/100);
	$old_neto = $boleta_mod->get_total_neto();
	$boleta_mod->set_total_neto($boleta_mod->get_total_bruto()- $boleta_mod->get_impuesto());
	$boleta_mod->set_total_saldos($boleta_mod->get_total_neto() - $old_neto + $boleta_mod->get_total_saldos());
	
	$tipo 			= 6;
	$seccion 		= 3;
	$totales["0"]	= $boleta_mod->get_total_bruto();
	$totales["1"] 	= $boleta_mod->get_impuesto();
	$totales["2"] 	= $boleta_mod->get_total_neto();
	$profesional 	= $clog_cp->getCliente_proveedor($id_profesional);
	$lacuenta["id"]   = $id_cuenta;
	$lacuenta["asiento"] = 0; // 0 = Debe , 1 = Haber   
	$nombre 		= $profesional->get_nombre();
	$glosa 			= "Ingreso de boleta de honorarios N $numero_boleta de $nombre";
	//debug($totales["2"]);
	$clog_cc->modificar_comprobante_control($boleta_mod->get_id_comprobante(),$seccion,$lacuenta,$id_centro_costo,$totales,$glosa,$fecha_creacion);

	$clog_Boleta->actualizarBoleta($boleta_mod);
	
		$url .= "mantenedor_boleta&id_boleta=".$boleta_mod->get_id_boleta();
	header("Location: $url");

	break;
}

?>

