<?

$old = getcwd();
$new = "../../";
chdir($new);

include_once("validate_session.php");
$url = "../../admin_session.php?i=modulos/compras/";

$operacion = checkGET("op","");
//debug($_POST);

$clog_Boleta_detalle = new Controlador_Logico_Boleta_detalle();
$clog_Boleta = new Controlador_Logico_Boleta();

switch ($operacion){
	//-------------------------------------------------- Guarda un Boleta_detalle en la DB
	case "add":

	//debug($_POST);

	$id_boleta = checkPOST("id_boleta", "");
	$id_boleta_detalle = checkPOST("id_boleta_detalle", "");
	$codigo_centro_costo = checkPOST("codigo_centro_costo", "");
	$id_item_gasto = checkPOST("id_item_gasto", "");
	$valor_servicio = checkPOST("valor_servicio", "");
	$descripcion_servicio = checkPOST("descripcion_servicio", "");
	$guardar_mas = checkPOST("guardar_mas","");

	$boleta_detalle_nuevo = new Boleta_detalle();
	$boleta_detalle_nuevo->set_id_boleta($id_boleta);
	$boleta_detalle_nuevo->set_id_boleta_detalle($id_boleta_detalle);

	if ($codigo_centro_costo && $id_item_gasto)
	{
		$filtro_centro_costo["codigo"] = $codigo_centro_costo;
		$listado_centro_costo = Sub_centro_costo_getListadoSub_centro_costo($filtro_centro_costo);
		$centro_costo = $listado_centro_costo[0];

		$id_centro_costo = $centro_costo->id_sub_centro_costo;

		$boleta_detalle_nuevo->set_id_centro_costo($id_centro_costo);
		$boleta_detalle_nuevo->set_id_item_gasto($id_item_gasto);
	}


	$boleta_detalle_nuevo->set_valor_servicio($valor_servicio);
	$boleta_detalle_nuevo->set_descripcion_servicio($descripcion_servicio);


	$id_boleta_detalle_nuevo = $clog_Boleta_detalle->guardarBoleta_detalle($boleta_detalle_nuevo);
	
	$boleta = $clog_Boleta->getBoleta($id_boleta);
	$boleta->set_total_neto($boleta->get_total_neto()+$boleta_detalle_nuevo->get_valor_servicio());
	$boleta->set_impuesto($boleta->get_total_neto()*10/100);
	$boleta->set_total_bruto($boleta->get_total_neto()-$boleta->get_impuesto());

	$clog_Boleta->actualizarBoleta($boleta);
	
	switch ($guardar_mas) {
		case "si":
		$url .= "mantenedor_boleta_detalle&id_boleta_detalle=$id_boleta_detalle_nuevo&op=add&id_boleta=$id_boleta";
		break;

		case "no":
		$url .= "mantenedor_boleta_detalle&id_boleta=$id_boleta";
		break;
	}


	header("Location: $url");
	break;


	//-------------------------------------------------- Guarda un Boleta_detalle en la DB
	case "del":
	//debug($_GET);
	$id_boleta = checkGET("id_boleta", 0, "num");
	$id_boleta_detalle = checkGET("id_boleta_detalle", 0, "num");
	$boleta_detalle = $clog_Boleta_detalle->getBoleta_detalle($id_boleta_detalle);
	
	$boleta = $clog_Boleta->getBoleta($id_boleta);
	$boleta->set_total_neto($boleta->get_total_neto()-$boleta_detalle->get_valor_servicio());
	$boleta->set_impuesto($boleta->get_total_neto()*10/100);
	$boleta->set_total_bruto($boleta->get_total_neto()-$boleta->get_impuesto());
	
	$clog_Boleta_detalle->eliminarBoleta_detalle($id_boleta_detalle);
	$clog_Boleta->actualizarBoleta($boleta);
	$url .= "mantenedor_boleta_detalle&id_boleta=$id_boleta";
	header("Location: $url");
	break;


	//-------------------------------------------------- Modifica un Boleta_detalle en la DB
	case "mod":

	//debug($_POST);
	$id_boleta_detalle	 = checkPOST("id_boleta_detalle", 0);
	$id_boleta			 = checkPOST("id_boleta", 0, "num");
	$codigo_centro_costo = checkPOST("codigo_centro_costo", "");
	$id_item_gasto 		 = checkPOST("id_item_gasto", "");
	
	$boleta_detalle_mod = $clog_Boleta_detalle->getBoleta_detalle($id_boleta_detalle);

	$boleta_detalle_mod->set_id_boleta(checkPOST("id_boleta", ""));
	
	if ($codigo_centro_costo && $id_item_gasto)
	{
		$filtro_centro_costo["codigo"] = $codigo_centro_costo;
		$listado_centro_costo = Sub_centro_costo_getListadoSub_centro_costo($filtro_centro_costo);
		$centro_costo = $listado_centro_costo[0];

		$id_centro_costo = $centro_costo->id_sub_centro_costo;

		$boleta_detalle_mod->set_id_centro_costo($id_centro_costo);
		$boleta_detalle_mod->set_id_item_gasto($id_item_gasto);
	}
	
	$old_valor_servicio = $boleta_detalle_mod->get_valor_servicio();
	$boleta_detalle_mod->set_valor_servicio(checkPOST("valor_servicio", ""));
	$boleta_detalle_mod->set_descripcion_servicio(checkPOST("descripcion_servicio", ""));
	
	$boleta = $clog_Boleta->getBoleta($id_boleta);
	$boleta->set_total_neto($boleta->get_total_neto()-$old_valor_servicio+$boleta_detalle_mod->get_valor_servicio());
	$boleta->set_impuesto($boleta->get_total_neto()*10/100);
	$boleta->set_total_bruto($boleta->get_total_neto()-$boleta->get_impuesto());

	$clog_Boleta_detalle->actualizarBoleta_detalle($boleta_detalle_mod);
	$clog_Boleta->actualizarBoleta($boleta);
	$url .= "mantenedor_boleta_detalle&id_boleta=$id_boleta";
	header("Location: $url");

	break;
}

?>
