<?
include_once ("validate_session.php");

$tipo_documento = checkGET("tipo", "");

$id_sucursal_seleccionada = $_SESSION["id_sucursal_seleccionada"];

$clog_libro_compra = new Controlador_Logico_Libro_compra();
$clog_libro_venta = new Controlador_Logico_Libro_venta();
$clog_boleta = new Controlador_Logico_Boleta();
if (($_SESSION["mes_proceso"]) && $_SESSION["ao_proceso"]) {
	$mes_proceso = $_SESSION["mes_proceso"];
	$ao_proceso = $_SESSION["ao_proceso"];
} else {
	$mes_proceso = substr(hoy(), 4, 2);
	$ao_proceso = substr(hoy(), 0, 4);
}

$id_empresa_seleccionada = $_SESSION["id_empresa_seleccionada"];
$total_facturas_recibidas = 0;

//debug($tipo_documento);
switch ($tipo_documento) {
	//Documento de compra
	case "1" :
		$filtro_documento_compra["extra_libro_compra"] = "AND cont_documento_compra.id_sucursal = '$id_sucursal_seleccionada' AND cont_documento_compra.ano_proceso = '$ao_proceso' AND cont_documento_compra.mes_proceso = '$mes_proceso' AND cont_documento_compra.id_empresa = '$id_empresa_seleccionada' ORDER BY cont_documento_compra.correlativo";
		//debug($filtro_documento_compra);
		
		$listado_documento_compra = $clog_libro_compra->getListadoLibro_compra($filtro_documento_compra);
//		debug($listado_documento_compra);
		foreach ($listado_documento_compra as $documento) 
		{
			//debug($documento);
			$documento_original = Documento_compra_getDocumento_compra($documento->get_id_documento());
			if ($documento_original->get_estado() != "9") {
				switch ($documento->get_tipo_documento()) {
					case "1" :
						$total_impuesto += $documento->get_total_impuesto();					
						$total_exento += $documento->get_total_exento();
						$total_iva += $documento->get_total_iva();
						$total_neto += $documento->get_total_neto();
						$total_bruto += $documento->get_total_bruto();
						$total_facturas ++;
						break;
					case "10" :
					//Factura electrnica
						$total_impuesto += $documento->get_total_impuesto();					
						$total_exento += $documento->get_total_exento();
						$total_iva += $documento->get_total_iva();
						$total_neto += $documento->get_total_neto();
						$total_bruto += $documento->get_total_bruto();
						$total_facturas ++;
						break;
					case "11" :
					//Factura activo fijo
						$total_impuesto += $documento->get_total_impuesto();					
						$total_exento += $documento->get_total_exento();
						$total_iva += $documento->get_total_iva();
						$total_neto += $documento->get_total_neto();
						$total_bruto += $documento->get_total_bruto();
						$total_facturas ++;
						break;						
					case "6" :
					//Nota de crdito
						$total_impuesto -= $documento->get_total_impuesto();
						$total_exento -= $documento->get_total_exento();
						$total_iva -= $documento->get_total_iva();
						$total_neto -= $documento->get_total_neto();
						$total_bruto -= $documento->get_total_bruto();
						break;
					case "7" :
					//Nota de dbito
						$total_impuesto += $documento->get_total_impuesto();
						$total_exento += $documento->get_total_exento();
						$total_iva += $documento->get_total_iva();
						$total_neto += $documento->get_total_neto();
						$total_bruto += $documento->get_total_bruto();
						break;
					case "0" :
						$total_bruto += $documento->get_total_bruto();
						break;
				}
			}
		
		}

		break;
	case "2" :
		$filtro_documento_venta["union_1_sql"] = "WHERE cont_boleta_venta.fecha_proceso LIKE '$ao_proceso$mes_proceso%' AND cont_boleta_venta.id_contribuyente = '$id_empresa_seleccionada'";
		$filtro_documento_venta["union_2_sql"] = "AND cont_documento_venta.id_sucursal = '$id_sucursal_seleccionada' AND cont_documento_venta.ano_proceso = '$ao_proceso' AND cont_documento_venta.mes_proceso = '$mes_proceso' AND cont_documento_venta.id_empresa = '$id_empresa_seleccionada' ORDER BY cont_documento_venta.numero_documento DESC";

		$listado_documento_venta = $clog_libro_venta->getListadoLibro_venta($filtro_documento_venta);
		//debug($listado_documento_venta);
		foreach ($listado_documento_venta as $documento) {

			if ($documento->get_tipo_documento() != "")
				$documento_original = Documento_venta_getDocumento_venta($documento->get_id_documento());
			if ($documento_original) {
				if ($documento_original->get_estado() != "9") {
					switch ($documento->get_tipo_documento()) {
						case "1" :
							$total_exento += $documento->get_exento();
							$total_iva += $documento->get_total_iva();
							$total_neto += $documento->get_total_neto();
							$total_bruto += $documento->get_total_bruto();
							$total_facturas ++;
							break;
						case "2" :
							$total_exento -= $documento->get_exento();
							$total_iva -= $documento->get_total_iva();
							$total_neto -= $documento->get_total_neto();
							$total_bruto -= $documento->get_total_bruto();
							break;
						case "3" :
							$total_exento += $documento->get_exento();
							$total_iva += $documento->get_total_iva();
							$total_neto += $documento->get_total_neto();
							$total_bruto += $documento->get_total_bruto();
							break;
						case "" :
							$total_iva += $documento->get_total_iva();
							$total_neto += $documento->get_total_neto();
							$total_bruto += $documento->get_total_bruto();
							break;
					}
				}
			}
		}
		break;
	case "3" :
		//$filtro_boleta["cont_boleta.id_empresa"] = $id_empresa_seleccionada;

		$extra_boleta["sql"] = "WHERE cont_boleta.id_contribuyente Like '$id_empresa_seleccionada' AND cont_boleta.fecha_proceso Between '$ao_proceso$mes_proceso' AND '$ao_proceso$mes_proceso' ORDER BY 'cont_boleta.correlativo'";

		$listado_boleta = $clog_boleta->getListadoBoleta($filtro_boleta, $extra_boleta);

		//debug($listado_boleta);
		foreach ($listado_boleta as $boleta) {
			$total_iva += $boleta->get_impuesto();
			$total_neto += $boleta->get_total_neto();
			$total_bruto += $boleta->get_total_bruto();
			$total_boletas ++;
		}
		break;
}


/*$total_iva = 0;
$total_neto = 0;
$total_bruto = 0;*/



include_once ("genera_libro.dibujar");
?>