<?
$old = getcwd();
$new = "../../../";
chdir($new);

include_once ("validate_session.php");
include_once ("variables_globales.inc");
// CAPTURA DE DATOS
$id_empresa_seleccionada = $_SESSION["id_empresa_seleccionada"];
$f = checkGET("f", false);

$f = explode(".", $f);
$ao_proceso = $f[0];
$mes_proceso = $f[1];


$titulo = "LIBRO DIARIO";
$fecha_proceso = convertir_fecha_proceso($mes_proceso, $ao_proceso);

// INSTANCIACION DE CONTROLADORES LOGICOS
$clog_comprobante = new Controlador_Logico_Cont_comprobante();
$clog_detalle_cc  = new Controlador_Logico_Cont_detalle_comprobante();

// RECUPERACION DE DATOS
$filtro_cc["id_empresa"] = $id_empresa_seleccionada;
$extra_cc["sql"] = " AND (tipo_comprobante LIKE '1' OR tipo_comprobante LIKE '2' OR tipo_comprobante LIKE '3') AND estado = 2";
$filtro_cc["mes_proceso"] = $mes_proceso;
$filtro_cc["ano_proceso"] = $ao_proceso;
$listado_cc = $clog_comprobante->getListadoCont_comprobante($filtro_cc,$extra_cc);



class PDF_BCI extends PDFTable {

	function Header() {
		
		parent :: Header();
		$this->setXY(100, 10);
		$this->Image(''.$this->conf_empresa_logo_reporte, 5, 4, 15);
		$this->SetFont('Arial', 'B', 12);
		$this->Cell();
	//	$this->Cell(169, 10, 'ADDCORP', 0, 0, "C");
		$this->Line(5, 20, 212, 20);
		$this->ln(15);
	}

	function Footer() {
		
		parent :: Footer();
		$this->SetLeftMargin(0);
		$this->SetY(-12);
		//$this->Line(25, 250, 195, 250); 	
		$this->SetFont('Arial', 'B', 8);
		//$this->MultiCell(240, 3, 'ADDCORP S.A', 0, 'C');
		$this->SetFont('Arial', '', 6);
		//$this->MultiCell(240, 3, 'Servicios - Asesoras - Capacitacin', 0, 'C');
		//$this->MultiCell(240, 3, 'Antonino Toro #1125. Fono 449 072 - 449 200. Fax 449 200. Antofagasta', 0, 'C');
		//$this->MultiCell(240);
		$this->SetFont('Arial', '', 6);
		$this->MultiCell(0, 3, $this->conf_empresa_pie_1, 0, 'C');
		$this->MultiCell(0, 3, $this->conf_empresa_pie_2, 0, 'C');
				
		//$this->Cell(0,5,'Pgina '.$this->PageNo().'/{nb}',0,0,'R'); 
	}
} //fin clase

//Creacin del objeto de la clase heredada


$pdf = new PDF_BCI("L","mm","A4",$conf_empresa_logo_reporte,$conf_empresa_pie_1,$conf_empresa_pie_2);
$pdf->AddPage();
$pdf->SetFont('Times', '', 10);
$pdf->SetTitle($titulo);
$pdf->SetAuthor('EDESA');
$pdf->SetAutoPageBreak(true, 40);
$pdf->SetMargins(2, 40, 2);

$pdf->setXY(0, 5);
$pdf->Cell(0, 0, convertirFechaBD_fecha(hoy()), 0, 1, 'R');
$pdf->setXY(0, 10);
$pdf->Cell(0, 0, $titulo, 0, 1, 'C');
$pdf->setXY(0, 14);
$pdf->Cell(0, 0, $fecha_proceso, 0, 1, 'C');
$pdf->setXY(0, 20);

$pdf->SetFont('Times', 'B', 8);
$tabla_encabezado = "
		<table border=0 width=207>
			<tr>
				<td width=6%>Fecha</td>
				<td width=5%>Nro. CC</td>
				<td width=10%>Tipo CC</td>
				<td width=55%>Glosa</td>
				<td width=10% align=center></td>
				<td width=10% align=center></td>
			</tr>		
		</table>
		";
$pdf->ln();
$pdf->htmltable($tabla_encabezado);

foreach ($listado_cc as $comprobante){
	$fecha_creacion = convertirFechaBD_fecha($comprobante->get_fecha_creacion());
	$numero = $comprobante->get_numero();
	$tipo_comprobante = $comprobante->get_nombre_tipo_comprobante();
	$glosa = $comprobante->get_descripcion();
	
	$tabla_comprobante = "" .
			"<table border=1 width=207>
			<tr>
				<td width=3%>$fecha_creacion</td>
				<td width=3%>$numero</td>
				<td width=10%>$tipo_comprobante</td>
				<td width=63%>$glosa</td>
				<td width=12% align=center>Debe</td>
				<td width=12% align=center>Haber</td>
			</tr>		
			</table>";
	$pdf->ln(1);
	$pdf->SetFont('Times', 'B', 8);
	$pdf->htmltable($tabla_comprobante);
	$pdf->SetFont('Times', '', 8);
	$filtro_detalle_cc["id_comprobante"] = $comprobante->get_id_comprobante();
	$listado_detalle_cc = $clog_detalle_cc->getListadoCont_detalle_comprobante($filtro_detalle_cc);
	$total_debe  = 0;
	$total_haber = 0;
	foreach($listado_detalle_cc as $detalle_cc){
		$cuenta = $detalle_cc->get_codigo_cuenta();
		$nombre_cuenta = $detalle_cc->get_descripcion_cuenta();
		$glosa  = $detalle_cc->get_descripcion();
		$debe   = $detalle_cc->get_debe();
		$haber  = $detalle_cc->get_haber();
		$total_debe  += $debe;
		$total_haber += $haber;
		$debe = money_php($debe);
		$haber = money_php($haber);
		$tabla_detalle_comprobante = "" .
				"<table border=0 width=207>
				<tr>
					<td width=41% align=left>$cuenta - $nombre_cuenta</td>
					<td width=55%>$glosa</td>
					<td width=2% align=right>$debe</td>
					<td width=2% align=right>$haber</td>
				</tr>		
				</table>";
		$pdf->ln(1);
		$pdf->htmltable($tabla_detalle_comprobante);		
	}
	$total_debe = money_php($total_debe);
	$total_haber= money_php($total_haber);
	$tabla_resumen_comprobante = "" .
				"<table border=0 width=207>
				<tr>
					<td width=75% align=center>&nbsp;</td>
					<td width=21%>Total Comprobante</td>
					<td width=2% align=right border=1000>$total_debe</td>
					<td width=2% align=right border=1000>$total_haber</td>
				</tr>		
				</table>";
	$pdf->ln(1);
	$pdf->htmltable($tabla_resumen_comprobante);	
}



$pdf->output('libro_diario.pdf', I);
?>