<?
$old = getcwd();
$new = "../../../";
chdir($new);

require_once 'Spreadsheet/Excel/Writer.php';	

include_once ("validate_session.php");
include_once ("variables_globales.inc");
// CAPTURA DE DATOS
$id_empresa_seleccionada = $_SESSION["id_empresa_seleccionada"];
$f = checkGET("f", false);

$f = explode(".", $f);
$ao_proceso = $f[0];
$mes_proceso = $f[1];


$titulo = "LIBRO DIARIO";
$fecha_proceso = convertir_fecha_proceso($mes_proceso, $ao_proceso);

// INSTANCIACION DE CONTROLADORES LOGICOS
$clog_comprobante = new Controlador_Logico_Cont_comprobante();
$clog_detalle_cc  = new Controlador_Logico_Cont_detalle_comprobante();

// RECUPERACION DE DATOS
$filtro_cc["id_empresa"] = $id_empresa_seleccionada;
$extra_cc["sql"] = " AND (tipo_comprobante LIKE '1' OR tipo_comprobante LIKE '2' OR tipo_comprobante LIKE '3') AND estado = 2";
$filtro_cc["mes_proceso"] = $mes_proceso;
$filtro_cc["ano_proceso"] = $ao_proceso;
$listado_cc = $clog_comprobante->getListadoCont_comprobante($filtro_cc,$extra_cc);


$titulo = "Libro de Ventas ".convertir_fecha_proceso($mes_proceso,$ao_proceso);

$workbook = new Spreadsheet_Excel_Writer();
$nombre_archivo=str_replace(" ","_","libro_diario");
$nombre_archivo=substr($nombre_archivo,0,25); 
$workbook->send("$nombre_archivo.xls");

// **************** Seteo de formatos ************************
$formato_titulo_grande=& $workbook->addFormat();
$formato_titulo_grande->setSize (14);
$formato_titulo_grande->setBold (1);
$formato_titulo_grande->setFgColor("blue");
$formato_titulo_grande->setColor ("white");

$formato_titulo =& $workbook->addFormat();
$formato_titulo->setBold (1);
$formato_titulo->setFgColor("blue");
$formato_titulo->setColor ("white");

$formato_titulo_2 =& $workbook->addFormat();
$formato_titulo_2->setBold (1);
$formato_titulo_2->setFgColor("white");
$formato_titulo_2->setColor ("blue");

// ***************** NOMBRE DE LA HOJA *************************
$worksheet =& $workbook->addWorksheet("$nombre_archivo");
//Registrar ttulo principal
$titulo_principal = "LIBRO DIARIO: ".$fecha_proceso;
$worksheet->writeString ($count_row, 0, $titulo_principal,$formato_titulo_grande);
$worksheet->writeString ($count_row, 5, convertirFechaBD_fecha(hoy()),$formato_titulo);

// ******************** ENCABEZADOS DE COLUMNAS ************************
$col = 1;
$fila = 2;
//$worksheet->writeString($fila, $col++, "CORR",$formato_titulo);
$worksheet->writeString($fila, $col++, "Fecha",$formato_titulo);
$worksheet->writeString($fila, $col++, "Nro.",$formato_titulo);
$worksheet->writeString($fila, $col++, "Tipo",$formato_titulo);
$worksheet->writeString($fila, $col++, "Glosa",$formato_titulo);
$worksheet->writeString($fila, $col++, "",$formato_titulo);
$worksheet->writeString($fila, $col++, "",$formato_titulo);


foreach ($listado_cc as $comprobante){
	$fecha_creacion = convertirFechaBD_fecha($comprobante->get_fecha_creacion());
	$numero = $comprobante->get_numero();
	$tipo_comprobante = $comprobante->get_nombre_tipo_comprobante();
	$glosa = $comprobante->get_descripcion();
	
	$fila++;
	$col = 1;
	$worksheet->writeString($fila, $col++, $fecha_creacion,$formato_titulo_2);
	$worksheet->writeString($fila, $col++, $numero,$formato_titulo_2);
	$worksheet->writeString($fila, $col++, $tipo_comprobante,$formato_titulo_2);
	$worksheet->writeString($fila, $col++, $glosa,$formato_titulo_2);
	$worksheet->writeString($fila, $col++, "Debe",$formato_titulo_2);
	$worksheet->writeString($fila, $col++, "Haber",$formato_titulo_2);


	$filtro_detalle_cc["id_comprobante"] = $comprobante->get_id_comprobante();
	$listado_detalle_cc = $clog_detalle_cc->getListadoCont_detalle_comprobante($filtro_detalle_cc);
	$total_debe  = 0;
	$total_haber = 0;
	foreach($listado_detalle_cc as $detalle_cc){
		$cuenta = $detalle_cc->get_codigo_cuenta();
		$nombre_cuenta = $detalle_cc->get_descripcion_cuenta();
		$glosa  = $detalle_cc->get_descripcion();
		$debe   = $detalle_cc->get_debe();
		$haber  = $detalle_cc->get_haber();
		$total_debe  += $debe;
		$total_haber += $haber;
		$debe = money_php($debe);
		$haber = money_php($haber);

		$fila++;
		$col = 1;
		$worksheet->writeString($fila, $col++, $cuenta." - ".$nombre_cuenta,$formato);
		$col += 2;
		$worksheet->writeString($fila, $col++, $glosa,$formato);
		$worksheet->writeString($fila, $col++, $debe,$formato);
		$worksheet->writeString($fila, $col++, $haber,$formato);

	}
	$total_debe = money_php($total_debe);
	$total_haber= money_php($total_haber);

	$fila++;
	$col = 4;
	$worksheet->writeString($fila, $col++, "Total Comprobante",$formato_titulo_2);
	$worksheet->writeString($fila, $col++, $total_debe,$formato_titulo_2);
	$worksheet->writeString($fila, $col++, $total_haber,$formato_titulo_2);
	$fila++;
}

$workbook->close(); 

?>