<?
$old = getcwd();
$new = "../../../";
chdir($new);

include_once ("validate_session.php");
$url = "../../../admin_session.php?i=modulos/contabilidad/ventas/";

// Captura de variables GET, SESSION
$operacion = checkGET("op", "");

$empresa_seleccionada = new ContEmpresa();
$id_empresa_seleccionada = $_SESSION["id_empresa_seleccionada"];
$id_sucursal_seleccionada = $_SESSION["id_sucursal_seleccionada"];

$empresa_seleccionada = ContEmpresa_getContEmpresa($id_empresa_seleccionada);
$usuario = $_SESSION["usuario"];

//debug($_POST);
$mes_proceso = $_SESSION["mes_proceso"];
$ao_proceso = $_SESSION["ao_proceso"];

$mes_nav = checkPOST("mes_nav", checkGET("mes", ""));
$ano_nav = checkPOST("ano_nav", checkGET("ano", ""));

$nav_url = "&mes=$mes_nav&ano=$ano_nav";

$clog_correlativo_libre = new Controlador_Logico_Correlativo_libre();

switch ($operacion) {
	//-------------------------------------------------- Guarda un Documento_venta en la DB
	case "add" :

		$nro_factura_fk = checkPOST("nro_factura_fk","");
		$filtro_fk_venta["tipo_documento"] = 1;
		$filtro_fk_venta["numero_documento"] = $nro_factura_fk;
		$filtro_fk_venta["id_empresa"] = $id_empresa_seleccionada;
		$correlativo = checkPOST("correlativo","");
		$listado_fk = Documento_venta_getListadoDocumento_venta($filtro_fk_venta);
		
		if ($listado_fk)
			$id_documento_venta_fk = $listado_fk[0]->get_id_documento_venta();
			
		$id_proveedor = checkPOST("id_cliente_proveedor", "");
		$tipo_documento = checkPOST("tipo_documento", "");
		$fecha_documento = checkPOST("fecha_documento", "");
		$fecha_documento = convertirFecha_fechabd($fecha_documento);
		$fecha_entrega_cliente_post = checkPOST("fecha_entrega_cliente", "");
		$fecha_entrega_cliente = convertirFecha_fechabd($fecha_entrega_cliente_post);

		//debug($fecha_documento);
		$id_sucursal_cliente_proveedor = checkPOST("id_sucursal_cliente_proveedor", "");
		$id_empresa = $empresa_seleccionada->id_empresa;
		$id_usuario = $usuario->id_usuario;
		$numero_documento = checkPOST("numero_documento", "");
		$fecha_digitacion = obtener_fecha_actual();
		//$fecha_cancelacion 		= checkPOST("fecha_cancelacion", "");
		$fecha_modificacion = obtener_fecha_actual();
		$orden_venta = checkPOST("orden_venta", "");

		$vencimiento = checkPOST("vencimiento", "");
		$condicion_venta = checkPOST("condicion_venta", "");
		$guia_despacho = checkPOST("guia_despacho", "");

		if ($vencimiento == "0") {
			$fecha_vencimiento = $fecha_documento;
		} else {
			$fecha_vencimiento = calcular_fecha($vencimiento, $fecha_documento, "futuro");
			//debug($fecha_vencimiento);
		}

		$extra["order"] = "correlativo";
		$extra["sort"] = "DESC";
		$listado_documento_venta = Documento_venta_getListadoDocumento_venta($filtro, $extra);

		//debug($listado_documento_venta);

		$correlativo = get_proximo_correlativo("venta", $mes_proceso, $ao_proceso);
		//debug($correlativo);
		if ($correlativo == "0")
			$correlativo = 1;
		// ***************************************************************************

		$id_impuesto = substr($fecha_documento, 4, 2);

		$temp = new Documento_venta();
		$temp->set_id_documento_venta_fk($id_documento_venta_fk);
		$temp->set_id_proveedor($id_proveedor);
		$temp->set_id_empresa($id_empresa);
		$temp->set_id_usuario($id_usuario);

		$temp->set_id_centro_costo($id_centro_costo);
		$temp->set_guia_despacho($guia_despacho);
		$temp->set_tipo_documento($tipo_documento);
		$temp->set_id_sucursal_cliente_proveedor($id_sucursal_cliente_proveedor);
		$temp->set_correlativo($correlativo);
		$temp->set_id_impuesto($id_impuesto);
		$temp->set_condicion_venta($condicion_venta);
		$temp->set_numero_documento($numero_documento);
		$temp->set_fecha_digitacion($fecha_digitacion);
		$temp->set_fecha_documento($fecha_documento);
		$temp->set_fecha_cancelacion($fecha_cancelacion);
		$temp->set_fecha_modificacion($fecha_modificacion);
		$temp->set_mes_proceso($mes_proceso);
		$temp->set_ano_proceso($ao_proceso);
		$temp->set_total_descuento($total_descuento);
		$temp->set_total_neto($total_neto);
		$temp->set_total_exento($total_exento);
		$temp->set_total_impuesto($total_impuesto);
		$temp->set_total_iva($total_iva);
		$temp->set_total_bruto($total_bruto);
		$temp->set_total_saldos($total_saldos);
		$temp->set_total_pagos($total_pagos);
		$temp->set_orden_compra($orden_venta);
		$temp->set_estado_venta(0);
		$temp->set_forma_pago($forma_pago);
		$temp->set_tipo_pago($tipo_pago);
		$temp->set_id_comprobante($id_comprobante);
		//$temp->set_extra1($extra1);
		$temp->set_fecha_entrega_cliente($fecha_entrega_cliente);
		$temp->set_fecha_vencimiento($fecha_vencimiento);
		$temp->set_fecha_proceso($ao_proceso.$mes_proceso);
		$temp->set_id_sucursal($id_sucursal_seleccionada);
		
//		$clog_correlativo_documento = new Controlador_Logico_Cont_correlativo_documento();
//		$extra_correlativo_documento["sql"] = "WHERE id_empresa = '$id_empresa_seleccionada' AND id_sucursal = '$id_sucursal_seleccionada' AND '$numero_documento' Between cont_correlativo_documento.desde AND  cont_correlativo_documento.hasta AND '$tipo_documento' Like cont_correlativo_documento.tipo_documento AND cont_correlativo_documento.en_uso = '1'";
//
//		$correlativo_documento = $clog_correlativo_documento->getListadoCont_correlativo_documento("", $extra_correlativo_documento);
//		//debug($extra_correlativo_documento);
//		
//		if ($correlativo_documento) {
			
			$filtro_documento_venta["id_empresa"] = $id_empresa;
			$filtro_documento_venta["numero_documento"] = $numero_documento;
			$filtro_documento_venta["tipo_documento"] = $tipo_documento;

			//debug($filtro_documento_venta);
			if (Documento_venta_getListadoDocumento_venta($filtro_documento_venta)) {
				
				$msg = "Ya existe un documento con ese nmero";
			} else {
				//debug($temp);
				$id_documento_venta = Documento_venta_guardarDocumento_venta($temp);
				
			}
//		} else 
//		{
//			$msg = "El Nmero Ingresado $numero_documento no se encuentra disponible para impresin";
//		}
		
		//$url .= "mantenedor_documento_venta&id_documento_venta=$id_documento_venta&td=$tipo_documento&msg=$msg".$nav_url;
		$url .= "mantenedor_detalle_documento_venta&id_documento_venta=$id_documento_venta&td=$tipo_documento&op=add&msg=$msg.$nav_url";
		//debug($url);
		header("Location: $url");
		break;

		//-------------------------------------------------- Guarda un Documento_venta en la DB
	case "del" :
		$id_documento_venta = checkGET("id_documento_venta", 0, "num");

		$documento_venta = Documento_venta_getDocumento_venta($id_documento_venta);
		$tipo_documento = $documento_venta->tipo_documento;

		$clog_detalle_comprobante_pago = new Controlador_Logico_Cont_detalle_comprobante_pago();
		$filtro_dpago["id_documento"] = $id_documento_venta;
		$listado_detalle_pago = $clog_detalle_comprobante_pago->getListadoCont_detalle_comprobante_pago($filtro_dpago);
		
		if ($listado_detalle_pago) {
			$msg = "No es posible eliminar este Documento, ya que tiene pagos y comprobantes asociados a l.";
		} else {

			switch ($documento_venta->get_tipo_documento()) {
				case "2" :
					$documento_venta_foraneo = Documento_venta_getDocumento_venta($documento_venta->get_id_documento_venta_fk());
					if ($documento_venta_foraneo) {
						$documento_venta_foraneo->set_total_saldos($documento_venta_foraneo->get_total_saldos() + $documento_venta->get_total_bruto());
						Documento_venta_actualizarDocumento_venta($documento_venta_foraneo);
					}
					break;

				case "3" :
					$documento_venta_foraneo = Documento_venta_getDocumento_venta($documento_venta->get_id_documento_venta_fk());
					if ($documento_venta_foraneo) {
						$documento_venta_foraneo->set_total_saldos($documento_venta_foraneo->get_total_saldos() - $documento_venta->get_total_bruto());
						Documento_venta_actualizarDocumento_venta($documento_venta_foraneo);
					}
					break;
			}
			$correlativo_libre = new Correlativo_libre();
			$correlativo_libre->set_correlativo($documento_venta->get_correlativo());
			$correlativo_libre->set_tipo_documento("venta");
			$correlativo_libre->set_mes_proceso($mes_proceso);
			$correlativo_libre->set_ano_proceso($ao_proceso);
			$correlativo_libre->set_id_empresa($id_empresa_seleccionada);

			// SE BUSCA EL CORRELATIVO PARA COMPROBAR EXISTENCIA
			$filtro_clibre["correlativo"] = $documento_venta->get_correlativo();
			$filtro_clibre["tipo_documento"] = "venta";
			$listado_correlativo_libre = $clog_correlativo_libre->getListadoCorrelativo_libre($filtro_clibre);

			if (!$listado_correlativo_libre[0]) {
				$clog_correlativo_libre->guardarCorrelativo_libre($correlativo_libre);
			}

			if ($documento_venta->get_id_comprobante()) {
				$clog_comprobante = new Controlador_Logico_Cont_comprobante();
				$comprobante = $clog_comprobante->getCont_comprobante($documento_venta->get_id_comprobante());

				$clog_comprobante->eliminarCont_comprobante($comprobante->get_id_comprobante());
			}
			
			Documento_venta_eliminarDocumento_venta($id_documento_venta);
		}
		$url .= "listado_documentos_venta&td=$tipo_documento".$nav_url."&msg_del=$msg";
		header("Location: $url");
		break;

		//-------------------------------------------------- Modifica un Documento_venta en la DB
	case "mod" :

		$id_documento_venta = checkPOST("id_documento_venta", "");
		$id_documento_venta_fk = checkPOST("id_documento_venta_fk", "");
		$id_proveedor = checkPOST("id_cliente_proveedor", "");
		$correlativo = checkPOST("correlativo","");
		$id_usuario = $usuario->id_usuario;
		$id_sucursal_cliente_proveedor = checkPOST("id_sucursal_cliente_proveedor", "");
		$fecha_documento = checkPOST("fecha_documento", "");
		$guia_despacho = checkPOST("guia_despacho", "");
		$condicion_venta = checkPOST("condicion_venta", "");
		$fecha_entrega_cliente_post = checkPOST("fecha_entrega_cliente", "");
		$fecha_entrega_cliente = convertirFecha_fechabd($fecha_entrega_cliente_post);
		//debug($fecha_documento);
		$correlativo = checkPOST("correlativo","");
		$fecha_documento = convertirFecha_fechabd($fecha_documento);
		$tipo_condicion_venta = checkPOST("tipo_condicion_venta", "");
		$numero_documento = checkPOST("numero_documento", "");
		$id_impuesto = substr($fecha_documento, 4, 2);
		$mes_proceso = substr($fecha_documento, 4, 2);
		
		$ano_proceso = substr($fecha_documento, 0, 4);

//		$numero_documento = checkPOST("numero_documento", "");
		$orden_venta = checkPOST("orden_venta", "");
		$vencimiento = checkPOST("vencimiento", "");

		$fecha_modificacion = obtener_fecha_actual();

		$documento_venta = Documento_venta_getDocumento_venta($id_documento_venta);
//		$listado_documento_venta = Documento_venta_getListadoDocumento_venta($filtro, $extra);

		if ($vencimiento == "0") {
			$fecha_vencimiento = $fecha_documento;
		} else {
			$fecha_vencimiento = calcular_fecha($vencimiento, $fecha_entrega_cliente_post, "futuro");
		}
	
		$documento_venta->id_usuario = $id_usuario;
		$documento_venta->id_proveedor = $id_proveedor;
		$documento_venta->set_condicion_venta($tipo_condicion_venta);
		$documento_venta->id_sucursal_cliente_proveedor = $id_sucursal_cliente_proveedor;
		$documento_venta->numero_documento = $numero_documento;
		$documento_venta->correlativo = $correlativo;
		$documento_venta->fecha_documento = $fecha_documento;
		$documento_venta->fecha_vencimiento = $fecha_vencimiento;
		$documento_venta->fecha_modificacion = $fecha_modificacion;
		$documento_venta->orden_venta = $orden_venta;
		$documento_venta->guia_despacho = $guia_despacho;
		$documento_venta->condicion_venta = $condicion_venta;
		$documento_venta->correlativo = $correlativo;
		$documento_venta->mes_proceso = $mes_proceso;
		$documento_venta->ano_proceso = $ano_proceso;
		$documento_venta->set_fecha_proceso($ano_proceso.$mes_proceso);
//		debug($documento_venta);
		$tipo_documento = $documento_venta->tipo_documento;

		Documento_venta_actualizarDocumento_venta($documento_venta);

		$url .= "mantenedor_documento_venta&id_documento_venta=$id_documento_venta&td=$tipo_documento".$nav_url;
		header("Location: $url");
		break;

	case "anular" :
		$id_documento_venta = checkGET("id_documento_venta", 0, "num");

		$documento_venta = Documento_venta_getDocumento_venta($id_documento_venta);
		$tipo_documento = $documento_venta->tipo_documento;

		switch ($documento_venta->get_tipo_documento()) {
			case "2" :
				$documento_venta_foraneo = Documento_venta_getDocumento_venta($documento_venta->get_id_documento_venta_fk());
				$documento_venta_foraneo->set_total_saldos($documento_venta_foraneo->get_total_saldos() - $documento_venta->get_total_bruto());
				Documento_venta_actualizarDocumento_venta($documento_venta_foraneo);
				break;

			case "3" :
				$documento_venta_foraneo = Documento_venta_getDocumento_venta($documento_venta->get_id_documento_venta_fk());
				$documento_venta_foraneo->set_total_saldos($documento_venta_foraneo->get_total_saldos() + $documento_venta->get_total_bruto());
				Documento_venta_actualizarDocumento_venta($documento_venta_foraneo);
				break;
		}

		if ($documento_venta->get_id_comprobante()) {
			$clog_comprobante = new Controlador_Logico_Cont_comprobante();
			$comprobante = $clog_comprobante->getCont_comprobante($documento_venta->get_id_comprobante());

			$comprobante->set_estado(0);
			$comprobante->set_fecha_anulacion(hoy());

			$clog_comprobante->actualizarCont_comprobante($comprobante);
		}
		if ($documento_venta_emitido)
			$id_comprobante_pago 	= $documento_venta_emitido->get_id_comprobante_pago();
		
		if ($id_comprobante_pago){
			$clog_cp = new Controlador_Logico_Cont_comprobante_pago();
			$comp_pago = $clog_comprobante->getCont_comprobante_pago($id_comprobante_pago);
			$id_comprobante = $comp_pago->get_id_comprobante_contable();
			$comp_cont = $clog_comprobante->getCont_comprobante($id_comprobante);
			
			$comp_pago->set_estado(0);
			$comp_cont->set_estado(0);
			
			$clog_comprobante->actualizarCont_comprobante($comp_cont);
			$clog_cp->actualizarCont_comprobante_pago($comp_pago);
		}
		
		$documento_venta->set_estado_venta(9);
		Documento_venta_actualizarDocumento_venta($documento_venta);

		$url .= "listado_documentos_venta&td=$tipo_documento".$nav_url;
		header("Location: $url");
		break;
}
?>