<?
$old = getcwd();
$new = "../../";
chdir($new);

header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);

include_once("validate_session.php");
$clog_cliente_proveedor = new Controlador_Logico_Cliente_proveedor();
$clog_detalle_documento_venta = new Controlador_Logico_Detalle_documento_venta();
$id_documento_venta					= checkGET("id_documento","");
$id_empresa_seleccionada 			= $_SESSION["id_empresa_seleccionada"];
$empresa 							= Empresa_getEmpresa($id_empresa_seleccionada);
$documento_venta					= Documento_venta_getDocumento_venta($id_documento_venta);
//debug($documento_venta);
$proveedor  						= $clog_cliente_proveedor->getCliente_proveedor($documento_venta->id_proveedor);
$filtro["id_documento_venta"] = $id_documento_venta;
$listado_detalle_documento_venta 	= $clog_detalle_documento_venta->getListadoDetalle_documento_venta($filtro);
	
//Creacin del objeto de la clase heredada

$fecha=$documento_venta->fecha_documento;
//debug($documento_venta);
$dia=substr($fecha, -2, 2); // f
$mes=get_nombre_mes_r(substr($fecha, -4, 2)); // f
$year=substr($fecha, -8, 4); // f

$pdf = new PDF('P','mm','Letter',$conf_empresa_logo_reporte,$conf_empresa_pie_1,$conf_empresa_pie_2);
$pdf->SetRightMargin(10);
$pdf->SetLeftMargin(10);

//		$pdf->SetXY(15, 10);
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Times','BU',10);
$pdf->SetTitle($titulo);
$pdf->SetAuthor('ITEKCHILE');
$pdf->SetFont('Times','BU',12);
$pdf->SetAutoPageBreak(true, 30);

//$pdf->Cell(0,0,$nro_cotizacion,0,1,'R');

$pdf->SetFont('Times','B',8);

$pdf->Cell(10,4, '' ,0,0,'C',0);
$pdf->Cell(20,4, $empresa->get_razon_social() ,0,0,'C',0);
$pdf->Cell(100,4, '' ,0,0,'C',0);
$rut=$empresa->get_rut();
$pdf->Cell(60,4, "R.U.T: $rut" ,'LTR',1,'C',0);
$pdf->Cell(10,4, '' ,0,0,'C',0);
$pdf->Cell(20,4, $empresa->get_direccion() ,0,0,'C',0);
$pdf->Cell(100,4, '' ,0,0,'C',0);

$pdf->Cell(60,4, "" ,'LR',1,'C',0);

$pdf->SetFont('Times','',6);
$pdf->Cell(10,4, '' ,0,0,'C',0);
$pdf->Cell(20,4, "Fax: ".$empresa->get_fax()."- Telfono:".$empresa->get_telefono_full() ,0,0,'C',0);
$pdf->Cell(100,4, '' ,0,0,'C',0);
$pdf->SetFont('Times','B',10);
$pdf->Cell(60,4, 'FACTURA' ,'LR',1,'C',0);

$pdf->SetFont('Times','',6);
$pdf->Cell(10,4, '' ,0,0,'C',0);
$pdf->Cell(20,4, $empresa->get_email()."-".$empresa->get_website() ,0,0,'C',0);
$pdf->Cell(100,4, '' ,0,0,'C',0);
$numero=$documento_venta->get_numero_documento();
$pdf->SetFont('Times','B',8);
$pdf->Cell(60,4, '' ,'LR',1,'C',0);

$pdf->Cell(10,4, '' ,0,0,'C',0);
$pdf->Cell(20,4, '' ,0,0,'C',0);
$pdf->Cell(100,4, '' ,0,0,'C',0);
$pdf->Cell(60,4, "N ".$numero ,'LBR',1,'C',0);

$pdf->ln(8);
//debug($documento_venta);
//$ciudad=get_atributo("id_ciudad",$documento_venta->get_ciudad(),"cmn_ciudad","nombre");
$ciudad = $documento_venta->get_ciudad();
//debug($ciudad);
$pdf->SetFont('Times','',8);
$pdf->Cell(190,5, $ciudad.",$dia  de  $mes  de $year",'LTR',1,'L',0);
$pdf->Cell(100,5, "Seor(es): ".$proveedor->get_nombre() ,'L',0,'L',0);
$pdf->Cell(90,5, "R.U.T: ".$proveedor->get_rut() ,'R',1,'LR',0);
$pdf->Cell(100,5, "Direccion: ".$documento_venta->get_direccion() ,'L',0,'L',0); // DIRECCION DESDE DOCTO, NO DESDE CLIENTE - MSK 0309 -
$pdf->Cell(90,5, "Fonos:" ,'R',1,'L',0);
//$ciudad=get_atributo("id_ciudad",$proveedor->get_id_ciudad(),"cmn_ciudad","nombre");
$pdf->Cell(100,5, "Ciudad: ".$ciudad ,'L',0,'L',0);
$pdf->Cell(90,5, "O.Compra:" ,'R',1,'L',0);
$pdf->Cell(80,5, "Condiciones de Venta: ".$documento_venta->get_condicion_venta() ,'L',0,'L',0); 
$pdf->Cell(60,5, "Ch.Da:" ,0,0,'L',0);
$pdf->Cell(50,5, "Gua N:" ,'R',1,'L',0);
$pdf->Cell(80,5, "Giro:" ,'L',0,'L',0);
$pdf->Cell(60,5, "N Cheque:" ,0,0,'L',0);
$pdf->Cell(50,5, "Banco:" ,'R',1,'L',0);
$pdf->Cell(190,5, "Vendedor:" ,'LRB',0,'L',0);
$pdf->ln(8);
$pdf->Cell(18,5, "Por lo siguiente " ,0,0,'L',0);
$pdf->ln(4);

$pdf->SetFont('Times','',8);
$pdf->SetFillColor(255, 255, 255);

$pdf->Cell(20,5, "CANTIDAD" ,1,0,'C',0);
$pdf->Cell(90,5, "DESCRIPCION" ,1,0,'C',0);
$pdf->Cell(40,5, "P.UNITARIO" ,1,0,'C',0);
$pdf->Cell(40,5, "TOTAL" ,1,1,'C',1);
foreach($listado_detalle_documento_venta as $item)
{
	$pdf->Cell(20,5, $item->get_cantidad() ,1,0,'C',0);
	$pdf->Cell(90,5, $item->get_descripcion_producto() ,1,0,'C',0);
	$pdf->Cell(40,5, "" ,1,0,'C',0);
	$pdf->Cell(40,5, $item->get_total_neto() ,1,1,'C',1);
	$suma_neto=	$item->get_total_neto()+$suma_neto;
}
$total=$suma_neto*1.19;
$iva=$total-$suma_neto;
$pdf->ln(8);
$pdf->Cell(18,5, "Persona que retira " ,0,1,'L',0);

$pdf->Cell(109,5, "Nombre" ,'LT',0,'L',0);
$pdf->Cell(1,5, "" ,'',0,'C',0);
$pdf->Cell(40,5, "NETO" ,'LTR',0,'R',1);
$pdf->Cell(40,5, $suma_neto ,'LTR',1,'L',1);
$pdf->Cell(55,5, "RUT" ,'LB',0,'L',0);
$pdf->Cell(55,5, "Firma" ,'BR',0,'L',0);
$pdf->Cell(40,5, "IVA" ,'LR',0,'R',1);
$pdf->Cell(40,5, $iva ,'LR',1,'L',1);
$pdf->Cell(55,5, "" ,'',0,'L',0);
$pdf->Cell(55,5, "" ,'R',0,'L',0);
$pdf->Cell(40,5, "TOTAL" ,'LBR',0,'R',0);
$pdf->Cell(40,5, $total ,'LBR',1,'L',1);
$pdf->ln(2);
/*
foreach ($listado_libro_compra as $item){
	$alto = 5;
	$pdf->Cell(5,$alto, $item->get_correlativo() ,1,0,'C',1);
	$pdf->Cell(15,$alto, $item->get_nombre_tipo_documento() ,1,0,'C',1);
	$pdf->Cell(15,$alto, $item->get_numero_documento() ,1,0,'C',1);
	$pdf->Cell(20,$alto, convertirFechaBD_fecha($item->get_fecha_documento()) ,1,0,'C',1);
	$pdf->Cell(50,$alto, $item->get_nombre_proveedor() ,1,0,'L',1);
	$pdf->Cell(25,$alto, format_rut_php($item->get_rut_proveedor()) ,1,0,'C',1);
	$pdf->Cell(18,$alto, money_php($item->get_total_exento()) ,1,0,'R',1);
	$pdf->Cell(18,$alto, money_php($item->get_total_neto()) ,1,0,'R',1);
	$pdf->Cell(18,$alto, money_php($item->get_total_iva()) ,1,0,'R',1);
	$pdf->Cell(18,$alto, money_php($item->get_total_bruto()) ,1,1,'R',1); 
}

$pdf->ln(5);

$alto =+ 5;
$pdf->Cell(105,$alto, "" ,0,0,'C',1);
$pdf->SetFillColor(234, 234, 234);
$pdf->Cell(70,$alto, "Cant. de Facturas Recibidas" ,1,0,'C',1);
$pdf->SetFillColor(255, 255, 255);
$pdf->Cell(20,$alto, $total_facturas ,1,1,'C',1);
$pdf->Cell(75,$alto, "" ,0,0,'C',1);
$pdf->SetFillColor(234, 234, 234);
$pdf->Cell(30,$alto, "TOTAL EXENTO" ,1,0,'C',1);
$pdf->Cell(30,$alto, "TOTAL NETO" ,1,0,'C',1);
$pdf->Cell(30,$alto, "TOTAL IVA" ,1,0,'C',1);
$pdf->Cell(30,$alto, "TOTAL BRUTO" ,1,1,'C',1);
$pdf->SetFillColor(255, 255, 255);
$pdf->Cell(75,$alto, "" ,0,0,'C',1);
$pdf->Cell(30,$alto, money_php($total_exento) ,1,0,'C',1);
$pdf->Cell(30,$alto, money_php($total_neto) ,1,0,'C',1);
$pdf->Cell(30,$alto, money_php($total_iva) ,1,0,'C',1);
$pdf->Cell(30,$alto, money_php($total_bruto) ,1,1,'C',1);
$nombre_archivo = $empresa->get_nombre() . " - libro_venta"  . $ao_proceso ."-". $mes_proceso . ".pdf";*/
$path_archivo	= "modulos/reportes/pdf/libro_venta/";
mkdir($path_archivo);

//$pdf->Output($path_archivo . $nombre_archivo);
$pdf->Output($path_archivo . $nombre_archivo, I);
 
?>