<?

$old = getcwd();
$new = "../../";
chdir($new);

include_once("validate_session.php");
$url = "../../index_session.php?i=modulos/inventario/";

$operacion = checkGET("op","");
	//debug($_POST);
	
	$clog_Traspaso_inventario = new Controlador_Logico_Traspaso_inventario();
	
	switch ($operacion){
//-------------------------------------------------- Guarda un Traspaso_inventario en la DB
case "add":

//	debug($_POST);
	
	$id_traspaso_inventario = checkPOST("id_traspaso_inventario", "");
	$id_bodega_desde = checkPOST("id_bodega_desde", "");
	$id_bodega_hasta = checkPOST("id_bodega_hasta", "");
	$id_usuario = $_SESSION["usuario"]->get_id_usuario();
//	$fecha_traspaso = checkPOST("fecha_traspaso", "");
	$fecha_traspaso = hoy();
	$observacion = checkPOST("observacion", "");
	$estado = checkPOST("estado", "");
	$tipo = checkPOST("tipo", "");
	$guardar_mas = checkPOST("guardar_mas","no");
	$usuario = $_SESSION["usuario"];
	if (substr($usuario->privilegio,112,1) == 1)
		$es_contralor = true;
	else
		$es_contralor = false;


	if (($id_bodega_hasta == 19 or $id_bodega_hasta == 18)  and ($usuario->login <> "BODEGA" and !$es_contralor) )
	{
		$msj = "Bodega de Destino No vlida";
		$url .= "mantenedor_traspaso_inventario&op=add&msj=$msj";
	}
	else
	{
		$msj = "";
		$traspaso_inventario_nuevo = new Traspaso_inventario();
		$traspaso_inventario_nuevo->set_id_traspaso_inventario($id_traspaso_inventario);
		$traspaso_inventario_nuevo->set_id_bodega_desde($id_bodega_desde);
		$traspaso_inventario_nuevo->set_id_bodega_hasta($id_bodega_hasta);
		$traspaso_inventario_nuevo->set_id_usuario($id_usuario);
		$traspaso_inventario_nuevo->set_fecha_traspaso($fecha_traspaso);
		$traspaso_inventario_nuevo->set_observacion($observacion);
		$traspaso_inventario_nuevo->set_estado($estado);	
		$traspaso_inventario_nuevo->set_tipo($tipo);	

		$_nuevo = $clog_Traspaso_inventario->guardarTraspaso_inventario($traspaso_inventario_nuevo);

		$url .= "mantenedor_detalle_traspaso&id_traspaso_inventario=$_nuevo&op=add&tipo=$tipo";
	}


	
	header("Location: $url");
	break;
	
	
//-------------------------------------------------- Guarda un Traspaso_inventario en la DB
case "del":
	//debug($_GET);
	$ok = true;
	
	$filtro_bodega_origen = checkGET("filtro_bodega_origen", 0, "num");
	$filtro_bodega_destino = checkGET("filtro_bodega_destino", 0, "num");
	$id_traspaso_inventario = checkGET("id_traspaso_inventario", 0, "num");
	$traspaso_inventario = $clog_Traspaso_inventario->getTraspaso_inventario($id_traspaso_inventario);
	//$clog_Traspaso_inventario->eliminarTraspaso_inventario($id_traspaso_inventario);
	$tipo = $traspaso_inventario->tipo;
	if ($traspaso_inventario->get_estado() == 2)	// EN TRNSITO
	{
		$ok = $traspaso_inventario->anular_traspaso_en_transito();
	}
	
	if ($traspaso_inventario->get_estado() == 1)	// COMPLETO
	{
		$ok = $traspaso_inventario->anular_traspaso();
	}

	$traspaso_inventario->set_estado(9);		// NULO
	$clog_Traspaso_inventario->actualizarTraspaso_inventario($traspaso_inventario);

	//if ($ok) Traspaso_inventario_eliminarTraspaso_inventario($id_traspaso_inventario);
	$url .= "mantenedor_traspaso_inventario&filtro_bodega_origen=$filtro_bodega_origen&filtro_bodega_destino=$filtro_bodega_destino&tipo=$tipo";
	header("Location: $url");
	break;
	
	
//-------------------------------------------------- Modifica un Traspaso_inventario en la DB
case "mod":

	//debug($_POST);
	$id_traspaso_inventario			= checkPOST("id_traspaso_inventario", 0);
	$traspaso_inventario_mod = $clog_Traspaso_inventario->getTraspaso_inventario($id_traspaso_inventario);
	
	$traspaso_inventario_mod->set_id_traspaso_inventario(checkPOST("id_traspaso_inventario", ""));
	$traspaso_inventario_mod->set_id_bodega_desde(checkPOST("id_bodega_desde", ""));
	$traspaso_inventario_mod->set_id_bodega_hasta(checkPOST("id_bodega_hasta", ""));
	$traspaso_inventario_mod->set_id_usuario($_SESSION["usuario"]->get_id_usuario());
//	$traspaso_inventario_mod->set_fecha_traspaso(checkPOST("fecha_traspaso", ""));
	$traspaso_inventario_mod->set_observacion(checkPOST("observacion", ""));
	$traspaso_inventario_mod->set_estado(checkPOST("estado", ""));
	$traspaso_inventario_mod->set_tipo(checkPOST("tipo", ""));
	
	$clog_Traspaso_inventario->actualizarTraspaso_inventario($traspaso_inventario_mod);
	
	$url .= "mantenedor_traspaso_inventario";
	header("Location: $url");
	
	break;
	
	
//-------------------------------------------------- Realizar el Traspaso
case "traspasar":

	$id_traspaso_inventario	= checkGET("id_traspaso_inventario", 0);
	$tipo	= checkGET("tipo", 1);
	$traspaso_inventario = new Traspaso_inventario();
	$traspaso_inventario = Traspaso_inventario_getTraspaso_inventario($id_traspaso_inventario);

	$traspaso_inventario->estado = 2;
	$traspaso_inventario->fecha_envio = hoy();
	$traspaso_inventario->id_usuario_envio = $_SESSION["usuario"]->id_usuario;

	Traspaso_inventario_actualizarTraspaso_inventario($traspaso_inventario);

	$bodega	= Bodega_getBodega($traspaso_inventario->id_bodega_hasta);
	$id_sucursal = $bodega->id_sucursal;
	

	$listado_detalle_traspaso	= Detalle_traspaso_getListadoDetalle_traspaso($id_traspaso_inventario);
	
$detalle_traspaso = new Detalle_traspaso();
foreach ($listado_detalle_traspaso as $detalle_traspaso)
{
	//Solo realiza el traspaso si no se ha realizado previamente o si ha ocurrido algun error
		if ($detalle_traspaso->estado == 0) 
		{			
			$producto_inventario = Inventario_getProductoInventario($traspaso_inventario->id_bodega_desde, $detalle_traspaso->id_producto);
			if ($producto_inventario) 
			{
				if ($producto_inventario->stock_actual >= $detalle_traspaso->cantidad) 
				{
					// Disminuye la cantidad traspasada desde el inventario de la bodega origen
					$producto_inventario->stock_actual -= $detalle_traspaso->cantidad;
					$producto_inventario->fecha_ult_mod	= hoy();
					$ultimo_precio_compra 	= $producto_inventario->get_ultimo_precio_compra();
					$id_industria			= $producto_inventario->get_id_industria();
					$stock_critico		= $producto_inventario->get_stock_critico();
					$stock_minimo		= $producto_inventario->get_stock_minimo();
					$precio_venta_neto		= $producto_inventario->get_precio_venta();
					$precio_venta_neto_particular		= $producto_inventario->get_precio_venta_particular();
					$precio_venta_neto_distribuidor		= $producto_inventario->get_precio_venta_distribuidor();
					Inventario_actualizarInventario($producto_inventario);

					
					//Anotar en la bitacora de Movimientos
					$clog_Movimiento_inventario = new Controlador_Logico_Movimiento_inventario();
					$movimiento_inventario = new Movimiento_inventario();
					$movimiento_inventario->set_id_inventario($producto_inventario->id_inventario);
					$movimiento_inventario->set_id_bodega($producto_inventario->id_bodega);
					$movimiento_inventario->set_id_producto($producto_inventario->id_producto);
					$movimiento_inventario->set_id_tipo_movimiento(2); //Traspaso entre Bodegas
					$movimiento_inventario->set_entrada(0);
					$movimiento_inventario->set_salida($detalle_traspaso->cantidad);
					$movimiento_inventario->set_nro_documento($traspaso_inventario->id_traspaso_inventario);
					$movimiento_inventario->set_descripcion("TRASPASO HACIA " . strtoupper($traspaso_inventario->get_nombre_bodega_hasta()));
					$movimiento_inventario->set_id_usuario(get_id_usuario());
					$movimiento_inventario->set_fecha(hoy());
					$movimiento_inventario->set_ex1($producto_inventario->stock_actual);
					$clog_Movimiento_inventario->guardarMovimiento_inventario($movimiento_inventario);
					
					$detalle_traspaso->estado = 4;
					Detalle_traspaso_actualizarDetalle_traspaso($detalle_traspaso);

//					$producto_inventario = Inventario_getProductoInventario($traspaso_inventario->id_bodega_hasta, $detalle_traspaso->id_producto);
					
//					if ($producto_inventario) {
//						
//						// Aumenta la cantidad traspasada desde el inventario de la bodega destino si es que existe el producto
//						$producto_inventario->stock_actual += $detalle_traspaso->cantidad;
//						$producto_inventario->ultimo_precio_compra = $ultimo_precio_compra;
//						$producto_inventario->id_industria = $id_industria;
//						$producto_inventario->fecha_ult_mod	= hoy();
//						Inventario_actualizarInventario($producto_inventario);
//					
//					}else{
//						
//						// Ingresa el producto al inventario de destino con la cantidad traspasada como inicial
//						$id_sucursal 			= $id_sucursal;
//						$id_bodega 				= $traspaso_inventario->id_bodega_hasta;
//						$id_producto 			= $detalle_traspaso->id_producto;
//						$stock_actual 			= $detalle_traspaso->cantidad;
//						$conteo_fisico 			= 0;
//						$dif_ult_conteo 		= 0;
//						$fecha_conteo 			= "";
//						$ultimo_precio_compra 	= $ultimo_precio_compra;
//						$id_industria 			= $id_industria;
//						$nro_orden_compra 		= 0;
//						$margen_utilidad 		= 0;
//						$fecha_digitacion 		= hoy();
//						$fecha_ult_mod 			= hoy();
//						$id_usuario 			= get_id_usuario();
//						$estado 				= 0;
//
//						$producto_inventario = new Inventario ($id_sucursal, $id_bodega, $id_producto, $stock_actual, $conteo_fisico, $dif_ult_conteo, $fecha_conteo, $stock_minimo, $ultimo_precio_compra, $id_industria, $nro_orden_compra, $margen_utilidad, $precio_venta_neto, $fecha_digitacion, $fecha_ult_mod, $id_usuario, $estado, $precio_venta_neto_particular, $precio_venta_neto_distribuidor, $stock_critico,$id_inventario);
//						$id_inventario = Inventario_guardarInventario($producto_inventario);
//						$producto_inventario->id_inventario = $id_inventario;
//					}
//					
//					
//					//Anotar en la bitacora de Movimientos
//					$clog_Movimiento_inventario = new Controlador_Logico_Movimiento_inventario();
//					$movimiento_inventario = new Movimiento_inventario();
//					$movimiento_inventario->set_id_inventario($producto_inventario->id_inventario);
//					$movimiento_inventario->set_id_bodega($producto_inventario->id_bodega);
//					$movimiento_inventario->set_id_producto($producto_inventario->id_producto);
//					$movimiento_inventario->set_id_tipo_movimiento(2); //Traspaso entre Bodegas
//					$movimiento_inventario->set_entrada($detalle_traspaso->cantidad);
//					$movimiento_inventario->set_salida(0);
//					$movimiento_inventario->set_nro_documento($traspaso_inventario->id_traspaso_inventario);
//					$movimiento_inventario->set_descripcion("TRASPASO DESDE " . strtoupper($traspaso_inventario->get_nombre_bodega_desde()));
//					$movimiento_inventario->set_id_usuario(get_id_usuario());
//					$movimiento_inventario->set_fecha(hoy());
//					$movimiento_inventario->set_ex1($producto_inventario->stock_actual );
//
//					$clog_Movimiento_inventario->guardarMovimiento_inventario($movimiento_inventario);
//					
//					$detalle_traspaso->estado = 1;
//					Detalle_traspaso_actualizarDetalle_traspaso($detalle_traspaso);
//					
				}
				else
				{
					// Stock Insuficiente para realizar el traspaso
					$detalle_traspaso->estado = 2;
					Detalle_traspaso_actualizarDetalle_traspaso($detalle_traspaso);
					$traspaso_completo = false;
				}
			}
			else
			{
				// Producto Invlido
				$detalle_traspaso->estado = 3;
				Detalle_traspaso_actualizarDetalle_traspaso($detalle_traspaso);
				$traspaso_completo = false;
			}
		}				
	}

//	if ($traspaso_completo) {
//		$traspaso_inventario->estado = 1;
//		Traspaso_inventario_actualizarTraspaso_inventario($traspaso_inventario);
//	}
//	
	$url .= "mantenedor_detalle_traspaso&id_traspaso_inventario=$id_traspaso_inventario&tipo=$tipo";
	header("Location: $url");
	
	break;
	
	
	}
	
?>
