<?
	$old = getcwd();
	$new = "../../";
	chdir($new);
	
	session_cache_limiter('private');
	include_once("validate_session.php");

	$id_cotizacion = checkGET("id_cotizacion", 0, "num");
	$cotizacion = Cotizacion_getCotizacion($id_cotizacion);
	$listado_detalle_cotizacion = Detalle_cotizacion_getListadoDetalle_cotizacion($id_cotizacion);
	
//	debug($cotizacion);
//	debug($listado_detalle_cotizacion);
	

	// Creacin Objeto PDF
	//----------------------------------------------------------------------------------------------------------------------
	
	class PDF_HR extends PDFTable {
		function Header()
		{
			parent::Header();
			
			$ancho_header = 200;
			$this->setXY(5,22);
			$this->Image('imagenes/logo.jpg',19,10,40);
			$this->SetFont('Arial','',8);
			

			$this->setX(35); $this->Cell(0,3,'ROBERTO CANALES VILLARROEL Y CIA. LTDA.',0,1,"L");
			$this->setX(35); $this->Cell(0,3,'R.U.T.    78.454.810 - 4',0,1,"L");
			$this->setX(35); $this->Cell(0,3,'Fono: 55-2461100 / Fax:55-2461100',0,1,"L");
			$this->setX(35); $this->Cell(0,3,'CASA MATRIZ: BAQUEDANO # 664, CASILLA 1033',0,1,"L");
			$this->setX(35); $this->Cell(0,3,'ANTOFAGASTA',0,1,"L");
			$this->setX(35); $this->Cell(0,3,'E-Mail : oantofag@opticaantofagasta.cl',0,1,"L");
		}
	
		function Footer()
		{
			parent::Footer();
	    	$this->SetLeftMargin(25);
			$this->SetY(-15);
			$this->SetFont('Arial','B',8);
			$this->SetFont('Arial','',6);
//			$this->MultiCell(180,3,'Medidas Sanitarias - Mecnicas - Fsicas - Biolgicas - Qumicas. Resolucin N5801 del 10.12.2002',0,'C');
			//$this->Cell(0,5,'Pgina '.$this->PageNo().'/{nb}',0,0,'R'); 
		}	
	} //fin clase
	
	$pdf=new PDF_HR('P','mm','Letter');
	$pdf->AddPage();
	$pdf->SetAuthor('OPTICA');
	$pdf->SetMargins(10,30,10);
	$pdf->SetAutoPageBreak(true, 30);
	$pdf->SetFont('Times','',8);
		
	$titulo = "COTIZACION NRO " . $cotizacion->id_cotizacion;
	$pdf->setX(10);
	$pdf->ln();
	$pdf->SetFont('Times','',18);
	$pdf->Cell(0,10,$titulo,0,1,"C");
//	$pdf->ln();
	
	
	
	// Encabezado de la Cotizacion
	//----------------------------------------------------------------------------------------------------------------------
	$pdf->SetFont('Times','',10);
	$pdf->setX(10);
	$ancho_tablas 	= 195;
	$ancho_1 		= 30;
	$color_1		= "#DFDFDF";
	//debug($cotizacion);
	$tabla = "
	<table border=1 width=$ancho_tablas>
		<tr><td align='center' colspan='2' bgcolor=$color_1>:: Datos Cotizacin ::</td></tr>
		<tr><td width=$ancho_1 bgcolor=$color_1>Empresa</td><td class='datos'> $cotizacion->nombre_empresa</td></tr>
		<tr><td width=$ancho_1 bgcolor=$color_1>Rut Empresa</td><td class='datos'> $cotizacion->rut_empresa</td></tr>
		<tr><td width=$ancho_1 bgcolor=$color_1>Cliente</td><td class='datos'> $cotizacion->nombre_cliente_particular</td></tr>
		<tr><td width=$ancho_1 bgcolor=$color_1>Rut Cliente</td><td class='datos'> $cotizacion->rut_cliente</td></tr>
		<tr><td width=$ancho_1 bgcolor=$color_1>Paciente</td><td class='datos'> $cotizacion->nombre_paciente</td></tr>
		<tr><td width=$ancho_1 bgcolor=$color_1>Rut Paciente</td><td class='datos'> $cotizacion->rut_paciente</td></tr>
		<tr><td width=$ancho_1 bgcolor=$color_1>Vendedor</td><td class='datos'> $cotizacion->nombre_vendedor</td></tr>
		<tr><td width=$ancho_1 bgcolor=$color_1>Fecha</td><td class='datos'> ".convertirFechaBD_fecha($cotizacion->fecha_creacion_cotizacion)."</td></tr>	
		<tr><td width=$ancho_1 bgcolor=$color_1>Estado</td><td class='datos'> $cotizacion->nombre_estado</td></tr>	
		<tr><td width=$ancho_1 bgcolor=$color_1>Descripcin</td><td class='datos'> $cotizacion->descripcion_gral_cotizacion</td></tr>			
	</table>
	";
	
	$pdf->htmltable($tabla);
//	$pdf->ln();
	$pdf->ln();

	
	// Detalles de la Cotizacion
	//----------------------------------------------------------------------------------------------------------------------
	$pdf->setX(10);
	$ancho_tablas 	= 195;
	$ancho_1 		= 20;
	$ancho_2 		= 80;
	$ancho_3 		= 10;
	
	$subgrupo 		= $listado_detalle_cotizacion[0]->subgrupo;
	$descripcion	= $listado_detalle_cotizacion[0]->ex1;
	
	
	$tabla = "<table border=1 width=$ancho_tablas>";
//	$tabla .= "<tr><td colspan=7></td></tr>";
	
	$encabezado_tabla = "
	<tr bgcolor=$color_1>
	<td width=$ancho_1 align=center>Cdigo</td>
	<td width=$ancho_2 align=center>Producto </td>
	<td width=$ancho_3 align=center>Cant </td>
	<td width=$ancho_1 align=center>Precio <br>Lista</td>
	<td width=$ancho_3 align=center>Dcto</td>
	<td width=$ancho_1 align=center>Precio Unitario</td>
	<td width=$ancho_1 align=center>Total</td>
	</tr>";

	$tabla .= $encabezado_tabla;
	
	

	foreach ($listado_detalle_cotizacion as $detalle_cotizacion) 
	{
		if ($detalle_cotizacion->descuento == 43 or $detalle_cotizacion->descuento == 50) 
			$descuento_43_50 = true;
		else
			$descuento_43_50 = false;

		if ($detalle_cotizacion->subgrupo != $subgrupo) 
		{		
			$tabla .= "</table>";	
			$pdf->htmltable($tabla);
			$pdf->ln();
			
			$pdf->SetFont('Times','',12);
			if ($cotizacion->id_forma_pago == 2)
			{
		
				$interes = $listado_detalle_cotizacion[0]->interes;
				$nro_cuotas = $listado_detalle_cotizacion[0]->nro_cuotas;
				
				$tabla = "
				<table border=0 width=$ancho_tablas>
				<tr>
				<td align=right colspan=5 border=0000>TOTAL</td>
				<td align=right colspan=2>".format_money($suma)."</td>
				</tr>
				
				<tr>
				<td align=right colspan=5 border=0000>TOTAL CON INTERES</td>
				<td align=right colspan=2 bgcolor=$color_1>".format_money($suma*$interes)."</td>
				</tr>
				
				<tr>
				<td align=right colspan=5 border=0000>NRO CUOTAS</td>
				<td align=right colspan=2>".$nro_cuotas."</td>
				</tr>
				
				<tr>
				<td align=right colspan=5 border=0000>MONTO MENSUAL</td>
				<td align=right colspan=2>".format_money($suma*$interes/$nro_cuotas)."</td>
				</tr>
				</table>
				";
			}
			else
			{
				if ($cotizacion->id_cliente <> 277)
				{
					$tabla = "
					<table border=1 width=$ancho_tablas>
					<tr>
					<td align=right colspan=5 border=0000>NETO</td>
					<td align=right colspan=2 bgcolor=$color_1>".format_money($suma/1.19)."</td>
					</tr>
					<tr>
					<td align=right colspan=5 border=0000>IVA</td>
					<td align=right colspan=2 bgcolor=$color_1>".format_money($suma-$suma/1.19)."</td>
					</tr>
					<tr>
					<td align=right colspan=5 border=0000>TOTAL</td>
					<td align=right colspan=2 bgcolor=$color_1>".format_money($suma)."</td>
					</tr>
					</table>";
				}
				else
				{
					$tabla = "
					<table border=1 width=$ancho_tablas>
					<tr>
					<td align=right colspan=5 border=0000>TOTAL</td>
					<td align=right colspan=2 bgcolor=$color_1>".format_money($suma)."</td>
					</tr>
					</table>";
				}
			}

			$pdf->htmltable($tabla);
			$pdf->ln();
			
			$pdf->SetFont('Times','',10);
			$suma = 0;
			$suma_sin_descuento = 0;
				
			$subgrupo 		= $detalle_cotizacion->subgrupo;
			$descripcion	= $detalle_cotizacion->ex1;
			
			$tabla = "<table border=1 width=$ancho_tablas>";
//			$tabla .= "<tr><td colspan=7></td></tr>";
	
			$tabla .= $encabezado_tabla;
		}
		$suma = $suma + $detalle_cotizacion->precio_total;
		$suma_sin_descuento = $suma_sin_descuento + $detalle_cotizacion->precio_lista*$detalle_cotizacion->cantidad;

		
		if ($detalle_cotizacion->producto_en_oferta)
			$mensaje = "**";
		else
			$mensaje ="";
		$tabla .= "
		<tr>
		<td align=center>".sprintf("%06s", $detalle_cotizacion->codigo_barra)."</td>
		<td >$detalle_cotizacion->nombre_producto $mensaje</td>
		<td align=right>$detalle_cotizacion->cantidad </td>
		<td align=right>$ ".format_money($detalle_cotizacion->precio_lista)."</td>
		<td align=right>$detalle_cotizacion->descuento % </td>
		<td align=right>$ ".format_money($detalle_cotizacion->precio_unitario)."</td>
		<td align=right>$ ".format_money($detalle_cotizacion->precio_total)."</td>
		</tr>
		";
	}
	
	$tabla .= "</table>";
	
	$pdf->htmltable($tabla);
	$pdf->ln();
	$pdf->Cell(0,5,"**Producto en promocin no vlido para convenio",0,1,"L");
//	$pdf->ln();
	
	$pdf->SetFont('Times','',12);
	
	if ($cotizacion->id_forma_pago == 2){
		
		$interes = $listado_detalle_cotizacion[0]->interes;
		$nro_cuotas = $listado_detalle_cotizacion[0]->nro_cuotas;
		if ($suma_sin_descuento == $suma)
		{
			$tabla = "
			<table border=0 width=$ancho_tablas>
			<tr>
			<td align=right colspan=5 border=0000>TOTAL</td>
			<td align=right colspan=2>".format_money($suma)."</td>
			</tr>
			
			<tr>
			<td align=right colspan=5 border=0000>TOTAL CON INTERES</td>
			<td align=right colspan=2 bgcolor=$color_1>".format_money($suma*$interes)."</td>
			</tr>
			
			<tr>
			<td align=right colspan=5 border=0000>NRO CUOTAS</td>
			<td align=right colspan=2>".$nro_cuotas."</td>
			</tr>
			
			<tr>
			<td align=right colspan=5 border=0000>MONTO MENSUAL</td>
			<td align=right colspan=2>".format_money($suma*$interes/$nro_cuotas)."</td>
			</tr>
			</table>
			";
		}
		else
		{
			$tabla = "
			<table border=0 width=$ancho_tablas>
			<tr>
			<td align=right colspan=5 border=0000>TOTAL CON DESCUENTO</td>
			<td align=right colspan=2>$ ".format_money($suma)."</td>
			</tr>
			
			<tr>
			<td align=right colspan=5 border=0000>TOTAL CON INTERES</td>
			<td align=right colspan=2 bgcolor=$color_1>$ ".format_money($suma*$interes)."</td>
			</tr>
			
			<tr>
			<td align=right colspan=5 border=0000>NRO CUOTAS</td>
			<td align=right colspan=2>".$nro_cuotas."</td>
			</tr>
			
			<tr>
			<td align=right colspan=5 border=0000>MONTO MENSUAL</td>
			<td align=right colspan=2>$ ".format_money($suma*$interes/$nro_cuotas)."</td>
			</tr>
			</table>
			";
		}
	}else
		{
		if ($suma_sin_descuento == $suma)
		{
			if ($cotizacion->id_cliente <> 277)
			{
				$tabla = "
				<table border=1 width=$ancho_tablas>
				<tr>
				<td align=right colspan=5 border=0000>NETO</td>
				<td align=right colspan=2 bgcolor=$color_1>$ ".format_money($suma/1.19)."</td>
				</tr>
				<tr>
				<td align=right colspan=5 border=0000>19% IVA</td>
				<td align=right colspan=2 bgcolor=$color_1>$ ".format_money($suma-$suma/1.19)."</td>
				</tr>

				<tr>
				<td align=right colspan=5 border=0000>TOTAL</td>
				<td align=right colspan=2 bgcolor=$color_1>$ ".format_money($suma)."</td>
				</tr>
				</table>
				";
			}
			else
			{
				$tabla = "
				<table border=1 width=$ancho_tablas>
				<tr>
				<td align=right colspan=5 border=0000>TOTAL</td>
				<td align=right colspan=2 bgcolor=$color_1>$ ".format_money($suma)."</td>
				</tr>
				</table>
				";
			}
		}
		else
		{
			if ($cotizacion->id_cliente <> 277)
			{
				$tabla = "
				<table border=1 width=$ancho_tablas>
				<tr>
					<td align=right colspan=5 border=0000>NETO</td>
					<td align=right colspan=2 bgcolor=$color_1>$ ".format_money($suma/1.19)."</td>
				</tr>
				<tr>
					<td align=right colspan=5 border=0000>IVA</td>
					<td align=right colspan=2 bgcolor=$color_1>$ ".format_money($suma-$suma/1.19)."</td>
				</tr>
				<tr>
					<td align=right colspan=5 border=0000>TOTAL</td>
					<td align=right colspan=2 bgcolor=$color_1>$ ".format_money($suma)."</td>
				</tr>
				

				</table>
				";
			}
			else
			{
				$tabla = "
				<table border=1 width=$ancho_tablas>
				<tr>
					<td align=right colspan=5 border=0000>TOTAL</td>
					<td align=right colspan=2 bgcolor=$color_1>$ ".format_money($suma)."</td>
				</tr>
				

				</table>
				";

			}
		}
	}
	
	
	
	$pdf->htmltable($tabla);


//	$pdf->ln();
	
	
	
//	$pdf->Cell(0,5,"Total iva includo",0,1,"R");
if ($descuento_43_50)
{
	$pdf->Cell(0,5,"Notas: ",0,1,"L");
	$pdf->Cell(10,10,"1.- Vlido slo para pagos en efectivo, tarjeta de dbito y cheque al da",0,1,"L");
	$pdf->Cell(10,10,"2.- Cotizacin vlida hasta el da 06/07/2019",0,0,"L");
}
else
	$pdf->Cell(0,5,"Nota: Validez de la cotizacin: 15 das",0,0,"L");


	//	----------------------- Firma 
	$pdf->setX(0);
	$y = $pdf->getY();
	$pdf->ln(30);
	$pdf->SetLeftMargin(120);
	$ancho1 = 50;
	$alto_texto = 4;
	$borde1 = "T";
	$borde2 = "0";
	$nombre 	= $cotizacion->nombre_vendedor;
	$empresa 	= "ptica Antofagasta";
	$pdf->SetFont('Times','',10);
	$pdf->SetFont('Times','',$tamao_letra);
	$pdf->Cell($ancho1,$alto_texto,$nombre,$borde1,1,'C');
	$pdf->Cell($ancho1,$alto_texto,$empresa,$borde2,1,'C');
	
//	$archivo = "cotizacion_$cotizacion->id_cotizacion.pdf";
//	$pdf->Output();

	$archivo = "cotizacion_$cotizacion->id_cotizacion"."P".".pdf";
	$pdf->Output("modulos/reportes/pdf/$archivo",F);

	if ($usuario->id_sucursal == 20
or $usuario->id_sucursal == 21
or $usuario->id_sucursal == 30
or $usuario->id_sucursal == 31
or $usuario->id_sucursal == 33
or $usuario->id_sucursal == 34
or $usuario->id_sucursal == 38
or $usuario->id_sucursal == 43
or $usuario->login == "itek")
	header("Location: http://200.72.202.203/e-soi/compra_inventario/modulos/reportes/pdf/$archivo");
else
	header("Location: http://192.168.0.198/e-soi/compra_inventario/modulos/reportes/pdf/$archivo");


		
		

?>