<?
$old = getcwd();
$new = "../../";
chdir($new);
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=resumen_ventas.xls");
header("Pragma: no-cache");
header("Expires: 0");

include_once("validate_session.php");

$clog_Ventas = new Controlador_Logico_Ventas();
$usuario = $_SESSION["usuario"];
$filtro_id_cliente = checkGET("filtro_id_cliente", 0);
$filtro_forma_pago = checkGET("filtro_forma_pago", 0);

$fecha_ini = convertirFecha_fechabd(checkGET("fecha", substr(hoy(),0,6)."01")) ;
$fecha_final = convertirFecha_fechabd(checkGET("fecha2", substr(hoy(),0,8)));

$id_sucursal = checkGET("id_sucursal", 4);
$filtro_vendedor = checkGET("filtro_vendedor", 0);

	$tipo_documento = checkGET("tipo_documento", -1);
	$filtro_chk_guia = checkGET("filtro_chk_guia", "0");
	$filtro_chk_factura = checkGET("filtro_chk_factura", "0");
	$filtro_chk_boleta = checkGET("filtro_chk_boleta", "0");
	$filtro_chk_nc = checkGET("filtro_chk_nc", "0");
	$filtro_chk_nd = checkGET("filtro_chk_nd", "0");
	$filtro_chk_transbank = checkGET("filtro_chk_transbank", "0");


$filtro_folio = checkGET("filtro_folio", "");
$filtro_centro_costo = checkGET("filtro_centro_costo", 166);
$filtro_cond_venta = checkGET("filtro_cond_venta", 0);
$filtro_forma_pago = checkGET("filtro_forma_pago", 0);
$filtro_vendedor = checkGET("filtro_vendedor", 0);
$filtro_id_cliente = checkPOST("filtro_id_cliente", checkGET("filtro_id_cliente",0));
$tipo_documento = checkGET("tipo_documento", -1);
$filtro_estado = checkGET("filtro_estado", -1);

$sql = "";
if ($filtro_chk_guia == 1)
{
	$checked_guia = "checked";
	$sql = $sql." ventas.tipo = 2";

}

if ($filtro_chk_factura == 1)
{
	$checked_factura = "checked";
	if ($sql == "")
		$sql = $sql." ventas.tipo = 3";
	else
		$sql = $sql." OR ventas.tipo = 3";
}

if ($filtro_chk_boleta == 1)
{
	$checked_boleta = "checked";
	if ($sql == "")
		$sql = $sql." ventas.tipo = 5";
	else
		$sql = $sql." OR ventas.tipo = 5";

}

if ($filtro_chk_nc == 1)
{
	$checked_nc = "checked";
	if ($sql == "")
		$sql = $sql." ventas.tipo = 11";
	else
		$sql = $sql." OR ventas.tipo = 11";

}

if ($filtro_chk_nd == 1)
{	
	$checked_nd = "checked";
	if ($sql == "")
		$sql = $sql." ventas.tipo = 56";
	else
		$sql = $sql." OR ventas.tipo = 56";
}

if ($filtro_chk_transbank == 1)
{
	$checked_transbank = "checked";
	if ($sql == "")
		$sql = $sql." ventas.tipo = 6";
	else
		$sql = $sql." OR ventas.tipo = 6";

}


if ($sql <> "")
	$extra_ventas["sql"] = " AND (".$sql.")";

	if ($filtro_folio <> "")
		$filtro_ventas["numero_venta"] = $filtro_folio;
	else
		$extra_ventas["rango_fecha"] = " AND fecha >='$fecha_ini"."' AND fecha <='$fecha_final"."2359'";

	if ($filtro_centro_costo <> 0)
		$filtro_ventas["id_sub_centro_costo"] = $filtro_centro_costo;


		if ($tipo_documento != -1)
		{
			$filtro_ventas["tipo"] = $tipo_documento;
		}

		if ($filtro_cond_venta <> 0)
		{
			$filtro_ventas["cond_venta"] = $filtro_cond_venta;
			$filtro_forma_pago2["estado"] = $filtro_cond_venta;
		}

		if ($filtro_forma_pago <> 0)
			$filtro_ventas["GlosaPagos"] = $filtro_forma_pago;

		if ($filtro_estado != -1)
			$filtro_ventas["estado"] = $filtro_estado;
		
		if ($filtro_vendedor != 0)
		{
			$filtro_ventas["cont_cliente_proveedor.id_vendedor"] = $filtro_vendedor;
			$filtro_usuarios_vendedores_meta["id_vendedor"] = $filtro_vendedor;
			$clog_Vendedor = new Controlador_Logico_Vendedor();
			$vendedor = $clog_Vendedor->getVendedor($filtro_vendedor); 
			if ($vendedor)
					$nombre_vendedor_filtro = $vendedor->nombre. " ". $vendedor_apellido;
		}
		else
		{
			$filtro_usuarios_vendedores_meta["id_vendedor"] = "%";
			$nombre_vendedor_filtro = "TODOS";
		}

		if ($filtro_id_cliente != 0)
			$filtro_ventas["id_cliente_proveedor"] = $filtro_id_cliente;





	$listado_ventas = $clog_Ventas->getListadoVentas($filtro_ventas, $extra_ventas);

	$count_row= 0;		
	$inic = substr($fecha_ini,6,2)."/".substr($fecha_ini,4,2)."/".substr($fecha_ini,0,4);
	$term = substr($fecha_final,6,2)."/".substr($fecha_final,4,2)."/".substr($fecha_final,0,4);

	echo "<table border=0>\n";
echo "<tr>\n";
echo "<th></th>";
echo "<th></th>";
echo "<th></th>";
echo "<th></th>";
echo "<th></th>";
echo "<th></th>";
echo "<th>INFORME DE VENTAS</th>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<th></th>";
echo "<th></th>";
echo "<th></th>";
echo "<th></th>";
echo "<th></th>";
echo "<th></th>";
echo "<th>Perodo: $inic al $term</th>";
echo "</tr>\n";

echo "<tr>\n";
echo "<th>Nmero</th>";
echo "<th>Fecha emisin</th>";
echo "<th>Condicin Venta</th>";
echo "<th>Forma pago</th>";
echo "<th>Fecha vencimiento</th>";
echo "<th>Cliente</th>";
echo "<th>Vendedor</th>";
echo "<th>Digitador</th>";
echo "<th>Tipo documento</th>";
echo "<th>Estado</th>";
echo "<th>Sucursal</th>";
echo "<th>Descuento</th>";
echo "<th>Neto</th>";
echo "<th>Iva</th>";
echo "<th>Total</th>";
echo "<th>Pagos</th>";
echo "<th>Saldo</th>";
if ($usuario->login == "rodrigo")
	echo "<th>Comisin</th>";
echo "</tr>\n";

	foreach ($listado_ventas as $item){
		$fecha  = ConvertirFechaBD_fecha($item->get_fecha());
		$fecha_vencimiento  = ConvertirFechaBD_fecha($item->fecha_vencimiento);
		$condicion_venta = $item->nombre_cond_venta;
		$forma_pago = $item->nombre_forma_pago;
		if ($item->estado != "9")
		{
			$descuento = $item->descuento;
			if ($item->tipo == 11) //NC
				$neto = round($item->total*-1);
			else
				$neto = round($item->total);

			$iva = round($neto*0.19);
			$total =$neto+$iva;
			$pago = $item->pago_cliente;
			$saldo = $total-$pago;
//			if ($item->tipo == 1 or $item->tipo == 3)
//			{
				$suma_neto =  $suma_neto+$neto;
				$suma_iva =  $suma_iva+$iva;
				$suma_total =  $suma_total+$total;
				$suma_donacion = $suma_donacion + $item->donacion;
				$suma_descuento = $suma_descuento  + $item->descuento;
				$suma_descuento_play = $suma_descuento_play + $item->descuentoPlay;
				if ($usuario->login == "rodrigo")
					$comision = round($neto*$item->comision_vendedor/100);
				else
					$comision = 0;

				$suma_comision = $suma_comision + $comision;
				$suma_pagos = $suma_pagos + $pago;
				$suma_saldo = $suma_saldo + $saldo;
				echo "<tr>\n";
				echo "<td>$item->numero_venta</td>\n";
				echo "<td>$fecha</td>\n";
				echo "<td>$condicion_venta</td>\n";
				echo "<td>$forma_pago</td>\n";
				echo "<td>$fecha_vencimiento</td>\n";
				echo "<td>$item->nombre_cliente</td>\n";
				echo "<td>$item->nombre_vendedor</td>\n";
				echo "<td>$item->nombre_usuario</td>\n";
				echo "<td>$item->nombre_tipo_documento</td>\n";
				echo "<td>$item->nombre_estado</td>\n";
				echo "<td>$item->nombre_sucursal</td>\n";
				echo "<td>$descuento</td>\n";
				echo "<td>$neto</td>\n";
				echo "<td>$iva</td>\n";
				echo "<td>$total</td>\n";
				echo "<td>$pago</td>\n";
				echo "<td>$saldo</td>\n";
				if ($usuario->login == "rodrigo")
					echo "<td>$comision</td>\n";
				echo "</tr>\n";
	//		}
		}
		else
		{
			$neto = 0;
			$iva = 0;
			$total = 0;
			$comision = 0;
			$descuento = 0;
			echo "<tr>\n";
			echo "<td><span style=\"color: red;\">$item->numero_venta</td>\n";
			echo "<td><span style=\"color: red;\">$fecha</td>\n";
			echo "<td><span style=\"color: red;\">$condicion_venta</td>\n";
			echo "<td><span style=\"color: red;\">$forma_pago</td>\n";
			echo "<td><span style=\"color: red;\">$fecha_vencimiento</td>\n";
			echo "<td><span style=\"color: red;\">$item->nombre_cliente</td>\n";
			echo "<td><span style=\"color: red;\">$item->nombre_vendedor</td>\n";
			echo "<td><span style=\"color: red;\">$item->nombre_usuario</td>\n";
			echo "<td><span style=\"color: red;\">$item->nombre_tipo_documento</td>\n";
			echo "<td><span style=\"color: red;\">$item->nombre_estado</td>\n";
			echo "<td><span style=\"color: red;\">$item->nombre_sucursal</td>\n";

			if ($item->tipo == 0 or $item->tipo == 2)
			{
				echo "<td><span style=\"color: red;\">0</td>\n";
				echo "<td><span style=\"color: red;\">0</td>\n";
				echo "<td><span style=\"color: red;\">0</td>\n";
				echo "<td><span style=\"color: red;\">0</td>\n";
				echo "<td><span style=\"color: red;\">0</td>\n";

			}
			else
			{
				echo "<td><span style=\"color: red;\">$descuento</td>\n";
				echo "<td><span style=\"color: red;\">$neto</td>\n";
				echo "<td><span style=\"color: red;\">$iva</td>\n";
				echo "<td><span style=\"color: red;\">$total</td>\n";
				echo "<td><span style=\"color: red;\">$comision</td>\n";
		}
			echo "</tr>\n";

		}
		$count_row++;			
	}
	$suma_iva = round($suma_neto*0.19,0);
	$suma_total = $suma_neto+$suma_iva;
	echo "<tr>\n";
	echo "<td></td>\n";
	echo "<td></td>\n";
	echo "<td></td>\n";
	echo "<td></td>\n";
	echo "<td></td>\n";
	echo "<td></td>\n";
	echo "<td></td>\n";
	echo "<td></td>\n";
	echo "<td></td>\n";
	echo "<td>TOTALES</td>\n";
	echo "<td>$suma_descuento</td>\n";
	echo "<td>$suma_neto</td>\n";
	echo "<td>$suma_iva</td>\n";
	echo "<td>$suma_total</td>\n";
	echo "<td>$suma_pagos</td>\n";
	echo "<td>$suma_saldo</td>\n";
	if ($usuario->login == "rodrigo")
		echo "<td>$suma_comision</td>\n";
	echo "</tr>\n";

echo "</table>\n";


?>

